Pagina iniziale

Pagina iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Manuale

Driver

Tutorial

Glossario

© 2012 Ing. Punzenberger COPA-DATA GmbH


Manuale

Manuale

In questo settore trovate la documentazione relativa al prodotto zenon.


Filo conduttore attraverso l'help - una visione generale

Manuale -> Filo conduttore attraverso l'help - una visione generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Più potenzialità ha il sistema di controllo, più amplia è la guida corrispondente.

A differenza di tutti gli altri capitoli in cui vengono descritte features e funzionalità, il presente capitolo ha la funzione di facilitarvi l'approccio con la nostra guida online.


Quale capitolo della guida per iniziare

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Info Informazioni

Questo capitolo è pensato per tutti coloro che usano zenonper la prima volta e si trovano confrontati con il seguente problema: qual è la parte della guida che mi potrebbe essere più utile. In questa sede si vuole illustrare quali sono i passi necessari per creare un progetto di base. Le relative informazioni del tutorial, del manuale e dei video sono collegate ai singoli passi mediante link.


L’editor:

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> L’editor:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon:

zenon consta di due parti:

1. l'Editor
(sistema di gestione): qui si creano i progetti.

2. il Runtime
: qui si può visualizzare e gestire l'impianto progettato.

Struttura dell'editor:

L'interfaccia utente dell'editor si articola in diversi settori:

Elemento

Contenuto

01 - Barre simboli:

Raccolta delle barre simboli per l´editor e i suoi moduli. Sono a disposizione per:

  • Finestra docking
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menu
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore di rapporti
  • File runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visuale ad albero del manager di progetto

03 - Visualizzazione dettagliata del manager di progetto:

Dettagli concernenti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Workspace principale; qui vengono visualizzati documenti come immagini o report.

05 - Barra simboli Elementi:

Barra simboli per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Mostra le proprietà dell´oggetto selezionato. A questo scopo avete a disposizione tre modalità, che vengono selezionate nella Barra simboli delle porprietà.

07 - Guida proprietà:

Mostra delle brevi spiegazioni che concernono le proprietà di immagini, variabili, funzioni e altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzatzione di segnalazioni se i progetti sono compilati e salvati nel runtime.

09 - Barra di stato:

Mostra delle informazioni di stato per la disponibilità editor e per immagini.

10 - Barra simboli Proprietà:

Definisce visualizzazione e ordine delle proprietà; mostra la Guida proprietà.

11 - Lista incrociata:

Decidete quale finestra deve essere mostrata:

  • nella lista a cascata alla voce Opzioni

L´ordine della finestra può essereadattata individualmente. La finestra principale è l´unica finestra che non può essere nascosta.

Prossimo passo:

per saperne di più su come creare un progetto, cliccate sul link nel box.

vedi anche Vedi per ulteriori informazioni

Creazione di un progetto


Creazione di un progetto

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Creazione di un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Creazione del workspace:

Il workspace costituisce la base per uno o più progetti.
Come creare un nuovo workspace è illustrato nel Tutorial Basis.

Creazione di un progetto:

Poi si procede alla creazione di un nuovo progettonel workspace. Un progetto è una unità in sé conchiusa e funzionante costituita di elementi progettabili (per es. immagini, variabili, funzioni ecc.).
Le informazioni relative alle modalità da seguire per la creazione di un progetto le trovate nel Tutorial Basis.

Info Informazioni

Adesso siete in grado di creare un progetto.

Prossimo passo:

Volete integrare adesso il Vostro progetto con delle immagini? Cliccate sul link nel box.

vedi anche Vedi per ulteriori informazioni

Immagini e modelli


Immagini e modelli

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Immagini e modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Creazione di un modello:

I modelli fissano l'area dello schermo nella quale saranno aperte poi le immagini. Ogni immagine fa riferimento ad un modello.
Ulteriori informazioni sulla creazione dei modelli le trovare nel Tutorial Basise nel capitolo modelli.

Creazione di un'immagine:

zenon offre i più diversi tipi di immagini predefiniti, e anche il più semplice "standard" in cui può essere definita liberamente l'area dello schermo. Non ci sono quasi limiti per l'adattamento ottico dell'immagine.
Per poter rappresentare in modo schematico l'impianto sullo schermo, utilizzate semplicemente le possibilità che Vi vengono messe a disposizione con gli elementi d'immagine predefiniti.

Ampliamento dell'immagine mediante gli elementi d'immagine:

zenon offre elementi d'immagine vettoriali e dinamici predefiniti, che possono essere collegati con funzioni e variabili.
Ulteriori informazioni sugli elementi d'immagine li trovate nel Tutorial Basis; le diverse forme degli elementi d'immagine predefiniti sono descritte in modo esaustivo nel capitolo elementi d'immagine.
Un'ulteriore possibilità di risparmio di tempo nella fase di progettazione viene offerta dai nostri simboli predefiniti, che potete vedere nella biblioteca dei simboli. Ulteriori informazioni su questo tema le potete trovare nel capitolo simboli.

Info Informazioni

Adesso siete in grado di creare un nuovo progetto con immagini ed elementi d'immagine.

Prossimo passo:

I Vostri elementi d'immagine devono indicare valori "reali" ed il Vostro impianto deve essere monitorato grazie a zenon? Cliccate sul link nel box.

vedi anche Vedi per ulteriori informazioni

Driver e variabili


Driver e variabili

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Driver e variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Scelta di un driver

Le variabili si basano sul driver relativo; proprio per questo motivo è necessario anzitutto scegliere Driver. Nella fase di progettazione si utilizza nella maggior parte dei casi uno dei driver di simulazione contenuti nel pacchetto standard. Esso può essere poi sostituito con il driver adatto allo specifico PLC. Il nostro zenon, che si caratterizza per la sua apertura ed indipendenza da piattaforme date, supporta più di 250 driver; le informazioni sui diversi driver le potete trovare nella relativa documentazione. Tale documentazione la potete trovare online alla voceDrivero come file pdf da stampare sul nostro CD/DVD.

Creazione di una variabile

Le variabili sono l'interfaccia con i dati di processo e rappresentano determinati valori di misurazione o stati. Allo scopo di richiamare l'attenzione su critici eventi di processo, è possibili associare alle variabili dei valori limite.
Le modalità concrete da seguire nella creazione di una variabili le trovate nel Tutorial Basis. Un'ampia descrizione di variabili, tipi di dato e matrici di reazione si trova nal capitolo Modello di dati di processo e definizione di variabili.

Rappresentazione dei valori nell'elemento d'immagine

Per rappresentare i valori in "entrata", gli elementi d'immagineimpostati possono essere collegati con delle variabili.
Ulteriori informazioni concernenti il collegamente di una variabile con un elemento dinamico le potete trovare nel Tutorial Basis. Il capitolo Elementi d'immagine contiene un link per Elementi dinamici e Elementi vettoriali di zenon.

Info Informazioni

Adesso avete un'idea generale di come possono essere usati le variabili ed i driver.

Prossimo passo

Non volete solamente osservare ma anche gestire? Per poter operare attivamente in zenon, è necessario creare e collegare delle funzioni.

vedi anche Vedi per ulteriori informazioni

Funzioni


Funzioni

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Creazione di una funzione:

Le funzionisono la base che garantisce che, durante il Runtime, sia possibile gestire l'impianto: per es. si può passare da un'immagine all'altra dell'impianto, oppure si possono apportare delle modifiche di valori.
Più funzioni possono essere riassunte e gestite in script. Ulteriori informazioni su questo tema le potete trovare nel capitolo gestione degli script.

Collegamento della funzione con un elemento d'immagine dinamico:

Ulteriori informazioni su questo tema le potete trovare nel capitolo Tutorial Base. Visto che zenon offre una grande quantità di diverse funzioni, quest'ultime sono elencate e descritte brevemente nel capitoloVisione generale funzioni. Nel dialogofunzione nuova, inoltre, trovate una breve spiegazione concernente le singole funzioni.

Info Informazioni

Adesso siete in grado di creare un progetto semplice. Potete creare un'immagine, collegare elementi d'immagine con variabili e funzioni e rappresentare la violazione di valori limite.

Prossimo passo:

E' tempo di vedere che cosa avete progettato? Cliccate sul link nel box.

vedi anche Vedi per ulteriori informazioni

Avvio del Runtime


Avvio del Runtime

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Avvio del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dall'editor al Runtime

Quello che avete progettato nell'editor, potete adesso vederlo e gestirlo ne Runtime. Adesso ci apprestiamo a lasciare il sistema di gestione (editor) e a passare nel funzionamento online (runtime).
Ulteriori informazioni sull'avvio del runtime le trovare nel Tutorial Basise nel capitolo runtime.

Info Informazioni

Non ci sono più ostacoli alla progettazione e alla visualizzazione e gestione successiva del Vostro progetto.

Più?

Quanto sopra illustrato non voleva essere che una piccola visione d'insieme delle possibilità che Vi vengono offerte da zenon. Volete saperne di più? Volete imparare di più? Cliccate sul link nel box.

vedi anche Vedi per ulteriori informazioni

Ulteriori possibilità


Ulteriori possibilità

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Quale capitolo della guida per iniziare -> Ulteriori possibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Qui troverete una molteplicità di possibilità che potete realizzare usando zenon:

Volete.... | Nessun problema!
Richiamare l'attenzione su eventi di processo critici (violazioni di valori limite)? | Gestione allarmi
Analizzare allarmi | Industrial Performance Analyzer
Protocollare eventi di processo e di sistema? | Lista Eventi Cronologica
Protocollare modifiche apportate al progetto? | Log modifiche progetto
Salvare e organizzare dati di processo? | Archiviazione
Colorare e rendere dinamici conduttori? | Automatic Line Coloring
Creare una gestione utenti conforme alle norme FDA (sistema password)? | Gestione utente
Valutare file log? | Diagnosis Viewer
Rappresentare valori di processo tramite delle curve? | Trend esteso
Gestire i dati di manutenzione dei macchinari? | Industrial Maintenance Manager
Invio messaggi | Message Control
Creare una rete client/server? | Rete
Ambiente di sviluppo | Editor
Esportare od importare parti del progetto? | Importazione - Esportazione
Eseguire delle azioni ad un orario definito? | Production & Facility Scheduler
Creare report? | Generatore di rapporti
Creare una lista per valori limite e comandi? | Ricette
Definire una successione di funzioni? | Gestione script
Richiamare delle funzioni in un momento stabilito? | Temporizzatori
Convertire delle informazioni di testo del runtime da una lingua all'altra? | Cambio lingua
Gestire l'accesso a determinati oggetti di zenondurante il funzionamento online con l'aiuto di variabili? | Interblocchi
Programmare da soli dei processi ciclici? | Process Control Engine
Imparare a conoscere i meccanismi dell'integrazione con zenon Logic? | zenon Logic Workbench
Scambiare dati con il livello ERP? | Interfaccia SAP


Orientamento all´interno della guida

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Orientamento all´interno della guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Info Informazioni

Qui potete trovare una visione riassuntiva dei capitoli del manuale online e, nel contempo, una breve introduzione alla terminologia di zenon.

Parametri | Descrizione
Gestione allarmi | Eventi di processo critici La gestione allarmi ha la funzione di evidenziare eventi di processo anomali e di assistere l’utente durante la localizzazione e eliminazione degli stessi.
Log delle modifiche | Documentazione della progettazione, Audit Trail La storia delle modifiche serve a garantire una documentazione e protocollaggio della progettazione completi e senza lacune di sorta. E’ possibile archiviare le modifiche (p.e. modifiche, cancellazioni, inserimenti) effettuate in un progetto.
Archiviazione | Registrazione dei dati di processo Il modulo dell'archiviazione serve a registrare e a comprimere a più livelli (valore medio, somma, massimo e/o minimo) i dati di processo, e si basa su un editor conforme al sistema, flessibilie e, nel contempo, di facile utilizzo.
Automatic Line Coloring | Colorazione topologica di condutture La colorazione delle linee automatica serve a rendere dinamiche condutture nella tecnica dei processi (per le sostanza e materiali) e nella distribuzione dell'energia (per l'elettricità).
Gestione utente | Sistema di password zenon prevede un'amministrazione d´utenti sia per l´editor (capitolo “progetto”) che per il funzionamento online (runtime) . Con questo sistema di password, vengono rispettate le direttive imposte da FDA (Food an Drug administration, 21 CFR Part 11).
Creazione immagini | Le componenti principali di un progetto sono le immagini, che forniscono all’utente un'informazione il più possibile completa sugli impianti da gestire.
Lista Eventi Cronologica | Diario dell'azienda, Audit Trail Tutti gli eventi di processo o di sistema e le impostazioni effettuate dell’utente, possono essere protocollate nella lista eventi cronologica.
Struttura file | Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-ini. File di sistema, zenon6.ini, project.ini, nbflist.ini, file variabili, file d'importazione dBase
Elementi d’immagine dinamici/ Elementi d'immagine vettoriali | Elementi dinamici e vettoriali zenon offre due tipi di elementi d'immagine: elementi vettoriali e dinamici. Tutti gli elementi possono essere resi dinamici.
Editor | Ambiente di progettazione Il sistema di controllo distribuito si divide in editor e runtime: L'ambiente di progettazione, l'editor e la visualizzazione online, il runtime. I progetti vengono realizzati nell'editor, mentre la loro gestione e osservazione avviene nel runtime. Descrizione dettagliata dell'ambiente di progettazione di zenon, l'Editor.
Trend esteso | Rappresentazione di valori tramite curve Il trend esteso serve a visualizzare valori online (gestione HD) e valori storici (valori di archivio) di variabili e variabili derivate.
Funzioni | Macro predefinite che possono essere semplicemente usate e parametrizzate dal progettista e che servono ad effettuare delle operazioni in zenon Gli interventi dell'utente in zenon vengono realizzati mediante delle funzioni di progetto definite dall'utente stesso. Tutte le funzioni utilizzate in un progetto sono basate sulle funzioni di sistema presenti.
HTML | Visualizzazione nella forma di una pagina HTML L'utilizzo di un’immagine per la visualizzazione di pagine HTML offre tutte le possibilità del Microsoft Internet Explorer.
Importazione - Esportazione | E' possibile esportare parti di un progetto da zenon o importarle in zenon. Il formato del file di esportazione è *.XML.
Industrial Maintenance Manager | Gestione dei dati di manutenzione L'Industrial Maintenance Manager serve alla cura dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficacie gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Viene protocollato, inoltre, quali lavori di manutenzione sono stati effettuati in passato.
Industrial Performance Analyzer | Analisi allarmi L'Industrial Performance Analyzer serve a localizzare e a ridurre al minimo i punti deboli (tempi di interruzione del funzionamento) di un impianto.
Keyboard | Tastiera virtuale Utilizzando un’immagine del tipo keyboard si può generare una tastiera virtuale, liberamente definibile.
Lista | Protocolli e file di testo La finestra lista serve per l’emissione di protocolli e file di testo, che vengono messi a disposizione da richieste alla banca dati, oppure sono disponibili come file di testo.
Gestione menu | L´Editor permette la creazione di menu standard-Windows.
Message Control |  | La spedizione di messaggi per SMS, Voice Message oppure come E-mail Il compito di questo modulo è la trasmissione di messaggi a diversi destinatari.
Gestione monitor | Sistema multi-monitor Attraverso la gestione monitor zenon si può definire su ogni PC se il sistema destinatario del progetto deve avere uno o più monitor.
Rete | Modello Client/Server Lo scada di processo realizza in un ambiente di rete il cosiddetto modello Client/Server, oppure un sistema multi-gerarchico con sotto-stazioni, centrali di campo e centrali.
OPC-Server | L'OPC Server mette a disposizione le variabili utilizzate nel progetto a tutti gli "OPC Client Tool" disponibili sul mercato.
Diagnosi PLC | Mediante lo strumento "Diagnosi PLC" possono essere visualizzati direttamente in un'immagine i dettagli del programma di un PLC. A seconda del PLC, sono a disposizione diverse funzionalità. Adesso esiste l'analisi delle successioni di processi a catena di Simatic S7-Graph che serve alla rappresentazione di informazioni concernenti le successioni di processi di PLC S7 e il Monitoring Viewer di zenon Logic che serve alla rapprensentazione di tutti i programmi che vengono usati nel runtime di zenon Logic.
Process Control Engine | Programmazione di procedimenti ciclici Il Process Control Engine (PCE) offre la possibilità di programmare dei processi ciclici in VB Script o Java Script. La PCE si adatta particolarmente bene per funzioni dalla lunga durata, che sono attiva in backgroung (per es. funzioni di esportazione di dimensioni particolarmente grandi). Al contrario di VBA, la PCE supporta il Multithreading.
Process Gateway | Il Process Gateway di zenon serve per il collegamento con sistemi di livello superiore. Parti dell'immagine di processo di zenon di altre applicazioni possono essere rese disponibili ed aggiornate.
Production & Facility Scheduler | Orario, orologio di commutazione Il Production and Facility Scheduler PFS rende possibile l'esecuzione di azioni (per es. modifica del valore impostabile di una variabile, esecuzione di una funzione) collegate ad un determinato tempo o ad un modello temporale.
Gestione progetto | Informazione sulla creazione di un progetto e sulla gestione di progetto Salva progetto, rileggi progetto, progetti globali, configurazione, trasporto remoto
Modello per i dati di processo e definizione di variabili | Una variabile di processo è l’interfaccia tra la fonte di dati (PLC, bus di campo) e zenon. Variabili, tipi di dato, driver, matrici di reazione
Lista incrociata | Visione generale del progetto Mediante la Lista incrociata si può generare una visione generale del progetto in forma di tabella. La Lista incrociata, ad esempio, dà la possibilità di sapere quali variabili sono utilizzate nelle diverse immagini
Generatore di rapporti | Il Generatore report viene utilizzato per la creazione di protocolli e rapporti basati su dati online e dati di archivio.
Ricette | Liste di parametri per valori impostabili e comandi Le ricette servono a definire un insieme globale di liste di parametri per l'impostazione di valori e comandi, eseguibili attraverso una chiamata di funzione nel funzionamento online.
Manager gruppi ricette | Oltre alle ricette standard, il manager gruppi ricette offre ulteriori possibilità, come ad es. quella di creazione libera di un Layout, o quella della divisione libera in gruppi.
Runtime | Gestione online, Runtime Il sistema di controllo si divide in editor e runtime: L'ambiente di progettazione, l'editor e la visualizzazione online, il runtime. I progetti vengono realizzati nell'editor, mentre la loro gestione e osservazione avviene nel runtime. Possibilità di gestione nel runtime
Guida runtime | zenon offre la possibilità per i progetti attivi di creare una guida contestuale nel Runtime.
Schedulatore | Esecuzione di azioni in base ad un tempo definito Lo schedulatore viene caricato, quando il modulo PFS non è provvisto di licenza. Le sue funzioni sono analoghe al PFS, ma meno estese. Il PFS viene utilizzato per l’ esecuzione di particolari azioni in un determinato orario.
Tipi di carattere | I tipi di carattere, che sono disponibili nel sistema operativo, Schriften, possono essere utilizzati in zenon.
Gestione script | Successione di funzioni Più funzioni definite dall’utente possono essere collegate in una sequenza tramite uno script.
Cambio lingua | La funzione di cambio lingua consente, durante il lavoro online, di modificare le informazioni impostate sotto forma di testo in diverse lingue. Nell'impostazione di progetti internazionali è essenziale la funzionalità multilingua.
Gestione stati | Attibuiti di variabili Con la gestione stati è possibile conferire ad ogni variabile propri attributi. Complessivamente sono a disposizione 32 stati / attributi. I più comuni sono "spontaneo", "disturbato", "valore manuale" e "valore di riserva".
zenon Logic Runtime | Il runtime zenon Logic interpreta il code PLC compilato (PLC-Code) del workbench di zenon Logic. Il Runtime è attivo su Windows XP, VISTA e XP embedded e su piattaforme Windows CE.
zenon Logic Workbench | zenon Logic è un ambiente di sviluppo per IEC 61131-3. Con l'ambiente di sviluppo di zenon Logic - la cosiddetta Workbench - si possono progettare e programmare PLC nelle cinque lingue definite in IEC 61131-3.
VBA | Estensioni di zenon Con VBA, la funzionalità di zenon può essere estesa autonomamente. Verranno descritte le possibilità di utilizzare VBA in zenonsulla base di esempi di soluzioni speciali per la realizzazione di progetti.
Interblocchi | Autorizzazioni di accesso Gli interblocchi consentono di gestire l’accesso a determinati oggetti di zenondurante il Runtime con il supporto di variabili.
Engineering distribuito | Gestione multiutente, funzionalità multipostazione La funzione multi-utente di zenon consente a piu utenti di lavorare contemporaneamente ad uno stesso progetto.
Video | File .avi in zenon Utilizzando un’immagine per la visualizzazione video si possono visualizzare riprese online oppure riprese video salvate (*.avi)
Cosa Vi offrezenon sotto CE? | Il runtime CE di zenon può essere utilizzato su diverse piattaforme Hardware CE. In generale la versione CE di zenon offre la stessa funzionalità di quella della versione di zenon per il PC, con alcune limitazioni che sono da mettere in relazione alle più modeste risorse Hardware.
Web Server e Web Server Pro | Il WEB server porta progetti in interner e intranet 1:1. Per il trasferimento non è necessario apportare alcune modifiche o adattamenti al progetto. A differenza del Web Server Pro, il Web Server offre una pura funzione di consultazione. Il Web Server Pro, invece, offre non solo la funzione di consultazione, ma anche una possibilità di intervento e gestione attivi. È possibile accedere direttamente ai processi tramite il WEB.
Wizard | Assistenti, forme di aiuto per la fase di progettazione Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, zenon mette a disposizione dei wizards concernenti diversi temi. Gli utenti possono creare da soli dei wizard adibiti allo svolgimento di compiti particolari.
immagine globale | Scrollen bei großen Bildern Con l'utilizzo di una immagine globale, è possibile scrollare con il mouse in immagini standard più grandi della risoluzione dello schermo. E' possibile anche effettuare uno zoom e visualizzare o far sparire delle informazioni nell'immagine in dipendenza dal livello di zoom scelto. (Zooming, panning, decluttering).
Attribuzioni | Trasmissione di valori Il trasferimento (attribuzione) di un valore attuale di una variabile a una seconda variabile all’interno di un driver o da un driver all´altro, viene realizzato tramite attribuzioni.


Funzionalità dell'online-help - Così trovate quello che state cercando

Manuale -> Filo conduttore attraverso l'help - una visione generale -> Funzionalità dell'online-help - Così trovate quello che state cercando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Qualche volta succede che delle informazioni, pur essendo contenute nella guida online, non sono rintracciabili mediante la funzione "cerca".
Proprio per questo motivo, potete trovare qui di seguito dei consigli preziosi che Vi aiuteranno a cercare e soprattutto a trovare quello che state cercando nella nostra guida.

Strategie di ricerca

  • Di Default la guida inizia con un sommario Qui potete trovare l'intera documentazione (manuale online, tutorial, documentazione sui driver) organizzata in una struttura ad albero.
  • Mediante la voce cerca potete iniziare una ricerca inserendo nell'apposito campo una parola o un'espressione.
  • Mediante la voce preferiti potete selezionare dei capitoli dalla consultazione particolarmente frequente. Per far ciò, è sufficiente selezionare il capitolo desiderato nel sommario, oppure trovarlo mediante la funzionalità cerca (è necessario effettuate un doppio clic), e poi spostarlo suFavoriti. Il capitolo selezionato viene visualizzato in questa sede come argomento correntee può venire aggiunto ai Favoriti.

Ricerca di parole o di espressioni:

Parametri | Descrizione
Parola singola | per es. allarme vengono visualizzati i capitolo che contengono la parola "allarme". Anche le eventuali varianti grammaticali della parola vengono tenute in considerazione.
Espressioni | z.B. 'gestione allarmi si effettua una ricerca nella guida volta a ricercare l'espressione "gestione allarmi". Senza l'uso delle virgolette, verrebbero visualizzati i risultati della ricerca relativa alle parole "allarme" E "gestione", cioè i capitoli che contengono entrambe le parole.
Estensioni | Per es. allarme* si ricercano nei diversi capitoli tutte le espressioni in cui allarme è una parte delle stesse. L'asterisco (*) può essere anche posto all'inizio della parola da ricercare (per es. *allarme)
Collegamenti | AND Tutte e due le parole dovrebbero ricorrere nello stesso capitolo. per es. allarme AND CEL Vengono visualizzati i capitoli che contengono entrambe le parole.
 | OR Perlomeno una delle parole deve essere presente nel capitolo per es. allarme OR CEL Vengono visualizzati i capitoli che contengono o la parola "allarme" o la parola "CEL", oppure entrambe le parole.
 | NOT Solo una delle parole è contenuta nel capitolo. per es. allarme NOT CEL Vengono visualizzati i capitoli che contengono la parola "allarme" ma non quella "CEL".
 | NEAR Entrambe le parole sono contenute nel capitolo, una accanto all'altra per es. allarme NEAR CEL Vengono visualizzati i capitoli che contengono entrambe le parole "allarme" e "CEL" ad una distanza massima di otto parole.


zenon: famiglia di prodotti

Manuale -> zenon: famiglia di prodotti

Nella sua veste di software di automazione per HMI, SCADA e Reporting, zenon mette a disposizione dei suoi utenti numerose funzionalità integrate per l´Engineering e per il Runtime, indipendentemente dalla piattaforma utilizzata.

Con zenon potete:

  • Creare, distribuire, modificare e eseguire progetti di automazione
  • usare il soft-PLC zenon Logic integrato
  • registrare e analizzare dati provenienti da numerose fonti e da diversi impianti

attenzione Attenzione

Se nella guida trovate dei riferimenti a zenon in generale, ci si intende di regola riferire al zenon Supervisor e al zenon Operator.

zenon è disponibile anche in due edizioni speciali:

  • Energy Edition: per il settore delle industrie di produzione e di distribuzione dell´energia
  • Pharma Edition: per l´industria farmaceutica

Queste edizioni sono pensate per rispondere nel miglior modo possibile alle esigenze dei settori cui si rivolgono e contengono elementi speciali, come simboli propri, wizard ecc.


zenon: Supervisor

Manuale -> zenon: famiglia di prodotti -> zenon: Supervisor

Il zenon Supervisor è uno strumento dalle ampie possibilità che serve a creare ed eseguire progetti di automazione. Esso consiste di Editor e Runtime, consente la rapida realizzazione di reti di automazione - anche connessione web - e può essere utilizzato sotto tutti gli attuali sistemi operativi di Windows.

Per l´uso su sistemi di gestione di macchinari, si può usare anche una variante dalle funzioni limitate, il zenon Operator.


zenon Operator

Manuale -> zenon: famiglia di prodotti -> zenon Operator

Il zenon Operator è un prodotto conveniente pensato per la gestione dei macchinari. La sua principale modalità di funzionamento corrisponde al zenon Supervisor. Rispetto al zenon Supervisor, però, l´Operator è piùl limitato dal punto di vista funzionale.

L´Operator di zenon consiste di un Editor e di un Runtime e può essere utilizzato su sistemi operativi PC e CE.


Integrato zenon Logic

Manuale -> zenon: famiglia di prodotti -> Integrato zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic è un ambiente di programmazione IEC 61131 integrato in zenon. È a disposizione come Editor e Runtime (Soft-SPS) per zenon Supervisor e zenon Operator.


zenon Analyzer

Manuale -> zenon: famiglia di prodotti -> zenon Analyzer

Grazie ad un´analisi che coinvolge diversi sistemi, il zenon Analyzer offre una visuale corrispondete alle esigenze del management e del controlling su tutti i dati online e offline. Questo strumento svolge dei compiti precedentemente separati ed elimina problemi che si verificano per la necessità di sincronizzazione parallela, manutenzione e coordinazione di diversi sistemi IT. Il zenon Analyzer:

  • riassume e analizza dati provenienti da diverse fonti in diversi formati.
  • li mette in relazione reciproca
  • visualizza i risultati che ne derivano nella forma grafica di un rapporto

Mentre si usa il zenon Analyzer, il processo produttivo non viene interrotto. Il zenon Analyzer può essere implementato in un sistema produttivo esistente, senza che sia necessario modificare la configurazione di quest´ultimo. Durante la rilevazione dei dati e la generazione di report, il sistema produttivo continua a funzionare. L´infrastruttura eistente, indipendentemente dal produttore, viene implementata nel reporting tramite zenon Analyzer.

Per accedere alle analisi, è sufficiente solamente un browser standard di Microsoft. Non si deve installare, né modificare, nè effettuare la manutenzione di nessun software. Le analisi possono essere implementate senza ulteriori componenti o Plug-In nell´Intranet di un´azienda. I rapporti standard vengono già forniti con zenon Analyzer. In qualsiasi momento si possono creare, salvare e distribuire delle proprie analisi.

Ulteriori informazioni su zenon Analyzer le trovate nella documentazione specifica concernente il zenon Analyzer, oppure le ottenete rivolgendovi al Vostro sales-partner di COPA-DATA: sales@copadata.com.


Progettazione efficiente con zenon

Manuale -> Progettazione efficiente con zenon

E´la prima volta che lavorate con zenon?
Qui leggerete come potete usare in modo efficiente zenon. Anche se avete già esperienza per aver lavorato con altri sistemi di gestione del processo, Vi consigliamo di dare un´occhiata a questo capitolo. Verrete a sapere quali sono i concetti fondamentali che sono alla base di zenon, come funziona il programma, perché e come zenon può facilitare e sveltire il Vostro lavoro.

Visione generale di zenon

zenon consta di editor e runtime.
I progetti vengono realizzati nell´editor. La gestione e l´osservazione avvengono invece nel runtime. A partire dalla versione 6.20, l´editor e il runtime sono compatibili fra le diverse versioni. Un progetto che è stato creato usando la versione 6.50, ad esempio, funziona anche con il runtime della versione 6.22, e viceversa.

zenon si differenzia da altri sistemi soprattutto per:

  • solo gestione: Per eseguire molte azioni sono sufficienti solo pochi clic del mouse; assistenti e wizard facilitano e sveltiscono il lavoro; siete Voi a scegliere se volete lavorare con Drag&Drop, con il mouse o con la tastiera.
  • pratico orientamento agli oggetti: Lavorate con oggetti e, invece di dover perdere tempo a programmarli, dovete solamente parametrizzarli. Potete usare degli oggetti definiti anche per più progetti contemporaneamente, approfittate dei vantaggi della trasmissione ereditaria e di velocissime modifiche delle proprietà.
  • Eccellente riutilizzabilità di elementi e oggetti già progettati: in zenon molti elementi, che vanno da singole variabili a progetti completi, possono essere riutilizzati in modo semplice ed efficacie.
  • Rete integrata: Engineering distribuito in rete e ridondanza al 100%, son realtà concrete. Per impostare delle reti non dovete far altro che attivare la checkbox corrispondente. Con la stessa semplicità potete connettere in rete singoli progetti stand alone in modo da ottenere efficienti sistemi ridondanti.

Consigli e trucchi del mestiere

Molti consigli utili su come sfruttare i vantaggi offerti dal sistema, li trovate nel forum di www.copadata.com. Il modo migliore di imparare ad usare in modo ottimale zenon, è quello di frequentare i training e workshop di COPA-DATA, che sono adattati alle Vostre priorità e ai Vostri progetti. Il nostro distributore è a Vostra completa disposizione per fornirvi le informazioni desiderate; oppure scrivete una Mail a sales@copadata.com.


Solo gestione

Manuale -> Progettazione efficiente con zenon -> Solo gestione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Vi facilita il lavoro di progettazione, mettendo a Vostra disposizione una serie di meccanismi vantaggiosi e consentendovi, dunque, di incrementare la produttività. Lavorando con zenon potrete costatare che molti compiti possono essere eseguiti in pieno accordo con le Vostre preferenze ed esigenze individuali. Ad esempio:

Favoriti

Nelle proprietà degli oggetti e nel dialogo che serve alla selezione delle funzioni, potete definire i Vostri propri favoriti. Questi ultimi vengono offerti sempre dal sistema alla scelta dell´utente all´inizio delle liste delle proprietà e, in tal modo, Vi consentono un accesso veloce a quelle proprietà di cui avete bisogno in modo particolarmente frequente.

Gestione tastiera generale nell´editor

E´possibile lavorare nell´editor in modo semplice e confortevole operando con il mouse in simboli e menu; ma è possibile lavorare usando la sola tastiera. Le abbreviazioni tastiera che Vi sono familiari se lavorate con Windows, funzionano anche in zenon. Ad esempio:

  • Ctrl+C e Ctrl+V per copia e incolla
  • Ins crea dei nuovi oggetti.
  • Canc elimina gli oggetti selezionati.
  • I tasti Cursor servono a navigare all´interno delle diverse visuali.
  • Esc interrompe l´esecuzione di un´azione.
  • Cancellare a ritroso (Backspace) salta nella visione ad albero dei percorsi anche al livello superiore.
  • Ctrl+Z annulla le ultime azioni, fatta eccezione per le operazioni di banca dati.

Ulteriori informazioni sulla gestione con la tastiera, le trovate nel capitolo Combinazioni tasti.

Drag & Drop

Nell´editor avete la possibilità di semplificare i passaggi del Vostro lavoro facendo uso di Drag&Drop. Ad esempio:

  • Sostituire la successione degli inserimenti di menu.
  • Collegare caratteri a elementi dinamici, come slider universale, orologio, elemento combinato ecc.
  • Modificare successione di elementi strutturali per tipi di dato struttura
  • Modificare successione all´interno di uno script
  • Copiare oppure spostare delle funzioni tramite diversi script
  • Copiare script trascinandoli sui nodi principali

Assistenti e wizard intelligenti per eseguire compiti complessi

Gli assistenti e i wizard integrati in zenon Vi aiutano a creare un progetto base, oppure ad effettuare delle complesse impostazioni in modo mirato. Raccomandiamo soprattutto a chi usa per la prima volta il programma, di servirsi degli assistenti per lo slider universale, l´elemento combinato e l´archivizione.

Tooltip per elementi e proprietà

Se muovete il puntatore del mouse su un elemento di visualizzazione (per esempio un pulsante con testo), oppure su una proprietà con collegamento (per esempio la funzione collegata ad un pulsante di testo). Quest´ultimo mostra delle informazioni concernenti gli elementi collegati, come la funzione e i suoi parametri.

Possibilità estese di disegno

L´editor grafico Vi offre un´ampia scelta di funzioni che Vi facilitano la realizzazione di immagini del Vostro impianto e che Vi offrono un ampio spettro di possibilità di rappresentazione. Si va dallo zoom continuo, scalare con il clic del mouse, alla distribuzione automatica degli elementi sulla base di regole. I dettagli relativi li potete trovare nel capitolo Immagini

Passare a elementi collegati

Con tutti gli elementi grafici, con le funzioni, con le variabili e anche con altri elementi, avete la possibilità di passare direttamente agli elementi collegati. Ad esempio: con un semplice clic del mouse passate direttamente da un elemento di visualizzazione alla variabile collegata, dalla variabile direttamente al tipo di dato utilizzato e, da lì, addirittura all´unità usata. Se lo volete, potete ripercorrere questi passaggi a ritroso e passare all´elemento di partenza usando comodamente il mouse.


Orientamento ad oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

COPA-DATA considera il tema della automazione in primo luogo come un problema di orientamento agli oggetti, e, in secondo luogo, in modo estremamente pragmatico. Questi sono i principi su cui si basa zenon, un programma che, a sua volta, si fa automatizzare in larga misura. Per usare zenon non avete bisogno di alcuna lingua di programmazione. Non è necessario, infatti, programmare nessuna riga di codice. Non dovete fare altro che assegnare delle proprietà a degli oggetti, e questo con un semplice clic del mouse. Ciò funziona non solamente per singoli oggetti, ma anche a livello centrale per un intero progetto e addirittiura per più progetti contemporaneamente.

Se però adesso avete il dubbio di non poter individualizzare zenon e di essere in balia delle proprietà degli oggetti, possiamo tranquillizzarvi: Naturalmente potete usare zenon per lavorare in modo assolutamente individuale. A tal scopo, sono a Vostra disposizione soprattutto VBA oppure l´ambiente di sviluppo VSTA (.NET). Inoltre, zenon mette a Vostra disposizione molte interfacce che Vi consentono di comunicare con hardware e software, e una SCADA Logic integrata: zenon Logic .

Tre principi fondamentali per lavorare con zenon

Tre principi fondamentali rendono il lavoro di progettazione con zenon semplice, affidabile e ne facilitano il lavoro di manutenzione:

  1. progettare anziché programmare:

    Settare i parametri necessari anziché programmare, oppure adattare degli script.

  2. Globalmente e centralmente anziché localmente:

    definire gli oggetti solamente una volta e riutilizzarli continuamente, anche per più progetti, anziché dovere scrivere degli script e doverli copiare.

  3. Progettazione con orientamento ad oggetti:

    Sfruttare tutti i vantaggi offerti dall´orientamento agli oggetti.


Progettare anziché programmare

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettare anziché programmare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quali sono i vantaggi che comporta il parametrizzare i progetti anziché dover fare un complesso lavoro di programmazione?

Potete evitare soprattutto di scrivere delle righe di codice (lavoro sempre soggetto ad errori); guadagnate una maggiore flessibilità, una migliore visione d´insieme; impostate progetti più velocemente e raggiungete un grado molto elevato di riutilizzabilità. Vogliamo sottolineare soprattutto quattro punti:

  1. usare dei moduli predefiniti significa guadagnare tempo.
    zenon contiene molti moduli preconfezionati. Invece che programmare da solo degli script, il progettista sceglie il modulo adatto e lo configura selzionando le proprietà ed i parametri desiderati. In tal modo siete in grado di creare in breve tempo dei progetti funzionanti.
  2. Il prodotto Vi viene fornito dal produttore in una versione perfettamente funzionante
    Il progettista può concentrarsi completamente sul suo progetto. Il software viene sviluppato e testato dal produttore; i progettisti non devono scrivere nemmeno una riga di codice. Ciò significa che è facile imparare a lavorare con zenon, anche per quei dipendenti senza esperienza in Software-Engineering.
  3. Semplice manutenzione e adattamento del progetto
    zenon lavora in modo strettamente orientato agli oggetti. Il principio "parametrizzare anziché programmare" significa : semplicità di manutenzione e adattamento. Per effettuare delle modifiche e dei controlli, si deve controllare o cambiare solamente le proprietà dei singoli oggetti, invece che leggere lunghi codici e modificarli. Per quello che concerne la lunghezza di vita di un progetto, si può dire quanto segue:
    • Visione globale: i progetti sono comprensibili nella loro struttura anche a distanza di anni e per nuovi dipendenti.
    • Sicurezza: si può evitare gli script, continua fonte di errori, e il lavoro di programmazione.
    • Guadagno di tempo: progettazione, adattamento e manutenzione possono essere effettuati in tempi molto più brevi.
  4. Semplice adattamento ai macchinari
    zenon è adattabile in modo veloce e semplice a macchinari nuovi e/o modificati. Gli adattamenti dei processi richiedono solamente pochi clic del mouse.

Adattare zenon:

la parametrizzazione evita anche che gli eventuali errori di uno script vengano copiati di continuo. Essa evita anche delle complicate modifiche in molti script che si rendono spesso necessarie anche quando si vuole effettuare un cambiamento molto piccolo. Il che non significa, però, perdere libertà di azione. Anche zenon Vi dà la possibilità di adattare ed estendere il sistema in modo del tutto individuale.

  • VBA/VSTA:
    Con l´aiuto del linguaggio script Visual Basics for Applications, oppure di. C# und VB.NET, potete eseguire qualsiasi codice anche nel runtime. Potete affrontare e risolvere dei compiti di automazione, compiti di logica e quelli che hanno a che fare con le interfacce, nonché accessi a banche dati.
  • zenon Logic:
    l´ambiente di gestione pienamente integrato, Vi consente di usare come SCADA Logic tutti i linguaggi 5 IEC 61131-3. In tal modo potete sbrigare tutti i calcoli e i compiti di logica.
  • PCE:
    l´integrato Process Control Engine Vi consente di realizzare dei compiti di automazione nelle lingue VB-Skript e Java Skript.
  • Controlli ActiveX:
    qualsiasi control standard, come Flash Player oppure Acrobat Reader, può essere integrato in zenon. L´interfaccia è disponibile anche per ActiveX Control di programmazione propria.
  • Elementi WPF
    Grazie alla diretta intergrazione di Microsoft Formats Windows Presentation Foundation, potete implementare in questo nuovo formato grafico direttamente in immagini zenon degli elementi grafici, quali, per esempio, un pulsante, uno strumenti analogico e molti altri. Potete collegare liberamente questi elementi con variabili e funzioni e, in tal modo, realizzare una grande quantità di effetti grafici.
  • Interfaccia COM:
    grazie all´interfaccia COM, completamente aperta, potete accedere da fuori a zenon. Per la comunicazione, disponete di un gran numero di linguaggi di programmazione, come, ad esempio, C++, .NET, Delphi ecc.


Globalmente e centralmente anziché localmente

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Globalmente e centralmente anziché localmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le proprietà possono essere definite in zenon in diversi modi, a seconda di quale sia la loro funzione:

  • direttamente sull´oggetto
  • centralmente
  • globalmente

Naturlamente, anche tutte le impostazioni possono essere effettuate sull´oggetto in zenon. Ma questa non è sempre la via migliore.

Definire le proprietà centralmente

Spesso è meglio definire le proprietà una volta sola centralmente. In tal modo, i nuovi oggetti hanno sin dall´inizio le proprietà desiderate. Le eventuali modifiche sono particolarmente semplici: la proprietà desiderata viene modificate solamente in un posto e tutti gli oggetti interessati riprendono la modifica automaticamente. Il che significa che è sufficiente solamente un clic del mouse, anziché scrivere molte righe di codice o cliccare molte volte.

Queste impostazioni centrali sono semplici da trovare in qualsiasi area dell´editor ci si trovi ad operare. Ogni oggetto che riprende delle impostazioni da una sorgente centrale, offre la possibilità di passare direttamente alle stesse. Non dovete far altro che usare il link e vedete subito come sono collegati gli elementi.

Le proprietà, però, non possono essere definite solamente centralmente per un progetto, ma anche in termini globali, il che significa che valgono per più progetti.

Progettazione globale

zenon Vi offre la possibilità di lavorare contemporaneamente a più progetti, dandovi così l´oppurtunità di risparmiare preziose risorse: tempo di lavoro. Usare in tutti i progetti gli stessi caratteri, per esempio, è molto semplice. Una volta definite, proprietà come tipo di carattere e dimensione carattere sono immediatamente disponibili in tutti i progetti di un workspace. Se avete bisogno di un altro carattere per tutti i progetti, non c´è alcun problema; è una questione di pochi secondi modificarlo nel progetto globale. E se volete usare una altro carattere per un singolo progetto? Allora non dovete far altro che modificare il carattere centralmente in questo progetto.

Info Informazioni

Vi consigliamo di usare nel progetto globale degli altri circoli numero di quelli usati nel progetto locale. Questo perché zenon, nel caso di numeri identici, si dà sempre la precedenza alle impostazioni locale .

E: usate un nome proprio per le liste caratteri che mantenete consistenti nel progetto locale e nei progetti locali. In tal modo, assicurate che tutti i caratteri vengano trovati anche nel caso di un cambio lingua.

Visione generale delle relazioni di oggetti

Una visione generale concernente i Vostri progetti e le relazioni degli oggetti l´avete anche tramite:

  • lista incrociata (QVL):
    essa mostra le relazioni incrociate sussistenti in un progetto e permette di ricercare con semplicità l´uso di variabili e funzioni.
  • Wizard per documentazione
    esso genera automaticamente una completa documentazione di progetto. Quello che deve essere documentato può essere definito in modo esatto per ogni proprietà.


Progettazione con orientamento ad oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

'Parametrizzare in modo orientato agli oggetti è `uno dei punti fondamentali della filosofia di zenon. Questo principio è fonte di chiara visione d´insieme e rende possibile risparmiare molto tempo nella impostazione e nella gestione di variabili.

Ogni variabile in zenon si basa su due elementi:

  • Driver
  • Tipo di dati


Driver

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I driver non vengono connessi direttamente in zenon, ma per mezzo di un tipo di oggetto driver. Esso stabilisce in quale settore il PLC deve essere contattato.

Tipo di oggetto driver

Esistono molti diversi tipi di oggetto driver, come, ad esempio, Merker PLC standard, blocco dati, entrate, uscite, contatori, ma anche tipi speciali, come allarmi om variabili driver.

Il tipo oggetto driver definisce:

  • l´area sul PLC.
  • Quale granularità ha il driver in quest´area.
  • Quali tipi di dato devono essere impostati in quale settore.

Un consiglio: Non tutti i tipi di dato possono essere impostati. Selezionate sempre, dunque, al momento di creare una variabile:

  • in primo luogo il driver,
  • poi il tipo di oggetto driver e
  • infine il tipo di dato.

Panorama: Granularità:

la granularità è importante soprattutto nel caso di PLC ad indirizzamento numerico, come, ad esempio, Siemens S7. Non tutti i PLC hanno le stesse impostazioni e neanche tutti i settori in un PLC hanno la stessa impostazione.

Per esempio: il settore blocco dati di Siemens S5 è orientato a parole, il settore merker è orientato a Byte. Il che significa che la più piccola unitià che può essere indirizzata è un Byte o una parola Wort Se si vuole scrivere in questo settore un bit, si deve leggere perlomeno un intero byte/parola, mascherare il bit corrispondente e modificarlo e riscrivere tutto il byte/parola sul PLC.

La stessa informazione è necessaria anche per l´indirizzamento dei settori denominato offset. Si inizia da zero e si continua a contare in passi byte o parola. Se si usa in zenon l´ Indirizzamento automatico, questa granularità viene tenuta presente automaticamente. La granularità non dipende dunque dal driver, ma dal tipo di oggetto driver.

Variabili del driver

Le variabili driver vengono offerte da ogni driver e sono fonte di molteplici vantaggi nella progettazione. Non comunicano con il PLC, ma leggono un settore di salvataggio interno del driver contenente informazioni sprattutto statistiche. Ma anche delle funzioni speciali possono essere gestite per mezzo di variabili, per esempio, numero di telefono per collegamenti modem, oppure comandi per componi numero e chiudi comunicazione.

Delle informazioni più esatte le trovate nel capitoloVariabili driver.

Sul CD di installazione di zenon, trovate un file dBase con le più importanti variabili driver. Con esso potete importare queste variabili in ogni driver, anziché doverle impostare manualmente.


Tipi di dato

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I tipi di dato sono il cuore del parametrizzare in riferimento agli oggetti. Visto che nei tipi di oggetto driver ‑non possono essere effettuate delle impostazioni, essi non sono utilizzabili per questo orientamento agli oggetti. I tipi di dato, invece, offrono molte possibilità.

Distinguiamo tre tipi:

  • Semplici tipi di dato:
  • Struttura di tipi di dato
  • Elementi struttura


Semplici tipi di dato

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Semplici tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Semplici tipi di dato sono sempre tipi di dato IEC, cioè quelli deifiniti nello standard IEC 61131-3, come BOOL, INT, USINT, UDINT, USINT, STRING, WSTRING ecc; portate la lunghezza di un´area con - per esempio:
BOOL: 1 Bit
INT: 16 Bit con segno
UINT: 16 Bit senza segno

I tipi di dato in zenon consentono, però, accanto al tipo di dato IEC l´impostazione di molte più proprietà. Queste ultime hanno le stesse denominazioni delle proprietà delle variabili:

  • Identificazione
  • Unità
  • Campo valori
  • Valori limiti

Perché questa "contabilità doppia"?

La ragione è tanto semplice, quanto pratica:
la variabile riprende il calcolo del valore, unità e anche valori limite del tipo di dato che ne è alla base; allo stesso modo in cui l´elemento di visualizzazione riprende il tipo e la dimensione del carattere collegato.

Orientamento ad oggetti

Diversamente da quello che accade per il collegamento di elementi dinamici e caratteri, qui abbiamo a che fare con un approccio orientato agli oggetti: l´oggetto tipo di dato trasmette le sue proprietà alla variabile. La differenza?

Delle proprietà collegate/derivate possono essere separate dalla variabile o sovrascritte. Ciò funziona per ogni singola proprietà, ma anche per tutte le proprietà insieme. Potete, per esempio, riprendere l´unità dal tipo di dato centralmente, ma potete sovrascrivere l´identificazione oppure l´indirizzo direttamente sulla variabile. Funziona nel modo seguente:

  • se modificate nelle variabili il valore corrispondente, il collegamento viene eliminato.
    Lo notate anche per il fatto che nella proprietà scompare il simbolo di spunto.

Mediante il menu contestuale, potete usare le seguenti funzioni:

  • Deriva proprietà da tipo di dato:

    se avete interrotto il collegamento, potete ristabilirlo.

  • Separa proprietà:

    potete separare delle singole proprietà senza dover modificare il valore. Se modificate in un secondo tempo il valore nel tipo di dato, potete essere sicuri che la variabile non ne viene interessata in alcun modo. Potete decidere se il concetto di trasmissione ereditaria deve entrare in funzione oppure no.

Un ulteriore aiuto che il sistema Vi mette a disposizione, consiste nella possibilità di assumere oppure di separare dal tipo di dato tutte le proprietà con un semplice clic del mouse. In tal modo potete ripristinare oppure modificare velocemente lo stato originario (tutto derivato). Quali vantaggi porta in pratica?

Soprattutto un elevato grado di flessibilità: Se avete molte variabili che presentano lo stesso valore limite, per esempio un allarme con il valore 1, allora impostate questo valore direttamente nel tipo di dato. Il testo del valore limte e altri parametri opzionali, poi, li potete fissare separatamente per ogni variabile. In tal modo Vi rispiarmate di dover impostare il valore limite per ogni singola variabile e le Vostre prestazioni nell´engineering salgono notevolmente. A proposito: il tipo di dato BOOL impostato di default ha già un valore limite di 0 e 1!

Se non avete per ogni variabile Bool un valore limite, non dovete far attenzione per ogni variabile e disattivare il valore limite. Vi limitate a sfruttare l´utile possibilità messa a disposizione da zenon e impostate un tipo di dato proprio Bool. Procedete nel modo seguente:

  • lasciate così com´è il tipo di dato standard.
  • Cliccate su Nuovo tipo di dato.
  • Apparirà una lista con i tipi di dato esistenti.
  • Selezionate Standard-Bool.
  • Indicate un nome, per es. MyBool
  • Tutte le proprietà del nuovo tipo di dato vengono riprese automaticamente dal vecchio.
  • Cancellate per MyBool i valori limite.

Tutte le variabili Bool che non devono avere dei valori limite, devono essere impostate su questo tipo di dato nuovo MyBool; ed ecco che i valori limite non desiderati spariranno. Quelli, invece, che desideate siano attivi, continuano a funzionare regolarmente.

Potete creare non solo un tipo di dato proprio Bool, ma anche qualsiasi altro tipo di dato desideriate. Tutte le variabili che necessitano per ampi settori delle stesse proprietà, possono essere impostate su dei tipi di dato di creazione propria. Se volete cambiare una proprietà, fatelo centralmente e tutte le variabili derivate riprenderanno automaticamente la modifica; fatta eccezione per quelle per cui il collegamento è stato interrotto.


Tipi di dato struttura - elementi di struttura - array di struttura

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato struttura - elementi di struttura - array di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

tipi di dato struttura

Tipi di dato struttura definisce un gruppo di tipi di dato che sono definiti esattamente nella loro successione e nel loro ordine. Per esempio, la struttura motore può comporsi degli elementi Giri e Prestazione.

Una struttura può essere anche ad incastro, con dei livelli gerarchici che possono essere definiti a piacere.

Per mezzo dei tipi di dato struttura si possono costruire le variabili in modo tale che corrispondano alla situazione del PLC o della realtà.

Elementi struttura

Un tipo di dato struttura è, i realtà, solamente un contenitore, che nasconde il nome per la struttura, ma non porta con sé delle proprietà proprie.

Esse vengono solo con gli elementi di struttura che vengono aggiunti al tipo di dato struttura. Si deve distinguere fra:

  • tipi di dato struttura collegati:

    Relazione con un tipo di dato già esistente. Tutte le proprietà vengono riprese, ad eccezione del nome.

    Vantaggio: se l´elemento struttura ha molte proprietà di un tipo di dato già esistente, queste possono essere riutilizzate. Nel caso delle variabili, naturalmente, si può continuare a modificare delle singole proprietà, oppure le si può separare dal tipo di dato.

  • Tipo di dato struttura proprio separato:

    permette delle impostazioni di indirizzamento individuali. Questo nuovo tipo di dato è valido solamente all´interno di questa struttura.

Info Informazioni

Pratico orientamento agli oggetti: se la struttura cambia in qualsiasi momento, basta modificare il tipo di dato struttura per adattare automaticamente tutte le variabili che si basano su questa struttura.

Modifiche possibili in ogni forma:

  • proprietà semplici come unità nel caso di tipo di dato
  • delle proprietà complesse, come l´aggiunta o la cancellazuione di un valore limite.
  • modifica della struttura completa per mezzo, per esempio, della modifica della successione degli elementi oppure l´aggiunta di singoli elementi di struttura nel tipo di dato struttura.

Array di struttura

Se non si tratta di un macchinario, ma di molti, è il momento di usare l´array di struttura.

Ad esempio: 100 pompe anziché una 1 pompa.
In questo caso la variabile di struttura si trasforma semplicemente in un array di struttura. In tal modo, con un solo clic del mouse, 110 variabili diventano 100 variabili di struttura.

Se dobbiamo impostare, per esempio, per ogni pompa 12 variabili singole, abbiamo bisogno complessivamente di 1200 variabili. Il metodo "parametrizzare in modo orientato agli oggetti" permette di far ciò con pochi clic del mouse. Un altro vantaggio è che tutte le variabili sono già impostate in anticipo. Ogni singola variabile porta con sé tutte le proprietà di cui ha bisogno, come unità, calcolo valore, allarme, inserimenti CEL ecc.

Info Informazioni

Tipi di dato struttura si prestano anche a facilitare il riutilizzo di variabili.


Esempio: pompa

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato struttura - elementi di struttura - array di struttura -> Esempio: pompa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Esempio: pompa

Situazione di partenza

Una pompa consiste di due motori. Ognuno di essi ha alcune variabili, come:

  • Numero di giri attuale
  • Consumo elettricità
  • Prestazione
  • ecc.

Ogni motore, a sua volta, ha un regolatore motore con le seguenti variabili:

  • Numero di giri attuale
  • Quota P
  • Quota I

Per realizzare quanto sopra, procedete nel modo seguente:

  1. create una struttura Regolatore di rispettivamente un tipo di dato per
    • Numero di giri attuale
    • Quota P
    • Quota I
  2. Create una struttura Motore con rispettivamente un tipo di dato:
    • Numero di giri attuale
    • Consumo elettricità
    • Prestazione
    • ecc.
  3. Nella struttura Motoreriorendete il Regolatore.
  4. Create una struttura pompa e integrateci il motore.

    Visto che abbiamo due motori, riprendete il tipo di dato motore semplicemente due volte nella Vostra struttura Pompa.

  5. Create una variabile che si basa su questo tipo di dato struttura:
    • Crea nuova variabile
    • Scegli tipo di dato struttura Pompa

    I singoli elementi di questa variabile di struttura si chiamano Elementi struttura e possono essere usati in zenon come elementi singoli, come, per esempio, in immagini, allarmi, archivi, ricette ecc.


Consigli per l´indirizzamento e l´import-export

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Consigli per l´indirizzamento e l´import-export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Consigli tratti dall´esperienza pratica:

  • Indirizzamento
  • Esportazione/Importazione

Indirizzamento:

Nel caso di PLC numerici, potete scegliere se l´indirizzamento deve essere effettuato automaticamente o in modo semi-automatico. Tutte le proprietà descritte in questa sede, sono raggiungibili anche via VBA/VSTA e possono essere usate per la progettazione automatica.

Indirizzamento automatico:

Offset e, se necessario, indirizzo Byte e Bit, vengono calcolati automaticamente sulla base della posizione degli elementi struttura. Se avete impostato nel PLC la stessa struttura di zenon, il tutto corrisponde al100% e non dovete preoccuparvi dell´indirizzamento corretto.

Indirizzamento semi-automatico:

Assegnate dei singoli indirizzi di partenza già nel tipo di dato. Sulla base di questi indirizzi saranno calcolati anche gli altri indirizzi. Potete adattare questi ultimi, naturalmente, se ne avete bisogno. Dettagli concernenti questo tema li trovate in Indirizzamento automatico.

Nel caso di PLC indirizzati simbolicamente, si deve assegnare lo stesso nome in zenon e nel PLC.

Esportazione/Importazione XML

Nel caso di import e export vengono trasmesse anche delle informazioni su tipo di dato, strutture, settori. Potete esportare facilmente tipi di dato struttura e variabili struttura che avete impostato una volta e usarli immutati per mezzo di import in altri progetti , oppure modificarli sulla base delle Vostre esigenze.


Riutilizzare elementi

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento della prima impostazione di un progetto, avete bisogno del tempo necessario per creare le variabili, le funzioni, le immagini ed i loro collegamenti. Questi tempi, però, possono essere ridotti in modo sostanziale quando si tratta di creare dei progetti successivi. In zenon, infatti, avete la possibilità di riprendere e riutilizzare in altri progetti degli elementi già impostati.

Normalmente si ha bisogno in diversi progetti di elementi standard, come, ad es., immagini per lo stato del sistema, oppure immagini dettagliate di componenti hardware di uso comune (pompe, valvole, motori ecc.).

Ci sono diversi modi di riutilizzare elementi già impostati.

Tema | Riutilizzo di
sostituisci variabili e funzioni | Elementi
Simboli | Immagini
tipi di dato struttura | Variabili
Matrici di reazione | Variabili
Progetto globale | elementi centrali di un progetto
XML | parti progetto per mezzo di import e export
Wizard | immagini e elementi per mezzo di import o individualizzazione
Riutilizzo progetti | Progetti

Info Informazioni

Per poter riutilizzare in modo efficiente degli elementi, fate in modo che, al momento della creazione delle variabili, funzioni e immagini, esse siano dotate di una denominazione univoca.


sostituisci variabili e funzioni

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le variabili e le funzioni che vengono salvate in Elementi dinamici, possono essere sostituite in modo automatico. Ciò può accadere in diverse sedi:

  • sostituisci collegamenti nell´immagine:
  • sostituisci collegamenti al momento del cambio immagine:
  • Sostituisci indice
  • Se desiderate avere delle ulteriori informazioni sulla sostituzione di variabili e funzioni, Vi invitiamo a leggere nella sezione concernente le Immagini il capitolo Sostituisci i collegamenti di variabili e funzioni.


Convenzioni di nomenclatura

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, la loro denominazione dovrebbe essere sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In modo tale, non Vi limitate a rendere piú semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il Reverese Engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Ad esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • AKZ (Anlagenkennzeichnungssystem), per i dettagli vedi http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Power Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio: KKS.

In un progetto realizzato per il settore energetico, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS. Una varabile dotata della denominazione C01_MDY10-QA001_QA07 ha il seguente significato:

  • Windenergieanlage C01 (Reihe C, Nr. 1)
  • Windturbinensteuerung MDY10, Leistungsteil QA001,
  • Leistungsschutz QA07


Possibilità di sostituzione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le sostituzioni possono essere utilizzate in diversi punti di un progetto.

  • sostituisci collegamenti nell´immagine: le immagini vengono copiate e nell´immagine copiata vengono sostituiti i collegamenti.
  • sostituisci collegamenti al momento del cambio immagine: Si utilizza per diverse gestioni una sola immagine, all´apertura della quale il sistema adatta i collegamenti.
  • Sostituisci indice: Sostituzione di variabili in un´immagine di processo mediante il valore di variabili indice.


sostituisci collegamenti nell´immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti nell´immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se delle variabili sono collegate ad un´immagine, le si può cambiare semplicemente con delle altre facendo uso di un dialogo di sostituzione. Condizione:

  • una chiara ed univoca denominazione delle variabili

In tal modo si possono riutilizzare delle immagini già esistenti usando il meccanismo di Copy& Paste. La sostituzione viene avviata facendo uso del menu contestuale:

  • cliccate con il tasto destro del mouse sull´elemento
  • cliccate su sostituisci collegamento

In tal modo viene aperto il dialogo che serve alla sostituzione.

Esempio

Nel nostro esempio il progetto dispone di una grande quantità di variabili appartenenti a diverse parti dell´impianto. Nell´immagine di processo ci sono:

  • 10 variabili che provengono dalla gestione delle turbine eoliche MDY10, collegate con elementi dinamici.
  • pulsanti con cambio immagine che conducono a diversi settori di MDY10.

Facendo uso di Copy& Paste, il progettista riutilizza l´immagine per la gestione delle turbine eoliche MDY11 esattamente così com´è, e sostituisce le variabili o le funzioni con quelle corrispondenti della nuova gestione. Per far ciò:

  1. si deve anzitutto evidenziare gli elementi dinamici su cui sono collegate le variabili e le funzioni.
  2. si apre il dialogo di sostituzione

  3. nel campo Sorgente si inserisce la identificazione impianti *MDY10*
    (i segni di apertura e chiusura * sono Wildcards)
  4. nel campo Destinazione si inserisce MDY11
  5. con il comando Applica si avvia la sostituzione e cliccando su OK si chiude il dialogo.

L´immagine può essere adesso usata per la nuova gestione.


sostituisci collegamenti al momento del cambio immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti al momento del cambio immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo prevede sempre l´utilizzo dell´immagine originale che viene aperta durante il runtime con variabili e funzioni diverse. L´immagine contiene diverse variabili e funzioni come nell´esempio relativo a sostituisci collegamenti nell´immagine". La sostituzione avviene al momento del cambio immagine. Per far ciò:

  1. si progettano più funzioni "cambio immagine" che conducono a questa immagine.
  2. al momento della creazione della funzione, il sistema offre all´utente il Dialogo di sostituzione.
  3. ogni funzione contiene una propria procedura di sostituzione.

Una variante compatibile solo con un cambio immagine: Sostituisci indice per array.


Sostituisci indice

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> Sostituisci indice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In Arrays potete effettuare tale sostituzione per le variabili tramite variabili indice.

L´immagine viene usata solamente una volta come in sostituisci collegamenti al momento del cambio immagine. Le variabili collegate vengono sostituite al momento del cambio. Il cambio immagine deve essere impostato solamente una volta (a differenza di sostituisci collegamenti nell´immagine) e può essere riutilizzato più volte facendo uso di una variabile indice.

Esempio

Il cambio viene eseguito per portare ad un´immagine di processo che contiene 10 variabili della "gestione turbine eoliche" MDY10. L´obiettivo del progettista è quello di riutilizzare quest´immagine esattamente così com´è, visto che le gestioni delle turbine eoliche MDY11, MDY12 e MDY13 dispongono dello stesso numero di variabili.

Regola di indicizzazione:

  • Sorgente: C01 MDY10 QA001*
  • Destinazione: C01 MDY{X01} QA001

ha il seguente effetto:

  • al momento del cambio turbina, il sistema comunica alla funzione che, al momento del cambio immagine durante il Runtime,essa deve inserire il valore variabile di X01 Indice gestione turbine eoliche nel nome della variabile.

    Esempio: Nel caso in cui questa variabile abbia il valore 12, al momento del cambio immagine, l´immagine di processo viene visualizzata con tutte le variabili della gestione turibine eoliche MDY12.


Simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il potenziale dei simboli per quello che concerne la possibilità del loro riutilizzo è molto grande. I simboli possono essere costruiti in modo complesso e supportano il meccanismo di trasmissione ereditaria. Esso possono essere inseriti in modo scollegato o collegato. Nel caso si opti per il collegamento, è sufficiente modificare un simbolo in una sede per provocare la sincronizzazione di tutte le immagini che lo utilizzano. I simboli possono essere collegati anche ad altri simboli.

Esempio: barra dei pulsanti.

Un simbolo (quadrato vuoto) viene collegato a tutti i pulsanti per servire da base comune.

Le Proprietà rese disponibili consentono di assegnare ad ogni singolo pulsante una veste grafica differente. Se si vuole poi cambiare la forma o il colore dei pulsanti, non bisogna far altro che cambiare il simbolo "pulsante vuoto". Tutti i pulsanti riprenderanno automaticamente la nuova forma e/o colore.


Proprietà rese disponibili

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Proprietà rese disponibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I simboli collegati trasmettono, per così dire, in via ereditaria le loro proprietà agli oggetti nei quali sono stati collegati. Tuttavia, singole proprietà possono essere escluse dalla trasmissione ereditaria. Ad esempio la grafica visualizzata nel nostro pulsante. Se la trasmissione ereditaria viene esclusa, questa proprietà può essere settata individualmente per ogni oggetto. In questo caso, le modifiche di questo dettaglio nell´elemento di origine non andranno a influenzare gli altri oggetti.

Riutilizzo immagini

La combinazione di simboli e proprietà rese disponibili può essere un´efficacie soluzione per il riutilizzo di immagini di processo.

Esempio

in un progetto c`è un dialogo centrale di parametrizzazione che deve essere utilizzato per diverse parametrizzazioni. Visto che esso viene usato per i più diversi settori, c´è l´esigenza che determinati adattamenti e modifiche (ad esempio colori di sfondo, immagini ....) siano possibili.

Copy and Paste:

  1. creare un´immagine di processo che contiene questo dialogo di parametrizzazione
  2. moltiplicare l´immagine tramite Copy & Paste
  3. la veste grafica delle immagini di processo utilizzate più volte può essere adattata alle esigenze

Ma: in questo caso non è possibile una trasmissione in via ereditaria. Se il progettista vuole effettuare in un secondo momento adattamenti centrali (concernenti la struttura fondamentale del dialogo di parametrizzazione), egli deve poi ripeterle in ogni immagine di processo.

Metodo tramite simbolo con proprietà rese disponibili:

  1. il dialogo di parametrizzazione viene creato tramite un simbolo
  2. gli elementi che devono essere modificati per le diverse posizioni di parametrizzazione, vengono scollegati dal concetto di trasmissione ereditaria facendo uso di proprietà rese disponibili.
  3. nelle immagini corrispondenti il simbolo viene collegato, posizionato e adattato.

  4. Nel caso in cui il progettista dovesse decidere di modificare l´aspetto generale del dialogo, egli effettua tali modifiche centralmente nel simbolo. Questa modifica, poi, ha effetto su tutte le posizioni in cui il simbolo è collegato.

  5. Tramite le proprietà rese disponibili e una corrispondente sostituzione, il simbolo globale può essere adattato individualmente.

  6. In questo caso, il progettista ha deciso che l´interfaccia grafica genereale dei dialoghi di parametrizzazione deve essere modificata. Egli effettua questo cambiamento a livello centrale nel simbolo "Parametrizzazione". Le proprietà individuali dei singoli dialoghi di parametrizzazione rimangono immutate; cambiano solamente quelle proprietà che sono contenute nella trasmissione ereditaria.


Sostituzione nel caso dei simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Sostituzione nel caso dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La procedura descritta nel capitolo sostituisci variabili e funzioni può essere seguita anche nel caso dei simboli. Anche in questo caso, una denominazione mirata degli oggetti è un presupposto fondamentale.

Nel caso della sostituzione di simboli, si deve distinguere due diversi modi di procedere: Da una libreria (progetto/globale), un elemento

  • può essere inserito in un´immagine di processo
  • può essere collegato in un´immagine di processo

A seconda della procedura, vengono aperti diversi dialoghi che servono alla sostituzione di variabili/funzioni.

Simboli non collegati

Qui le variabili vengono sostituite direttamente tramite il dialogo di sostituzione. Il dialogo offre anche la possibilità di selezionare le variabili aprendo un altro dialogo apposito. Usare dei simboli in questo modo non è ideale ai fini della riutilizzabilità.

Simboli collegati

In questa procedura si lavora mediante string di sostituzione. Queste string vengono sostituite al momento della compilazione mediante le variabili corrispondenti. Nel dialogo qui aperto non è possibile sostituire delle variabili facendo uso di un apposito dialogo di selezione. Qui il progettista lavora facendo uso di singole string di sostituzione che sono divise l´una dall´altra da un punto e virgola (;).

Il simbolo che si trova dietro questo dialogo di sostituzione può adesso essere riutilizzato nei più diversi settori di impianto. Quest´esempio presuppone che, in ogni settore di impianto, vengano utilizzate variabili e funzioni simili (unica differenza: l´abbreviazione dell´impianto nel nome delle variabili e funzioni stesse), le quali possono essere sostituite in modo veloce e chiaro.

Ulteriori informazioni concernenti la sostituzione dei simboli le trovate anche nel manuale relativo alle Immagini nel capitolo Simboli collegati.


Libreria simboli globale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Libreria simboli globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I simboli vengono gestiti o nella libreria dei simboli del progetto, oppure in quella globale. La differenza fondamentale è la seguente:

Libreria simboli

Proprietà

Libreria simboli globale

I simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli globale si trova nel manager di progetto al di sotto dei progetti caricati attualmente.

I simboli globali vengono salvati nella cartella di programma di zenon e aggiornati solo al momento dell´avvio dell´Editor. Questi simboli non vengono salvati nel caso di un backup di progetto.

Progetto - Libreria di simboli

Simboli sono disponibili solo nel progetto attuale.

I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel progetto attuale nel nodo Immagini e viene salvata in un backup di progetto.

Esempio

Un postazione centrale di progettazione appronta una raccolta di simboli che deve essere utilizzata dalle postazioni di progettazione disseminate in tutto il mondo nei loro progettin specifici. Ad esempio, vengono resi disponibili dei simboli complessi che rappresentano importanti parti di immagini di processo. Questa raccolta di simboli si trova in una directory o in un file, per esempio in „Global_Used_Symbols.SYM". Quando si effettuano a livello centrale delle modifiche grafiche a questa raccolta globale di simboli, il file „Global_Used_Symbols.SYM" viene semplicemente inviato a tutte le postazioni di progettazione locali e in quella sede la nuova versione sostituisce la vecchia. L´adattamento individuale può essere effettuato tramite proprietà rese disponibili e sostituzione.

Non è sempre necessario inviare la raccolta di simboli nella sua interezza. Per inviare solamente alcuni simboli selezionati, si può usare anche lo strumento dell´XML-Export/Import.

attenzione Attenzione

Nel caso si utilizzi la libreria globale dei simboli, deve essere osservata la seguente regola fondamentale: le postazioni di progettazione locali non possono modificare i simboli che fanno parte della raccolta di simboli. Ogni modifica verrebbe infatti sovrascritta al momento del prossimo update.


tipi di dato struttura

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> tipi di dato struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le variabili possono essere riutilizzate tramite i tipi di dato struttura. In tal modo è possibile realizzare delle strutture complesse e sfruttare i vantaggi del meccanismo di trasmissione ereditaria.

Esempio

il tipo di dato struttura "motore" è costituito da tre elementi:

  • Stato
  • Numero di giri
  • temperatura

Questi elementi si differenziano fra loro nel modo di trasmissione ereditaria:

  • „stato" e „numero di giri" derivano dal tipo di dato INT, ma la loro trasmissione ereditaria è stata interrotta dal inserimento in modalità scollegata.
    cioè.: nel caso in cui ci siano dei successivi update che riguardano il tipo di dato INT, essi non hanno alcun effetto sui due elementi sopra citati.
  • „Anche temperatura" proviene dal tipo di dato INT, ma la trasmissione ereditaria è intatta.
    cioè.: eventuali modifiche successive al tipo di dato INT hanno effetto anche su questo elemento.

Se, per esempio, progettate 20 motori dalla struttura identica, potete procedere alla creazione di variabili che si basano sullo stesso tipo di dato "motore". Potete farlo, per esempio, creando un array di questo tipo di dato. L´aspetto grafico verrà realizzato in questo esempio tramite un simbolo.

Se collegate il simbolo ad un´immagine di processo, i caratteri simbolici per variabil del simbolo vengono sostituiti dalle variabili del tipo di dato struttura che è stato impostato. Vi preghiamo di assegnare delle denominazioni chiare ed univoche per evitare l´insorgere di problemi.

Se volete realizzare un´immagine di processo che deve servire da visione generale per tutti i motori in questione, potete moltiplicare il simbolo inserito facendo uso dello strumento Copy&Paste. Non si deve far altro, poi, che sostituire per ogni simbolo la variabile di destinazione con il numero progressivo corrispondente:

Nel caso in cui vogliate aggiungere in seguito dei valori limite per le variabili "numero di giri", potete sfruttare il vantaggio offerto dalla relazione ereditaria esistente fra il tipo di dato da voi impostato e le variabili che ne sono derivate. Per effettuare la modifica, dovete impostare un nuovo valore limite per l´elemento struttura „numero di giri" del tipo di dato „motore" da voi creato. Questa modifica avrà poi effetto su tutti i 20 motori.

Naturalmente il progettista ha la possibilità di eliminare questa relazione ereditaria. Si può anche procedere alla modifica del valore limite „numero di giri" per uno solo dei 20 motori.

Indicazione: è possibile scollegare dal tipo di dato singole o tutte le proprietà di una variabile.

Info Informazioni

Se volete altri consigli utili per l´uso di strutture di tipi di dato, leggete per cortesia il capitolo Tipi di dato struttura - elementi struttura - array struttura e, nel manuale Variabili, il capitolo Tipi di dato struttura.


Matrici di reazione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le matrici di reazione fanno sì che l´aspetto delle variabili sia lo stesso in tutto il progetto. Al contrario dei valori limite, le matrici di reazione funzionano ispirandosi al seguente principio: una matrice di reazione viene progettata una volta per tutte e poi assegnata ad un numero qualsiasi di variabili. Tutte le variabili collegate alla stessa matrice di reazione, reagiscono allo stesso modo. Il vantaggio: manutenzione semplice e a livello centrale.


Progetto globale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Progetto globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In un progetto globale è possibile fissare degli standard che poi riguardano diversi progetti. In tal modo è possibile definire determinati moduli o elementi validi per tutte le sedi, mentre i progetti locali fissano i parametri individuali.

Nel progetto globale possono essere definiti:

  • Gestione allarmi

    dichiarazione dei gruppi allarmi, classi allarmi e settori allarmi da utilizzare globalmente.

  • Definizione d´impianto:

    essa può supportare la progettazione centrale, visto che si potrebbe effettuare una divisione in due "impianti". Nel far ciò, si deve definire in modo chiaro quali elementi di progettazione provengono dalla postazione di progettazione centrale e quali da quella locale.

  • Utente:

    nel caso in cui uno standard preveda l´esistenza di determinati utenti validi a livello globale, questi ultimi possono essere fissati tramite il progetto globale.

  • File:

    Mediante uno standard possono essere indicate, ad esempio, delle grafiche che devono essere utilizzate nei progetti creati a livello locale. Queste grafiche possono essere messe a disposizione a livello globale.

  • Modelli:

    determinazione dell´ordine delle immagini di processo e della dimensione dei progetti da sviluppare. È possibile fissare in una direttiva generale, ad esempio, che in un progetto le immagini di nuova creazione possano venire impostate solamente tramite i modelli di un progetto globale. In tal modo si può garantire un´unità grafica globale.

  • Caratteri e tavolozze di colori:

    Per garantire un´uniformità dei testi e dei colori visualizzati, si può procedere a fissare una seria predefinita di caratteri e tavolozze di colori che vanno usati a livello globale.

  • Tabella lingua:

    Se si definisce mediante uno standard una serie di concetti ed espressioni da utilizzare nella progettazione, è possibile fissarli facendo uso delle tabelle lingua definite e, nello stesso tempo, eseguire le traduzioni corrispondenti.

Esempio

una postazione di progettazione centrale definisce, facendo uso di un progetto globale, degli standrd nei settori colori, carateri, modello ecc, validi per tutti i progettisti. Il progetto globale viene distribuito a tutti i team sotto forma di Backup di progetto. I team locali lo importano nel loro workspace. Si deve procedere a definire chiaramente tramite una direttiva generale che le postazioni di progettazione locali non possono effettuare delle modifiche ad un progetto globale, visto che questi eventuali cambiamenti verrebbero sovrascritti nel momento in cui si scaricano gli update provenienti dalla postazione di progettazione centrale.

Esempio Modello di impianti

Un semplice modello di impianti che riguarda solamente una differenziazione fra un gruppo di progettazione centrale e uno locale. In un progetto individualizzato si potrebbe far ricorso a questa differenza solamente visualizzandola nell´editor. In dettaglio la situazione è la seguente: ogni elemento progettato nell´editor viene inviato con una corrispondente assegnazione ad un gruppo impianti.

Le esistenti immagini di processo vengono visualizzate sulla base dell´assegnazione impianti.

In tal modo, una postazione di progettazione locale è in grado di riconoscere quali immagini vengono attualizzate da una postazione centrale tramite il meccanismo dell´import XML. Per il progettista che opera a livello locale è anche chiaro quali immagini non può modificare. E questo perché ogni eventuale modifica delle immagini di competenza globale viene sovrascritta al momento del prossimo update.

Un consiglio: per attualizzare un progetto globale non si deve sempre creare e importare un completo backup di progetto. Delle singole modifiche possono essere attualizzate anche a livello locale facendo uso dello strumento dell´export e import in formato XML.


XML

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il meccanismo di Import e Export tramite interfaccia XML offre numerose possibilità di riutilizzare delle parti di progetti esistenti.

attenzione Attenzione

Quando si effettua l´import, gli elementi esistenti vengono sostituiti con i nuovi recanti gli stessi nomi.

Dipendenza nel caso di import.

Se si vogliono importare diverse parti di progetto, si avrà anche un numero corrispondentemente alto di file XML di diverso contenuto. Per riprendere in modo corretto tutti i contenuti di file XML, si deve tener conto delle dipendenze esistenti:

Se, ad esempio, si importa un´immagine e le variabile in essa collegate non esistono nel progetto, il collegamento non può essere ripristinato. Per poter impostare in modo corretto tutti i collegamenti può essere necessario effettuare due volte l´import di un´immagine o di variabili.

Esempio per un´immagine XML:

la variante più complessa è quella rappresentata dall´esportazione di un´immagine, visto che il file XML generato in questo caso contiene non solamente l´immagine e gli elementi in essa contenuti, ma anche i modelli, le variabili e le funzioni collegate, in altre parole tutto quello che è visibile nell´immagine o vi è direttamente collegato.

Cliccando su un pulsante, nell´immagine "A" viene eseguita una funzione "B",la quale apre a sua volta l´immagine "A":

  • La funzione „B" necessita dell´immagine "A" per far in modo che quest´ultima sia collegata alla funzione "B".
  • L´immagine "A", a sua volta, necessita della funzione "B" per collegare quest´ultima al pulsante.

È dunque necessario:

  1. anzitutto importare la funzione,
  2. poi l´immagine e dopo
  3. la stessa funzione una seconda volta; in caso contrario la relazione con l´immagine non può essere generata nella funzione.

Armonizzare progetti fra diversi impianti

La funzione XML-Export/Import si presta anche a garantire che i progetti abbiano un aspetto e contenuti unitari nei diversi impianti di una stessa ditta. Se un´impresa decide che determinate parti di progetto devono essere impostate in modo unitario in tutto il mondo, gli elementi in comune vengono:

  1. progettati a livello centrale
  2. esportati sotto forma di file XLM
  3. inviati alle sedi in forma di file XLM
  4. ripresi da ogni team locale facendo uso del meccanismo di XLM import.

In alternativa si può scegliere di effettuare l´export-import servendosi di un wizard.

Visto che, al momento dell´effettuazione dell´import XLM, gli elementi esistenti vengono sovrascritti, è necessario denominare in modo chiaro e univoco gli elementi in comune. Le modifiche di questi elementi effettuate a livello locale verranno sovrascritte in occasione del prossimo update.

Wizard

Una cosa che può essere utile all´utente nell´effettuazione dell´import è un wizard basato sull´API di zenon. Una volta avviato il wizard, l´utente può selezionare gli elementi da importare basandosi sui suggerimenti fornitigli dal wizard stesso. Suggeriamo di impostare una libreria XML che contenga diverse varianti di immagini e funzionalita in file distinti.

Individualizzazione mediante wizard

Facendo uso di un wizard si possono individualizzare anche funzioni standard, disponibili in file XML. Si importa una funzione in formato XML e poi la si adatta alle esigenze peculiari modificandone determinate proprietà che non sono le stesse per ogni oggetto. Se, ad esempio, esiste una funzione di cambio immagine in formato XML, la si può utilizzare più volte adattandone le proprietà a diverse esigenze specifiche.


Wizard

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il riutilizzo di elementi e parti di progetti può essere realizzato e reso più semplice mediante l´uso di wizard. I wizard si prestano soprattutto a realizzare quanto segue:

  • creazione di progetti di base:

    un wizard consente di creare con pochi clic del mouse certe parti standard di un nuovo progetto. Rispetto alla possibilità di scaricare semplicemente un backup di progetto già esistente del progetto di base, questa variante dà maggiore libertà al progettista.

    Ad esempio, un wizard è in grado di generare diversi tipi di progetto in dipendenza del tipo di macchinari.

  • Creazione di progetti di base predefiniti:

    I wizard possono essere utili anche per creare dei determinati settori nello stesso progetto.

    Ad esempio: Creazione del settore del progetto "Motore".
    il wizard imposta gli elementi predefiniti necessari per questo settore. In tal modo, è possibile progettare con pochi clic del mouse le immagini, funzioni, variabili corrispondenti. Oltre al vantaggio rappresentato da tempi di progettazione inferiori, si raggiunge un altro obiettivo, quello di una veste unitaria nell´intero progetto, dato che i wizard vengono utilizzati da una postazione di progettazione centrale e anche da quelle locali.

  • Progettazione tramite banche dati o file predefiniti:

    Anche banche di dati o file predefiniti possono essere un aiuto prezioso per la creazione e per l´ampliamento di progetti. Gli elementi da progettare (nome funzione, tipo funzione, parametro funzinoe, nome variabile, offset...) vengono descritti in una banca dati o in un file excel. Servendosi di un wizard, queste informazioni vengono lette e si procede a mettere in atto i passi di progettazione necessari in zenon.

Per ulteriori informazioni sui wizard e sulla loro creazione, Vi preghiamo di leggere nella guida in linea il capitolo Wizards.


Riutilizzo progetti

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I progetti possono essere riutilizzati in diversi modi. In questo contesto giocano un ruolo fondamentale dei meccanismi descritti in altri capitolo della riutilizzabilità.

Backup di progetto

Salva con nome

Gestione multi-progetto


Backup di progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Backup di progetto permettono di riutilizzare progetti completi.

Ad esempio, un progetto può essere mandato a tutti i team locali per essere usato da modello. I team locali caricano nel loro sistema il backup e poi procedono ad individualizzare il progetto.

attenzione Attenzione

Questo metodo non è adatto alla trasmissione di modifiche di progetto, perché tutte i cambi effettuati a livello locale vengono sovrascritti nel momento in cui si scarica l´update.

Per effettuare il monitoraggio generale (vale a dire per più team contemporaneamente) di progetti creati in tal modo, è consigliabile utilizzare il meccanismo XML-Exports/Imports.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Ne consegue che, nella fase di progettazione, si deve provvedere a denominare in modo chiaro e univoco gli elementi che possono o devono essere sovrascritti al momento dell´import. L´identificazione necessaria può essere rappresentata da una corrispondente aggiunta nel nome dell´elemento o dalla procedura relativa ai gruppi d´impianto; vedi il capitolo Progetto globale.


Salva con nome

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Salva con nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Salva con nome genera nel workspace attivo una copia di un progetto sotto un altro nome e con una nuova GUID.

Esempio

si vuole procedere alla creazione di progetti individuali per diversi tipi di macchinari a partire da un un progetto di base. Per far ciò:

  1. si scarica anzitutto il backup di progetto del progetto di base.
  2. si creano, facendo uso del comando Salva con nome, diversi progetti con nomi differenti (per es Macchina 1, Macchina 2, … ) nel workspace attivo.

In tal modo sia assicura che ogni progetto abbia la stessa situazione di partenza. I progetti, però, non hanno alcun collegamento con il progetto di base. Il che significa che le modifiche apportate a quest´ultimo, non vengono riprese automaticamente nei progetti copiati. I cambi effettuati nel modello di partenza possono essere però ripresi nei progetti individuali mediante il meccanismo di XML Export-/Import.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Ne consegue che, nella fase di progettazione, si deve provvedere a denominare in modo chiaro e univoco gli elementi che possono o devono essere sovrascritti al momento dell´import. L´identificazione necessaria può essere rappresentata da una corrispondente aggiunta nel nome dell´elemento o dalla procedura relativa ai gruppi d´impianto; vedi il capitolo Progetto globale.


Gestione multi-progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella zenon gestione multi-progetto è possibile raggruppare dei progetti anche in un workspace sotto il "tetto" unico di un progetto d´integrazione. In tal modo, è possibile modificare un progetto centralmente nello stesso momento in cui in un altro progetto vengono effettuati dei cambi a livello locale.

Esempio

in una sede di progettazione centrale deve essere realizzato il meccanismo di riutilizzo del materiale grafico in modo tale che sia poi disponibile un´interfaccia omogenea per tutte le sedi mondiali della ditta. A tal scopo, a livello centrale si realizza un progetto che deve servire da modello per tutti gli altri team di progettazione. Nel caso in cui, poi, la sede centrale effettui un cambio all´aspetto dell´interfaccia grafica, esso deve essere poi eseguito da tutte le sedi locali. Questo fine può essere conseguito facendo uso della gestione multi-progetto: un progetto contiene gli elementi che vengono gestiti centralmente, un altro la progettazione locale.

Procedura:

  1. in primo luogo si manda un progetto di base a tutti i team di progettazione.
  2. Esso viene scaricato nel workspace attivo.
  3. Poi si procede localmente all´impostazione di un secondo progetto che contiene gli specifici adattamenti.
  4. Nel workspace esistono adesso due progetti: il progetto modello e quello con modifiche individuali.
  5. Il prossimo passo consiste nel conferire un ordine gerarchico ai progetti in questione.
  6. Il progetto modello diviene progetto di integrazione, mentre l´altro diventa sotto-progetto.

Info Informazioni

Questo metodo non è adatto a progetti che sono destinati a sistemi che usano Windows CE. Questo perché Windows CE consente di avviare sempre solo un progetto alla volta.


Rete integrata

Manuale -> Progettazione efficiente con zenon -> Rete integrata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Engineering distribuito in rete e ridondanza al 100%: con zenon non sono più un problema particolare per Voi. Per impostare delle reti non dovete far altro che attivare la checkbox corrispondente nelle proprietà di progetto. E con la stessa facilità realizzate dei sistemi collegati in rete efficientemente e perfettamente ridondanti partendo da singoli progetti stand alone.

Se disponete di una rete Windows TCP/IP, in zenon sono a Vostra disposizione automaticamente delle funzioni di rete da usarecon semplici clic del mouse, come modello Client/Server, oppure sistema multigerarchico con sottostazioni, centrale aree e centrali. Voi

  • create dei progetti che sono accessibili contemporaneamente da diversi utenti in rete.
  • Assicurate degli impianti grazie alla ridondanza circolare al 100% messa a disposizione da zenon.
  • Realizzate senza problemi dei sistemi distribuiti.
  • Accedete a stazioni remote.
  • Monitorate e gestite degli impianti via web-server.
  • Visualizzate i dati di processo di tutte le stazioni in tempo reale.
  • Rendete visibili le azioni effettuate in una postazione su tutte le altre, per esempio, il ripristino di allarmi.
  • Fate in modo che le azioni vengano protocollate e archiviate centralmente.
  • Siete in grado di usare i dati di processo per applicazioni ERP, come SAP.

zenon pensa automaticamente a garantire il necessario sincronismo di tutti i computer coinvolti.


Attribuzioni

Manuale -> Attribuzioni

Le attribuzioni permettono di smistare il valore attuale di una variabile a una seconda variabile all´interno di un driver o fra un driver e l´altro.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

zenon permette di scrivere i valori direttamente dal PLC in una banca dati SQL, o di scrivere modifiche spontanee di valori da un driver su un secondo driver. Si possono definire delle attribuzioni per più progetti contemporaneamente.

Attenzione: Le attribuzioni che valgono per diversi progetti vengono eseguite solo dopo il caricamento di tutti i progetti.

Trasmissione

Un´attribuzione trasmette il valore, lo stato e il timestamp della variabile di origine a quella di destinazione.

Indicazione: stato e timestamp possono essere elaborati solamente dai seguenti driver:

  • driver interno
  • driver SQL
  • driver AK (SICAM 230)

Gli stati Realtime esterno (T_EXTERN), Realtime interno (T_INTERN)e Annuncio ora solare/ora legale (T_CHG_A) non vengono trasmessi. Essi vengono definiti dal timestamp.

La risoluzione dovrebbe trovarsi per entrambe le variabili entro gli stessi limiti (comportamento di sovraffollamento).

Il trasferimento del valore avviene in presenza di una variazione di quest´ultimo: ogni volta che la variabile sorgente subisce una modifica di valore, viene modificato anche il valore della variabile di destinazione. Nel caso in cui il valore della variabile di destinazione dovesse essere modificato indipendentemente dalla variabile sorgente, la variabile di destinazione mantiene il suo valore finché la variabile sorgente subisce nuovamente una modifica.

Info Informazioni

Anche le attribuzioni a variabili interne vengono eseguite solamente sul server.

menu contestuale - manager di progetto

Punto di menu | Azione
attribuzione nuova | Aggiunge una nuova attribuzione nella lista.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Attribuzioni -> Progettazione nell'editor

Per definire delle attribuzioni:

  1. nel Manager di progetto andate al punto Attribuzioni che troverete nel nodo Variabili
  2. Le attribuzioni già esistenti vengono mostrate nella visualizzazione dettagli.
  3. Selezionate nel menu contestuale oppure nella barra dei simboli l´azione desiderata, per esempio Nuova attribuzione
  4. Nella finestra delle proprietà vengono ora visualizzate le proprietà della nuova attribuzione che potranno anche essere modificate in questa sede.

Un´attribuzione necessita assolutamente di:

  • un nome univoco
  • una variabile sorgente
  • una variabile di destinazione

Quando selezionate le proprietà Variabile sorgente o Variabile di destinazione, si apre la lista variabili corrispondente di cui Vi servirete per scegliere le variabili desiderate. Potete selezionare come sorgente ogni variabile di ogni driver (fatta eccezione per le variabili stringa). La variabile di destinazione deve avere un´abilitazione lettura/scrittura.

Interno ID: Progettazione nell'editor

Variabile di destinazione

Nome della variabile a cui deve essere assegnato il valore della variabile sorgente.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Progettazione nell'editor

Variabile sorgente

Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ogni modifica del valore della variabile sorgente verrà trasferita alla variabile di destinazione dell´attribuzione.

Tramite il menù contestuale della sezione lista del manager di progetto le attribuzioni si possono tagliare, copiare, inserire e eliminare.


Attribuzioni Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Attribuzioni -> Attribuzioni Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
attribuzione nuova | Aggiunge una nuova attribuzione nella lista.
Taglia | Copia gli inserimenti selezionati negli appunti e li cancella dalla lista.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Elimina filtro | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Variabili trigger e tipo trigger

Manuale -> Attribuzioni -> Variabili trigger e tipo trigger

Per le attribuzioni si possono definire una variabile trigger e un tipo trigger. In tal modo possono essere definite delle attribuzioni gestite dagli eventi. I valori non vengono attribuiti più automaticamente, ma solamente in caso di modifica del valore delle variabili trigger.

Sono possibili le seguenti configurazioni:

Variabile trigger | Tipo trigger | Risultato
non definito |  | Ogni modifica nelle variabili sorgente ha come conseguenza il fatto che il valore sorgente viene attribuito alla variabile di destinazione.
definito | Fronte | L'attribuzione viene eseguita solo nel caso in cui la variabile trigger subisca una modifica di valore da 0 a 1. Solo un fronte positivo della variabile bit fa sì che si verifichi un'attribuzione. L'attribuzione non viene più causata automaticamente dalla modifica di un valore nella variabile sorgente.
definito | Livello | L'attribuzione viene eseguita sempre finché la variabile trigger ha un valore pari a 1. Ogni volta che il valore della variabile sorgente cambia, viene attivata l'attribuzione ed il valore viene scritto nella variabile di destinazione. Questa attribuzione rimane attiva finché il valore della variabile trigger non cambia tornando di nuovo a 0.


Automatic Line Coloring (ALC) - topologia

Manuale -> Automatic Line Coloring (ALC) - topologia

La colorazione topologica delle linee rende possibile dinamicizzare in modo semplice e automatico linee nella tecnica dei processi (per i media) e nella distribuzione dell'energia (per l'elettricità). In tal modo è possibile realizzare con facilità le colorazioni di reti topologiche.

Visto che viene progettata nell'immagine, la struttura della conduttura, compresi gli elementi ad essa collegati (ad es. serbatoi e valvole, oppure generatori, interruttori e consumatori), viene riprodotta internamente in forma di modello ed il flusso delle sostanza materiali viene visualizzato nel runtime.

Per permettere la creazione di modelli validi per diversi immagini, tutta la fase di progettazione e di configurazione avviene a livello dell'intero progetto. La conseguenza di ciò è che per un progetto esiste un modello topologico complessivo, che viene utilizzato per determinare lo stato delle condutture e per la loro colorazione.

L'intera topologia viene creata automaticamente a partire dal design grafico. Non sono necessarie altre azioni di progettazione.

Info Informazioni

L´algoritmo ALC attraversa una sorgente solamente una volta in una direzione partendo da ogni interruttore.

Immagini dettagli

Per visualizzare singole immagini, un´area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Una immagine dettagli può essere visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali.

Licenza

È necessaria una licenza per l´Editor e il Runtime (standalone, server, standby). Non è necessaria una licenza per Runtime-Client. La licenza si ottiene tramite la zenon Energy Edition.

  • ALC: già compreso nella licenza per la Energy Edition; mette a disposizione proprietà di base per la colorazione delle linee.
  • Pacchetto topologia: necessita di una licenza ulteriore sul server (non sul client) e estende ALC nel modo seguente:
    • Fornitura multipla
    • Secured supply
    • Interblocchi topologici
    • Elementi topologici Trasformatore e sezionatore
    • Localizzazione errori (dalla versione 6.50)


Elementi ALC

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´Automatic Line Coloring (ALC) consente di colorare linee in dipendenza dello stato del processo. L´ elemento combinato viene usato come elemento tecnologico. ALC consente di dinamicizzare in modo semplice e automatico condutture nella tecnica dei processi (per i media) e reti topologiche nella distribuzione dell'energia (per l'elettricità).

Configurazione

Per la progettazione, si distinguono due tipi di elementi d'immagine con diversa funzione. Da una parte abbiamo gli Elementi tecnologici (sorgente, interruttori, sezionatore, utilizzatore, trasformatore oppure link), e dall'altra le Linee.

Gli elementi tecnologici possiedono una funzione ed un colore (sorgente e trasformatore). Se gli elementi tecnologici sono attivi, le linee connesse prendono il colore di queste elementi per sorgente e trasformatore; oppure assumono il colore dell´input dell´elemento per lo switch e il link. Nel caso che gli elementi tecnologici siano inattivi, invece, il colore delle linee viene ripreso dalla definizione nell´Editor.

Le differenti funzioni di questi elementi vengono impostate nelle proprietà dell´Elemento combinato.

Esempio

Una sorgente dispone di una linea collegata. A questa linea è collegato un interruttore. A questo è collegata una seconda linea. Se la sorgente è attiva, la prima linea fino all'interruttore viene colorata con il colore della sorgente definito nelle proprietà di progetto dell'Automatic Line Coloring. La parte successiva della linea viene colorata solo dopo che l'interruttore è chiuso.

Sorgente inattiva

Sorgente attiva

Interruttore chiuso

Undefined or invalid

Info Informazioni

Se lo stato dell'elemento tecnologico è undefined o malfunction,, ciò viene riconosciuto automaticamente. Tutte le linee connesse e tutti gli altri elementi vengono visualizzati per entrambi gli stati nel colore della sorgente predefinita undefined.


Elementi tecnologici

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi tecnologici vengono creati in zenon con un Elemento combinato e determinano la colorazione della conduttura collegata a seconda dello stato.

Sono disponibili le seguenti impostazioni:

Proprietà

Descrizione

Tipo funzione

Indica il tipo tecnologico dell'elemento combinato.
  • Conclusione

Per bus bar ends. Sopprime il messaggio d’errore "Linea è collegata solamente da un lato“ durante la compilazione nell´Editor.

  • Sorgente

Fornisce un colore. Se la sorgente è attiva (valore: 1), tutte le linee connesse per cui è stata settata l´opzione Colori da ALC nelle proprietà dell´elemento, ricevono il colore della sorgente. Il colore è quello stabilito come colore della sorgente nelle proprietà di progetto. (per esempio serbatoi o generatori). Una sorgente è un unipolo cui viene assegnato un numero di sorgente statico. L'origine è commutabile mediante lo stato della sua variabile principale. In generale, le sorgenti sono considerate come associate e sincronizzate di rete.

Interno ID: Elementi tecnologici

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
  • Generatore

Un genereratore si comporta in linea di principio come una sorgente; esso viene peraltro considerato indipendente e non sincrono con la rete.

  • Interruttore

Con questo strumento è possibile interrompere le linee. Se l'interrutore è chiuso/attivo (valore: 1), il collegamento fre due linee è chiuso e la linea assume il colore definito per la sorgente fino al prossimo interruttore. In questo caso un interruttore tramette il colore della sorgenge della linea di input a quella di ouput.

Se lo stato dell'interruttore è disturbato o undefined o INVALID, il colore della linea diventa quello undefined della configurazione ALC nelle proprietà di progetto. Così un interruttore restituisce al suo output ( connessione2) il numero di sorgente 0 (undefined) invece che il numero di sorgente corrispondente.

Esempio: vedi sezione Esempio interruttore - Colori da ALC.
  • Separatore

Un separatore si comporta in linea di principio come un interruttore. Tuttavia, un separatore non può essere connesso sotto tensione nel modello topologico . Uno stato (on, off, posizione intermedia, disturbato) è determinato tramite la sua variabile principale.

  • Valvola

Una valvola si comporta in modo simile ad un interruttore, ma viene usata in condutture di acqua e gas.

Valori della variabile principale:

valvola OFF: valore 0 -> Valvola chiusa -> l´acqua non fluisce

Valvola ON: valore 1 -> Valvola completamente aperta -> l´acqua fluisce

Valvola DIF: valore 2 -> Valvola parzialmente aperta -> l´acqua fluisce

Valvola STO: valore 3 -> Valvola disturbata
  • Utilizzatore

Fissa la fine della conduttura. L'utilizzatore non ha alcun influsso sulla colorazione, ma viene usato solamente per far sì che il modello possa essere rappresentato interamente. Nel caso in cui si voglia intervenire sul modello con programmi esterni (per es. VBA), può essere che l'utilizzatore sia necessario per effettuare ulteriori calcoli e che debba essere perciò progettato.
In progetti del settore Energy l'utilizzatore viene usato per la rappresentazione di utenze. Vengono prese in considerazione per il calcolo degli interblocchi ALC (gruppi comandi) 'utilizzatore sottoalimentato'.
  • Trasformatore

Un trasformatore è, nello stesso tempo, un utilizzatore e una sorgente. Serve a sostituire il colore input (sorgente di input) con un colore output (trasformatore, sorgente propria).
La connessione output è attiva solo se il trasformatore è settato come attivo. La linea di output, però, non riceve il colore di quella di input come nel caso dell'interruttore, ma il colore della sorgente del trasformatore. Da ciò deriva il fatto che deve essere impostata una sorgente per ogni tasformatore. Un trasformatore non può essere attivato o disattivato; è sempre attivo.

Trasformatore ad alimentazione inversa:

Per ottenere un trasformatore ad alimentazione inversa, dovete selezionare in corrispondenza di Sorgente per alimentazione invertita, una sorgente diversa da UNDEFINED [0]. Il che significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´input all´output (in avanti) e dall´output all´input (indietro). L´unica differenza è che il numero di sorgente della proprietà Sorgente per alimentazione invertita e non della proprietà Sorgente viene usato per l´ulteriore distribuzione.

Interno ID: Elementi tecnologici

Sorgente

Disponibile solo se il tipo di funzione è settato su‚ trasformatore:
Selezione della sorgente/trasformatore collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elementi tecnologici

Sorgente per alimentazione invertita

Disponibile solamente se in corrispondenza della proprietà Tipo funzione avete selezionato Trasformatore.

Interno ID: Elementi tecnologici

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è rückwärtsspeisefähig. Das bedeutet, dass sich der Trafo in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Sorgente per alimentazione invertita und nicht die der Eigenschaft Sorgente verwendet wird.

Indicazione: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z.B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähiger Trafo verhält wie zwei antiparallel geschaltete Trafos, die nicht rückwärtsspeisefähig sind.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nota: stati della rete difettosi e errori nella progettazione, come, per es., alimentazione contemporanea di input e output, oppure cortocircuito di input e output, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.
  • Link

Un link serve per continuare una linea in un altro punto. Se un Link viene "rifornito" da una linea, anche tutti gli altri Link con lo stesso numero sono riforniti dalla stessa sorgente/dalle stesse sorgenti. Non ha importanza se questi Link si trovano nella stessa immagine o in immagini completamente diverse del progetto. In tal modo è possibile realizzare linee per più immagini, indipendenti da una determinata immagine. E' possibile avere più di due Link con lo stesso numero nel progetto

I Link possono essere riforniti contemporaneamente da più linee, oppure rifornire a loro volta più linee. In linea di principio non esiste una differenza fra input e output. Le informazioni della sorgente vengono inoltrate a tutte le linee connesse.
Attenzione: due elementi Link non possono essere direttamente connessi con una linea In mezzo si deve sempre trovare un altro elemento tecnologico (interruttore/separatore o trasformatore).
Un Link non può essere attivato o disattivato; è sempre attivo.

Numero Link

Qui si imposta liberamente un numero link per il tipo funzione Link. Tutti i numeri Link identici nel progetto sono correlati. Una descrizione dettagliata dell'argomento la trovate alla voce "Tipo funzione: Link"
Questa proprietà è attiva solo se è stato selezionato il tipo funzione "Link".

Sorgente

Qui una sorgente viene assegnata ad un elemento. Nel dialogo di selezione si può scegliere fra tutte le sorgenti che sono state impostate nella configurazione ALC (nelle proprietà di progetto). Vengono visualizzati tutti i nomi delle sorgenti.
Questa proprietà è attiva solo se è stata selezionato il tipo di funzione sorgente', 'trasformatore' o'generatore'.

Una variabile del tipo IEC BOOL o integer deve essere collegata all´elemento come variabile principale per far sì che l'interruttore possa ricecvere lo stato (aperto, chiuso, disturbo) dalla variabile principale collegata. In modo analogo, la sorgente riceve il suo stato (attivo/inattivo) dalla variabile principale collegata.

Nel caso dei tipi di funzione sorgente e trasformatore, il numero di sorgente indicato viene trasmesso attraverso interruttori aperti o chiusi ai consumatori (utilizzatori). Gli stati e colori di tutte le linee connesse e degli elementi tecnologici sono calcolati a partire dalla somma superiore dei numeri delle sorgenti che alimentano.

Info Informazioni

Solamente i due primi bit sono presi in considerazione per lo switch. Il primo bit rappresenta il vero e proprio switch. 0 corrisponde a off e 1 corrisponde a on.

Il secondo bit è il bit di errore. Solo se è 0, non c'è errore.

Stati

  • Un interruttore e una sorgente sono attivi se il valore della variabile collegata è 1.
  • Un interruttore è disturbato se il valore della variabile collegata è >1 , oppure ha lo stato INVALID.
    Un interruttore disturbato restituscie al suo output (connessione 2), invece che il numero della sorgente input, il numero 0 (undefined). Nella direzione dall'input all'output, l'interruttore si comporta come se fosse aperto.

    Nota: se la variabile (di responso) di un interruttore ha lo stato INVALID, tutta la parte seguente della rete è INVALID, perché lo stato della rete non è noto. Lo stato INVALID viene "inoltrato" (routed) usando interruttori successivi chiusi.

attenzione Attenzione

Nel caso in cui si attivi nei singoli stati il colore e il colore di riempimento da ALC, anche gli elementi tecnologici vengono colorati nel Runtime dallo stato della linea connessa.


Esempio interruttore - Colore da ALC

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Esempio interruttore - Colore da ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esempio 1

Elemento combinato con valore di stato 00 e colore linea dalla ALC:

  1. Progettazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea dalla ALC attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza voltaggio: bianco
    • Stato interruttore: off/on (valore 0)

Esempio 2

Elemento combinato con valore di stato 01 e colore dalla ALC:

  1. Progettazione nell'Editor
    • Elemento combinato con valore di stato 01
    • Colore linea dalla ALC attivo
    • Colore di riempimento dalla ALC attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza voltaggio: bianco
    • Stato interruttore: on/closed (valore 1)

Esempio 3

Elemento combinato con valore di stato 00 senza colore dalla ALC:

  1. Progettazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea dalla ALC non attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza carica e colore costruzione della linea: bianco
    • colore della linea e colore di riempimento definiti dell´elemento combinato: nero.
    • Stato interruttore: off/on (valore 0)

Esempio 4

Elemento combinato con valore di stato 01 senza colore dalla ALC:

  1. Progettazione nell'Editor
    • Elemento combinato con valore di stato 01
    • Colore linea dalla ALC non attivo
    • Colore di riempimento dalla ALC non attivo

  2. Risultati nel Runtime:
    • Colore sorgente = verde
    • Colore senza carica e colore costruzione della linea: bianco
    • colore della linea e colore di riempimento definiti dell´elemento combinato: nero.
    • Stato interruttore: on/closed (valore 1)


Punti di connessione per gli elementi tecnologici

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Punti di connessione per gli elementi tecnologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In fase di progettazione, una linea viene connessa ad un elemento tecnologico (elemento combinato) sovrapponendo i disegni nell'immagine in corrispondenza di punti di connessione dell'elemento combinato. Solamente una linea può essere connessa allo stesso punto di connessione in un determinato momento. Tutte le linee il cui inizio si trova all´interno del settore definito sotto, sono considerate connesse (topologia dalla grafica).

attenzione Attenzione

Usate gli elementi ALC solamente nello stato non-ruotato:

il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.

Nell´illustrazione successiva sono rappresentati in dettaglio tutti i possibili punti di connessione:

X = 1/3 larghezza

Y = 1/3 larghezza (max. 10 Pixel)

Z = 1/3 altezza

W = 1/3 altezza (max. 10 Pixel)

Info Informazioni

Se una linea si trova al di fuori del settore visualizzato sopra, il sistema non riconosce una connessione e quindi non si verifica una colorazione della linea stessa. E non avverrà una colorazione anche per tutte le ulteriori linee.

Con sorgenti, utilizzatori e link, in linea di principio possono essere usati tutti i punti di connessione descritti.

attenzione Attenzione

Con sorgenti e utilizzatori, può essere usato solo un punto di connessione alla volta (non importa quale). Nel caso in cui si vogliano utilizzare nello stesso tempo diversi punti di connessione, si possono verificare degli stati undefined.

Nel caso di elementi del tipo 'link', possono essere utilizzati anche diversi punti di connessione contemporaneamente. Le informazioni in entrata relative al colore vengono distribuite in modo uniforme a tutte le linee.

Con interruttori/separatori/valvole e trasformatori, la connessione 1 (input) è a sinistra o sopra e la connessione 2 (outputs) a destra o sotto. Questa successione può essere modificata in modo dinamico con la proprietà Inverti Ingresso/Uscita.

Interno ID: Punti di connessione per gli elementi tecnologici

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, Serranda oppure Separatore.

Interno ID: Punti di connessione per gli elementi tecnologici

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Nel caso di interruttori e trasformatori, si deve tener presente che può essere usato solo un punto di connessione input e uno per l'output. L'uso contemporaneo di più punti di connessione per input e output porta al verificarsi di incongruenze e, quindi, non è consentito.

Info Informazioni

Per tutti gli elementi tecnologici vale quanto segue: ad ogni punto di connessione può essere connessa una sola linea. Delle diramazioni non possono essere realizzate direttamente sull'elemento, ma devono essere progettate con l'aiuto di linee.


Cambia input/output

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Cambia input/output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando viene progettato un trasformatore, un sezionatore o un interruttore, input e output possono essere scambiati. Per far ciò:

  1. selezionate trafo, sezionatore oppure interruttore come Tipo funzione

    Interno ID: Cambia input/output

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la checkbox Inverti Ingresso/Uscita

    Interno ID: Cambia input/output

    Inverti Ingresso/Uscita

    Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, Serranda oppure Separatore.

    Attiva: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

L´input viene posto a destra o sotto e l´output a sinistra o sopra.

Visione d´insieme

Configurazione apparecchio. | Input | Output
normale | sinistra | destra
normale | su | giù
scambiato (swapped) | destra | sinistra
scambiato (swapped) | giù | su


Linee

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le linee vengono rappresentate mediante gli elementi vettoriali Linee, Polilinee e tubatura.

Se per una linea è attiva l'opzione colori da ALC, la colorazione viene determinata dalle impostazioni della configurazione ALC. Le linee, quindi, vengono colorate automaticamente dal sistema a seconda dello stato degli elementi tecnici e delle impostazioni ALC.

Il colore viene normalmente determinato dal numero della sorgente ad alta priorità del medio che scorre attraverso la conduttura, oppure, nel caso di "vuoto/non in tensione", rimane come impostato nell'immagine con "Colori elemento" oppure "Cambio colori dinamico".

Potete definire il tipo di visualizzazione usando i menu a cascata:

  • Priorità di visualizzazione
  • Visualizza fornitura multipla
  • Display secured supply

Nelle proprietà delle condutture sono a disposizione le seguenti opzioni:

Parametri

Descrizione

Colori da ALC

Interno ID: Linee

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva la colorazione automatica per questo elemento vettoriale. Il che significa: la linea viene colorata, se la sorgente, che rifornisce attivamente la conduttura è attiva, e se tutti gli interruttori e le valvole, che portano dalla sorgente alla linea, sono chiusi. Nel caso in cui la linea venga rifornita da una sola sorgente, viene utilizzato il colore sorgente impostato. Non ha influenza sulla larghezza della linea.

Priorità di visualizzazione

Interno ID: Linee

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce se debba essere visualizzata Fornitura multipla, o secured supply, oppure entrambe.
Default: Fornitura multipla

Secured supply

L'elemento viene rappresentato secondo le regole di secured supply.

Una lina viene considerata come alimentata da una sorgente sicura, quando è alimentata da almeno due differenti switch o trasformatori con sorgente non di sistema. Le sorgenti di sistema non contribuiscono al secured supply, ma non lo escludono.

Fornitura multipla

L'elemento viene rappresentato sulla base delle regole della fornitura multipla.

Una linea ha "fornitura multipla" se viene alimentata perlomeno da due sorgenti differenti. In questo contesto, non ha alcuna importanza se si tratta di sorgenti di sistema o sorgenti utente, e da quale parte la linea viene alimentata dalla sorgente.

Nessuna priorità

Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti. Il che significa:

se una linea

  • ha fornitura multipla e secured supply,,
  • la priorità è impostata su Nessuna priorità,
  • la visualizzazione per la fornitura multipla è settata su two sources with highest priority,
  • la visualizzazione per la "secured supply" è settata su larghezza doppia,

la linea verrà poi visualizzata con il doppio della larghezza e in due colori.

Visualizza fornitura multipla

Interno ID: Linee

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad alta priorità

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se una linea viene rifornita contemporaneamente da differenti sorgenti, si parla di "fornitura multipla". Qui potete stabilire in che modo debbano essere visualizzate le linee con un rifornimento multiplo.

Default: sorgente a più alta priorità

sorgente a più alta priorità

La linea assume sempre il colore di quella sorgente che ha la maggiore priorità.
Nota: le priorità corrispondono alla successione scelta nella configurazione ALC.

due sorgenti a più alta priorità

Ha importanza per quelle linee che sono rifornite da due o più differenti sorgenti. La colorazione viene determinata dalle due sorgenti con il maggior grado di priorità. In questo caso la linea è rappresentata a strisce di due colori. La lunghezza tratto può essere stabilita tramite la proprietà Lunghezza tratto alim. multipla.

Interno ID: Linee

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Le sorgenti di sistema vengono considerate come sorgenti vere e proprie e colorano le linee in due colori, sempre che siano state configurate in modo corrispondente.

Colore alternativo

Viene usato il colore definito nella proprietà Colore alternativo.

Interno ID: Linee

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Lunghezza tratto alim. multipla

Definisce la lunghezza tratteggio in pixel di linee, polilinee oppure tubature per la colorazione tratteggiata ALC di two sources with the highest priority per Visualizza fornitura multipla.

  • Minimo: 0 (lunghezza tratto automatica)
  • Massimo: 32767
  • Default: 0

Colore alternativo

Colore alternativo per la colorazione di linee, polilinee oppure tubature nel caso di "fornitura multipla".

Display secured supply

Interno ID: Linee

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • doppia larghezza
  • doppia luminosità
  • normale

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se una linea viene alimentata in modo multiplo (parallelo) da una sola sorgente, si parla di "secured supply'". In questa sede potete definire in che modo deve essere rappresentato il "secured supply'".

Una linea viene visualizzata sempre nel modo del secured supply se viene alimentata da perlomeno due interruttori con una sorgente vera e propria (non una di sistema).

Default: normale

doppia larghezza

Ha importanza per le linee che vengono rifornite da una stessa sorgente in modo multiplo (parallelo). In questo caso la linea viene rappresentata con una larghezza doppia a quella progettata. (Esempio: una linea con una larghezza linea pari a 5, viene rappresentata con una larghezza linea pari a 10).
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), la larghezza della linea non cambia!

Il colore è sempredeterminato dalla sorgente a più alta priorità!

doppia luminosità

Ha importanza per le linee che vengono rifornite da una stessa sorgente in modo multiplo (parallelo). In questo caso la linea viene rappresentata con un´intesità di colore doppia rispetto a quella progettata.
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), il colore della linea non cambia!
Se questa linea venga alimentata in modo plurimo da una sola sorgente (secured), essa viene rappresentata con una luminosità doppia rispetto a quella configurata .
Formula per il calcolo della luminosità doppia:

  1. Il colore impostato RGB viene convertito nel sistema HLS.
  2. L (cioè luminance = luminosità) viene ricalcolata con NewLuminance = 240*3/4 + L/4 3.
  3. Il valore del colore viene ricalcolato nel sistema RGB, tenendo conto della nuova luminosità.

Il colore è sempredeterminato dalla sorgente a più alta priorità!

normale

L'elemento viene visualizzato con il colore della sorgente e con la larghezza impostata.

Utilizza alias

Interno ID: Linee

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: viene usato Alias.

Alias

Interno ID: Linee

Alias

Disponibile solo se Colori da ALC è attivo.

Defnisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Apre il dialogo che serve alla selezione di un Alias.

Info Informazioni

I colori delle sorgenti e le priorità delle stesse vengono definite nelle proprietà del progetto.

Le sorgenti definite dall´utente devono avere un ID maggiore di 9. Gli ID fino a 9 sono riservati alle sorgenti di sistema.

Info Informazioni

Il calcolo del colore di una linea nel runtime viene effettuato sulla base della seguente lista di priorità:

  1. Automatic Line Coloring (priorità maggiore, prevale su tutte le altre impostazioni)
  2. Cambio colori dinamico
  3. Colori statici


Esempio

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee -> Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´esempio successivo la "Sorgente 0" ha il colore blu, mentre la "sorgente 1" ha il rosso. La "sorgente 0" è quella con la maggiore priorità.

Sorgente 0

Sorgente 1

Tenendo presenti questi presupposti e le diverse opzioni possibili, abbiamo i seguenti esempi di rappresentazione:

 | Linea / Polilinea | Tubatura
sorgente a più alta priorità |  |
due sorgenti a più alta priorità |  |
doppia larghezza |  |
doppia luminosità |  |


Punti di connessione di linee

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee -> Punti di connessione di linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La connessione di una linea (linea, polilinea o tubatura) ad un´altra avviene mediante un disegno di sovrapposizione nell'immagine in corrispondenza dei cosiddetti "punti di connessione" delle linee. I punti di connessione - in realtà si tratta di aree di connessione - si trovano all'inizio e alla fine di ogni linea e sono larghi più o meno 3 Pixel.

Esempio Esempio

Il punto iniziale di una linea ha le coordinate (punto di partenza x/punto di partenza y): 150/100 Pixel.
Ne risulta un'area di connessione (x / y): 147 - 153 / 97 - 103 Pixel.

Se l'inizio della linea o la fine della stessa, o quelli di una o più altre linee si trovano all'interno di quest'area, le linee vengono connesse automaticamente senza che ci sia bisogno di ulteriori impostazioni. Una pura sovrapposizione delle aree di connessione delle singole linee non è sufficiente!

Nella seguente illustrazione viene rappresentata graficamente l'area di connessione (le linee verdi sono connesse a quella nera, la linea rossa no):

Info Informazioni

Un numero qualsiasi di linee possono essere connesse in un´area di connessione.

attenzione Attenzione

Se una linea si trova fuori dell'area di connessione (come, ad esempio, la linea rossa dell´illustrazione), non viene constata nessuna connessione e non segue, perciò, una colorazione della linea. E non avverrà una colorazione anche per tutte le ulteriori linee.

Linee che si incrociano possono essere realizzate con facilità se le estremità delle stesse non si trovano nell'area di connessione.

attenzione Attenzione

Usate gli elementi ALC solamente nello stato non-ruotato:

il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.


Controllo della progettazione

Manuale -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Controllo della progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progettate gli elementi tecnologici e le linee desiderati in uno o più immagine e salvate queste ultime. Poi potete controllare con l´aiuto di Creare tutti i file Runtime oppure Crea File Runtime modificati se ci sono degli errori o dei conflitti nelle Vostre immagini. Nel caso in cui dovessero esserci degli errori o conflitti, verranno visualizzate segnalazioni e avvertimenti corrispondenti nella finestra di emissione.

Info Informazioni

Cliccate due volte sulla riga corrispondente della finestra di emissione. L´immagine con l´elemento non corretto verrà aperta automaticamente. Se questo elemento si trova in un simbolo, quest´ultimo verrà selezionato automaticamente.

Possono essere visualizzati i seguenti messaggi di errore.

  • ALC: Immagine '%s' - sulla linea '%s' sono collegati 2 elementi con differenti Numeri Link. (Doppio clic per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - Per l'elemento '%s' sono impostati piu di due punti di connessione. Per ciascun elemento possono essere utilizzati solo una Entrata e una Uscita. (Doppio-click per aprire la pagina e selezionare l'elemento)

Possono essere visualizzati i seguenti avvertimenti.

  • ALC: Immagine '%s' - La linea con Alias '%s' è collegata con una linea non-Alias. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento con Alias '%s' è collegato con una linea non-Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento non Alias '%s' è collegato con una linea Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: ALC: Immagine '%s' - La linea '%s' è collegata solamente da un lato. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento '%s' non è collegato. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento '%s' è collegato solamente da un lato. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Nei messaggi d´errore o negli avvertimenti gli elementi corrispondenti sono identificati mediante l´elemento referenza. Questa referenza serve anche da chiave di collegamento per alias ALC.


Configurazione

Manuale -> Automatic Line Coloring (ALC) - topologia -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Modalità di colorazione per UNDEFINED

Manuale -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Modalità di colorazione per UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con lo stato UNDEFINED la colorazione della rete può avvenire in due modi:

  • Standard
  • Alimentazione prioritaria

L´impostazione avviene mediante la proprietà di progetto Automatic Line Coloring/Metodo di colorazione.

Interno ID: Modalità di colorazione per UNDEFINED

Metodo di colorazione

Stabilisce la modalità della colorazione per lo stato UNDEFINED. Se si clicca sulla lista a cascata, si apre la selezione:

- Standard: il colore sorgente viene distribuito a partire da ogni sorgente accesa nella rete, finché il prossimo interruttore è chiuso.

- Alimentazione prioritaria: Colora solamente le linee, che sono fornite potenzialmente da almeno una sorgente, ma non esplicitamente da una sorgente.

Default: Standard

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Modalità di colorazione per UNDEFINED

Automatic Line Coloring

Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
Impostazioni per l’Automatic Line Coloring (ALC).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Standard

La ricerca graph inizia con una sorgente e prosegue attraverso tutta la rete in modo tale che ogni interruttore chiuso (la variabile switch ha il valore 1) per direzione venga attraversato solamente una volta e che così non si generi nessun ciclo. Nel corso di questo processo, ogni nodo visitato (=segmento di linea) viene colorato usando il colore della sorgente. Tutte le linie direttamente collegate vengono segnate come nodi.

Se la ricerca trova un interruttore la cui variabile switch ha lo stato seguente, il colore UNDEFINED viene usato per colorare a partire da questo punto:

  • INVALID [valore: qualsiasi],
  • è invalid [valore: 3]
  • è in posizione intermedia [valore: 2])

Adesso di prosegue la ricerca graph nello stesso modo. Ogni interruttore viene attraversato una sola volta in una direzione con il colore UNDEFINED. Per questo motivo, ogni interruttore può essere attraversato per un numero massimo di quattro volte a sorgente:

  1. con numero sorgente in direzione,
  2. con numero sorgente in direzione inversa,
  3. con UNDEFINED in direzione,
  4. con UNDEFINED in direzione inversa,

Alimentazione prioritaria

Con l´impostazione Alimentazione prioritaria, solamente le linee che sono alimentate da almeno una sorgente, ma da nessuna sorgente in modo chiaro e univoco, sono colorate come UNDEFINED. Se una linea è alimentata da perlomeno una sorgente in modo chiaro ed univoco, non può continuare a ricevere una colorazione UNDEFINED da un´altra sorgente.

Questa ricerca viene effettuata in due stadi:

  • Nel primo stadio, come nel caso di Standard, il colore sorgente viene distribuito nella rete a partire da ogni sorgente accesa, finché il prossimo interruttore è chiuso. La ricerca viene interrotta se l´interruttore è aperto, oppure invalid/undefined.
  • Nel secondo stadio, la ricerca viene iniziata da ogni interruttore invalid/undefined che viene alimentato da una sola parte, e il colore UNDEFINED viene distribuito nella rete nella parte non alimentata. Questa ricerca considera chiusi anche gli interruttori invalid/undefined e continua a distribuire dunque il colore UNDEFINED nella rete finché non incontra un interruttore chiaramente aperto. Inoltre la ricerca viene interrotta anche quando si giunge ad un segmento di linea che è già alimentato.


Configurazione delle sorgenti

Manuale -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione delle sorgenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione delle sorgenti, per esempio i loro nomi e il loro colore (successione e priorità), si effettua in riferimento al progetto nelle "proprietà di progetto" alla voce "configurazione ALC".

Per ogni singola sorgente possono essere configurati i seguenti parametri:

Parametri

Descrizione

Numero

Numero interno successivo, che consente una classificazione chiara della sorgente. Questo numero viene attribuito automaticamente dal sistema e non può essere cambiato.

Attenzione: Gli ID da 0 a 9 sono riservati alle sorgenti di sistema e non devono essere usati in modo specifico per un utente.

Nome

Una denominazione logica per la sorgente (ad esempio: "acqua" o "messo a terra"). Questa denominazione viene utilizzata anche nella selezione della sorgente per elementi combinati. Potete effettuare una modifica facendo clic con il tasto sinistro del mouse sulla denominazione della sorgente. In tal modo si passa ad un modus "modifica". Usando il tasto "Enter" o mediante la selezione di un'altra sorgente, la modifica effettuata diviene effettiva.

Nota: le denominazioni non sono soggette al cambio lingua.

Primo piano

Colore di primo piano della sorgente. Esso viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature.

Sfondo

Colore di primo piano della relativa sorgente. Esso viene utilizzato come colore di sfondo per tubature ed elementi tecnologici (Elemento combinato).

La configurazione dei colori può essere effettuata direttamente mediante l'inserimento del codice esadecimale corrispondente. A tal fine cliccate con il tasto sinistro del mouse sulla denominazione del colore; in tal modo si passa al modus "modifica". Usando il tasto "Enter" o mediante la selezione di un'altra sorgente, la modifica effettuata diviene effettiva.

Un'alternativa è quella di effettuare la selezione del colore mediante un dialogo. Attivando il codice esadecimale, appare in questa colonna il seguente tasto ... Cliccando su di esso, si passa alla selezione del colore.

Il codice colore esadecimale descrive un valore colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Indicazione del fatto che si usa un codice colore esadecimale.
RR | 2 cifre per il valore rosso del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF
GG | 2 cifre per il valore verde del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF
BB | 2 cifre per il valore blu del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF

Con i pulsanti 'nuovo' e 'cancella', vengono create nuove sorgenti o ne vengono cancellate delle esistenti.

attenzione Attenzione

Limitazioni nella possibilità di cancellare delle sorgenti:

Le sorgenti con ID da 0 a 9 sono riservate al sistema e non possono essere cancellate.

Solo la sorgente con ID maggiore può essere cancellata.

Info Informazioni

La successione in questa lista rispecchia la priorità delle sorgenti; il primo elemento riceve il grado di priorità maggiore.

Per modificare il grado di priorità delle singole sorgenti, potete spostarle in alto o in basso nella lista servendovi dei "pulsanti-freccia".


Configurazione degli interblocchi topologici

Manuale -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione degli interblocchi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Qui si può effettuare la configurazione degli interblocchi topologici dalla ALC per i comandi.

Info Informazioni

Questo dialogo è disponibile solo nel caso in cui si sia in possesso di una licenza valida sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Sono disponibili le seguenti condizioni. Le impostazioni che vengono effettuate in questa sede hanno un valore globale per l'intero modello topologico:

Parametri | Descrizione
Messa a terra | L’interblocco è attivo se un interruttor/sezionatore deve essere chiuso, e un potenziale a terra è connesso al suo primo connettore e un suo altro connettore è collegato o indefinito.
Circuito in area indefinita | L´interblocco è attivo se deve essere chiuso un interruttore/sezionatore per il quale entrambe le connessioni sono "undefined'" o "disturbed".
Sezionatore sotto carico | L´interblocco è attivo se sono soddisfatte certe condizioni per l´accensione o lo spegnimento. Condizioni: vedi sezione "Sezionatore sotto carico - Condizioni di blocco".
L'utilizzatore non sarà più alimentato | Blocco è attivo nel caso in cui l'utenza attiva, che prima veniva alimentata, dopo l'azione di commutazione (per mezzo di interruttore o divisore) si trovasse senza tensione
Area indefinita troppo grande | L´interblocco è attivo se deve essere chiuso un interruttore/sepratore per il quale una connessione sia "undefined'" o "disturbed'" e l'altra no.

Se cliccate nella colonna di Stato in uno di questi interblocchi, si apre una lista a cascata con tre possibilità di scelta:

Parametri | Descrizione
Non monitorato | La condizione selezionata non viene presa in considerazione in questo progetto (modello topologico).
Sbloccabile | La condizione selezionata viene sottoposta a controllo in questo progetto. Se la condizione viene verificata, l'utente può sbloccarla con l'aiuto dell'input comandi (tipo di immagine Comandi). Quest'azione di sblocco viene protocollato nella Lista Eventi cronologica.
non sbloccabile | La condizione selezionata viene sottoposta a controllo in questo progetto. L'utente non può sbloccarla.

Eccezione Interblocchi topologici

Gli interblocchi topologici non vengono eseguiti se:

  • la variabile di un interruttore ha lo stato Revisione
    oppure
  • la variabile viene corretta manualmente, oppure impostata su Valore di riserva e viene settata su un valore variabile uguale al valore iniziale; in altre parole, se l´interruttore:
    • è settato su OFF e poi viene corretto manualmente su OFF, o sostituito con
    • è settato su ON e poi viene corretto manualmente su ON, o sostituito con


Sezionatore sotto carico - Condizioni di blocco

Manuale -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione degli interblocchi topologici -> Sezionatore sotto carico - Condizioni di blocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´interblocco topologico Sezionatore sotto carico, un sezionatore può essere aperto solo se è soddisfatta una delle seguenti condizioni:

Quando viene aperto:

Prima dell´apertura:

  • sia il segmento di sinistra che quello di destra della linea ricevono energia dalla stessa sorgente
  • se il segmento sinistro della linea non riceve energia elettrica, quello destro è messo a terra
  • se il segmento sinistro della linea è messo a terra, quello destro non riceve energia elettrica
  • se il segmento sinistro della linea non è sotto carica
  • se quello destro non è sotto carica

Quando viene chiuso:

Dopo la chiusura:

  • se sia il segmento di sinistra che quello di destra della linea ricevessero energia dalla stessa sorgente
  • se il segmento sinistro della linea non ricevesse energia elettrica e quello destro fosse messo a terra
  • Se il segmento di linea sinistro fosse collegato con una messa a terra, il segmento di linea destro non riceverebbe nessuna alimentazione
  • se il segmento sinistro della linea non fosse sotto carica
  • se il segmento destro della linea non fosse sotto carica

Info Informazioni

Significato di "non sotto carica"

Per lo stato non sotto carica devono essere soddisfatte tutte queste condizioni:

  • Tutti gli interruttori e separatori connessi alla linea sono aperti.
  • Tutti le sorgenti e i consumatori connessi alla linea sono spenti.
  • Nessun trasformatore deve essere connesso al segmento di linea.
  • Non si deve trattare di una linea che è connessa solamente a questo separatore (linea aperta).


Modifica colore fonte ACL

Manuale -> Automatic Line Coloring (ALC) - topologia -> Modifica colore fonte ACL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Modifica colore sorgente ALC può essere modificato temporaneamente il colore di primo piano e di sfondo di una sorgente ALC per la colorazione nel Runtime. La modifica rimane valida fino alla chiusura del Runtime, all´effettuazione di un reload, oppure finché la funzione non viene eseguita di nuovo. Per creare la funzione:

Interno ID: Modifica colore fonte ACL

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori informazioni nella guida in linea.

  • scegliete Nuova funzione.
  • navigate per raggiungere il nodo Immagini.
  • selezionate Modifica colore sorgente ALC

  • Si apre il dialogo che serve alla definizione del colore linea e del colore di riempimento.
  • Definite i colori desiderati.

Proprietà | Funzione
Sorgente | Lista a cascata che serve alla selezione della sorgente e alla visualizzazione dei colori attribuiti attualmente. Questi colori non sono modificabili in questa sede.
Nuovo colore per la sorgente | Cliccando su colore, si apre il dialogo che serve alla selezione di un colore.


Immagini dettagli

Manuale -> Automatic Line Coloring (ALC) - topologia -> Immagini dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per visualizzare singole immagini, un´area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Gli elementi d´immagine nell´immagine dettagli non sono inclusi nel modello topologico, ma ricevono nonostante ciò i loro colori ALC dal modello. Essi si riferiscono ad un alias degli elementi d´immagine nello schermo complessivo.

Creare alias

Alias possono essere creati per gli elementi:

  • Linea
  • Polilinea:
  • Tubatura
  • Elemento combinato

Per creare un elemento sorgente come alias:

  • Attivate nelle proprietà dell´elemento Utilizza alias

    Interno ID: Immagini dettagli

    Utilizza alias

    Disponibile solo se Colori da ALC è attiva.
    Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

    Interno ID: Immagini dettagli

    Colori da ALC

    Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
    Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
    Disabilitata: Viene utilizzato il colore di default.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    (per far ciò, ALC deve disporre di una licenza e la proprietà Colori da ALC deve essere attiva)

  • Cliccate nella proprietàAlias sul pulsante....

    Interno ID: Immagini dettagli

    Alias

    Disponibile solo se Colori da ALC è attivo.

    Defnisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Si apre il dialogo per la selezione degli elementi

Parametri

Descrizione

Immagine

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un´immagine.

Elementi ALC disponibili

Mostra gli elementi che appartengono all´immagine con il nome, il tipo elemento e il tipo di funzione. Cliccando su un elemento, si seleziona un alias.

Filtri

Gli elementi possono essere filtrati secondo tutte le colonne. Quando si imposta un filtro, le opzioni offerte da tutti gli altri filtri sono ridotte a valori che possono essere combinati in modo sensato.

  • Nome: inserimento di una chiave di ricerca a piacere con wildcards (*). Le ultime 12 chiavi di ricerca vengono offerte nella lista finché l´Editor non viene chiuso.
  • Elemento: selezione dalla lista a cascata
  • Tipo funzione: selezione dalla lista a cascata

Cliccando su ..., si apre la ricerca salvata oppure la lista a cascata.

Se il filtro è attivo, cliccando sul pulsante X cancella il filtro.

Alias selezionato

Mostra l´elemento selezionato nel campo Elementi ALC disponibili.

Nessuna selezione

Rimuove un elemento selezionato.

OK

Salva la selezione e chiude il dialogo.

Cancella

Rifiuta le modifiche e chiude il dialogo.

Guida

Attiva la guida online

Info Informazioni

Quando si seleziona un elemento per un alias, solamente gli elementi e le immagini dello stesso progetto in cui l´alias è stato definito, possono essere selezionati. Gli elementi di sottoprogetti, oppure di progetti paralleli, non sono a disposizione.

Sostituzione di nomi alias

Alias possono essere sostituiti con il cambio immagine usando Sostituisci collegamento. Un´immagine dettagli può essere perciò visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali. I nomi alias sono sostituiti in modo analogo a quelli di variabili e funzioni. È possibile anche la sostituzione in elementi che sono usati in simboli. Per effettuare la selezione della destinazione, viene aperto lo stesso dialogo che veniva aperto per la proprietà Alias.

Nota: la sostituzione tramite variabili indice non è possibile.


Localizzazione errori nelle reti elettriche

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La localizzazione errori evidenzia delle parti della rete che sono soggette a guasto a terra, oppure a cortocircuito, usando un colore speciale nella ALC. Le sorgenti per la localizzazione errori sono i cosiddetti levatori di guasto a terra o segnalatori cortocircuito, che sono assegnati ad un interruttore di potenza. I levatori di guasto a terra e i segnalatori cortocircuito si trovano sempre all´output di un elemento interruttore di potenza. I messaggi di errore sono fissati nell´immagine e devono essere resettati manualmente.

Info Informazioni

Questa funzionalità è disponibile solo nel caso in cui si sia in possesso di una licenza valida sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Localizzazione errori

La localizzazione errori avviene localmente. Ogni client della rete ha il suo modello indipendente e, perciò, può cercare indipendentemente i guasti a terra e cortocircuiti nelle diverse parti della rete.

La localizzazione errori nelle reti elettriche si suddivide in :

  • Ricerca di guasto a terra
  • Ricerca di cortocircuito

Per progettare la localizzazione errori:

  • avete bisogno di una licenza per ALC e per la zenon Energy Edition
  • create le immagini corrispondenti
  • configurate la ALC sugli elementi combinati corrispondenti (interruttore, trafo, sezionatore, valvola)
  • configurate le linee in modo tale che esse vengano colorate tramite ALC

Per la localizzazione errore, sono a disposizione nel Runtime delle funzioni speciali:

  • Avvia ricerca messa a terra
  • Riconosci guasto messa a terra
  • Termina ricerca messa a terra
  • Riconoscimento breve messaggio

Colorazione

Gli errori possono essere visualizzati mediante un colore speciale per le linee nell´ALC. Nel Runtime, il colore assegnato mediante la ALC cambia automaticamente non appena muta lo stato della linea. Le colorazioni configurate possono essere modificate nel Runtime usando la funzione Modifica colore sorgente ALC .

I messaggi vengono elaborato nella successione del loro arrivo. Nel caso di conflitti

  • I colori previsti per la localizzazione errore sono considerati prioritari.
  • I messaggi di cortocircuito hanno la precendenza rispetto a quelli di guasto messa a terra


Ricerca di guasto a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca di guasto a terra serve a mettere in evidenza parti della rete potenzialmente interessate da messa a terra colorandole. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente GROUND FAULT.

Quali parti della rete possono essere interessate da un guasto a terra, può essere dedotto dai messaggi corrispondenti provenienti dai dispositivi di rilevazione guasti a terra (indicatori di messa a terra, dispositivi di protezione con rilevamento di guasto a terra). Per i file lingua vale quanto segue:

  • ogni dispositivo può avere da una a tre segnalazioni di guasto a terra.
  • Le segnalazioni di guasto a terra sono elaborate o via elaborazione continua o via elaborazione di messaggi transitori.
  • Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione.
    • leading: prima arriva il bit transitorio, poi il messaggio.
    • lagging: prima arriva il bit transitorio, poi il messaggio.

Info Informazioni

Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Configurazione

Per configurare la ricerca di guasto a terra:

  1. assegnate l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore

    Interno ID: Ricerca di guasto a terra

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite la Modalità ricerca messa a terra, Visualizzazione della messa a terra e Attivazione riconoscimento messa a terra
  3. impostate le funzioni per Avvia ricerca messa a terra, Ripristina messaggio di guasto a terra e Termina ricerca messa a terra

Info Informazioni

Per poter limitare i guasti a terra anche in reti a maglie, la ricerca viene effettuata solamente in un´area soggetta a messa a terra per percorso.


Modalità ricerca messa a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Modalità ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca cortocircuito può:

  • colorare la parte di rete potenzialmente interessata da un cortocircuito
    , oppure
  • colorare tutta la rete in cui si è verificato un cortocircuito

Il modo di colorazione viene definito nella proprietà Modalità ricerca messa a terra.

Interno ID: Modalità ricerca messa a terra

Modalità ricerca messa a terra

Imposta se nella ricerca di messa a terra viene colorata la parte della rete potenzialmente interessata, o tutta la rete in cui si trova una messa a terra.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per configurare la proprietà:

  • navigate nelle proprietà proprietà di progetto e passate al nodo Automatic Line Coloring

    Interno ID: Modalità ricerca messa a terra

    Automatic Line Coloring

    Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
    Impostazioni per l’Automatic Line Coloring (ALC).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • selezionate la modalità desiderata nella lista a cascata della proprietà Modalità ricerca messa a terra
    • Colorazione rete: colora solamente la parte della rete potenzialmente interessata dal cortocircuito
    • Colorazione intera rete: colora l´intera rete nella quale si è verificato il cortocircuito

Questa impostazione può essere modificata durante il Runtime usando il modello oggetto zenon API. In questo caso, la ricerca cortocircuito viene ricalcolata completamente.


Tipo di identificazione messa a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Tipo di identificazione messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

Interno ID: Tipo di identificazione messa a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Tipo di identificazione messa a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  1. navigate nelle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Tipo di identificazione messa a terra

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Riconoscimento messa a terra

    Interno ID: Tipo di identificazione messa a terra

    Riconoscimento messa a terra

    Contiene le proprietà per la localizzazione dei guasti a terra.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate il tipo desiderato con la direzione e il tipo di elaborazione delle informazioni nella proprietà Tipo
    • Direzione:
      indica se il fronte positivo dell´allarme trip o il fronte positivo di una direzione viene prima
    • leading: lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di riconoscimento della messa a terra è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • Nessuna: interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente: solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra
    • Elaborazione del messaggio transitorio: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

Nota: La distinzione tra elaborazione del messaggio permanente e l'elaborazione dei messaggi transitoria riguarda solo l'elaborazione del messaggio, non il tipo. Pertanto l’elaborazione del messaggio di un bit transitorio non si riferisce necessariamente ad un bit.

attenzione Attenzione

Per sopprimere guasti intermittenti di messa a terra, i messaggi che vengono ricevuti in intervalli inferiori a 2 secondi verranno ignorati.


Visualizzazione guasto a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Visualizzazione guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione guasti a terra. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Interno ID: Visualizzazione guasto a terra

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Visualizzazione guasto a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Visualizzazione guasto a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono come di seguito:

Valore | Significato
0 | nessuna messa a terra
1 | Messa a terra in avanti
2 | Messa a terra indietro
3 | Messa a terra non direzionale
4 | Stato errore -> entrambe le direzioni hanno attivato

Info Informazioni

Per prevenire dei problemi di funzionamento della rete, la variabile collegata in questa sede dovrebbe essere una variabile locale.


Attivazione riconoscimento messa a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Attivazione riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite la Attivazione viene definita la variabile per avvertire dell´attivazione riconoscimento messa a terra. Essa può contenere delle informazioni sulla presenza di una messa a terra e la direzione di quest´ultima dal punto di vista dell´apparecchio di riconoscimento della messa a terra. Si differenzia fra:

Interno ID: Attivazione riconoscimento messa a terra

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Attivazione riconoscimento messa a terra

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attivazione riconoscimento messa a terra

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attivazione riconoscimento messa a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Attivazione riconoscimento messa a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • allarmi non direzionali di guasto a terra
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per Attivazione:

  1. navigate nelle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Attivazione riconoscimento messa a terra

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Riconoscimento messa a terra

    Interno ID: Attivazione riconoscimento messa a terra

    Riconoscimento messa a terra

    Contiene le proprietà per la localizzazione dei guasti a terra.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. per allarmi non direzionali di guasto a terra

      cliccate nella proprietàAttivazione sul pulsante....

      selezionate nel dialogo che si aprirà la variabile desiderata

      le proprietà per la direzione rimangono vuote

    2. per allarmi direzionali di guasto a terra con segnalazione di intervento

      collegate la variabile con Attivazione e aggiungete la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

    3. per allarmi direzionali di guasto a terra senza segnalazione di intervento

      collegate la variabile con la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

      la proprietà Attivazione rimane vuota

Nota: Se si indirizza un dispositivo direzionale di rilevamento guasto a terra con Avanti in entrambe le direzioni, questo verrà considerato come un errore e ignorato.


Avvia ricerca messa a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Avvia ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Avvia ricerca messa a terra serve a localizzare un guasto a terra e ha due conseguenze nel Runtime:

Interno ID: Avvia ricerca messa a terra

Avvia ricerca messa a terra

Funzione che serve a iniziare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.

  1. vengono ignorati i messaggi provenienti da tutti i dispositivi di rilevamento guasti a terra che sono stati progettati con elaborazione del messaggio transitorio
  2. L´algoritmo di ricerca viene modificato: le azioni di switch possono solamente ridurre l´area soggetta a guasto a rerra. Gli ulteriori messaggi di guasto a terra ricevuti, dunque, non ingrandiscono l´area potenzialmente soggetta a guasto a terra.

Per configurare la funzione Avvia ricerca messa a terra:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Avvia ricerca messa a terra

  • collegate la funzione ad un bottone


Ripristino segnalazione di guasto a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Ripristino segnalazione di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Rinconosci guasto messa a terra, un guasto a terra registrato internamente da un apparecchio di rilevazione guasti a terra può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di messa a terra viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Interno ID: Ripristino segnalazione di guasto a terra

Rinconosci guasto messa a terra

Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Regole del ripristino:

  • Se `è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione guasti a terra, viene ripristinato solo questo derminato messaggio di guasto a terra.
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di guasto a terra.
  • Il ripristino può avvenire anche tramite il modello oggetto di zenon API.

Per configurare la funzione Rinconosci guasto messa a terra:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Rinconosci guasto messa a terra

  • si apre il dialogo per la selezione di una variabile
  • collegate la variabile desiderata alla funzione
  • collegate la funzione ad un bottone


Termina ricerca messa a terra

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Termina ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Terminate la ricerca messa a terra nel Runtime con la funzione Termina ricerca messa a terra.

Interno ID: Termina ricerca messa a terra

Termina ricerca messa a terra

Funzione che serve a terminare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.

Per configurare la funzione:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Termina ricerca messa a terra

  • collegate la funzione ad un bottone


Ricerca di cortocircuito

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca di cortocircuito serve a mettere in evidenza parti della rete potenzialmente interessate da cortocircuito colorandole in modo corrispondente. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente SHORT FAULT.

Quali parti della rete sono potenzialmente interessate da cortocircuito, viene dedotto dai messaggi di cortocircuito. Un dispositivo di rilevazione guasti a terra (indicatore di cortocircuito, dispositivo di protezione) può avere da uno a tre messaggi di cortocircuito. Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione. Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Configurazione

Per configurare la ricerca di cortocircuito:

  1. assegnate l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore

    Interno ID: Ricerca di cortocircuito

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite visualizzazione di cortocircuito e Inizializzazione rilevazione circuito
  3. impostate la funzione per Riconoscimento breve messaggio


Tipo di rilevazione circuito

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Tipo di rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

Interno ID: Tipo di rilevazione circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Tipo di rilevazione circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  1. passate al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato

    Interno ID: Tipo di rilevazione circuito

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Rilevazione circuito

    Interno ID: Tipo di rilevazione circuito

    Rilevazione circuito

    Contiene le proprietà per la ricerca errori in corti circuiti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate il tipo desiderato nella proprietà Tipo
    • Direzione:
      indica se il fronte positivo dell´allarme trip o il fronte positivo di una direzione viene prima
    • leading:
      lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging
      dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di identificazione del cortocircuito è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • nessuna:
      interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente:
      solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:


Visualizzazione corto circuito

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Visualizzazione corto circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione cortocircuito. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Interno ID: Visualizzazione corto circuito

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: Visualizzazione corto circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Visualizzazione corto circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono come di seguito:

Valore | Significato
0 | nessun cortocircuito
1 | Corto circuito in avanti
2 | Corto circuito indietro
3 | Corto circuito non direzionale


Inizializzazione rilevazione circuito

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Inizializzazione rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile per il messaggio del dispositivo di rilevazione cortocircuito viene definita tramite la Attivazione. Potete ricevere delle informazioni sulla presenza di un corto circuito e sulla direzione dello stesso dal punto di vista del dispositivo di rilevazione guasti a terra. Si differenzia fra:

Interno ID: Inizializzazione rilevazione circuito

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: Inizializzazione rilevazione circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Inizializzazione rilevazione circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Inizializzazione rilevazione circuito

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Inizializzazione rilevazione circuito

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • rilevatore di corto circuito non-direzionale
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per:

  1. navigate all´interno delle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Inizializzazione rilevazione circuito

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Rilevazione circuito

    Interno ID: Inizializzazione rilevazione circuito

    Rilevazione circuito

    Contiene le proprietà per la ricerca errori in corti circuiti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. per rilevatore di corto circuito non-direzionale

      cliccate nella proprietàAttivazione sul pulsante....

      selezionate nel dialogo che si aprirà la variabile desiderata

      le proprietà per la direzione rimangono vuote

    2. per allarmi direzionali di cortocircuito con segnalazione di intervento

      collegate la variabile con Attivazione e aggiungete la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

    3. per allarmi direzionali di cortocircuito senza segnalazione di intervento

      collegate la variabile con la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

      la proprietà Attivazione rimane vuota


Riconoscimento breve messaggio

Manuale -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Riconoscimento breve messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Riconoscimento breve messaggio, un cortocircuito registrato internamente da un apparecchio di rilevazione cortocircuito può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di cortocircuito viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Interno ID: Riconoscimento breve messaggio

Riconoscimento breve messaggio

Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Regole del ripristino:

  • Se `è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione cortocircuito, viene ripristinato solo questo derminato messaggio di cortocircuito
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di cortocircuito.
  • Il ripristino può avvenire anche tramite il modello oggetto di zenon API.

Per configurare la funzione Riconoscimento breve messaggio:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Riconoscimento breve messaggio

  • selezionate nel dialogo che si aprirà la variabile desiderata
  • collegate la funzione ad un bottone


Backup di progetto

Manuale -> Backup di progetto

Un progetto consiste di file editor e runtime. La trasmissione di file runtime è possibile, ad esempio, mediante il Trasporto remoto. Questo capitolo si occupa del salvataggio e del backup dei file editor di un progetto.

Il backup del progetto crea un file ZIP con lo stato del progetto salvato. Questo backup può essere riletto sullo stesso calcolatore o su un altro calcolatore. I backup di progetto possono essere anche versionati.

Nel manager di progetto si trova un nodo specifico dal nome "Backup di progetto". Vedi anche capitolo: Editor Manager di progetto. Nel menu contestuale di questa voce si può scegliere fra 'Crea backup' e 'Importa backup'.

attenzione Attenzione

Backup di progetto che sono create con zenon e il Server Express SQL (SQL Server 2005), non possono essere riletti con un sever database MSDE (o Server SQL 2000)!

attenzione Attenzione

I simboli della Libreria simboli globale vengono salvati localmente a seconda del gruppo in un file apposito (*.sys) nella cartella di programma zenon. Nel caso di progetti multiuser e della trasmissione di progetti, questi file devono essere sempre aggiunti manualmente al backup di progetto. I simboli della libreria locale del progetto sono sempre contenuti automaticamente nei backup di progetto.

Un consiglio: salvare sempre i simboli nella libreria locale di progetto.

Menu contestuale - Manager di progetto

Punto di menu | Azione
Crea backup | Apre l´assistente per la creazione di un nuovo backup di progetto.
Importa backup | Apre il manager file al fine di selezionare un fil di backup; questo viene poi importato nella lista.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Progettazione nell'editor

Manuale -> Backup di progetto -> Progettazione nell'editor

Nel Manager di progetto / Nodo Backup di progetto si deve selezionate nel menu contestuale la voce crea backup.

La seguente finestra di dialogo appare quando un progetto dev'essere salvato:

Nome del file

Nome del file ZIP per il salvataggio del progetto

Se nel servizio di sistema zenDbSrv.exe vi sono i riferimenti dell’utente locale (system) e non dell’ utente che ha effettuato il logging, non è certo che sia possibile un'eventuale progettazione tramite rete.

Il backup di progetto viene salvato alla voce C:/SQL/Backup/Nome progetto. Per ogni progetto viene creata un'apposita cartella.

Se si seleziona la voceBackup di progetto nel Manager di progetto (vedi anche nel capitolo "Editor" la voce Manager di progetto), vengono visualizzati i singoli backup di progetto nella Sezione lista del manager di progetto.


Backup di progetto Visualizzazione dettagli Barra dei simboli e menu contestuale

Manuale -> Backup di progetto -> Progettazione nell'editor -> Backup di progetto Visualizzazione dettagli Barra dei simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Crea backup | Apre l´assistente per la creazione di un nuovo backup di progetto.
Ripristina backup | Riporta il progetto allo stato salvato nel file di backup.
Rileggi backup di progetto come nuovo progetto | Crea un nuovo progetto con i dati del file di backup.
Elimina | Cancella gli inserimenti selzionati.
Esporta backup | Apre il dialogo che serve a selezionare una cartella per il file di backup e lo esporta.
Importa backup | Apre il manager file al fine di selezionare un fil di backup; questo viene poi importato nella lista.
Confrontare i backup selezionati nella storia delle modifiche. | Solo attiva con multiselect. Il sistema trova la versione più vecchia e quella più recente. Se ne ricava un filtro tempo con il quale si passa alla storia delle modifiche, in cui vengono visualizzate le differenze fra i backup scelti.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata nella modalità di modifica.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Esegui backup progetto ed esporta

Manuale -> Backup di progetto -> Progettazione nell'editor -> Esegui backup progetto ed esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Backup di progetto

Per eseguire un backup di progetto, cliccate con il tasto destro del mouse nel Manager di progetto su Backup di progetto e selezionate la voce Esegui backup .

Si aprirà il dialogo per il backup di progetto:

Parametri | Descrizione
Nome del file | Nome del file ZIP per il salvataggio del progetto.
Descrizione | Testo a piacere per il commento

attenzione Attenzione

Se il servizio di sistema zenDbSrv.exe funziona solamente con i diritti locali e non con quelli dell’ utente registrato in quel momento, non è possibile un backup su un processore di rete!

zenon salva il backup di progetto in dipendenza dal sistema operativo in una cartella propria, predefinita.

Cartella | Windows XP | Windows Vista
Cartella banca dati (SQL) | C:\Documenti e Impostazioni\All Users\Dati applicazione\COPA-DATA\SQL\BACKUP | %ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP

Info Informazioni

Anche nel caso del backup di workspace, per tutti i progetti ivi contenuti viene realizzato un backup. Questi ultimi, tuttavia, non sono contenuti nel nodo backup di progetto e non se ne può effettuare un backup singolarmente.

Esporta progetto

Potete esportare in qualsiasi momento i Vostri backup da zenon (per es. per spedirli, o per trasferirli su un altro computer). Cliccate con il tasto destro del mouse sul backup di progetto desiderato e selezionate Esporta backup nel menu contestuale. Nel dialogo che si aprirà, selezionate la cartella e confermare con OK.

Nel caso in cui il backup di progetto dovesse durare più di 1 secondo, viene visualizzata una barra che mostra lo stato di avanzamento del processo.
Le informazioni relative al backup (per esempio: successo/insuccesso) le trovate nella finestra di emissione.

Tutti i backup relativi ad un progetto li vedete nella sezione lista non appena cliccate nel Manager di progetto su "backup di progetto".

(Vedi anche Manager di progetto, Sezione lista del manager di progetto)


Ripristino di backup di progetto

Manuale -> Backup di progetto -> Progettazione nell'editor -> Ripristino di backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I backup di progetto possono essere riletti tramite:

  • il workspace
  • il nodo Backup di progetto

Area di lavoro (Workspace)

  1. selezionate nel menu contestuale del workspace il comando Ripristina backup di progetto...
  2. si aprirà il dialogo che serve alla selezione del backup di progetto

Parametri

Descrizione

File di backup

Selezione del file che deve essere ripristinato.

Un clic sul comando ... apre il dialogo che serve ad effettuare la selezione.

crea nuovo progetto

attivo: viene generato un nuovo progetto nella banca dati

Dettagli di backup

Informazioni sul progetto di cui deve essere realizzato un backup:

  • Nome
  • ID progetto
  • Versione dell´Editor
  • Versione di progetto (solo nel caso in cui Versionamento sia attivo)
  • Descrizione

Tutte queste indicazioni vengono riprese dal progetto di cui deve essere effettuato il backup e servono da informazioni. Non possono essere modificate in questo dialogo.

OK

Le indicazioni vengono riprese e il progetto selezionato viene riletto.

Annulla

Annulla tutte le indicazioni e chiude il dialogo.

Guida

Apre la guida online

Nodo Backup di progetto

  1. navigate per raggiungere il nodoBackup di progetto
  2. selezionate il backup desiderato
    Indicazione: Nel caso in cui il backup desiderato non dovesse esistere, lo importate
  3. selezionate nel menu contestuale oppure nella barra dei simboli il comando Ripristina backup di progetto
  4. il backup di progetto viene ripristinato dopo che il sistema ha posto una richiesta di conferma e viene attivato automaticamente

attenzione Attenzione

Progetto,

  • che sono stati realizzati utilizzando il Server SQL 2005 Express, NON possono più essere utilizzati con il server SQL 2000 (MSDE).
  • che sono stati realizzati utilizzando il SQL Server 2008 R2, NON possono più essere utilizzati con il SQL Server 2005 Express .

Importare backup di progetto

Nel Nodo Backup di progetto del manager di progetto, si deve selezionate nel menu contestuale la voceImporta backup. Il progetto viene prima importato e solo dopo se ne effettua il backup.

In primo luogo, il sistema controlla automaticamente se il file di backup del progetto desiderato esiste realmente. Se esso non esiste, il file importato viene ripreso nella lista dei backup. Tutti i progetti che sono stati importati, ma per cui non è stato ancora effettuato un backup, vengono aggiunti alla lista dei backup nella Sezione lista del manager di progetto.

Lì si trova una lista di tutti i backup che sono stati effettuati per un determinato progetto. Le descrizioni della lista possono essere modificate.

Esporta e importa backup di progetto

Importare od esportare un backup di progetto può essere necessario se i file dell'editor di un progetto debbono essere copiati da un PC ad un altro. Nel caso dell´export, il file di backup viene copiato dalla cartella %ProgramData%\COPA-DATA\[SQL-Ordner]\Projectname su un altro processore (per es.: (per esempio su una chiavetta USB). Sia l'import che l'export sono operazioni di copia e non di spostamento.

Cancella backup di progetto

I file di backup vengono cancellati dalla cartella %ProgramData%\COPA-DATA\[SQL-Ordner]\Projectname.

Procedere in caso di errore

Errore | Soluzione
Backup di progetto non è visualizzato. | Nel nodo Backup di progetto c´è la lista di tutti i progetti che sono contenuti nella cartella Standard SQL/Backup. I progetti di altri percorsi possono essere importati manualmente.
Il pulsante OK è disattivato nel dialogo di ripristino. | Il file ZIP selezionato contiene dati non validi. È possibile che si sia selezionato un backup di workspace o un altro file ZIP.
Storia dei backup di progetto non è più disponibile. | Il progetto è stato rinominato e la storia non è più disponibile. Il file di backup, però, esiste ancora e può essere importato manualmente, oppure può essere riletto tramite il menu contestuale del workspace.


Salva il workspace e effettua un backup

Manuale -> Backup di progetto -> Progettazione nell'editor -> Salva il workspace e effettua un backup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Creare il backup di un workspace

Selezionate nel menu contestuale del workspace la voce Workspace -> crea backup. I backup dei workspace vengono salvati come file *.wsb. Si può scegliere il nome a piacere.

Indicazione: con il backup del workspace viene effettuato un backup di tutti i progetti che vi sono contenuti. Questi ultimi, tuttavia, non sono contenuti nel nodo backup di progetto e non se ne può effettuare un backup singolarmente.

Ripristina backup

Quando il workspace è aperto / chiuso:

Selezionate nel menu contestuale del workspace la voce Workspace/Carica backup. Adesso potete selezionare un backup e stabilire in quale cartella deve essere effettuato il ripristino.


Eliminazione progetto

Manuale -> Backup di progetto -> Progettazione nell'editor -> Eliminazione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cancellare un progetto, selezionate la voce Progetto / Elimina del menu contestuale del progetto stesso.

attenzione Attenzione

Quando si cancella un progetto, tutte le connessioni alla database aperte vengono interrotte. Questo non accade al momento della effettuazione di un backup di un progetto esistente.


Versionamento

Manuale -> Backup di progetto -> Versionamento

I backup di progetto possono essere versionati. Le versioni sono identificate e messe in ordine mediante un numero progressivo e la data/ora della loro creazione.

Per attivare il versionamento:

  1. passate alla proprietà di progetto, in particolare al nodo Generale

    Interno ID: Versionamento

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. passate al settore Versionamento

    Interno ID: Versionamento

    Versionamento

    Proprietà per il versionamento dei backup di progetto.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate la proprietà Attiva versionamento

    Interno ID: Versionamento

    Attiva versionamento

    Disponibile solo se la proprietà Attiva versionamento è stata attivata.

    Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

    Disattivata: nessun versionamento dei backup di progetto.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. assegnate nella proprietà Versione generale un numero principale

    Interno ID: Versionamento

    Versione generale

    Disponibile solo se la proprietà Attiva versionamento è stata attivata.

    Numero che deve essere assegnato da parte dell´utente. Esso viene completato internamente con un numero file, separato da un punto, e viene visualizzato come Versione progetto.

    Interno ID: Versionamento

    Versione progetto

    Disponibile solo se la proprietà Attiva versionamento è stata attivata.

    Mostra la versione del progetto. Il numero di versione consiste del numero di Versione generale assegnato dall´utente e di quello di dettaglio, che viene conferito internamente e si trova dopo il punto.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attenzione: modifiche non ponderate e non corrette di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In tal modo verrà generato ad ogni backup di progetto un numero per la versione di progetto. Questo numero consiste di Versione generale e di un numero dettaglio assegnato internamente, separati da un punto. Questo numero dettaglio vene elevato di una unità ad ogni backup di progetto. La versione di un backup di progetto viene visualizzata in:

  • la visuale dettagliata del nodo Backup di progetto
  • nel dialogo di ripristino di un backup nel workspace

Il numero di Versione progetto viene controllato in caso di trasmissione dei file Runtime per trasporto remoto o tramite la topopogia di rete; esso può essere letto via VBA o una variabile del driver di sistema. Se nell´Editor è caricata un´altra versione, il sistema visualizzerà un avvertimento. Nel caso in cui si verifichi un conflitto nel corso della trasmissione dei file Runtime tramite la rete, per tutti i progetti che devono essere trasmessi a questo calcolatore e per cui sussiste tale conflitto, la trasmissione può essere accettata o rifiutata.

Lo stato complessivo del progetto può essere accettato nel backup di progetto anche in forma di export XML.

Info Informazioni

Il versionamento funziona anche nell´engineering distribuito. In tal caso, il project.ini di un backup deve poter essere bloccato sul server per eventuali tentativi di modifica. I file XML vengono salvati solamente in caso di backup locali.

Backup della successione corretta

Nel versionamento può essere assegnato a piacere il Versione generale. Sulla base da questo numero principale, viene calcolato automaticamente il numero dettaglio con ogni nuovo backup a partire da 0. Se si modifica il Versione generale, l´assegnazione del numero dettaglio comincia di nuovo da 0.

Fate attenzione a Versione generale universale e a universale versionamento. Visto che gli utenti possono cambiare liberamente il Versione generale, esiste la possibilità:

  • di una successione casuale

    per es. . 2.1 è seguito da 1.0

  • uso plurimo dello stesso numero

    per es. 1.0, 1.1, 1.2, 1.0

  • disattivare temporanemente il versionamento

    Il che significa: i backup di progetto senza numero di versione vengono mescolati a quelli versionati

Per assicurare una visione chiara della successione dei singoli backup di progetto, il sistema salva nel project.ini anche l´orario in cui il backup in questione è stato salvato.

XML-Export

Se la proprietà Esportazione XML attiva è attiva, nell´ambito del backup di progetto viene impostato un file compresso del nome VERSION.ZIP. Esso contiene i dati XML export di:

Interno ID: Versionamento

Esportazione XML attiva

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: Nel backup di progetto viene inserito un file XML (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Indicazione: nei progetti multiutente, solo nel caso di backup locale.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Variabili
  • Tipi di dato
  • Matrici di reazione
  • Attribuzioni
  • Allarmi
  • Unità di misura
  • Immagini
  • Modelli
  • Liste caratteri
  • Tavolozza dei colori
  • Progetto - Libreria di simboli
  • Funzioni
  • Server archivi
  • Ricette
  • Manager gruppi ricette
  • Temporizzatori
  • Macro VBA
  • Interblocchi
  • Comando
  • EMS
  • Menu
  • gestione utenti
  • gruppi utenti
  • Interfaccia SAP

Il contenuto dei file corrisponde a quello che viene generato nel caso di un export XML manuale

Il contenuto di questi file XML corrisponde a quello che viene generato nel caso di un comune export in forma XML. Nel caso di progetti multiuser, gli export XML vengono generati solamente con backup locali.

Variabile di sistema

Analogamente alla proprietà Versione di progetto, esiste anche una variabile di sistema Versione del progetto nel tema Informazioni di sistema.


Procedere in caso di errore

Manuale -> Backup di progetto -> Versionamento -> Procedere in caso di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori di versionamento vengono visualizzati e trattati in file Log, nella finestra di emissione e in segnalazioni popup.

Diagnosis Viewer

Inserimenti nei file Log.

Inserimento | Descrizione
Error BackupDatabase: Skip on an Error in BackupXml: [Pfad] | Errore nella creazione di VERSION.ZIP con i file Xml-Export durante il backup di progetto. Il backup è stato realizzato, ma mancano i file Xml.
GetDBBackupStatus: BINARY.ZIP not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file BINARY.ZIP non è stato trovato, il backup è danneggiato.
GetDBBackupStatus: project.ini not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file project.ini non è stato trovato, il backup è danneggiato.

Finestra di emissione

Inserimenti nella finestra di emissione:

Inserimento Output Window

Spiegazione: cosa significa?

La trasmissione del progetto '%s' è stata rifiutata.

Ci sono due possibili cause:

  • Nel corso del controllo di versione si è verificato un conflitto e l´utente ha rifiutato la trasmissione.
  • Nel corso del controllo di versione si è verificato un errore.

Nessun percorso di progetto definito.

Errore nel controllo di versione.

Segnalazioni Popup

Segnalazioni di errore in popup:

Messaggio di errore

Descrizione

La versione %d.%d del progetto sul calcolatore di destinazione non corrisponde: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con il trasporto remoto:

per il progetto è stato attivato il versionamento e il numero di versione del progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Sì:
  • No: nessuna trasmissione

Sul computer %s non corrisponde la versione %d.%d del progetto %s: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con la topologia di rete:

per uno o più progetti è stato attivato il versionamento e il numero di versione di questo progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Si: Si prosegue la trasmissione
  • No: nessuna trasmissione
  • Sì tutti: si continua la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se lo si deve trasmettere
  • No tutti: si termina la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se se ne deve interrompere la trasmissione

Questo dialogo viene riaperto se, nel corso della trasmissione a un altro calcolatore di destinazione, si verifica di nuovo un conflitto di versioni.

Non si può realizzare un backup del progetto perché il 'project.ini' è bloccato!

Nel corso della realizzazione di un backup di un progetto multi-user con versionamento, si deve elevare il numero di versione nel project.ini. Ciò non è possibilie perché il project.ini è bloccato per le modifiche.


Batch Control

Manuale -> Batch Control

The module Batch Control offers the possibility to automate batch-orientated manufacturing processes for lot products. The module complies to ANSI/ISA–88.01–1995 also know as ANSI/ISA–S88.

For Batch Control there are two different editors available in the Runtime.

  • PFC editor: For complex recipes with branches.
  • Matrix editor: For simple, sequentially or parallel running recipes.

Depending on the license, both or only one editors is available to you.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. Licensing distinguishes after use of:

  • PFC editor
  • Matrix editor
  • both editors

Editor:

For the engineering in the zenon Editor one of the Batch editors must be licensed.

Runtime:

For the execution in the Runtime one of the two Batch editors must be licensed in order to fill the list of recipes. Creating and editing recipes is only possible for the licensed editor.

Network:

In the network the license of the Server counts. Stand-alone licenses of the Clients are ignored in network operation.

attenzione Attenzione

Hints in the property help about VBA keywords and XML export are currently without function.


Introduction

Manuale -> Batch Control -> Introduction

The module Batch Control consists of three parts:

  1. The engineering environment in the zenon Editor:
    There all units (ISA nomenclature, chapter 4.2.5: units) with their phases (ISA - 5.1.2.4: phases) and reactions are created. The phases must have an equivalent in the control (ISA: equipment control) which is called process action according to ISA.
    Batch Control reflects the physical model in accordance with ISA 4.2 as flat hierarchical level based on units.
    The other levels of the model such as process cell, area, plant, etc. were deliberately forgone. At the creation of the Batch recipes only the lowest level (phase) of the ISA structure model 5.1 was implemented. Additional levels such as operations, unit procedures and procedures are not available.
  2. PFC editor and Matrix editor:
    With the help of these editors you can create master recipes in the zenon Runtime. They form the base of the control recipes which can be executed (see also ISA 5.3.1.). During the process the exact status of the Batch recipe is displayed in the respective editor and you can interfere in the recipe process.
  3. Recipe Execution Engine (REE):
    The REE is directly integrated in the zenon Runtime and executes a Batch recipe automatically in the background. Via commands such as Start, Pause, Stop etc. the user can control the REE. There are three possible modes: Au tomatic, S emi-automatic and M anual.

Special features of module Batch Control:

In contrast to most other zenon modules, a large part of the engineering - the recipe creation - is done in the Runtime and not in the Editor. This entails special features which are dealt with in the respective chapter. So for example changed phases are no longer transferred to an already released master recipe in order to prevent unwanted data changes.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon drivers with any PLCs or even RTUs. They only execute the process actions. The entire recipe processing is done at the computer in the REE. For changes on the Batch recipe or for new master recipes, no modifications are necessary in the PLC code.

The module strictly follows the division between the processing of the Batch recipe (ISA: Procedural Control Model) and die execution of the process actions (ISA: Process Model) as described in ISA-S88 chapter 5.2.1.

Principle structure of the communication

For the communication with the process standard zenon variables are used. As variable names often have cryptic label, an additional abstraction level was introduced. It contains the tags which are available in two types:

  • Command tag: They are used to transfer set values to the PLC when a phase is executed.
  • Return tags: They are used to return values from the PLC for evaluation.

With both tag types values can be both written (e.g. in reactions) and also read (e.g. in conditions).

The PLC communicates with the zenon driver. The driver communicates with the zenon Runtime. The Runtime sends the values to the REE where they are processed. The REE internally works asynchronously to the zenon Runtime in a 100 ms cycle.

Network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attenzione Attenzione

Module Batch Control does not support redundancy. There is no synchronization between Standby-Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!


Terminology

Manuale -> Batch Control -> Terminology

In the zenon module Batch Control the following terms are used:

Term | Definition
Unit | Physically available machine or equipment part with which phases can be carried out.
Releasing the unit | Element of module Batch Control which cancels the allocation of a unit in the unit manager. With this the unit can be allocated by another recipe again.
Unit allocation | Element of module Batch Control which causes the allocation of a unit in the unit manager. An allocated unit can only be used by phases with the recipe. With this the unit is locked for phases of other recipes which are executed parallel.
Begin parallel branch | Element which ensures the separation of the recipe process in two or more branches.
Begin branch | Element which makes it possible to separate a recipe in two or more branches of which only one can be active at a time. Each following branch must start with a transition. The transition defines which branch is executed in the recipe process.
Begin element | Element of module Batch Control with which every recipe begins.
Batch Control | Tool for creating master recipes and creating and executing control recipes in accordance with ISA-88.
Batch processing | Automatic and sequential processing of a stack of single operations.
End parallel branch | Element which brings together the branches to one branch.
End branch | Element which brings together a branch started by a begin branch element.
End element | Element of module Batch Control with which every recipe ends.
Phase | Predefined process consisting of input interlocking, command and return tags, a phase done condition, event reactions, etc...
Parallel branch | Area of module Batch Control. A parallel branch starts with a begin parallel branch element and is brought together with an end parallel branch element to one execution branch. Between there are at least two branches which are executed parallel.
REE - Recipe Execution Engine | Part of module Batch Control for process control of recipes. The engine executes a control recipe and manages the entire process of the recipe.
Control recipe | Part of module zenon Batch Control. Contains the process of a production process on basis of the batch process according to standard ISA S88. A control recipe is always absed on a master recipe and can be executed once.
Transition | Element of module Batch Control which contains a condition. The element is used after phases in order to ensure a defined transition from one phase to another.
Connection piece | Consists of connection line and connection point. Enables the docking at Begin/end branch/parallel branch.
Connection point | Point on which lines can dock in order to connect with each other.
Connection | Area of module Batch Control which ensure a separation in two or more branches of which only one can be active at the recipe process. It is an either/or branch.A branch always starts with a begin branch element and ends with an end branch element.
Master recipe | Part of module zenon Batch Control. Contains the process of a production process on basis of the batch process according to standard ISA S88. A recipe consists of the following components: Phases, transitions, parallel branch, etc...Master recipes are used as templates for control recipes.


Process

Manuale -> Batch Control -> Process

The engineering and the use of module Batch Control takes place in three main steps:

  1. Engineering in the zenon Editor
  2. Recipe creation in the Batch editor (PFC or matrix) in the Runtime
  3. Recipe execution in the Runtime

Engineering

The engineer depicts the existing physical world in the Editor. He defines and creates units and assigns phases with tags to them.

Recipe creation

In the Runtime the recipe creator defines the master recipes on base of the presets from the Editor. They define the process. At this only the units, phases and tags defined in the engineering environment can be used.
Exception: If you activate property Modificabile in ricetta in group Settare valore impostabile in the Editor, you can modify the corresponding tag. This is only possible for command tags.

Interno ID: Process

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Process

Modificabile in ricetta

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando.

Interno ID: Process

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Process

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Chi ha impostato la ricetta può modificare i parametri durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Recipe execution

The operator executes the recipe in the Runtime. For this he starts a control recipe which is based on the control recipe. Each control recipe can only be started and used once. With this it can be assigned to a lot unambiguously. Recipe either run automatically, semi-automatically or manually.

The operator cannot influence the recipes.
Exception: If the recipe creator activates option Changeable in the control recipe, the operator can edit tags in the Runtime.


Engineering in the Editor

Manuale -> Batch Control -> Engineering in the Editor

To use module Batch Control in the Runtime, you must do the following in the Editor:

  • create units, phases and reactions
  • create a screen of type Batch Control
  • create a screen switch function for the screen of type Batch Control

Detail view

In module Batch Control the detail view divided in two:

  • The left part features the unit tree. The entry Unit is the starting point of the tree.
    On the next level the existing units are displayed. The phase belonging to each unit follow. Each phase has the subitem reactions.
  • In the right part a flat list of the units, phases, tags or reactions is displayed depending on what level is chosen on the left side.


Units

Manuale -> Batch Control -> Engineering in the Editor -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To create a new unit:

  1. in the project manager go to node Batch Control
  2. in the detail view select Unit
  3. in the context menu select menu item New unit
  4. a new unit is created in the detail view


Tool bar unit tree

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Tool bar unit tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The tool bar corresponds to the complete unit tree. Depending in the selected element symbols are available or deactivated.

Tag

Description

Rename

Opens the name filed of the selected element for renaming.

Not available for main node Units.

Delete

Deletes selected element after confirmation message.

Not available for main node Units.

Expand all

Displays the entire tree structure.

By clicking on the arrow you receive a drop-down list in which you can select on of the following commands:

  • Expand all: expands all nodes
  • Collapse all: collapses all nodes
  • Expand selected: expands all selected nodes
  • Collapse selected: collapses all selected nodes

A click on the button always expands all elements.

Via double click on the superordinate entry elements can also be expanded or collapsed.

Help

Opens online help.


Project tree - context menu unit

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Project tree - context menu unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Tag | Description
New unit | Creates a new unit.
Editor profile | Opens the drop-down list with predefined editor profiles.
Help | Opens online help.


Context menu units

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Context menu units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click the main entry Unit in the unit tree to open a context menu:

Menu item | Action
New unit | Creates a new unit.
Help | Opens online help.


Context menu unit X

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Context menu unit X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Rename | Makes it possible to rename the selected unit.
Delete | Deletes selected unit from the tree after a confirmation message.
Help | Opens online help.


Detail view unit

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Detail view unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu item | Action
New phase | Creates a new phase in the detail view.
Copy | Copies the selected entries to the clipboard.
Paste | Pastes the content from the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. You can see which cell is selected in a line with the help of the binocular symbol in the header.
Replace text in selected column | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens online help.


Detail view unit X

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Detail view unit X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tag | Description
New phase | Creates a new phase in the detail view.
Copy | Copies the selected entries to the clipboard.
Paste | Pastes the content from the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. You can see which cell is selected in a line with the help of the binocular symbol in the header.
Replace text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens online help.


Phases

Manuale -> Batch Control -> Engineering in the Editor -> Phases

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The phase is the execution object of a recipe and therefore the main component. Each phase in module Batch Control must stand facing a process action in the control.

Example: You want to heat up a tank. For this you need:

  • Firstly the corresponding equipment: a heating in the tank.
  • Then a temperature sensor which measures the actual temperature in the tank. Connect this sensor with a control.
  • In the control a program which controls the heating until the set temperature is reached.
    This control program is the process action in the PLC. It:
    • has an input tag - a set temperature - which is implemented via a command tag in Batch Control
    • needs an output tag - also a set temperature - which must be reached and which is implemented via a return tag in Batch Control

To inform the control about the progress of the recipe, you need corresponding status information which is transferred to the control. For this you use reactions and conditions for the response.

A phase therefore consists of:

Type | Description
Command tags | The set values which should be transferred to the control
Return tags | The response values which inform the REE about the status of the process action in the control. They can be evaluated in conditions and transitions.
Reactions | REE events can be used on the one hand to inform the process action in the control about the state of the REE and on the other hand to inform the user about errors (e.g. time outs, invalid tag values).
Conditions | Are used for the evaluation of the return tags: The state of the process action in the control is evaluated.
Times | Time critical processes can be monitored with this. If the engineered time is exceeded, an event is triggered on which you can react with a reaction.

Engineering

To create a new phase:

  1. select the unit for the phase or first create the desired unit
  2. in the context menu select menu item New phase
  3. a new phase is shown in the detail view
  4. the subitem Reactions is automatically added to the phase

Info Informazioni

If several phases are selected in the Editor at once whose formulas are identical but whose tags are different, this is not displayed by color coding the different values.


Context menu phase

Manuale -> Batch Control -> Engineering in the Editor -> Phases -> Context menu phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Rename | Makes it possible to rename the selected unit.
Delete | Deletes selected unit from the tree after a confirmation message.
Help | Opens online help.

Context menu phase X

Right click on a created phase in order to open a context menu for creating the tags:

Tag | Description
New command tag | Creates a new command tag.
New return tag | Creates a new return tag.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Help | Opens online help.


Detail view phase

Manuale -> Batch Control -> Engineering in the Editor -> Phases -> Detail view phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tag | Description
New command tag | Creates a new command tag in the detail view.
New return tag | Creates a new return tag in the detail view.
Copy | Copies the selected entries to the clipboard.
Paste | Pastes the content from the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. You can see which cell is selected in a line with the help of the binocular symbol in the header.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens online help.


Transitions

Manuale -> Batch Control -> Engineering in the Editor -> Transitions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Transitions are used in order to ensure a defined transition from one phase to another. The element contains a condition as element and is used as after a phase.

As transitions the following properties are available

  • In pausa :
    Within the phase the process stops at:

    Interno ID: Transitions

    In pausa

    Condition for the change from pausing to paused.
    You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
    Option: You can link variables for the validity of the phase.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase done condition
    • Check for parallel execution
  • Fermato
    Within the phase the process stops at:

    Interno ID: Transitions

    Fermato

    Condition for the change from holding to held.

    You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
    Option: You can link variables for the validity of the phase.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase done condition
    • Check for parallel execution
  • Stoppato

    Interno ID: Transitions

    Stoppato

    Condition for the change from stopping to stopped.

    You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
    Option: You can link variables for the validity of the phase.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Annullato

    Interno ID: Transitions

    Annullato

    Condition for the change from aborting to aborted.

    You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
    Option: You can link variables for the validity of the phase.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Riavviato
    Phase is completely restarted.

    Interno ID: Transitions

    Riavviato

    Condition for the change from starting to running.

    You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
    Option: You can link variables for the validity of the phase.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variables

Transition conditions can be linked with a binary variable which defines when the phase changes its status. The status changes is delayed until:

  • the value of the variable is defined
  • the value of the variable is 1
  • the status of the variable is not invalid.

If no variable is defined, the status change is always allowed.

All variables for the status change are requested at the advising of the variables in order to receive a value as soon as possible. The values for a variable which define a status change are read on the change to the transient status. A possible pulse must have value TRUE within the waiting period in order to be recognized.

Note: When closing the Runtime, it is not waited for the variable for the status change from stopping to stopped as at this time all variables are already signed off.


Conditions

Manuale -> Batch Control -> Engineering in the Editor -> Conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The conditions are used to inform the REE about the status of the process action in the control. For evaluating the conditions formulas are used which where created with the formula editor.

Hint: Use a single status tag (return tag) which takes on different values in order to transmit the status of the process action in the control to the phase. You can find an example in chapter Example for status parameter.

Engineering

To create a new reaction:

  1. click on the corresponding phase
  2. in the properties select the desired conditions from node Generale or Condizione stato transizione

    Interno ID: Conditions

    Condizione stato transizione

    Group with properties for transition conditions.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Conditions

    Generale

    Proprietà generali della fase.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. click in the field for the value or on button ...
  4. the formula editor is started
  5. define the formula for the condition

Note: The counterpart to the conditions are the reactions. With them the status of the REE is transmitted to the process actions in the control.


Waiting periods

Manuale -> Batch Control -> Engineering in the Editor -> Conditions -> Waiting periods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The recipe creator can define waiting periods. The configuration of waiting periods (time outs) prevents that time-critical processes take too long because of unforeseen events. If the condition is not fulfilled within the defined waiting period, a corresponding event is triggered. With the reactions you can react on the event and influence the recipe process.

For all waiting periods the following is true:

  • If 0d 00:00:00 is defined as waiting period, the event is not triggered.
  • The waiting periods are independent of the recipe status (e.g. Recipe paused) and continue to run even when the Runtime is closed and restarted.
  • If a phase is held and restarted, the waiting periods are also restarted.
  • If a phase is passed through several times, the waiting periods are started again for every pass.
  • Waiting periods themselves do not influence the process. They are simply used to generate an event. The reaction must be defined in the event. After the event is triggered, it is still waited for the fulfillment of the condition.


Reactions

Manuale -> Batch Control -> Engineering in the Editor -> Reactions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Reactions are the most important piece to influence the recipe process and to communicate with the control. Reactions are always based on events. This can be events of the REE (e.g.: Phase started) and also general events (e.g. Exit Runtime initiated). With the help of reactions you can e.g. tell the control when a phase has been started or finished in the REE and when all command tags have been written.

Likewise you must transfer the status of the phase to the control with the help of the reactions. Otherwise the control has no information about the process of the recipe.

Example: If you stop the REE or the phase, the event Status change: stop will be triggered. As reaction you can transfer this status change as set value input to the control. Only then can the control react and stop the process action. You can find an example in chapter Example for status parameter.

Note: The counterpart to the reactions are the conditions. With them the states of the process action in the control is transferred to the REE.

Engineering

With each phase the node Reactions is created automatically. In this node you can created any reactions. To create a new reaction:

  1. click on reactions
  2. in the context menu select menu item New reaction
  3. a new reaction is shown in the detail view
  4. in the detail view click on the entry in column Event
  5. select the desired event from the drop-down list and define the desired reaction type in the property window.

For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority. Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Reactions can only use tags of their own phase If reactions are copied from other phases, they try to use tags with the same name of the name phase.

Values of the reactions are logged in the CEL.


Context menu reactions unit tree

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Context menu reactions unit tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Tag | Description
New reaction | Creates a new reaction in the detail view.
Help | Opens online help.


Detail view reactions

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Detail view reactions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tag | Description
New reaction | Creates a new reaction in the detail view.
Execution order: Earlier | Moves the reaction forward in the execution order.
Execution order: Later | Moves the reaction backward in the execution order.
Execution order: Change places | Only active if exactly two reactions are chosen. The two selected reactions change their places in the execution order.
Copy | Copies the selected entries to the clipboard.
Paste | Pastes the content from the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. You can see which cell is selected in a line with the help of the binocular symbol in the header.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens online help.


Events

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Each reaction is a reaction to an event. The event is defined in property Evento. From the drop-down list you can select the following events:

Interno ID: Events

Evento

Tipo di evento in presenza del quale deve essere eseguita la reazione. Selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Event

Description

Unit allocation not possible

Is triggered if the unit was not allocated successfully at first try.

Finished writing command tags

Is triggered if all command tags have been written. It cannot be guaranteed however that really all tags arrived at the control. It depends on the communication and the respective driver. It can however be assumed.

Recommendation: Use this event to tell the PLC that the phase has written all command tags and the PLC can start processing the process actions.

Command tag without value

Is triggered if the command tag should be toggled and the variable linked to the tag doe not have a valid initial value.

Input interlocking blocked

Is triggered if the input interlocking was blocked at the first check.

Makes only sense if property Interblocco di ingresso was configured.

Interno ID: Events

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Phase completed

Is triggered if the phase was started and now is finished.

Phase finished

Is triggered if the phase is finished. This event is the last reaction of the phase and independent of the reason of the finishing. With this the phase done condition is fulfilled.

This event is also triggered at a restart.

Phase started

Is the first event which is triggered. It is also triggered at a restart.

With this event you tell the PLC that the phase has been started in the REE and that it is likely that the command tags will be written soon.

Phase started multiple times

A phase can only be active once. If it is activated several time in parallel, this event is triggered.

REE mode change: Automatic

The REE switched to mode Automatic.

REE mode change: Manual

The REE switched to mode Manual.

REE mode change: Semi-automatic

The REE switched to mode Semi-automatic.

Exit Runtime initiated

Is triggered if the Runtime is exited. This is an especially critical state for module Batch Control as the recipe process does not stop in the control immediately. Therefor exiting the Runtime is prevented as long as module Batch Control saved all data. A process image is created which can later be used as starting point.

Likewise it is made sure that the tags of action Write set value safely arrive at the control. Internally the phase is paused only when the writing confirmation from the driver ensued.

For more details about existing the Runtime see chapter: Exit and restart Runtime

At this event no reaction types of group Influencing the recipe are possible.

Runtime restart

The Runtime was restarted.

Status change

When the phase changes its status, the correspondingreaction is activated.

Status change: Aborting

The phase is aborted at the moment.

Status change: Aborted

The phase was aborted.

Status change: Finished

The phase is finished.

Status change: Stopped

The phase was stopped.

Status change: Holding

The phase is held at the moment.

Status change: Resuming

The phase is resuming after a break.

A status change in the object from Paused to In execution triggers the events Resuming and In execution.

Status change: Stopped

The phase was stopped.

Status change: In execution

The phase is executed.

Status change: Restarting

The phase is restarting at the moment.

Status change: Pausing

The phase is switched to Paused at the moment.

Status change: Paused

The phase is paused.

Status change: Stopping

The phase is stopping at the moment.

Linked variable invalid
  • If the value of a variable with status INVALID should be used, this event is created once per invalid variable and phase.
  • If the variable status changed from Invalid to not INVALID and back to INVALID, the reaction is again triggered when the variable is used.
  • If the phase is restarted, the event is triggered again when an invalid variable is used.

At the following activities it is checked for invalid variable:

  • Source variable in reaction
  • Variable for phase done condition
  • Variable for input interlocking
  • Write command tag inversely
  • Variables for status change at transient states allowed

Waiting period unit allocation exceeded

Is triggered if the waiting duration for the unit allocation runs. Can also occur during Paused and Held.

Waiting period input interlocking exceeded

Is triggered if the waiting duration (time out) for the input interlocking expired.

Makes only sense if a Interblocco di ingresso was defined.

Waiting period following condition exceeded

Is triggered if the phase was not finished within the scheduled waiting duration (time out) although the phase done condition was fulfilled.

Waiting period phase-done condition exceeded

Is triggered if the waiting duration (time out) for waiting for the phase done condition (Finished) was exceeded.


Reaction types

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Reaction types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the properties of the reactions the reaction types more precisely defined and engineered. In group Sostituzioni the following reaction types are available:

Interno ID: Reaction types

Sostituzioni

Contains properties for the reactions.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Reaction type

Description

Impostazione parametri di valore

Interno ID: Reaction types

Impostazione parametri di valore

Contiene proprietà per Impostazione parametri di valore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Influences command and return tag directly. All tag data types can be used.
Attention: The value must be within of the set value limits of the variable which is linked at the tag. If this is not the case, an error message is created during the validation.

Inserimenti nella CEL

Interno ID: Reaction types

Inserimenti nella CEL

Contains properties for entries in the CEL and in LOG files.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Creates entries in the CEL and log files. With this the reaction can be documented and the recipe process can be tracked later. For this property Crea inserimento CEL must be activated. The text for the CEL is defined in property Messaggio di testo CEL.

Interno ID: Reaction types

Messaggio di testo CEL

Disponibile solo se la proprietà Crea inserimento CEL è attiva.

Testo che viene inserito nella CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Reaction types

Crea inserimento CEL

Attiva: Il testo definito nella proprietà Messaggio di testo CEL viene inserito nella CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Funzione

Interno ID: Reaction types

Funzione

Contiene la proprietà per la selezione funzioni.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Makes it possible to link any zenon function.

With this you can e.g. call up a pop-up in order to inform the user about a certain status or start a data backup.

Note: In the network the function is always executed at the server.

Assegna parametro

Interno ID: Reaction types

Assegna parametro

Contains properties for the allocation of tags.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Makes it possible to perform a value assignment from Parametro sorgente to another Parametro di destinazione. You can use both command tags and return tags. The data type of source and target tag must be identical otherwise an error is displayed at the validation of the recipe.

Interno ID: Reaction types

Parametro di destinazione

Parametro a cui è trasmesso il valore di quello selezionato nella proprietà Parametro sorgente. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri. Vengono proposti solamente parametri del tipo adatto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Reaction types

Parametro sorgente

Parametro il cui valore è trasmesso a quello selezionato nella proprietà Parametro di destinazione. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Influsso ricetta

Interno ID: Reaction types

Influsso ricetta

Contiene le proprietà per la Modalità REE e il comando.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Make it possible to:

  • change the REE mode
  • execute REE commands
  • execute phase commands

With this you can react on serious events such as Waiting duration exceeded or Linked variable invalid.

Note: Use this reaction type carefully as this reaction type influence the entire recipe process.

For each event you can only once:

  • set the Modalità REE and

    Interno ID: Reaction types

    Modalità REE

    Selezione della modalità REE fra quelle della lista a cascata:
    automatica
    semiautomatica
    ignora
    manuale

    Default: Ignora

    Indicazione: la modalità REE può essere settata solamente una volta per un evento. Per tutti gli altri eventi dello stesso tipo, la modalità verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la modalità viene settata automaticamente su Ignora. Se si modifica l´evento, quest´impostazione viene eventualmente settata su Ignorato.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • write a single Comando

    Interno ID: Reaction types

    Comando

    Comando RES che modifica l´esecuzione della RES. Un comando può essere progettato solo una volta per lo stesso evento. Tutti gli altri comandi ricevono come valore "Ignora".

    Se si cambia il tipo di evento, questa impostazione può essere eventualmente settata su "ignorato".

    Selezione del comando REE fra quelli della lista a cascata:
    Mantieni fase
    Ripristina fase
    Riavvia fase
    Fase in pausa
    Ignora
    Annulla ricetta
    Mantieni ricetta
    Ripristina ricetta
    Riavvia ricetta
    Ricetta in pausa
    Interrompi ricetta

    Default: Ignora

    Indicazione: si può settare solamente un solo comando per evento. Per tutti gli altri eventi dello stesso tipo, la proprietà verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la proprietà viene settata automaticamente su Ignora.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Because e.g. it does not make sense to pause and hold the recipe at the same time with the same event.


Tag

Manuale -> Batch Control -> Engineering in the Editor -> Tag

Tags are the communication interface to the control. With them all values are transferred to the control and also read back. To not have to work with complex and for the user incomprehensible variable names in module Batch Control, the abstract level is used. Each tag consists - for each phase - of an unique name and a description. With this the engineer can give the recipe creator or operator a description for what the tag is used or which effects it has.

You can add any number of tags to a phase. We distinguish between command tags and return tags. Each tag can be switched between command and return tag at any time.


Context menu tag unit tree

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Context menu tag unit tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click on a created phase in order to open a context menu for creating the tags:

Tag | Description
New command tag | Creates a new command tag.
New return tag | Creates a new return tag.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Help | Opens online help.


Detail view tag

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Detail view tag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tag | Description
New command tag | Creates a new command tag in the detail view.
New return tag | Creates a new return tag in the detail view.
Copy | Copies the selected entries to the clipboard.
Paste | Pastes the content from the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. You can see which cell is selected in a line with the help of the binocular symbol in the header.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens online help.


Command tag

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Command tag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Command tags contain the set values which should be transferred to the control. At the execution of the phase all command tags are written to the control. You can find the exact description in chapter: Process of a phase in detail.

Command tags can also be used in transitions, conditions and reactions.

Command tags have a number of properties which can be defined via the property window. Each tag must be linked with a variable. The data type of the variable must comply with the data type of the tag and the set value limits of the parameters must be within the set value limits of the variable. If this is not the case, error messages are created during the validation.

Hint to property Modificabile in ricetta: With this you define whether the value of the command tag may be modified by the creator of the master recipe. If e.g. machine tags should not be changeable in the recipe but defined fixedly, you must deactivate this property.

Interno ID: Command tag

Modificabile in ricetta

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando.

Interno ID: Command tag

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Command tag

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Chi ha impostato la ricetta può modificare i parametri durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Engineering

To create a new command tag:

  1. select the desired phase
  2. in the context menu select menu item New command tag
  3. a new command tag is created in the detail view


Return tags

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Return tags

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The return tags contain the return values with which the process action of the REE communicate its status. Normally the value is set by the control and evaluated by the REE. Return tags can be evaluated in transitions and conditions.

Likewise they can be used in reactions and can also be written there. For this the are listed as target tags at Assegna parametro and Impostazione parametri di valore.

Interno ID: Return tags

Impostazione parametri di valore

Contiene proprietà per Impostazione parametri di valore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Return tags

Assegna parametro

Contains properties for the allocation of tags.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Engineering

To create a new return tag:

  1. select the desired phase for which you want to create a new return tag
  2. in the context menu select menu item New return tag
  3. a new command tag is created in the detail view


Example for status tag

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Example for status tag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To be able to communicate with the control, you normally need two status tags:

  • one in write direction and
  • one in read direction

The variable behind these parameters should have a numeric data type such as USINT or UINT.
We recommend that you execute both tags as return tags. This may seem illogic for commands in write direction at first glance but has the following background: At the execution of the phase, all command tags are written. With this they are visible in the list of command tags and can therefore be deleted accidentally. This makes no sense for a command for the control. The goal is not just to communicate a single value to the control as command but to transmit the status of the phase in the the recipe.

Especially at the writing of a command tag it makes sense to not simply inform the PLC about the writing but the status when all values have been written and the PLC therefore can start to process the process action.

For this it is best to use the reaction to event Finished writing command tags. At reactions to an event you can also write values to an return tag. Therefore it is better to use return tags for both status tags.

Here is an example about which values the tags can take on:

Status tag in write direction (to the PLC): Commands

Value

Name of the event

0

not defined

1

Phase started

2

Finished writing command tags

3

Phase finished: Phase done condition fulfilled and Minima durata di esecuzione reached (if engineered)

Interno ID: Example for status tag

Minima durata di esecuzione

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Massima durata di esecuzione.

Interno ID: Example for status tag

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: Example for status tag

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

4

Phase completed

5-9

Reserve

10

Status change: pausing

11

Status change: Resuming

12

Status change: Holding

13

Status change: Restarting

14

Status change: Stopping

15

Status change: Abborting

16-19

Reserve

20

REE mode change: Automatic

21

REE mode change: Semi-automatic

22

REE mode change: Manual

23-29

Reserve

30

Exit Runtime initiated

31

Runtime restart

32

Unit allocation not possible

33

Waiting period unit allocation exceeded

34

Input interlocking blocked

35

Waiting period input interlocking exceeded

36

Waiting period phase-done condition exceeded

37

Waiting period following condition exceeded

38

Phase started multiple times

You can find the exact meaning of the events in chapter Event type.

For each entry in the table you define a corresponding reaction for writing the status value at the phase.
Hint: Use the same tag label for all phases; e.g. StatusPhase. Then you only have to engineer the reaction at one phase and can then transfer it to all phases via copy & paste. You can of course also copy the tags. Do not forget to correct the variable. They must match the respective phase.

Tag in read direction (from the PLC): Return Values

Value | Description | Linked in property
0 - 1 | Not defined |
2 | Process actionfinished | Condizione di termine fase
3 - 9 | Reserve |
10 | Process action paused | In pausa Interno ID: Example for status tag In pausa Condition for the change from pausing to paused. You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. Option: You can link variables for the validity of the phase. More in the online help. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
11 | Reserve |
12 | Process action held | Fermato Interno ID: Example for status tag Fermato Condition for the change from holding to held. You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. Option: You can link variables for the validity of the phase. More in the online help. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
13 | Process action restarted | Riavviato Interno ID: Example for status tag Riavviato Condition for the change from starting to running. You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. Option: You can link variables for the validity of the phase. More in the online help. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
14 | Process action stopped | Stoppato Interno ID: Example for status tag Stoppato Condition for the change from stopping to stopped. You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. Option: You can link variables for the validity of the phase. More in the online help. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
15 | Process action aborted | Annullato Interno ID: Example for status tag Annullato Condition for the change from aborting to aborted. You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. Option: You can link variables for the validity of the phase. More in the online help. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Link the values with a formula in the respective property.

Hint: You can copy the formula and just change the respective value. If you make this setting at the beginning of the engineering of the first phase, you can copy the entire phase and with that have this settings for all phases.


Execution period

Manuale -> Batch Control -> Engineering in the Editor -> Tag -> Execution period

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The execution duration is controlled via two independent properties. Their values must not complement one another.

Maximum execution duration

The Massima durata di esecuzione refers to Phase completed and therefore to the process. It is not connected to the Minimum execution duration.

Interno ID: Execution period

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: Execution period

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimum execution duration

Property Minima durata di esecuzione defines how long zenon waits after writing the command tag independent of the check of the phase done condition. During the execution the minimum execution duration is checked. If the value is larger than 0, an event is triggered after it has expired. This happens regardless of whether the phase still checks its Condizione di termine fase or only waits for the Minima durata di esecuzione.

Interno ID: Execution period

Minima durata di esecuzione

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Massima durata di esecuzione.

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The length of the minimum execution duration can exceed the maximum execution duration.

Example

  • There is a phase: Start mixing. The confirmation that the mixer runs must not take longer than 5 seconds before a warning of an error is displayed.
    Projecting: Property Massima durata di esecuzione gets value 5 seconds with corresponding reaction.
  • The mixer however should run 15 minutes before the next phase is executed.
    Projecting: Property Minima durata di esecuzione gets value 15 minutes.

With this the minimum execution duration is 15 minutes and the maximum execution duration 5 seconds.


Input interlocking

Manuale -> Batch Control -> Engineering in the Editor -> Input interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With the help of an input interlocking the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled.

The input interlocking is configured via property Interblocco di ingresso. Via the formula editor the condition is defined which the input interlocking must fulfill. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can also be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there. The waiting period for the input interlocking is configured with the help of property Tempo di attesa per interblocco di ingresso.

Interno ID: Input interlocking

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con l´inizio del controllo dell'interblocco di ingresso.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Input interlocking

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

If an input interlocking was defined, the phase is executed as soon as the following conditions are fulfilled:

  • the phase is active
  • the unit is allocated
  • the phase is not active twice
  • the phase is not already executed
  • the input interlocking is fulfilled

If no input interlocking is linked, the phase is executed when:

  • the phase becomes active
  • the unit is allocated
  • the phase is not executed twice
  • the needed variables all have a value

Info Informazioni

You can find more information about input interlockings in chapter Processing a phase in detail.


Create screen of type Batch Control

Manuale -> Batch Control -> Engineering in the Editor -> Create screen of type Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In screen of the type Batch Control master recipes and/or control recipes can be:

  • created
  • managed
  • executed in the Runtime

The display size of the screen depends on the selected template size.

To create a screen of type Batch Control:

  1. in node Screens in the context menu select menu item New screen
  2. in column Screen type select Batch Control from the drop-down list
  3. in the menu bar Control elements select one of the three default settings:
    • Insert template: provides templates for different resolutions and selection of only master recipes or default (master and control recipes)
    • Default master recipe: adds selected elements for a master recipe
    • Default control recipe: adds selected elements for a control recipe
  4. the default elements for the desired settings are created
  5. if needed you can add additional control elements from menu Control elements
  6. create a screen switch in order to display the screen in the Runtime

Element

Description

Insert template

Inserts control elements for master recipes and/or control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (master recipe)

Inserts control elements for master recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (control recipe)

Inserts control elements for control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Recipe editor

Adds the licenses editor for creating master and control recipes.

Master recipes

Control elements for master recipes.

List master recipes

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Column selection master recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns master recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New master recipe...

Opens dialog for creating a new master recipe.

Rename master recipe

Only active if exactly one master recipe is selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to changed the description of the master recipe.

When renaming a recipe, a CEL entry is created.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Livello di autorizzazione:.
When deleting a recipe, a CEL entry is created.

Interno ID: Create screen of type Batch Control

Livello di autorizzazione:

Livello password per abilitare il settaggio valori nel rispettivo elemento dinamico.
Minimo: 0.
Massimo: 127.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Switch master recipe to edit mode

Changes the master recipe status of the selected recipes to Editable. In this status recipe can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Switch master recipe to test mode

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only faultless recipes can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Display associated control recipes in list

Opens all control recipes which are based on the selected master recipes and which comply with the set filter criteria.

Filter for displaying the control recipe

Makes it possible to filter control recipes for the following criteria:

  • Currently executed control recipes:
    Displays only control recipes which are currently executed. Only takes effect as soon as you click on Show associated control recipes in list.
  • Prepared control recipes:
    Display only control recipes which are prepared for execution. Only takes effect as soon as you click on Show associated control recipes in list.
  • Completed control recipes:
    Displays only control recipes which have already been executed. Only takes effect as soon as you click on Show associated control recipes in list.

Control recipe

Control elements for control recipes.

List control recipes...

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. For filling the list you must:

  • select master recipes
  • set filters
    currently executed control recipes,
    prepared control recipes and
    completed control recipes
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Column selection control recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns control recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to changed the description of the control recipe.

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Livello di autorizzazione:.
When deleting a recipe, a CEL entry is created.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the defined REE mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.


Screen switch Batch Control

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To use Batch Control in the Runtime, engineer a screen switch function to a screen of type Batch Control:

  1. in node Functions in the context menu select menu item New function
  2. select function Screen switch
  3. select the screen of type Batch Control
  4. the filter dialog is displayed
  5. configure the column settings for the list of the master recipes/control recipes as you wish
  6. configure the desired prefiltering of the master recipes/control recipes
  7. link the function with a button on the screen in order to switch in the Runtime


Column settings

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Column settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The column settings are configured for:

  • List of master recipes
  • List of control recipes

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
OK | Riprende e accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online


Column selection

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Column settings -> Column selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Column selection for list of the master recipes:

Column selection for list of the control recipes:

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Column format

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Column settings -> Column format

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this dialog you define the column format:

Parametri

Descrizione

Colonne disponibili

Lista delle colonne disponibili facendo uso della Selezione colonne. La colonna selezionata in questa sede viene configurata mediante le proprietà della sezione Parametri.

Parametri

Impostazioni per colonna selezionata.

Descrizione

Nome del titolo della colonna Il titolo colonna è traducibile online. A tal scopo dovete inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo a riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo a riferimento il bordo destro.

Blocca il filtro colonna nell´immagine di processo

attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Indicazione: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Message Control
  • Manager gruppi ricette

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Prefiltering

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Prefiltering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order that in the Runtime all recipes are not loaded in the recipe list all the time, you can define filter in the screen switch function. To do this:

  1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
  2. enter the desired filter text; wildcards (*) are allowed:
    e.g. for the List of the master recipes in column Master recipe status the text In Exec*
  3. confirm the filter text with Return for it to be applied.

In the Runtime in the list of the master recipes only the recipes are displayed which are currently in test mode and which are currently executed. You can use any number of column filters at a time.

If you want that the user cannot remove the filter in the Runtime, open dialog Column format... and activate option Lock column filter in the process screen. With this the user cannot modify the filters in the Runtime and therefore does not get the recipes, which e.g. he is not allowed to modify, not displayed.


Configure and control in the Runtime

Manuale -> Batch Control -> Configure and control in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The entire management, creation and processing of the recipes is done in the Runtime. Editing in the zenon Editor is not possible.

Checking for changes in the Editor

When opening a recipe it is checked whether the engineering of unit, phase, etc. was changed in the Editor. If a change is detected, it is taken over in the object to which the function concerned is assigned. Settings which were overwritten in the Runtime remain the same. When the recipe was changed, it is shown via an asterisk (*).

At reloading the recipe is also checked.

Note: Only recipes in the edit mode are updated.

If a changed recipe should be release which was not yet saved, a prompt is displayed with the following possibilities:

  • release the current recipe
  • release the saved recipe
  • cancel the release process

attenzione Attenzione

Changes to phases in the Editor are taken over without warning message when the recipe is releases in the Runtime. For all data which are not overwritten in the Runtime, the Editor is the leading system.

Selection procedure in lists:

  • Ctrl+A: selects all elements
  • Ctrl+mouse click: adds master recipe to the existing selection
  • Ctrl+Shift+mouse click: Extends selection from the currently selected master recipe to the clicked master recipe


Commands and actions

Manuale -> Batch Control -> Configure and control in the Runtime -> Commands and actions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the Runtime the following commands and actions are available:

  • Commands effect the recipe process.
  • Actions make it possible to edit recipes.

Commands

For a command to be accepted by the phase, the following requirements are necessary:

  • The REE must run.
  • The phases must be active.
  • The phase must be in a state in which the command is allowed.

Via multi-selection the command can be sent to several phases in the same execution cycle.

Command | Description
Start recipe | Starts the recipe process.
Pause recipe | Pauses the recipe process.
Resume recipe | Resumes a held or paused recipe.
Hold recipe | Holds the recipe process.
Restart recipe | Restarts the recipe.
Stop recipe | Stops the recipe.
Abort recipe | Aborts the recipe.
Pause phase | Pauses the phase.
Resume phase | Resumes the phase.
Hold phase | Holds phase.
Restart phase | Restarts the phase.
Switch to automatic mode | Switches the REE to automatic mode.
Switch to semi-automatic mode | Switches the REE to semi-automatic mode.
Switch to manual mode | Switches the REE to manual mode.
Continue recipe only on selected execution position | Continues a recipe at the selected position.
Continue recipe on all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.

Actions

Action | Description
Check recipe for errors | Checks the recipe for errors and displays error messages.
Edit element | Opens the corresponding dialog for editing the selected element.
Show/hide grid | Toggles the grid for the PFC editor on/off.
Change background color and grid color | Opens the dialog for changing the background color and grid color.
Duplicate Recipe | Copies the selected recipe and adds it as copy to the list.
Create control recipe | Creates a control recipe.
New master recipe | Opens the dialog for creating a new recipe.
Save master recipe | Saves all changes which were done since the last saving.
Delete | Deletes the selected element.
Exchange phase | Opens the dialog for selecting a phase. The present phase is replaced by the newly selected phase.
Edit mode | Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.
Add phase | Occupies the mouse cursor with a phase. It can be added to any allowed, free location via click.
Add transition | Occupies the mouse cursor with a transition. It can be added to any allowed, free location via click.
Add begin parallel branch | Occupies the mouse cursor with a begin parallel branch. It can be added to any allowed, free location via click.
Add end parallel branch | Occupies the mouse cursor with an end parallel branch. It can be added to any allowed, free location via click.
Add begin branch | Occupies the mouse cursor with a begin branch. It can be added to any allowed, free location via click.
Add end branch | Occupies the mouse cursor with an end branch. It can be added to any allowed, free location via click.
Add unit allocation | Occupies the mouse cursor with a unit allocation. It can be added to any allowed, free location via click.
Add jump target | Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.
Switch recipe to test mode | Switches recipe to the test mode.
Release recipe | Releases the recipe. With this a control recipe can be created.


Engineering rules for recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Engineering rules for recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

At the engineering the rules defined in standard ANSI/ISA-S88 are generally true.

Important principles:

General

  • For all elements all connection points must be connected.
    Exception: Jump target element. Here at least the output connection point and one input connection point must be connected.
  • The begin element exists exactly once and marks the beginning of the process.
  • The end element exists exactly once and marks the end of the process.
  • Phases can be inserted anywhere. You can also place several phases in succession.
  • Two transitions may not lie one after the other.

Branches

  • The first element after an begin branch must be a transition.
  • The individual branches which start at begin branch must all end in an end branch never in an end parallel branch. Outside of an parallel branch a branch can also end in a jump target element. Any element can be placed between begin and end of an branch even parallel branches as long as they are closed before the end branch element.
  • It is not necessary to have an end branch for each begin branch. You can for example have two begin branch elements ending in one end branch or the other way round.
  • It is not necessary to have an end branch for a begin branch. It can simply end in a line. If for example you have a begin branch element with two paths and one of the paths ends in a jump target, it does not make sense to have an end branch.
  • End branch elements can be used in the same way as jump target elements.
    Limitation: The element must not be followed by a transition.

Parallel branch

  • The first element after a Begin parallel branch must no be a transition.
  • The individual branches which start at begin parallel branch must all end in an end parallel branch never in an end branch. You may use any elements between begin parallel branch and end parallel branch even branches as long as they are closed before the end parallel branch.
  • Not all branches which were started in a begin parallel branch must end in an end parallel branch. It is enough when all branches converge over an end parallel objects. Equally branches from different begin parallel branch objects may converge in a single end parallel branch.
  • Parallel branches can be embedded in parallel branches, For this, the following applies:
    • each embedded parallel branch must unite to the superordinate parallel branch
    • embraced interlacing is not supported

Lines in the PFC editor

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: The both inputs of two phases must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets are used to
    • jump between branches
    • jump out of branches
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a begin branch. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least one input and the output must be connected. At this it makes no difference which input connection point is connected.
  • Jump targets may be interlaced consecutively.
  • Jumps are prohibited:
    • between parallel branches
    • to jump out of a parallel branch
    • to jump in a parallel branch

Reactions

  • Reactions can appear in each object state.
  • For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • Variables which are used in the tags of the reaction as source are registered at the driver as for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.
  • If as an reaction to a status change a command was triggered which triggers an immediate status change (command to REE), the command of the second reaction is processed directly after processing the first. Commands processed.

Execution period

  • Property Minima durata di esecuzione defines how long it is waited after writing the command tag independent of the check of the phase done condition.

    Interno ID: Engineering rules for recipes

    Minima durata di esecuzione

    Minimum execution duration of the phase.

    • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
    • 0: Execution duration is not checked

    Minimum execution duration can exceed Massima durata di esecuzione.

    Interno ID: Engineering rules for recipes

    Massima durata di esecuzione

    Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
    Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
    Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
    Valore minimo: 0T 00:00:00
    Valore massimo: 9999T 23:59:59

    Interno ID: Engineering rules for recipes

    Condizione di termine fase

    Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: 0T 00:00:00

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

    More in the online help.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • During the execution the minimum execution duration is checked. If the value is not 0 an event is triggered after it expired independent of whether the phase still checks its phase done condition or only waits for the minimal execution duration.

Read more about execution duration in chapter Execution duration.


Status Line

Manuale -> Batch Control -> Configure and control in the Runtime -> Status Line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The status line is automatically adapted to each arriving recipes and initialized with its data. The the status line the following is displayed:

  • Error status of the recipe
    • Error: Currently there is an error in the recipe. The number of errors is also displayed.
    • Historical error: During the execution at least one error occurred. Currently not error exists.
    • No error: Until now the execution runs faultless.
  • the current status of the REE during the execution
  • Mouse cursor position and changes such as moving the connection line
  • the deleting, adding or selecting of elements

In the PFC editor the status line additionally offers the possibility in the right-hand area to display and control the zoom steps of the current view.


Recipe types and recipe states

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe types and recipe states

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Basically we distinguish between the following recipe types:

  • PFC recipe for free, complex processes. They are created with the PFC editor.
  • Matrix recipe for simple sequential/parallel processes. They are created with the matrix editor.

For both recipe types its true that they are available in the following characteristics:

  • Master recipes:
    Form the basis for the control recipes. The created in status Editable. If they are in status Released, they can no longer be modified.
  • Control recipes:
    Are recipes which can be executed once. Each control recipe is based on a master recipe. Control recipes can be modified concerning the process. The process is defined by the master recipe. Changeable are only command tags for which option Changeable in control recipe was activated.

Status for master recipes

Master recipes can have the following states:

  • Editable: In this state everything can be changed. Each new master recipe is created in this status.
  • Test mode: In this status the recipe behaves similar as a control recipe. As them the process cannot be modified. It can be executed and all commands, actions, modes, etc. are available. You can also change all command tags for which option Changeable in recipe was activated.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
    In test mode recipes can be executed consecutively several times. This is not the case for control recipes. Changes from the Editor are taken over after a reload or after a Runtime restart.
  • Released: In this status no changes to the recipe are possible
    Note: Also changes to the phases or to the reactions in the Editor are not transferred to a master recipe. The status at the release are frozen.
    Exception: Changes to variable and function are not considered by these protection mechanisms. This can lead to a master recipe and all control recipes based on it becoming invalid. If e.g. the data type of a variable is changed from Bool to String, the validation function is no longer run through and the recipe can no longer be used as long as the error is not fixed in the Editor. Likewise the units themselves are not protected as they are used recipe-spanning. If a unit name is changed in the Editor, it immediately takes effect after reloading or a Runtime restart on all phases which are based on it.

    To be able to release a master recipe, the recipe must be validated without errors. The validation is done automatically during the release and and cannot be avoided. Control recipes can only be created from released recipes.

    If a master recipe with status Release should be modified, you must create a copy of the master recipe via command duplicate. The copy gets status Editable.

Status for control recipes

Control recipes can have the following states:

  • Prepared: A newly created control recipe has this status. In this status it can be started and command tags, for which option Changeable in control recipe was activated, can be changed.
  • In execution: The control recipe was started and is processed. It remains in this status until it is Completed, Stoppedor Canceled. Via the REE Status you can learn the exact state of the recipe.
    In this status command tags, for which option Changeable in control recipe was activated, can be changed.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
  • Finished: The recipe reached its final state. It can no longer be restarted and it also cannot be changed. Changes to command tags are not possible. Finished control recipes can be duplicated and deleted.


Master recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Master recipe are the basis of control recipes. With the help of master recipes you define and test the recipe process. After a master recipe is released, its content and structure can no longer be changed.

For the creation of master recipes two editors are available. Depending on the license only one of them or both can be used.


Create master recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Create master recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A click on button Create master recipe opens the dialog Configuration master recipe.

Tag

Description

Matrix recipe

Activate this radio button if you want to create a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you want to create a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the recipe. The name must not contain a dot (.), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy a recipe the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the master recipes yet.

The recipe names can be changed later but only as long as the recipe is in status Editable.

Description

Optional description for the recipe which should be created.

The description can be changed later but only as long as the recipe is in status Editable. To change the description select button Rename master recipe.

OK

Applies all settings and created a new recipe.

Cancel

Closes the dialog without creating a recipe.


PFC recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If you selected PFC recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the PFC editor.

As each recipe needs a begin and an end element, these two elements already exist in the recipe and cannot be deleted from it.

Add the desired phases, transitions, branches, parallel branches and unit allocations to your recipe. Fields which are unsuitable for adding an element turn red when you move the element above it.


PFC editor

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> PFC editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the PFC editor you can create your recipes graphically.

Technical details

  • Sheet size:
    • Default: 10 x 10 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling via mouse wheel: up and down or if you press and hold Shift left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move element: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.


Tool bar and context menu PFC recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Tool bar and context menu PFC recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tool bar PFC editor: Edit mode

Tag

Description

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

If another recipe is opened, the current recipe is saved automatically.

Show/hide grid

Shows/hides the grid.

Change background color and grid color.

Opens the dialog for changing the color of the background and the grid.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Exchange phase

Opens dialog for selecting a phase and replaces the existing phase by the newly selected phase. You can select several phases and exchange them with a singel phase.

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Add phase

Adds a phase.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add transition

Adds a transition.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add begin parallel branch

Adds a begin parallel branch.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add end parallel branch

Adds an end parallel branch.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add begin branch

Adds a begin branch.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add end branch

Adds an end branch.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add unit allocation

Adds a unit allocation.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Add jump target

Adds a jump target.

Remains active as long as you change to the edit mode via symbol Edit mode or key Esc or you change to another insert option via a symbol for adding a new element.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Tool bar PFC recipe: release

Tag

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Duplicate Recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe.

Context menu tabs

Each diagram is highlighted in the editor with a tab Via the context menu the following commands are available for all tabs:

Tag | Description
Save | Saves all changes in the diagram.
Close | Closes the diagram.
Close all others | Closes all diagrams except the diagram whose context menu is active.


Settings diagram

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Settings diagram

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A click on the symbol for the color configuration in the tool bar opens the dialog for configuring the color for the background and grid.

Tag | Description
Background color | Defines the background color of the diagram. Click on the color in order to open the palette for selecting a color.
Grid color | Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.
OK | Applies all settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Begin element

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Begin element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

First element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Allocate and configure unit

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Allocate and configure unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To allocate a unit:

  1. in the tool bar select the symbol for Add unit allocation
  2. move the mouse to the desired position
  3. place the unit
  4. the unit is added

To configure the unit allocation:

  1. double click the unit
  2. the dialog for the configuration is opened

Configuration

In a configuration dialog you can select the units which exist in the batch recipe for the Runtime. It is distinguished between allocation and release. Releases can be set selectively and globally. Units which were selected before and no longer exist in the recipe, are displayed with an appropriate note.

Tag

Description

List units

Displays existing units and their assigned actions.

Action

Assigns an action to the unit selected in the list.

Allocation of the unit.

Allocates the unit.

Release of the unit.

Releases the unit:

  • Release of the last allocation: The last allocation is released.
  • Recipe-spanning release: All allocations in the recipe are released.

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes the dialog.

Allocate and release units

The allocation of a unit by element unit allocation or by a phase is only possible if the unit is not yet allocated or only in the same recipe. Allocation and release of units is always done in a cycle. It is always waited until all units which should be allocated are released. Then all allocations and releases are down at the same time. Phases which are located in front of an element unit allocation remain active until the allocation was successful. When the recipe is finished and there are still allocations of elements Unit allocation active, they are released implicitly.

Note: In states Paused or Held, units can also not be allocated by other recipes. But: In manual mode you can force the allocation of a unit by another recipe. The recipe with the first allocation keeps the control and takes priority at the execution. If this recipe withdraws its main allocation, the recipe with the longest active forced allocation takes over the main allocation.

Actions

For each unit which is used in the recipe, you can define an action:

  • no action
  • allocate
  • release

Tooltip

In the tooltip of element Unit allocation all units are displayed which are marked for allocation or release. During the execution the Execution duration is stated and all units for which you must wait are color-coded. You must wait for units if they are allocated in another recipe.


Add and configure phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Add and configure phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To add a phase:

  1. in the tool bar select the symbol for Add phase
  2. move the mouse to the desired position
  3. locate the phase
  4. the dialog for selecting a phase is opened
  5. select the desired phase

To configure a phase:

  1. double click the phase
  2. the dialog for the configuration is opened

Configuration

Tag | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see chapter:

  • General: Display and configuration of the settings for the phase
  • Tag: Configuration of the tags


Selection phase

Selection phase

If a phase is added, the dialog for selecting a phase is opened.

Tag | Description
Project tree | Displays the current project from which the phases can be selected.
List field phases | In the list all phases engineered in the Editor are displayed. This list can be filtered. The filtering is case-sensitive. Placeholders * and ? can be used.
Arrow keys | Move selected phases up or down.
No selection | Deletes already selected phases from the element.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

All settings of the dialog are saved user-specificly on closing the dialog.


General

General

The properties of tab General are set in the Editor with the exception of Changeable in the control recipe. The values can changed in the master recipe. A symbol indicates whether the value in the dialog matches the value in the Editor. For different values you can again apply the value defined in the Editor.

Meaning of the symbols next to the values:

Tag | Description
: | Value in the dialog and the value in the Editor match.
: | Value in the dialog and the value in the Editor do not match.
: | Only active if the values in the recipe and Editor do not match. Click on button to apply the value from the Editor. It overrides the value in the master recipe.

For information about the base data on these tabs see chapter Add and configure phase.

Tag

Description

Waiting period unit allocation

Time in days, hours, minutes and seconds which is waited for the allocation of the unit. The waiting period can be changed in the Runtime as long as the recipe has status Editable.

After the defined period has exceeded, the event Waiting period unit allocation exceeded is triggered and the element is highlighted. Additional actions must be defined by the engineer. If no further actions take place, the waiting is continued.

Maximum: 9999d 23:59:59
Default: 0d 00:00:00

Note: A unit can only be allocated by a single recipe with status In execution at a time.

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Input interlocking

Defines conditions for input interlocking. Click on button ... or an entry to open the formula editor for defining the condition.
If an input interlocking is configured, the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there.
The waiting period for the input interlocking is configured with the help of property Tempo di attesa per interblocco di ingresso.

Interno ID: General

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con l´inizio del controllo dell'interblocco di ingresso.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: General

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Waiting period input interlocking

Period in days, hours, minutes and seconds in which the condition defined in property Interblocco di ingresso must return value TRUE. The waiting period begins with the beginning of the check of the input interlocking. If the condition is not fulfilled within the waiting period, the event Waiting period input interlocking exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Phase done condition

Defines the condition for phase done. Click on button ... or an entry to open the formula editor for defining the condition.
The condition can be displayed in the Runtime but cannot be changed there. The period which is waited for the fulfillment of the condition is defined via property Massima durata di esecuzione.

Interno ID: General

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: General

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Maximum execution duration

Period in days, hours, minutes and seconds in which the condition defined in property Condizione di termine fase must return value TRUE. The waiting period begins when writing of the command parameter. If the condition is not fulfilled within the waiting period, the event Waiting period phase done condition exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

Note: Time keeps running when the recipe/the phase is paused.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Makes only sense if property Condizione di termine fase was configured.

Read more about execution duration in chapter Execution duration.

Minimum execution duration

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Massima durata di esecuzione. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Changeable in the control recipe if option Changeable in the control recipe was activated in the master recipe.

Read more about execution duration in chapter Execution duration.

Changeable in the control recipe

Active: Property can be changed in the control recipe.

Waiting period following conditions

Period in days, hours, minutes and seconds in which the phase must be completed. The waiting period begins when the phase done condition is reached. If the condition is not fulfilled within the waiting period, the event Waiting period following condition exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Note: If the following condition exists depends on the recipe structure. Therefore the configuration of a waiting period should not be done in the Editor but in the Runtime. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

For more information see chapters Times and Following conditions.

OK

Applies all changes on all tabs and closes the dialog.

Cancel

Discards all changes on all tabs and closes the dialog.


Tag

Tag

For information about the base data on these tabs see chapter Add and configure phase.

Tag | Description
List tag | Displays the tag configured in the Editor. Tags can be filtered and sorted according to columns. Click on symbol Edit tag, double click the tag, menu item in the context menu or press Return to open the dialog for editing a tag.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Tool bar

Symbol | Meaning
Edit tag | Opens the dialog for editing the tag.
Display all command tags | Toggles between the display of the changeable tags and all tags.
Display return tag | In addition to the command tags also displays the return tags or hides them.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for formating the columns.


Edit tag

Edit tag

To edit a tag in the Runtime:

  1. in dialog Edit phase select tab Tag
  2. highlight the desired tag
  3. open the dialog for editing the tags via a click on symbol Edit tag, the context menu, a double click on the tag or press Return
  4. the dialog for editing is opened

For each data type an own dialog is opened:

  • Numeric
  • Binary
  • String
  • Duration

The properties are normally configured in the Editor and only displayed in the Runtime. Exceptions are values of the data type. They can be adapted if property Modificabile in ricetta was activated in the Editor.

Interno ID: Edit tag

Modificabile in ricetta

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando.

Interno ID: Edit tag

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Edit tag

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Chi ha impostato la ricetta può modificare i parametri durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numeric tag

Tag

Meaning

Tag

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: Modificabile in ricetta).

Minimum

Minimum value for the tag.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Minimum variable

Allowed minimum value of the variable.

Value

Name of the tag.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Unit

Unit of the value.

Maximum

Maximum value for the tag. Only display.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Maximum variable

Allowed maximum value of the variable. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver description

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Binary tag

Tag

Meaning

Tag

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: Modificabile in ricetta).

Off

Status: Off.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

On

Status: On.

Toggle

Toggles between the states.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver description

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

String tag

Tag

Meaning

Tag

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag. Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: Modificabile in ricetta).

String

Alphanumeric character string.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Possible length is limited by the Lunghezza stringa engineered in the variable.

Interno ID: Edit tag

Lunghezza stringa

Solo per le variabili tipo STRING:
Lunghezza massima della stringa che la variabile può contenere.
default: 5

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

String length

Defines possible length of the string. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver description

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Accept

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Duration

Tag

Meaning

Tag

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag. Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: Modificabile in ricetta).

Minimum

Minimum value for the tag in format:
d hh:mm:ss

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Minimum variable

Allowed minimum value of the variable.

Duration

Value of the tag in format:
d hh:mm:ss.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Unit

Unit of the value.

Maximum

Maximum value for the tag in format:
d hh:mm:ss.

Default from the Editor can be changed when property Modificabile in ricetta was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Maximum variable

Allowed minimum value of the variable. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver description

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.


Column selection

Column selection

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Column format

Column format

Tag

Description

Available columns

List of the available columns via Column selection. The column selected here is configured via settings of section Property.

Tag

Settings for selected column.

Labeling

Name for column title. The column title is online language switchable. For this you must enter the @ character in front of the name.

Width

Width of the column in characters.
Calculation: Number times average character width of the selected font.

Alignment

Alignment.

Possible settings:

  • Left-aligned: Text is aligned on the left border of the column.
  • Centered: Text is displayed centered in the column.
  • Right-aligned: Text is aligned on the right border of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Lines

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse.
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Operations with lines

Lines:

  • are dragged with the mouse
  • can be moved (press and hold key Ctrl)
    At this all existing connections are separated and it is tried to reconnect the line if there are objects with connections points in the right direction at the target.
    If several lines are highlighted, the line, in whose cell the mouse cursor is, is moved.
  • can be deleted by highlighting them an pressing Del
  • are deleted when re-dragging them from beginning to end
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created


Transition

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Transition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Transitions are used after phases in order to ensure a defined transition from one phase to another. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

For details about transitions see section Engineering in the Editor in chapter Transitions.


Branches

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Branches

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Recipes can branch A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin branch can only be followed by a transitions. and run in parallel branches.

Branches and parallel branches consist of:

  • single/double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Add branches

To create a branch:

  1. select the symbol Add begin branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a branch with object Add end branch

Add parallel branch

To create a parallel branch:

  1. select the symbol Add begin parallel branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a parallel branch with object Add end parallel branch

Modify and move

Branches and parallel branches can be moved and changed in size.

Move

To move an object:

  1. click on the object
  2. keep the mouse button pressed
  3. move the object to the desired position

Change size

In this way object Begin/end branch/parallel branch can be extended and shortened. To change their size:

  1. move the mouse cursor over the object until it turns into a double arrow
  2. press and hold the left mouse button and move the mouse in the desired direction:
    • away from the object to extend it
    • into the object to shorten it
  3. at extending a new connection piece is added;
    • all fields which are concerned by the extension are marked green
    • to add several need connection pieces the process must be repeated
  4. at shortening all corresponding connection pieces are deleted


Branches

Branches

A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin branch can only be followed by a transitions.

Procedure:

  • The path is chosen for which the transition is TRUE first.
  • Then it is waited until all transitions have a value.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a phase in front of the element and a transition behind, the phase remains active until the transition was completed.

In a branch the objects are processed sequentially. Each branch processes its objects independent of other branches.


Parallel branch

Parallel branch

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. For the activation of the different elements within a parallel branch you cannot define a certain order.

In the process the respective intermediate area of the end parallel branch is also colored. The color matches the coloring of the phase.

Phase completed is displayed as active as soon as the first previous element has been completed. This means that a phase is Finished or a transition is passed. Transitions are marked as completed as soon as they are passed. Phases wait at Phase completed until the end parallel branch is completed. Completed means that either the following phase is active or the following transition is inactive.

During the execution the status is color-coded.


Split up and combine branches

Split up and combine branches

For parallel branches the branch splits up a Begin parallel branch and combines the single branches at End parallel branch. The paths of the parallel objects are independent branches. Only at End parallel branch all branches are synchronized.

The possible branches are defined by the engineering. If the separate branches are allocated or released, arises in the Runtime. A branch is active as long as an object on it is active.

The object types Begin branch, End branch and Jump target do not allocate and release branches as these objects are processed in the same branch. Combining branches is not allowed.

End parallel branch

An End parallel branch combines the branches of the connected paths. The object after End parallel branch is activated when all paths reaches End parallel branch with their process.

The left path is ready. Therefore End parallel branch is already active. The transition after End parallel branch is not yet active as the right branch is not yet completed.

When the right branch is also completed:

The transition after End parallel branch is activated. All objects which were active before are still active. Instead of the transition there could also be another End parallel branch.

A little more complex alternative:

The areas highlighted in green are a branch.

Cascaded End parallel branch:

The areas highlighted in green are a branch.


Jump target

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Jump target

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Adds a jump target.

Jump targets make it possible to

  • jump between branches
  • jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a begin branch. Otherwise the end is not reached. Jump targets are not allowed for parallel branches.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.


End element

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> End element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Last element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Matrix recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If you selected matrix recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the matrix editor.


Matrix editor

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Matrix editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the matrix editor you can create your recipes in a matrix.

Technical details

  • Matrix:
    • Columns contain phases.
    • Lines contain steps with active/inactive phases.
  • Add line/column: Click on the plus sign to add a new line or column to the matrix. For new columns the dialog for configuring new phases is opened automatically.
  • Delete line/column: Press Del to delete the highlighted line or column.
  • Move lines/columns: Lines and columns can be moved via drag & drop with the help of the mouse. Individual labels of steps remain; the step number is adapted automatically.
  • Border cells:
    • Double click on phase: opens the dialog for configuring the phase.
    • Double click on step: opens the dialog for labeling the step.
  • Selection of lines/columns:
    • left mouse click in border cell: selects a line/column.
    • Ctrl+mouse click in border cell: selects additional lines/columns.
  • Cells:
    • left mouse click: selects empty cell.
    • Shift + click: activates/deactivates phase.
    • Ctrl+click: selects several cells.
    • Double click on cell: opens the dialog for configuring the phase.
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling via mouse wheel: up and down or if you press and hold Shift left and right.


Tool bars matrix recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Tool bars matrix recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Matrix recipe edit mode

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

If another recipe is opened, the current recipe is saved automatically.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Activate selected phase

Activates the selected phase.

Deactivate selected phase

Deactivates the selected phase.

Move selected column to the left or selected step up

Moves the selected column to the left by one position or moves selected step up by one position.

Move selected column to the right or selected step down

Moves the selected column to the right by one position or moves selected step down by one position.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Release matrix recipe

Tag

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Duplicate Recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe.


Name steps

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Name steps

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Steps in the matrix editor can be named individually. Double click on the cell to open the dialog for entering an individual name.

The name can have up to 100 characters and is language switchable is preceded by a @.


Add and configure phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Add and configure phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To add a phase:

  1. click on the plus sign in the last column of the matrix
  2. the dialog for selecting a phase is opened
  3. select the desired phase

To configure a phase:

  1. double click the matrix filed or the column with the desired phase
  2. the dialog for the configuration is opened

Configuration

Tag | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see section PFC editor/chapter:

  • General: Display and configuration of the settings for the phase
  • Tag: Configuration of the tags


Master recipe - test mode

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Master recipe - test mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The test mode is used to test master recipes without releasing it and creating control recipes. In addition in the test mode changes in the Editor can be applied directly via reloading the Runtime.
Exception: During the execution of a recipe, the reloading of a recipe is delayed. Not until the recipe is finished, stopped or aborted, the reloading process is executed.

In test mode you cannot can the principle recipe process. You can only change values of the command tags. Changes are directly saved in the master recipe. It is not necessary to save explicitly.

Tag

Description

Start recipe

Starts the recipe process.

Pause recipe

Pauses the recipe.

Resume recipe

Resumes paused recipe.

Hold recipe

Holds recipe.

Restart recipe

Restarts held recipe.

Stop recipe

Stops the recipe.

Abort recipe

Aborts the recipe process.

Pause phase

Pauses the phase.

Resume phase

Resumes the process of a paused phase.

Hold phase

Holds phase.

Restart phase

Restarts held phase.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Switch to automatic mode

Switches process to automatic mode.

Switch to semi-automatic mode

Switches process to semi-automatic mode.

Switch to manual mode

Switches process to manual mode.

Continue recipe only on selected execution position

Continues a recipe at the selected position.

Continue recipe on all execution positions

Continues a recipe on every available position.

Skip active condition

Skips an active condition.

Only possible in the manual mode.

Switch recipe to edit mode

Switches from test mode to edit mode.

Release recipe

Releases the recipe. With this a control recipe can be created.


Release master recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Release master recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

You can release a master recipe by selecting it and clicking button Release master recipe.

Info Informazioni

Only master recipes without errors can be released. A released master recipe can no longer be edited.

For each recipe you can create a copy of the released master recipe by clicking on button Duplicate recipe. This copy can then be edited.


Control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Control recipes control the progress of a recipe in the Runtime.


Tool bar control recipe.

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Tool bar control recipe.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tag

Type

Description

Start recipe

Command

Starts the recipe process.

Pause recipe

Command

Pauses the recipe.

Resume recipe

Command

Resumes paused recipe.

Hold recipe

Command

Holds recipe.

Restart recipe

Command

Restarts held recipe.

Stop recipe

Command

Stops the recipe.

Abort recipe

Command

Aborts the recipe process.

Pause phase

Command

Pauses the phase.

Resume phase

Command

Resumes the process of a paused phase.

Hold phase

Command

Holds phase.

Restart phase

Command

Restarts held phase.

Edit element

Action

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Action

Shows/hides the grid.

Change background color and grid color

Action

Opens the dialog for changing the color of the background and the grid.

Switch to automatic mode

Command

Switches process to automatic mode.

Switch to semi-automatic mode

Command

Switches process to semi-automatic mode.

Switch to manual mode

Command

Switches process to manual mode.

Continue recipe only on selected execution position

Command

Continues a recipe at the selected position.

Continue recipe on all execution positions

Command

Continues a recipe on every available position.

Skip active condition

Command

Skips an active condition.

Only possible in the manual mode.

Duplicate Recipe

Action

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.


Create control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Create control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

You can create control recipes only based on released master recipes. Select the released master recipe in the list of the master recipes, which should serve as basis for your control recipe and click on button New control recipe....

Tag | Description
Name | Unique new name for the control recipe. The uniqueness is checked in the entire network. Therefore it can happen that a name is not accepted as another user already used the same name on another computer in the zenon network at the same time. You can change the name afterwards as long as the recipe has status Prepared.
Description | Optional description of the recipe.
OK | Applies configuration and closes the dialog.
Cancel | Discards entries and closes the dialog.

The newly created control recipe is opened on a new tab in the recipe editor if it has been engineered in the screen. The newly created recipe is also displayed in the list of control recipes even if it does not match the set filter criteria. In the network it is only displayed on the computer on which it was created. On other computers the list must be refreshed manually.


Execute control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Execute control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Control recipes can be started:

  • after selecting a control recipe in the list of the control recipes:
    • via click on button Start control recipe
    • via click on menu item Start in the context menu
  • via click on symbol Start control recipe in the tool bar if the control recipe is opened

PFC control recipe:

Matrix control recipe:

Change values

If in the master recipe property Changeable in the control recipe was activated, certain values can be adapted in the control recipe as long as the phase i snot active yet. In this case a button for synchronization is displayed next to the value. A click on this button take over the defined value from the master recipe.

Meaning of the symbols next to the values:

Symbol | Description
: | Value in the control recipe and in the master recipe match.
: | Value in the control recipe and in the master recipe are different.
: | Click on button to apply the value from the master recipe. It overrides the value in the control recipe. Only active if the values in the control recipe and the master recipe do not match.

Tool tip

A tool tip informs you about the current and historical events of an element.

The following is displayed:

  • Element name
  • general information about status and number of executions
  • Errors
  • Total duration including times in status Paused.
  • Timing


Manage recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The entire recipe management is done in the Runtime with the help of one or several screens of type Batch Control. Due to suitable filter settings you can achieve already filtered views for master recipes and/or control recipes.

In the screen different control elements (buttons, lists, editors) are available for different tasks. The screen is separated in three main areas which can be used and engineered in part completely independent of each other:

  • Area master recipes: Consists of a list and buttons for managing. The area can be used completely independently.
  • Area control recipe: Consists of a list and buttons for managing. The area can be used only together with the list of the master recipes as a master recipe must be selected first before the appertaining control recipes are displayed in the list.
  • Recipe editors: Depending on the set recipe type the PFC editor or the matrix editor is used. The recipe editor needs either List master recipe or both lists for a recipe to be opened in it.


Manage master recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage master recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

List and list formating

List/action

Description

List master recipes

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Hint for ideal configuration of the list:

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Visualizzazione, Barra di scorrimento and Colori. With these properties you can even design the list ready for touch operation.

    Interno ID: Manage master recipes

    Colori

    Proprietà colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Manage master recipes

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Manage master recipes

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

New master recipe...

Creates a new and completely empty master recipe in status Editable. The dialog for entering a unique name and a free description is displayed. The uniqueness of the name is also checked in the zenon network.
Depending on the license you can also select the recipe type: Matrix recipe or PFC recipe. If only one of these recipe types is licensed, the licensed recipe type is fixedly set. The selected recipe type cannot be changed afterwards.

When creating a master recipe, a CEL entry is created.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.
The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Livello di autorizzazione:.
When deleting a recipe, a CEL entry is created.

Interno ID: Manage master recipes

Livello di autorizzazione:

Livello password per abilitare il settaggio valori nel rispettivo elemento dinamico.
Minimo: 0.
Massimo: 127.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Rename master recipe

Only active if exactly one master recipe is selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to changed the description of the master recipe.

When renaming a recipe, a CEL entry is created.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only faultless recipes can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Test master recipe

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Edit master recipe

Changes the master recipe status of the selected recipes to Editable. In this status recipe can again be edited completely.
Only recipes in Test mode can be set back to Editable.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Actions for filling the control recipe list

As each control recipe can be executed only once, we assume that there are very many control recipes. As during the loading of the list of the control recipes each control recipe is opened on the hard disk, it makes sense to not display all control recipes. Therefore control recipes cannot be opened automatically. They must be called up manually and via filters:

  1. Provide the fitting filter options.
  2. Select the desired master recipes.
  3. Click on button Display associated control recipes in list.
  4. All control elements complying with the filters and the selection are displayed in the list of the control recipes.
Action/filter | Description
currently executed control recipes | Opens only control recipes which are currently executed. Control recipe status: In execution
prepared control recipes | Opens only control recipes which are prepared for execution. Control recipe status: Prepared
completed control recipes | Opens only control recipes which have already been executed. Control recipe status: Prepared
Display associated control recipes in list | Opens all control recipes which are based on the selected master recipes and which comply with the set filter criteria.


Manage control recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage control recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

List and list formating

List/action

Description

List control recipes

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. For filling the list you must:

  • select master recipes
  • set filters
    currently executed control recipes,
    prepared control recipes and
    completed control recipes
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Hint for ideal configuration of the list

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Visualizzazione, Barra di scorrimento and Colori. With these properties you can even design the list ready for touch operation.

    Interno ID: Manage control recipes

    Colori

    Proprietà colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Manage control recipes

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Manage control recipes

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Livello di autorizzazione:.
When deleting a recipe, a CEL entry is created.

Interno ID: Manage control recipes

Livello di autorizzazione:

Livello password per abilitare il settaggio valori nel rispettivo elemento dinamico.
Minimo: 0.
Massimo: 127.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to changed the description of the control recipe.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the defined REE mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.


Saving on the hard disk and backup scenarios

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Saving on the hard disk and backup scenarios

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Master recipes

Each master recipe has a unique ID under which it is saved on the hard disk with file extension .MR; e.g. 9.MR.
Each recipe conforms to one file. The ID of the recipe can be read from the list of the master recipes. For this column Master recipe ID must be visible.
The folder for the master recipes is a sub folder of Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes

Interno ID: Saving on the hard disk and backup scenarios

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

For the recipe management file Recipe.unique is responsible which is located in the same folder. It makes sure that the recipe names are unique.

Note: If you delete a recipe manually via the file explorer and therefore outside of the Runtime and the module Batch Control, you must delete file Recipe.unique for its content to be correct again. For example if you delete a control recipe manually, you cannot delete the respective master recipe in module Batch Control as the control recipe still exists according to module Batch Control. Only after a reinitialization of file Recipe.unique the master recipe can be deleted.

Backing up master recipes

The .MR files - and with this all master recipes - can be backed up at any time. For example you can use function File operations.

Restoring master recipes

The restoring should only be done if absolutely necessary as more current data is overwritten. Proceed as follows:

  1. Exit the Runtime.
  2. Save all existing master recipes.
  3. Rename file Recipe.unique or delete it. It automatically re-created at the Runtime start from the .MR files.
  4. Restore the .MR files from an earlier backup.
  5. Restart the Runtime.

Control recipe

Each master recipe has a unique ID under which it is saved on the hard disk with file extension .CR; e.g. 9.CR.
Each recipe conforms to one file. The ID of the recipe can be read from the list of the control recipes. For this column Control recipe ID must be visible. Control recipes are always based on a master recipe and are therefore always assigned to it. The ID number circles are therefore only unique with regards to the underlying master recipe.
Example: The master recipe with ID 9 has the control recipes with IDs 1 and 2. The master recipe with ID 10 has the control recipes with IDs 1 and 2.

Therefore each master recipe has a sub folder in which the control recipes are saved. The name of the folder is always: <Master recipe ID>.crd. In our example there is the folder 9.crd with files 1.CR and 2.CR and the folder 10.crd with files 1.CR and 2.CR.

The folder for the command recipes are sub folder of Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes\. In this folder the individual control recipe folders have been created. In each control recipe folder there is the file Recipe.unique. It makes sure that the recipe names are unique.

Backing up and restoring control recipes

Proceed in the same was as for the master recipes only that you now need to backup all .CR files and the appertaining folder structure. At restoring you must delete all Recipe.unique files. They are also restored automatically.


Validate recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Validate recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Recipes can be checked for error during the engineering. To validate a recipe click on the corresponding symbol in the tool bar of the recipe editor in the Runtime (green tick - Check recipe for errors). With this the recipe is checked for functionality according to internal rules. The following is especially checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Data types

The result of the check is displayed as pop-up in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules which must be adhered to during the engineering can be found in chapter Engineering rules for recipes.


Recipe Execution Engine (REE)

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The REE (Recipe Execution Engine) executes recipes in the Runtime. You can start any number of recipes.


Symbols and colors in the Runtime

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Symbols and colors in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The states during the process of a phase are displayed with the help of different symbols:

Symbol | Meaning
 | From the start of the phase; ready for allocation.
 | During the waiting for a interlocking condition.
 | During the execution of a phase and the waiting for Reaction finished.
 | Reaction finished recognized; waiting for Reaction completed.
 | Time out for unit allocation expired.
 | Time out for interlocking expired.
 | Waiting too long for value for writing.
 | Time out for Reaction completed expired.
 | Time out for Reaction finished.

If an error occurs during a phase, the phase is marked as faulty until it is restarted.

The execution status of a phase is color-coded:

Status | Color
in execution: | green
Timeout: | red border
Held: | gray
Stopped: | yellow
Paused: | orange
Idle, stopped, aborted, resuming, restart: | white
Abort: | red
Completed: | blue


The REE states

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> The REE states

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following states are possible:

Status

Description

Idle

The REE is in idle state.

In execution

At the start of the control recipe, it changes to status In execution.

Finished

As soon as the execution is finished, the recipe changes to status Finished. In this status execution is not possible.

If a control recipe should be executed again after the execution or after the Runtime was exited, its status is automatically set from Finished to Prepared.

Pausing:

The recipe changes to status Paused.

Paused

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Holding

The object changes to Held and does not carry out any allocations anymore. At the restart the object is restarted and changes to In execution.

Stopped

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Restarting

Phase is restarting.

Restarted

Phase is completely restarted.

Stopping

Stops the process and changes to Stopped.

Stopped

The object was stopped.

Aborting

Aborts the process and changes to Aborted.

Aborted

Recipe process was aborted.

If a recipe cannot be restarted in the image at the restart, its status automatically changes to Aborted.

Prepared

Prepared for execution. If a control recipe should be executed again after the execution or after the Runtime was exited, its status is automatically set from Finished to Prepared.

Execution position and jump targets

Status | Description
Resumption | If an object is paused and after the object an execution position is located, Resume has the same effect as Next step. This also includes jumps. At a phase command the command only effects a jump in the same branch.
Pause | Has now effects for jump targets. Already defined targets remain.
Others | Always causes the deletion of the jumps. For a phase command only the jump in the area of the phase is deleted.


Mode and mode change

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Mode and mode change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The REE can run in three modes:

  • Automatic: The recipe runs entirely automatically.
  • Semi-automatic: The recipe is executed manually. Conditions cannot be jumped.
  • Manual: Each step in the recipe is executed manually. Conditions on which it is waited can be jumped (forced).

To execute a recipe manually or semi-automatically, you can use the operation types Step-by-step execution of the recipe and Jump.

To react on serious events, you can change the mode during the running process via reaction type influencing the recipe.


Step-by-step execution of a recipe and jumps in the recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Step-by-step execution of a recipe and jumps in the recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Step-by-step execution of a recipe

A recipe can be executed step-by-step if:

  • the recipe is in mode semi-automatic or manual
    and
  • the status of the recipe is In execution.

For the step-by-step execution the execution is held as soon as an element is finished with its execution. The holding is done via command Pause to the concerned execution path. As soon as all active elements in this path reached status Paused, the execution position is marked by an orange arrow.

The execution is resumed with:

  • a selective step: selection of the corresponding arrow (green)
  • a global step: all positions with arrows for possible resuming are started

Commands

Global commands

For global commands all execution positions are deleted as the execution cannot be resumed from there.

Exceptions: Pause and Resume . Here the execution positions remain.

Phase commands

Hold for a phase The execution position is deleted from the execution path of the phase.

Resume: If an execution position exists, a selective next step is executed in this execution path.

Special cases

Phase command hold and restart in a parallel branch for active end parallel branch

If you hold in this example (images from left to right) a parallel branch and restart it, then you will reach after a step-by-step execution the already paused end parallel branch. To resume the execution from here, the left phase must receive command Resume.

Only one path in a parallel branch with an active phase before step-by-step execution

If in a parallel branch with a phase before only one path executed completely and in one of the other parallel branches waited (phase before is In execution), in the parallel branch no execution position is displayed. To get them in the other path, the phase must be paused with a phase command. After that it is possible to execute the path completely.

If then however the parallel path with the execution position is still executed, the phase before the parallel branch is deactivated. With this the left path remains in Paused and without execution position. As there is not active phase, the execution can only be resumed with a global Pause and Resume.

Jump

Jump means to move from one position to another, distant position during execution in order to continue the execution there.

To jump:

  1. select an execution position with the mouse cursor
  2. move it to one of the offered targets
  3. execute the next step

All active elements in front of the source pointer are deactivated and the object after the target is activated.

If a jump is registered for which source and target are analogously the same (jumps over lines, jump targets or end branch objects), this jump is ignored and a simple step is executed.


Process of a phase in detail

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A phase is always processed sequentially after the same pattern. To break down the exact process, you also need a following condition. For this display we use a transition as following condition. We give the phase the name Phase 1. You can find additional special process behavior with following condition in chapter Following condition.

Phase | Transition | Event
Phase is activated |  |
All variables of the phase are registered at the drivers. |  |
All events of the phase are activated. |  | Phase started
Unit allocation is started and Waiting period unit allocation is started. |  | If the unit allocation was not successful in the first try: Unit allocation not possible
Optional: Unit allocation possible within the waiting period. |  | Waiting period unit allocation exceeded
Check is started whether phase isn't already executed. This can happen if the phase is already active in a parallel branch or if the unit allocation was skipped manually and the phase is already executed in another recipe. |  | Phase started multiple times
Check of the input interlocking is started and Waiting period input interlocking is started. |  | If the checking of the input interlocking was not successful in the first try: Input interlocking blocked
Optional: Condition of the input interlocking not TRUE within the waiting period. |  | Waiting period input interlocking exceeded
Writing the command tag |  | When all command tags were written: Finished writing command tags
Checking of the phase-done condition is started and time for Minimum execution duration and Maximum execution duration is started. |  |
Optional: Phase-don condition fulfilled but Minimum execution duration not reached. |  |
Optional: Condition of the Phase-done condition not TRUE within the Maximum execution duration. |  | Waiting period phase-done condition exceeded
Optional: Waiting for restart of the whole execution. If the execution is still restarting (for other phases in the recipe the restart condition is not yet fulfilled), it is waited here. This guarantees that the following element is activated after the recipe changes to In execution. |  |
Phase-done condition is TRUE and minimum execution duration is reached or exceeded. Waiting period following condition is started. | Transition is activated | Phase finished
 | All variables of the transition are registered at the drivers. | Waiting period following condition exceeded
Optional: Following condition not within waiting period TRUE | The transition condition is checked. |
The next phase is activated. The following condition can be composed from several objects (e.g. transition + unit allocation). No till the next phase is reached (or the end of the recipe), the following condition counts as fulfilled. |  |
Phase is informed that the following condition is fulfilled. | Transition condition is TRUE. | Phase completed
All events of the phase are deactivated. |  |
All variables of the phase are signed off from the drivers. | All variables of the transitions are signed off from the drivers. |
The phase is deactivated. | The transition is deactivated. |

Rule for values of transitions

If a transition has value TRUE for the phase-done condition during the waiting period, it is marked as finished. If its value should later change to FALSE, the execution of the recipe is not influenced.


Following condition

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail -> Following condition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A phase is active as long as the following condition is fulfilled. Only when the following condition is fulfilled, the phase is completed. The event Phase completed is triggered and the phase is deactivated. Before it is deactivated, the event reactions are executed. Se also Process of a phase in detail

The following condition can be very different. Here some examples:

  • Phase 1 followed by a phase 2:
    As soon as the phase done condition (and optional the Minimum execution duration) is fulfilled for phase 1, phase 1 is completed and phase 2 is activated.

  • Phase 1 followed by a transition:
    Only when the transition condition is fulfilled, phase 1 is completed.
  • Phase 1 and phase 2 parallel followed by an end parallel branch:
    Not before the phase done condition (and optional the minimum execution duration) is fulfilled for both phases, both phases are completed.
  • Phase 1 and phase 2 parallel followed by an end parallel branch followed by a transition:
    Only when the transition condition is fulfilled, both phases are completed.


Exit and restart Runtime

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Exit and restart Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

At closing the Runtime an image file of the running recipe is created. It contains the images of the REEs, the order of the allocation and all reactions which are needed for the restart.

Allocations

After the restart the allocations match the state before the finishing. It is saved who allocated a unit and who forced an allocation in which order. If a recipe cannot be restarted (e.g. because of failed validation), the allocations for this recipe are removed.

Reactions

Reactions which were triggered by the process are also incorporated in the image if they are active. They are then executed after the REE is restarted. This guarantees that the reaction is always executed as a whole either before the image file is created or after the restart.

The Exit Runtime reaction is always executed and can never be incorporated in the image.

Synchronous writing

The REE manages the confirmation for all variables whose write set value should be executed synchronously. The time out for this is defined by the time within which the Runtime must be closed. For each write acknowledgment the time out is restarted. A time out is written in the log file.

Variables which don't access a driver are always written without an acknowledgment even if an acknowledgment is requested. Internal drivers do not support acknowledgments.

Allocate tag

As during the start of the Runtime all drivers are also started, it is possible that they do not provide valid values if they are needed at the restart. During the restart it is not waited for the value update. This does not ensure that the value is written as expected. If no value is available, the alternate value is used.

It is waited for the values of the internal driver if they are available within 2 cycles.


Restart phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Restart phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Phases can be restarted. At this linked active objects are deactivated.

Deactivation

At the restart of a phase, all active objects are deactivated in principle, however only if they are linked. Isolated active objects are not deactivated.

Sequence of deactivation

The deactivation starts from the object which has been active the longest. After the restart this object is also going to be activated. If this object is deactivated, it also deactivates all branches to which it can establish a connection via an active object.

Isolated branch

A branch is isolated if it is not connected to another branch via an active object. The deactivation only takes place between connected branches. As long as an object does not have status Completed, there is not active connection to the following object. If no phase exists in an isolated branch, at the restart the oldest object is activated; e.g. a transition.

Example

If in this process NormalTO is restarted, end parallel branch and the transitions are also deactivated. They are in outside branches seen from the NormalTO.

This means for end parallel branch: As long as not all paths are active at end parallel branch, there is no active connection to the following objects. For begin parallel branch the same is true.

As long as the transition from begin parallel branch is active, begin parallel branch and both begin branch are active. A restart will also restart the inner branches. A restart of the inner branches deactivates them. The outmost transition is restarted.

Restart of selected phases

One or more phases can be selected and restarted. For the selection of several phases, they must be in separate branches.

The oldest object is restarted in the selected branch. With this all active objects in the connected branches are deactivated.

Global restart

The global restart carries out a restart for all phases. The restart is done for the oldest active object and with this all connected, active objects are deactivated. All remaining active objects are in an isolated branch. Here also the oldest object is restarted until all active objects were dealt with.


Behavior in the network

Manuale -> Batch Control -> Behavior in the network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attenzione Attenzione

Module Batch Control does not support redundancy. There is no synchronization between Standby-Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!

For using Batch Control in a network the following is true:

Allocation

  • The forcing of allocations can be carried out be Server and Client.

Functions

Functions are always carried out at the Server.

Phases

  • Editing phases in the master recipe:
    • Edit mode: Changes a done locally at the Client.
      If during the editing the recipe is saved on another computer in the network, the current configuration is lost. An appropriate message is displayed and the editing dialog is closed. The new data from the server are displayed.
    • Test mode: Changes a done at the Server.
  • Control recipe: Changes a done at the Server.
  • If a recipe is saved in the network, all Clients using this recipe are updated.
  • If a recipe is deleted on a computer, a message is displayed on all computer on which the recipe is opened that the recipe has been deleted.

Mode

  • The mode (automatic, semi-automatic, manual) can be switched by the Server and the Client.
  • Jumps in the recipe and step-by-step progress of a recipe can be done from Server and Client.

Recipes

  • Recipes can be started and controlled from Server and Client.

Web client

With a standard web client it is not possible to change the size of a sheet. Changes for color and grid are possible. You also cannot create new recipes. In the tool bar all symbol which are not allowed are deactivated. You cannot select these objects.

The web client PRO is not affected by these restrictions.


Formula editor

Manuale -> Batch Control -> Formula editor

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Editor:

  • Phases
  • Interlocking conditions
  • all conditions for transitions
  • Phase done condition

Runtime:

  • Phase done condition and interlocking when editing a phase
  • Editing transitions

Note: If the phase referenced in the formula is removed and a new phase is added, the operands are assigned newly.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Tag

Description

Tag list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indetifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration.
  • For conditions of the phase only the tags created for it can be added.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical Operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and comparison operators

&

And

|

Or

>

Greater than

>=

Greater than or equal

<

Less than

<=

Less then or equal

=

Equal

<>

Less than or greater than

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Paste

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between phases, it is tried to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

Info Informazioni

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Tag | Description
Value bits | There are 32 value bits (0 - 31) available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
Status bits | Provides the most commonly used status bits. You can find the exact definition of the status bits in chapter List status bits.
Value and status | All values (value bits and status bits) in the formula are considered as binary value and can be linked with logical operators such as AND or OR. The total value and the total status are the exception. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this the operator & is used. The result 0 (false) of the bit by bit ORing results in the binary value 0 (false) otherwise 1 (true). Example: see chapter Example bit by bit ORing

Info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

Info Informazioni

Formulas with binary x values and bit-by-bit link can be used with a maximum of 2 binary values. If more values are necessary the link must be done without binary x values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works


List status bits

Manuale -> Batch Control -> Formula editor -> List status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Logical operators

Manuale -> Batch Control -> Formula editor -> Logical operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Collegamenti logici: Le variabili vengono controllate solo sulla base del valore logico '0'; nel caso in cui il valore non sia pari a '0', viene definito con '1'-

A differenza del Bitformel (??) l'area tecnica può essere modificata di un fattore di estensione -> diverso da 0 o 1.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | 'ESCLUSIVO OR' logico

Gli operatori hanno le seguenti priorità nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per Formula bit)
2 | NOT
3 | AND
4 | XOR/OR

Info Info

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99.

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.


Bit formula

Manuale -> Batch Control -> Formula editor -> Bit formula

Le formule bit possiedono solamente uno stato logico low e high. A differenza di quanto accade per le formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR


Example bit by bit OR function

Manuale -> Batch Control -> Formula editor -> Bit formula -> Example bit by bit OR function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Volete sapere se è settato uno stato user bits 1-8 (M1 ... M8) della variabile X01.

Formula normale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa richiesta può essere facilitata di molto attraverso il collegamento ad "o" a bit dello stato generale.

Collegamento a "o"

X01.Status & 0xFF

La costante può essere indicata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 256; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è a 1, il risultato del collegamento con operazione OR a bit è 1 (True), altrimenti 0 0 (False).

Se si vuole richiedere, ad esempio, tutti gli stati bit user fatta eccezione per lo status bit user M7, l'espressione binaria corrispondente sarebbe: 10111111. Bit 7 non è interessante, per questo è settato su 0. Ciò corrisponde a 0xBF esadecimale. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di collegare con operazione OR a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto dà un esito sbagliato, ne deriva il valore binario 0 (False), altrimenti 1 (True).

Beispiel:

Volete interrogare se un valore corrisponde alla costante 202. La formula è la seguente: La formula corrispondente è la seguente:

X01.Wert = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Indicazione: il collegamento O in bit funziona con il segno O (|) in modo analogo al questo esempio.


Comparison operators

Manuale -> Batch Control -> Formula editor -> Comparison operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli operatori a confronto servono al confronto diretto di due valori numerici. Il risultato di questo confronto viene espresso in forma di uno stato binario. „0“ se la condizione non è soddisfatta e „1“ se invece lo è

Operatore | Descrizione
< | Minore:
> | Maggiore:
<= | ninore uguale
>= | maggiore uguale
= | è uguale
<> | diseguale

A sinistra e a destra di un operatore a confronto deve stare un valore (generale) o uno stato (generale); bit singoli non possono essere utilizzati con questi operatori a confronto.

A destra dell'operatore a confronto ci può essere anche una costante. (le costanti possono essere solo numeri interi; un confronto con numeri con cifre decimali non è possibile)
Nell´elemento combinato queste costanti vengono inserite come valori esadecimali o valori decimali. I numeri esadecimali vengono trasformati automaticamente in numeri decimali cliccando su OK (per es. 0x64 corrisponde al valore numerico 100).

Esempio Esempio

X01.valore >= X02.valore
Il risultato è „1“ se il valore di X01 è più grande o uguale al valore X02

X01.valore = 0x64
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico100 (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= Hex 0x64 und Hex 0x65)


Examples for formulas

Manuale -> Batch Control -> Formula editor -> Examples for formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Semplice collegamento AND fra due valori bit.

Esempio Esempio

Formula: X01.03 AND X02.03

Questa formula dà come risultato “VERO” quando il Bit 3 della variabile 1e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confronta il valore o lo stato di una variabile analogicamente

Esempio Esempio

(X01.Wert> X02.Wert)

Confronta fra di loro comparazioni analogiche su base logica.

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Confronti di bit valore e bit di stato

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Confronta un valore con uno decimale o esadecimale.

Esempio Esempio

Formula: (X01.Wert = 111)

Formula: (X01.Wert = 0x6F)

Se si usa un valore esadecimale, esso viene trasformato più tardi nella modalità di scrittura decimale cliccando su OK. Se si è indicato e confermato un valore decimale, alla riapertura del valore esso continua ad essere visualizzato in forma decimale.

Info Info

Non è possibile nell'indicazione di numeri usare una virgola o un punto.


Troubleshooting

Manuale -> Batch Control -> Troubleshooting

Warnings and error messages are written in log files and can be analyzed with the Diagnosis Viewer. For this you must activate module Batch Control in the filter settings.

System driver variable

Batch Control provides the system driver SYSDRV with information via system driver variables. For information about there messages see manual SYSDRV in chapter Topic - Batch Control.

Pop-up messages

Message | Description
The name "name" is invalid or is already used. | The name either contains invalid characters or is already used. The name must not be empty, must not contain a dot and must not contain only of spaces.
Duplicating '<MR>' @rejected by the server. | The recipe selected for duplication could not be duplicated at the Server. Maybe it no longer exists.
Do you really want to delete the selected master recipes? | Confirmation message before deleting the master recipes irrevocably.
The diagram was changed. Do you want to save it? | Confirmation message for saving before closing an unsaved diagram.


Cambio lingua

Manuale -> Cambio lingua

Nell'impostazione di progetti internazionali è essenziale la funzionalità multilingua. Ad esempio:

  • Esecuzione di un progetto in diverse lingue.
  • Sistemi centralizzati, ai quali ci si collega da diverse nazioni.
  • Impianti decentralizzati, visibili a livello globale.
  • Gestione multilingua di un impianto.

Il cambio lingua consente di tradurre in diverse lingue delle informazioni di testo visualizzate nel funzionamento Online. Per consentire la progettazione viene creata nella visione dettagliata del nodo File di lingua una Tabella lingua che contiene i necessari file di lingua.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuovo file lingua... | Apre il dialogo che serve a creare un nuovo file lingua.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Testi suscettibili di cambio lingua

Manuale -> Cambio lingua -> Testi suscettibili di cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il cambio lingua può essere utilizzato nei seguenti casi:

  • per i testi visualizzati nel Runtime:
    p.e. testi di valori limite, caratteristiche di variabli.
  • Caratteri:
    p.e. Arial Unicode
  • Testi in AML, CEL e IPA
    Testi di stato e messaggi di sistema nella Lista allarmi - e Lista eventi cronologica, nonché nell´Industrial Performance Analyzer
  • Gruppi allarmi/eventi, classi allarmi:
    Nomi di gruppi e classi.
  • Runtime Dialoge:
    p.e. Finestra standard di Login, dialogo filtro degli allarmi.
  • Guida Runtime:
    Si può effettuare il cambio di lingua per tutta la Guida runtime (Operazioni di preparazione di una guida intercambiabile).
  • Percorso liste:
    Cambiamento di testi per un'immagine del tipo Lista oppure pagine HTML per il tipo immagine HTML.
  • Percorso file multimedia:
    cambio percorsi per grafiche, guida, multimedia, testi e formati, nonché Report Viewer.
  • S7-Graph Sequenze concatenate
    Camnbio di elementi dinamici e statici.

Sono intercambiabili:

Parametri | Descrizione
Elementi grafici | Testo
 | Collegamento di testo:
 | Pulsante testo
 | Multibin
 | Elemento combinato
 | Slider universale
 | Combo List Box
Variabili | Identificazione (il nome della variabile non è intercambiabile)
 | Unità
 | Testo valore limite Il testo dinamico di valore limite consente di inserie valori attuali di variabili nel testo di valore limite in un´altra variabile. Un testo fisso può essere collegato mediante un indice con parole chiave appartenenti ad una tabella lingua. Vedi i dettagli: Testo dinamico di valore limite e Uso di parole chiave in liste di testi nella guida delle Variabili.
Immagini | Nome Immagine
Ricette | Nome ricetta
Menu | Menu
Generatore di rapporti | Testo standard
IPA | Testi
Gestione allarmi / Lista eventi cronologica | Titolo liste (titolo colonne) Gruppi allarmi/eventi, classi allarmi/eventi Nome
Post-elaborazione archivio: | Titolo liste (descrizione colonne)
Runtime | Dialoghi nel runtime
Matrici di reazione | Testo valore limite
Tooltips | In ogni caso in cui sono stati definiti dei Testi di firma per elementi dinamici.
Testi di firma | Dappertutto dopo possono essere utilizzati testi di firma.

Non sono intercambiabili:

Tipo | Descrizione
Variabili | Nome variabile (l'identificazione variabile non è soggetta a cambio di lingua), valore di riserva per tipo String.
Funzioni | Nomi funzioni
Tipi di carattere | Nome
Modelli | Nome
Driver | Denominazione (nel caso della Selezione driverè impostabile)
Tipi di dato | Nome
Matrici di reazione | Nome
Attribuzioni | Nome
Script | Nome
Archivio | Identificazione
Temporizzatori | Nome
Process Control Engine | Nome task
Interblocchi | Nome
Menu | Nome


Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Cambio lingua -> Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Punto di menu

Azione

Nuovo file lingua

Aggiunge un nuovo file lingua vuoto alla lista.

Crea una funzione standard

Crea una funzione Cambio lingua e apre il Dialogo che serve ad effettuare la configurazione.

Interno ID: Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Cambio lingua

Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Ulteriori informazioni nella guida in linea

Salva

Salva un file lingua.

Copia file

Copia i file selezionati negli appunti

Copia chiavi

Copia le chiavi selezionate negli appunti.

Incolla

Aggiunge contenuto degli appunti (file oppure chiavi) nella tabella lingua. Il file aggiunto viene visualizzato solo dopo l´aggiornamento della visuale Editor.

Elimina file

Cancella il file di lingua selezionato dalla tabella lingua.

Elimina chiave

Cancella la chiave selezionata dalla tabella lingua.

Torna all'elemento originario

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

Esporta file

Esporta il file di lingua selezionato in formato TXT.

Importa file

Importa il file in formato TXT.

Importazione - Esportazione estesi

Opizone per l´export nel formato CSV e l´import da CSV.

Cerca

Apre il Dialogo che serve alla ricerca di inserimenti nel file di lingua attivo.

sostituisci

Apre il Dialogo per cercare e sostituire inserimenti nella tabella lingua attiva.

Carattere per il file lingua selezionato

Apre il dialogo per la selezione del Carattere:

  • Selezione: si apre il dialogo per selezionare un carattere
  • Carattere Standard: si usa il carattere standard

File lingua per editor

Apre lista a cascata per la selezione del file lingua per l´Editor.

Elimina tutti i filtri

Elimina tutti i testi filtro dalle colonne.

Tabella caratteri

Apre la tabella caratteri di Windows.

Aggiorna versione locale

Disponibile solamente con l´engineering distribuito.

Sincronizza la copia locale del file di lingua con la banca dati del server e la attualizza.

consenti modifiche

Disponibile solamente con l´engineering distribuito.

Blocca il file di lingua per proteggerlo da tentativi di modifica da parte di altri utenti.

accetta modifiche

Disponibile solamente con l´engineering distribuito.

Trasmette delle modifiche locali alla banca dati del server e rilascia il file di lingua per altri utenti.

Cancella Modifiche

Disponibile solamente con l´engineering distribuito.

Rifiuta tutte le modifiche locali e rilascia il file di lingua per altri utenti.

Guida

Attiva la guida online

Info Informazioni

Le operazioni esporta, copia, cerca e sostituisci file si riferiscono al file di lingua attivo. Attivo significa:

quando si clicca all´interno della tabella, viene settato su "attivo" il file nella cui colonna si è cliccato. Il nome del file attivo viene visualizzato nella finestra delle proprietà e nel titolo della colonna che contiene il file appare il simbolo canocchiale.


Parole chiave

Manuale -> Cambio lingua -> Parole chiave

Definire parole chiave

Le parole chiave sono caratterizzate dalla presenza del segno @.

A questo proposito vale quanto segue:

@Testo

Tutto il testo viene tradotto

Testo@

Il testo non viene tradotto.

@Testo@

Viene tradotto il testo compreso tra le ‘@’

Questo significa: Viene tradotto il testo solo dopo un numero dispari di @ (si inizia a contare dall’inizio del testo).

Ad esempio @user@Doe

  • user viene tradotto
  • Doe no

Il testo tra il primo e il secondo @ viene tradotto, quello tra il secondo e il terzo @ no!

Concatenare

Sono possibili concatenazioni di elementi di testo che devono essere tradotti o no:

@L’utente@ Roberto @ ha effettuato il logout.

@Testo1@ Testo2 @Testo3

  • Testo 1: viene tradotto
  • Testo 2: non viene tradotto
  • Testo 3: viene tradotto

Visualizzare parole chiave nel runtime

Se ad una parole chiave è assegnata una traduzione, nel runtime vengono visualizzati i testi tradotti.

Nel caso in cui non siano associate traduzioni, a runtime non viene visualizzato nessun testo.

I testi non ancora tradotti possono essere visualizzati come parola chiave. Per far ciò:

  1. navigate nelle proprietà di progetto e passate a Aspetto grafico -> Durata Runtime

    Interno ID: Parole chiave

    Durata Runtime

    Contiene le impostazioni per il runtime.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Parole chiave

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la proprietà Visualizzare parole chiave non tradotte

    Interno ID: Parole chiave

    Visualizzare parole chiave non tradotte

    Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

    Attiva: visualizzazione nel Runtime come parola chiave, per es.: @Text.
    Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

    Indicazione: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. i testi non tradotti saranno poi visualizzati nel Runtime tramite @Parola chiave


Tabella lingua

Manuale -> Cambio lingua -> Tabella lingua

Per progettare un cambio lingua, si deve anzitutto creare nel Manager di progetto una Tabella lingua. File di testo sono alla base della Tabella Lingua.

A questo proposito vale quanto segue:

  • La tabella contiene sempre una colonna Parola chiave.
  • La colonna ZENONSTR.TXT viene inserita automaticamente. Non è cancellabile, ma upgradabile. All’avvio del Runtime viene caricato automaticamente questo file.
  • Ad ogni lingua viene assegnata una colonna propria nella tabelle lingua.
  • Per ogni lingua viene creato un File di lingua proprio. In questo file viene salvata la parola chiave con la traduzione. Parola chiave e traduzione sono separate da un segno Pipe |.
  • Se si inserisce una parola chiave in una tabella lingua, tutte le colonne di questa riga vengono riempite automaticamenre con la parola chiave. Questa parola chiave viene poi sostituita dalla traduzione nella lingua corrispondente.
  • Se non è disponibile nessuna traduzione, il sistema visualizza nel Runtime la parola chiave.


Crea nuovo file lingua

Manuale -> Cambio lingua -> Tabella lingua -> Crea nuovo file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un nuovo file lingua:

  1. aprite il menu contestuale dell´inserimento File di lingua nel Manager di progetto
  2. selezionate l´inserimento Nuovo.
  3. si apre il dialogo che serve alla creazione di un nuovo file di lingua

  4. assegnate un nome che potete definire liberamente

    Indicazione: non sono consentiti caratteri speciali; l´estensione file *.txt viene settata automaticamente

  5. confermate cliccando sul pulsante OK
  6. il nuovo file viene inserito nella tabella lingua nella colonna all´estrema destra

Con la creazione di un nuovo file di lingua vengono create nella Cartella per file esterni binari delle sottocartelle lingua con il nome del file di nuova creazione; queste sottocartelle sono per:

  • Grafici
  • Guida
  • Multimedia
  • Testi e formati
  • Report Viewer


Visualizzazione e handling

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Visualizzazione a più righe

Testi chiave e traduzioni possono essere visualizzati a più righe.

Per definire individualmente l´altezza delle righe:

  1. portate il puntatore del mouse sulla testa della riga, a sinistra della colonna Parola chiave
  2. navigate verso la linea di separazione delle righe finché il puntatore non assume l´aspetto di una croce
  3. trascinate la riga tenendo premuto il tasto sinistro del mouse finché non raggiunge l´altezza desiderata

Per adattare l´altezza riga automaticamente

  1. portate il puntatore del mouse sulla testa della riga, a sinistra della colonna Parola chiave
  2. navigate verso la linea di separazione delle righe finché il puntatore non assume l´aspetto di una croce
  3. cliccate due volte sulla linea di separazione
  4. l´altezza riga verrà adattata automaticamente al contenuto, i testi verranno interrotti sulla base della larghezza della colonna

Indicazione: le altezze riga impostate non vengono salvate quando si lascia la lista.

Trova e sostituisci

E' possibile nella Tabella lingua cercare determinati testi o frammenti di testo. A questo scopo possono essere utilizzate delle espressioni regolari (regular expressions). Le corrispondenze trovate possono anche essere contemporaneamente sostituite. Trova e sostituisci vale sempre solamente per la colonna nella quale si trova il cursore.

Per cercare e sostituire:

  1. attivate la colonna desiderata
  2. cliccate una volta con il tasto destro del mouse
  3. selezionate nel menu contestuale Cerca o Sostituisci.

Ricerca incrementale

  1. Se si preme un qualsiasi testo alfanumerico nella lista, verrà avviata una ricerca incrementale:
  2. viene selezionata la prossima riga della colonna attiva, il cui testo corrisponde al criterio di ricerca.
  3. La ricerca si riferisce sempre al primo carattere della riga. Ad esempio:

    r trova la riga che inizia con rot, ma non quella che inizia con grün

Ordina

Per ordinare la tabella:

  1. cliccate sull´intestazione della colonna che deve essere ordinata
  2. la colonna verrà ordinata; la direzione (ascendente/discendente) verrà indicata da una freccia sopra la didascalia della colonna
  3. se si clicca un´altra volta sull´intestazione della colonna, cambia la direzione in cui si ordina la colonna

Filtrare

Si può filtrare questa lista. A tal scopo, si deve inserire il testo filtro nell´intestazione della colonna nella quale si vuole effettuare l´operazione di filtro Tutte le righe che non corrispondono al criterio di filtro, verranno eliminate dalla lista. Si possono utilizzare nel testo filtro delle Wildcard „*" (più caratteri) e „?" (singolo carattere). Si possono combinare diversi filtri.

Per resettare il filtro, cancellate il testo filtro dall´intestazione della colonna, oppure usate il comando Rimuovi tutti i filtri del menu contestuale.

Copiare ed inserire

Usando il comando del menu contestuale Copia file si può copiare il file attivo negli appunti. Per inserire un file che si trova negli appunti, selezionate nel menu constetuale il comando Inserisci.

Quando si inserisce un file, il sistema differenzia fra il proprio progetto e un progetto estraneo:

  • quando l´inserimento avviene nel proprio progetto, viene inserito un nuovo file con il nome „KOPIE n VON XXX.TXT":
    • n = numero della copia
    • XXX = nome del file copiato
  • Quando l´inserimento avviene in un altro progetto, il sistema controlla se esiste già un file lingua che ha lo stesso nome.
    • In quest´ultimo caso il sistema richiederà se il file deve essere sovrascritto o meno.
    • Se il file lingua non esiste ancora, esso verrà inserito nel progetto con il nome del file copiato.

Indicazione: i testi chiave possono essere copiati e inseriti anche ricorrendo alle combinazioni di tasti Ctrl+C e Ctrl+V. Ciò, tuttavia, non è possibile per i file di lingua.

Rinominare

Il nome del file attivo viene visualizzato nella finestra delle proprietà come proprietà Nome file. Qui si può cambiare il nome del file di lingua (colonna). Quando si rinomina un file di lingua, vengono rinominate anche le relative sottocartelle nelle cartelle di file binario (vedi anche capitolo Crea nuovo file di lingua).

Interno ID: Visualizzazione e handling

Nome file

Nome del file collegato.
I file esterni che vengono collegati in questo modo, sono salvati sia nel percorso Runtime che in quello della banca dati del progetto.
Attenzione: ogni volta che vengono creati dei nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai file della cartella della banca dati. Proprio per questo i file esterni dovrebbero essere modificati solamente tramite il menu contestuale del file in questione e non esternamente, in modo tale che vengano modicati in modo corrispondente anche i file della cartella del database.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sfruttare la tabella lingue nell´Editor

La parole chiave possono essere già tradotte e utilizzate durante la progettazione nell’Editor. Così potete - senza che sia necessario avviare il Runtime - controllare, per esempio, se le lunghezze dei campi di testo sono sufficienti per tutte le lingue.

Per usare un file di lingua nell´Editor:

  1. Selezionate nel menu contestuale l´inserimento Tabella lingua per l'Editor.
  2. selezionate nel sottomenu il file desiderato
  3. il file di lingua attivo nell´Editor viene indicato per mezzo di caratteri di colore verde nel titolo della colonna.

Tipi di carattere

Nella Tabella Lingua, anche i Font sono intercambiabili tramite menu contestuale. .

Nel Progetto globale possono essere impostate delle liste caratteri globali. Gli inserimenti presenti in quella sede sono a disposizione in tutti i progetti del workspace.

Info Informazioni

Se il font non è rappresentato in modo corretto nella visualizzazione lista, si deve provvedere ad attivare il tipo di carattere Arial Unicode nel pannello di controllo.


Cerca

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling -> Cerca

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cercare nell´ambito della tabella lingua, cliccate con il tasto destro del mouse nella colonna desiderata e selezionate nel menu contestuale il comando Cerca.

Parametri

Descrizione

Trova

Inserimento della chiave di ricerca.

Parola completa
  • Attivo: il sistema trova solamente la chiave di ricerca indicata nel campo di inserimento.
  • Non attiva: il sistema trova anche delle espressioni che contengono la chiave di ricerca.
    Per esempio: con "text" si trova anche "Textur"

Caratteri maiuscoli/minuscoli:
  • Attivo: si differenzia fra scrittura in lettere maiuscole e minuscole.
    Beispiel: con "Text" si trova solamente "Text" ma non "text".
  • Non attiva: l´uso di lettere maiuscole o minuscole non ha alcuna influenza sui risultati della ricerca.

Direzione della ricerca

Definisce la direzione della ricerca

In sù

Attiva: la ricerca parte dalla cellula evidenziata e procede verso l´alto.

In giù

Attiva: la ricerca parte dalla cellula evidenziata e procede verso il basso.

Trova successivo

Cerca e trova la prossima corrispondenza di testo.

Annulla

Termina ricerca


sostituisci

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling -> sostituisci

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cercare e sostituire nell´ambito della tabella lingua, cliccate con il tasto destro del mouse nella colonna desiderata e selezionate nel menu contestuale il comando Sostituisci.

Parametri

Descrizione

Trova

Inserimento della chiave di ricerca.

Sostituisci con

Inserimento del criterio che deve sostituire la chiave di ricerca.

Parola completa
  • Attivo: il sistema trova solamente la chiave di ricerca indicata nel campo di inserimento.
  • Non attiva: il sistema trova anche delle espressioni che contengono la chiave di ricerca.
    Per esempio: con "text" si trova anche "Textur"

Caratteri maiuscoli/minuscoli:
  • Attivo: si differenzia fra scrittura in lettere maiuscole e minuscole.
    Beispiel: con "Text" si trova solamente "Text" ma non "text".
  • Non attiva: l´uso di lettere maiuscole o minuscole non ha alcuna influenza sui risultati della ricerca.

Trova successivo

Cerca e trova la prossima corrispondenza di testo.

sostituisci

La corrispondenza di testo trovata viene sostituita.

Sostituisci tutti

Tutte le corrispondenze trovate nella colonna attiva vengono sostituite automaticamente.

Annulla

Termina ricerca


Parole chiave nella tabella lingua

Manuale -> Cambio lingua -> Tabella lingua -> Parole chiave nella tabella lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le parole chiave per i testi suscettibili di cambio lingua, vengono caratterizzati in zenon dalla presenza del segno @. Le parole chiave vengono inserite nella tabella lingua senza il segno @. Eventuali segni @ vengono eliminati automaticamente.

Al momento dell´inserimento di una voce nella Tabella Lingua vale quanto segue:

  • pro @ vengono formati pacchetti.
  • essi devono essere inseriti uno per uno nella tabella lingua.

    Esempio: il testo suscettibile di cambio lingua "@Der Benutzer@ Doe @wird ausgeloggt." ha due inserimenti nella tabella lingua:

    • riga 1: Der Benutzer
    • riga 2: wird ausgeloggt
  • dopo un import, ogni file di lingua riceve in un primo momento solamente le parole chiave che aveva prima dell´import stesso
  • non appena si verifica una modifica nella tabella lingua (per es. inserimeno di una nuova parola chiave), tutte le parole chiave di tutti i file di lingua vengono sincronizzate
    • ogni file di lingua conterrà poi tutte le parole chiave
  • tutte le nuove parole chiave inserite nella tabella vengono sempre scritte subito in tutti i file di lingua esistenti

attenzione Attenzione

L´import può portare all´introduzione di nuove parole chiavi per cui non esistono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate nel Runtime.

Inserisci nuove chiavi

Le nuove chiavi vengono inserite nell´ultima riga (vuota). Quando si inserisce un nuovo testo chiave, tutte le traduzioni delle righe vengono riempite con il nuovo testo.

Se si preme il tasto Ins, accade quanto segue:

  1. indipendentemente dalla posizione del cursore nella lista, viene selezionata l´ultima riga
  2. viene aperta la cella per la parola chiave per consentirne la modifica

Modifica chiavi e traduzioni

La modifca di celle della lista avviene cliccando su una cella in una riga selezionata. Se si preme il tasto F2, nella colonna attiva viene editata la riga con il focus.

Cancella chiavi e traduzioni

Si possono cancellare delle singole traduzioni, oppure delle intere chiavi con tutte le traduzioni.

Per cancellare una parola chiave con tutte le traduzioni:

  1. selezionate la riga
  2. premete il tasto Canc , oppure selezionate nel menu contestuale il comando Elimina chiave
  3. la parola chiave viene cancellata con tutte le traduzioni senza che il sistema ponga una richiesta di conferma.
  4. possono essere selezionate e cancellate contemporaneamente diverse righe (tasto Ctrl+clic; Shift+clic)

Per cancellare delle traduzioni:

  1. selezionate la riga
  2. la colonna Parola chiave non deve essere attiva
  3. tenete premuto il tasto shift e premete il tasto Canc
  4. la traduzione della colonna attiva verrà cancellata

Copiare ed inserire

Per copiare delle parole chiave:

  1. selezionate le righe desiderate (multiselect possibile).
  2. premete la combinazione di tasti Ctrl+C , oppure selezionate nel menu contestuale il comando Copia chiave
  3. le parole chiave verranno copiate negli appunti

Per inserire delle parole chiave:

  1. cliccate all´interno della tabella lingua
  2. premete la combinazione di tasti Ctrl+V , oppure selezionate nel menu contestuale il comando Inserisci
  3. le paroli chiave e traduzioni vengono riprese dagli appunti e inserite nella lista
  4. se nella lista c´è già una chiave copiata, ne viene creata una nuova Copia n di XXX
    • n = numero della copia
    • XXX = nome della chiave copiata


Modificare esternamente un file di lingua

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file di lingua possono essere modificati anche esternamente. A tal fine li si deve anzitutto esportare. L´export può avvenire nei modi seguenti:

  • File TXT: modifica con l´Editor dei testi
  • File CSV: modifica con Microsoft Excel

Per modificare un file di lingua:

  1. esportate il file desiderato
  2. effettuate le modifiche, a seconda del tipo di export, con
    • Editor dei testi oppure
    • Microsoft Excel
  3. reimportate il file nell´Editor

attenzione Attenzione

Nel caso di modifiche effettuate esternamente, bisogna tenere presente quanto segue:

  • quando lo si importa, il nuovo file non viene semplicemente tradotto, ma associato a quello esistente attualmente nel progetto. Vedi i dettagli: Esporta e importa file di lingua
  • Le modifiche riguardano sempre solamente la parola chiave e la lingua selezionata. Tutte le altre lingue rimangono immutate, oppure vuote.


Esporta e importa file di lingua

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Esporta e importa file di lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esportazione

Per esportare un file di lingua:

  1. cliccate nella colonna desiderata (per export TXT)
  2. aprite il menu contestuale cliccando con il tasto destro del mouse
  3. selezionate il tipo di export desiderato:
    • Esporta file: esporta la tabella in formato TXT
      Questa forma si presta soprattutto ad inoltrare un file di lingua ad altri utenti e ad importarlo in altri progetti. Riguarda sempre solo il file di lingua selezionato.
    • Import/Export esteso -> Esporta tutti in CSV: esporta tutte le tabelle eistenti nel formato CSV
      Si presta soprattutto alla modifica esterna. Riguarda sempre tutti i file di lingua in una tabella lingua.
  4. si apre il dialogo per selezionare il posto in cui salvare il file e per scegliere un nome file
  5. salvate il file di esportazione
  6. un messaggio avverte che l´export è stato eseguito con successo e offre la possibilità di aprire la cartella di export
    • Cliccando sul pulsante Sì si apre la cartella di export e si chiude il dialogo
    • Se si clicca sul pulsante No, si chiude il dialogo

Importazione

Per importare un file di lingua:

  1. cliccate all´interno della tabella lingua
  2. aprite il menu contestuale cliccando con il tasto destro del mouse
  3. selezionate il tipo di import desiderato:
    • Importa file: Importa un file in formato TXT
    • Import/Export esteso -> Importa file CSV.: Importa un file in formato CSV
  4. si apre il dialogo per selezionare il file
  5. se si clicca su OK, il file viene importato

attenzione Attenzione

L´import può portare all´introduzione di nuove parole chiavi per cui non esistono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate nel Runtime.

Import di TXT

Per poterne effettuare l´import, i file di testo devono corrispondere al formato della tabella lingua: Testo chiave + | + Traduzione

Quando lo si importa, il nuovo file non viene semplicemente tradotto, ma associato a quello esistente attualmente nel progetto:

  • Se nel file di importazione ci sono delle informazioni che esistono anche nel progetto, le informazioni del file di importazione sovrascrivono quelle del progetto.
  • Gli inserimenti che sono presenti solamente nel progetto, non vengono modificati.
  • Gli inserimenti presenti solamente nel file di importazione, verranno inseriti.
  • Se non esiste ancora un file di lingua del file di importazione nel progetto, viene creato un nuovo file con il nuovo nome.

Import di CSV

Per poterne effettuare l´import, i file CSV devono corrispondere al formato della tabella lingua.

  • Bisogna usare solamente dei separatori di colonna consentiti:
    • Pipe (|)
    • punto e virgola (;)
    • TAB (->)

    Se si usano anche degli altri caratteri come separatori di colonne, apparirà un messaggio di errore.

  • La prima riga deve contenere una lista dei file; all´inizio si deve trovare un carattere jolly per la colonna Testo chiave.
  • I file devono avere la desinenza .csv. In caso contrario apparirà una segnalazione di errore.
  • Nelle altre righe ci sono il rispettivo testo chiave e i testi da tradurre divisi dal separatore colonne. Il testo chiave deve essere sempre nella prima colonna.
  • Se non esiste ancora un file di lingua indicato in un titolo colonna, viene creato un nuovo file con il nuovo nome.
  • I file esistenti vengono associati in modo analogo a quanto avviene nel caso di import da un file di testo.

Esempio Esempio

Struttura File CSV:

Schlüsselwort|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Modifica in file testo

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Modifica in file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Modifica in un file testo

Per i file lingua vale quanto segue:

  • i contenuti vengono inseriti come testo in ordine cronologico.
  • Il separatore fra parola chiave e concetto tradotto è un | (Pipe).
  • Viene tradotto solamente il concetto dopo il segno Pipe.

Esempio Esempio

|

uno|one

due|two

tre|three


Modifica in MS Excel

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Modifica in MS Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

È possibile anche l’elaborazione tramite MS Excel. Per elaborare un file lingua mediante MS Excel:

  1. esportate il file lingua in un file CSV con la desinenza .csv
  2. aprite il file con MS Excel (doppio clic sul file)
  3. il file di esportazione viene importato automaticamente in Excel
  4. i dati verrano visualizzati nel modo seguente:
    • Colonna A: Parola chiave
    • altre colonne: traduzioni; una traduzione a colonna
    • viene visualizzato un separatore
  5. modificate i testi a piacimento
  6. salvate il file nel formato CSV.

Per usare in zenon i file lingua modificati, importate il file CSV in zenon.


Fonts - Caratteri

Manuale -> Cambio lingua -> Fonts - Caratteri

Nel quadro del cambio lingua può essere necessario usare diversi caratteri di scrittura, come, ad esempio, unicode per i caratteri delle lingue asiatiche.

Definizione tramite liste caratteri

Definite i caratteri e le liste caratteri nel nodo Immagini/Caratteri. Le liste caratteri impostate in questa sede possono essere selezionate nella funzione Cambio lingua.

Indicazione: i dettagli concernenti i caratteri e le liste li trovate nela capitolo Caratteri nella guida Immagini.

Assegna direttamente tipo di lingua a file lingua

I tipi di carattere possono essere assegnati al file lingua anche direttamente. Ma ciò definisce solamente la rappresentazione ottica nel file lingua. La visualizzazione dei testi tradotti nell´editor e nel runtime non ne è condizionata; essa viene fissata mediante Liste caratteri.

Per assegnate direttamente un tipo di carattere al file lingua:

  1. selezionate una colonna del file lingua.
  2. selezionate nel menu contestuale Carattere per file lingua/scelta selezionato
  3. si apre il dialogo standard Windows che serve alla selezione di un carattere
  4. selezionate il carattere desiderato.

    Indicazione: ulteriori impostazioni del dialogo standard, come colore del carattere, non hanno alcun effetto sulla visualizzazione in zenon

Info Informazioni

Tipi caratteri e file lingua possono essere usati e visualizzati già nell´editor. A questo scopo selezionate nel menu contestuale:

  • del file lingua: File lingua per l´editor -> seleziona file desiderato
  • della lista carattere: Lista carattere per il file di lingua selezionato -> seleziona lista desiderata

attenzione Attenzione

Nell´elemento vettoriale Testo statico i caratteri possono essere inseriti anche in modalità scollegata. Esse non sono modificabili mediante il file lingua.


Parole chiave predefinite – Testi di sistema in CEL

Manuale -> Cambio lingua -> Parole chiave predefinite – Testi di sistema in CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per tutti i testi, che normalmente vengono visualizzati a Runtime, ci sono delle parole chiave predefinite.

Potete trovare parole chiave predefinite nel file CEL_Keys.txt che si trova nella cartella [zenon Installation]\Wizards_NotSupported\Additional

Raccomandazione: Per la progettazione utilizzate il Language table Wizard.

Attenzione: eventuali modifiche vengono sovrascritte nel caso si effettui un update di zenon. Vi consigliamo di salvare i file modificati e di copiarli dopo l'update nella nuova versione.

Per fare in modo che il cambio di lingua funzioni nei dialoghi e per quanto concerne le parole chiave predefinite per la CEL, la lingua runtime deve essere l'inglese, visto che le parole chiave sono definite in questa lingua.

I testi che vengono utilizzati nei titoli delle colonne della Lista eventi cronologica e della Gestione allarmi, possono essere configurati tramite le proprietà di progetto. Il dialogo viene aperto attraverso: Lista eventi cronologica (CEL) -> Impostazioni colonne CEL o Lista di informazione allarmi -> Impostazione colonne AML, oppure nella rispettiva funzione Cambio immagine.

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parole chiave predefinite – Testi di sistema in CEL

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il procedimento è analogo a quello per i testi. Il carattere @ all’inizio della selezione consente il Cambio Lingua.


Percorsi per cambio lingua dell´help Runtime

Manuale -> Cambio lingua -> Percorsi per cambio lingua dell´help Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si crea un file lingua, per i file necessari del cambio lingua vengono creati automaticamente gli inserimento necessari nelle sottocartelle.

  • Grafici
  • Guida
  • Multimedia
  • Testi e formati
  • Report Viewer

Nella configurazione della funzione cambio lingua è possibile scegliere la cartella corrispondente:

attenzione Attenzione

I file devono essere salvati in cartelle differenti e devono avere lo stesso nome per le diverse lingue.

Un percorso è gia dato di default nell’editor. All’avvio della “Funzione di cambio lingua”, viene modificato il percorso. Esiste la possibilità di creare delle cartelle individuali nella struttura ad albero del progetto, al di sotto del nodo File .

Info Informazioni

È possibile creare diversi livelli di sottocartella nel nodo File. Nella funzione Cambio lingua, però, possono essere selezionate solamente quelle cartelle che si trovano nel primo livello.

Se il cambio di lingua non viene effettuato, le cartelle standard valgono da percorsi di default.

attenzione Attenzione

Di regola, il cambio lingua non è possibile nel runtime per quello che concerne l´help HMTL dei sistemi operativi Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato mediante una Immagine HTML.

Eccezione: help sotto Windows CE.


Formattazione delle traduzioni

Manuale -> Cambio lingua -> Formattazione delle traduzioni

Per esportare testi da tradurre:

esportate la tabella lingua in CSV

fate tradurre i testi

importate il file CSV modificato

tenete presente che, nel caso di engineering distribuito, deve essere attivo il comando Consentire i cambiamenti per i file lingua, in modo tale che sia possibile effettuare delle modifiche.

attenzione Attenzione

Nei progetti multiuser, i testi chiave e le loro traduzioni possono essere modificati solo se per i file sono consentiti dei cambiamenti. I testi da tradurre di quei file per cui non sono permesse modifiche, non possono essere selezionati ed elaborati.

I testi chiave possono essere modificati solamente se per tutti i file sono consentiti dei cambiamenti. Quando si inseriscono delle nuove chiavi, esse vengono riportate solamente in quei file per i quali sono consentite le modifiche.


Funzioni di cambio lingua

Manuale -> Cambio lingua -> Funzioni di cambio lingua

Con questa funzione, è possibile cambiare la lingua di alcune informazioni di testo, per esempio, per i pulsanti, durante il runtime. Al momento di creare un nuovo file di lingua, viene impostata automaticamente una sottocartella nella cartella relativa per grafica, guida, multimedia, testi e formati, nonché Report Viewer. Essa riceve lo stesso nome del nuovo file di lingua. I file corrispondenti vengono depositati in questa cartella. La sottocartella attiva può essere cambiata con la funzione Cambio lingua. Se nella sottocartella non c´é un file con il nome indicato, il sistema cerca di caricare il file dalla cartella superiore non dipendente dalla lingua.

Interno ID: Funzioni di cambio lingua

Cambio lingua

Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Ulteriori informazioni nella guida in linea

Per configurare la funzione:

  1. scegliete Nuova funzione.
  2. navigate per raggiungere il nodo Applicazione

    Interno ID: Funzioni di cambio lingua

    Applicazione

    Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

    Ulteriori informazioni nella guida in linea

  3. selezionate Cambio lingua
  4. configurate nel dialogo che si aprirà il Cambio lingua.

Parametri | Descrizione
File lingua | Apre il Manager file che serve alla selezione di un file lingua.
Lista carattere | Lista a cascata con la lista dei caratteri disponibili nell´editor.
Cambio cartelle | Contiene i percorsi per i file necessari.
Grafici | Lista a cascata per sottocartelle dipendenti dalla lungua per grafiche.
Guida | Lista a cascata con sottocartelle dipendenti dalla lingua per file CHM della guida Runtime.
Multimedia | Lista a cascata per sottocartelle dipendenti dalla lingua per file multimedia.
Testi e formati | Lista a cascata con sottocartelle lingua per testi e formati
File definizione Report | Lista a cascata per sottocartelle dipendenti dalla lingua per Report Viewer.
OK | Riprende la configurazione, crea funzione e chiude il dialogo.
Annulla | Rifiuta le impostazioni, chiude il dialogo e crea una funzione senza destinazione.
Guida | Apre la guida online


Cambio unità di misura

Manuale -> Cambio unità di misura

Il cambio unità di misura permette la conversione e il cambio di unità di base in cosiddette unità di commutazione, per esempio metro in yard o metro in decimetro, centimetro in millimetro. Un´unità base contiene il valore di partenza per una conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe dispongono di una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Interno ID: Cambio unità di misura

Posizione della virgola decimale

Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cambio unità di misura

Offset

da unità primaria (d per y=kx+d)

Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cambio unità di misura

Fattore

Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Al momento di definire i parametri di una variabile, si può selezionare un´unità di base. Mediante la funzione Cambio unità di misura si può passare durante il runtime da un´unità all´altra.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Info Informazioni

Il cambio dell´unità di misura non deve essere usato in concomitanza con la funzione report variablerw. Tale funzione, infatti, rende disponibile un cambio di unità per progetti più vecchi. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.


Unità di misura Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Cambio unità di misura -> Unità di misura Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Unità di misura Visuale dettagli

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Menu contestuale e barra simboli Unità base/Unità convertita

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento originario | Lista a cascata con link che riconduce all´elemento dal quale si è giunti all´unità. Esiste solamente se l´unità è collegata con un altro elemento.
Rinominare | Permette il cambiamento della denominazione dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura che sono già connesse a variabili oppure che vengono utilizzate in funzioni, devono essere adattate manualmente nelle corrispondenti variabili oppure nella relativa funzione. Vedi per ulteriori informazioni: Attribuzione a una variabile dell´unità base e Funzione "Conversione unità di misura".
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Guida | Attiva la guida online


Progettare unità di misura

Manuale -> Cambio unità di misura -> Progettare unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per il calcolo, dovete creare una unità di base e un´unità di conversione, nonché i parametri per il calcolo. Il calcolo viene effettuato secondo la formula y=kx+d (Austria) oppiure y=mx+b Germania). Ogni unità di base può essere assegnata a una Variabile come unità di misura.

Per creare un´unità di base, seguite la seguente procedura:

  • selezionate nel manager di progetto il nodo Unità di misura.
  • Cliccate poi con il tasto destro del mouse su Unità di misura.
  • Selezionate nel menu contestuale il comando Nuova unità di base.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • Impostate un´unità di conversione.

Per creare un´unità di conversione, seguite la seguente procedura:

  • cliccate con il tasto destro del mouse su Unità di base.
  • Selezionate nel menu contestuale il comando Nuova unità di conversione.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • impostate un Fattore per la conversione

    Interno ID: Progettare unità di misura

    Fattore

    Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • stabilite un valore Posizione della virgola decimale per

    Interno ID: Progettare unità di misura

    Posizione della virgola decimale

    Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • stabilite un valore Offset per

    Interno ID: Progettare unità di misura

    Offset

    da unità primaria (d per y=kx+d)

    Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Attribuzione a una variabile dell´unità base

Manuale -> Cambio unità di misura -> Attribuzione a una variabile dell´unità base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Assegnate delle unità basi ad una variabile nelle proprietà Unità di misura (nodo Generale).

Interno ID: Attribuzione a una variabile dell´unità base

Generale

Proprietà generale della variabile o del tipo di dato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attribuzione a una variabile dell´unità base

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri.
Default: vuoto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In questa sede potete scegliere una denominazione a piacere per le unità. Se volete utilizzare la conversione dell´unità durante il runtime, selezionate in primo luogo una unità base definita scegliendola fra quelle della lista dropdown.

Un consiglio: Quando assegnate una denominazione a piacere, Vi consigliamo di impostare subito dopo nel nodo Unità di misura L´unità base con lo stesso nome.

Per far in modo che venga effettivamente eseguito il calcolo di conversione durante il runtime, dovete impostare una Funzione "Conversione unità di misura" .

attenzione Attenzione

Se poi si decide di modificare l´unità di misura in un secondo momento, il cambiamento della denominazione non viene effettuato automaticamente per le variabili già connesse.

Per cambiare la denominazione di unità di misura già connesse, procedete nel modo seguente:

  • selezionate la visualizzazione dettagli del manager di progetto
  • poi selezionate la colonna "unità di misura", oppure aggiungetela alla visualizzazione nel caso in cui essa non venga ancora visualizzata.
  • Selezionate poi nel menu contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nel dialogo che si aprirà, poi, cercate il vecchio nome e sostituitelo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Indicazione: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Cambio a | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

Info Informazioni

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attenzione Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e containpulsi nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella finestra Energy Management System vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Controls

Manuale -> Controls

In zenon possono essere implementati dei Control propri. A tal scopo sono a disposizione:

  • .NET User Controls (sul tema implementazione in zenon, vedi anche .NET Controls nella parte della guida concernente le Immagini.)
  • ActiveX (sul tema implementazione in zenon vedi anche ActiveX nella parte della guida concernente le Immagini.)
  • WPF

Info Informazioni

Delle informazioni sull´uso delle interfacce di programmazione di zenon (PCE, VBA, VSTA) le trovate nella parte della guida Interfacce di programmazione.


Generale

Manuale -> Controls -> Generale

Control per zenon possono essere realizzati mediante ActiveX, .NET e WPF. Tramite VBA/VSTA si può accedere alla zenon API.


Accesso a API zenon

Manuale -> Controls -> Generale -> Accesso a API zenon

Sotto zenon un ActiveX Control può essere esteso con delle funzioni specifiche, per poter accedere a API zenon.

Accesso a API zenon

  • selezionate nelle Project References con Add References... la zenon-RT libreria oggetti
  • inserite le funzioni estese nel codice classe del control.

Funzioni estese ActiveX zenon

// Viene aperto al momento dell´avvio del Control nel runtime di zenon.

public bool zenonInit(zenon.Element dispElement)…

// Viene aperto al momento della distruzione del Control nel runtime di zenon.

public bool zenonExit()…

// Supporta il Control Variablenverknüpfungen (collegamentivariabili).

public short CanUseVariables()…

// Tipi di dato supportati da Com Control.

public short VariableTypes()…

// Numero massimo delle variabili che possono essere collegate con il Control.

public short MaxVariables()…

Esempio

Il COM Object di una variabile di zenon viene salvato temporaneamente in un Member per potervi poi accedere nel Paint Event del Control:

zenon.Variable m_cVal = null;

public bool zenonInit(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // le variabili sono supportate

}

public short VariableTypes()

{

return short.MaxValue; // tutti i tipi di dato vengono supportati

}

public short MaxVariables()

{

return 1; // al massimo una variabile deve essere collegata con il Control

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// zenon Variables has changed

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}


Metodi

Manuale -> Controls -> Generale -> Metodi

ActiveX Control e .NET-Control che usano variabili di zenon, necessitano di determinati metodi.


CanUseVariables

Manuale -> Controls -> Generale -> Metodi -> CanUseVariables

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controls -> Generale -> Metodi -> MaxVariables

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controls -> Generale -> Metodi -> VariableTypes

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controls -> Generale -> Metodi -> zenonExit

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controls -> Generale -> Metodi -> zenonExitEd

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Informazioni: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controls -> Generale -> Metodi -> zenonInit

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenoncollegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActivX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.

Interno ID: zenonInit

Impostazioni ActiveX

Selezione dell’elemento ActiveX della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: zenonInit

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


zenonInitEd

Manuale -> Controls -> Generale -> Metodi -> zenonInitEd

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Informazioni: è disponibile attualmente solo per ActiveX.


Active X

Manuale -> Controls -> Active X

Con ActiveX si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Sviluppare elementi Active X
  • Esempio LatchedSwitch (C++)
  • Esempio CD_SliderCtrl (C++)
  • Esempio .NET Control come ActiveX (C#)

Le informazioni sull´elemento dinamico ActiveX le trovate in questa guida nella parte dedicata alle Immagini e in particolare nel capitolo ActiveX .


Sviluppare elementi Active X

Manuale -> Controls -> Active X -> Sviluppare elementi Active X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´elemento dinamico ActiveX in zenon può trasferire delle variabili all´ActiveX Control senza che sia necessario usare la via più lunga attraverso VBA per gestire il Control.

Il Control può definire autonomamente quante variabili di zenon possono essere utilizzate e di che tipo esse possono essere. Inoltre le proprietà del Control possono essere definite tramite l´elemento dinamico.

A tal scopo, l´interfaccia (Dispatch-Interface) del Control deve supportare una serie di determinati metodi.


Metodi

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni ActiveX-Control che può usare delle variabili di zenon deve contenere i seguenti metodi.

  • CanUseVariables
  • MaxVariables
  • VariableTypes
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

Non ha alcuna importanza quale Dispatch ID hanno i metodi nell´interfaccia. All´apertura dei metodi, in zenon viene tratto dall´interfaccia l´ID corretto.


CanUseVariables

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> zenonExitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Informazioni: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenoncollegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActivX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.

Interno ID: zenonInit

Impostazioni ActiveX

Selezione dell’elemento ActiveX della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: zenonInit

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


zenonInitEd

Manuale -> Controls -> Active X -> Sviluppare elementi Active X -> Metodi -> zenonInitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Informazioni: è disponibile attualmente solo per ActiveX.


Esempio LatchedSwitch (C++)

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Di seguito verrà descritto a titolo di esempio un ActiveX Control che realizza un interruttore bloccabile tramite due variabili Bit. La prima variabile rappresenta l´interruttore, la seconda il blocco. La variabile dell´interruttore può essere modificata tramite l´ActiveX Control solo nel caso in cui il valore della variabile di blocco sia pari a 0.

Lo stato dell´elemento viene visualizzato tramite 4 Bitmaps che possono essere selezionati nell´editor di zenon facendo uso del dialogo properties del Control.


Interfaccia

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Control LatchedSwitch possiede la seguente Dispatch Interface:

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
properties:
// NOTE - ClassWizard will maintain property information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // accettazione per i Bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Le Properties da SwitchOn a LatchedOff accettano i Bitmaps per visualizzare i 4 stati del Control. Gli stessi Bitmaps vengono depositati negli oggetti della classe CPictureHolder. Attraverso la Property Valore impostabile diretto si stabilisce se l´inserimento dei valori impostabili è possibile tramite l´uso di un dialogo, oppure direttamente cliccando sul Control.


Control

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CLatchedSwitchCtrl. Questa classe possiede come Member gli oggettiCPictureHolder per l´accettazione dei Bitmaps. Inoltre sono compresi anche tre DispatchDriver per l´elemento dinamico e le variabili:

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructor

public:

CLatchedSwitchCtrl();

// Overrides

// ClassWizard generated virtual function overrides

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Implementation

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Class factory and guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS(CLatchedSwitchCtrl) // Property page IDs

DECLARE_OLECTLTYPE(CLatchedSwitchCtrl) // Type name and misc status

// Message maps

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Dispatch maps

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CPictureHolder m_SwitchOn;

CPictureHolder m_SwitchOff;

CPictureHolder m_LatchedOn;

CPictureHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// Dispatch and event IDs

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit


CanUseVariables

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Control può lavorare solamente con variabili Bit, perciò viene restituito 0x0004.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Solo variabili Bit

}


MaxVariables

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Possono essere usate due variabili, perciò risulta 2.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 Variablen

}


zenonInit

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo metodo il sistema si va a prendere mediante il Dispatchpointer dell´elemento dinamico i Dispatchdriver delle variabili. Mediante questo Pointer il sistema va a prendere e setta i valori delle variabili con un clic e disegnando il control.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}


zenonExit

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo rende di nuovo disponibili i Dispatchdriver.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Valore impostabile

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un valore impostabile viene settato cliccando una volta sul Control con il tasto sinistro del mouse.

Nel caso in cui m_iSollwertDirekt sia pari a 0, si apre un dialogo per la selezione del valore impostabile; altrimenti viene invertito il valore attuale della variabile di conversione.

Se il valore della variabile di blocco è 1, viene eseguito solamente un MessageBeep; non può essere settato nessun valore impostabile tramite il Control.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Bloccato!!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Toggle

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Disegno

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento del disegno del Control il sistema va a prendersi i valori della variabili tramite il Dispatchdriver di queste ultime; in corrispondenza di ciò viene disegnato una delle 4 grafiche indicate. Quando cambia il valore di una variabile, il Control viene attualizzato facendo uso della routine OnDraw.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // Variabili disponibili ?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dSwitchVar) // Variabile disponibile?

{

vRes = m_dLatchVar.GetValue();

bVal2 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


L´interfaccia di zenon

Manuale -> Controls -> Active X -> Esempio LatchedSwitch (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio CD_SliderCtrl (C++)

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il seguente esempio descrive un ActiveX Control che è uguale al Windows SliderCtrl. Questa componente può essere collegata ad una variabile di zenon. L´utente può modificare il valore impostabile di una variabile tramite lo slider. Nel caso in cui la variabile sia modificata tramite un altro elemento dinamico, viene attualizzato lo slider.


Interfaccia

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Control CD_SliderCtrl possiede la seguente Dispatch Interface:

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Proprietà del Control

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Metodi del Control (per zenon-ActiveX)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Control

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CD_SliderCtrlCtrl. Questa classe possiede come member un CSliderCtrl comune per Windows, con cui il Control viene editato in una sottoclasse. Le interfaccia IVariable e IElement contengono interfaccia di CD_PRODUCTNAME< che si è dovuto integrare. Esse sono derivate da COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Member-Variablen

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** Metodo per la conversione di Variant

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Class factory and guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // Property page IDs

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Type name and misc status

//*** Metodi per la funzionalità di SliderCtrl

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void VScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit


CanUseVariables

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Control può lavorare con parola, byte, parola doppia e variabili float. Una lista dei possibili tipi di dato la trovate nella descrizione generale di questo metodo.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Wort

0x0002 | // Byte

0x0008 | // D-Wort

0x0010 | // Float

0x0020; // D-Float

}


MaxVariables

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questo Control può essere collegata solo una variabile.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 Variablen

}


zenonInit

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il parametro dispElement contiene l´interfaccia per l´elemento dinamico. Tramite questo elemento viene determinata la variabile collegata di zenon. Se questa è valida, viene settato il settore di SliderCtrls. Inoltre vengono settate le impostazioni per la visualizzazione (numero dei ticks, ...). Se non è collegata nessuna variabile, viene fissato un settore di funzionamento da 0 a 0. In tal modo, SliderCtrl non può essere modificato. Tramite la variabile m_bInitialized si stabilisce che i valori impostabili da adesso possono essere settati.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Stabilisci la variabile tramite l´elemento zenon

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Inizializza il settore dello Slider-Ctrl

if (m_interfaceVariable) {

//*** Stabilisci settore di funzionamento

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Stabilisci tick secondari

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo metodo vengono di nuovo rese disponibili le interfacce di zenon.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Disegno

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite DoSuperclassPaint viene disegnato lo SliderCtrl (visto che si tratta di gesubclassed Control). Se al momento del disegno lo slider viene spostato, la variabile m_bInitialized assume il valore FALSE. In tal modo ci si assicura che il valore possa essere modificato. Generalmente il valore della variabile viene determinato ed esso viene rappresentato mediante il metodo SetPos dello SliderCtrl.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** Attualizza la visualizzazione

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Valore impostabile

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel metodo LButtonDown la variabile m_bInitialized viene settata a FALSE e nel LButtonUp viene riportata a TRUE. In tal modo ci si assicura che il valore possa essere modificato. Altrimenti si dovrebbe aprire la OnDraw e si dovrebbe visualizzare il valore originario.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Un valore impostabile viene provocato da una modifica dello slider. Nei metodi HScroll oppure VScroll viene settato il valore impostabile (in dipendenza del fatto che si tratti di uno slider orizzontale oppure verticale).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** settare valore impostabile senza dialogo ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


L´interfaccia di zenon

Manuale -> Controls -> Active X -> Esempio CD_SliderCtrl (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    Nel nostro esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    Nel nostro esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


Trasformare .NET User Control in Dual Control

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà VBA/Init dell´elemento ActiveX.

    Interno ID: lavorare nell´Editor tramite VBA con ActiveX

    Init

    Macro VBA da eseguire all’inizializzazione dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: lavorare nell´Editor tramite VBA con ActiveX

    VBA

    Proprietà per Macro VBA collegate all’elemento..

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime dizenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime dizenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenoncollegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Impostazioni ActiveX

    Selezione dell’elemento ActiveX della variabile collegata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariablesdia 0 oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> Active X -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


.NET User Controls

Manuale -> Controls -> .NET User Controls

Con i .NET Control si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Differenze fra Control Container e ActiveX
  • Esempio di .NET Control Container
  • Esempio .NET Control come ActiveX (C#)

Le informazioni concernenti l´uso di .NET Controls in ActiveX le trovate nella guida Immagini nel capitolo .NET Controls.


Differenze nell´uso di .Net Control in Control Container e ActiveX

Manuale -> Controls -> .NET User Controls -> Differenze nell´uso di .Net Control in Control Container e ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un .Net User Control può:

  • essere implementato tramite CD_DotNetControlContainer Control direttamente nell´elemento ActiveX di zenon
  • essere usato come ActiveX Control ed essere implementato direttamente nell´elemento ActiveX di zenon

Le differenze fra Container Control e ActiveX Control sono soprattutto:

CD_DotNetControlContainer Control

ActiveX Control

  • Non deve essere registrato sul calcolatore.
  • Deve essere registrato come ActiveX sul calcolatore (regsvr32).
  • Se ci sono delle modifiche nel Control, il DLL deve essere cambiato.
  • Se ci sono delle modifiche nel Control, il TLB deve essere nuovamente registrato.
  • Accesso tramite VBA e VSTA possibile solamente tramite metodi CD_DotNetControlContainer.
  • Accesso tramite VBA e VSTA molto semplice.


Esempio di .NET Control Container

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo tutorial si descrive come creare in Visual Studio 2010 un semplice .NET User Control (linguaggio di programmazione C#) e come implementarlo poi con l´aiuto di zenon CD_DotNetControlContainer Control come ActiveX in un elemento Active X di zenon.


Generale

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il CD_DotNetControlContainer serve da wrapper fra un User Control e l´elemento ActiveX di zenon. Tutti i metodi usati nel seguente esempio, nonché tutti i Public Methods e Properties vengono trasmessi tramite il CD_DotNetControlContainer dall´User Control all´ActiveX e possono essere usati da zenon, anche in VBA e VSTA.

Se nell´User Control si referenzia alla Programming Interface di zenon, si può accedere direttamente agli oggetti di zenon.

Nel seguente esempio faremo quanto segue:

  • imposteremo un .Net User Control
  • aggiungeremo CD_DotNetControlContainer e .NET User Control
  • consentiremo l´accesso all´User Control tramite VSTA (VBA)


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenoncollegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Impostazioni ActiveX

    Selezione dell’elemento ActiveX della variabile collegata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


public bool zenOnExit()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public short CanUseVariables()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariablesdia 0 oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


Creare .Net User Control

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Creare .Net User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´User Control è un semplice control che consente di settare un nuovo valore tramite un campo di inserimento (Textbox). Dopo che si è premuto il pulsante, il valore viene scritto sulla variabile desiderata di zenon.

Un´altra funzione ha il compito di riconoscere se si è verificato un cambio nel valore della variabile in zenon e di visualizzare il nuovo valore nel Control.

Fasi della procedura

  1. In primo luogo procedete alla creazione di un nuovo progetto in VS; a tal scopo usate il tipo di progetto „Windows Forms Control Library"

    Importante: impostate Framework a 3.5!

  2. Poi cambiate il nome del CS „UserControl" in „zenon_CD_DotNetControlContainer.cs" . I file Designer.cs e .resx verranno rinominati automaticamente.

  3. Prossimo passo: create l´User Control. A tal scopo avete bisogno di due textbox per inserimento ed emissione, nonché di un pulsante per settare un nuovo valore sulla variabile di zenon.
    Denominate:
    • la prima textbox „txtGetZenonVariable"
    • la seconda textbox „txtSetZenonVariable"
    • il pulsante „btnSetZenonVariable"

  4. Per poter accedere agli oggetti di zenon, avete bisogno di una referenza alla Programming Interface di zenon . Per far ciò:
    • cliccate sul nodo „References" in Solution Explorer
    • aprite il menu contestuale
    • selezionate Add References…
    • andate alla voce COM
    • selezionate la zenon programming interface library

    A questo punto dovrebbe apparire la referenza „zenOn" nella lista delle referenze.

  5. Il prossimo passo consisterà nell´impostare nel programmcode di zenon_CD_DotNetControlContainer.cs una variale globale del tipo zenon.Variable:

  6. Questa variabile viene inizializzata tramite il public methode zenOnInit:

    e viene resa di nuovo disponibile attraverso il public methode zenOnExit:

    Nei seguenti metodi si stabilisce se le variabili e i tipi di dato di zenon possono essere usati e quante variabili possono essere consegnate:

  7. Il prossimo passo consiste nello stabilire nel Click-Event del pulsante btnSetZenonVariable che, cliccando sul pulsante stesso, il valore viene scritto nella textbox txtSetZenonVariable sul valore della variabile zenon e poi il contenuto della textbox viene cancellato.

  8. Per poter reagire alla modifica del valore della variabile, avete bisogno del Paint-Event del Control. Viene eseguito anche un trigger per il Paint-Event se cambia il valore della variabile zenon inizializzata e perciò non può essere usato per l´aggiornamento dei valori. Visto che le variabili che sono referenziate nell´elemento ActiveX zenon, sono automaticamenre adviced, si può in generale rinunciare al container zenon.OnlineVariable nel Control.

Una visione insieme del codice

Qui ancora una volta l´intero codice in una visione d´insieme:

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//This will be needed to get the zenon Variable Container

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// This public Method will be called by the initialization of the control during

/// the zenon Runtime.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenOnInit(zenOn.Element dispElement)

{

//Check if zenon Variables are added to the

//Control

if (dispElement.CountVariable > 0)

{

try

{

//Take the first zenon Variable and added

//to the global Variable

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

// <summary>

/// This public Method will be calles by the release of the control during

/// the zenon Runtime.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Release the zenon Variable (Com-Object)

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// This public Method is needed to link zenon Variables

/// to the control.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only tis Variable is supported

}

/// <summary>

/// This public Method returns the Type of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // all Data Types supported

}

/// <summary>

/// This public Method returns the number of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Only 1 Variable should linked to the Control

}

/// <summary>

/// This will be triggert by clicking the Button. The new Value will

/// be set to the zenon Variable

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Set Value from TextBox to the zenon Variable

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// This will be triggert by painting the User Control or the Value of the Variable changed.

/// After the value of the Variable changed the Control will be new painted and the new Value

/// will be set to the Textbox.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Crea release

Alla fine create un release per poter implementare il DLL completo in zenon o in CD_DotNetControlContainer.

A tal scopo si deve assolutamente passare nei settings da Debug a Release.


aggiungeremo CD_DotNetControlContainer e .NET User Control

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> aggiungeremo CD_DotNetControlContainer e .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per preparare il progetto zenon e aggiungere il CD_DotNetControlContainer e il .NET User Control, realizzate i passi seguenti:

  1. Impostate una variabile interne del tipo Stringa e settatela sulla lunghezza stringa di 30.

  2. Aggiungete nel nodo di progetto di zenon dal nome Projekt/Dateien/Sonstige il DLL del .NET User Control impostato.

    Il DLL si trova nella cartella Visual Studio Project alla voce bin\Release\zenon_CD_DotNetControlContainer.dll.

  3. Selezionate nel progetto l´elemento ActiveX e trascinatelo nell´immagine zenon.
    • Si apre il dialogo Configurazione.
    • Selezionate il CD_DotNetControlContainer.Container Control.

  4. Per inserire in modo scollegato il .NET User Control nel CD_DotNetControlContainer Control:
    • Cliccate sul pulsante Proprietà...
    • viene aperto un nuovo dialogo

    • cliccando sul pulsante Load selezionate il percorso della cartella di progetto, per esempio: C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    Aggiungendo il DLL nella cartella additional, il Control viene spedito automaticamente ad un altro calcolatore al momento di copiare o caricare i file Runtime. Per questa ragione, il collegamento non va perduto.

    Adesso dovrebbe essere visualizzato il .NET User Control.

    Confermate il dialogo cliccando su OK.

  5. L´ultimo passaggio consiste nel collegare una variabile con il Control facendo uso del pulsante Variabili.

    La variabile selezionata viene collegata automaticamente mediante il metodo public zenonInit con la variabile definita globalmente (.NET UserControl). Il collegamento con il Control diviene però effettivo solamente dopo l´avvio del Runtime.

    Poi dovete procedere a collegare la variabile interna con un elemento di testo.

  6. Dopo l´avvio del Runtime, il Control è, in un primo momento, ancora vuoto.

    Se viene scritto un valore nella seconda box di testo e poi confermato mediante il pulsante Set zenon Variable, il valore viene scritto sulla variabile di zenon. (L´evento btnSetZenonVariable_Click viene eseguito.)

    Esso viene visualizzato anche nell´elemento di testo di zenon.

    Se il valore viene modificato direttamente nell´elemento di testo di zenon,

    esso verrà scritto tramite il Paint Event del .NET Control nella prima box di testo.


Accesso all´User Control tramite VSTA oppure VBA

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Accesso all´User Control tramite VSTA oppure VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo esempio si mostra l´accesso via VSTA. La procedura è la stessa con VBA.

  1. Estendete il Control con un Label (label) e denominatelo lblzenonInfo. In questo Label deve essere visualizzato il valore di un´altra variabile di zenon. Il nuovo valore deve essere settato tramite una macro VSTA.

  2. Estendete il Code della Property (Information) e aggiungete le proprietà get e set alla Property. Esse permettono di leggere e scrivere il testo del Label.

  3. Create un nuovo release per il nostro User Control e copiatelo nella cartella additional del progetto di zenon.
    Non dimenticate: chiudete prima l´Editor di zenon!
    Cancellate il vecchio DLL e riavviate l`Editor di zenon. Se il DDL si dovesse ancora trovare nella cartella, cancellatelo una seconda volta. Adesso potete importare il DLL modificato. Il CD_DotNetContainerControl e l´ActiveX vengono aggiornati automaticamente.
  4. Cliccate nell´Editor di zenon su ActiveX e aprite la finestra delle proprietà.

    Potete vedere adesso la nuova proprietà Information nella finestra di selezione del Control e potete anche settare un valore.

    Questo valore viene settato anche nel Control („myInformation")

  5. Per poter lavorare con il CD_DotNetControlContainer in VSTA oppure VBA, avete bisogno anzitutto della referenza al Control. Dopo che si è aperto VSTA per il progetto (ProjectAddin), la referenza di CD_DotNetControlContainer deve essere aggiunta.

    Inoltre deve essere aggiunto anche l´Assembly System.Windows.Forms.

  6. Con il seguente Code può essere settato nuovamente il valore per la proprietà del Control Information:

  7. Alla fine:
    • create una funzione di zenon Esegui macro VSTA
    • collegate la funzione ad un bottone

    Durante il Runtime, si cambia il Label cliccando sul pulsante myInformation su New Information.

    Se si clicca di nuovo sullo stesso pulsante si torna alla situazione precedente.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    Nel nostro esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    Nel nostro esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


Trasformare .NET User Control in Dual Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà VBA/Init dell´elemento ActiveX.

    Interno ID: lavorare nell´Editor tramite VBA con ActiveX

    Init

    Macro VBA da eseguire all’inizializzazione dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: lavorare nell´Editor tramite VBA con ActiveX

    VBA

    Proprietà per Macro VBA collegate all’elemento..

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime dizenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime dizenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenoncollegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Impostazioni ActiveX

    Selezione dell’elemento ActiveX della variabile collegata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: public bool zenOnInit(zenOn.Element dispElement)

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariablesdia 0 oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


Elemento WPF

Manuale -> Controls -> Elemento WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

Info Informazioni

Tutti nomi di marca e prodotto in questa documentazione sono marchi o marchi registrati del proprietario relativo.


Base:

Manuale -> Controls -> Elemento WPF -> Base:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

XAML

XAML significa Extensible Application Markup Language e viene pronunciato ['zæ:m?l]. La lingua di descrizione sviluppata da Microsoft su base XML, definisce la sintassi in applicazioni Silverlight e interfacce WPF. XAML permette di separare design e programmazione. Il designer prepara l´interfaccia grafica e imposta delle animazioni base che vengono poi riprese dallo sviluppatore/progettista. Il progettista può fare uso di questi file .xaml e animare nel modo desiderato.

WPF

WPF significa Windows Presentation Foundation, e definisce un Framework grafico che è una parte di Windows .NET Framework.

  • WPF rappresenenta l´ambiente di programmazione.
  • XAML descrive, basandosi su XML, l’interfaccia grafica con un linguaggio markup.
    A seconda della struttura del file XAML si ha la possibilità di collegare proprietà, eventi e trasformazioni degli elementi WPF con variabili e funzioni di zenon.
  • Il framework riunisce diverse aree di una presentazione come l’interfaccia utente, disegni, grafica, audio, video, documenti e tipografia.

Secondo le informazioni fornite da Windows, WPF viene fornito con Windows 7, Windows Vista e Windows Server 2008 ed è disponibile per Windows XP SP2 (o per versioni di numero di serie superiore), nonché per Windows Server 2003. Per l´esecuzione si ha bisogno di Microsoft .Net 3.5.


WPF nella visualizzazione di processo

Manuale -> Controls -> Elemento WPF -> Base: -> WPF nella visualizzazione di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per zenon, XAML apre delle possibilità grafiche individuali. Elementi di visualizzazione e elementi dinamici possono essere adattati graficamente indipendentemente dalla progettazione. Per esempio, delle illustrazioni complesse vengono create da designer e poi importate in forma di file XAML in zenon e collegate con le logiche desiderate. Ci sono le seguenti possibilità di applicazione:

elementi dinamici in analog-look

Le grafiche non devono più essere disegnate in zenon, ma possono essere importate direttamente sotto forma di file XAML. Ciò permette l´uso di elementi illustrati in modo complesso nella visualizzazione di processo. Riflessi, ombre, effetti 3D ecc, ad esempio, vengono supportati come grafica. Gli elementi adattati alla branca industriale in questione permettono una gestione intuitiva, analoga agli strumenti sul macchinario.

Illustrazioni complesse per gestione intuitiva

L´implementazione di elementi di visualizzazione basati su XAML conferisce una veste grafica più pregevole ai progetti e permette una visualizzazione di processo più semplice e chiara. Gli elementi ottimizzati in fatto di usabilità facilitano la gestione. La visualizzazione chiara di dati sempflica la comprensione di contenuti complessi. La possibilità di adattamento flessibile dei singoli elementi aumenta il comfort della gestione. In tal modo è possibile per il progettista determinare indipendentemente valori, scale e unità.

Presentazione dati chiara e riassunti

Elementi di visualizzazione raggruppati permettono una rappresentazione chiara dei dati di processo importanti, in modo tale che l´operatore che gestisce l´impianto sia sempre informato su quanto sta accadendo nel processo. Valutazioni grafiche, valori e slider possono essere raggruppati in un elemento e permettono una gestione veloce e non semplice.

Visualizzazione specifica per un settore industriale

Elementi come termometro, scale o bargraf fanno parte degli elementi base della visualizzazione di processo. Attraverso XAML è possibile adattare l´aspetto grafico di questi elementi alle diverse esigenze delle differenti branche industriali. In tal modo, gli operatori che lavorano nell´impianto trovano gli elementi cui sono abituati, che conoscono già a causa del loro lavoro con i macchinari, nella visualizzazione del processo sul terminale.

Adattamento a Corporate Design

Le illustrazioni possono essere anche adattate alle indicazioni dei diversi committenti permettendo di raggiungere un´immagine omogena del processo produttivo. Come base, possono essere utilizzati, ad esempio, gli elementi di gestione standard di zenon, che verranno poi adattati allo stile del Corporate Design.


Trasmissione valori di zenon a WPF

Manuale -> Controls -> Elemento WPF -> Base: -> Trasmissione valori di zenon a WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon lavora internamente sempre con il tipo di dato Double o String. Essi vengono inviati all´elemento WPF. L´elemento WPF è connesso in maniera scollegata in un .NET Container. Affinché il tipo di dato possa essere usato, debe essere stato per lo più convertito. Questa conversione viene eseguita automaticamente da .NET.

Il settaggio del valore avviene secondo le seguenti regole:

  • se il tipo .NET(System.Object) non è visibile per zenon, il valore viene mandato così com´è a .NET. .NET deve occuparsi della rappresentazione o della conversione.
  • Se il tipo .NET è del tipo boleano (System.Boolean), zenon scrive, come previsto dalla convenzione.NET, 0 oppure. -1.
  • se il tipo.NET è conosciuto, il sistema controlla se .NET può convertire il valore. A questo scopo viene usato il convertitore di .NET.
    • Si Il valore viene inviato.
    • No: il valore viene inviato comunque. . Se .NET reagisce con una segnalazione di errore, il valore viene trasformato da zenon in una string e viene inviato di nuovo.


Oggetti referenziati

Manuale -> Controls -> Elemento WPF -> Base: -> Oggetti referenziati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In WPF non possono essere usati solamente oggetti standard, come rettangoli, pulsanti, campi testo ecc, ma anche WPF User Controls, che vengono referenziati come Assembly.

WPF User Controls sono oggetti creati individualmente. Per esempio, questo elemento può avere l´aspetto di un tachimetro e offrire delle proprietà speciali e degli effetti ottici, come, ad esempio, la proprietà „Value", che, al momento di essere settata, fa sì che la lancetta del tachimetro si muova e indichi il valore.

Il workflow per raggiungere questo obiettivo:

  • L´aspetto di un User Controls viene disegnato con oggetti standard che vengono offerti da WPF.
  • Le proprietà e le interazioni vengono programmate.
  • Il pacchetto completo viene compilato e è disponibile come .Net Assembly.

Questa Assembly può essere usata per progetti WPF. A questo scopo, deve essere referenziata nell´editor WPF (per esempio: Microsoft Expression Blend). Selezionate a questo scopo nel dialogo di selezione file in zenon l´Assembly:

Da questo momento i WPF User Controls della Assembly possono essere selezionazi nel Toolbox alla voce Custom UserControls e possono essere usati nel progetto WPF.

Usa Assemblys referenziate in zenon

Per usare un´Assembly in zenon, deve essere resa disponibile in forma di file.
File collection del formato .cdwpf gestiscono ciò autonomamente, il che significa che non c´è bisogno di altri passi di configurazione. Per i file del formato .xaml, invece, devono essere aggiunte le assemblies alla cartella File:

  • cliccate nella struttura ad albero su File
  • selezionate Altro
  • selezionate nel menu contestuale Aggiungi file
  • Si apre un dialogo per la selezione file
  • aggiungete l´Assembly desiderata

Nella visualizzazione di un file WPF nell´elemento WPF (editor e runtime), le Assembly vengono caricate da questa cartella. In tal modo si assicura che, quando vengono trasmessi i file runtime per mezzo di Remote Transport, tutte le assemblys referenziate siano esistenti sul computer di destinazione.

Un file collection (.cdwpf) e un file XAML con lo stesso nome possono esistere in parallelo. Tutte le assemblies (*.dll) dei file collection e della cartella Altri vengono copiate nella cartella di lavoro. Nel caso esistano diverse assemblies dello stesso nome, viene usata quella che ha il numero di versione file più alto.

attenzione Attenzione

Le Assembly vengono eliminate dopo il caricamento solo quando l´applicazione viene chiusa. Il che significa:

se un file WPF viene visualizzato con un´assembly referenziata in zenon, questa assembly viene caricata e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eleminare un´assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga eliminata.


Assegnazione di oggetto zenon a WPF Content

Manuale -> Controls -> Elemento WPF -> Base: -> Assegnazione di oggetto zenon a WPF Content

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´assegnazione di oggetti zenon a WPF Content avviene mediante il Nome dell´oggetto WPF. Bisogna tener presente:

Oggetti visuali non possiedono nessuna proprietà RuntimeNamePropertyAttribute. Per questo motivo nel momento in cui viene caricato WPF Content, la informazione ulteriore Name non è disponibile.

In tal modo, non è più possibile un´assegnazione univoca di oggetti zenon a oggetti WPF. Per questo motivo, nel dialogo di configurazione di zenon vengono elencati solamente oggetti logici. Nel MSDN o nella Microsoft Website è visibile quali oggetti WPF dispongono della proprietà RuntimeNamePropertyAttribute.

Workaround

Per dinamicizzare oggetti visuali, è possibile adottare il seguente workaround:

nel caso di elementi visuali, la proprietà dinamicizzante viene collegata mediante una connessione data con la Text-Property di un Textbox invisibile.

Visto che la Textbox supporta come oggetto logico la proprietà Name, questa viene visualizzata zenon.

La Textbox-Property può essere dunque dinamicizzata in zenon.

In tal modo viene dinamicizzato indirettamente anche l´oggetto visuale.


Workflows

Manuale -> Controls -> Elemento WPF -> Base: -> Workflows

La tecnologia WPF/XAML consente nuovi workflows nella visualizzazione di processo. La separazione fra design e funzionalità è garanzia di una chiara divisione dei compiti fra progettista e designer; i compiti di design sono facili da eseguire grazie alla possibilità di utilizzare design già esistenti che non devono essere più modificati dal progettista.

Al workflow per la creazione di elementi WPF in zenon partecipano le seguenti persone:

  • Designer
    • illustra elementi
    • si occupa dell´aspetto grafico per MS Expression Design
  • operatore MS Expression Blend
    • anima gli elementi
    • crea delle variabili per l´animazione degli elementi WPF in zenon, ai quali può accedere il progettista
  • il progettista
    • implementa elementi in zenon
    • imposta logica e funzionalità

Distinguiamo:

  • workflow con Microsoft Expression Blend
  • workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Base: -> Workflows -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si usa Microsoft Expression Blend, la creazione di un elemento WPF avviene in quattro passaggi:

  1. illustrazione dell´elemento in MS Expression Blend
  2. aprire l´elemento in MS Expression Design e esportare come WPF
  3. Animazione in MS Expression Blend
  4. Integrazione in zenon

Un esempio di creazione di un elemento WPF con Microsoft Expression Blend lo trovate nel capitolo Crea pulsante come file XAML usando Microsoft Expression Blend erstellen.


Workflow con Adobe Illustrator

Manuale -> Controls -> Elemento WPF -> Base: -> Workflows -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con Adobe Illustrator abbiamo il seguente Workflow:

  1. Illustration degli elementi in Adobe Illustrator
  2. Import di file .ai e modifica in MS Expression Design
  3. WPF-Export da MS Expression Design
  4. Animazione in MS Expression Blend
  5. Integrazione in zenon

Un esempoí di questa procedura lo trovate nel capitolo Workflow con Adobe Illustrator.


Indicazioni per i designer

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo capitolo fornisce delle informazioni concernenti il modo corretto di creare file WPF in Microsoft Expression Blend e Adobe Illustrator. I tutorial per la Creazione di un elemento pulsante e di un elemento bargraf mostrano il modo in cui, con poche azioni, vengono creati dei file WPF completamente funzionanti per zenon partendo da grafiche già esistenti.

A tal scopo, si usano i seguenti strumenti:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon 06:51:00

Info Informazioni

Se volete usare in WPF degli oggetti referenziati (Assemblys), tenete presente le indicazioni contenute nel capitolo Oggetti referenziati.


Workflow con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con Microsoft Expression Blend, un elemento WPF viene:

  • illustrato
  • in MS Expression Design convertito in formato WPF
  • animato

L´esempio seguente mostra l´illustrazione e la trasformazione di un elemento pulsante in un file XAML.

Indicazione: una versione test di "Microsoft Expression Blend" può essere scaricata dalla Website di Microsoft.


Creare un pulsante come file XAML con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Microsoft Expression Blend -> Creare un pulsante come file XAML con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Crea un pulsante

  1. Avviate Expression Blend
  2. Selezionate l´opzione New Projekt

  3. Selezionate come tipo di progetto WPF
  4. Assegnate un percorso a Vostra scelta e un nome (per es. MyBlendProject)

    Potete ignorare le impostazioni Language e Version visto che non deve essere programmata nessuna funzionalità.

  5. Dopo aver chiuso il dialogo cliccando su OK, Microsoft Blend crea un nuovo progetto con le impostazioni selezionate. Expression Blend aggiunge un file XAML vuoto, che contiene già una referenza di classe.
  6. Cancellate il file relativo a quello XAML facendo uso del menu contestuale.
  7. Cambiate il nome del file XAML da MainControl.xaml a MyButton.xaml.
  8. La grandezza development del file, viene settata di default a 640 volte 480 pixel e dovrà essere modificata:
    1. Passate alla visuale XAML
    2. Correggette la grandezza portandola a 100 volte 100 pixel.
    3. cancellate la referenza di classe x:Class="MyBlendProject.MyButton"

  9. Passate alla visuale Design

  10. Aggiungete tramite la barra dei simboli un pulsante.
  11. definite le proprietà.
    • Width: 50
    • Height: 50
    • Margins: 25

    In tal modo, il pulsante si trova adesso al centro del control.

  12. Salavate le modifiche e aprite il file a fini di controllo in Internet Explorer. Vedrete che il pulsante adesso viene visualizzato nella dimensioni di 50 x 50 pixel.

Rendere il pulsante scalabile

Se implementate questo file in questo stato in zenon, il pulsante avrà sempre esattamente la dimensione pari a 50 x 50 pixel. Visto che il pulsante deve essere usato per scalabilità, passate di nuovo a Expression Blend:

  1. selelezionate il pulsante nella visione ad albero.
  2. Selezionate nel menu contestuale del bottone la voce Group Into->Viewbox
  3. Il pulsante viene aggiunto in una Viewbox.
  4. definite le proprietà di Viewbox
    • Width: Auto
    • Height: Auto
  5. Salvate il file.

  6. Se adesso aprite il file in Internet Explorer, il pulsante viene automaticamente scalato in caso di cambio delle dimensioni nella finestra IE. Questo file si adatterà automaticamente anche in zenon ad un eventuale cambio delle dimensioni dell´elemento WPF.

Modifica nome

Prima di poter implementare il file in zenon, dovete dare un nome all´elemento WPF. Di default, gli elementi WPF non hanno un nome in Expression Blend e sono distinti da parentesi quadrate e dal loro tipo. L´attribuzione di content zenon a WPF-Content avviene tramite il nome degli elementi WPF:

  • modificate nella struttura ad albero il nome
    • del pulsante chiamandolo MyButton
    • Cambiate il nome di ViewBox a MyViewBox

Questo pulsante può essere integrato adesso come file XAML in zenon.


Workflow con Adobe Illustrator

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si usa Adobe Illustrator, un elemento WPF viene:

  • illustrato in Adobe Illustrator
  • in MS Expression Design convertito in un WPF
  • animato in MS Expression Blend

L´esempio seguente mostra l´illustrazione e la trasformazione di un elemento bargraf in un file XAML.


Illustration Bargraf

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Adobe Illustrator -> Illustration Bargraf

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un bargraf viene creato in Adobe Illustrator.

  1. Al: elemento di partenza bargraf

    Illustrato in Adobe Illustrator CS3.

  2. AI: visuale percorso Bargraf in Adobe Illustrator

    • tutti gli effetti devono essere trasformati (Oggetto -> trasforma aspetto)
    • tutte le linee vengono trasformate in percorsi (Oggetto -> Percorso -> linea di contorno)
    • non usare nessun filtro come ombra ecc

Indicazioni concernenti la compatibilità

Le illustrazioni che vengono relizzate facendo uso di Adobe Illustrator, sono adatte in linea di principio ad un export WPF. Tuttavia, non tutti gli effetti ullustrator possono essere convertiti in modo adeguato in Expression Design/Blend. Tenete presente:

Effetto

Descrizione

Maschere di ritaglio

Le maschere di ritaglio create in Adobe Illustrator non vengono interpretate correttamente da Expression Design. Per lo più, esse vengono visualizzate in Blend come delle superfici di color nero.

Vi consigliamo di impostare le illustrazioni senza maschere di ritaglio.

Filtri e effetti

Non ogni filtro di Adobe Illustrator viene ripreso in Expression Design in modo esattamente corrispondente. I filtri di sfocatura gaussiana, effetti per il design degli angoli di Illustrator, per esempio, non funzionano in Expression Design.

Soluzione:

  • facendo uso del comando Oggetto -> Trasforma aspetto in Adobe Illustrator, potete trasformare la maggior parte degli effetti in modo tale da renderli leggebili per Expression Design.
  • Gli effetti di design per gli angoli di Adobe Illustrator vengono interpretati correttamente da MS se vengono trasformati in percorsi in Adobe Illustrator.

Campi di testo

per poter collegare campi di testo con codice, essi devono essere impostati separatamente in Expression Blend. „Labels" sono necessari per testi dinamici; per le informazioni statiche, invece, sono sufficienti semplici „Campi testo".

MS Design non prevede la possibilità di creare label di testo. Dovete impostarli direttamente in MS Blend.

Trasparenze e trasparenze di gruppo

Si possono avere delle difficoltà in Adobe Illustrator per la corretta interpretazione di impostazioni di trasparenza, in particolare di quelle concernenti le trasparenze di gruppo.

MS Expression Blend e MS Expression Design offrono la possibilità di creare di nuovo delle impostazioni di trasparenza.

Moltipilica livelli

Queste impostazioni di livello in Adobe Illustrator non vengono riprodotte sempre correttamente in MS Expression Blend.

C´è però la possibilità di impostare direttamente in Expression Design „Moltiplica livelli".

Strumenti analogici e posizioni standard

Per preparare le grafiche nel modo migliore all´animazione, lancetta e indicatore devono essere sempre nella posizione di partenza, per lo più ore 0 oppure 12:00 .

In questo modo, i parametri di posizione per rotazioni ecc, vengono indicati in Blend correttamente e l´animazione può avvenire senza la necessità di una conversione delle indicazioni concernenti la posizione.


Export WPF

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Adobe Illustrator -> Export WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per realizzare l´animazione in Microsoft Expression Blend c´è bisogno di file WPF. Consigliamo l´uso di Microsoft Expression Design per realizzare questo export, dato che esso fornisce buoni risultati e che la maggior parte degli effetti Illustrator vengono interpretati correttamente.

Indicazione: in Internt viene offerto un Plug-in gratuito per l´export diretto di file WPF da Adobe Illustrator. Questo Plug-in offre la possibilità di effettuare un export veloce e non complicato da Illustrator; per l´applicazione attuale, però, non è molto adatto visto che comporta delle perdite di pregevolezza grafica. Sono possibili anche delle divergenze di colore rispetto al documento originario.

File nel formato .ai possono essere importati regolarmente in Expression Design. I percorsi sono mantenuti.
Attenzione Alcuni effetti Illustrator comuni, però, non possono essere rappresentati correttamente da Expression Design (vedi capitolo Illustration).

In 5 passi esportiamo l´elemento bargraf già impostato:

  1. ED: Import
    • importate il File Illustratorpreparato in Microsoft Expression Design 3 facendo uso di Importare > file
  2. ED: ottimizzazione

    • se il file originario non viene correttamente visualizzato in MS Expression Design, esso può essere modificato e ottimizzato
  3. ED: selezione

    • evidenziate con la freccia Selezione direttain MS Expression Design l´elemento per l´export WPF, in questo caso l´intero orologio.
  4. ED: avvia export

    • avviate l´export medianteEsporta > File
    • si apre il dialogo per la configurazione delle impostazioni di export
  5. ED: impostazioni export

    • Effettuate le seguenti impostazioni di export:
    1. Formato: XAML Silverlight 4 / WPF Canvas

      Nominare sempre gli oggetti: attivate con simbolo di spuntatura

      Piazzate oggetti raggruppati in un XAML Layoutcontainer: attivate con simbolo di spuntatura

    2. Testo: Blocco testo modificabile
    3. Effetti linea: tutti griglia

Il file esportato ha la desinenza.xaml. Nel successivo passaggio viene preparato e animato in MS Expression Blend.


Animazione in blend

Manuale -> Controls -> Elemento WPF -> Indicazioni per i designer -> Workflow con Adobe Illustrator -> Animazione in blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con MS Expression Blend:

  • vengono animati i file XAML del MS Expression Design.
  • le variabili per la gestione degli effetti che possono essere utlizzati da zenon, vengono create.

in 13 passi giungiamo dallo statico XAML all´elemento animato che può essere integrato in zenon:

  1. crea progetto EB:

    1. aprite Microsoft Expression Blend
    2. impostate un nuovo progetto
    3. selezionate come Tipo di progetto WPF->WPF- Control Library
    4. assegnate un nome (nel nostro tutorial: Mein_Projekt)
    5. selezionate un luogo dove salvare il progetto
    6. selezionate una lingua (nel nostro tutorial: C#)
    7. selezionate la Framework Version 3.5
  2. EB: cancella MainControl.xaml.cs

    1. passate a MainControl.xaml.cs
    2. cancellate questo file facendo uso del comando Cancella nel menu contestuale
  3. EB: apri file XAML esportato

    1. aprite il menu contestuale per Mein_Projekt (con il tasto destro del mouse)
    2. selezionate Aggiungi elemento esistente…
    3. selezionate il file XAML esportato da Microsoft Expression Design per aprirlo in Microsoft Expression Blend.
  4. EB: apri MainControl.xaml

    1. aprite il MainControl.xaml generato automaticamente
    2. navigate nel settore Oggetti e assi tempo all´inserimento UserControl
  5. EB: adatta XAML-Code

    1. cliccate con il tasto destro del mouse su UserControl
    2. selezionate nel menu contestuale visualizza XAML
    3. cancellate nel XAML-Code le righe 7 e 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: controlla XAML-Code

    • Adesso il XAML Code dovrebbe avere il seguente aspetto:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: copia elementi

    1. aprite il file XAML importato da Expression Design
    2. evidenziate tutti gli elementi
    3. selezionate nel menu contestuale copia
    4. tornate al file XAML generato automaticamente
  8. EB: inserisci elementi

    1. cliccate con il tasto destro del mouse su Layout Root
    2. selezionate Aggiungi
  9. EB: adatta tipo layout

    1. cliccate con il tasto destro del mouse su LayoutRoot -> modifica tipo di layout -> Viewbox
    2. adesso la struttura dovrebbe avere il seguente aspetto: UserControl -> LayoutRoot -> Grid -> Elementi
    3. assegnate un nomer per LayoutRoot e Grid cliccando due volte sul nome
  10. EB: testi e formati

    • testi dinamici e statici vengono segnati con campi di testo
    • Valori (numeri) vengono emessi con Labels
  11. EB: inserisci label

    • Labels sostituiscono i numeri che devono essere collegati in seguito per mezzo di variabili Int (deve essere eseguito per tutti gli elementi-numeri)
  12. EB: setta proprietà

    • per visualizzare il 100%, settate la proprietà MaxHeight dell´elemento visualizzazione bargraf sul valore 341 (l´altezza massima dell´elemento indicatore corrisponde a 340)
  13. EB: prepara per uso in zenon

    1. cancella tutte le denominazioni nome (i nomi possono essere assegnati solamente per gli elementi che devono essere utilizzati tramite zenon)
    2. salvate il file XAML con un nome qualsiasi.
    3. integrate il file XAML in zenon

Un consiglio per il controllo: se il file XAML viene visualizzato in Microsoft Internet Explorer senza problemi e si adatta alla grandezza della finestra di Internet Explorers, viene usato correttamente anche in zenon.


Engineering in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon

Per poter utilizzare i WPF con zenon deve essere installato Microsoft Framework 3.5 sia sul pc con l’Editor che sul pc con il Runtime.

Condizioni per visualizzazione WPF in zenon

La dinamicizzazione è disponibile al momento per variabili semplici; array e strutture non possono dinamicizzate. Per questo motivo possono essere utilizzate le seguenti funzioni WPF in zenon:

  • Proprietà dell´elemento, che corrispondono a tipi di dato semplici come String, Int, Bool ecc.
  • Proprietà dell´elemento del tipo "Object", che possono essere settate con semplici tipi di dato.
  • Eventi dell´elemento poossono essere usati con funzioni; i parametri degli eventi, però, non sono disponibili/analizzabili in zenon.
  • Elementtransformation per cui è disponibile un RenderTransform nell´elemento nel file XAML.

    Attenzione: Se in trasformazione il content si trova al di là dell´area dell´elemento WPF, questa parte del contents va perduto, pppure non disegnato.

attenzione Attenzione

Se vengono generati i file runtime per un progetto per una versione precedente a quella 6.50, gli esistenti Elementi WPF non vengono implementati nelle immagini runtime.

Crea elemento WPF

Per creare un elemento WPF:

  1. selezionate nella barra dei simboli degli elementi il simbolo Elemento WPF, oppure scegliete l´inserimento corrispondente nel menu Elementi
  2. selezionate nella finestra principale il punto start
  3. Trascinate l´elemento con il mouse
  4. selezionate fra le proprietà nel gruppo Visualizzazione quella File XAML

    Interno ID: Engineering in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Engineering in zenon

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Si apre il dialogo di selezione file.
  6. selezionate il file desiderato da
    Sono validi i file del formato
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF file collection, mostra anche anteprima

    (Il file deve essere già disponibile nel manager di progetto alla voce File/Grafiche oppure essere impostato nuovamente nel dialogo.)

  7. Configurate il collegamento

Info Informazioni

Se volete usare in WPF degli oggetti referenziati (Assemblys), tenete presente le indicazioni contenute nel capitolo Oggetti referenziati.

CDWPF-file collection (file collection)

Regole per l´uso di file collection:

  • I file possono trovarsi direttamente nel file ZIP, oppure in una cartella comune.
  • Il nome del file XAML dovrebbe corrispondere a quello del file collection.
  • Può essere contenuto solamente un file XAML.
  • La grafica di anteprima dovrebbe essere piccola e non essere più alta di 64 pixel.
    Nome del file anteprima: preview.png oppure il nome del file XAML con la desinenza png.
  • Si possono usare quante assemblies si voglia. La differenziazione avviene sulla base della versione del file in forma numerica.
  • File collection non devono necessariamente contenere Assembly.
  • Il sistema passa a setaccio tutte le cartelle e tiene in considerazione solamente i file del tipo *.dll, *.xaml oppure *.png.

Requisiti sotto Windows Vista e Windows 7

Se un´immagine del tipo WPF contiene uno slider e vengono usati nello stesso tempo effetti "aero" di Windows Vista o Windows 7, si possono verificare dei problemi di refresh nell´editor di zenon.


Configurazione del collegamento

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare un elemento WPF

  1. selezionate fra le proprietà nel gruppo Visualizzazione quella Configurazione

    Interno ID: Configurazione del collegamento

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Un dialogo con tre tab si apre con un´anteprima del file XAML, nonché con gli elementi presenti nel file.

Parametri

Descrizione

Elementi esistenti

Mostra in una struttura ad albero i detti elementi del file. L´elemento selezionato può essere collegato con dati di processo.

L´attribuzione di WPF a dati di processo avviene sulla base del nome elemento. Per questo motivo, gli elementi vengono visualizzati solamente se essi e i relativi elementi sovraordinati posseggono un nome. Le attribuzioni vengono configurate e mostrate nei tab Proprietà, Eventi e Trasformazioni.

Anteprima

Nell´anteprima, l´elemento selezionato lampeggia.

Proprietà

Configurazione e visualizzazione delle proprietà (variabili, autorizzazioni, interblocchi, valori collegati).

Eventi

Configurazione e rappresentazione degli eventi (funzioni).

Trasformazioni

Configurazione e rappresentazione delle trasformazioni.

Nome

Nome della proprietà.

Collegamento

Selezione del collegamento.

Tipo di collegamento:

Tipo di collegamento (variabile, autorizzazione, funzione)

WPF-Info

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegata

Indica se una proprietà viene utilizzata al momento.

Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Info Informazioni

Nel dialogo di configurazione possono essere visualizzati solamente oggetti logici. Gli oggetti visuali non vengono visualizzati. Ulteriori informazioni sugli sfondi e come si fa a dinamicizzare gli oggetti visuali le potete leggere nella sezione Attribuzione zenon Oggetto per WPF Content.


Proprietà

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le proprietà permettono il collegamento di:

  • Variabili
  • Valori
  • Autorizzazioni e interblocchi

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Variabile collegata, autorizzazione o valore collegato. Cliccando sulla colonna, si apre il dialogo di selezione corrispondente a quanto indicato nella colonnaTipo di collegamento.
Tipo di collegamento: | Selezione di un collegamento.
WPF-Info | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegata | Indica se una proprietà viene utilizzata al momento. Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Crea collegamento

Per creare un collegamento:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate il collegamento desiderato fra quelli proposti dalla lista a cascata.

    Sono a disposizione:

    • <non collegato> (elimina un collegamento esistente)
    • Autorizzazione/interblocco
    • Variabile
    • Collegamento valore
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione del collegamento desiderato

Info Informazioni

Proprietà di WPF e di zenon possono divergere. Se viene collegata, ad esempio, la proprietà Visibilità, sono a disposizione in .NET tre valori:

0 - visibile

1 - invisibile

2- eingeklappt

Questi valori devono essere rappresentati mediante la variabile di zenon collegata.


Collega variabile

Collega variabile

Per collegare una variabile con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Variabile
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della variabile

Questo dialogo vale anche per la selezione delle varibili per Trasformazioni. La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabili collegate

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Area valori dell´elemento WPF

Indicazioni per la conversione dei valori variabili in valori WPF

Converti area valori

attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime Il valore di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: il valore di una variabile varia da 100 a 200. Per una variabile l´area normata è impostata a 100 - 200. L´obiettivo é quello di rappresentare delle modifiche mediante una manopola WPF. Per far ciò:

  • alla voce Transformation viene collegata la proprietà RotateTransform.Angle con la variabile
  • viene attivato adatta valore
  • viene configurata un´area valori WPF da 0 a 360

Adesso la manopola sarà girata in corrispondenza di un valore di, per esempio, 150, di 180 gradi.

Minimum

definisce il valore WPF minimo.

Maximum

definisce il valore WPF massimo.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Collega valori

Collega valori

Valori collegati possono essere o una String, oppure un valore numerico del tipo Double. Quando si apre l´immagine, viene settato il valore scelto nel WPF content, dopo che quest´ultimo è stato caricato.

attenzione Attenzione

Il tipo di dato della proprietà WPF non deve essere necessariamente Double oppure String. Ma zenon setta solamente dei valori del tipo string oppure double . Essi devono essere convertiti in pagina WPF da .NET. Dettagli su questo argomento li trovate nel capitolo Trasmissione valore da zenon a WPF.

Per collegare una valore con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Collegamenti valori
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione del collegamento valori

Parametri | Descrizione
Valore collegato: | Inserimento di un valore numerico o di un valore stringa.
Usa string | attivo: un valore string viene usato al posto di un valore numerico. I valori stringa sono convertibili per quello che concerne la lingua. Durante il runtime, al momento dell´apertura dell´immagine il testo viene tradotto e salvato in WPF content. Se si effettua un cambio lingua mentre l´immagine è aperta, il valore stringa viene tradotto di nuovo e salvato.
Valore stringa/numerico | A second che sia scelta la proprietà usa string o meno, viene inserito in questo campo un valore numerico o string. Nel caso di valori numerici, può essere inoltre selezionata un´unità.
Unità: | Selezione di un´unità della lista a cascata. Essa deve essere stata definita nel Cambio unità. L´unità viene assegnata al valore numerico. Se durante il runtime viene eseguito un cambio unità, il valore viene convertito nella nuova unità e salvato nel content WPF.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Attiva la guida online


Collega autorizzazione o interblocco

Collega autorizzazione o interblocco

Le autorizzazioni possono essere assegnate per tutto l´elemento WPF. All´elemento viene assegnato un livello utente. Le autorizzazioni vengono concesse nell´ambito del livello utente per singoli control. Se un´autorizzazione è attiva, viene scritto il valore 1 sulla proprietà nell´elemento.

Per collegare un´autorizzazione o un interblocco con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate nella lista a cascata Autorizzazione/Interblocco
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della autorizzazione

Parametri | Descrizione
Collega autorizzazione/interblocco | Determinazione dell´autorizzazione
Stato collegato | Selezione di un´autorizzazione che viene collegata ad un control WPF fra quelle della lista cascata. Ad esempio: la visibilità e la gestione di un pulsante WPF può dipendere dallo stato dell´utente.

Autorizzazione | Descrizione
Livelli di autorizzazione disponibili | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, il valore 1 viene scritto sulla proprietà.
Nessuna autorizzazione | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, il valore 1 viene scritto sulla proprietà.
Non bloccato | Se l´elemento non viene bloccato mediante un blocco, il valore 1 viene scritto sulla proprietà.
Bloccato | Se l´elemento viene bloccato mediante un blocco, il valore 1 viene scritto sulla proprietà.
Accessibile | Se esiste l´autorizzazione e l´elemento non è bloccato, il valore 1 viene scritto sulla proprietà.
Non accessibile | Se manca l´autorizzazione o se l´elemento è bloccato, il valore 1 viene scritto sulla proprietà.


Eventi

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli eventi permettono di collegare delle funzioni di zenon con un elemento WPF.

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Funzione collegata. Cliccando nella cella, aprite il dialogo di configurazione .
Tipo di collegamento: | Selezione di un collegamento. Cliccando nella cella, aprite il dialogo di selezione.
WPF-Info | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegata | Indica se una proprietà viene utilizzata al momento. Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Collega funzioni

Per creare un collegamento:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Funzione
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della funzione

Parametri |  | Descrizione
Funzione collegata | Selezione della funzione da collegare. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.
OK | Riprende e accetta la selezione e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Trasformazione

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Trasformazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´elemento WPF non supporta alcuna funzionalità di rotazione. Se, per esempio, l´elemento WPF si trova in un simbolo, e quest´ultimo viene ruotato, l´ elemento WPF non partecipa alla rotazione. Proprio per questo motivo, per WPF è stato introdotto un meccanismo proprio, detto trasformazione per consentire la rotazione oppure una trasformazione degli elementi. Queste trasformazioni vengono configurate nella scheda Trasformazione.

Attenzione: se Content si trova al di là dell´area dell´elemento WPF, questa parte del content va persa, oppure non viene disegnata.

Parametri

Descrizione

Nome

Nome della proprietà.

Collegamento

Selezione delle variabili collegate.

Le trasformazioni vengono visualizzate in XAML come oggetti di trasformazione con proprietà proprie. Se un elemento supporta una trasformazione, le possibili proprietà degli oggetti di trasformazione vengono rappresentate nella visuale a lista. (Ulteriori informazioni in merito: Integra pulsante come WPF-XAML in zenon

Se la variabile collegata viene settata, ad esempio, sul valore 10, questo valore viene scritto sulla destinazione WPF e l´elemento viene ruotato di 10°.

Tipo di collegamento:

Selezione del tipo di collegamento trasformazione.

WPF-Info

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegata

Indica se una proprietà viene utilizzata al momento.

Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Collega trasformazione

Per collegare una trasformazione utente con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Transformation
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della variabile

La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabili collegate

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Area valori dell´elemento WPF

Indicazioni per la conversione dei valori variabili in valori WPF

Converti area valori

attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime Il valore di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: il valore di una variabile varia da 100 a 200. Per una variabile l´area normata è impostata a 100 - 200. L´obiettivo é quello di rappresentare delle modifiche mediante una manopola WPF. Per far ciò:

  • alla voce Transformation viene collegata la proprietà RotateTransform.Angle con la variabile
  • viene attivato adatta valore
  • viene configurata un´area valori WPF da 0 a 360

Adesso la manopola sarà girata in corrispondenza di un valore di, per esempio, 150, di 180 gradi.

Minimum

definisce il valore WPF minimo.

Maximum

definisce il valore WPF massimo.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Validità di file XAML

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Validità di file XAML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La validità di file XAML è legata ad alcuni proesupposti:

  • Namespace corretto
  • nessuna referenza class
  • Scalabilità

Namspace corretto

L´elemento WPF può visualizzare esclusivamente WPF-Content, il che significa:

Solamente i file XAML con un namespace WPF corretto, possono essere visualizzati nell´elemento WPF. I file che usano un Silverlight-Namespace, non possono essere caricati o visualizzati in modo corretto. Nella maggior parte dei casi è però sufficiente sostituire il Silverlight-Namespace con il WPF-Namespace.

WPF-Namespace:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Nessun uso di referenze class

Visto che il file XAML vengono caricati in modo dinamico, non è possibile usare i file XAML che contengono delle referenze di classe (chiave, „Class" im Header). La funzionalità che è stata programmata in un file C# proprio, non può essere usata.

Scalabilità

Nel caso in cui il contenuto di un elemento WPF dovesse essere adattato alla grandezza dell´elemento WPF, i control dell´elemento WPF devono essere inscatolati in un control che offre questa funzionalità, ad esempio, una View Box. Inoltre bisogna far in modo che gli elementi Altezza e Largezza vengano configurati in automatico.

Controllo di correttezza di un file XAML.

Pe controllare se un file XAML ha il formato corretto:

  • Apri un file XAML in Internet-Explorer
    • Se si può aprire senza ulteriori plugins (Java o simili), questo file può essere caricato oppure visualizzato anche con alta sicurezza da zenon.
    • Nel caso in cui emergono dei problemi al momento di caricare il file, esso viene visualizzato in Internet-Explorer e emerge con chiarezza in quale riga si sono veificati i problemi.

Anche la scala può essere testata in questo modo: se il file non è strutturato in modo corretto, il contenuto si adatterà alla grandezza della finestra di Internet Explorer.

Messaggio di errore

Se si usa in zenon un file non valido, al momento del caricamento del file stesso nell´elemento WPF viene visualizzata una segnalazione di errore.

Ad esempio:

„Errore nel caricamento di xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

l´attributo "Class" non si trova nel XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml". Zeile 7 Position 2."


Elementi predefiniti

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

C´è una serie di elementi WPF che sono forniti con zenon, oppure possono essere scaricati dal Webshop.

Tutti gli elementi WPF hanno delle proprietà che determinano l´aspetto grafico dell´elemento in questione. (Dependency Properties). Il settaggio dei valori mediante un file XAML, oppure il collegamento della proprietà usando zenon, può modificare direttamente l´aspetto nel Runtime. Le seguenti tabelle contengono le relative Dependency Properties, in dipendenza del Control.

Elementi:

  • Visuale rotonda
  • Visuale stato di avanzamento
  • Bargraf verticale
  • Indicatore della temperatura
  • Orologio analogico
  • Slider universale


Visualizzazione circolare - CircularGaugeControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Visualizzazione circolare - CircularGaugeControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

IsReversed

Orientamento scale, in senso orario o antiorario.

Boolean

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

PointerStyle

Forma del pointer che indica il valore.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

PointerSize

Dimensione del pointer.

Size

PointerCapRadius

Dimensione del punto di fissaggio del pointer.

Double

PointerBorderBrush

Colore della cornice del pointer

Brush

PointerCapStyle

Forma/tipo del punto di fissaggio del pointer.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Colore del punto di fissaggio del pointer.

Brush

PointerBrush

Colore del´indicatore.

Brush

GaugeBorderBrush

Colore della cornice dell´elemento.

Brush

GaugeBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

PointerOffset

Offset del pointer (spostamento).

Double

RangeRadius

Raggio dell’area totale di visualizzazione.

Double

RangeThickness

Spessore dell’area totale di visualizzazione.

Double

RangeStartValue

Valore iniziale dell’area totale di visualizzazione.

Double

RangeEndValue

Valore finale dell’area totale di visualizzazione.

Double

RangeMinEndValue

Valore finale dell´area minima.

Double

RangeMidEndValue

Valore finale dell´area media.

Double

RangeMinColorBrush

Colore dell´area minima.

Brush

RangeMidColorBrush

Colore dell´area media.

Brush

RangeMaxColorBrush

Colore dell´area massima.

Brush

ScaleOuterBorderBrush

Colore del bordo della scala.

Brush

ScaleBackgroundBrush

Colore dello sfondo della scala.

Brush

ValueTextFrameStyle

Forma/tipo della visualizzazione valore.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Contenuto della visualizzazione valore.

Enum:

  • Testo
  • TextValue
  • Value

ValueTextSize

Dimensione carattere della visualizzazione valore.

Double

ValueTextColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

GaugeOffsett

Abbassamento del punto di rotazione di tutto l´elemento.

Double


Barra stato di avanzamento - ProgressBarControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Barra stato di avanzamento - ProgressBarControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Il valore minimo del campo valori. | Double
MaxValue | Il valore massimo del campo valori. | Double
ProgressbarDivisionCount | Numero delle suddivisioni della barra stato di avanzamento (Boxed). | Integer
VisibilityText | Visibilità della visualizzazione valore. | Boolean
TextSize | Dimensione carattere della visualizzazione valore. | Double
TextColor | Colore della visualizzazione valore. | Color
ProgressBarBoxedColor | Colore della cornice della barra stato di avanzamento (Boxed). | Color
ProgressBarMarginDistance | Distanza del Progressbar-Box dal bordo dell´elemento (sinistra, sopra destra, sotto). | Double
ProgressBarInactiveBrush | Colore indicatore non attivo. | Brush
ProgressBarActiveBrush | Colore indicatore attivo. | Brush
ProgressBarPadding | Distanza della barra di stato avanzamento dal Progressbar-Box (sinistra, sopra destra, sotto). | Double
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush


Bargraf verticale - VerticalBargraphControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Bargraf verticale - VerticalBargraphControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Valore minimo della scala. | Double
MaxValue | Valore massimo della scala. | Double
MajorTicksCount | Numero delle suddivisioni principali della scala. | Integer
MinorTicksCount | Numero delle suddivisioni secondarie della scala. | Integer
MajorTickColor | Colore delle suddivisioni principali della scala. | Color
MinorTickColor | Colore delle suddivisioni secondarie della scala. | Color
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush
ElementGlasReflection | Attivazione dell´effetto glas reflection sull´elemento. | Visibility
ElementFontFamily | Carattere dell´elemento. | Font
ScaleFontSize | Dimensione carattere della scala. | Double
ScaleFontColor | Colore carattere della scala. | Color
IndicatorBrush | Colore di riempimento del bargraf. | Brush
BargraphSeparation | Numero dei trattini di separazione del bargraf. | Integer
BargraphSeparationColor | Colore delle suddivisione della scala. | Color


Indicazione della temperatura - TemperatureIndicatorControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Indicazione della temperatura - TemperatureIndicatorControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

TickNegativColor

Colore della suddivisione principale negativa (che passa gradualmente a TickPositivColor).

Color

TickPositivColor

Colore della suddivisione principale positiva (che passa gradualmente a TickNegativColor).

Color

MinorTickColor

Colore delle d secondarie.

Color

ElementBorderBrush

Colore della cornice dell´elemento.

Brush

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

ElementFontFamily

Carattere dell´elemento.

Font

IndicatorColor

Colore di riempimento dell´indicatore.

Color

IndicatorBorderColor

Colore della cornice dell´indicatore.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

ScaleLetteringDistance

Distanza della didascalia della scala (verticale); bisogna scrivere una didascalia per ogni x suddivisione principale.

Integer

IndicatorScaleDistance

Distanza fra indicatore e scala (orizzontale).

Double

ScaleFontSize

Dimensione carattere della scala.

Double

ScaleFontColor

Colore carattere della scala.

Color

Unit

Unità.

Stringa

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallFrame
  • Unit
  • None


Orologio analogico - AnalogClockControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Orologio analogico - AnalogClockControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Property

Funzione

Valore

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

Offset

Valore in ore (h) che rappresenta la differenza di tempo rispetto all´orologio di sistema.

Int16

OriginText

Testo visualizzato nell´orologio (per es. indicazione del luogo).

Stringa


Slider universale - UniversalReglerControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Slider universale - UniversalReglerControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

Raggio

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

ElementStyle

Tipo di visualizzazione dell´elemento:

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

BackgroundBorderBrush

Colore della cornice dell´elemento.

Brush

BackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

ValueFontSize

Dimensione carattere della visualizzazione valore.

Double

ValueFontColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

KnobBrush

Colore del bottone.

Brush

IndicatorBrush

Colore dell´indicatore.

Brush

IndicatorBackgroundBrush

Colore di sfondo dell´indicatore non attivo.

Brush

KnobSize

Diametro del bottone.

Double

KnobIndicatorSize

Dimensione indicatore del bottone.

Size

ElementSize

Grandezza dell´elemento.

Size

VisibilityKnob

Attivazione del bottone.

Boolean

ValuePosition

Posizione della visualizzazione valore.

Double

ValueVisibility

Attivazione della visualizzazione valore.

Boolean


Esempi: Integrazione di WPF in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Come vengono creati i file XAML e integrati in zenon come elementi WPF, lo potete vedere nei seguenti esempi:

  • Integra pulsante come WPF-XAML in zenon
  • Integra Bargraf come WPF-XAML in zenon


Integra pulsante come WPF-XAML in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra pulsante come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di un pulsante in Microsoft Expression Blend
  • integra in zenon
  • Collegamento di una variabile o con una funzione.
  • Adattamento del pulsante alla grandezza dell´elemento.
  • Crea un pulsante

Create in primo luogo un pulsante come descritto nel capitolo Crea pulsante come file XAML con Microsoft Expression Blend. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra pulsante

Indicazione: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • una variabile interna int del tipo Int
  • una funzione Funktion_0 del tipo setta valore impostabile con:
    • Attiva opzione Direttamente su Hardware
    • Valore impostabile settato a 45

Per integrare il pulsante:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML

    Interno ID: Integra pulsante come WPF-XAML in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate il file XAML (per es.: MyButton.xaml) e chiudete il dialogo
  5. selezionate la proprietà Configurazione

    Interno ID: Integra pulsante come WPF-XAML in zenon

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Configura pulsante

Il dialogo di configurazione mostra un´anteprima del file XAML selezionato. Nella struttura ad albero c´è una lista di tutti gli elementi nominati nel file XAML_:

  1. selezionate il pulsante WPF, che si trova inLayoutRoot->MyViewBox->MyButton
  2. Cercate nella scheda Proprietà l´inserimentoContent; esso contiene il testo del pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Variabile.
  5. cliccate nella colonna Collegamento
  6. Si apre il dialogo di selezione variabili.
  7. selezionate la variabile int, per collegarla alla proprietà Content.

Eventi

Per assegnare anche eventi:

  1. selzionate la scheda Eventi.

  2. Cercate l´inserimento Click; questo evento viene avviato dall´elemento WPF non appena si clicca sul pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Funzione.
  5. cliccate nella colonna Collegamento
  6. Si apre il Dialogo di selezione funzioni.
  7. selezionate Funktion_0
  8. Confermate la modifica effettuata con OK.
  9. Aggiungete nell´immagine ancora un Elemento Valore numerico
  10. collegate anche questo Valore numerico alla variabile int.
  11. poi compilate i file runtime e avviate il runtime.

Nel runtime viene visualizzato l´elemento WPF; il testo del pulsante è 0. Non appena cliccate sul pulsante, viene avviato l´evento Clicke la funzione Setta valore impostabile viene eseguita. Il valore 45 viene settato direttamente sull´hardware e sia il Valore numerico, che il Pulsante indicano il valore 45 .

Settate per mezzo dell´elemento Valore numerico un valore impostabile di 30; in tal modo questo valore verrà ripreso anche dall´elemento WPF.

Diritti di accesso

In modo analogo di quanto accade con un Valore numerico, un elemento WPF può essere bloccato (simbolo del lucchetto) oppure reso disponibile a seconda dell´autorizzazione di gestione. Settate a 1 il livello autorizzazione dell´elemento WPF e impostate un utente Test con lvello di autorizzazione 1. Poi impostate le funzioni Login con dialogo e Logout . Collegate queste due funzioni con 2 nuovi pulsanti con testo nell´immagine.

Nel dialogo di configurazione dell´elemento WPF, selezionate il pulsante WPF MyButton e scegliete il tab Proprietà

  1. Selezionate l´elemento IsEnabled
  2. cliccate nella colonna Tipo di collegamento
  3. Selezionate nella lista a cascata l´inserimento Autorizzazione di gestione/Blocco.
  4. cliccate nella colonna Collegamento
  5. Selezionate nella lista a cascata l´opzione Autorizzazione di gestione esistente.

  6. Chiudete il dialogo cliccando su OK.

Compilate i file runtime e fate attenzione a selezionare anche le Autorizzazioni di gestione per trasmissione. Dopo l´avvio del runtime, il pulsante WPF dell´immagine viene visualizzato come non attivo ed è inutilizzabile. Se effettuate il Login con l´utente Test, il pulsante viene attivato e può essere utilizzato. Non appena effettuate il Logout, il pulsante viene bloccato.

Trasformazione

Per poter usare delle trasformazioni, dovete adattare il file XAML.

  1. Passate al programma Expression Blend
  2. Selezionate MyButton, in modo tale che le proprietà del pulsante siano visibili nella finestra delle proprietà.

  3. Selezionate alla voce Transform di RenderTransform l´opzione Apply relative transform

    In tal modo, viene aggiunto un blocco al file XAML; esso salva durante il runtime le impostazioni per la trasformazione.

  4. Salvate il file e sostituite nel progetto zenon la vecchia versione con questo nuovo file.
  5. aprite di nuovo il dialogo di configurazione dell´ elemento WPF:
    1. Selezionate il pulsante MyButton.
    2. Passate alla scheda Trasformazioni

    1. Selezionate l´elemento RotateTransform.Angle
    2. cliccate nella colonna Tipo di collegamento
    3. Selezionate nella lista a cascata l´inserimento Trasformazioni.
    4. cliccate nella colonna Collegamento
    5. Si apre il dialogo di selezione variabili.
    6. selezionate la variabile int, per collegarla alla proprietà RotateTransform.Angle.

Poi compilate i file runtime e avviate il runtime. Effettuate il Login come utente Test e cliccate sul pulsante. Il pulsante riceve il valore 45 e l`elemento WPF ruota di 45°.


Integra bargraf come WPF-XAML in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra bargraf come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di una bargraf in Adobe Illustrator e trasformazione in WPF
  • integra in zenon
  • Collegamento con variabile
  • adatta l´elemento bargraf-WPF

crea bargraf

Create in primo luogo un bargraf come descritto nel capitolo Workflow con Adobe Illustrator. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra bargraf

Indicazione: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • 4 variabili del driver interno per
    • scala 0
    • scala media
    • scala alta
    • valore attuale
  • una variabile del driver matematico per la visualizzazione del valore attuale 255)

Per integrare il bargraf:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML

    Interno ID: Integra bargraf come WPF-XAML in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate il file XAML desiderato (per esempio bargraph_vertical.xaml) e chiudete il dialogo

Adatta bargraf

Prima della configurazione, la scala del file XAML viene adattata, se necessario.

Per far ciò:

  • impostate una nuova variabile matematica che calcola il nuovo valore in riferimento alla scala, per esempio:
  • Variabile: 0-1000
  • variabile matematica {valore creato in xaml}*Variabile/1000

    Poi viene configurato il file XAML.

Configura bargraf

  1. cliccate sull´elemento WPF e selezionate la proprietà Configurazione

    Interno ID: Integra bargraf come WPF-XAML in zenon

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Il dialogo di configurazione mostra un´anteprima del file XAML selezionato
  3. selezionate il valore minimo, quello medio e quello massimo e collegate la variabile corrispondentenella proprietà Content

  4. selezionate lo Slider e collegate la proprietà Value con la variabile matematica (nel nostro esempio: calculation)

  5. Controllate la progettazione nel runtime:


Procedere in caso di errore

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Procedere in caso di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Inserimenti nei file LOG.

Inserimento | Level | Significato
Xaml file found in %s with different name, using default! | Avviso | Il nome del file collection e quello del file XAML in esso contenuto non corrispondono. Per evitare dei conflitti interni, nella cartella viene usato il file con il nome del file collection e la desinenza .xaml.
no preview image found in %s | Avviso | Il file collection non contiene una grafica anteprima valida (preview.png oppure [Nome del file XAML].png). Perciò non può essere visualizzata nessuna anteprima.
Xaml file in %s not found or not unique! | Errore | Il file collection non contiene nessun file XAML, oppure più file con la desinenza .xaml; non può essere usato.
Could not remove old assembly %s | Avviso | Nella cartella di lavoro si trova un Assembly che deve essere sostituito con una nuova versione, ma non può essere cancellato.
Could not copy new assembly %s | Errore | Per un Assembly nella cartella di lavoro è disponibile una nuova versione, che però non può essere copiata nella cartella stessa. Possibile causa: per es. il vecchio Assembly è ancora caricato. La vecchia versione continua ad essere usata, la nuova non può essere utilizzata.
file exception in %s | Errore | Si è verificato un errore file nel momento di accedere al file collection.
Generic exception in %s | Errore | Si è verificato un errore generale nel momento di accedere al file collection.


Conversione progetto

Manuale -> Conversione progetto

Se si usano le nuove versioni di zenon, i progetti che sono stati realizzati con le precedenti, devono essere anzitutto convertiti nella nuova versione. Se nell´effettuare la conversione ci sono da tener presenti determinate proprietà oppure modifiche, esse verranno descritte nelle indicazioni che forniremo in questa guida sulla conversione.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Conversione in caso di update e downgrade

Se effettuate un update per passare ad una versione più recente di zenon, i progetti vengono convertiti automaticamente nella nuova versione al momento in cui vengono aperti. Da questo momento, il progetto non può più essere modificato usando le versioni dell´editor precedenti. Il sistema, però, provvede anche a creare un backup del progetto convertito nella sua versione originale.

Non è possibile una conversione di un progetto che è stato realizzato usando una versione superiore in una versione precedente (Downgrade).

Compatibilità verso il basso

A partire dalla versione 6.21, i progetti sono compatibili verso il basso per il runtime. Il che significa, che essi possono essere modificati anche con l´editor di una versione con un numero superiore. La compatibilità verso il basso del runtime è particolarmente utile quando si intende usare diverse versioni, come, ad esempio: un progetto che è stato realizzato usando la versione 6.50 può essere usato anche su un runtime che funziona ancora sotto 6.22.

attenzione Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, si possono verificare dei problemi indesiderati durante il funzionamento runtime.


Procedura consigliata per convertire i file Runtime

Manuale -> Conversione progetto -> Procedura consigliata per convertire i file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando effettuate una conversione di progetto fate attenzione che vengano convertiti correttamente anche i file modificabili durante il Runtime.

Per convertire i file modificabili durante il Runtime:

  1. importate i file dal Runtime nella versione originaria dell´Editor.
  2. Eseguite l´update per la nuova versione.
  3. nell´ambito delle proprietà di progetto, passate alla sezione Generale

    Interno ID: Procedura consigliata per convertire i file Runtime

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Cliccate sulla proprietà RT dati modificabili

    Interno ID: Procedura consigliata per convertire i file Runtime

    RT dati modificabili

    Viene aperto il dialogo di configurazione per " RT dati modificabili".
    Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Si apre il dialogo delle impostazioni dei file modificabili durante il Runtime.

  6. Disattivate tutte le checkbox della colonna Non rigenerare e trasmettere
  7. Compilate il progetto (Creare tutti i file Runtime)
  8. Modificate le checkbox nella proprietàRT dati modificabili riportandole allo stato prima della conversione.


Conversione dalla versione 2.20 a quella 3.04

Manuale -> Conversione progetto -> Conversione dalla versione 2.20 a quella 3.04

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Riorganizzazione della banca dati

Manuale -> Conversione progetto -> Conversione dalla versione 2.20 a quella 3.04 -> Riorganizzazione della banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  1. Creazione di un percorso temporaneo e di un sottopercorso. Nome del sottopercorso: XX. Per es.: C:/TEMP/XX; C:/TEMP indica il percorso della banca dati originaria e C:/TEMP/XX quello della banca dati riorganizzata. Non dimenticate di effettuare il backup della Vostra banca dati orginaria.
  2. Copiare la banca dati originaria, REV.BAT e DATAMGR.RDL in C:/TEMP
  3. Copiare i nuovi file DBD (della nuova banca dati) e il file DBAREORG.EXE nel percorso XX.
  4. Impostare percorsi sulla directory nella quale si trovano DBREV.EXE e INITDB.EXE, oppure copiare questi file sia dopo C:/TEMP che C:/TEMP/XX. Controllare se questi due programmi possono essere avviati senza indicazione di percorso nella finestra DOS.
  5. Fate attenzione che ci sia abbastanza posto nel settore memoria di DOS (minimo 500 K).
  6. Apertura del file Batch REV.BAT nella finestra DOS.

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Avvio di DBAREORG.EXE a partire dal percorso zenon di Windows (Esegui file).
  8. Impostazione del percorso nel quale si trova la banca dati (XX) mediante CONVERT 2xx -> 3xx e IMPOSTAZIONIPERCORSO.
  9. Avviare la riorganizzazione mediante CONVERT 2xx -> 3xx e KONVERTIERE.
  10. La riorganizzazione è conclusa. La nuova banca dati si trova nel percorso XX. Se ci sono, cancellate i file TAF dal percorso XX. La banca dati orginale si trova ancora nel percorso TEMP.
  11. Nel caso in cui la riorganizzazione non sia riuscita al primo tentativo, bisogna ritentare a partire dal punto 1, visto che altrimenti la banca dati riorganizzata dovrebbe essere convertita un'ulteriore volta.

Risultato della riorganizzazione: | sono state convertite tutte le immagini.
 | sono state convertite tutte le variabili.
 | sono state convertite tutte le funzioni, ma bisogna rieffettuare il collegamento delle funzioni. Eccezione: la funzione diretta immagine non deve essere più collegata.
 | viene generato un file Log (DBAREORG.LOG) (nel percorso dal quale è stato avviato DBAREORG.EXE), nel quale si trova l'informazione sulle funzioni non collegate.


Riorganizzazione della banca dati nel caso di una modifica delle strutture.

  1. Creazione di un sottopercorso temporaneo. Nome del sottopercorso: XX
  2. Copiare i nuovi file DBD nel percorso XX.
  3. Apertura del file Batch REV.BAT:

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q datamgr xx/datamgr


Conversione dalla versione 3.04, 3.50 a quella 3.52

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Sistema operativo

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La versione 3.52 funziona solamento sotto Windows NT 4.0 e WIN 95.


Export AML / CEL

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Export AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il nome di export degli inserimenti AML/CEL è cambiato. Adesso è Ajjmmdd.TXT oppure Cjjmmdd.TXT. Per l'export non c'è una funzione, che, ad esempio, può essere aperta tramite i temporizzatori. Decadono le vecchie impostazioni.


Archivi AML / CEL

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In linea di principio vengono scritti adesso archivi per AML e CEL. Questi archivi giornalieri non hanno un limite di file. Perciò è possibile che si debba progettare una funzione di cancellazione. In tal modo assicurate che non venga riempita con gli archivi tutta la capacità memoria del disco fisso (vedi funzioni operazioni dati). Al momento di leggere gli archivi, la memoria disponibile viene delimitata tramite il seguente inserimento zenon6.ini.

[ARCHIVIO]

...

MEMORIA=1000 (default=1000, corrisponde a 1MB)


Funzionamento di rete

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzionamento di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I driver devono essere modificati a locale. Nel capitolo [Comandi] del zenon6.ini bisogna cancellare l'inserimento Treiber=.


Archivi

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli archivi vengono salvati adesso in una sottodirectory del percorso di progetto. I file ARV esistenti vengono spostati quando si ravvia il sistema.


Layer

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Layer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Non viene supportato più nessun Layer nell'import DXF. I Layer vengono adesso denominati come simboli.


Curve

Le curve sono state sostituite da segmenti di curve. Le curve esistenti vengono mantenute fino alla modifica.


Compatibilità verso il basso

La versione 3.52 non è compatibile verso il basso. (Riguarda, per esempio, zenon.ini, simboli e gestione delle funzioni)


Database

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Viene fornito un nuovo file di struttura per la banca dati. (DATAMGR.DBD,20.11.1996,14.759 Byte)

Si ha bisogno di questo file per gli archivi di charge e lo si deve copiare nella cartella di progetto.

Eliminare i file *.TAF e *.LOG nella cartella di progetto.


Documentazione (Interrogazione QRF)

Nei file QRF sono state modificate le interrogazioni per TTA e testo lungo.

  • field TTA = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Formati tempo americani

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Formati tempo americani

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Non viene supportato AM/AP come formato di tempo.


Stampante allarmi

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Stampante allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In caso di mancato funzionamento della stampante allarmi, si passa automaticamente alla stampata standard di Windows. Nel caso in cui si voglia una stampa, si deve cancellare nell'Editor la visualizzazione della stampante allarmi.


Simboli

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo una nuova scala e prima del loro salvataggio nella libreria, i simboli devono essere sciolti e riordinati. Le bitmap nei simboli debbono essere salvate separatamente. I file di simboli vengono depositati nel percorso ../zenon.


Funzione di zoom

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzione di zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione di zoom può essere usata per controllare e per modificare elementi.


Backup di progetto

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una banca dati consiste adesso dei file:

*.VBF

*.IDX

*.DAT

*.BIN

*.DBD

*.INI

*.MDB

*.MIB (per NWM III)

*.NWM (per NWM III)

*.EMS (per 230 EMS)

Per salvare gli archivi (*.ARV,*.CEL,*.AML) si deve tenere presente il sottopercorso corrispondente.

attenzione Attenzione

Il file ALARM.BIN nel percorso archivi salva l'ultimo stato della AML al momento della chiusura del Runtime e non ne dovrebbe essere effetuato un backup.


Filtro per la finestra di sistema

Consigliamo di controllare i filtri per la finestra di sistema in riferimento alla nuova funzionalità (per es, schedulatore, accessi archivi per AML/CEL).


Variabile export

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Variabile export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l'uso del file di esportazione sotto DBASE, Foxpro, deve essere limitata la larghezza massima delle colonne per il nome della variabile e testo lungo di 128 al massimo di 100 caratteri.

A questo scopo è necessario settare il seguente inserimento zenon6.ini.

[EXPORT]

MAX_LAENGE= z.B. 40


Collega elementi di testo

Adesso i testi non sono più centrati nei progetti vecchi, ma con orientamento a sinistra. E' possibile modificare ciò facendo uso della parametrizzazione dell'elemento. Nel caso in cui nei progetti esistenti si renda necessario un adattamento di ampie dimensioni, procedete come segue:

  1. inserire zenon6.ini [Editor] Konvert=1
  2. Aprite nell'Editor alla voce 'apri immagine', settate 'elementi di testo vecchi' e aprire e salvare l'immagine corrispondente. Ripetete l'operazione per ogni immagine in questione.
  3. cancellare zenon6.ini [Editor] Konvert=1.


Conversione dalla versione 3.52 a quella 5.11

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Lavori che vengono eseguiti nella versione 3.52.


Lavoro di preparazione

Per sicurezza dovreste effettuare un backup del progetto nella vecchia versione.

La banca dati del progetto dovrebbe essere controllata con il tool DBCHECK fornito con la versione 3.52. Nel caso in cui nel corso di questo controllo dovessero verificarsi degli errori, potete ripararli con il tool DBFIX fornito con la versione 3.52.


Caratteri girati

I caratteri girati si comportano (per quello che concerne il posizionamento) nella versione 3.52 in modo diverso dalla versione 5.50 e devono essere modificati.

Per ottenere una visualizzazione compatibile con la versione 3.52, si deve effettuare il seguente inserimento nel project.ini.

[Version]

TEXT352=1


Nome immagine con segni speciali

Nomi immagini non possono contenere nessun segno speciale, come / / : * ? < > | Ä Ö Ü; questo perché le immagini vengono salvate come file. Il sistema operativo Windows non permette di utilizzare tali segni speciali.

Nel caso in cui, però, dei nomi immagine già esistenti dovessero contenere tali segni, i nomi debbono essere modificati nella versione precedente, per esempio, nella 3.52, prima di poter essere ripresi nella versione 5.x.

attenzione Attenzione

Anche tutte le funzioni che contengono dei nomi immagine non validi, devono essere modificate.

Nel caso in cui questa modifica non venga effettuata, le immagini in questione non vengono convertite e, di conseguenza, non sono a disposizione nella versione 5.x.

attenzione Attenzione

Se un progetto 3.5x ha un modello mancante, oppure delle attribuzioni vuote, appare all'avvio del Runtime 5.11 la seguente segnalazione di errore: si è cercato di accedere ad un file dietro la fine file e il Runtime si interrompe.

Perciò è necessario controllare se nei vecchi progetti 3.5x ci siano dei modelli mancanti, oppure delle attribuzioni vuote, il tutto prima di passare alla conversione.


Lavori che vengono eseguiti nella versione 05:11:00.

La versione 5.11 di zenon deve essere installata.


Licenza

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 05:11:00. -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I numeri licenza della versione 5.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 3.52 non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon.ini. zenon.ini:

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

Nelle Start-ICON non deve essere più indicato un nome di registrazione.

Un progetto esistente deve essere integrato in un nuovo workspace.

Il driver di simulazione lavora adesso con lo stesso modello driver di tutti gli altri driver. Alla voce driver/configurazione si deve scegliere l'hardware.

Dopo che il progetto 3.52 è stato letto e le immagini sono state convertite, si deve procedere a selezionare il giusto profilo del monitor e ad avviare di nuovo l'Editor.

In zenon.ini c'è un inserimento che definisce la dimensione del buffer del driver. Di norma vale per il valore il numero delle variabile per 10.

[RT]

DRIVER_QUE =50000

Nel caso in cui questo valore dovesse essere troppo piccolo, si verificano dei problemi di attualizzazione nella visualizzazione.

Si consiglia di allarmare un Überlauf. A questo scopo è a Vostra disposizione una variabile di sistema: Info progetto/Queue-driver.


Conversione da versione 3.52 a 5.x o a 6.x

Manuale -> Conversione progetto -> Conversione da versione 3.52 a 5.x o a 6.x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Conversione dell´elemento dinamico Interruttore

Manuale -> Conversione progetto -> Conversione da versione 3.52 a 5.x o a 6.x -> Conversione dell´elemento dinamico Interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli interruttori impostati in un progetto realizzato con la versione 3.52 devono essere convertitit via XML export per poter essere utilizzati in una versione più recente di zenon.

Procedura nella nuova versione di zenon:

  1. menu contestuale Immagini -> Esporta tutti in XML
  2. Esporta immagini in nuovo file
  3. menu contestuale Immagini ->Importa file XML
  4. seleziona e importa file esportato


Conversione dalla versione 5.11 a quella 5.50

Manuale -> Conversione progetto -> Conversione dalla versione 5.11 a quella 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Lavori che vengono eseguiti nella versione 05:11:00.

Si consiglia di effettuare un backup dello stato attuale prima della conversione. Devono essere salvati i dati di progetto, nonché i file Runtime modificabili.

La banca dati di progetto dovrebbe essere controllata, e, se necessario, riparata. Delle informazioni ulteriori sull'argomento si trovano sul CD di installazione alla voce Software/TOOLS/DB_TOOLS/DB_DOKU.DOC.


Lavori che vengono eseguiti nella versione 05:50:00.

La versione 05:50:00 di zenon deve essere installata.

Dopo l'avvio dell'Editor può essere aperto il vecchio workspace. Poi avviene un'automatica conversione di tutti i progetti.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Conversione dalla versione 5.50 a quella 6.01

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

attenzione Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.


Lavori che vengono eseguiti nella versione 05:50:00.

Prima di effettuare la conversione, si deve realizzare prima di tutto un backup dei dati sul computer di progettazione. Solo dopo si può dare avvio alla conversione.

Nella finestra delle proprietà del progetto trovate alla voce 'Generale' il dialogo 'file RT modificabili'. In questa sede potete fissare quali dati debbono essere modificati. Ulteriori informazioni su questo tema le trovate alla voce File RT modificabili.


Nome funzione

Si deve fare attenzione che non ci siano nomi funzioni doppi nel progetto. Visto che nella versione 5.50 non devono essere indicati necessariamente dei nomi funzione, zenon non effettua un controllo volto a verificare la univocità. Ciò non è necessario neppure per la versione 5.50. Nella versione 6.x, tuttavia, le funzioni vengono identificate in base al loro nome.


Progetti

Prima di aprire un progetto 5.50 nell´editor della versione 6 esso deve prima essere convertito. (File – inserire progetto 5.50 ...) Proseguendo in questa maniera il vecchio progetto rimane intatto e ne viene creata una copia nel server della banca dati. Vi preghiamo di tenere presente che diversi file e percorsi esterni non vengono accettati nella nuova struttura dell'Editor e del Runtime Dovere adattare manualmente questi file/percorsi oppure inserirli nei progetti (nella struttura ad albero del progetto alla voce File).

Ciò riguarda, ad esempio: sottopercorsi definiti dall'utente nel percorso di progetto, percorsi lista estesi, banche dati, percorsi di export ecc.


I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

devono essere soggetti a backup nell'Editor prima della conversione in modo tale che non vada perduta nessuna modifica realizzata nel Runtime.


Dati

I file generati dal Runtime, come ad esempio, file AML, CEL, dati HD, file Bin ess, sono compatibili. Essi debbono essere copiati manualmente nelle directory corrispondenti del Runtime della versione 6. Vi preghiamo di fare attenzione che i file vengono convertiti al primo avvio del Runtime. In caso di grandi quantità di dati, dovete tenere conto che la conversione durerà del tempo.


Profili

I profili per Allarmi, Trend esteso ecc. vengono salvati nella versione 5.50 nel file con il nome del progetto e la formula finale zrt. Es.: per il progetto Misurazione il file si chiama Messung.zrt. Dovete cambiare il nome di questo file dopo la conversione del progetto in project.zrt. In seguito dovete salvare il file nello stesso percorso nella Runtime directory nella quale si trova anche il project.ini.


Driver 3S Arti (da SP2)

Per quello che concerne il driver 3S Arti, il nome del file di attribuzione delle variabili è cambiato. Proprio per questo motivo, il file deve essere rinominato prima che si proceda al ricavo via browser di nuove variabili dal PLC. Informazioni più dettagliate sull'argomento le trovate nella documentazione concernente i driver.


Lavori che vengono eseguiti nella versione 06:01:00.

La versione 06:01:00 di zenon deve essere installata.


Licenza

I numeri licenza della versione 6.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 5.x non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon6.ini invece che nello zenon.ini.


Gestione utenti/sistema di password

Nella gestione utenti della versione 6.x c'è la nuova proprietà di Administrator. Da adesso in poi, solo gli amministratori possono modificare dati utenti nel Runtime. Visto che non esisteva ancora questa proprietà nelle versioni passate, essa rimane di Default non attiva per gli utenti esistenti. Nel caso in cui si voglia che deglu utenti possano modificare nel runtime dei dati utente, nella versione 6.x ciò deve essere configurato in un secondo momento!


Impostazioni di configurazione

Sia tutte le proprietà dei progetti che le impostazioni sotto opzioni/impostazioni, inoltre, devono esser controllate.

Dopo che zenon.ini è stato sostituito da zenon6.ini, anche eventuali modifiche manuali (ad esempio per l'archiviazione l'inserimento SPEICHER=) nello zenon.ini devono essere copiate manualmente nello zenon6.ini.


Driver di simulazione:

Visto che anche le impostazioni attuali del driver di simulazione sono salvate nel zenon.ini, adesso vengono usate quelle dello zenon6.ini per il comportamento Runtime. In questa sede, però, si trovano dopo la nuova installazione ancora le impostazioni di default. Si dovrebbe modificare questa situazione dopo la installazione a partire dal vecchio zenon.ini.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Funzioni immagine

Nella versione 5.50 (e nelle precedenti) potevano essere collegati alle immagini solo script (ma non funzioni), che venivano eseguiti automaticamente all'apertura oppure alla chiusura dell'immagine.

Nella versione 6.01 (e nelle successive) è possibile collegare solo delle funzioni ad immagini; perciò vanno perduti i collegamenti con gli script. Le funzioni desiderate devono essere dunque collegate di nuovo con le immagini corrispondenti.


Conversione dalla versione 5.50 a S7 dBase Export

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a S7 dBase Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´effettuare la conversione di un progetto realizzato con la versione 5.50 si può verificare un errore. Tipica segnalazione di errore:
"Errore driver 'SIMUL32 - SIMULATORTREIBER' Variabile 'Sub_VISU_E1_IGEF' Tipo per oggetto primitivo '34' Tipo di dato 8 non definito. "

Causa:

Le variabili sono state impostate

  • su un driver S7
  • esportate come dBase
  • e poi reimportate sul driver di simulazione

Soluzione

  • esportare le variabili con zenon 5.50 come dBase
  • controllare nel file dBase tipo canale e tipo dato e poi adattare il driver in modo corrispondente


Conversione dalla versione 6.01 a quella 6.20

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progetti della versione 6.01 devono essere convertiti quando sono caricati per la prima volta nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attenzione Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.


Esportazione archivio nella banca dati SQL

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20 -> Esportazione archivio nella banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tabella della banca dati <Nome progetto>_<Nome breve> ha ricevuto due ulteriori colonne:

  • GUID char 36. Prende il progetto-GUID della variabile da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.
  • STRVALUE: varchar Assume i valori archiviati string. Per un valore numerico questo campo è “NULL”
    La grandezza del campo dati varchar dipende dalla variabile string da archiviare più lunga. La lunghezza della variabile string viene definita nelle proprietà delle variabili.

La tabella della banca dati <Nome progetto>_VARIABLES è stata ampliata mediante l'aggiunta di un'ulteriore colonna:

  • GUID char 36. Prende il progetto-GUID della variabile da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.

Le nuove colonne devono essere inserite manualmente nella banca dati SQL, oppure provvede l'editor ad aggiungerle. Nell'editor bisogna passare per ogni archivio interessato alla scheda Salva . Qui si deve aprire la stringa di collegamento con la banca dati e confermare il dialogo. Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

attenzione Attenzione

Se non rendete effettive queste modifiche, non viene trasferito nessun dato di archivio nella banca dati SQL!


Conversione di progetti multiutente da 6.20 a 6.20 SP1.

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20 -> Conversione di progetti multiutente da 6.20 a 6.20 SP1.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I progetti multiutente possono essere convertiti solo se non è in fase di modifica nessun elemento. Tutti i dipendenti, perciò, devono anzitutto accettare le loro modifiche.

Nel caso in cui ciò non dovesse essere possibile per qualsiasi ragione, anzitutto deve essere effettuato un backup di progetto nel server delle banca dati del progetto e anche di questa deve essere realizzato un backup. Tutte le informazioni In modifica vengono cancellate.

attenzione Attenzione

Tutte le modifiche degli stati locali del progetto vanno persi.

La conversione può essere eseguita solamente su quel computer sul quale si trova la banca dati centrale del progetto. Se essa si trova su un computer sul quale non è installato nessun Editor (Server banca dati), si deve anzitutto installare su questo computer l'Editor 6.20 SP1. Solo dopo si può effettuare la conversione su questo computer.


Conversione dalla versione 5.50 alla versione > 6.22SP1

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 alla versione > 6.22SP1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si converte un progetto realizzato con la versione 5.50 con la proprietà Progetto WindowsCE attiva in una versione dal numero di serie superiore a 6.22.SP1, i gruppi ricette non vengono convertiti nella versione superiore.

Interno ID: Conversione dalla versione 5.50 alla versione > 6.22SP1

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: Conversione dalla versione 5.50 alla versione > 6.22SP1

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ragione: se la proprietà Progetto WindowsCE è attiva, il tipo di salvataggio viene settato su binary prima che la banca dati del manager gruppi ricette venga convertito. Per questo motivo, nella nuova versione non possono più essere impostati dei nuovi gruppi ricette.

Soluzione: disattivate la proprietà Progetto WindowsCE prima di effettuare la conversione.

A tal scopo, potete procedere come segue:

  • potete aprire il progetto nell´Editor della versione 5.50 e disattivare la proprietà
    oppure
  • potete modificare nel file INI del progetto l´inserimento corrispondente. Per far ciò:
    • aprite il <projectname>.ini del progetto
    • navigate fino alla sezione [RT]
    • settate l´inserimento WIN_CE=0


Conversione della versione x nella versione 06:21:00

Manuale -> Conversione progetto -> Conversione della versione x nella versione 06:21:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


zenon Webclient File CAB non più disponibile

Manuale -> Conversione progetto -> Conversione della versione x nella versione 06:21:00 -> zenon Webclient File CAB non più disponibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´installazione automatica del Webclient di zenon per mezzo del file CAB non è più possibile a causa delle restrizioni di sicurezza previste da Windows VISTA/7.


Conversione della versione x nella versione 6.22

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Autorizzazioni funzioni nel caso di ripristino allarmi

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22 -> Autorizzazioni funzioni nel caso di ripristino allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.22 di zenon le autorizzazioni per il ripristino di allarmi esistenti fino ad ora nelle proprietà del progetto alla voce "Autorizzazioni funzioni" sono state sostituite da 3 nuove. Per questo motivo la vecchia autorizzazione "Ripristina allarme" non ha più validità.

Nella conversione di progetti esistenti, le nuove autorizzazioni funzioni vengono sovrapposte a quelle vecchie. Il che significa che, se prima era necessario avere il livello 15 per la funzione "ripristina allarme", questo livello è necessario anche per le 3 nuove funzioni.

Per garantire la compatibilità dell'editor con le versioni precedenti può essere eventualmente necessario che si trasmetta il gruppo autorizzazione dalle nuove tre funzioni alla vecchia funzione. Per far ciò si usa il gruppo di autorizzazione più alto. Il che significa che, se le funzioni "Ripristina allarme mediante la barra degli allarmi" ha il livello di autorizzazione 5 e "Ripristina allarme attraverso le immagini" il livello di autorizzazione 2 e "Ripristina allarmi attraverso la funzione" il livello di autorizzazione 12, la funzione "Ripristino allarmi" riceve il livello di autorizzazione 12 per versioni precedenti.

Info Informazioni

Indicazione concernente la compatibilità online nel runtime: Se un progetto di una versione di zenon di numero inferiore a 6.22 viene avviato con la versione attuale del programma, il sistema offre la possibilità di impostare le tre nuove funzioni. In base al meccanismo che abbiamo descritto sopra, viene adottato solo il gruppo di autorizzazioni più alto. Il vecchio progetto non può utilizzare la nuova funzionalità.


Report Generator Funzione fixed

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22 -> Report Generator Funzione fixed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argoment è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Questo argument non ha più alcun effetto sulla rappresentazione perché i segni di separazione di migliaia in zenon non vengono più utlizzati.


VBA - Accesso diretto alle variabili per Request non è più possibile.

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22 -> VBA - Accesso diretto alle variabili per Request non è più possibile.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

VBA mette a disposizione dei nostri clienti uno strumento potente per la gestione della progettazione. La pratica ha messo in evidenza il fatto che, nel caso di una accesso alla variabili tramite VBA, si sono verificate spesso delle confusioni nell'uso dei metodi „Advise" tramite un Online Container e „Request" con apertura diretta. Troppe Request possono rallentare in modo consistente la comunicazione.

Per questo abbiamo deciso di esaudire il desiderio di molti clienti e di chiudere questa fonte di errori. Le variabili adesso sono dunque accessibili per VBA solo tramite „Advise".

Per i progetti esistenti ciò ha come conseguenza delle incompatibilità. La cosa Vi tange nel caso in cui vogliate accedere a delle variabili via VBA per „Request". In questo caso dovete modificare questi progetti. Dopo l'adattamento, però, potete approfittare di una comunicazione molto efficiente nel progetto.

Nuovo:

Un accesso di lettura delle variabili con VBA è possibile adesso solo nel caso in cui la variabile sia registrata nel driver (advised) e abbia anche un valore, cioè è IsOnline() true. Delle interrogazioni puramente spontanee (Requests) non sono più possibili.

Le seguenti funzioni sull'oggetto "Variabile" determinano un errore se non si verifica quanto segue:

  • Value
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Ciò significa che progetti esistenti non funzionano più nel Runtime dopo la coversione, visto che le funzioni citate non funzionano.

Possibilità di soluzione:

  • Definite per tutte le variabili interessate un Online Container.
    Vantaggio: Si accede alle variabili solo nel caso in cui esse siano veramente necessarie.
    Svantaggio: molto lavoro di programmazione
  • Impostate nelle proprietà delle variabili nel gruppo "Impostazioni ulteriori" l'opzione "DDE attivo" per tutte le variabili interessate.
    Vantaggio: facilità di realizzazione.
    Svantaggio: il driver richiede continuamente tutte le variabili.

attenzione Attenzione

Compatibilità limitata!

Controllate assolutamente dopo la conversone del progetto nella versione attuale tutte le macro VBA Runtime, se c'è un accesso diretto alle variabili. Se dovesse essere così, dovete prendere le misure sopra descritte!


RGM - banca dati modificata

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22 -> RGM - banca dati modificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella versione 6.22 SP1 il formato della banca dati usata per il riversamento dati è stato modificato. Ciò significa che la banca dati viene automaticamente modificata nell'Editor al momento della conversione del progetto.

Se volete modificare dei dati del Manager gruppi ricette nel funzionamento Runtime, dovete procedere nel modo seguente.

  1. avviate l'Editor della versione di partenza prima di convertire il progetto.
  2. Assicurate nelle proprietà di progetto RT dati modificabili che dei dati del Manager gruppi ricette possa essere effettuato un backup e che essi possano essere decompilati.

    Interno ID: RGM - banca dati modificata

    RT dati modificabili

    Viene aperto il dialogo di configurazione per " RT dati modificabili".
    Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Se fate funzionare il Runtime su un sistema remoto: create una connessione con il sistema remoto ed effettuate un backup dei dati Runtime. La funzionalità la trovate nella Barra simboli del Remote Transport.
  4. Effettuate un backup dei dati Runtime nell'Editor. A questo scopo utilizzate il comando Importa file Runtime della barra dei simboli File Runtime.
  5. Chiudete il vecchio Editor e avviate il nuovo. Adesso potete convertire senza pericolo il progetto nella nuova versione. Tutti i dati saranno a disposizione nella nuova versione.

attenzione Attenzione

Le banche dati vecchie del Manager gruppi ricette di versioni più piccole di 6.22 SP1 non possono essere più letti nel runtime 6.22 SP1 (e in quelli delle versioni con numero più alto)! Se i dati non sono stati convertiti tramite l'Editor nel modo descritto prima, perdete tutte le modifiche delle ricette o dei gruppi ricette che avete effettuato nel runtime.

Windows CE

Se un progetto viene convertito con l´opzione Progetto WindowsCE attiva, i dati vengono salvati in zenon 6.22 automaticamente in modo binario. La conseguenza di ciò è che, quando si apre il RGM, si ha l´impressione che tutte le ricette siano sparite.

Interno ID: RGM - banca dati modificata

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: RGM - banca dati modificata

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Modello - Lunghezza massima del nome

Manuale -> Conversione progetto -> Conversione della versione x nella versione 6.22 -> Modello - Lunghezza massima del nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nomi di modelli possono avere al massimo 29 caratteri. In una versione precedente era possibile che tali nome potessero avere anche 30 caratteri. Prima di convertire un progetto, tutti i nomi di modelli con 30 caratteri, devono essere ridotti a 29.


Conversione della versione X nella versione 6:50

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attenzione Attenzione

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!


zenon Logic

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50 -> zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´effettuare la conversione di progetti zenon Logic si deve tener conto di quanto segue:

attenzione Attenzione

Per zenon Logic vale quanto segue:

  • Tutti i progetti devono essere ricompilati nel workbench dopo la conversione, in modo tale che siano poi in grado di funzionare nel runtime di zenon Logic.
  • I progetti di una versione precedente che non sono stati convertiti nella versione 6.50. non possono funzionare nel runtime di quest´ultima versione.


Impostazioni grafiche estese per AML e CEL

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50 -> Impostazioni grafiche estese per AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.50, l´elemento di controllo Lista informazioni allarmi nell´immmagine corrispondente (AML) e l´elemento di controllo Lista eventi nell´immagine Lista eventi cronologici (CEL) dispongono della proprietà Funzionalità grafiche avanzate.

Interno ID: Impostazioni grafiche estese per AML e CEL

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Essa attiva l´uso e l´adattamento delle barre di scorrimento orizzontali e verticali, dell´intestazione e della griglia per l´elemento di controllo mediante le impostazioni corrispondenti nel gruppo Intestazione e griglia.

Interno ID: Impostazioni grafiche estese per AML e CEL

Intestazione e griglia

Proprietà per l´intestazione e per la griglia.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se dei progetti realizzati con versioni precedenti vengono convertiti nella 6.5x, manca la proprietà Funzionalità grafiche avanzate. Per accedere alla proprietà, l´elemento di controllo Lista informazioni allarmi o Lista eventi deve essere cancellato dall´immagine e impostato di nuovo.


Bit di stato - nuova denominazione breve

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50 -> Bit di stato - nuova denominazione breve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.20 esistevano diverse abbreviazioni per bit di stato nelle differenti lingue. Con la versione 6.50 di zenon, sono state introdotte delle abbreviazioni comuni a tutte le lingue. Per garantire la compatibilità con le versioni precedenti, le nuove abbreviazioni possono essere tradotte nelle vecchie nel project.ini. In questo capitolo trovate:

  1. una lista delle nuove abbreviazioni, incluso confronto con le vecchie.
  2. una lista delle abbreviazioni con le denominazioni complete.
  3. un´introduzione per riattivare vecchie abbreviazioni nel project.ini.

1. Stato Abbreviazione nuova

Bit Nr. | Da 6.50 tutti | Fino a 6.50 tedesco | Fino a 6.50 inglese | Fino a 6.50 francese | Fino a 6.50 italiano | Fino a 6.50 spagnolo | Fino a 6.50 russo
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Indicazione: nella versione 6-50 lo stato no. 10 è stato rinominato in D_DIREC e dalla versione 6.51 è stato modificato in PROGRESS.

2. Abbreviazione - Denominazione completa

A partire dalla versione 6.50, le abbreviazioni sono uguali in tutte le lingue. Le denominazioni complete continuano a essere dipendenti dalla lingua:

Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

3. Attivazione dell´abbreviazione

Se desiderate usare l´abbreviazione, come prima della versione 6.50, in modo dipendente dalla lingua, potete farlo mediante un inserimento nel project.ini. Le abbreviazioni sostituite valgono per:

  • VBA
  • Manager gruppi ricette
  • Dialoghi dell´elemento combinato
  • Dialoghi della matrice di reazione

Così aprite il project.ini

  1. selezionate il progetto nel manager di progetto.
  2. premete la combinazione di tasti Ctrl+Alt+E
  3. si apre nell´explorer il percorso SQL di zenon
  4. C:\ProgramData\COPA-DATA\[SQL-Ordner]\[UID]\FILES
  5. navigate fino a raggiungere \zenon\system\
  7. Aprite il file project.ini con un editor testi.

Attribuzione di nuove abbreviazioni a quelle dipendenti dalla lingua

Copiate dalla seguente tabella l´inserimento della lingua desiderata da [STATUS] fino a STATUS63=RES63 incluso, e aggiungetelo nel project.ini.

tedesco | Inglese | francese
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italiano | spagnolo | Russo
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Strutture per UDFB in zenon Logic

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50 -> Strutture per UDFB in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.50, in zenon non sono più disponibili i tipi di dato UDFB di zenon Logic. Per mantenere la compatibilità con la versione 6.22, li potete impostare in zenon con un prefisso di progetto: "PROJEKTNAME/UDFBName". A tal scopo, il K5DBXS.ini deve essere completato con l´aggiunta di un inserimento:

  1. aprite il K5DBXS.ini
  2. navigate fino alla sezione [XS]
  3. digitate l´inserimento UseUDFBPrefix=1

Se avete delle domande concernenti l´adattamento di UDFB invisibili, rivolgetevi per cortesia a support@copadata.com oppure alla hotline indicata nel Vostro contratto di support.


VSTA e VBA - Denominazione di oggetti

Manuale -> Conversione progetto -> Conversione della versione X nella versione 6:50 -> VSTA e VBA - Denominazione di oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A causa di limitazioni nella denominazione di oggetti in VSTA, sono state realizzate alcune modifiche del modello ogetto. Queste modifiche hanno effetto sul codice VBA, visto che quest´ultimo continua ad accedere al vecchio nome e, per questo, non funziona più.

Sono state effettuate le seguenti modifiche:

  • IDriver
    • Name -> Identification:

      Il Property Name non ha il nome, ma l´identificazione fornita dal driver. E´ stata rinominata usando il termine Identification.

    • Driver -> Name:

      Driver è incompatibile con VSTA, visto che questa property fornisce il nome del driver. Si è cambiato il nome adottando Name.

  • IApplication
    • Close -> Methode: Close / Event: OnClose:

      IApplication ha sia un Methode che un event con nome Close. Questo è incompatibile con VSTA. Event è stato rinominato in OnClose.

  • IZenWorkspace
    • Startup -> OnWorkspaceStartup
    • Exit -> OnWorkspaceExit

      Visto che questi due nomi vengono usati per VSTA.intern Events, sono stati cambiati OnWorkspaceStartup e OnWorkspaceExit.

attenzione Attenzione

Controllate il codice VBA per controllare i nomi modificati e adattatelo in modo corrispondenti ai nuovi modelli.


Conversione della versione X nella versione 06:51:00

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attenzione Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!


Calcolo larghezza colonne

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Calcolo larghezza colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.51, per il calcolo della larghezza colonne (per es. nella Lista informazioni allarmi o nella CEL) si usa la larghezza media del carattere selezionato. Prima si usava un valore di default. Ciò può avere l´effetto che, dopo la conversione, le colonne vengano visualizzate con un´altra larghezza.


Impostazioni per la banca dati SQL

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Impostazioni per la banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.51, nel Startup Tool può essere definita l´istanza SQL e la password viene salvata in forma cifrata.

A tal scopo è stato modificato il Dialogo per l´impostazione delle proprietà della banca dati. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti. La visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Nuovi inserimenti

A partire dalla versione 6.51, il zenondb.ini contiene nuovi inserimenti :

CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90

SQLINSTANCE=RECHNERNAME\ZENON_DEV

Essi sostituiscono l´inserimento:

[CONFIG]

PROVIDER_SQL2005

Nel caso in cui i nuovi inserimenti non dovessero esserci o dovessero essere vuoti, si continua ad usare questo inserimento.

Compatibilità:

Finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precendenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Attenzione: Visto che la cifratura della user-password avviene nel nuovo dialogo mediante lo Startup Tool, a partire dalla versione 6.51 tutte le impostazioni devono essere effettuate per forza tramite lo Startup Tool.


Trend esteso Asse XY

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Trend esteso Asse XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per salvaguardare le prestazioni, a partire dalla versione 6.51 i dati archivio per l´asse X non vengono più caricati automaticamente nel diagramma Trend esteso. Per visualizzare nonostante questo l´asse x nel diagramma:

  • aggiungete la variabile selezionata come variabile per l´asse X anche come curva nel diagramma
  • disattivate la visualizzazione per questa curva


GUID nel caso di conversione di progetti della versione 5.50

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> GUID nel caso di conversione di progetti della versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di conversione di progetti realizzati con la versione 5.50 bisogna tener conto del fatto che, quando si converte più di un progetto, si deve creare per ognuno un proprio GUID.

Causa

Nel project.ini della versione 5.50 c`è un inserimento GUID che contiene Project-GUID. Se si converte un progetto nella versione 6.x, viene usato questo GUID.

In zenon 5.50 era possibile copiare delle cartelle a livello file, aprire poi il progetto nell´Editor e rinominarlo. Questa copia di progetto conteneva ancora il GUID originale nel file INI, il che non costituiva un problema per la versione 5.50.

Se vengono convertiti solamente due progetti del genere nella versione 6.x, la conversione del secondo progetto verrà interrotta con la segnalazione che il GUID è già esistente.

Soluzione

Per la conversione di diverse copie di progetto realizzate con la versione 5.50 ci sono tre possibilità:

  1. Salva con nome
    • Convertire il progetto A
    • nella versione 6.x eseguire il comando "Salva progetto con nome"
    • verrà generato un nuovo GUID
    • cancellare il progetto originale
    • convertire il progetto B

    Attenzione: questo metodo non è adatto ai progetti globali.

  2. Backup di progetto
    • Convertire il progetto A
    • Effettuare un backup di progetto nella versione 6.x
    • cancellare il progetto originale
    • Ricreare il backup mediante il comando "Ripristina backup di progetto" e attivare la proprietà "Genera un nuovo progetto".

    Indicazione: questo metodo è adatto anche ai progetti globali.

  3. modificare project.ini
    • aprire project.ini della versione 5.50. In questa versione il "project.ini" si chiama Projektname.ini
    • cancellare l´inserimento con il GUID
    • Convertire
    • verrà generato un nuovo GUID

    Indicazione: se si riapre questo progetto con la versione 5.50, viene generato un nuovo GUID che sarà inserito nel file INI.


Pulsanti su cui cliccare Elemento combinato

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Pulsanti su cui cliccare Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6.51, è possibile creare nell´elemento combinato per l´opzione Simbolo dalla libreria dei pulsanti su cui poter cliccare; questi pulsantoi possono assumere la forma da Voi desiderata.

Nel caso dei progetti realizzati per le versioni precedenti, la proprietà Forma del simbolo corrispondente all'area sensibile (nodo Visualizzazioneviene considerata non attiva.

Interno ID: Pulsanti su cui cliccare Elemento combinato

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Disattivato: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo.

Attenzione: non disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Menu contestuali Comando

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Menu contestuali Comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nelle versioni precedenti alla 6.51, il testo era ignorato con i punti di menu automatici. Nel caso della conversione di progetti che sono stati realizzati usando versioni precedenti alla 6.51, prima del testo progettato vengono inserite automaticamente le Macro $ALL$$NOTE$. In tal modo, questi punti di menu si comportano esattamente come accadeva finora.


Turni da registrare in PFS

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Turni da registrare in PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella registrazione di Turni nel Production and Facility Scheduler, nella versione 6.50 il nome tabella per la registrazione era denominato in modo fisso con PFSSHIFTHISTORY.

A partire dalla versione 6.51, invece, esso segue il modello seguente: ProjectGUID_TURNO_GUID del Gruppo di impianti
Per esempio: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Converti colori simboli della libreria globale dei simboli da tavolozza a colore assoluto

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Converti colori simboli della libreria globale dei simboli da tavolozza a colore assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si usano le Tavolozze, viene salvato solamente l´indice della tavolozza. Il colore effettivoviene assegnato nel Runtime.

Problema

se nelle versioni prima della zenon 6.51 i colori per i simboli della libreria di simboli globale vengono definiti tramite colori di tavolozze (funzione simile alle tavolozze di colore a partire dalla versione 6.51) e i colori di un simbolo nella versione 6.51 vengono cambiati, quando si riavvia l´Editor tutte i colori dei simboli definiti dall´utente vengono adattati alla modifica. Questa azione è corretta dal punto di vista della compatibilità. Tuttavia si può aver bisogno anche di colori assoluti.

Soluzione

se la libreria dei simboli viene salavata di nuovo in zenon 6.51, gli indici delle tavolozze vengono sostituiti da colori assoluti.

Procedura:

  1. attivate e aprite il progetto con il colore tavolozza corretto in zenon 6.51.
  2. Inserite nella libreria simboli globale un nuovo simbolo.
  3. Salvate la libreria simboli globale. Essa viene salvata nel nuovo formato.
  4. Aprite l`Editor e riavviatelo.
  5. Denominate il simbolo di nuova creazione e salvatelo.
  6. Nella libreria simboli globale, i colori tavolozza vengono sostituiti da colori assoluti.


Wizard - VBA/VSTA Properties rimosse

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Wizard - VBA/VSTA Properties rimosse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´effettuazione dell´operazione di filtro per un cambio ad un´immagine del tipo Trend esteso sono state elimate le seguenti properties dinamiche, perché non avevano alcuna funzione:

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • nonché ArvName, Titolo, Group e Amplitude dello stesso oggetto

Se doveste usare queste properties in un wizard, le dovete rimuovere.


Carattere # non permesso nel nome oggetto

Manuale -> Conversione progetto -> Conversione della versione X nella versione 06:51:00 -> Carattere # non permesso nel nome oggetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partitre dalla versione 6.51, il carattere # non è più permesso per nomi oggetti come variabili e funzioni. Il carattere non può essere inserito nella denominazione tramite superficie.

Ragione: un # nel nome può portare al verificarsi di problemi, per esempio, in fase di import.


Conversione della versione X nella versione 07:00:00

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup. A partire dalla versione 7.00, il nome dei backup generati automaticamente contiene il server SQL usato, per es.:
before converted to 7.00 SP0 (sql server 2008 r2).zip

attenzione Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!


Gestione user con Active Directory

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Gestione user con Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7.00 SP0 Active Directory è disponibile solamente per la gestione user nel Runtime di zenon. Per l´Editor di zenon ciò significa quanto segue:

  • gli utenti AD non vengono usati per l´Editor.
  • Gli utenti AD non vengono più validati nell´Editor.
  • Non è più possibile effettuare una registrazione nell´Editor mediante AD.

Attenzione: se avete realizzato in un progetto la registrazione nell´Editor di zenon via Active Directory, prima della conversione del progetto stesso si deve procedere a impostare un utente zenon dotato di tutti i diritti necessari.


Server diagnosi con nuovo servizio

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Server diagnosi con nuovo servizio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la versione 7.00 SP0 di zenon il Sistema di diagnosi viene modificato. A partire da questa versione, tutti i compiti di Logging vengono svolti tramite il servizio zenLogSrv. Da questo momento, il servizio zenSysServ è responsabile solamente per attività di trasporto remoto. Il numero massimo dei moduli pro Diagnose Client è stato elevato da 32 a 64.

Il che significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili e quelli a partire dalla versione 7.00 sono compatibili.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnose Viewer 6.51 SP0 e precedenti | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnose Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnose Viewer Version 7.00 SP0 e versioni successive, i file Log creati da un Server di diagnosi della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!


Combo-/Listbox dinamica

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Combo-/Listbox dinamica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7, le Combo-/Listbox possono essere create anche in modo dinamico. Facendo uso della proprietà Inserimento da variabile string si stabilisce se gli inserimenti della box vengono fissati nell´Editor, oppure vengono creati tramite una variabile stringa collegata.

Interno ID: Combo-/Listbox dinamica

Inserimento da variabile string

Attiva: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Interno ID: Combo-/Listbox dinamica

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Interno ID: Combo-/Listbox dinamica

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Convertendo dei progetti di una versione di zenon 7, le nuove proprietà vengono dotate di valori validi:

  • Combo-/Listbox statiche (proprietà Inserimento da variabile string disattivata)
  • nessuna variabile di visibilità (proprietà Variabile vuota)

Se i file vengono creati o salvati per una versione precedente, le proprietà per le Combo-/Listbox dinamiche non vengono caricate per garantire la compatibilità con versioni più vecchie.


IPv6

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> IPv6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7 di zenon, IPv6 può essere usato in rete.

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento duale. L´impostazione viene effettuata tramite:

  • Network configuration in Startup Tool
    oppure
  • nello zenon6.ini

Attenzione: IPv6 funziona solamente a partire dalla versione 7.
Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata. Ciò riguarda in particolare zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione; esse usano sempre IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Diagnosis Viewer

Il server di diagnosi funziona anche con client di diagnosi che vengono raggiunti tramite indirizzi IPv6. A tal scopo si è provveduto ad adattare il formato dei file Log. Il Diagnose Viewer legge solamente il nuovo formato dei file Log. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.


Licenza

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7.00, la licenza viene modificata. Per convertire delle versioni di zenon nella 7.00, si deve acquisire anzitutto una licenza per la versione 7.00 e inserire poi il nuovo Numero di attivazione. Il numero di serie rimane lo stesso.

Gli inserimenti nello zenon6.ini sono i seguenti:

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Message Control

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella versione 7.00 SP0 di zenon il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti sia per quello che concerne la configurazione che per quello che riguarda la tecnica.

Di seguito un elenco delle modifiche tecniche di rilievo:

  • non si usa più un server COM
  • non viene più utilizzata la componente ulteriore della ditta DerDack
  • la ZenMsgQueue viene sostituita mediante un´immagine propria del tipo Message Control
  • la configurazione avviene nelle proprietà Message-Control del workspace (invio) e nelle proprietà Proprietà specifiche di progetto per il modulo Message Control nel progetto (legata al progetto)

    Interno ID: Message Control

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Message Control

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • non c´è più una lista dettagliata
  • sono stati eliminati il modello turni e la funzionalità calendario
  • non ci sono più "Runtime dati modificabili"
  • l´invio di E-Mail è possibile sia tramite Outlook che un server SMTP; quest´ultimo tipo consente l´invio di allegati
  • la configurazione dei tipi di invio non viene più salvata in un apposito messag32.ini, ma nello zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo Message Control era differente da quella di testi di valore limite standard. A partire dalla versione 7.00 tali differenze non esistono più. @StringTabelle+%var1

I dettagli concernenti la configurazione li trovate nel capitolo Configurare il Message Control.

attenzione Attenzione

Solo i progetti realizzati con le versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate al software non è possibile garantire una compatibilità del 100% quando si converte un progetto nella nuova versione. Ciò vale anche per la compilazione di file RT per versioni precedenti. Quando effettuate una conversione, tenete presente soprattutto quanto segue:

  • Utente:
    • esiste un utente con lo stesso nome (nome di battesimo e cognome): viene usato questo utente e le informazioni vengono completate.
    • Non esiste nessun utente corrispondente: il sistema imposta un nuovo utente, il collegamento con la persona di riserva e con il gruppo utenti viene eliminato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono completate le informazioni .
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    la funzione Esegui Database destinatari è stata eliminata:
    questa funzione non può più essere creata con l´Editor. Essa però non viene cancellata quando si effettua una conversione. Il suo richiamo nel Runtime non ha alcun effetto e genera un inserimento LOG.

  • Paging:
    il paging non è più disponibile come forma di invio. Alle funzioni esistenti per cui è prevista la modalità di invio Paging il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che fa presente questa modifica, appare nella finestra di emissione. Dopo la conversione le impostazioni della funzione devono essere sottoposte ad un controllo.
  • RT file modificabili:
    visto che la gestione utenti è stata modificata, non c`è più bisogno di RT file modificabili per il Message Control. Nella versione 7 non è prevista neanche una possibilità di importare vecchi dati Runtime. Se si ha bisogno dei file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima importare in un Editor precedente alla versione 7 di zenon; solo poi li si potrà convertire.
  • Turni e calendario:
    la funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Paging il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che fa presente questa modifica, appare nella finestra di emissione. Dopo la conversione le impostazioni della funzione devono essere sottoposte ad un controllo.
  • SMS-Gateway:
    visto che la semplice interfaccia non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Effettuando la conversione, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.


RGM - Comportamento errato nel caso di cambio immagine

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> RGM - Comportamento errato nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si seleziona erroneamente una ricetta per il cambio immagine del RGM, perché:

  • ricetta non esistente nel Runtime
  • nessuna selezione effettuata
  • ricetta non contenuta nel Filtro

allora cambia il comportamento della lista a cascata Ricette nel Runtime:

  • nelle versioni fino alla 6.51 SP0, la prima ricetta veniva offerta nella lista
  • a partire dalla versione 7.00 SP0, la selezione rimane vuota.


Leggi ricetta RGM - nuove condizioni

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Leggi ricetta RGM - nuove condizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7.00 SP0, il sistema controlla al momento della lettura di valori variabili in ricette:

  • se i valori delle Proprietà Valore min. e Valore max sono rispettati
  • quale stato ha la variabile

Se i valori sono superati verso l´alto o verso il basso, oppure se lo stato della variabile è INVALID, i valori non vengono più scritti nella ricetta e salvati.

Il sistema procede a analizzare ulteriori Variabili di sistema. Possibili valori di variabili a partire dalla versione 7.00:

  • 0: viene settato prima della lettura e cambia solo quando il procedimento di lettura è completato.
  • 1: Lettura portata a termine con successo.
  • 2: Durante la lettura si è verificato un errore non meglio definito.
  • 3: Perlomeno una variabile ha lo stato INVALID durante la lettura.
  • 4: Perlomeno un valore è al di là dei limiti massimo e minimo.
  • 5: Durante la lettura si è presentato un timeout (30000 + 100*VarCount in [ms]).


Driver Allan Bradley RS-Linx

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Driver Allan Bradley RS-Linx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il driver supporta a partire dalla versione 7.00 SP0 Unsolicited Messages. In tal modo cambia anche la configurazione del driver. Essa viene effettuata adesso nelle tab:

  • Generale: Immutato
    Indicazione: se si usa Unsolicited Messages, si dovrebbe disattivare Update tempo globale
  • Configurazione: il numero KT usato finora viene sostituito dalla denominazione del driver RS-LINX.
  • Configurazione Unsolicited Messages: Nuovo. Impostazioni per Unsolicited Messages.

attenzione Attenzione

Si deve adattare la configurazione driver nei progetti già esistenti.


Cambio server SQL

Manuale -> Conversione progetto -> Conversione della versione X nella versione 07:00:00 -> Cambio server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con zenon 7.00 SP0 viene installato il Microsoft SQL Server 2008 R2 Express e usato per i progetti realizzati con zenon. A partire dalla versione 7.00, l´Editor di zenon si connette di default solamente con SQL Server 2008 R2. I progetti le cui banche dati si trovano in un´altra istanza SQL (per es. ZENON_DEV bei SQL Server 2005), non possono essere più aperti.

L´istanza server SQL a cui si connette zenDBSrv, può essere modificata tramite loStartup Tool. Lo Startup Tool provvede ad effettuare nello zenDB.ini gli inserimenti necessari per la versione di zenon in questione:

  • prima di 6.00: nessuna banca dati
  • Da 6.00 a 6.20: inserimenti per SQL Server 2000 (MSDE)
  • Da 6.21 a 6.51: inserimenti per SQL Server 2005 Express Edition
    Nel caso della versione 6.51, la password viene inserita in forma ciftata.
  • Versione 7.00 e successive: inserimenti per SQL Server 2008 R2 Express Edition con password cifrata.

Un funzionamente misto dell´istanza SQL Server 2005 „ZENON_DEV" e di quella SQL Server 2008 R2 „ZENON_2008R2" non è possibile.

attenzione Attenzione

I progetti realizzati con versioni precedenti di zenon devono essere necessariamente esportati e poi riletti nella versione 7:00 di zenon.

Un consiglio: se non è stato effettuato un export e non è più disponibile la versione in questione, il trasferimento può essere realizzato manualmente:

  • copiate tutta la cartella, inclusa GUID, e salvatela in un altro posto
  • create manualmente la connessione con la banca dati

Conversione progetto

Per la conversione di progetti realizzati con versioni precedenti alla 7:00, consigliamo di applicare la seguente procedura:

  1. creare dei backup di progetto nella versione di partenza
  2. esportare i backup sul disco fisso
  3. zenon Editor 7.00 Editor.
  4. Creare un nuovo workspace.
  5. Rileggere i backup nel nuovo workspace.

I backup di progetto possono essere riletti anche nello stesso workspace dell´Editor della versione 7:00. Visto che la GUID rimane inalterata nell´operazione di rilettura, il workspace può essere aperto nella versione 7.00 di zenon e anche nelle versioni comprese fra 6.21 e 6.51.

Info Informazioni

Anche se hanno lo stesso nome e la stessa GUID, i progetti della versione 7.00 di zenon sono indipendenti da quelli delle versioni 6.21/ 6.51.di zenon a causa della diversa istanza Server SQL. I backup della versione 7.00 zenon non compaiono nell´Editor delle versioni 6.21 / 6.51. Per questa ragione Vi consigliamo di salvarli in un nuovo workspace.


Definizione d´impianto

Manuale -> Definizione d´impianto

La Definizione d´impianto riproduce la struttura di un impianto nell´editor. Come previsto dalle norme ISA S88 e S95, con zenon possono essere rappresentati tutti i livelli di un´azienda:

I tre livelli superiori (Enterprise, Site, Area) permettono di ordinare in modo corretto i dettagli dei livelli inferiori e di metterli in relazione. I livelli inferiori si riferiscono a particolari attrezzature che servono alla gestione e al controllo del processo.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Definizione d´impianto in zenon

Con zenon potete visualizzare l´intero modello e creare qualsiasi tipo di macchinario, edificio e processi. In tal modo, i dati possono essere raggruppati e filtrati sia nel runtime che e nell´editor. Il modulo Definizione d´impianto lo potete trovare nella struttura ad albero del progetto, ma esclusivamente nel Progetto globale. Il che significa che dovete impostare un progetto globale e che lo dovete integrare nel workspace, in modo tale da poter usare anche la Definizione d´impianto.

Finestra Definizione d´impianto

I modelli di impianto possono essere aperti in una finestra specifica:

  • a questo scopo, selezionate anzitutto il menu contestuale della Definizione d´impianto nel manager di progetto e scegliete il comando Apri in nuova finestra...
  • Di default viene aperta una nuova finestra con modelli di impianto nella parte bassa dell´editor.
  • Potete piazzare questa finestra (come qualsiasi altra finestra) sullo schermo dove preferite.
  • Se avete aperta anche la visuale dettagliata della Definizione d´impianto, i contenuti delle due finestre vengono sincronizzati, in modo tale da mettervi in condizione di apportare delle modifiche in entrambe.


Crea modello di impianti

Manuale -> Definizione d´impianto -> Crea modello di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete creare un numero qualsiasi di modelli impianti e raggrupparli sulla base di criteri determinati. Creati anzitutto il modello e create poi i gruppi.

Per impostare un nuovo modello:

  • selezionate nel menu contestuale del nodo Definizione d´impianto nel progettp globale il comando Nuovo modello impianti

    oppure selezionate nella Barra dei simboli il simbolo per Nuovo modello impianti

  • Nella visuale dettagliata viene impostato un nuovo nodo che ha il nome standard ModellX (X sostituisce un numero progressivo).
  • Adattate il nome alla Vostre esigenze; per far ciò selezionate il nome in questione e premete il tatsto F2 oppure cliccate per tre volte nel campo del nome.

Per creare un gruppo:

  • selezionate nel menu contestuale del modello, oppure nel sovragruppo il comando Nuovo gruppo impianti

    oppure premete il tasto F2.

    oppure selezionate nella Barra dei simboli il simbolo per Nuovo gruppo impianti

  • Nella struttura di modello viene impostato un nuovo gruppo che ha il nome standard GruppeX (X sostituisce un numero progressivo).
  • Adattate il nome alle Vostre esigenze: subito dopo aver impostato il gruppo, il campo nome si trova già nella modalità editor; se volete modificare il nome in seguito, selezionate il nome e premete il tasto F2, oppure cliccate per tre volte sul campo del nome.
  • E´possibile impostare un numero qualsiasi di gruppi e sottogruppi.


Modifica modello impianto

Manuale -> Definizione d´impianto -> Crea modello di impianti -> Modifica modello impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

All´interno di un modello o di più modelli, i gruppi possono essere riordinati, copiati, spostati oppure eliminati.

Selezione

È possibile anche una selezione multipla dei modelli e dei gruppi di impianto, se gli elementi:

  • si trovano allo stesso livello
  • all´interno dello stesso modello
  • e dello stesso gruppo sovraordinato

    .

La selezione avviene tenendo premuto il tasto Ctrl+clic con il tasto sinistro del mouse:
Indicazione: Con Shift+clic del mouse è possibile selezionare più elementi a diversi livelli; le possibilità di modifica nel menu contestuale e sulla barra dei simboli, però, sono disattivate.

Elimina

  • Selezionate il nodo desiderato.
  • Selezionate nel menu contestuale oppure nella barra dei simboli il comando Cancella, oppure premete il tasto Canc.
  • Il nodo viene cancallato con tutti i suoi sottogruppi.

Spostare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto sinistro del mouse.
  • Spostate il nodo verso il posto desiderato, e una volta che lo avete raggiunto, rilasciate il tasto del mouse.

Riordinare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto Ctrl e trascinate il nodo tenendo premuto il tasto sinistro del mouse fino a raggiungere la posizione desiderata.
  • Una line orizzontale indica la linea in corrispondenza della quale potete inserire il nodo.

Copiare e inserire

  • Selezionate il nodo desiderato.
  • Selezionate nel menu contestuale oppure nella barra dei simboli il comando Copia, oppure la combinazione di tasti Ctrl + C.
  • Selezionate il nodo di destinazione.
  • Selezionate nel menu contestuale oppure nella barra dei simboli il comando Inserisci, oppure la combinazione di tasti Ctrl + V.
  • Il nodo copiato verrà inserito.
    • I sottonodi non vengono copiati.
    • Il nome gruppo non deve essere presente allo stesso livello nel gruppo di destinazione.

Rinominare

Per rinominare modelli o gruppi:

  1. selezionate il modello/il gruppo
  2. premete il tasto F2 oppure cliccate per tre volte sul modello/gruppo

Dopo aver rinominato:

  • i modelli vengono riordinati in modo alfabetico
  • i gruppi rimangono nella struttura impostata

attenzione Attenzione

Le azioni cancella, riordina, sposta, rinomina e inserisci, non possono essere annullate.


menu contestuale - manager di progetto

Manuale -> Definizione d´impianto -> Crea modello di impianti -> menu contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Comando | Funzione
Nuovo modello impianti | crea un nuovo modello impianti che avrà la denominazione standard ModelloX (X sostituisce un numero progressivo).
Apri in una nuova finestra... | Si apre una nuova finestra nell´editor che contiene i modelli impianti.
Guida | Apre la pagina della guida in linea.


Barra simboli e Menu contestuale Visualizzazione dettagliata

Manuale -> Definizione d´impianto -> Crea modello di impianti -> Barra simboli e Menu contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli e menu contestuale

Simbolo

Funzione

Nuovo gruppo impianti

crea un nuovo gruppo impianti che avrà la denominazione standard GruppoX (X sostituisce un numero progressivo).

Nuovo modello impianti

crea un nuovo modello impianti che avrà la denominazione standard Modello (X sostituisce un numero progressivo).

Elementi collegati

apre il dialogo che serve a visualizzare gli elementi collegati.

Copiare

copia il gruppo selezionato con i sottogruppi.

Incolla

inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Elimina

copia il gruppo selezionato con tutti i sottogruppi.

Ingrandisci / riduci nodo

apre la lista a cascata che serve ad espandere o a ridurre i nodi.

  • Espandi tutto

Espande tutti i nodi.

  • Riduci tutti

Riduce tutti i nodi.

  • Espandi selezionati

Espande i nodi selezionati.

  • Riduci selezionati

Riduce i nodi selezionati.

Esporta tutti in XML

Esporta tutti gli inserimenti in un file XML.

Importa XML…

Importa da file XML.

Guida

Apre la pagina della guida in linea.


collegare dei modelli a elementi e oggetti

Manuale -> Definizione d´impianto -> collegare dei modelli a elementi e oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni gruppo impianti può esserre collegato ad un numero qualsiasi di elementi ed oggetti di zenon; sulla base di essi potrà poi essere effettuato il filtraggio. Per collegare un gruppo ad un elemento, avete diverse possibilità.

  • facendo uso della proprietà Gruppi d'impianto dell´elemento:

    Interno ID: collegare dei modelli a elementi e oggetti

    Gruppi d'impianto

    Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • copiando e aggiungendo l´elemento nel gruppo desiderato del modello
  • per Drag&Drop del gruppo impianti sulla proprietà Gruppi d'impianto dell´elemento
  • per Drag&Drop dell´elemento sul gruppo impianti.

Proprietà Gruppi impianti

Per il collegamento mediante le proprietà di un elemento:

  1. Selezionate l´elemento
  2. cliccate sulla proprietà Gruppi d'impianto nel nodo Generale

    Interno ID: collegare dei modelli a elementi e oggetti

    Generale

    Proprietà generale della variabile o del tipo di dato.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si apre il Dialogo per l´attribuzione degli elementi ai gruppi impianti
  4. Attribuite i gruppi impianti desiderati (trovate i dettagli nel sottocapitolo Dialogo Definizione d´impianto)

Info Informazioni

Nessuna trasmissione ereditaria

Se dei modelli impianti vengono selezionati per essere collegati o creati tramite la proprietà Gruppi d'impianto al momento di configurare, per esempio, tipi di dato, driver, funzioni e variabili, essi servono solamente ad effettuare le operazioni di filtro, e non vengono trasmessi per via ereditaria.

Ad esempio: un modello impianto selezionato in un tipo di dato non viene trasmesso ereditariamente ad una variabile, che si basa su questo tipo di dato.

Copiare e inserire

Per il collegamento mediante copi ed incolla:

  1. Selezionate l´elemento
  2. copiate l´elemento (comando Copia oppure con la combinazioni tasti Ctrl+C).
  3. Selezionate il gruppo impianti desiderati.
  4. incollate l´elemento (comando Incolla oppure con la combinazioni tasti Ctrl+V).

Drag&Drop del gruppo impianti

Per il collegamento tramite Drag&Drop del gruppo impianti sull´elemento:

  1. Selezionate il gruppo impianti.
  2. Trascinatelo tenendo premuto il tasto sinistro del mouse sulla proprietà Gruppi d'impianto nel nodo Generale dell´elemento.

Drag&Drop dell´elemento

Per il collegamento tramite Drag&Drop dell´elemento sul gruppo impianti:

  1. Selezionate l´elemento nella visualizzazione dettagliata del manager di progetto.
  2. Trascinate tenendo premuto il tasto sinistro del mouse sul gruppo impianti desiderato.

Info Informazioni

Quando si effettua il Drag&Drop di variabili di struttura: vengono prese in considerazione solamente le variabili attivate. Gli elementi non attivati non vengono collegati. A alberi di struttura chiusi, controllate se tutte le variabili desiderate sono attivate.


Dialogo Definizione d´impianto

Manuale -> Definizione d´impianto -> collegare dei modelli a elementi e oggetti -> Dialogo Definizione d´impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Utilizzate il dialogo Definizione d´impianto per assegnare ad un elemento un numero qualsiasi di gruppi impianto. Il dialogo si apre quando selezionate nelle proprietà dell´elemento, e più precisamente nel nodo Generale, la proprietà Gruppi d'impianto:

Interno ID: Dialogo Definizione d´impianto

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Dialogo Definizione d´impianto

Generale

Proprietà generale della variabile o del tipo di dato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà | Descrizione
Barra simboli | Vei capitolo Barra dei simboli e Menu contestuale Visuale dettagliata..
Aggiungi | Aggiunge i gruppi e livelli selezionati per mettervi in condizione di effettuare una scelta.
Rimuovi | Cancella gli elementi selezionati dalla lista di quelli fra cui potete effettuare la scelta.
OK | Riprende le impostazioni di tutte le schede e chiude il dialogo.
Annulla | Non viene selezionato nessun elemento.
Guida | Apre la guida online

Aggiungi gruppi

  • selezionate il modello impianti desiderato;
  • selezionate un gruppo impianti oppure un livello; elementi che si trovano allo stesso livello gerarchico possono essere selezionati mediante multiselect (tenendo premuto il tasto Ctrl)
  • aggiungeteli facendo uso del pulsante Incolla alla lista che si trova in basso nel dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionate l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo.
  • Cliccate sul pulsante Cancella

Indicazione: le modifiche in un elemento dell´albero rimangono, indipendentemente dal fatto se si fa uso del pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

Nel cambio immagine per Filtra Gruppi impianti

Nel passaggio ad un´immagine del tipo AML, CEL oppure RGM, nonché con la funzione Sopprimi Gruppi/Classi/Aree/Strutture (Message Control), si può filtrare sulla base di gruppi d'impianto nel dialogo di filtro. Le istruzioni per far ciò le trovate nella descrizione dei dialoghi corrispondenti:

  • AML Progettazione impianto
  • CEL Progettazione impianto
  • RGM Progettazione impianto
  • Message Control Sopprimi Gruppi/Classi/Aree/Strutture


Lista degli elementi collegati

Manuale -> Definizione d´impianto -> collegare dei modelli a elementi e oggetti -> Lista degli elementi collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per ogni gruppo impianti, tutti gli elementi che avete collegato al gruppo impianti, vengono visualizzati in forma di lista. Facendo uso del menu contestuale, potete passare direttamente all´elemento collegato.

  1. Selezionate il gruppo impianti desiderato.
  2. Selezionate nel menu contestuale il comando Elementi collegati ...

    (per i dettagli, vedi il sottocapitolo Menu contestuale Elementi collegati)

  3. Viene aperta la lista degli elementi collegati.

Nel menu contestuale degli elementi potete

  • passare direttamente all´elemento
  • cancellare l´elemento dalla lista; in questo caso, l´elemento perde il suo collegamento con questo gruppo impianti.


Menu contestuale Elementi collegati

Manuale -> Definizione d´impianto -> collegare dei modelli a elementi e oggetti -> Lista degli elementi collegati -> Menu contestuale Elementi collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo per gli elementi collegati possono essere aperti dei singoli elementi nell´editor facendo uso del menu contestuale; oppure li si può cancellare dalla lista.

Comando | Descrizione
Passa all´ elemento collegato | Passa nell´editor all´elemento; la lista rimane aperta.
Cancella elementi selezionati | Cancella l´elemento selezionato dalla lista; il collegamento a questo gruppo impianti viene eliminato.
Guida | Apre la pagina della guida in linea.


Filtraggio nella visuale dettagliata

Manuale -> Definizione d´impianto -> Filtraggio nella visuale dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella Visuale dettagliata del manager di progetto si può effettuare un filtraggio sulla base di gruppi impianti. Se questi ultimi non vengono ancora visualizzati, selezionate nel menu contestuale il comando Selezione colonne e aggiungete Gruppi impianti. Per effettuate il filtraggio:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Aggiungete alla lista i criteri sulla base dei quali deve essere effettuato il filtraggio.
  • Nella visualizzazione dettagliata verranno visualizzati solamente quegli elementi che sono collegati ai gruppi impianti selezionati.

Per resettare il filtro:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Rimuovete dalla lista i criteri di filtro desiderati.


Filtro durante il runtime

Manuale -> Definizione d´impianto -> Filtro durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per effettuare l´operazione di filtro durante il runtime, create una Funzione Cambio immagine verso l´immagine desiderata e definite il filtro nella cartella Definizione d´impianto. Durante un runtime, poi, i dati verranno visualizzati in corrispondenza del filtro impostato. Per modificare il filtro durante il runtime, deve essere disponibile il pulsante Filtro nella maschiera del dialogo;

  • Cliccate sul pulsante Filtro
  • selezionate nel dialogo di filtro la scheda Definizione d´impianto
  • selezionate dei modelli e gruppi impianti;
  • confermate la selezione cliccando su OK

Il filtraggio sulla base dei gruppi di impianto durante il runtime è possibile con:

  • Manager gruppi ricette:

    Vengono visualizzati nella lista a cascata solamente quei gruppi ricetta che sono contenuti anche nel filtro. Se vengono creati degli altri gruppi ricetta, essi possono essere collegati con gruppi impianto esistenti. Questi nuovi dati possono essere riletti nell´editor a partire dai file runtime. Nell´effettuare questa operazione, il sistema rilegge anche i gruppi impianti collegati.

  • AML:

    Vengono visualizzati solamente quegli allarmi le cui variabili sono collegate con i gruppi impianti.

  • CEL :

    Vengono visualizzati solamente quegli inserimenti le cui variabili sono collegate con i gruppi impianti.


Crea funzione cambio immagine

Manuale -> Definizione d´impianto -> Filtro durante il runtime -> Crea funzione cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare la funzione cambio immagine e per filtrare sulla base di gruppi impianti:

  1. create una nuova funzione Cambio immagine.
  2. selezionate l´immagine desiderata;
  3. cliccate nel dialogo Filtro sulla scheda Definizione d´impianto;
  4. selezionate dei modelli e gruppi impianti;
  5. confermate la selezione cliccando su OK

Elemento | Descrizione
Modello impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | aggiunge alla lista filtro il gruppo selezionato.
Rimuovi | rimuove dalla lista filtro il gruppo selezionato.


Diagnosi PLC

Manuale -> Diagnosi PLC

Mediante lo strumento "Diagnosi PLC" possono essere visualizzati direttamente in un'immagine i dettagli del programma di un PLC. A seconda del PLC, sono a disposizione diverse funzionalità. Al momento esiste l´analisi successione a catena Simatic Graph 7 per la visualizzazione di informazioni relative a successioni a catena di PLC S7 e il <Monitoring Viewer>CA_PRODUCTNAME per la rappresentazione di tutti i programmi che vengono elaborati nel <Runtime (Soft SPS)> CA_PRODUCTNAME.

Durante il Runtime vengono visualizzati graficamente i passaggi attivi al momento nel SPS. Le informazioni relative agli allarmi possono essere assunte direttamente nella Gestione allarmi .

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. Disponibile come modulo con licenza obbligatoria per zenon Operator e sotto Windows CE.


S7-Graph

Manuale -> Diagnosi PLC -> S7-Graph

Avete la possibilità di impostare un´immagine del tipo S7-Graph in zenon. Potete prevedere che in quest´immagine siano visualizzati la sequenza, il passo attivo, il nome della sequenza, il numero di quest´ultima ecc, di un PLC S7 con programmazione S7-Graph.


Passaggio da ActiveX CD_Graph7Diag.ocx all´immagine del tipo S7-Graph

Manuale -> Diagnosi PLC -> S7-Graph -> Passaggio da ActiveX CD_Graph7Diag.ocx all´immagine del tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione di ActiveX CD_Graph7Diag.ocx è stato sostituita dall´immagine del tipo S7-Graph e la funzione S7-Graph euristica. Per passare da ActiveX all´immagine e alla funzione oppure per visualizzare S7-Graph in zenon, effettuate i seguenti passi:

  1. se non è già accaduto, eseguite l´import di S7-Graph in modo tale che vengano generati i necessari file e variabili.
  2. Crea immagine del tipo S7-Graph.
  3. Crea funzione Cambio immagine per passare ad un´immagine del tipo S7-Graph. Nel dialogo di filtro che apparirà, indicate le corrispondenti variabili e file (vedi Filtro per cambio immagine).
  4. Se avete bisogno dell´euristica, impostate la funzione Valutazione euristica S7-Graph e indicate in questa sede anche i corrispondenti file e variabili (vedi Funzione Valutazione euristica S7-Graph).

Modifica nei confronti di ActiveX

  • I pulsanti KOP e FUP sono adesso elementi di controllo autonomi.
  • L´euristica è slegata dalla rappresentazione vera e propria; perciò si ha bisogno di una propria funzione.
  • I pulsanti Avanti e Indietro consentono adesso la navigazione a passi nella visione dettagliata corrispondente.


Presupposti per l'import automatico

Manuale -> Diagnosi PLC -> S7-Graph -> Presupposti per l'import automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sebbene l'import si verifichi per lo più in modo automatico, con un progetto S7-Graph bisogna adottare alcune misure per rendere possibile un import di successioni a catena in zenon. Devono essere soddisfatti i seguenti presupposti:

1. Impostazioni blocchi dati

Deve essere garantita la corretta configurazione-blocchi dati.

Effettuate le seguenti impostazioni alla voce Traduci/Salva:

Parametri | Inserimento
Parametro FB | definito dall´utente
Descrizione dell'interfaccia | Strutture individuali / carica in AS
Capacità di funzionamento | Necessario standard FC
Proprietà delle catene | Dati di analisi criteri in DB

Effettuate le seguenti impostazioni alla voce Segnalazione:

Parametri | Inserimento
Trattamento messaggio | Messaggio con ALARM_SQ / ALARM_S

2. Generare fonti

Per ogni successione a catena da importare deve essere generata una fonte attuale. Ciò si effettua nell'editor Graph7 mediante il file -> Genera fonte. Bisogna fare attenzione che il nome della fonte corrisponda al nome FB della successione a catena. Per una successione a catena nel blocco funzione 12, la denominazione della fonte deve essere quindi FB12 (oppure fb12).

3. Numero istanza DB

Per rendere possibile un'attribuzione di un blocco funzione della successione a catena alla corrispondente istanza blocco dati (Instanz-DB), non deve essere modificata l'impostazione standard (Numero DB = numero FB).


Importa dati dal progetto S7-Graph

Manuale -> Diagnosi PLC -> S7-Graph -> Importa dati dal progetto S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Cliccate con il tasto destro del mouse sull´inserimento Variabili che si trova nel Manager di progetto. Nel menu contestuale che comparirà, selezionate la voce Import/Export estesie poi Importa da progetto S7-Graph.... In alternativa, potete passare al menu contestuale anche selezionando anzitutto il nodo Variabili del manager di progetto e poi cliccando con il tasto destro del mouse nella visualizzazione dettagliata del manager di progetto.

Nel dialogo che si aprirà, selezionate il driver corrispondente che viene utilizzato per la comunicazione con il PLC; poi confermate la selezione cliccando su OK.

attenzione Attenzione

Prima di effettuare l´import, in Step 7 bzw. PC S7 deve essere stato tradotto tutto, in modo tale che tutti gli oggetti possono essere ripresi in zenon.

Importazione progetto S7-Graph

Info Informazioni

Le impostazioni che effettuate in questo dialogo, vengono salvate. Quando riaprite il dialogo, vengono di nuovo visualizzate le impostazioni effettuate per ultime.

Sono disponibili le seguenti impostazioni:

Parametri | Descrizione
Selezione progetto |
File progetto S7 | Selezionate il file progetto desiderato (*.s7p).
Driver di destinazione | In questa sede verrà visualizzato il driver che avete selezionato in precedenza. Non avete la possibilità di modificarlo in questa sede.
Crea elementi per S7-Graph |
Variabile istanza DB | Crea una variabile del tipo USINT che rappresenta il blocco dati istanza della sequenza. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Variabile di segnalazione | Crea una variabile interna del tipo STRING, che mostra il testo di stato dell´euristica.
Matrice di reazione | Crea una matrice di reazione del tipo numerico. La matrice di reazione serve al collegamento con le variabili Allarme-S. In tal modo, essa provoca l´attivazione di un allarme in zenon. L´importazione di allarmi per S7-Graph avviene tramite il PDiag Import Wizard.
Allarmi con obbligo di ripristino | Se attivate questa checkbox, tutti gli allarmi impostati dalla matrice di reazione sono con obbligo di ripristino.
Denominazione variabili |
Carattere di separazione: | Definite in questa sede il segno che sta fra la nomenclatura e il nome della sequenza concatenata.
Nomenclatura interna | Usate la nomenclatura interna per gli oggetti impostati. Esempio: S0 (per indirizzo rete = 0)
Nomenclatura WinCC | Usate la nomenclatura WinCC per gli oggetti impostati. Esempio: Programma S7
Combinata | Usate per i nomi degli oggetti impostati sia la nomenclatura interna che quella di WinCC. Come separatore tra le colonne viene utilizzato un punto.

Confermi cliccando su Esegui.

Selezionate nel dialogo successivo le stazioni desiderate (CPU). Questo dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più sequenze concatenate tenendo premuto durante la selezione il tasto Ctrl oppure quello shift. Potete impostare in questa sede l´indirizzo di rete per la comunicazione. Confermate il dialogo cliccando su OK. Verrà eseguita un´analisi del progetto S7. A seconda della dimensione del progetto, quest´operazione può richiedere più o meno tempo.

Nel dialogo successivo selezionate le sequenze concatenate che volete importare. Questo dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più sequenze concatenate tenendo premuto durante la selezione il tasto Ctrl oppure quello shift. Se il sistema non ha trovato una fonte per una sequenza concatenata, lo segnalerà nel Commento mediante l´inserimento !! Sorgente mancante !!. Queste sequenze concatenate non possono essere importate. Confermi cliccando su OK. Adesso viene eseguita l´operazione dell´import e vengono impostati gli oggetti corrispondenti in zenon. Vengono importati anche la sorgente della sequenza (*.gr7) e i simboli della sequenza (*.seq). Vengono salvati nell´editor di zenon alla voce File -> Altri -> S7-Graph.


Cambio lingua

Manuale -> Diagnosi PLC -> S7-Graph -> Importa dati dal progetto S7-Graph -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Si può stabilire in fase di progettazione che i testi nella sequenza S7 possano essere sottoposti a cambio lingua. La possibilità del cambio lingua viene in zenon di regola indicata con un anteposto segno @. Nel SIMATIC-Manager, tuttavia, non è possibile creare parole chiave con il segno @ anteposto. Perciò il cambio lingua avviene mediante un confronto testi:

  1. nella tabella lingua vengono inseriti gli elementi corrispondenti senza @
  2. il sistema cerca in tutti i campi dinamici dell´immagine e cerca di trovare una traduzione per:
    • Informazione: Nome della sequenza concatenata attiva
    • Informazione: Nome del passo attivo
    • tutti i testi della visualizzazione grafica: Passi attivi
    • tutti i testi della visualizzazione grafica: Intera catena
    • tutti i testi di Informazione: Tabelle simboli
  3. il segno @ deve essere anteposto ai campi statistici e si deve creare un inserimento nella tabella lingua per:
    • Passo indietro
    • Passo in avanti
    • Cambio Ladder Diagram/FUP

La visualizzazione dei testi per sequenze (passi) e transizioni, nonché di quelli nella tabella simboli, avviene in modo automatico se esistono gli inserimenti corrispondenti nei file .GR7 oppure in quelli .SEQ.

I dettagli concernenti il cambio lingua li trovate nella guida alla voce Cambio lingua.


Immagine del tipo S7-Graph

Manuale -> Diagnosi PLC -> S7-Graph -> Immagine del tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´immagine del tipo S7-Graph sostituisce la funzionalità dell´ActiveX CD_Graph7Diag.ocx.

Per impostare l´immagine:

  1. scegliete Nuova immagine.
  2. selezionate nella lista a cascata S7-Graph
  3. salvate l´immagine
  4. inserite gli elementi standard mediante il punto di menu Elementi di controllo -> Inserisci modello
  5. aggiungete eventualmente altri elementi necessari facendo uso dei sottopunti della voce di menu Elementi di controllo

Parametri | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Visualizzazione grafica | Elementi per la visualizzazione grafica
Passi attivi | Visualizzazione del passo o dei passi attivi della Sequential Function Chart progettata.
Intera sequenza (non di default) | Visione generale di una sequenza concatenata Visualizza tutte le sequenze progettate. Si utilizza facendo uso dei pulsanti SFC successivo e SFC precedente.
Informazione | Elementi a scopo informativo.
Nome della sequenza concatenata attiva | Mostra il nome della sequenza concatenata attiva.
Nome del passo attivo | Mostra il nome del passo attivo.
Numero del passo attivo | Mostra il numero del passo attivo.
Tabelle simboli | Mostra in due colonne rispettivamente l´indirizzo e il nome simbolo corrispondente.
Gestione | Elementi per la gestione.
Cambio Ladder Diagram/FUP | Con questo pulsante potete pasasre da il tipo di visualizzazione Ladder Diagrama quello FUP.
SFC successivo (non di default) | Durante il Runtime passa al passo successivo.
SFC precedente (non di default) | Durante il Runtime passa al passo precedente.
Sequenza successiva (non di default) | Nella visualizzazione Intera catena passa, in presenza di più sequenze nel blocco funzioni, alla sequenza successiva.
Sequenza precedente (non di default) | Nella visualizzazione Intera catena passa, in presenza di più sequenze nel blocco funzioni, alla sequenza precedente.


Filtri per cambio immagine

Manuale -> Diagnosi PLC -> S7-Graph -> Filtri per cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se usate la funzione Cambio immagine per passare ad un´immagine del tipo S7-Graph, verrà visualizzato il seguente dialogo.

Parametri | Descrizione
S7-Graph File |
S7-Graph Sorgente | Selezionate il file (*.gr7) generato dall´import di S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della sequenza.
Simbolo- file di attribuzione | Selezionate il file (*.seq) generato dall´import di S7-Graph. In questo file è contenuta l´attribuzione di operandi assoluti (corrisponden agli indirizzi fisicali) agli operandi simbolici oppure simboli (corrisponde a denominatori logici). Per esempio: Eingang "E 1.0 = Taster 1"
Variabile |
Variabile istanza DB | Variabile di zenon che rappresenta l´istanza-blocco dati della sequenza. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Visualizzazione |
Tipo di visualizzazione | Selezionate se volete una rappresentazione sulla base di Ladder (KOP) o Function (FUP). Se progettate nella Vostra immagine il pulsante cambio KOP/FUP, potete passare da una modalità all´altra durante il runtime.
Larghezza linea [Pixel] | Fissate lo spessore in pixel delle linee di collegamento fra gli elementi.
Carattere | Nella lista a cascata selezionate il carattere desiderato per tutti i testi nell´immagine del tipo S7-Graph.
Colori: | definire i colori per gli stati High Pegel e Low Pegel, nonché per i simboli. Cliccate sul quadratino colorato corrispondente per modificare il colore.


Valutare la funzione S7-Graph euristica

Manuale -> Diagnosi PLC -> S7-Graph -> Valutare la funzione S7-Graph euristica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva. In tal modo, per esempio, si può far in modo che il sistema effettui una valutazione scatenata da una segnalazione di errore S7-PDiag provocata da una variabile d´allarme.

Sono disponibili le seguenti proprietà:

Parametri | Descrizione
S7-Graph File |
S7-Graph Sorgente | Selezionate il file (*.gr7) generato dall´import di S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della sequenza.
Simbolo- file di attribuzione | Selezionate il file (*.seq) generato dall´import di S7-Graph. In questo file è contenuta l´attribuzione di operandi assoluti (corrisponden agli indirizzi fisicali) agli operandi simbolici oppure simboli (corrisponde a denominatori logici). Per esempio: Eingang "E 1.0 = Taster 1"
Variabili |
Variabile istanza DB | Variabile di zenon che rappresenta l´istanza-blocco dati della sequenza. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Variabile di segnalazione | Variabile interna del tipo STRING, che mostra il testo di stato dell´euristica.


Descrizione dell'analisi operandi

Manuale -> Diagnosi PLC -> S7-Graph -> Descrizione dell'analisi operandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter riconoscere con uno sguardo quale passo è disturbato e quali operandi ne sono responsabili nelle transizioni, la string variabile viene riempita con un messaggio significativo. Esso viene generato attraverso i passaggi seguenti:


1. 1. Ricerca del passo disturbato

Se la variabile trasmessa è del tipo UDINT, questa contiene il numero del passo disturbato nel caso in cui ci sia stato un errore. Questo numero può essere utilizzato per la successiva analisi dell'errore stesso. Nel caso in cui, invece, venga trasmessa solo una variabile BOOL, viene usato il primo passo attivo che è disturbato al momento.


2. 2 Selezione della transizione editata

Manuale -> Diagnosi PLC -> S7-Graph -> Descrizione dell'analisi operandi -> 2. 2 Selezione della transizione editata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui dovessero esistere alcune transizioni per i passi seguenti, viene analizzata solo la transizione con il numero più basso.


3. 3 Trova l'operando mancante

Manuale -> Diagnosi PLC -> S7-Graph -> Descrizione dell'analisi operandi -> 3. 3 Trova l'operando mancante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La possibile causa di malfunzionamento che è stata individuata nel modo sopra descritto, viene visualizzata nella variabile di segnalazione. Il contenuto di questa variabile viene attualizzato se Voi eseguite la funzione S7-Graph Heuristik.

Per trovare l'operando mancante nella transizione trovata, l'albero di condizione viene esaminato gerarchicamente. Ciò può essere illustrato nel modo più semplice nella visualizzazione FUP (vedi esempio sottostante). Nel caso venga trovato un operatore, sono possibili i seguenti diversi casi:

AND

Vengono seguiti tutti i percorsi che al momento dell'analisi non sono riempiti (nell'immagine sono di color rosso).

OR

Per ogni percorso viene calcolato il grado di riempimento, cioè il rapporto di input riempiti in relazione al numero complessivo degli input in entrata. Poi si segue solo quel percorso che vanta il più elevato grado di riempimento. Nel caso ci siano più percorsi con lo stesso grado di riempimento, viene usato il primo.

Con questo procedimento sistematico si trova la quantità di operandi più piccola, ma nello stesso tempo (con grande probabilità) significativa, che possono essere importanti per il passaggio al prossimo passo.

Nell'esempio seguente, questo metodo troverebbe solo l'operando M102.2, visto che esso rappresenta la quantità minore possibile di operandi necessaria per cambiare la transizione da disturbata a non disturbata.


zenon Logic Monitoring Viewer

Manuale -> Diagnosi PLC -> zenon Logic Monitoring Viewer

Info Informazioni

Questo tool server alla rappresentazione visuale e all'analisi di programmi zenon Logic. Con il Monitoring Viewer i processi nel runtime di zenon Logic possono essere visualizzati direttamente in zenon.


Requisiti

Manuale -> Diagnosi PLC -> zenon Logic Monitoring Viewer -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dalla versione 6.20 SP3 di zenon, l'ActiveX X5Monitoring.ocx, che esegue la rappresentazione di programma zenon Logic, viene installato nel percorso di programma di zenon e registrato nel sistema operativo. In precedenti versioni di zenon l´installazione e la registrazione devono essere effettuate manualmente.

Questo programma è disponibile al momento solo per la versione PC di zenon.

Per il funzionamento del Monitoring Viewers di zenon Logic è necessaria una licenza per la diagnosi PLC.

Perché il Monitoring Viewer di zenon Logicpossa visualizzare il codice di programma attuale, bisogna anzitutto inizializzare il wizard zenon Logic Monitoring immagini nella Workbench di zenon Logic. Nella Workbench di zenon Logic alla voce Tools > crea applicazione Monitoring... viene aperto il Wizard.

Questo wizard deve avere una licenza.

Durante il funzionamento del wizard, diverse proprietà dello stesso possono essere modificate, per es. può essere definita l'autorizzazione all'osservazione di programmi e a forzare dei valori di variabili (completamente bloccato, protetto da password, aperto).

Il Wizard crea un file <ProjektName>.K5m e la imposta nel percorso di progetto di zenon.


Connessione di ActiveX nell'immagine zenon

Manuale -> Diagnosi PLC -> zenon Logic Monitoring Viewer -> Connessione di ActiveX nell'immagine zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate nell'editor di zenon l'elemento dinamico ActiveX e ingranditelo alla superficie desiderata nell'immagine di zenon. In seguito si apre un dialogo per la selezione dell'ActiveX Control. Selezionate X5Monitoring Control e cliccate sulle proprietà ....

Nel seguente dialogo indicate il percorso del file che è stato creato nel Monitoring Builder ed impostate i parametri di comunicazione:

Info Informazioni

Nel caso in cui durante il funzionamento del Monitoring Builder Wizard non siano stati modificati dei percorsi, il file Monitoring si trova nel percorso SQL del progetto di zenon. Trovate la GUID (per es. andando a vedere nelle proprietà del progetto zenon Logic in zenon) e estraete il file *.K5m. Lo trovate normalmente nel percorso standard

C:\ProgramData\COPA-DATA\SQL\<GIUID>/FILES/straton/<zenon Logic Projekt Name>/<zenon Logic Projekt Name.K5m>.

Info Informazioni

Usate nei connection settings solo l'indirizzo IP e non il nome del calcolatore! Nel caso in cui l'applicazione zenon Logic funzioni sullo stesso calcolatore di zenon, inserite come localhost 127.0.0.1.

Separato da i due punti (:), inserite dopo l'indirizzo IP il Port runtime del runtime di zenon Logic. Per lo più esso è 1200.


Rappresentazione dell'ActiveX nell'immagine di zenon nel runtime.

Manuale -> Diagnosi PLC -> zenon Logic Monitoring Viewer -> Rappresentazione dell'ActiveX nell'immagine di zenon nel runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Confermi cliccando su “OK“. Dopo la generazione dei file Runtime di zenon e l'avvio del Runtime di zenon e zenon Logic, il codice PLC viene visualizzato nella corrispondente immagine di zenon:

A seconda delle autorizzazioni impostate nel Monitoring Builder Wizard, programmi possono essere osservati oppure valori possono essere forzati.


Diagnosis Viewer

Manuale -> Diagnosis Viewer

Tutti i moduli di zenon, come, per esempio, Editor, Runtime, driver, ecc. scrivono delle segnalazioni in un file Log comune. Esso può essere letto e configurato con il programma Diagnose Viewer, che viene installato con zenon. Permtte la lettura di file di Log esistenti, l'online-logging, il salvataggio della visualizzazione attuale, e la parametrizzazione di Diagnose-Client e Diagnose-Server. Avviate il Diagnose Viewer alla voce Start/Tutti i programmi/zenon/Tools 7.00 -> Diagnose Viewer.

Il Diagnose Viewer è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Uso di IPv6

Il server di diagnosi funziona anche con client di diagnosi che vengono raggiunti tramite indirizzi IPv6. A tal scopo si è provveduto ad adattare il formato dei file Log. Il Diagnose Viewer legge solamente il nuovo formato dei file LOG. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.

Analisi driver

I driver di zenon protocollano tutti gli errori nei file Log. La cartella standard per i file Log è la LOG che si trova al di sotto di quella ProgramData, per es.: C:\ProgramData\zenon \zenon700\LOG per la versione 7.00 SP0 di zenon. I file Log sono file di testo con una struttura speciale:

Attenzione: con le impostazioni standard, un driver registra solamente le informazioni errate. Grazie al Diagnose Viewer si può estendere per la maggiore parte dei driver il livello di diagnosi anche a „Debug" e „Deep Debug". In questo caso, il driver protocollerà anche tutti gli altri compiti ed eventi fondamentali.

Nel Diagnose Viewer si può anche:

  • seguire live degli inserimenti appena creati
  • adattare le impostazioni di registrazione
  • modificare la cartella in cui vengono salvati i file Log

Avvertenza:

  1. a causa della limitatezza delle risorse disponibili, sotto Windows CE anche gli errori non vengono protocollati di default.
  2. Il Diagnose Viewer mostra tutti gli inserimenti in UTC (tempo coordinato universale) e non nel tempo locale.
  3. Nella sua impostazione standard, il Diagnose Viewer non mostra tutte le colonne di un file Log. Per visualizzare un numero maggiore di colonne, attivate la proprietà Add all columns with entry nel menu contestuale del titolo della colonna.
  4. Se si usa un puro Error-Logging, una descrizione del problema si trova nella colonna Error text. In altri livelli di diagnosi, questa descrizione si trova nella colonna General text.
  5. In caso di problemi di comunicazione, molti driver registrano anche un numero di errore, che gli viene comunicaro dal PLC. Essi vengono visualizzati in Error text e/o Error code e/o Driver error parameter(1 e 2). Potete trovare delle indicazioni relative al significato dei codici di errore nella documentazione driver e nella descrizione del protocollo/PLC.
  6. Annullate alla fine del Vostro test il livello di diagnosi di Debug o Deep Debug. Nel caso di Debug e Deep Debug, infatti, c`è una grande quantità di dati che devono essere salvati sul disco fisso e ciò potrebbe compromettere la prestazione del Vostro sistema. Il sistema continuerà a registrare questi dati anche dopo che avrete chiuso il Diagnose Viewers.


Generale

Manuale -> Diagnosis Viewer -> Generale

Il sistema di diagnosi di zenon consiste di tre parti:

  • Diagnose Server: LogSrv locale oppure impostato nello zenon6.ini
  • Diagnose Clients: tutti i moduli, driver, servizi ecc che settano delle segnalazioni
  • Diagnose Viewer: Programma di analisi

Versioni

A partire dalla versione 7.00, si usa come servizio per il sistema di diagnostica lo zenLogSrv anziché lo zenSysSrv. Il che significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili fra di loro e quelli a partire dalla versione 7.00 sono compatibili fra di loro.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnose Viewer 6.51 SP0 e precedenti | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnose Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnose Viewer Version 7.00 SP0 e versioni successive, i file Log creati da un Server di diagnosi della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!

Port standard

  • dalla versione 7: 50780 (port del servizio zenLogSrv)
  • fino alla versione 6.51 inclusa: 1101 (port del servizio zenSysSrv)

Se non risulta possibile aprire la port, il servizio corrispondente si chiude.

attenzione Attenzione

Se la port alla quale il Diagnose Viewer deve connettersi, è chiusa, il sistema cercherà di avviare il server di diagnosi locale. In tal modo si assicura che il sistema realizzi un login a livello locale se un server di diagnosi non è disponibile in rete.

Posto occupato nella memoria

Il servizio zenLogSrv salva in un buffer gli inserimenti LOG aspettando che essi possano essere scritti nel file LOG. Se il consumo dello spazio della memoria di lavoro sale in continuazione a causa dello zenLogSrv, ciò è l´indizio evidente che non è possibile scrivere nel file LOG.


Topologia del sistema di diagnosi

Manuale -> Diagnosis Viewer -> Topologia del sistema di diagnosi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La topologia del sistema di diagnosi è diversa nelle versioni fino alla 6.51 SP0 e in quelle a partire dalla 7.00 SP0.

Topologia prima della versione 7.00 SP0 zenon

Lo schema mostra tutte le connessioni possibili per le quali è responsabile la versione zenSysSrv. Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si collegano allo zenSysSrv tramite la port 1101, indipendentemente dal fatto se client o server si trovano sullo stesso calcolatore, oppure comunicano tramite una rete.

  1. L´Editor invia gli inserimenti Log, nonché i comandi e i dati del trasporto remoto allo zenSysSrv. Lo zenSysSrv manda la configurazione del Diagnose Client (Editor, Runtime, driver, Webserver, Webclient ecc.) e i dati del trasporto remoto all´Editor.
  2. Il Diagnose Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenSysSrv. Lo zenSysSrv manda i dati di diagnosi e la configurazione del Diagnose Client al Diagnose Viewer.
  3. Lo zenSysSrv manda la configurazione del Diagnose Client ai Diagnose Client. I Diagnose Client mandano gli inserimenti Log allo zenSysSrv.

Lo zenSysSrv reagisce in modo corrispondente ad ogni messaggio in arrivo:

  • Gli inserimenti Log vengono scritti nei file LOG.
  • I comandi del trasporto remoto (avvia Runtime, carica file / importa file, …) vengono eseguiti.
  • I comandi di diagnosi (setta configurazione Server/Client, inizia Online Logging, …) vengono eseguiti.

Topologia a partire dalla versione 7.00 SP0 zenon

Lo schema mostra tutte le possibili connessioni per cui è responsabile lo zenSysSrv e lo zenLogSrv (a partire dalla versione 7.00 SP0). Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si connettono allo zenLogSrv tramite la Port 50780. L´Editor si connette allo zenSysSrv mediante la Port 1101. Non ha alcuna importanza se client o server si trovano sullo stesso calcolatore, oppure comunicano tramite una rete.

  1. L´Editor invia comandi e dati del trasporto remoto allo zenSysSrv. Lo zenSysSrv invia i dati del trasporto remoto all´Editor
  2. L´Editor manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione del Diagnose Client all´Editor.
  3. Il Diagnose Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenLogSrv. Lo zenLogSrv manda i dati di diagnosi e la configurazione dei Diagnose Client al Diagnose Viewer.
  4. Lo zenSysSrv manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione dei Diagnose Client allo zenSysSrv.
  5. Lo zenLogSrv manda la configurazione dei Diagnose Client ai Diagnose Client. I Diagnose Client mandano gli inserimenti Log allo zenLogSrv.

Il zenSysSrv reagisce a: comandi di Remote Transport in entrata.
Lo zenLogSrv reagisce a comandi di diagnosi in arrivo e a inserimenti Log.

Esempio

In un ambiente con un Diagnose Server centrale viene avviato il Runtime su un apparecchio. Sulla base della versione Runtime, la configurazione viene letta andandola a prendere nello zenon6.ini. Le versioni prima della 7.00 SP0 leggono l´inserimento LOG_CONFIG andando a prenderlo nello [SYS_REMOTE], le versioni più recenti leggono questo inserimento andando a prelevarlo da [LOGGING_SYSTEM]. In presenza di questa configurazione, il sistema cerca di instaurare una connessione di diagnosi. (Per i dettagli, vedi Procedura standard.) Anche ogni ulteriore componente scaricata dal Runtime (driver, zenNetSrv ecc.) instaura una connessione di diagnosi.


Decorso standard

Manuale -> Diagnosis Viewer -> Decorso standard

Di default, i client trasmettono al Diagnose Server solamente le segnalazioni di errore (Errors).

Il Diagnose Server salva le segnalazioni ricevute in file TXT con una struttura particolare. La cartella standard per i file LOG è la LOGche si trova al di sotto di quella ProgramData. Ad esempio: %ProgramData%\COPA-DATA \LOG.
Ulteriori informazioni le trovate nella guida Installazione e Updates nel capitolo Struttura file.

Indicazione: a causa della limitatezza delle risorse, sotto Windows CE non vengono generate di default neanche delle segnalazioni di errore.

Per comunicare al Diagnose Server non solo segnalazioni di errore ma anche altre informazioni importanti a fini diagnostici, devono essere effettuate le corrispondenti impostazioni per il Client.

Anche il comportamento del Server può essere configurato.

Configurazione

La configurazione della connessione avviene nello zenon6.ini, suddivisa in:

  • Diagnose Client
  • Diagnose Server
  • versioni, per assicurare che le configurazioni delle versioni non si intralcino l´una con l´altra.

Anche la configurazione del Diagnose Viewer consente delle impostazioni per configurare la connessione:

  • Impostazioni del Server
  • Impostazione di connessione Diagnose Server Connection
  • Client di diagnosi
  • Diagnosis Viewer - Programma di analisi

Si consiglia di effettuare la configurazione della connessione per server e client via zenon6.ini.

Procedura

Il Diagnose Server è:

  • un servizio sul PC
    il servizio si avvia automaticamente al momento della partenza del sistema operativo. Il servizio locale può essere avviato solamente una volta.
  • un´applicazione sotto CE
    Sotto CE, solo un processo può usare la port. Altri processi eventualmente avviati, vengono chiusi, perché la port non può essere aperta. Se la configurazione locale del Diagnose Server sotto CE è tale che deve essere mostrata solamente la superficie (INIT=2), possono crearsi diversi processi a causa dei tentativi dei Diagnose Client di avviare il Diagnose Server locale.

Non appena un Diagnose Client è attivo, vengono eseguiti i seguenti passi:

  1. Il Diagnose Client legge la configurazione prendendola dallo zenon6.ini e la usa. Se nello zenon6.ini non c`è alcuna configurazione, viene usata quella standard (Diagnose Server=localhost:50780).
  2. Il Diagnose Client cerca di instaurare una connessone con il Diagnose Server:

    L´instaurazione della connessione riesce:

    1. la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    L´instaurazione della connessione fallisce:

    1. il Diagnose Client cerca di avviare il Diagnose Server locale e di usarlo.
      Il sistema cerca di avviare il servizio sul PC.
      Sotto CE, il sistema cerca di generare il processo.
    2. Il Diagnose Client cerca di instaurare una connessone con il Diagnose Server locale. Se ciò riesce, la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    Nel caso in cui la connessione non dovesse riuscire, non verrà creato nessun inserimento LOG.


Inserimenti nello zenon6.ini

Manuale -> Diagnosis Viewer -> Decorso standard -> Inserimenti nello zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione di zenSysSrv e zenLogSrv avviene tramite lo zenon6.ini. Ci sono delle differenze fra le versioni fino alla 6.51 e e quelle a partire dalle 7.00. In tal modo è possibile configurare su un apparecchio sia vecchi che nuovi Diagnose Client e Diagnose Server indipendentemente gli uni dagli altri. In tal modo, per esempio, si può attingere agli inserimenti Log di vecchi client di diagnosi senza che gli inserimenti Log di nuovi client di diagnosi ne siano toccati.

Diagnose Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per zenSysSrv (Remote Transport e Diagnose Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c`è questo inserimento, il sistema prende come valore standard la cartella LOG che si trova in ProgramData-Cartelle della versione utilizzata.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server e il zenSysSrv . Remote Transport e Diagnose-System usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usata.
    TCP/IP e seriale sono a disposizione.
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima che si vada al di sotto di questo valore, i file Log verranno cancellati.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, i file Log verranno cancellati.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce la durata dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo di cui i campi LOG incrementali vengono scritti.

Default: 0

LOGLogUpdateTime=

Numero di millesecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che vengono mantenuti in un buffer se non è possibile scrivere in file.

Default: 10240

LOGMaxLogFileSize=

Grandezza massima di un file LOG in Byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema controlla il posto di memoria occupato dai file LOG.

Default: 60

INIT=

azione al momento dell´avvio sotto Windows CE:

  • 0: chiudi subito
  • 1 (o altro valore superiore 2): aprire Listening Port e minimizzare System Tray
  • 2: mostra solo superficie

Default: 1

Indicazione: in seguito alla sepazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Server. Riguarda solamente zenLogSrv e non ha alcun effetto su zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa come valore standard:

il percorso estratto dalla registry
z.B. %ProgramData%\COPA-DATA\LOG

la cartella LOG nel percorso ProgramData del zenLogSrv, nel caso in cui nella registry non sia definito nessun percorso.
per es. %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima che si vada al di sotto di questo valore, i file Log verranno cancellati.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, i file Log verranno cancellati.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce la durata dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo di cui i campi LOG incrementali vengono scritti.

Default: 0

LOGLogUpdateTime=

Numero di millesecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che vengono mantenuti in un buffer se non è possibile scrivere in file.

Default: 10240

LOGMaxLogFileSize=

Grandezza massima di un file LOG in Byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema controlla il posto di memoria occupato dai file LOG.

Default: 60

INIT=

azione al momento dell´avvio sotto Windows CE:

  • 0: chiudi subito
  • 1 (o altro valore superiore 2): aprire Listening Port e minimizzare System Tray
  • 2: mostra solo superficie

Default: 1

Diagnose Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Qui si deposita la stringa di configurazione per il Diagnose Client. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnose Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Qui si deposita la stringa di configurazione per il Diagnose Client. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Avvertenza:

INIT sotto CE

Per quello che concerne Windows CE si consiglia calorosamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Causa: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente la superficie e non aprono la listening port.
Se poi un Diagnose Client vuole instaurare una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la port, ogni singolo Diagnose Client avvia tale processo. La conseguenza sono molti paralleli processi LogSrvCE e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il passare del timeout al momento di instaurare la connessione di diagnosi.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnose Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Causa: i client più vecchi usano poi il zenLogSrv come Diagnose Server. I nuovi client lo fanno automaticamente. Sul PC, questo servizio viene avviato automaticamente al momento dell´avvio del sistema, sotto CE deve essere avviato manualmente.

Attenzione: se la port non è raggiungibile, i client più vecchi avviano il zenSysSrv e cercano di instaurare con esso una connessione.


Windows CE

Manuale -> Diagnosis Viewer -> Decorso standard -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sotto Windows CE, il Diagnose Server viene avviato come applicazione.

Nell´effettuare la configurazione della connessione, tenete presente il consiglio del parametro INIT:

Per quello che concerne Windows CE si consiglia calorosamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Causa: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente la superficie e non aprono la listening port.
Se poi un Diagnose Client vuole instaurare una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la port, ogni singolo Diagnose Client avvia tale processo. La conseguenza sono molti paralleli processi LogSrvCE e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il passare del timeout al momento di instaurare la connessione di diagnosi.

Superfici sotto CE

Transport Service (zenSysSrv)

Parametri

Descrizione

Start

Apre la Listening Port e consente allo zenSysSrv di ricevere comandi Remote Transport.

Browse

Apre il dialogo per la ricerca del sistema file.

Stop

Termina la ricezione di comandi remote transport e chiude la Listening Port.

Configuration

Selezione di una configurazione server disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione standard per TCP/IP
  • Configurazioni standard per COM1 fino a COM4

Hide

Minimizza la superficie nel sistema Tray.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Minimizza la superficie nel sistema Tray.

Logging Service (zenLogSrv)

Parametri

Descrizione

Start

Apre la Listening Port e consente allo zenLogSrv di ricevere inserimenti LOG.

Stop

Termina la ricezione di inserimenti LOG e chiude la Listening Port.

Configuration

Selezione di una configurazione disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione standard per TCP/IP

Hide

Minimizza la superficie nel sistema Tray.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Minimizza la superficie nel sistema Tray.


Diagnose Server

Manuale -> Diagnosis Viewer -> Diagnose Server

Il Diagnose Server:

  • Crea e gestisce file di Log.
  • Il server è:
    • implementato come zenLogSrv a partire dalla versione 7.00 di zenon
    • integrato nello zenSysService fino alla versione 6.51 di zenon inclusa
  • La configurazione del server viene ripresa dallo zenon6.ini.
  • Il server scrive i file Log ricevuti nel file Log.
  • E' possibile configurare il luogo dove si salvano i file. Standard: %ProgramData%\COPA-DATA\LOG\
  • I file di Log hanno la denominazione LOG<YYMMTThhmmss>.txt.
  • Il server è multi-client. Diverse valutazioni possono collegarsi contemporaneamente al server.
  • C'è la possibilità di connettersi con il server online per seguire le operazioni di Loggin attuali.
  • C'è la possibilità di collegarsi a server diversi dal Server di diagnosi operante localmente e di effettuare le stesse operazioni (configurare il server o i client, Online Logging) che si realizzano sul server locale.
  • Possono essere modificati i parametri nel server attuale (con cui è collegato il Diagnose Viewer). Nel caso sia necessaria una modifica in un altro server di diaegnosi, la connessione server può essere cambiata usando il menu "File-Connetti con..". ... .
  • Nel menu, la voce Settings - Server configuration è disponibile solo nel caso in cui non si usi al momento un Online-Logging.


Controllo integrità sistema

Manuale -> Diagnosis Viewer -> Diagnose Server -> Controllo integrità sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento dello start del runtime, viene avviato un thread di controllo che possiede il più elevato livello di priorità. Il thread controlla ogni 10 secondi i parametri critici di sistema e scrive gli eventuali avvertimenti e messaggi di errore nel modulo Supervisor del server di diagnosi.

Vengono controllati i seguenti parametri.

Parametri | Valore limite
Soglia di avvertimento per handle usati | > 5000
Soglia di errore per handle usati | > 9000
Soglia di avvertimento per oggetti GDI usati | > 5000
Soglia di errore per oggetti GDI usati | > 9000
Soglia di avvertimento per carico CPU per il thread principale | > 70 %
Soglia di errore per carico CPU per il thread principale | > 90 %
Soglia di avvertimento per carico CPU complessivo | > 70 %
Soglia di avvertimento per carico CPU complessivo | > 90 %
Soglia di avvertimento per memoria principale libera | < 30 %
Soglia di errore per memoria principale libera | < 10 %
Soglia di avvertimento per OnTimer in mainframe | > 1000 ms
Soglia di errore per OnTimer in mainframe | > 5000 ms


Impostazioni del Server

Manuale -> Diagnosis Viewer -> Diagnose Server -> Impostazioni del Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Diagnose Server può essere configurato facendo uso di inserimenti nello zenon6.ini, oppure ricorrendo al dialogo Server configuration nel Diagnose Client. Si consiglia di effettuare le impostazioni tramite lo zenon6.ini.

Configurazione tramite lo zenon6.ini

Vedi sezione Inserimenti nello zenon6.ini.

Configurazione tramite dialogo

Per configurare un Diagnose Server facendo uso del dialogo:

  1. avviate il Diagnose Viewer
  2. aprire l´inserimento File Connect to...
  3. configurate il server desiderato
    (Fate attenzione a scegliere la port correttamente, a seconda della versione che state utilizzando!)
  4. aprite l´inserimento Settings -> Server configuration
  5. configurate gli eventi desiderati
  6. chiudete il dialogo cliccando su OK.

Indicazione: tutte le modifiche verranno scritte nello zenon6.ini se confermte il dialogo.

Configurazione degli eventi che vengono presi in considerazione dal vom Diagnose Viewer:

Parametri | Descrizione
Modules | Selezione del modulo da configurare.
Livello messaggi | selezione degli eventi Default: Errors
LOGImageCnt | Numero degli inserimento dopo cui vengono scritti tutti i campi incrementali. Default: 0 (non attivo)
LOGMinFreeDiskSpace | Si controlla in continuazione se è disponibile meno posto sul disco di quello che è stato impostato al momento della configurazione. I più vecchi file di LOG vengono cancellati. Posto minimo libero sul disco (espresso in MB) prima che si proceda alla cancellazione di file di LOG. Default: 1024 MB
LOGMaxUsedDiskSpace | Posto massimo sul disco (espresso in MB) usato per il Log. Default: 1024 MB
LOGMinUsedDiskSpace | Posto minimo usato sul disco (espresso in MB) indipendentemente dal fatto se il LOGMinFreeDiskSpace sia superato per difetto o no. Default: 5 MB
LOGLogUpdateTime | Tempo in millesecondi dopo cui vengono salvati gli inserimenti ricevuti. Default: 2000 ms
LOGMaxBufferedRecs | Il server inserisce nel buffer il contenuto di tutti i campi Log incrementali per diverse applicazioni, per poter scrivere immagini di queste nel file LOG. Con l'avvio di un file LOG e dopo un numero configurabile di inserimenti-LOG, viene scritta nel file LOG un'immagine completa per tutti gli indirizzi. I dati ricevuti vengono scritti nei file di LOG. L'inserimento non avviene direttamente, ma passando per un buffer temporaneo. Si può stabilire se i dati debbono essere scritti immediatamente o con un tempo di ritardo. Numero degli inserimenti nel buffer quando non è stato possibile salvarli. Default: 10240
LOGMaxLogFileSize | Il server scrive i file Log ricevuti nel file Log. Se quest'ultimo raggiunge la grandezza configurata, viene creato un nuovo file. Grandezza massima di un singolo file LOG in Byte. Default: 5 MB
LOGDirectory | Cartella nella quale viene scritto il file LOG. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Avviene un controllo continuo volto a verificare se la durata del file LOG sia scaduta o meno. I più vecchi file LOG vengono cancellati. Numero dei secondi che vengono conservati nel file LOG. Default: 14 giorni
LOGCheckDiskTime | Intervallo espresso in secondi nel quale si controlla il posto del disco occupato. Default: 60 s
Message Level for all Modules | Le impostazioni vengono accettate per tutti i moduli.
Default values | Ripristina le impostazioni standard
Accept | Accetta le impostazioni per questo modulo.
Cancel | Rifiuta le modifiche e chiude il dialogo.
OK | Riprende e accetta le modifiche e chiude il dialogo.


Client di diagnosi

Manuale -> Diagnosis Viewer -> Client di diagnosi

Tutti i programmi che creano inserimenti Log, sono Diagnose Client. Questi inserimenti Log vengono inviati al server di diagnosi via TCP/IP. Il calcolatore server e la port vengono letti e contattati (indipendentemente dalla versione utilizzata) a partire dallo zenon6.ini locale. Se la connessione non può essere instaurata, il sistema ci riprova ciclicamente:

  • se il Diagnose Server non è raggiungibile, il sistema prova ad instaurare una connessione ogni 500ms.
  • Se, trascorsa la metà del tempo di timeout, non fosse ancora possibile stabilire una connessione, si fa il tentativo di avviare il servizio zenSysSrv o zenLogSrv.

Le impostazioni relative vengono configurate mediante l´inserimento LOG_CONFIG= nella sezione [SYS_REMOTE] (fino alla versione 6.51) oppure il [LOGGING_SYSTEM] (a partire dalla versione 7.00).

Configurazione Diagnose Client

Per configurare un Diagnose Client facendo uso del dialogo:

  1. avviate il Diagnose Viewer
  2. aprite l´inserimento Settings -> Client configuration
    (disponibile solamente se il loggin non è attivo)
  3. evidenziate un client
  4. cliccate su List of parameters
  5. si apre il dialogo di configurazione
  6. configurate il client
  7. chiudete il dialogo cliccando su OK.
  8. ripetete eventualmente il procedimento per altri client.

Lista client

Parametri | Descrizione
Clients | Ordina in una lista tutti i client disponibili.
Refresh | Attualizza la lista dei client.
List of parameters | Apre il dialogo per la configurazione del client selezionato.
Close | Chiude il dialogo.

Configura client

I moduli standard che possono essere selezionati, sono i seguenti:

Parametri

Descrizione

Modules

Selezione del modulo da configurare.

La lista si compone di moduli standard e altri moduli, che dipendono dal client in questione.

  • General: segnalazioni generali
  • Net: Messaggi in rete
  • Proxy: Segnalazioni del Proxy di zenon
  • Db: Messaggi di ZenDbSrv.
  • SysSrv: Messaggi di ZenSysSrv
  • Driver: Messaggi di un driver
  • Log: Messaggi di Logging
  • SAT: Messaggi speciali di SICAM 230

Livello messaggi

Tipo delle informazioni

All

Seleziona tutto.

None

Deseleziona tutto.

Message Level for all Modules

Assegna Message Level evidenziati a tutti i moduli.

Max Buffered records

Quantità degli inserimenti che vengono inseriti nel buffer quando esiste una connessione col il server.
Default: 256

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude il dialogo.

Accept

Riprende e accetta tutte le modifiche e lascia aperto il dialogo.

Default values

Inserisce i valori standard.


Diagnosis Viewer - Programma di analisi

Manuale -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Diagnose Viewer serve alla visualizzazione dei dati LOG. Si collega al server di diagnosi per visualizzare i file online o per richiamare file LOG storici. I file LOG non contengono solamente i dati LOG; vengono depositate anche ulteriori informazioni necessarie per l´analisi, come titoli colonne.

Per visualizzare un file LOG:

  1. selezionate File -> Open
  2. si apre il dialogo che serve alla scelta di un file LOG, con focus sulla cartella standard configurata
  3. selezionate il file desiderato
  4. il file LOG viene visualizzato

  5. cliccando due volte su un inserimento si apre la visuale dettagli

Riconoscimento di "Coda driver pieno" in caso di driver

Se delle segnalazioni di un driver vengono cancellate per "Coda driver pieno", i Diagnose Client e il Diagnose Server, scrivendo un nuovo inserimento per tutti i moduli attivi, settano un segnale nel nuovo inserimento che indica il fatto che degli inserimenti più vecchi sono stati cancellati dalla Queue. Questi segnali presenti nei file LOG aperti vengono contati:

Parametri | Descrizione
Colonna Record version | Questa colonna deve essere contenuta nella selezione colonne. Essa mostra la versione del record. Una versione 8x rimarca Overflows.
Contatore 82 | 8 rimanda a Overflow, 2 alla versione del record in questione.
Riga di stato: queue overflows | Con la riga di stato attiva, viene indicato in questa sede il numero di Overflows.

Indicazione: non tutti gli inserimenti scritti nel file di LOG vengono anche visualizzati. Se un record LOG non visualizzato è stato rimarcato con una coda, esso viene visualizzato nel prossimo record visualizzato da questo client. Se diversi inserimenti non visualizzati sono rimarcati con una coda, il contatore nella riga di stato può divergere dal numero dei record che sono rimarcati con coda.


Impostazioni globali

Manuale -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli inserimenti sono in lingua inglese.

Parametri

Descrizione

File

Comandi nel menu file

Open

Apre il dialogo che serve alla selezione di un file LOG salvato in formato TXT Ogni file di LOG aperto, viene visualizzato in una propria finestra.

Open to active document

Ogni file di LOG selezionato viene aggiunto alla finestra attiva in quel momento.

Close

Chiede la finestra attiva in quel momento.

Save

Salva i file di LOG della finestra attiva al momento.

Save as

Salva la visuale attuale della finestra attiva (per es. dopo le impostazioni di filtro) nel file che l'utente indica.

Remote Download

Disponibile solo se esiste una connessione con un Diagnose Server remoto. Consente il dowload di dati di logging del server remoto nella cartella LOG locale. Viene creata una sotto-cartella con il nome del calcolatore. Il sistema rende disponibile solo i file che sono stati modificati o che sono nuovi.

Connect to

Viene aperto un dialogo per la selezione di un tipo di connessione.

Online

Viene attivata l'osservazione errori online.
Quando viene avviato il Loggin online, vengono emessi tutti gli inserimenti ricevuti. Può essere impostato anche qui lo stesso dialogo filtro come nel caso della lettura file.

Differenza:? nel caso in cui sia stata selzionata una connessione Log, vengono visualizzati tutti gli inserimenti Log ricevuti; in caso contrario solo quelli provenienti dai clienti selezionati.

Nel caso in cui si modifichi il filtro in relazione alla connessione Log, tutti gli inserimenti che non corrispondono alle condizioni di filtro, vanno perduti. (Il file LOG viene però impostato e tutti gli inserimenti vengono salvati.) Gli inserimenti visualizzati possono essere salvati.

Offline

Viene disattivata l'osservazione errori online (default).

Exit

Termina il Diagnose Viewer.


Impostazione di connessione Diagnose Server Connection

Manuale -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Impostazione di connessione Diagnose Server Connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Diagnose Viewer si connette automaticamente al momento dello start con uno standard-server selezionato. Se non è definito nessun server standard, si usa localhost . La configurazione server può avvenire anche tramite lo zenon6.ini (consigliato).

Seleziona Diagnose Server

Cliccando su File -> Connect to... si apre il dialogo che serve alla selezione di un server:

Parametri

Descrizione

Lista server

Ordina in una lista tutti i server configurati e mostra:

  • Stato
  • Nome
  • Port
  • Timeout

OK

Riprende le impostazioni e chiude il dialogo.

Cancel

Rifiuta le impostazioni e chiude il dialogo.

New Server

Apre il dialogo che serve alla configurazione di un nuovo server.

Delete Server

Inserimento "server selezionato" viene cancellato dalla lista.

Edit Server

Apre il dialogo per la configurazione del server selezionato.

Connect to

Instaura la connessione con il server selezionato.

As default

Inserimento "server selezionato" diviene "server standard.

Crea e modifica Diagnose Server

Cliccando su New Server oppure su Edit Server nel dialogo "Diagnosis Server connection", si apre il dialogo per la configurazione del server:

Parametri | Descrizione
Server name | Il nome del calcolatore con il quale deve essere effettuata la connessione. Su esso devono essere attivi: fino alla versione 6.51: lo zenSysSrv dalla versione 7:00 lo zenLogSrv
Port | Port del servizio sul calcolatore destinatario: fino alla versione 6.51: 1101 dalla versione 7:00 50780
Timeout | Tempo, espresso in secondi, nel corso del quale si attende una risposta del Sysservice. Default: 10 s
OK | Riprende le impostazioni e chiude il dialogo.
Cancel | Rifiuta le impostazioni e chiude il dialogo.


Impostazioni colonne

Manuale -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel menu, alla voceSettings -> Column settings , è possibile selezionare una molteplicità di colonne predefinite. All'apertura di un nuovo file, vengono visualizzate automaticamente queste colonne con i loro inserimenti. Vengono tenute in considerazione la successione e la larghezza delle colonne della selezione. La larghezza delle colonne deve essere settata al momento dell'apertura ad Autosize.

Parametri | Descrizione
available | Colonne disponibili
selected | Colonne che vengono visualizzate
> | aggiunge le colonne selezionate in available a selected
>> | aggiunge tutte le colonne disponibili in available a selected
< | rimuove le colonne selezionate in selected
<< | rimuove tutte le colonne disponibili in selected
^ | ordina gli inserimenti selezionati in un livello superiore (multiselect possibile).
v | ordina gli inserimenti selezionati in un livello inferiore (multiselect possibile).
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.

Le colonne possono essere configurate anche nel menu contestuale:

Parametri | Descrizione
Add all columns with entry | Aggiunge tutte le colonne che contengono inserimenti.
Remove Column | Esclude le colonne selezionate.
Remove all empty columns | Esclude tutte le colonne senza inserimento.
Column width automatic | La larghezza della colonna selezionata viene adattata automaticamente all'inserimento più lungo.
All columns widths automatic | La larghezza di tutte le colonne viene adattata automaticamente all'inserimento più lungo.


Possibilità di filtro

Manuale -> Diagnosis Viewer -> Possibilità di filtro

Per definire dei filtri, aprite il dialogo corrispondente facendo uso dei relativi simboli oppure della scheda del filtro.

Barra simboli Filtro

Per poterla utilizzare, la barra dei simboli deve essere anzitutto attivata nel menu View facendo uso dell´inserimento Icon bar

Simbolo | Tooltip | Descrizione
1 | Change pre-filter settings | Apre il dialogo con cinque tab che serve alla definizione dei filtri.
2 | Change pre-filter for IP-ProcessID-LogID | Apre il tab IP address - Process No - Log ID.
3 | Change pre-filter for modules | Apre il tab Modules.
4 | Change pre-filter for additional columns | Apre la scheda Additional columns.
5 | Change pre-filter for time interval | Apre il tab Time interval.
6 | Change pre-filter for coloring | Apre il tab Colors.

Dialogo filtro

Schede | Descrizione
IP-ProcessID-LogID | Apre la scheda IP address - Process No - Log ID che serve alla configurazione dei collegamento di cui si deve effettuare il Login.
Modules | Apre la scheda Modules per i moduli di cui si deve effettuare il protocollaggio.
Additional columns | Apre la scheda Additional columns che serve alla selezione delle ulteriori colonne da visualizzare.
Time interval | Apre la scheda Time interval che serve alla definizione dei filtri tempo.
Colors | Apre la scheda Colors che serve alla selezione dei colori da utilizzare per mettere in evidenza determinate informazioni.


IP address - Process No - Log ID

Manuale -> Diagnosis Viewer -> Possibilità di filtro -> IP address - Process No - Log ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione delle connessioni e dei processi che devono essere visualizzati.

Parametri | Descrizione
available | Lista delle connessioni disponibili.
selected | Lista delle connessioni selezionate.
Tasti con frecce | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Modules

Manuale -> Diagnosis Viewer -> Possibilità di filtro -> Modules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione del moduli che devono essere visualizzati.

Parametri | Descrizione
Module filter active | Attivo: viene effettuata un´operazione sulla base di moduli. In tal modo, vengono visualizzati solamente dei record LOG che sono assegnati a un modul selezionato.
available | A disposizione ci sono i seguenti moduli:
selected | Moduli selezionati.
Tasti con frecce | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Additional columns

Manuale -> Diagnosis Viewer -> Possibilità di filtro -> Additional columns

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione delle ulteriori colonne che devono essere visualizzate.

Parametri | Descrizione
available | Lista delle colonne disponibili. Vengono visualizzate tutte le definizioni di campo presenti nel file.
selected | Lista delle colonne selezionate.
Tasti con frecce | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Time interval

Manuale -> Diagnosis Viewer -> Possibilità di filtro -> Time interval

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione del filtro tempo per la rappresentazione degli inserimenti.

Parametri | Descrizione
Start time: | selezione della data e del momento a partire da cui verranno visualizzati degli inserimenti. Default: Data attuale
End time: | selezione della data e del momento fino a cui verranno visualizzati degli inserimenti. Default: Data attuale
Reset time interval | resetta il filtro sul valore standard.
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Colors

Manuale -> Diagnosis Viewer -> Possibilità di filtro -> Colors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione dei colori per caratterizzare delle informazioni.

Parametri | Descrizione
Colors for: | selezione del colore
IP address | Attiva: Dei differenti indirizzi IP vengono colorati in modo diverso.
Modules | Attiva: Dei differenti moduli hanno diversi colori.
Log connection | Attiva: Diversi nomi del collegamento LOG vengono colorati in modo differente.
no colors | Attiva: gli inserimenti non vengono colorati.
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Lettura del file LOG

Manuale -> Diagnosis Viewer -> Lettura del file LOG

E' possibile aprire contemporaneamente più file di LOG in una analisi.

Per limitare la visualizzazione bisogna impostare un pre-filtro.

Ciò è reso possibile da 5 schede. Questo filtro può essere modificato anche in seguito. Una volta impostato il filtro, vengono visualizzati solo gli inserimenti che soddisfano le condizioni del filtro stesso. Gli inserimenti vengono messi in ordine cronologico.

Un'altra possibilità di filtro è rappresentata dalle colonne filtro. E' possibile inserire sotto il titolo della colonna delle condizioni di filtro. I campi supportano la Regular expressions, grazie alla quale è possibile formare anche delle complesse condizioni di filtro.

La lista può essere ordinata in senso crescente o decrescente cliccando sul titolo delle colonne.

Gli inserimenti visualizzati possono essere salvati.

Campi nel file LOG:

Parametri | Descrizione
IP address/Process ID/Log ID | Questi campi indentificano il client e permettono di effettuare l'assegnazione della segnalazione.
Name of log connection | Indica il nome della connessione.
Thread ID | ID del Threads da cui la segnalazione è stata inserita.
Timestamp | Ora della generazione della segnalazione in UTC.
Message Level | Contiene il nome del livello di segnalazione che ha effettuato l'inserimento della stessa.
Module | Nome del modulo che ha effettuato la segnalazione.

Campi opzionali con ID fisso.

ID | Costante | Descrizione
1 | logid_logname | Nome del collegamento di Loggin
2 | logid_threadname | Denominazione del Thread.
3 | logid_sourcefile | Denominazione del file source.
4 | logid_sourceline | Sourceline
5 | logid_assertcond | Condizione assert.
6 | logid_compname | Nome computer
7 | logid_funcname | Nome della funzione
8 | logid_prjname | Nome del progetto
9 | logid_prjguid | Guid del progetto
A | logid_prjpath | Percorso progetto
B | logid_tx | Dati inviati
C | logid_rx | Dati ricevuti
D | logid_serialport | Nummer d. interfaccia seriale
E | logid_baud | Baudrate
F | logid_dtr | Impostazione Dtr
10 | logid_rts | Impostazione Rts
11 | logid_bytesize | Lunghezza segni seriale
12 | logid_parity | Parità
13 | logid_stopbit | Numero degli Stopbit
14 | logid_ctsflow | CTS
15 | logid_dsrflow | Dsr
16 | logid_dsrsens | Dsr sensitivity
17 | logid_port | Numero porta rete
18 | logid_srvname | Nome server
19 | logid_sbname | Nome Standby
1A | logid_cliname | Nome client
1B | logid_srvIP | Indirizzo IP del server
1C | logid_sbIP | Indirizzo IP di standby
1D | logid_cliIP | Indirizzo IP del client
1E | logid_bindump | Buffer binario
1F | logid_ptr | Pointer
20 | logid_classname | Nome della classe
21 | logid_errcode | Code error
22 | logid_dllinstance | DLL Instanzhandle
23 | logid_dllname | Nome DLL
24 | logid_errpar1 | Parametro di errore 1 driver
25 | logid_errpar2 | Parametro di errore 2 driver
26 | logid_trace | Messaggio Trace
27 | logid_errortxt | Testo errato
28 | logid_errorfile | Nome file errato
29 | logid_succeedcond | Condizione per successo
2A | logid_succeedvalue | Valore se non si è avuto successo
2B | logid_net | indirizzo di rete
2C | logid_db | Blocco dati
2D | logid_ofs | Offset
2E | logid_bit | Bit numero
2F | logid_area | Settore nel PLC
30 | logid_dir | Indica la direzione della comunicazione mediante string.
31 | logid_txt | Testo generale
32 | logid_mainvers | Numero della versione principale
33 | logid_minorvers | Numero della sotto-versione
34 | logid_buildvers | Numero Build (compila)
35 | logid_sp | Servicepack
36 | logid_hotfix | Numero hotfix
37 | logid_clisrc | Client che ha inviato il comando
38 | logid_clidst | Client che è rappresenta la destinazione del comando.
39 | logid_pvid | Numero punto dati (numero canale)
3A | logid_pvname | Nome punto dati
3B | logid_pvvalue | Valore del punto dati
3C | logid_pvstatus | Stato del punto dato
3D | logid_pvtime | Ora del punto dato in secondi
3E | logid_duration | Durata in millesecondi
3F | logid_cnt | Numero, contatori


Struttura del file Log

Manuale -> Diagnosis Viewer -> Struttura del file Log

I file Log sono file di testo ANSI. I singoli campi vengono divisi medianti segni di tabulazione. Come segno conclusivo si usa CR+LF. Questi file possono essere aperti anche in Notepad.

I file Log contengono le infomazioni in modo sequenziale, e non in ordine cronologico.


Livelli di segnalazione

Manuale -> Diagnosis Viewer -> Struttura del file Log -> Livelli di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la suddivisione dei messaggi Log esistono otto gruppi: quest'ultimi hanno un codice Bit e, perciò, possono essere anche combinati.

1 | Messaggi di errore
2 | Avvisi
4 | Messaggio di successo
8 | TRACE
16 | ASSERT
32 | Messaggi Log
64 | Debug
128 | Debug esteso


Funzione di ricerca

Manuale -> Diagnosis Viewer -> Struttura del file Log -> Funzione di ricerca

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Mediante View/Find si può effettuare una ricerca nella finestra attuale. Tutti i risultati della stessa vengono marcati.


Profili

Manuale -> Diagnosis Viewer -> Struttura del file Log -> Profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni colonna possono essere salvate come profili:

Per salvare dei profili:

  1. indicate nel campo della barra simboli un nome
  2. cliccate sul simbolo con il dischetto direttamente lì accanto, a destra

Per caricare dei profili:

  1. selezionate nella combobox un profilo salvato
  2. cliccate sul secondo simbolo a destra, con il dischetto

I profili sono salvati nel formato di file *.lvs.


Trattamento degli errore e segnalazioni

Manuale -> Diagnosis Viewer -> Trattamento degli errore e segnalazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Errore

Errore

Possibili cause

La port non può essere aperta.

  • Un´altra applicazione fa uso della port.
    Controllare con "netstat".
  • Le port per gli inserimenti
    [SYS_REMOTE] CONFIG e
    [LOGGING_SYSTEM] CONFIG
    sono identiche. zenLogSrv e zenSysSrv cercano di aprire entrambi la stessa port.

I Diagnose Client non avviano lo zenLogSrv
  • Lo zenAdminSrv è stato chiuso. Senza di esso, il servizio non può essere avviato.
  • Lo zenLogSrv non è registrato sul PC come servizio. In questo caso, digitare nella riga di comandi: zenLogSrv.exe –Service
  • I Diagnose Client non sono della versione 7.00SP0 oppure dal numero di serie maggiore. Lo zenLogSrv, però, viene usato solamente a partire da questa versione.
  • Sotto Windows CE: le singole componenti (Runtime, SysSrvCE, LogSrvCE) si trovano in diverse cartelle. Esse, però, si devono trovare nella stessa cartella, altrimenti non riescono a trovarsi l´una con l´altra.

Sotto CE, molti processi vengono impostati da SysSrvCE.exe o. LogSrvCE.exe.

  • Uno dei due inserimenti nello zenon6.ini,
    [SYS_REMOTE] INIT oppure
    [LOGGING_SYSTEM] INIT
    ha il valore 2.
    Ciò ha come conseguenza che l´applicazione mostra solamente la superficie e non apre la Listening Port. Ogni Diagnose Client cerca di avviare il processo, visto che non riesce a collegarsi al server di diagnosi.

Diversi processi si interrompono.

(Unhandeled Exceptions del server di diagnosi al momento di ricevere delle segnalazioni LOG o comandi di configurazione oppure del Diagnose Client e del Diagnose Viewer al momento dell´avvio o quando ricevono la configurazione).

  • Le versioni non sono compatibili. I Diagnose Client, il Diagnose Server e il Diagnose Viewer devono essere tutti della versione 7.00 SP0 o successiva, OPPURE della versione 6.51 SP0 o precedenti (vedi Compatibilità).

Inserimenti LOG.

Inserimento

Descrizione

SysSrv received not supported network message!

Lo zenSysSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Inserimenti LOG

LogSrv received not supported network message!

Lo zenLogSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Trasporto remoto Comandi

Could not open listening port. Server will be stopped.

Lo zenLogSrv oppure zenSysSrv non ha potuto aprire la sua Listening Port. La segnalazione di errore viene protocollata nel modo seguente:

  • zenLogSrv e zenSysSrv sul PC:
    Inserimento nella visualizzazione eventi di Windows.
  • zenSysSrv sotto CE:
    Message-Box per l´utente e inserimento LOG per il Diagnose Server.
  • zenLogSrv sotto CE:
    Message Box per l´utente.

I seguenti inserimenti LOG vengono assegnati a diversi sistemi. La prima parte della segnalazione indica se il servizio o il client sono interessati:

  • SysSrv: zenSysSrv
  • SysCli: Client a zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Client di diagnosi
Inserimento | Descrizione
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | È stata inizializzata una connessione di rete con la stringa di configurazione visualizzata. Il server apre le port e i client si connettono al server.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Nel corso di un´operazione di rete si è verificato un errore eccezionale. I dettagli vengono emessi.
[SysSrv/LogSrv] Accept Failed! | Un tentativo di connessione di un client non poteva essere accettato.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Non è stato possibile inviare tutti i dati. Il numero dei bytes inviati e quello dei byte da inviare vengono indicati dal sistema.
[SysSrv/LogSrv] Client [String] in List Delete! | Il client si è disconnesso dal server.
[SysSrv/LogSrv] Client [String] in List Insert | Il client si è connesso al server.


Driver simulation

Manuale -> Driver simulation

If the underlying process is not available when configuring, this can be simulated and tested in advance. Three modes are available for this:

  • simulation - static: constant values simulated by the driver
  • simulation - counting: values simulated by the driver are counted up
  • simulation - programmed: Values are calculated via a simulation project with zenon Logic

attenzione Attenzione

If the driver is stopped in mode Simulation - counting, only the counting is stopped. The variable is not switched to faulty. In all other modes the driver is really stopped.

Hint: Simulation - programmed is not supported by drivers for:

  • Internal variables
  • Mathematical variables
  • Simulator variables
  • System variables

Info Informazioni

zenon variables which represent the zenon Logic IO variables are available in the project in state Driver simulation programmed.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Simulation static

Manuale -> Driver simulation -> Simulation static

For a static simulation, no communication to the control is established; the values are simulated by the driver. In this mode the value remains constant. Values can be changed by the Runtime or the user. At a restart of the Runtime with Simulation - static theses values will however not be saved and are lost.


Simulation - counting

Manuale -> Driver simulation -> Simulation - counting

For a counting simulation, no communication to the control is established; instead the values are simulated by the driver. In this mode, the driver increments the values within a value range automatically, starting with 0. If the maximum value has been reached, the counting process starts at 0 again.

Info Informazioni

For negative starting values, the counting process only starts at 0.

INT uses the maximum value from USINT to count.

attenzione Attenzione

If the driver is stopped in mode Simulation - counting, only the counting is stopped. The variable is not switched to faulty. In all other modes the driver is really stopped.


Simulation - programmed

Manuale -> Driver simulation -> Simulation - programmed

For Simulation - programmed, no communication is established to the PLC; instead, the values are calculated by a freely programmable simulation project. The simulation project is created with the help of the zenon Logic Workbench and runs in the zenon Logic Runtime. It enables the status and time stamp of variables to be modified on the driver. Write commands to variables by zenon are forwarded to the simulation, redundant servers and standby servers are synchronized. This is how you also simulate complex processes.

To start the simulation program, select the Simulation - programmed mode in driver configuration.

Info Informazioni

Windows CE

Simulation - programmed is not vailable for Windows CE.


Editor

Manuale -> Driver simulation -> Simulation - programmed -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Create project

Manuale -> Driver simulation -> Simulation - programmed -> Editor -> Create project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To create a program for Simultion - programmed, you must:

  • select a single process driver
  • make sure that the project name is valid.

attenzione Attenzione

Simulation - programmed is not supported by drivers for:

  • Internal variables
  • Mathematical variables
  • Simulator variables
  • System variables

To create a simulation project:

  • click in the group Progetto di simulazione del driver in the property Modifica on Click here ->

    Interno ID: Create project

    Modifica

    Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

    Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Progetto di simulazione del driver

    Contiene tutte le proprietà per la configurazione di simulazione - programmata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • A new zenon Logic project is created.
  • Nome and port numbers for Porta eventi and Porta standard are automatically issued; change these as you wish

    Interno ID: Create project

    Porta standard

    Disponibile solo se è stato generato un progetto di simulazione.

    TCP/IP Port per la comunicazione con il workbench di zenon Logic. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

    Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

    Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)

    Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

    Default: 6000

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Porta eventi

    Disponibile solo se è stato generato un progetto di simulazione.

    TCP/IP Port per lo scambio dati spontaneo. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

    Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

    Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

    Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

    Default: 6001

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Nome

    Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

    Condizioni per la validità dei nomi:

    - non deve essere vuoto.

    - deve essere univoco nel progetto.

    - deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

    Minimo: 1 caratteri

    Massimo: 15 caratteri.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the zenon Logic Workbench is opened

The simulation project's workshop is automatically closed if:

  • the zenon editor is closed
  • a driver is deleted and its simulation project is currently being edited in Workbench
  • the simulation project for the driver is deleted via the Elimina property

    Interno ID: Create project

    Elimina

    Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

    Cancella il progetto di simulazione dopo una richiesta di conferma.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the simulation project is renamed

Project archiving

A zenon Logic project contains many files and folders. To manage them, in particular to simplify distributed engineering, all files are archived in compressed form in the Simul_<Treiber-ID>.zip file in the <Sql Projekt Pfad>\FILES\zenon\custom\drivers. This file is in the driver files in the editor. When starting zenon Logic Workbench, the files are automatically decompressed are compressed again when it is ended.

Creating variables

When creating variables in a simulation project, the succesion is important:

  1. create the variable
  2. select the valid data type in the zenon Logic Workbench
  3. after that activate property embed symbol

Background: Per default variables are created with the driver object type PLC marker. This object type does not support all data types for all drivers. If a variable is copied in the zenon Logic Workbench with active property embed symbol, you must deactivate this property in order to change the data type. With this the variable is then deleted in zenon.

Info Informazioni

Error message "Can not create variable"

A variable cannot be created in the simulation object if the driver does not have driver object types - exception

driver variable - which support this data type.

On activation of embed symbol, the error message "can not create variable" is displayed.

Structure data types

At creating variable with a structure data type:

  • they are created with the driver object type PLC marker if possible
  • all driver object types with the exception of driver variable are tried until one can be used for all elements
  • if no fitting driver object type is available,
    • no variable is created for non-structure variables
    • driver object type PLC marker is used for structure variables

Example:

A structure data type contains elements of type UINT and STRING. A variable is created for S7TCP driver and embed symbol is activated.

  • The variable is not created in the PLC marker but as Ext. Datablock in which all structure elements exist.
  • A new type LINT is added; it is not supported by the Ext. Datablock.
  • When a new variable is created, it is created as type PLC marker. Only the first complex variable can be activated (UINT). For the existing structure variable the object type Ext. Datablock remains and the last structure element (LINT) cannot be activated.

Compiling the files

If a simulation project is compiled in zenon Logic Workbench, this causes a variable to be created in zenon and the Runtime program file.
When compiling, a subfolder is created in Runtime-Folder\RT\FILES\zenon\custom\drivers with the name of the simulation project. The file with the code of the simulation is SIMULRT.COD is archived in this folder.

The following message is displayed in the output window:

SIMULRT.COD

And if compiled with the C compiler, then also:

T5APP.DLL

attenzione Attenzione

For multi-user projects you must not create simulation projects offline. They cannot be deleted anymore.


Delete project

Manuale -> Driver simulation -> Simulation - programmed -> Editor -> Delete project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To delete a simulation project:

  1. click on the Click Here-> button in the Elimina property in the Progetto di simulazione del driver group

    Interno ID: Delete project

    Progetto di simulazione del driver

    Contiene tutte le proprietà per la configurazione di simulazione - programmata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Delete project

    Elimina

    Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

    Cancella il progetto di simulazione dopo una richiesta di conferma.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. confirm this when requested to do so
  3. the ZIP file with the project files is deleted
  4. the zenon Logic Workbench is ended

Note:

  • the Runtime folder for the simulation project remains
  • function Undo is not available for this action,
  • click on Modifica to create a new simulation project

    Interno ID: Delete project

    Modifica

    Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

    Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • for multi-user projects:
    • the driver must be configured to Make changes possible so that the simulation program can be deleted
    • the project is not displayed as deleted on other Clients as long as it has not been synchronized;

      if you try to open a deleted project before it has been synchronized (click on Modifica), a new simulation project will be created

    • you cannot reverse the deletion of single-user projects via Cancel changes

attenzione Attenzione

The Simulation project is immediately removed from the local database and the server database when deleted. This action cannot be undone!

Note:Manual deletion of the ZIP file of the driver also leads to the simulation project being deleted. Requirement: The zenon Logic Workbench for this driver is not opened. We do not recommend doing it this way!


Distributed engineering

Manuale -> Driver simulation -> Simulation - programmed -> Editor -> Distributed engineering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For multi-user projects, all running zenon Logic Workbenches that are part of the project are closed when:

  • Accept changes for modules that are completely locked for other users in Enable changes, such as variables, drivers and data types
  • Discard changes:
    • new projects are not created on the server
    • Changes in the simulation program are lost
    • Driver files not present in the server database are also lost in the local database
  • Synchronize:
    changes made locally to the simulation program program are lost
  • Update local version:
    changes made locally to the simulation program in the simulation program are lost

attenzione Attenzione

The status of the simulation project's ZIP file may not be additionally modified(Accept Changes, Enable Changes, Discard Changes multi-user status), to ensure correct Accept Changes and Enables Changes for the driver!

Delete project

For multi-user projects

  • the driver must be configured to Make changes possible so that the simulation program can be deleted
  • the project is not displayed as deleted on other Clients as long as it has not been synchronized;
    • if you try to open a deleted project before it has been synchronized (click on Modifica), a new simulation project will be created

      Interno ID: Distributed engineering

      Modifica

      Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

      Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • you cannot reverse the deletion of single-user projects via Cancel changes

attenzione Attenzione

A simulation project with the status of Enable Changes cannot be deleted in Offline mode.

A simulation project created offline in a multi-user project can therefore no longer be deleted.


Change driver

Manuale -> Driver simulation -> Simulation - programmed -> Editor -> Change driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For a driver change in zenon the following is true:

  • The simulation project is maintained.
  • All ports are however set to 0. To receive working port numbers, open the project in the Editor. At this new port numbers are entered automatically. Port numbers can also be assigned manually.

attenzione Attenzione

I driver che sono collegati con un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML export/import

Manuale -> Driver simulation -> Simulation - programmed -> Editor -> XML export/import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A project in mode Simulation - programmed can be exported via XML. It can however not be imported as new project for another driver.

Workaround:

  1. Export the zenon Logic programs.
  2. Import them to the new project for the new driver.
  3. Replace the variables via search and replace.


Driver configuration

Manuale -> Driver simulation -> Simulation - programmed -> Driver configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

There are four modes available when configuring the driver:

  • Hardware
  • Simulation - counting
  • Simulation static
  • Simulation - programmed

Select the simulation - programmed mode.


Driver variable status

Manuale -> Driver simulation -> Simulation - programmed -> Driver configuration -> Driver variable status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The status of zenon Logic Runtime is displayed in the driver variable SimulRTState on Offset 60. The variable is numerical and cannot be written. The value informs you of the status of Runtime:

Bit | Meaning | Description
31 | without application | Runtime has not loaded a program, the program was stopped or not loaded in Runtime.
30 | not instanced | Runtime was not instanced, for example because the DLL with Runtime could not be loaded, there was too little memory available, there is no DDL or it is the wrong version.
18 | p-code available | p-code is available together with compiled code; switching is possible.
17 | compiled code active | Runtime runs with compiled code (otherwise: interpreted p-code).
16 | compiled code available | Compiled code from the C compiler is available
15 | application is loaded | an application is present, Runtime is running
14 | cant start - missing handlers | Some "C" functions are missing.
13 | active breakpoints installed | At least one breakpoint was set by the debugger.
12 | CT segment exists | Application was compiled separately with the "complex variables in separate segment" option.
11 | Reserved | (Internal, for Runtime only.)
10 | sysinfo request is available | (Internal, for Runtime only.)
9 | freeze event production | Binding does not transmit events.
8 | single cycle mode | (Internal, for Runtime and debugger only.)
7 | Reserved | (Internal, for Runtime only.)
6 | locked variables | at least one variable is locked.
5 | trigo functions are in degrees | Trigonometric functions are given in degrees.
4 | log message(s) in stack | (Internal, for Runtime only.)
3 | application stopped between 2 progs | Runtime stopped between two steps whilst debugging.
2 | application stopped on SFC breakpt | (Internal, for Runtime only.)
1 | application stopped on error | Runtime stopped with serious error, restart required.
0 | application is running | TRUE = application is in "run" mode. FALSE = application paused in "cycle to cycle" mode.

Info Informazioni

The driver variable SimulRTState with offset 60 shows the status of the Runtime on the Server. This is also true when the variable is displayed on the Standby.


Cyclic comparison

Manuale -> Driver simulation -> Simulation - programmed -> Driver configuration -> Cyclic comparison

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Simulations run in network operation on the server and standby server independently of one another. When the standby server is started, a comparison is made with the server. Nevertheless:

  • This first comparison is delayed by the packet transfer time
  • small differences in execution lead to increasing divergence

Thus the status of simulated variables is also different. To keep these differences small, use the transfer driver simulation to stand by function to compare the simulation image.

  • create a new function
  • select the transfer driver simulation image to standby function

  • the dialog for the selection of drivers opens

  • all process related drivers are available in the list (with the exception of the simulator) (clicking on the column header changes the sorting)
  • select the driver to be compared
  • An image is requested for each function request to the standby server for the selected driver

The differences in the current simulation status can be minimized through cyclical activation. Adjust the execution grid to the scope of data to be compared, because a load for the network and computer is generated as a result of this.

The Esecuzione: of the function is set Standby at and cannot be changed. This only happens if:

Interno ID: Cyclic comparison

Standby

Disponibile solamente in progetti di rete ridondati:
La funzione viene eseguita solo sul Server Standby

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cyclic comparison

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the computer is a standby server
  • the server is online
  • the project is a network project
  • Drivers were selected for comparison

To change the selection of drivers

  • click on driver properties in the Generale group in the Parametri property

    Interno ID: Cyclic comparison

    Parametri

    Parametri di trasferimento della funzione; Dipendente dal tipo di funzione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Cyclic comparison

    Generale

    Proprietà generali per la funzione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the dialog to select the driver opens


zenon Logic Workbench

Manuale -> Driver simulation -> Simulation - programmed -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Simulation - programmed is programmed in the in the zenon Logic Workbench, which works in close conjunction with the zenon Editor. For the simulation, (in contrast to the integrated solution) only the variables of a driver are exchanged between the editors.

Definition of the variables to be exchanged:

When starting zenon Logic Workbench, all driver variables that are not yet present in zenon Logic are created as global variables. The Embed symbol is automatically activated for these.

Visibility

If a new variable is defined in Workbench in the global or retain area, this is only visible in zenon Logic. To make it visible in zenon too, the Embed symbols option must be activated. From this point in time, all variables are updated by both editors.

If the Embed symbol option is deactivated, the variable is deleted in the zenon editor. This action enables global or retain variables to be defined in zenon Logic, which are not visible for zenon.

For a newly-created variable created by the zenon Logic Workbench in zenon, an attempt is made to assign this to the SPSMERKER area. In the event that the zenon driver does not support the configured data type, a search is made for the first data area that supports the data type. If no area is found, the variable cannot be created.

A variable is only locked if in the case of a multi-user project and the enable changes status has not been set.

Project Settings

Some settings under Project -> Project parameters... -> Further options-> Extended in zenon Logic influence the functionality of the simulation.

Extended settings

Description

Runtime: execute mode

Recommendation:

Mode: triggered

cycle time: 1/4 to 1/3 of the driver update time
for frequent value changes to simulated variables lead to increased load placed on the computer.

compiler/options: Embed symbols of all variables

Recommendation: Deactivate.
Active: Data for a variable are exchanged, because the symbol names are assigned in Runtime.

But: Changes to the configuration of the variables are not updated between zenon and zenon Logic. It is no longer possible to make changes online.

compiler/options: Retain capitalization of symbols

without effect: Variable names are always converted to capitals in Runtime.

compiler/options: Create status bits for variables with a profile

Active: The status of variables is simulated or reacted to in the simulation program.

"C" compiler

Native code is supported.

Name of the DLL that the compiled code must contain: t5app.dll.


Runtime

Manuale -> Driver simulation -> Simulation - programmed -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Functionality

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Functionality

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic Runtime offers the following functions:

  • File transfer
  • Data types:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • zenon arrays (see also Arrays and simulation)
  • Date stamp/time stamp
  • Digital recording of values
  • Dynamically linked function blocks, stored in t5block*.dll
  • Hot Restart
  • Logging:
    • Trace messages from the program (printf)
    • Error messages in Runtime
    • all sent to Workbench and to the diagnosis server
  • Machine code: Native compiled code with C post compiler (not available under Windows CE)
  • Online Change
  • Programming languages: IL, AS, FDB, LD, ST
  • Retain Data (remanant Data)
  • Special function blocks and features:
    • Data serialization
    • dynamic memory allocation
    • embedded recipes
    • embedded variable lists
    • File Management
    • Files
    • Math
    • Random
    • Signals
    • String tables
    • Trigonometry
    • Time
  • Spontaneous communication
    • Value change as an event
    • 16 connections
    • Hysteresis
  • UDP & TCP/IP for IEC languages
  • Variable interlocking


Arrays and simulation

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Functionality -> Arrays and simulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To simulate multidimensional arrays at driver simulation, you must activate property 'Save complex variables in own segment' in the zenon Logic Workbench.

Arrays with start index 1

If at a simulation arrays with start index 1 exist, these arrays are created with one more index in the zenon Logic Workbench.

Esempio Esempio

In zenon an array has indices 1 to 4. This array has the indices 0 to 4 in the zenon Logic Workbench.

This guarantees that the same indices are used in zenon and in zenon Logic. Index 0 is not transferred to the driver.

If you change array in the zenon Logic Workbench, you must consider this additional index.


Runtime files

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Runtime files

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When creating Runtime files, a subfolder with the name of the simulation project is created in the Cartella Runtime of the project in the \RT\FILES\zenon\custom\drivers path. The SIMULRT.COD file with the code of the simulation is archived in this folder.

Interno ID: Runtime files

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The following message is displayed after successful compilation in Workbench and transfer to the Runtime folder in the editor's output window:

SIMULRT.COD

And if compiled with the C compiler, then also:

T5APP.DLL

Remote Transport

The Runtime files for the simulation are generated as subfolders of the driver files. For Remote Transport, the subfolder with all files contained therein is transferred to the target computer


Data exchange

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Data exchange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

the exchange of data from zenon Logic Runtime to the driver starts with the 2nd cycle of zenon Logic Runtime. Therefore the first run is available to initialize all variables in Runtime.

Data is only exchanged if:

  • The variable is requested and:
    • did not yet receive a value
    • does not have status Switched off (OFF/_VSB_N_UPD) or Alternate value (ALT_VAL/_VSB_AVALUE) in the driver
    • is still required by the driver.
    • has changed value or status

The exchange of data to the driver is carried out asynchronously to the Runtime cycle. The driver runs through the value changes once per update cycle. All values changed - with the exception of the Switched off (OFF/_VSB_N_UPD) or the Alternate value (ALT_VAL/_VSB_AVALUE) status - are entered into the list of variables to be updated in the driver and sent to Runtime.

Switch driver simulation screen to standby function

This function is only carried out on the standby server (for configuration, see Cyclical Comparison chapter). The data is synchronously obtained from the server that composes the screen. The driver has 5 seconds of time for this. Because the data for the image is created in the same thread as that in which the simulation runs, it is necessary to ensure that the simulation is processed within 5 seconds. If this image is exceeded, no image is carried over for this driver.

Value simulation

Value changes are not transferred immediately, but stored in a buffer. The size of the buffer amounts to 8192 value changes or the five time the number of variables, according to whatever value is greater. The delay in transferring resulting from the driver cycle can be up to 100 ms. If the value changes again whilst it is waiting to be transferred, all values that have not yet been transferred are sent to Runtime and the new value is then noted. This can lead to an increased load for the computer and network, but ensures that all values are transferred in Runtime.

Driver write command

If simulation - programmed is configured and active, the write commands at standby are passed through in Runtime.

Write operations are carried out by the driver asynchronously to Runtime. Data is exchanged via a buffer. The size of the buffer amounts to 8192 value changes or the five time the number of variables, according to whatever value is greater.

Write commands are ran through after their values are changed in Runtime. If a write command cannot be executed correctly, the error message Write queue full! Write command for <DP-Name> lost! is displayed.

If the status bits are activated, setting Writing successful will display if the value was written from the driver to the value of the variable. The Runtime program should delete this status again after processing the write command. A status bit that is already active does not cause any delay in the driver writing again. Write commands are also executed if the Runtime program was stopped by a breakpoint.

Note: Not all write commands from the driver must be visible in Runtime. If several write commands are in the buffer,only the last one is visible in Runtime.

switch off variables, switch to substitute value

If the variable is switched off or switched to a substitute value, this is not recognizable for Runtime. Changes in values that are also carried out by Runtime are not assigned to the variables in the driver. If the variables are again switched to spontaneous value or activated, the current value is again carried over from Runtime to the driver. When turning off the spontaneous value status bit OFF is set. When you switch back to the spontaneous value, bit OFF is reset.


Data storage

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Data storage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Retain Data

Retain data is stored in the SimulRt<TreiberID>.ret file. One file such as this is created per simulation, provided retain variables are present. The file is taken into account when a comparison is carried out in the network.

Driver remanent

The Simulation - programmed setting at the driver start is not a criterion in order to restore the remanant variable image.


Redundancy

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Start on standby server

If the driver is already running on a standby basis, then the image for the simulation should already be available. In this case, the simulation is started "hot" with this image. If there is no image, a warm a start is carried out.

Switch driver simulation screen to standby function

This function is only carried out on the standby server (for configuration, see Cyclical Comparison chapter). The data is synchronously obtained from the server that composes the screen. The driver has 5 seconds of time for this. Because the data for the image is created in the same thread as that in which the simulation runs, it is necessary to ensure that the simulation is processed within 5 seconds. If this image is exceeded, no image is carried over for this driver.

Comparison

In addition to the program files of the simulation, the following are also compared:

  • Retain data (*.ret)
  • all *.simul files
    This file extension is created by the simulation program for simulation specific files and archived in the folder with the computer description below the Cartella Runtime.

    Interno ID: Redundancy

    Cartella Runtime

    percorso per i file runtime del progetto.
    In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
    Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

    Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Status

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Status simulation

For the status simulation, in zenon Logic under Project -> Project parameters -> Extended -> Compiler -> Options -> Create status bits for variables with a profile must be active. If the status of a variable is modified, this triggers the transmission of a variable to the driver.

Changes to the following states does not trigger a value change at the driver and is also not taken over from the simulation:

  • Real time external (T_EXTERN/_VSB_RT_E)
  • Real time internal (T_INTERN/_VSB_RT_I)
  • Standard time (T_STD/_VSB_WINTER)
  • Writing acknowledged (WR_ACK/_VSB_WR_ACK)
  • Writing successful (WR_SUC/_VSB_WR_SUC)
  • Normal status (NORM/_VSB_NORM)
  • Deviation from normal status (N_NORM/_VSB_ABNORM)
  • Select in the network (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In process (PROGRESS/_VSB_DIREC)
  • Switched off (OFF/_VSB_N_UPD)
  • Substitute value (ALT_VAL/_VSB_AVALUE)

Info Informazioni

State bit Writing successful (WR_SUC/_VSB_WR_SUC) is available in the Runtime program and can be set back in order to display successful writing.

However only setting back the state does not trigger the transfer to the <CD_PRODCUTNAME> Runtime. Only value changes are transferred from the driver to the Runtime.

Status bits handled differently

The following status bits cancel each other out:

Bit

Description

17: Spontaneous
(SPONT/_VSB_SPONT)

Status SPONTAN is set. This is the status set if status handling is turned off or no status was defined. Status GI + INAVLID is deleted.

18: Invalid
(INVALID/_VSB_I_BIT)

Status INVALID is set. Status SPONTAN + GI is deleted.

16: General interrogation
(GI/_VSB_GR)

Status General Interrogation is set. Status SPONTAN + INAVLID is deleted.

8: Select in the network
(NET_SEL/_VSB_SELEC)

If this status bit is active (BSO activation/deactivation) the following status bits are accepted with 0 and also transmitted as 0 to the driver to identify a change:

  • Select in the network (NET_SEL)
  • Cause of transmission (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test bit (TEST)
  • Writing successful (WR_SUC)

select before operate (SBO)

Status simulation must be available in the Runtime program in order for Seleziona prima di operare to be reacted to. The procedure for Seleziona prima di operare is defined in Runtime.

Interno ID: Status

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870, IEC850 e DNP3 e solo se in Comando per la proprietà Tipo, è stata selezionata l´opzione Doppio comando.

Interno ID: Status

Tipo

Disponibile solamente con l´azione 'Comando':
tipo del comando
Doppio comando: Scrive il valore della proprietà "stato di comando".
Comando singolo: Scrive il valore della proprietà "stato di comando". Dopo "Ritardo fronte" viene scritto il valore 0. Questa scrittura non è più sottoposta a Watchdog timer.
Default: Comando unico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: prima che il valore venga scritto nell´hardware, zenon domanda se la variabile è disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi singoli, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà Ritardo fronte.

Interno ID: Status

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando singolo.
Dopo la scadenza di questo tempo espresso in millesecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: il valore della variabile viene scritto nell´hardware senza che il sistema ponga alcuna domanda all´utente = Direct execute.
Default: non attiva
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Activation

If an SBO select is sent to the driver, it triggers a value being written with state Select in the network (NET_SEL) + cause of transmission (COT_act).

A corresponding SBO procedure must be implemented and must start in Runtime.

The state bit Select in the network (NET_SEL) must be set back in the Runtime program.

Deactivation

The deactivation triggers the writing of a values with status Select in the network (NET_SEL) + Cause of transmission (COT_deact).

The SBO procedure must be ended in Runtime accordingly.

The state bit Select in the network (NET_SEL) must be set back in the Runtime program.


Start / stop

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Start / stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Driver start

The value updating only starts at the standby server if the driver has received the process image from its server. The image must be received within the time out module, otherwise the driver will start without an image. If the standby server is upgraded to the server within the waiting waiting time, waiting is also ended. Drivers that start in a network project or without a network have no waiting time. This behavior applies for both the simulation as well as for the hardware mode.

Runtime start

If the driver starts the simulation - programmed, the first stage is loading the DLL with the simulation Runtime. After this, Runtime is parametered and the Runtime program starts, provided it can be successfully loaded.

If an image of Runtime is present, Runtime is started hot with this. Otherwise, a warm start is carried out. If this is also not possible, an attempt is made to start Runtime cold. If there is no valid program, Runtime boots up stopped. The status of all variables is set to INVALID.

The simulation program runs in it own thread and is therefore completely independent from the driver cycle.

Info Informazioni

Retain variables

Retain data contain only the value of the zenon Logic variables not their status. This means for the start:

  • Warm start: The status which was set for a variable is restored - regardless of whether it is a retain variable or not.
  • Cold start with retain variables: Only the value of the retain variable in zenon Logic is restored, not the status.

Stop Runtime

If Runtime is stopped, the status INVALID is set for all variables. Variables that are requested when Runtime is stopped have the status INVALID as initialization. Runtime secures the data for the warm start and online change:

  • SIMULRT.HOT: Contains the data for the hot restart.
  • SIMULRT.UPD: Contains the data for the online change.

Both these files are created in the Runtime program folder. Runtime must have write authorization for this folder.

Reload

  • Recompiling the simulation project:
    causes the corresponding driver to be reloaded.
  • Modification of the Time Out module:
    is not recognized as a change by Runtime and does not cause the driver to be reloaded.

Standard implementation in the driver kit triggers a hot restart when reloading the simulation project. If this is not possible (for example because the program is different), a cold start is carried out with retain.

Removing Runtime

If Runtime is running, this is stopped. Before Runtime is removed, all outstanding value updates are sent to the driver. Only then is Runtime released and SimulRuntime.dll removed from the PC.


Driver commands

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Driver commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Driver commands are used to influence drivers via zenon, e.g. start and stop.
The engineering is implemented with the help of function Driver commands.

Stop/start driver

If the driver is stopped in simulation - programmed mode, this will result in Runtime being removed from the memory. All variables obtain status INVALID. When the driver is restarted, the simulation is reloaded and Runtime is started.

Switch hardware/simulation driver

When switching between modes Hardware and Simulation, the driver behaves according to the following pattern:

  1. If the driver was configured for hardware mode in the Editor:
    • the driver is set to mode Simulation static after function Driver command is executed with parameter Driver in simulation mode.
  2. If the driver was configured in the Editor for one of the simulation modes (static, counting, programmed:
    • the driver is set to hardware mode and communicated with the control after function Driver command is executed with parameter Driver in hardware mode.
    • the driver then changes back to the configurated simulation mode after function Driver command was executed with parameter Driver in simulation mode


Linking variables

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> Linking variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon driver is allocated to the zenon Logic variables via the names converted into capital letters. If the zenon Runtime requests a variable from the driver, it forwards this to the simulation. If no simulation is loaded, the variable receives status Switched off ( OFF/VSB_N_UPD) when the driver is stopped. Otherwise it receives status Invalid (INVALID/_VSB_I_BIT). Variables of driver variable object type are never requested by the simulation.


time stamp

Manuale -> Driver simulation -> Simulation - programmed -> Runtime -> time stamp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

o use time stamping, in zenon Logic under Project -> Project parameters -> Extended -> Compiler -> Options -> Create status bit for variables with a profile must be active.

If the the date is set for a variable in Runtime, the value of date and time is used as a time stamp. If the date or time of a variable changes during the last cycle, this always triggers transmission of the values to the driver. This also applies if neither the value nor the status have changed.

Most of the drivers only transfer a new time stamp to the Runtime when value and/or status have also changed. An exception is for example the IEC870 driver which also transfers new time stamps from the hardware (or Simulation - programmed) without the value or status having changed to the Runtime.

Info Informazioni

It must be ensured that the date and time always increase. If this is not the case, this can lead to problems when archiving. The date must always have a value higher than or less than 0.

Variables stamped by Runtime are given the status of Real time external (T_EXTERN/_VSB_RT_E).

All variables to be transmitted to the driver that have not been stamped by Runtime receive a joint time stamping in the cycle. As a result, it is ensured that the time corresponds to that of the change. These drivers receive the status Real time internal (T_INTERN/_VSB_RT_I).

date & time

The following applies for all date and time indications:

  • Times correspond to the UTC.
  • All times must be between Jan 2 1970 und 2038.
  • The dates are converted into a string in the format of YYYY/MM/DD.
  • The time is converted into the format HH:MM:SS .


Please not for variables in simulation projects

Manuale -> Driver simulation -> Simulation - programmed -> Please not for variables in simulation projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following is true for the creation and modification of variables in simulation projects:

  1. zenon Logic

    If variables are created for a simulation project in the zenon Logic Workbench, they do not have a valid addressing for the communication. If the communication is switch to hardware, the communication can be interrupted when the new variables are used in screens without a adjusting the addressing correctly.

  2. Rename

    If a variable is renamed in a simulation project, the name of the variable is also changed in zenon accordingly. So for example you must adjust the names of variables which are used in a VBA project also in the VBA code.

  3. Integrated solutions

    Variables of integrated solutions such as zenon Logic, IEC870 or IEC850 must not be renamed in the simulation project. In this case the variables lose their project information.
    For example: If you rename Project0/Global/NewVar to myNeVariablenwVar in the simulation project, it becomes myNewVar in zenon. After the renaming a communication with the zenon Logic Runtime is impossible.

  4. Communication based on variable names

    Variables of a driver which communicates based on the variable names must not be renamed in the simulation project.

  5. Deleting or importing variables

    If a variable is deleted or imported while online change is activated in zenon Logic, all variables are removed and inserted again in zenon Logic.

  6. Variables with active "embed" symbol

    Variables which exist in a program and whoses "embed" symbol is active are not available via the Shared Memory interface in zenon. If a variable with an active "embed" symbol is moved from the global area to a program, the variable is deleted in zenon.


Error messages

Manuale -> Driver simulation -> Simulation - programmed -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Error messages in zenon editor:

Error message

cause and solution

The chosen name was already used for another driver or contains invalid characters! Please select another name.

The new name of the simulation project is already used in the project or is not valid.

  • Give it a valid name

The simulation project from the <File name>/<Description> driver has not been compiled and cannot be supported! Please compile the project in Workbench.

A simulation project is available for the driver in Workbench. This was not compiled however.

  • Start the zenon Logic Workbench with this driver's simulation project
  • compile the project

Tip: I does not make a difference if the diver settings are set to simulation - programmed in the driver settings

Write queue full! Write command for <Name Variable> lost!

Displays the loss of a write command.


Editor

Manuale -> Editor

zenon consiste di due componenti principali, l´editor e il Runtime. I progetti vengono realizzati nell'editor dove ne avviene anche la manutenzione, mentre la loro gestione e osservazione avviene nel runtime. Nel capitolo Editorimparerete a conoscere le componenti base dell´editor, Vi saranno fornite delle informazioni relative a come lavorare con il Manager di progetto, Barre dei simboli, Menu e Profili editor. Trovate delle spiegazioni concernenti il menu contestuale degli elementi in un´immagine nel capitolo Immagini.

tutorial Informazioni sulla licenza

L´Editor di zenon funziona solamente in presenza di una licenza valida. La licenza viene calcolata sulla base del numero dei Tags e IOs di cui si ha bisogno. I dettagli sul tema licenze li trovate al capitolo Licenze.

L´Editor è a disposizione come zenon Supervisor e come zenon Operator per > sistemi operativi embedded. Le due versioni si differenziano nell´ampienzza delle funzioni disponibili. Per i dettagli vedi Limitazioni per zenon Operator.

SQL Server

L´editor di zenon lavora con una banca dati SQL. Questa viene <installata insieme> all´Editor di CD_PRODUCTNAME. Per creare una connessione, l´Editor si collega al server della banca dati (zenDBSrv.exe) di zenon. Quest´ultimo instaura la connessione con il server SQL.

Funzionamento multi-monitor

Se su un PC sono in funzione più monitor, i dialoghi, le barre dei simboli ecc possono essere spostati su altri monitor. La posizione di questi ultimi viene salvata e conservata al momento del prossimo start.

Info Informazioni

Se, quando l´editor viene riavviato, non è disponibile che il monitor principale, è possibile che degli elementi spostati non siano eventualmente visualizzati nell´area visibile. Per riportare tutti gli elementi sul monitor principale, dovete attivare il Profilo standard. In tal modo, le posizioni vengono riportate ai valori standard.


Avvia l’editor

Manuale -> Editor -> Avvia l’editor

Per avviare l´editor, avete a disposizione diverse opzioni:

  • cliccate sul simbolo zenon sul desktop del Vostro PC.
  • Apertura mediante il menu Windows File -> COPA-DATA -> zenon Editor.
  • Avvio tramite il Startup Tool. Esso consente la gestione di più versioni di zenon e la configurazione dell´editor e del runtime prima dello Start.
  • Per Windows Autostart.

Servizio zenAdminSrv

Per avviare l´editor, deve essere avviato il servizio zenAdminSrv . Se il servizio non è disponibile, riceverete il messaggio "L´editor non può essere avviato perché il servizio 'zenAdminSrv' non è raggiungibile!". Attivate il servizio e riavviate l´editor.

Al momento dello start tramite Windows Autostart, zenon cerca di avviare per cinque volte l´editor e poi si ferma emettendo la segnalazione di errore che il servizio non è raggiungibile.


Compatibilità:

Manuale -> Editor -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´editor di zenon è completamente compatibile con le versioni di numero inferiore. I progetti che sono stati realizzati usando una di queste versioni, possono essere aperti e modificati in qualsiasi momento.

Al momento di aprire un progetto con un numero di versione inferiore:

  • il progetto viene convertito automaticamente
  • viene creato automaticamente un backup di progetto

Attenzione: i progetti convertiti non possono più essere aperti nell´editor di una versione inferiore. Il backup di progetto generato al momento della conversione, però, può continuare ad essere aperto e modificato.

Compatibilità fra editor e runtime

Con l´editor di zenon, possono essere creati i file runtime per diverse versioni del runtime. La versione del runtime, dunque, non deve necessariamente essere la stessa di quella dell´editor. Questa compabilità verso il basso è particolarmente utile se si intende utilizzare dei sistemi misti. Ad esempio: un progetto viene realizzato con l´editor della versione 6.50, ma può essere avviato anche con il runtime della 6.22.

attenzione Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, queste proprietà non sono a disposizione se si lavora con quest´ultima versione. Ciò può avere delle conseguenze indesiderate nel funzionamento runtime.

Crea file runtime

Per creare nell´editor dei file runtime per versioni dal numero di serie inferiore, procedere come segue:

  1. selezionate il progetto nella struttura ad albero.
  2. passate alla proprietà di progetto, in particolare alla sezione Generale

    Interno ID: Compatibilità:

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. aprite la lista a cascata della proprietà Crea RT file per

    Interno ID: Compatibilità:

    Crea RT file per

    Default: I file runtime vengono generati per la versione attuale dell´Editor.

    6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

    6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

    6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

    06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

    06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

    06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

    06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

    Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate la versione desiderata:
    • Default: I file runtime vengono generati per la versione attuale dell´Editor.
    • 6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.
    • 6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.
    • 6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.
    • 06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.
    • 06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.
    • 06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.
    • 06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

XML

I dati esportati in formato XML sono a disposizione anche per l´import in versioni dell´editor con numero di serie più alto.

Eccezione: se dei dati del RGM vengono salvati mediante la funzione di export nel runtime direttamente in formato XML, essi non possono essere importati di nuovo.


Superficie

Manuale -> Editor -> Superficie

L'interfaccia utente dell'editor si articola in diversi settori:

Elemento

Contenuto

01 - Barre simboli:

Raccolta delle barre simboli per l´editor e i suoi moduli. Sono a disposizione per:

  • Finestra docking
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menu
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore di rapporti
  • File runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visuale ad albero del manager di progetto

03 - Visualizzazione dettagliata del manager di progetto:

Dettagli concernenti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Workspace principale; qui vengono visualizzati documenti come immagini o report.

05 - Barra simboli Elementi:

Barra simboli per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Mostra le proprietà dell´oggetto selezionato. A questo scopo avete a disposizione tre modalità, che vengono selezionate nella Barra simboli delle porprietà.

07 - Guida proprietà:

Mostra delle brevi spiegazioni che concernono le proprietà di immagini, variabili, funzioni e altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzatzione di segnalazioni se i progetti sono compilati e salvati nel runtime.

09 - Barra di stato:

Mostra delle informazioni di stato per la disponibilità editor e per immagini.

10 - Barra simboli Proprietà:

Definisce visualizzazione e ordine delle proprietà; mostra la Guida proprietà.

11 - Lista incrociata:

Decidete quale finestra deve essere mostrata:

  • nella lista a cascata alla voce Opzioni

L´ordine della finestra può essereadattata individualmente. La finestra principale è l´unica finestra che non può essere nascosta.


Adatta visualizzazione

Manuale -> Editor -> Superficie -> Adatta visualizzazione

Tutte le finestre dell´editor possono essere ordinate individualmente sullo schermo. Passate all´impostazione per ordinare le finestre cliccando con il tasto destro del mouse sul bordo della finestra. Le proprie impostazioni possono essere salvate nei Profili editor.

Menu contestuale Finestra

Opzioni

Stato

Funzione

Non ancorata

Attiva

La finestra selezionata può essere posizionata liberamente sul dektop. Viene visualizzata nella finestra principale. Avete la possibilità di visualizzare più finestre in quella principale e passare dall´una all´altra.

Cliccando due volte sul titolo si passa fra non ancorata e ancoraggio.

inattivo.

(default)

La finestra viene ancorata. La proprietà ancoraggio è attiva.

Ancoraggio

Attiva

(default)

Tenendo premuto il tasto sinistro del mouse premuto è possibile spostare a piacere le singole finestre. Durante questo spostamento, un Aiuto di posizionamento indica la posizione in cui è stata inserita la finestra. Al rilascio del tasto del mouse, la finestra viene ancorata e adattata alle altre adiacenti.

Passando da non ancorata e ancoraggio, la finestra viene inserita in corrispondenza dell´ultima posione nella quale era ancorata.

Cliccando due volte sul titolo si passa fra non ancorata e ancoraggio.

Un consiglio: se volete spostare una finestra, ma non ancorarla, tenete premuto durante lo spostamento il tasto Ctrl. In questo caso non viene visualizzato nessun aiuto per facilitare il posizionamento.

inattivo.

Tenendo premuto il tasto sinistro del mouse premuto è possibile spostare a piacere le singole finestre. Quando lasciate il tasto, esse vengono visualizzate nel posto corrispondente in primo piano.

La proprietà non ancorata è attiva.

Apri nella finestra principale

Attiva

La finestra viene visualizzata in quella principale come tab.

Tutti i tab vengono visualizzati nella finestra principale. Cliccando sul titolo della finestra, passate da un tab all´altro.

Per visualizzare un tab di nuovo in forma di finestra, aprite il menu contestuale cliccando con il tasto destro del mouse sul titolo della finestra e settate la proprietà Apri nella finestra principale a non attiva.

inattivo.

(default)

La finestra viene visualizzata in modo normale.

Escludi automaticamente

Attiva

Non appena la finestra perde il focus del mouse, viene posta sullo sfondo. Il titolo della finestra viene visualizzato sul lato sinistro dell´editor.

Per riportare la finestra in primo piano, spostate il mouse sul titolo della finestra.

inattivo.

(default)

La finestra viene visualizzata sempre in primo piano.

Chiudi

La finestra viene chiusa.

Per renderla di nuovo visibile, selezionate nella Barra menu -> Opzioni, la voce > Nome finestra


Posiziona finestre

Manuale -> Editor -> Superficie -> Posiziona finestre

Posizionamento

Nell´editor di zenon tutte le finestre possono essere disposte a piacere sul desktop facendo uso di:

  • Drag & Drop: le finestre vengono trascinate nella posizione desiderata e vengono posizionate in modo libero (non ancorata), oppure ancorate.
  • Doppio clic sulla barra titoli: si passa fra non ancorata e ancoraggio.

Aiuto per il posizionamento

Quando si spostano delle finestre all´interno della superficie dell´editor, il sistema visualizza degli aiuti volti a facilitare il posizionamento. Questi ultimi rappresentano le finestre, o meglio i loro bordi.

Questo elemento rappresenta un´area finestra nell´editor.

Questo elemento rappresenta l´area al bordo dell´editor.

Posiziona finestre

Per posizionare un elemento in modo ancorato:

  1. spostate l´elemento servendovi del mouse fino a raggiungere la posizione desiderata
  2. comparirà sullo schermo l´aiuto di posizionamento
  3. esso rappresenta una finestra e i suoi settori
    1. Centro: finestra intera
    2. su metà superiore
    3. giù: metà inferiore
    4. destra: metà di destra
    5. sinistra: metà di sinistra

    o il bordo dell´editor

  4. spostate il mouse verso l´aiuto di posizionamento centrale o quello sul bordo dell´editor e, quando li avete raggiunti, portatevi nell´area desiderata
  5. l´area dell´editor sulla quale l´elemento è posizionato al momento del rilascio del tasto del mouse, viene colorata di blu
  6. spostate il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colora di blu
  7. rilasciate il tasto del mouse e l´elemento verrà posizionato

Esempi

  1. La finestra Proprietà viene spostata ancorata.
  2. Anche in questo caso compariranno gli aiuti di posizionamento.

  3. L´indicatore del mouse viene portato sulla freccia superiore dell´aiuto di posizionamento centrale.
  4. Il settore di inserimento dell´editor diventa blu.

  5. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:

  6. adesso si deve portare il puntatore del mouse sul bordo superiore dell´aiuto di posizionamento.
  7. Il settore di inserimento dell´editor diventa di nuovo blu.

  8. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:


Modalità schermo intero

Manuale -> Editor -> Superficie -> Modalità schermo intero

Nell´editor di zenon potete visualizzare la finestra principale nella modalità a schermo intero. Per far ciò:

  • usate la combinazione di tasti Shift+F9
    oppure
  • selezionate nella lista a cascata Finestra, l´inserimento Modalità a schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9
  • il tasto Esc

Lavorare nella modalità a schermo intero

Nella modalità a schermo intero viene visualizzato un menu che serve a terminare questa modalità di visualizzazione e ad aprire determinate finestre e barre simboli.

Parametri

Descrizione

Chiudi schermo intero

Chiude lo schermo intero. In alternativa, usate anche la combinazione di tasti Shift+F9, oppure il tasto Esc.

Finestra docking

Lista a cascata che serve ad aprire le finestre:

  • Proprietà
  • Help proprietà

Le finestre vengono aperte la prima volta in una posizione determinata in modo fisso. Poi possono essere posizionate liberamente e vengono aperte in seguito nella modalità a schermo intero in corrispondenza della posizione definita individualmente.

Barre dei simboli

Lista a cascata che serve ad aprire le barre simboli:

  • Immagini
  • Orientamento
  • Livelli di visibilità
  • Elementi

Le barre simboli vengono aperte la prima volta in una posizione determinata in modo fisso. Poi possono essere posizionate liberamente e vengono aperte in seguito nella modalità a schermo intero in corrispondenza della posizione definita individualmente.


Combinazioni di tasti

Manuale -> Editor -> Superficie -> Combinazioni di tasti

Generale

Comando | Combinazione tasti
Apri la guida | F1
Avvia / chiudi modalità schermo intero | Shift+F9
Remote: Chiudi modalità schermo intero | Ctrl+Alt+Shift+F
Avvia VSTA Editor | Alt+F10
Avvia l'Editor VBA | Alt+F11
Wizard Apri selezione | Alt+F12
Apri explorer con particolare attenzione alla cartella SQ per il progetto attuale. Corrisponde a: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Ctrl+Alt+E
Apri explorer con particolare attenzione ai file del progetto attuale. Corrisponde a: %CD_USERDATA% Ad esempio: C:\Users\Public\Documents\<CD_zenon_Projects | Ctrl+Alt+D

Profili editor

Comando | Combinazione tasti
Carica profilo editor 1 | Shift+F1
Carica profilo editor 2 | Shift+F2
Carica profilo editor 3 | Shift+F3
Carica profilo editor 4 | Shift+F4
Carica profilo editor 5 | Shift+F5
Carica profilo editor 6 | Shift+F6
Carica profilo editor 7 | Shift+F7
Carica profilo editor 8 | Shift+F8
Salva visuale editor attuale come: |
Profilo editor 1 | Ctrl+Shift+F1
Profilo editor 2 | Ctrl+Shift+F2
Profilo editor 3 | Ctrl+Shift+F3
Profilo editor 4 | Ctrl+Shift+F4
Profilo editor 5 | Ctrl+Shift+F5
Profilo editor 6 | Ctrl+Shift+F6
Profilo editor 7 | Ctrl+Shift+F7
Profilo editor 8 | Ctrl+Shift+F8

Editor grafico

Indicazioni sulle combinazioni di tasti: il segno di più (+) significa che i tasti vanno premuti insieme.
Ad esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione tasti
Finestra principale: scrollare contenuti con mano per trascinamento | tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri proprietà | Alt+Invio

Seleziona

Comando

Combinazione tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di multiselect

Ctrl+Clic del mouse

Selezione: modifica successione. definisce l´elemento nei confronti del quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Selezionare prossimo elemento nella successione della creazione.

Tab

Selezionare elemento precedente nella successione della creazione.

Shift+Tab

Posizionare

Comando | Combinazione tasti
Spostare oggetto selezionato | Tasti con frecce
Spostare di 10 pixel per ogni pressione sul tasto con frecce | Shift+Tasto freccia
Spostare solamente orizzontalmente oppure solo verticalmente | Tenere premuto Shift al momento di effettuare lo spostamento.
Centrare un oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione tasti
Salva modifiche. | Ctrl+S
Inserisce elemento proveniente dagli appunti | Ctrl+V Shift+Ins
aggiunge elementi preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia gli elementi selezionati | Ctrl+C Ctrl+Ins
Copia invece che spostare | Tenere premuto Ctrlal momento di effettuare lo spostamento.
Cancella un elemento selezionato | Del
Taglia un elemento selezionato | Shift+TCanc Ctrl+X
Annulla modifiche | Ctrl +Z Alt+Backspace
Aggiungi o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa un segno pulsante (+). Cancella: il cursore del mouse diventa il segno meno (-). Funziona con polinea, poligoni e elementi tubature. | Ctrl+Shift
Termina disegno di polilinea e poligoni | S
Termina disegno di polilinea e poligoni e cancella l´ultima area parziale disegnata | Esc
Colloca elementi selezionati al livello superiore | +
Colloca elementi selezionati al livello inferiore | -
Porta elementi selezionati in primo piano | Ctrl++
Porta elementi selezionati sullo sfondo | Ctrl+-

Scalare

Comando

Combinazione tasti

Modifica grandezza

Posizionare il cursore del mouse sul punto di aggancio in modo tale che esso prenda la forma di una freccia. Poi, facendo uso dei tasti con le frecce si può procedere a stabilire la posizione con grande precisione tenendo premuto il tasto Shift in passi di 10 pixel.

Indicazione: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Interno ID: Combinazioni di tasti

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento. Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:
- rifletti
- ruota di +/- 90°
- scalare con tasti freccia

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Scalare oggetto in riferimento al punto centrale:

Tenere premuto Altal momento di effettuare lo spostamento.

Scalare in modo proporzionale:

Tenere premuto Shift al momento di scalare.

Visualizzazione dettagliata

Comando | Combinazione tasti
Crea nuovo elemento per il modulo relativo | Ins.
Modifica la colonna selezionata | F2
Copiare un elemento della lista selezionato | Ctrl+C
Inserisce un elemento copiato in precedenza | Ctrl+V
Cancellare un elemento della lista selezionato | Del
Scrollare diversi elementi nella lista verso l'alto | Immagine su
Scrollare diversi elementi nella lista verso il basso | Immagine giù
Navigare nella lista | Tasti con frecce

Runtime

Comando | Combinazione tasti
Avvia il Runtime; vengono creati i file Runtime modificati in precedenza. | F5
Crea i file runtime modificati | F7
Sfoglia attraverso la finestra windows aperta | Alt+Tab
Terminare il runtime | Alt+F4
Aprire explorer con focus su cartella per i file runtime. Il progetto deve essere prima selezionato nella struttura ad albero. | Ctrl+Alt+D
Aprire explorer con focus su cartella con il progetto runtime. Il progetto deve essere prima selezionato nella struttura ad albero. | Ctrl+Alt+R


Barre dei simboli

Manuale -> Editor -> Barre dei simboli

Le barre simboli principali vengono posizionate nell´editor di defaullt sotto la Barra menu. Fatta eccezione per la barra simboli Elementi; essa, infatti, viene visualizzata a destra accanto alla Finestra principale. Se si muove il mouse su un simbolo, viene visualizzata nella barra di stato un´informazione concernente la funzione del simbolo.

Le seguenti barre simboli principali sono disponibili:

  • Finestra docking
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menu
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore di rapporti
  • File runtime
  • Livelli di visibilità
  • Macro VBA

Le seguenti finestre dispongono di una barra simboli propria, che viene visualizzata sul margine superiore della finestra stessa:

  • Dettagli workspace
  • Proprietà

Info Informazioni

I titoli delle barra simboli corrispondono sempre alla lingua attiva nell´editor al momento in cui le barre stesse sono state aperte per la prima volta. Nel caso in cui, per esempio, la barra simboli 'Immagini' sia stata usata per la prima volta in tedesco, conserva il suo nome anche se in seguito nell´editor si passa all´inglese.

Se volete cambiare la lingua dei nomi, dovete anzitutto cancellare tutti i profili editor, avviare l´editor nella lingua desiderata e poi attivare le barre dei simboli.

Non cancellate i profili editor in zenon, ma a livello dei file di sistema. (Dettagli su questo tema li trovate nel capitolo Cancella profili editor.)

Azioni con simboli e barre simboli

Le opzioni per le barre simboli vengono impostate alla voce: Opzioni- > Impostazioni -> Tab Barra simboli

Azioni per barre simboli:

  • posiziona liberamente sullo schermo
  • Chiudi
  • Apri

Azioni per simboli:

  • Cancellare
  • incolla

posiziona barra simboli

  1. Clliccate con il tasto sinistro del mouse in un settore libero della barra simboli.
  2. Trascinate la barra simboli nella posizione desiderata dello schermo.
  3. Un rettangolo sta ad indicare il posto nel quale la barra simboli verrà inserita.
  4. Rilasciate il tasto del mouse per posizionare la barra simboli.

Indicazione: barre simboli, che contengono liste a cascata, possono essere posizionate solo orizzontalmente.

Chiudi barra simboli

Potete chiudere delle barre simboli o tramite la lista a cascata Opzioni, oppure con la Impostazioni sotto opzioni.

Lista a cascata: il modo più veloce per chiudere una barra simboli.

  1. Cliccate sulla lista a cascata Filtro
  2. navigare per raggiungere la barra simboli
  3. cliccate sull´inserimento relativo alla barra simboli da chiudere

Impostazioni: consente di chiudere diverse barre simboli contemporaneamente

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. Eliminate il segno di spuntatura accanto alla barra simboli desiderata.
  3. confermate la selezione cliccando su OK

Apri barra simboli

Potete aprire delle barre simboli o tramite la lista a cascata Opzioni, oppure con la Impostazioni sotto opzioni.

Lista a cascata: il modo più veloce per aprire una barra simboli.

  1. Cliccate sulla lista a cascata Filtro
  2. navigare per raggiungere la barra simboli
  3. cliccate sull´inserimento relativo alla barra simboli da aprire

Impostazioni: consente di aprire diverse barre simboli contemporaneamente

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. settate il segno di spuntatura accanto alla barra simboli desiderata.
  3. confermate la selezione cliccando su OK

Aggiungi simbolo

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Comandi
  2. Selezionate nella finestra a sinistra una categoria.
  3. Cliccate nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. tenendo premuto il tasto sinistro del mouse, trascinate il simbolo nella posizione desiderata nella barra dei simboli

Cancella simboli

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. vengono attivati tutti i simboli di tutte le barre nell´editor
  3. Cliccate con il tasto sinistro del mouse sul simbolo.
  4. Trascinate il simbolo fuori dalla barra simboli e rilasciate il tasto del mouse.


Barra simboli Finestra docking

Manuale -> Editor -> Barre dei simboli -> Barra simboli Finestra docking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le seguenti finestre nascoste oppure chiuse possono essere riattivate sempre con la barra simboli per Finestre docking.

Simbolo (da sinistra a destra) | Funzione
Manager di progetto | Attiva il Manager di progetto.
Finestra di emissione | Attiva la finestra di emissione.
Lista incrociata | Attiva la lista riferimenti incrociati.
Finestra di proprietà | Attiva la finestra di proprietà. .
Help proprietà | Attiva la finestra della guida delle proprietà. .
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra simboli Orientamento

Manuale -> Editor -> Barre dei simboli -> Barra simboli Orientamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

No.

Simbolo

Funzione

01

orienta a sinistra

Orienta tutti gli elementi selezionati al margine sinistro dell´elemento che è stato selezionato per primo.

02

orienta a destra

Orienta tutti gli elementi selezionati al margine destro dell´elemento che è stato selezionato per primo.

03

orienta verso l´alto

Orienta tutti gli elementi selezionati al margine superiore dell´elemento che è stato selezionato per primo.

04

orienta verso il basso

Orienta tutti gli elementi selezionati al margine inferiore dell´elemento che è stato selezionato per primo.

05

Centra orizzontalmente

Orienta l´elemento selezionato al centro orizzontale dell´immagine.

Nel caso in cui siano stati selezionati più elementi, si orientano tutti all´elemento che è stato selezionato per primo.

06

Centra verticalmente

Orienta l´elemento selezionato al centro verticale dell´immagine.

Nel caso in cui siano stati selezionati più elementi, si orientano tutti all´elemento che è stato selezionato per primo.

07

Stessa distanza X

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse x; i primi due elementi stabiliscono la distanza.

08

Stessa distanza Y

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse y; i primi due elementi stabiliscono la distanza.

09

Stessa distribuzione X:

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

10

Stessa distribuzione Y:

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

11

Stessa larghezza

Gli elementi selezionati vengono adattati alla larghezza del primo elemento selezionato.

Indicazione: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

12

Stessa altezza

Gli elementi selezionati vengono adattati all´altezza del primo elemento selezionato.

Indicazione: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

13

Stesse dimensioni

Gli elementi selezionati vengono adattati all´altezza e alla larghezza del primo elemento selezionato.

Indicazione: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

14

In primo piano

Porta gli elementi selezionati in primo piano.

15

Sposta avanti

Porta gli elmenti selezionati avanti di un livello.

16

Sposta indietro

Porta gli elmenti selezionati indietro di un livello.

17

Sullo sfondo

Porta gli elementi selezionati sullo sfondo.

18

Specchia orizzontalmente

Rispecchia l´elemento selezionato su un´asse orizzontale.

19

Specchia verticalmente

Rispecchia l´elemento selezionato su un´asse verticale.

20

gira di 90°

Gira l´elemento selezionato di 90° in senso antiorario.

21

Crea simbolo

Crea un nuovo simbolo da tutti gli elementi selezionati.

22

Dividi simbolo

Il simbolo viene diviso nei suoi elementi originari; il simbolo non esiste più.

23

Modalità di modifica singola simbolo / elemento

Consente di modificare i singoli elementi di un simbolo. Il pulsante fa passare tra modalità di editazione oggetti singola e modalità editazione simbolo

24

Aggiungi in simbolo esistente

Apre la barra dei simboli per aggiungere il simbolo attivo in un simbolo della lista.

25

Elimina da un simbolo.

Elimina l´elemento selezionato dal simbolo attivo. Poi l´elemento non appartiene più al simbolo.

26

Sostituisci collegamento

Apre il dialogo per sostituire delle variabili o funzioni collegate con elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.Variabili di processo in elementi dinamici.

Variabili di processo in elementi dinamici.

Variabili di processo in elementi dinamici.

Variabili di processo in elementi dinamici.

Variabili di processo in elementi dinamici.

27

Trasmetti proprietà

Trasmette le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasmettere ad un elemento:

    cliccare su un elemento con proprietà originarie -> cliccare sul simbolo Trasmetti proprietà -> cliccare sull´elemento di destinazione: Le proprietà vengono trasmesse.

  • Trasmettere a più elementi:

    selezionare elemento fonte -> selezionare gli elementi di destinazione tenendo premuto il tasto Ctrl (sia l´elemento fonte che quelli di destinazione sono evidenziati; quello fonte è caratterizzato anche dalla presenza di punti di appiglio neri) -> cliccare sul simboloTrasmetti proprietà. Le proprietà dell´elemento fonte vengono trasmesse agli elementi di destinazione.

Quali proprietà vengono trasmesse, dipende dall´oggetto fonte e da quello di destinazione. Di norma, vengono trasmessi colori, caratteri, allineamento paragrafo e bordi.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

28

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Adattamento stessa larghezza/altezza/dimensione

L´adattamento della dimensione di elementii ruotati e non ruotati fa riferimento alle coordinate ottiche, non a quelle logiche. L´estensione di elementi ruotati viene intesa come superficie del rettangolo, all´interno delle cui linee immaginarie si trova l´elemento ruotato (Bounding Rectangle).

Ad esempio

Due elementi prima dell´adattamento:

Dopo l´adattamento tramite Stessa altezza:


Barra simboli Immagini

Manuale -> Editor -> Barre dei simboli -> Barra simboli Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la modifica delle immagini avete a disposizione una barra dei simboli apposita. Essa viene visualizzata di dafault sotto la barra di menu.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutto

Salva tutte le immagini modificate.

Taglia

Taglia l'elemento attivo e lo salva negli appunti, anche per più progetti. Disponibile solo se è stato selezionato un elemento.

Copiare

Salva una copia dell´immagine attuale negli appunti. Disponibile solo se è stato selezionato un elemento.

Incolla

Aggiunge un´immmagine presa dagli appunti. Disponibile solamente se gli appunti contengono dei dati.

Ridisegna immagine

Attualizza la visualizzazione dello schermo.

Modifica

Passa dallo zoom alla modalità modifica.

Annulla

Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definisci il numero delle azioni: Opzioni -> Impostazioni ->Impostazioni -> Numero delle azioni annullate. Indicate un numero fra 1 e100.

Zoom

Mette a disposizione due modalità di zoom:

  • Zoom senza livelli:
    Si può inserire nel Combobox un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoomtool:
    facendo uso dei simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine servendosi del mouse. Premete il tasto Ctrl e passate da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi modalità zoom: cliccate sul simbolo Modifica. nella barra dei simboli Elementi.

Stampa

L'intero contenuto dello schermo viene stampato mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.

Guida

Apre la guida in linea.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra simboli Simboli

Manuale -> Editor -> Barre dei simboli -> Barra simboli Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La libreria dei simboli vene gestita facendo uso del menu contestuale oppure della barra simboli:

Comandi nel menu contestaule e della barra simboli.

Barra simboli | Menu contestuale | Funzione
1 | Nuovo simbolo | Viene impostato un nuovo simbolo.
3 | Apri simbolo | Apre il simbolo nell´editor dei simboli per effettuare delle modifiche.
2 | Nuovo gruppo simboli | Viene creato un nuovo gruppo simboli che può essere riempito di simboli selezionati della libreria, oppure con simboli crati ad hoc. (Copiare ed inserire) Disponibile solo nella biblioteca di simboli globale.
4 | Inserisci simbolo nell´immagine in modalità scollegata. | Inserisce il simbolo nell´immagine in modalità scollegata.(per i dettagli vedi il sottocapitolo Simboli separati ).
5 | Inserisci simbolo nell´immagine in modalità collegata. | Inserisci simbolo nell´immagine in modalità collegata. (per i dettagli vedi il sottocapitoloSimboli collegati).
13 | Visualizzazione piatta | Ordina tutti i imboli in una lista piatta. Semplifica la ricerca di un determinato simbolo. Indicazione: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.
14 | Visualizzazione gerarchica | Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.
6 | Copiare | Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).
7 | Incolla | Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).
8 | Elimina | Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica). Attenzione: non si può annullare la cancellazione!
9 | Modifica celle selezionate | Permette la modifica dei contenuti della cella selezionata.
10 | Sostituisci testo nella cella selezionata... | Apre il dialogo che serve alla sostituzione automatica di testi (disponibile solamente se sono selezionate delle celle che possono contenetere del testo).
11 | Proprietà | Apre la finestra Proprietà per il simbolo selezionato.
12 | Ingrandisci / riduci nodo | Nella visualizzazione gerarchica, permette di ingradire o ridurre il nodo selezionato o tutti i nodi.
15 | Esporta selezione in XML | Apre il dialogo per l´export in formato XML dei simboli selezionati. (Per i dettagli vedi capitolo Import / Export Simboli
16 | Importa XML… | Importa simboli da un file XML (vedi capitolo Import/Export Simboli).
18 | Elimina tutti i filtri | Elimina tutti i filtri settati nel titolo della colonna.
19 | Guida | Apre la giuda in linea relativa al menu contestuale.
17 | - | Torna indietro all´elemento di partenza (solo barra simboli).
 | Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra dei simboli Profili editor

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli Profili editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profili editor possono essere gestiti comodamente facendo uso della barra dei simboli corrispondente.

Simbolo

(da sinistra a destra)

Funzione

Carica profilo editor selezionato

Carica il profilo selezionato nel settore Seleziona profilo editor.

Seleziona profilo editor

Lista a cascata con 10 profili.

Carica profilo standard

Resetta tutte le impostazioni relative a visualizzazione e posizione delle finestre, nonché contenuti e visualizzazione delle barre dei simboli e dello stato di emissione; poi carica il profilo standard di zenon.

Carica Profili predefiniti:

carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.

Elimina attribuzioni di profili:

Cancella tutti i collegamenti di profili predefiniti con i moduli.

Salvataggio automatico dei profili editor

Attivo: le modifiche del profilo attuale vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Disattivato: le modifiche non vengono salvate al momento del cambiamento di profilo; quando si richiama un´altra volta il profilo in questione, vengono riproposte le posizioni originali.

Salva profilo editor selezionato

Salva le impostazioni finestra attuali nel profilo che è visualizzato nel settore Seleziona profilo editor.

Assegna nomi individuali ai profili editor.

Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili editor.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra dei simboli Elementi

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli Elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

No. | Simbolo | Funzione
01 | Rettangolo | Con colore e tipo di linea e di riempimento;
02 | Linea | larghezza, colore e tipo di linea definibile
03 | Rettangolo arrotondato | Rettangolo con angoli arrotondati definibili liberamente.
04 | Ellisse / Cerchio | Con colore e tipo di linea e riempimento
05 | Poligono | Con colore e tipo di linea e di riempimento;
06 | Polilinea: | Con tipo e colore della linea ?(se descrive un’ area piana chiusa, anche tipo e colore di riempimento)
07 | Curva | larghezza, colore e tipo di linea definibile
08 | Segmento di cerchio | disegna un segmento di cerchio con un angolo di apertura di 180° (modificabile), spessore, colore e tipo della linea definibili.
10 | Testo statico | Con colore e selezione del tipo di carattere
09 | Tubatura | Con colore e tipo di linea e di riempimento;
11 | Bargraf | Rappresentazione dei valori su un bargraf
12 | Valore numerico | Visualizzazione dei valori in forma numerica
13 | Testo dinamico | Visualizza testi associati a valori limite
14 | Elemento trend | Visualizzazione semplice con grafica lineare
15 | Strumento analogico: | Visualizzazione valori in forma analogica
16 | Elemento di stato | Riprendere i colori dalla progettazione dello stato delle variabili
17 | Pulsante | zona di comando in rappresentazione di buttone
18 | Interruttore | Semplice comando per l’ impostazione di valori limite
19 | Multibin | Rappresentazione di più variabili di processo su un punto ad immagine con colori e simboli
20 | Pulsante Allarmi ad immagine | Disponibile solo con licenza per SICAM 230
21 | elemento di segnalazione | Visualizzazione di testi da una tabella testi
22 | Orologio | Data ed ora
23 | Elemento comando | Disponibile solo con licenza per SICAM 230
24 | Elemento combinato | Visualizza una o più variabili su un unico punto d’ immagine con colori e simboli (sequenza caratteri)
25 | Allarme ad immagine | Disponibile solo con licenza per SICAM 230
26 | Elemento active X | Inserire elementi AktivX
27 | Slider universale | Slider/potenziometro
28 | Combo/ListBox | Collega i valori di variabili con messaggi di testo.
29 | Elemento WPF | Rappresenta file WPF-XAML validi.
30 | Modifica | Cambia da zoom a modalità di modifica
 | Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra dei simboli del Production and Facility Scheduler

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli del Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il modulo Production Facility Scheduler può essere modificato anche mediante una barra di simboli.

Simbolo (da sinistra a destra) | Funzione
Rinomina | Permette il cambiamento della denominazione di un impianto.
Proprietà | Apre una finestra con le proprietà dell´impianto.
Elimina | Elimina l´impianto selezionato dopo una conferma.
Ordina in andamento crescente | Ordina la tabella/colonna selezionata in direzione crescente.
Ordina in andamento decrescente | Ordina la tabella/colonna selezionata in direzione decrescente.
Cambia data | Apre il dialogo che serve ad inserire una data e cambia portandosi a questa data.
Mostra oggi | Passa dalla data indicata alla data attuale.
Visualizzazione giorno | Mostra un giorno nel calendario.
Visualizzazione settimana | Mostra una settimana nel calendario.
Vista mensile | Mostra un mese nel calendario.
Elemento precedente. | Torna indietro nel calendario di un elemento in corrispondenza della visualizzazione impostata (il che significa di un giorno, di una settimana o di un mese).
Prossimo elemento | Va avanti nel calendario di un elemento in corrispondenza della visualizzazione impostata (il che significa di un giorno, di una settimana o di un mese).
Anteprima punti di commutazione | Apre l´anteprima dei punti di commutazione.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra simboli Trasporto remoto

Manuale -> Editor -> Barre dei simboli -> Barra simboli Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un computer di sviluppo può realizzare delle connessioni remote con altri calcolatori. La batta simboli Trasporto remoto mette a disposizione delle funzioni che servono alla trasmissione e alla interrogazione di dati.

Simbolo

(da sinistra a destra)

Funzione

Trasporto remoto: Crea collegamento

Instaura un collegamento con il computer destinatario.

Trasporto remoto: Impostazioni di collegamento

Apre il dialogo per la configurazione del collegamento.

Remote: Trasmetti i file runtime modificati

Trasmette al computer di destinazione tutti i file runtime modificati sul computer di sviluppo.

Remote: Rileggi tutti i file runtime modificati

Rilegge tutti i file modificabili nel runtime (come ricette, oppure gestione user) sul computer di sviluppo.

Remote: Imposta progetto di partenza

Setta il progetto di partenza per il computer di destinazione.

Remote: Lanciare runtime

Avvia il runtime sul computer di destinazione.

Remote: Terminare il runtime

Chiude il runtime sul computer di destinazione.

Remote: Aggiorna progetto

Esegue sul computer di destinazione la funzione aggiorna.

Remote: Avvia connessione con il desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via Remote Desktop.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Ulteriori simboli possono essere aggiunti facendo uso di Opzioni della barra simboli:

Trasmetti tutti i file runtime.

Trasmette tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Indicazione: tutti i comandi per il trasporto remoto sono a disposizione anche nel Menu contestuale del progetto.


Barra simboli del Generatore di rapporti

Manuale -> Editor -> Barre dei simboli -> Barra simboli del Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per il generatore di rapporti avete a disposizione una barra di simboli nell´editor: nel caso in cui non dovesse essere visibile, la si può visualizzare mediante:

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. attivate il checkbox accanto al Generatore di rapporti
  3. confermate la selezione cliccando su OK

Simbolo (da sinistra a destra) | Funzione
Stampa report | Stampa il rapporto con la stampante impostata come standard.
Anteprima pagina report | Apre il rapporto in un´anteprima. Il rapporto può essere ingrandito oppure rimpicciolito (zoom); lo si può sfogliare e stampare.
Ridisegna report | Attualizza la visualizzazione.
Ricalcola funzioni | Calcola nuovamente le formule nel report
Assistente funzione | Apre un dialogo che serve di aiuto per la configurazione delle funzioni.
Carattere | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Carattere.
orientamento testo | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Orientamento.
Cornice | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Cornice.
Disegno | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Disegno.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra simboli File runtime

Manuale -> Editor -> Barre dei simboli -> Barra simboli File runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per trasferire dei file dall´editor al runtime, oppure viceversa, avete a disposizione una barra di simboli:

Simbolo (da sinistra a destra) | Funzione
Crea i file runtime modificati | Crea file runtime di tutti i file modificati nell´editor. Scegliete nel menu dropdown se i file runtime devono essere generati solo per il progetto attivo, o per tutti i progetti caricati.
Crea tutti i file runtime | Crea file runtime per tutti i file esistenti nell´editor. Scegliete nel menu dropdown se i file runtime devono essere generati solo per il progetto attivo, o per tutti i progetti caricati.
Importa i file runtime | I file modificabili nel runtime (come ricette oppure gestione utenti) vengono riletti dal runtime nell´editor.
Runtime: file modificabili | Apre il Dialogo che serve alla gestione dei file modificabili durante il Runtime.
Lanciare runtime | Avvia il runtime.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra simboli Livelli di visibilità

Manuale -> Editor -> Barre dei simboli -> Barra simboli Livelli di visibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In modo simile a quanto accade nei programmi CAD, si possono definire nell´editor dei livelli di visibilità, che possono essere assegnati poi a singoli elementi. In tal modo è possibile nascondere nel caso di immagini complesse quegli elementi che non sono necessari, che poi, però, possono essere resi di nuovo visibili in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello viene effettutata nella proprietà Livello di visibilità nel nodoGenerale. L´attivazione o la disattivazione dei singoli livelli avviene facendo uso dei pulsanti della barra simboli Livelli di visibilità:

Interno ID: Barra simboli Livelli di visibilità

Generale

Proprietà generali dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Barra simboli Livelli di visibilità

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Simbolo (da sinistra a destra) | Funzione
Mostra tutti i livelli di visibilità | Visualizza tutti i livelli.
Nascondi tutti i livelli di visibilità | Nasconde tutti i livelli.
Livello di visibilità<Nr> | Mostra o nasconde il livello di visibilità corrispondente.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Info Informazioni

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun influsso sul Runtime.

Indicazioni sugli elementi di controllo: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.


Barra dei simboli delle Macro VBA

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli delle Macro VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le macro che sono state realizzate usando VBA, possono essere gestite tramite la barra simboli VBA.

Simbolo (da sinistra a destra) | Funzione
Ricarica la lista delle macro VBA. | Carica tutte le macroPublic Sub Name () contenute in myWorkspace e nei moduli nella lista dropdown della barra simboli.
Lista dropdown Macro | Contiene tutte le macro caricate e ne permette la selezione.
Esegui le macro selezionate. | Esegue la macro selezionata nella lista a cascata (dropdown).
Esegui la macro x assegnata. #<x> | Esegue la macro assegnata al simbolo.
Assegna macro | Apre il dialogo che serve all´assegnazione di macro. Con i simboli possono essere collegate da 1 a 5 macro.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Info Informazioni

Nel caso in cui nel dialogo di attribuzione non vengano offerte tutte la macro contenute in myWorkspace, eseguite nella barra dei simboli la funzioneRicarica la lista delle macro VBA.


Barra dei simboli della sezione lista

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli della sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella visualizzazione dettagliata del Manager di progetto vengono visualizzate le barre dei simboli relative al tipo di nodo attivato. Queste ultime corrispondono al contenuto del menu contestuale corrispondente. La guida relativa alle singole barre dei simboli la trovate nel capitolo corrispondente, per esempio: Variabili Visualizzazione dettagliata Barra simboli


Barra dei simboli Proprietà

Manuale -> Editor -> Barre dei simboli -> Barra dei simboli Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Per organizzare la finestra delle porprietà è a Vostra disposizione una barra di simboli:

Simbolo

(da sinistra a destra)

Funzione

Gruppi di rappresentazione

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Attraverso il menu contestuale possono essere aggiunti o eliminati inserimenti dai Favoriti.

Standard per il manuale: le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono rappresentate in una lista. Attraverso il menu contestuale possono essere aggiunti o eliminati inserimenti dai Favoriti.

Vista a dialogo

Tutte le proprietà vengono riassunte in modo logico come nei Gruppi di rappresentazione e i gruppi sono ordinati secondo la frequenza e la priorità del loro uso. In questa visualizzazione non possono essere definiti dei favoriti.

Mostra/nascondi i favoriti

Mostra o nascondo nelle visuali Gruppi di rappresentazione oppure Tutte le proprietà il nodo Favoriti. In esso sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Di default vengono proposti dei favoriti.

Aggiungi o cancella dai favoriti degli inserimenti: Ciò accade mediante il menu contestuale 'Aggiungi ai favoriti', o mediante Drag&Drop delle proprietà nella lista dei favoriti.

La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

NellaVisuale di dialogo non possono essere creati dei favoriti.

Mostra/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in ordine alfabetico crescente o decrescente.

Apri/chiudi tutti i nodi

Apre o chiude nelle visuali Raggruppato e Tutte le proprietàtutti i nodi.

Eccezione: il nodo delle proprietà attualmente selezionate rimane aperto cliccando su Chiudi tutti i nodi.

Mostra guida delle proprietà

Mostra la guida integrata che concerne le proprietà (guida delle proprietà).

Rendi disponibili proprietà

Simboli: rende disponibile la Proprietà selezionata.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra menu

Manuale -> Editor -> Barra menu

La barra menù contiene (a seconda del modulo ed elemento selezionati) liste a cascata per i seguenti elementi.

Base

  • File
  • Modifica
  • Immagini
  • Opzioni
  • Finestra
  • Guida

Immagini e simboli

Non appena viene aperta un´immagine, nuovi punti di menu completano la barra:

  • Elementi
  • Elementi di controllo

Se viene attivata la Libreria simboli globale, il punto menu immagini viene sostituito da simboli.

Report

Se si apre un Rapporto:

  • il menu Immagini viene sostituito da Report
  • viene inoltre aggiunto il menu Formato
  • i comandi del menu Modifica vengono sostituiti


File

Manuale -> Editor -> Barra menu -> File

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Progetto

Apre il dialogo che serve a creare un nuovo progetto.

Inserisci progetto esistente

Apre il dialogo che serve ad inserire un progetto esistente nell´editor.

Inserisci progetto 5.50

Apre il dialogo che serve ad inserire un progetto realizzato con l´editor della versione 5.50.

Ripristino di backup di progetto

Apre il dialogo che serve a caricare lo stato di un progetto salvato in un backup.

Area di lavoro (Workspace)

nuovo

Apre il dialogo che serve a creare un nuovo workspace.

Apri

Apre il dialogo che serve a caricare un workspace già esistente.

Salva

Salva l’area di lavoro corrente.

Salva con nome…

Salva l'attuale workspace. Potete indicare il nome e il luogo in cui effettuare il salvataggio.

Chiudi

Chiudi l’attuale area di lavoro.

Crea backup

Apre il dialogo che serve a salvare tutti i progetti del worspace attuale. Il backup viene salvato in un file compresso *.wsb.

Ripristina backup

Apre il dialogo che serve a caricare i progetti salvati in un backup del wokspace.

Configurazione generale

Registrazione prodotto

Aprei il dialogo Registrazione del prodotto che serve all´inserimento del numero di serie e di quello di attivazione, oppure a richidere una licenza soft.

Standard

Apre il dialogo che serve alla Configurazione delle impostazioni standard per i luoghi in cui salvare i dati e per le stampanti

  • AML
  • CEL :
  • Valori
  • Protocolli
  • Screenshots
  • Blocco note

Pannello di controllo

Apre il pannello di controllo del sistema operativo.

Stampa Screenshot

L'intero contenuto dello schermo viene stampato mediante la stampata che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard. In un sistema a più monitor, viene stampato sempre lo schermo 1.

Editor Visual Basic

Apre l’editor di Visual Basic

Informazione: questo punto di menu esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Wizard

Apre il dialogo che serve alla selezione di un assistente.

Informazione: questo punto di menu esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Aggiornamento Wizards

Apre il dialogo che serve ad effettuare l´update di un wizard. I dettagli li trovate nel capitolo Wizard, capitolo Update dei wizard.

Informazione: questo punto di menu esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Workspace esistenti

Presenta una lista dei workspace esistenti. Vengono indicati gli ultimi 5 workspace selezionati.

Chiudi

Chiude l´editor di zenon.


Modifica

Manuale -> Editor -> Barra menu -> Modifica

Immagini e simboli

Se si seleziona un´immagine o un simbolo, il menu Modifica mette a disposizione dell´utente delle funzioni speciali.

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Annulla

Annulla l’ultima azione.

Il numero delle azioni che è possibile annullare viene definito alla voce Opzioni -> Impostazioni .

Attenzione: Nell´editor dei modelli non è possibile annullare delle azioni.

Taglia

Taglia l’oggetto selezionato e lo salva negli appunti.

Copiare

Taglia l’oggetto selezionato e lo salva negli appunti.

Incolla

Incolla un oggetto tagliato o copiato negli Appunti. Gli elementi vengono inseriti sempre centrati nella sezione di lavoro. Nel caso ci siano diversi oggetti, la posizione reciproca degli oggetti rimane la stessa.

Inserisci nella stessa posizione

La copia dell´oggetto viene incollata nella stessa posizinoe come nell´originale.

Elimina

Elimina l’oggetto selezionato.

Seleziona tutto

Seleziona tutti gli oggetti nella finestra principale.

Proprietà

Attiva la finestra di proprietà. .

Sostituisci collegamento

Apre il dialogo per sostituire delle variabili o funzioni collegate con elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.

Posizione elemento

Modifica la posizione degli elementi selezionati.

Tasto ALT+ clic con il tasto sinistro del mouse seleziona elmenti da livelli inferiori.

Primo piano

Porta gli elementi selezionati in primo piano.

Sfondo

Porta gli elementi selezionati sullo sfondo.

avanti:

Porta gli elmenti selezionati avanti di un livello.

indietro:

Porta gli elmenti selezionati indietro di un livello.

Allinea

Riposiziona gli elementi selezionati.

A sinistra

Gli elementi selezionati vengono allineati a sinistra.

A destra

Gli elementi selezionati vengono allineati a destra.

Su

Gli elementi selezionati vengono allineati in alto.

Giù

Gli elementi selezionati vengono allineati in basso.

Ordina

Riordina elementi. Punto di riferimento è il primo elemento selezionato.

Stessa larghezza

Gli elementi selezionati vengono adattati alla larghezza del primo elemento selezionato.

Indicazione: nel caso di elementi ruotati, la larghezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Stessa altezza

Gli elementi selezionati vengono adattati all´altezza del primo elemento selezionato.

Indicazione: nel caso di elementi ruotati, l´altezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Stesse dimensioni

Gli elementi selezionati vengono adattati all´altezza e alla larghezza del primo elemento selezionato.

Indicazione: nel caso di elementi ruotati, la grandezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Centra orizzontalmente

Gli elementi selezionati vengono allineati orizzontalmente al centro del primo elemento selezionato.

Centra verticalmente

Gli elementi selezionati vengono allineati verticalmente al centro del primo elemento selezionato.

Stessa distanza X

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse X sia uguale; i primi due elementi determinano la distanza.

Stessa distanza Y

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse Y sia uguale; i primi due elementi determinano la distanza.

Stessa distribuzione X:

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

Stessa distribuzione Y:

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

Specchia orizzontalmente

Rispecchia l´elemento selezionato su un´asse orizzontale.

Specchia verticalmente

Rispecchia l´elemento selezionato su un´asse verticale.

Gira 90°

Gira l´elemento selezionato di 90° in senso antiorario.

Ordine tastiera sinistra/destra

Mostra un modello con il quale viene stabilita la successione orizzontale nella quale si passa agli elementi ad immagine mediante la funzione Setta focus.

Ordine tastiera su/giù

Mostra un modello con il quale viene stabilita la successione verticale nella quale si passa agli elementi ad immagine mediante la funzioneSetta focus.

Simbolo

Crea simbolo

Crea un nuovo simbolo da tutti gli elementi selezionati.

Dividi simbolo

Il simbolo viene diviso nei suoi elementi originari; il simbolo non esiste più.

Modalità di modifica singola simbolo / elemento

Consente di modificare i singoli elementi di un simbolo. Passa tra modalità di editazione oggetti singola e modalità editazione simbolo

Incolla nel simbolo esistente.

Apre la barra dei simboli per aggiungere il simbolo attivo in un simbolo della lista.

Elimina da un simbolo.

Elimina l´elemento selezionato dal simbolo attivo. Poi l´elemento non appartiene più al simbolo.

Converti il simbolo collegato in uno non collegato

Converte un simbolo da collegato a uno non collegato. Il simbolo perde, dunque, il suo collegamento con quello originale nella libreria e può essere modificato solo localmente. Questa conversione non può essere annullata.

Lista simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Sposta successione per focus.

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Successione per sinistra/destra

Stabilisce la successione orizzontale.

Successione per sopra/sotto

Stabilisce la successione verticale.

Rapporti

Per i Rapporti, il menu Modifica mette a disposizione i seguenti inserimenti:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copiare

Aggiunge il contenuto degli appunti.

Incolla

Copia l´area evidenziata negli appunti.

Inserisci esteso

Mette a disposizione delle opzioni di inserimento estese per operazioni cella:
  • tutto

Inserisce tutto quanto contenuto negli appunti.

  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Va perso il riferimento alle formule.

  • Formato

Riprende solamente il formato.

Riempire

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle.

  • In giù

Il riempimento avviene dall´alto in basso.

  • a destra

Il riempimento avviene verso destra.

Rimuovi

Cancella dalle celle selezionate:

  • tutto

tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Cancella colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Cerca/Sostituisci

Apre il Dialogo che serve alla ricerca e sostituzione nel foglio elettronico.


Immagini

Manuale -> Editor -> Barra menu -> Immagini

Sono disponibili le seguenti azioni:

Punto di menu | Azione
Salva immagine | Salva l'immagine attuale.
Salva tutte le immagini | Salva tutte le immagini.
Ridisegna immagine | Attualizza la visualizzazione dello schermo.
Mostra la griglia: | Visualizza o nasconde la griglia.
Utilizza griglia | Visualizza o nasconde la griglia. On: Tutti gli oggetti vengono allineati automaticamente alla griglia.
Usa punti di appiglio | Attiva o disattiva i punti di appiglio Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.
Zoom | Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.
Stampa screenshot dell´immagine attuale. | L'immagine attuale viene stampata mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.
Inserisci grafica vettoriale | Apre il dialogo che serve ad inserire una grafica vettoriale esterna.

Info Informazioni

Non appena è attivo un elemento ad immagine, viene visualizzato il menu Elementi. Esso mette a disposizione dell´utente tutti gli Elementi vettoriali e gli Elementi dinamici in modo analogo alla barra dei simboli Elementi. Se si selezionano degli speciali Tipi d´immagine, viene visualizzato anche il menu Elementi di controllo. Questo menu mette a disposizione dell´utente quegli elementi di controllo che sono relativi al tipo d´immagine selezionato.


Simbolo

Manuale -> Editor -> Barra menu -> Simbolo

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Salva simbolo

Salva il simbolo attuale.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre il dialogo per la configurazione della grandezza simbolo e del colore di sfondo.

Indicazione: le modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9
  • il tasto Esc

Ridisegna simbolo

Attualizza la visualizzazione dello schermo.

Mostra la griglia:

Visualizza o nasconde la griglia.

Utilizza griglia

Visualizza o nasconde la griglia.

on: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Usa punti di appiglio

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Sposta successione per focus.

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Successione per sinistra/destra: Stabilisce la successione orizzontale.

Successione per sopra/sotto: Stabilisce la successione verticale.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Stampa screenshot del simbolo attuale.

Il simbolo attuale viene stampata mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.


Finestra

Manuale -> Editor -> Barra menu -> Finestra

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9
  • il tasto Esc

Chiudi

Chiudi la finestra attiva.

Dividi

Suddivide la finestra principale e ordina le finestre attive in modo corrispondente.

Lista delle finestre

Mostra le finestre aperte. Al massimo vengono inserite nella lista 9 finestre.

Finestra

Apre il dialogo che serve a gestire le finestre in quella principale:

  • attivare
  • salvare (possibile un multiselect)
  • chiudere (possibile un multiselect)

La finestra attiva verrà preselezionata.


Guida

Manuale -> Editor -> Barra menu -> Guida

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Informazioni su

Aprite una finestra con informazioni su zenon:

  • Numero di serie
  • Numero di attivazione
  • Tags/IOs con licenza
  • moduli con licenza

Potete navigare all´interno della finestra-info servendovi di una barra di scorrimento. Cliccando all´interno della finestra o premendo il tasto Esc si esce dalla finestra-info.

Getting Started

Apre il capitolo Tutorials della guida in linea

Guida

Richiama la guida in linea


Opzioni

Manuale -> Editor -> Barra menu -> Opzioni

Sono disponibili le seguenti azioni:

Punto di menu | Azione
Impostazioni | Apre il dialogo che serve alla configurazione delle Impostazioni generali , Menu, Barra simboli e Comandi.
Editor Gestire profili editor | Apre il Sottomenu che serve alla gestione dei profili editor.
Finestra principale con schede | Mostra o nasconde nella finestra principale la visuale immagine multipla facendo uso di schede.
Riga di stato | Mostra o nasconde la Barra di stato dell´Editor. Essa non è identica alla barra di stato della visualizzazione dettagliata del Manager di progetto.
Manager di progetto | Mostra la finestra Manager di progetto.
Finestra di emissione | Mostra la finestra Finestra di emissione.
Lista incrociata | Mostra la Lista riferimenti incrociati.
Finestra di Proprietà | Mostra la finestra Finestra di proprietà.
Help proprietà | Mostra la finestra con la Guida delle proprietà.
Barre dei simboli | Lista a cascata per visualizzare/escludere le barre simboli.
Update del Runtime Windows CE | Apre il software che serve per l´update di un runtime Windows CE.
Definisci nuovo inserimento menu | Apre il dialogo per implementare programmi esterni come propri inserimenti menu. Un consiglio: nel caso in cui sia già stato impostato un ulteriore inserimento di menu, quest´ultimo viene visualizzato in questa sede. Nuovi e ulteriori inserimenti menu vengono creati alla voce Opzioni -> Impostazioni -> Menu Tools.


Impostazioni

Manuale -> Editor -> Barra menu -> Opzioni -> Impostazioni

Nel dialogo Impostazioni potete fissare le impostazioni di base per zenon.

Opzioni | Azione
Editor e Runtime |
Lingua selezionata | Scegliete la lingua per la superficie dell´editor. Per effettuare un cambio di lingua, l´editor deve essere riavviato. La lingua standard dell´editor e l´inglese.
Cornice di elementi dinamici | Attivo: rappresenta gli elementi dinamici con una cornice di posizione. Potete differenziare fra editor e runtime.
Non inviare rapporto di errore e Microsoft. | Attivo: impedisce in caso di interruzione del funzionamento del programma l´invio di un rapporto di errore a Microsoft.
Editor Opzioni |
Caricare l’ultimo workspace attivo: | Attivo: all’avvio dell’editor verranno caricate le ultime aree di lavoro attive, visualizzate in una struttura ad albero. (Default) Non attivo: all´avvio dell´editor non viene caricato nessun workspace. Facendo uso del menu contestuale, potete aprire dei progetti e workspace esistenti, oppure ne se può creare degli altri.
Filtro nella visualizzazione dettagliata tiene conto della scrittura maiuscole / minuscola. | Attivo: il filtro nella visualizzazione a lista distingue fra lettere maiuscole e minuscole. Non attivo: il filtro nella visualizzazione a lista considera allo stesso modo lettere maiuscole e minuscole (Default).
Classificazione logica di testi nella sezione lista | Attivo: nomi file contenenti numeri vengono ordinati secondo un criterio logico nella visualizzazione a lista, per es. 1, 2, 10, 11 Inattivo: nomi file contenenti numeri vengono ordinati secondo un criterio alfabetico nella visualizzazione a lista, per es. 1, 10, 11, 2
Usa assistente | Attivo: quando si vuole creare degli Archivi, Elementi combinati e Slider universale, il sistema offre automaticamente l´aiuto di un assistente. Disattivato: Archivi, Elementi combinati e Slider universale vengono configurati manualmente.
Modifica immagini |
Apri proprietà oggetto automaticamente | Attivo: Se create un elemento dinamico, si aprono automaticamente i box di dialogo per le impostazioni dettagli, come, ad esempio, quello che serve alla selezione delle variabil Disattivato: L´elemento dinamico viene disegnato, mentre le sue proprietà devono essere definite separatamente.
Dialogo "Adatta collegamenti" per l´inserimento di simboli. | Attivo: Quando si inserisce un simbolo in un´immagine, si apre il dialogo Adatta collegamenti. Disattivato: Il dialogo non viene aperto. Dei collegamenti possono essere sostituiti in qualsiasi momento facendo uso del comando Sostituisci collegamenti che potete trovare nel menu contestuale.
Distanza in pixel perché si verifichi un cambiamento di posizione. | Intende evitare uno spostamento involontario di elementi. Prima che un elemento venga effettivamente spostato, esso deve essere mosso perlomento per uno spazio che corrisponde al numero di pixel indicato.
Quantità di azioni annullabili | Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni. Indicate un numero fra 1 e100.
Griglia Impostazioni |
Mostra la griglia: | Attivo: Mostra nella finestra principale la griglia definita alla voce Tipo di griglia. Inattivo: La griglia non è visualizzata.
Posizionare nella griglia | Attivo: gli elementi ad immagine vengono sempre orientati secondo la griglia. Questa funzione è indipendente dall’opzione Mostra griglia.
Colore della griglia | Definisce i colori della griglia. Per la selezione dei colori viene utlizzata la tavolozza di Wiindows.
Tipo di griglia | Stabilisce il tipo della visualizzazione della griglia: continua, punteggiata oppure intersezioni.
Distanza griglia [Pixel] | Definisce la distanza orizzontale e verticale fra i singoli punti. In tal modo, si definisce anche quanto finemente devono essere rappresentate le dimensioni dell´elemento. Distanza griglia consigliata: 10 pixel orizzontalmente e verticalmente.
Punti di appiglio |
Usa punti di appiglio | Gli elementi dispongono di punti di appiglio. Se, spostando un oggetto, ci si avvicina al punto di appiglio di un altro, il punto di appiglio dell´oggetto selezionato ci si aggancia e si orienta rispetto ad esso.
Grandezza dei punti di appiglio delle immagini | Definisce la grandezza dello spazio di aggancio in pixel (angoli quadrati). Indicate un numero fra 1 e 20.
Grandezza dei punti di connessione nell'editor dei modelli | Definisce la grandezza dello spazio di appiglio in pixel (angoli quadrati) per l´orientamento di modelli ad altri modelli, oppure ai margini dello schermo. Indicate un numero fra 1 e 40.
Angoli |
Inverti colori di sfondo: | Attivo: Il colore degli angoli viene impostato in contrasto con lo sfondo attuale.
Dimensione angoli | Defnisce la grandezza in pixel degli angoli quadrati che servono per agganciare un elmemento. Indicate un numero fra 1 e 20.


Menu Tools

Manuale -> Editor -> Barra menu -> Opzioni -> Menu Tools

Nel dialogo Menu Tools potete implementare dei programmi esterni nella struttura di menu dell´editor. I programmi integrati individualmente vengono mostrati alla fine del punto di menu Opzioni .

Opzioni | Azione
Contenuti menu: | Mostra una lista dei programmi esterni già integrati.
Nuovo | Aggiunge un nuovo inserimento di menu.
Elimina | Elimina una voce di menu esistente.
Su: | sposta verso l´alto l´inserimento di menu selezionato nella lista e nel menu.
Giù: | sposta verso il basso l´inserimento di menu selezionato nella lista e nel menu.
Testo menu: | nome con il quale viene visualizzato il nuovo menu nelle opzioni.
File | Nome e percorso del programma esterno che deve essere aperto (file *.exe).
Parametri | Ulteriore fattore per l´apertura del programma, per esempio un nome di file.

Esempio Esempio

Testo menu : Editor testo

File: C:\Windows\notepad.exe

Parametri: C:\test.txt

Apre Notepad e il file test.exe. Se questo file non esiste, il sistema propone di generarlo.


Schema colore

Manuale -> Editor -> Barra menu -> Opzioni -> Schema colore

In questo tab definite lo schema colore per l´editor.

Parametri | Descrizione
Schema colore per l´editor | Cliccando sulla lista a cascata, aprite la lista con le possibilità fra cui effettuare la scelta.
Anteprima | Modifica lo schema colore dell´editor. La finestra di dialogo rimane aperta.
OK | Riprende e accetta le modifiche e chiude il dialogo.
Annulla. | Rifiuta le modifiche e chiude il dialogo.


Comandi

Manuale -> Editor -> Barra menu -> Opzioni -> Comandi

Nel dialogo Comandi definite quali comandi devono essere a disposizione nella barra dei simboli.

Opzioni | Azione
Categorie | Scelta della categoria che contiene il comando desiderato.
Comandi | Lista dei comandi a disposizione.
Descrizione | Testo per tooltip Se si porta il puntatore del mouse su un pulsante, una breve descrizione della funzione di quest´ultimo viene visualizzata sotto forma di tooltip.

Aggiungi simbolo

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Comandi
  2. Selezionate nella finestra a sinistra una categoria.
  3. Cliccate nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. tenendo premuto il tasto sinistro del mouse, trascinate il simbolo nella posizione desiderata nella barra dei simboli

Cancella simboli

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. vengono attivati tutti i simboli di tutte le barre nell´editor
  3. Cliccate con il tasto sinistro del mouse sul simbolo.
  4. Trascinate il simbolo fuori dalla barra simboli e rilasciate il tasto del mouse.

Info Informazioni

Per annullare delle modifiche apportate ad una barra simboli e per instaurare lo stato di fornitura, passate alla tab Barra simboli. Selezionate la barra dei simboli in questione e cliccate sul pulsante Ripristina, oppure su Ripristina tutto per far sì che tutte le barre dei simboli siano riportate allo stato di fornitura.


Barre dei simboli

Manuale -> Editor -> Barra menu -> Opzioni -> Barre dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo Barre simboli potete definire l´aspetto e la visibilità delle barre simboli.

Opzioni | Azione
Barre dei simboli | Checkbox attivo: la barra simboli viene visualizzata nell´editor.
Annulla | Ripristina lo stato di partenza per la barra simboli evidenziata
Annulla tutto | Ripristina lo stato di partenza per tutte le barre simboli


Profili editor

Manuale -> Editor -> Profili editor

L´editor si apre in un´impostazione standard con finestre predefinite. Potete ordinare e attivare le finestre a piacere. I dettagli relativi li potete trovare nel capitolo Adatta visualizzazione Gestite le Vostre impostazioni individuali nei profili. Li raggiungete tramite

  • la barra dei simboli Profili editor

    (vedi: Gestisci profili editor nella barra dei simboli)

  • il sottopuntoGestisci profili editor nelle Opzioni della barra menu.

    (vedi Gestisci profili editor mediante il menu)

  • Mediante delle combinazioni di tasti

    (vedi Gestisci profili editor con combinazioni di tasti)

Potete attribuire dei profili editor a dei singoli moduli anche tramite menu contestuale (vedi Seleziona profili editor nel menu contestuale) o potete usare dei profili predefiniti.

Info Informazioni

Nel caso di finestre divise (come nel managerdi progetto, nella visuale generale e in quella dettagliata), la definizione della larghezza vale per la finestra nel suo complesso. Al momento dell´avvio e della chiusura dell`Editor, il sistema stabilisce la corretta relazione delle dimensioni della finestra stessa.

Se la relazione reciproca degli elementi della finestra viene modificata, un´apertura di un profilo provoca solamente l´impostazione della finestra nel suo complesso in base ai valori definiti. La relazione reciproca fra visuale generale e dettagliata, per esempio, non viene modificata.


Profili predefiniti

Manuale -> Editor -> Profili editor -> Profili predefiniti

In zenon sono a Vostra disposizione tre profili predefiniti. Ottimizzate il layout dell´editors con una risoluzione di 1280 x 1024 per:

  • Variabili e visualizzazione lista: profilo 1 spazio di memoria P1
  • Immagini: profilo 2 spazio di memoria P2
  • Standard per compiti generali: profilo 3 spazio di memoria P3.

Selezionare profilo predefinito

Potete attivare o disattivare questi profili. A tal scopo usate o i Simboli nella barra dei simboli per i profili editor, oppure:

  1. aprite il menu Opzioni.
  2. cliccate su Gestisci profili editor
    • Carica Profili predefiniti: carica i profili predefiniti sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.
    • Elimina attribuzioni di profili: Cancella tutti i collegamenti di profili predefiniti con i moduli.

Per utilizzare i profili, selezionate in corrispondenza del modulo desiderato nel menu contestuale Profilo editor -> [Numero profilo]

Segnalazione di errore al momento dell´apertura di profili predefiniti

Se al momento della selezione di un profilo predefinito ricevete una segnalazione di errore con il rimando a zenAdminSrv, ciò può avere due cause:

  1. Il servizio zenAdminSrv funziona con un numero di versione inferiore a quello dell´editor attuale.
    Soluzione: sincronizzate il servizio.
  2. I profili sono stati eliminati dal percorso standard:
    Soluzione: copiate il file Predefined Editor Profiles.epf nella cartella C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (xxx corrisponde alla versione attuale di zenon).

Profili

Profilo 1: Variabili

Rappresentazione ottimizzata per la modifica di variabili e visualizzazioni lista.

Profilo 2: Immagini

Rappresentazione ottimizzata per la modifica di immagini.

Profilo 3: Standard

Visuale standard, ottimizzata per moduli che non si basano su liste.


Gestisci profili editor con la barra dei simboli

Manuale -> Editor -> Profili editor -> Gestisci profili editor con la barra dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La barra dei simboli per i profili editor viene visualizzata nell´editor al centro della seconda riga di simboli (default). Nel caso in cui sia stata disattivata, cliccate con il tasto destro del mouse accanto alla varra dei simboli e scegliete Profili editor. Riceverete la seguente barra simboli:

Simbolo

(da sinistra a destra)

Funzione

Carica profilo editor selezionato

Carica il profilo selezionato nel settore Seleziona profilo editor.

Seleziona profilo editor

Lista a cascata con 10 profili.

Carica profilo standard

Resetta tutte le impostazioni relative a visualizzazione e posizione delle finestre, nonché contenuti e visualizzazione delle barre dei simboli e dello stato di emissione; poi carica il profilo standard di zenon.

Carica Profili predefiniti:

carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.

Elimina attribuzioni di profili:

Cancella tutti i collegamenti di profili predefiniti con i moduli.

Salvataggio automatico dei profili editor

Attivo: le modifiche del profilo attuale vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Disattivato: le modifiche non vengono salvate al momento del cambiamento di profilo; quando si richiama un´altra volta il profilo in questione, vengono riproposte le posizioni originali.

Salva profilo editor selezionato

Salva le impostazioni finestra attuali nel profilo che è visualizzato nel settore Seleziona profilo editor.

Assegna nomi individuali ai profili editor.

Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili editor.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Per esportare o importare dei profili editor, selezionate l´opzione corrispondente nel Menu principale alla voce Opzioni -> Editor Gestisci profili editor.


Gestisci profili editor mediante il menu

Manuale -> Editor -> Profili editor -> Gestisci profili editor mediante il menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per gestire i Vostri profili editor, selezionate nel menu Opzioni -> Editor Gestisci profili editor.

Avete le seguenti possibilità:

Opzioni | Funzione
Nomina | Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili.
Carica profilo standard | Riporta tutte le impostazioni finestra allo standard di default e carica il profilo standard di zenon.
Esportare | Apre il Manager file e salva le impostazioni sotto forma di file .zip in un posto che può essere scelto liberamente.
Importare | Apre il Manager file al fine di importare delle impostazioni salvate sotto forma di un file .zip da un luogo qualsiasi nel quale le si era salvate.

Per selezionare dei profili editor individuali o per salvarli, usate le funzioni corrispondenti della Barra simboli o Combinazioni di tasti.


Gestisci profili editor con combinazioni di tasti

Manuale -> Editor -> Profili editor -> Gestisci profili editor con combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sono disponibili le seguenti azioni:

Comando | Combinazione tasti
Carica profilo editor 1 | Shift+F1
Carica profilo editor 2 | Shift+F2
Carica profilo editor 3 | Shift+F3
Carica profilo editor 4 | Shift+F4
Carica profilo editor 5 | Shift+F5
Carica profilo editor 6 | Shift+F6
Carica profilo editor 7 | Shift+F7
Carica profilo editor 8 | Shift+F8
Salva visuale editor attuale come: |
Profilo editor 1 | Ctrl+Shift+F1
Profilo editor 2 | Ctrl+Shift+F2
Profilo editor 3 | Ctrl+Shift+F3
Profilo editor 4 | Ctrl+Shift+F4
Profilo editor 5 | Ctrl+Shift+F5
Profilo editor 6 | Ctrl+Shift+F6
Profilo editor 7 | Ctrl+Shift+F7
Profilo editor 8 | Ctrl+Shift+F8


Seleziona profili editor nel menu contestuale

Manuale -> Editor -> Profili editor -> Seleziona profili editor nel menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel Manager di progetto, per ogni progetto e ogni suo sottolivello possono essere selezionati e asegnati in modo duraturo dei profili editor facendo uso del menu contestuale: cliccare con il tasto destro del mouse sul ramo > Seleziona -> Profili editor.

E´possibile eliminare una assegnazione scegliendo il punto 'nessuno' nel menu contestuale.

Questa preselezione é possibile per tutti i rami e moduli, fatta eccezione per il Energy Management System e la Libreria dei simboli globale.


Elimina profili editor

Manuale -> Editor -> Profili editor -> Elimina profili editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profili editor vengono salvati in un file INI proprio. Per cancellare i Vostri dati profili, Vi consigliamo di cancellare tutta la cartella che contiene le impostazioni profili.

Cancellate la cartella Editor. La trovate, a seconda del sistema operativo, sotto:

Windows Vista, Windows 7: C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor

Windows XP C:\Dokumente und Einstellungen\USERNAME\Lokale Einstellungen\Anwendungsdaten\COPA-DATA\zenon\Editor

Indicazione: dovete sostituire lo USERNAME con il nome utente dello user Windows registrato.


Dialogo per nome dei profili editor

Manuale -> Editor -> Profili editor -> Dialogo per nome dei profili editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete assegnare individualmente dei nomi ai profili editor: direttamente nella Barra simboli, tramite Combinazione di tasti oppure facendo uso di un dialogo. Potete passare al dialogo in questione attraverso:

  • barra simboli, simbolo Assegna nome individuale per profili editor oppure
  • Menü -> Opzioni -> Editor Gestisci profili editor -> Nomina

Inserite nei campi dei nomi individuali digitandoli dopo la denominazione breve-profilo editor. Facendo uso della combinazione di tasti Shift+F1 fino a Shift+F8 potete aprire in qualsiasi momento i primi 8 profili nell´editor. Oppure potete selezionare il profilo editor desiderato facendo uso del simbolo corrispondente nella Barra dei simboli.


Manager di progetto

Manuale -> Editor -> Manager di progetto

Il Manager di progetto si trova di default sul margine sinistro dello schermo, direttamente sotto la barra dei simboli. La visualizzazione può avvenire in due modi:

  • Struttura ad albero del progetto
  • Topologia di rete

Struttura ad albero del progetto

La struttura ad albero del progetto contiene:

  • a sinistra, il workspace con i progetti e la Libreria dei simboli globale.:
    • Nel workspace si trovano tutti i progetti caricati con le loro variabili, funzioni, immagini ecc.
    • La libreria simboli globale contiene delle grafiche predefinite e offre la possibilità di creare delle nuove grafiche.
  • a destra una visione dettagliata:

    presenta una lista di tutti gli elementi e delle impostazioni per il settore della visione ad albero che è stata selezionata.

Topologia di rete

La visuale Topologia di rete rappresenta topologicamente tutti i progetti nel workspace e permette di controllare tutte le componenti di rete coinvolte, nonché di effettuare un trasporto remoto dei file runtime ai computer connessi.

Potete leggere i dettagli su questo argomento nella sezione Rete e in particolare nel capitolo Controlla la validità della Topologia di rete.


Area di lavoro (Workspace)

Manuale -> Editor -> Manager di progetto -> Area di lavoro (Workspace)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´area di lavoro si amministrano le seguenti componenti di un progetto:

  • Variabili
    • Driver
    • Tipi di dato
    • Matrice di reazione
    • Attribuzioni
    • Allarm
    • Unità di misura
  • Immagini
    • Modelli
    • Tipi di carattere
    • Tavolozza dei colori
    • Simboli di progetto
  • Funzioni
    • Script:
  • File lingua
  • Server archivi
  • Ricette
    • Ricette standard
    • Manager gruppi ricette
  • Temporizzatori
  • Interfacce di programmazione
    • Process Control Engine
    • Macro VBA
    • VSTA
  • zenon Logic è un ambiente di sviluppo per IEC 61131-3.
  • Production and Facility Scheduler
  • Interblocchi
  • Comando
  • Energy Management System
  • Message Control
  • Menu
  • Generatore di rapporti
  • Gestione utenti
  • Interfaccia SAP
  • File: aggiunge file esterni. Essi non vengono modificati con zenon, ma con un programma esterno.
    • Grafici
    • Tabella lingua
    • Guida
    • Multimedia
    • Liste
    • Driver
    • Altri
  • Log modifiche progetto
  • Backup di progetto

La disponibilità delle singole componenti può dipendere dalla licenza scelta. Potete verificare per quali moduli possedete la licenza cliccando su Help > Info su.....

Per eventuali estensioni della Vostra licenza Vi preghiamo di rivolgervi al Vostro distributore, oppure a sales@copadata.com.

Info Informazioni

I singoli elementi del manager di progetto, come variabili e funzioni, possono essere visualizzati in una finestra propria. A questo scopo, cliccate nel menu contestuale su Apri in nuova finestra. In tal modo potete, ad esempio, modificare contemporaneamente variabili e funzioni.


Sezione lista del manager di progetto

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si sceglie un elemento nella visione ad albero del Manager di progetto, la visualizzazione dettagli mostra tutti gli oggetti relativi e le loro proprietà.

Nel caso di una visualizzazione a tabella, potete:

Azione

Modo di procedere:

Seleziona liberamente le colonne:

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Seleziona colonna

Modifica la larghezza di una colonna:

  • muovere il puntatore del mouse sulla linea di separazione nel titolo della colonna finché esso non assume la forma di una croce.
  • tenere premuto il tasto del mouse.
  • Trascinare la colonna finché non avrà la dimensione desiderata.

Ordina colonne:

un clic del mouse sul titolo colonna ordina la lista nel modo opposto all´ordine attuale (crescente/ decrescente).

Formatta colonna

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Formatta colonna

Raggruppa proprietà

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Raggruppa sulla base di questa colonna oppure

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Annulla raggruppamento

Adatta visualizzazione alla larghezza della finestra

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Adatta la grandezza alla larghezza della colonna

Elimina colonna

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Elimina questa colonna

Menu contestuale

Comando | Azione
crescente | ordina colonna in senso crescente
decrescente | ordina colonna in senso decrescente
Raggruppa per questa colonna | raggruppa elementi in relazione a questa colonna
Elimina raggruppamento | elimina il raggruppamento esistente
Selezione colonne .... | apre il dialogo che serve alla selezione delle colonne che devono essere visualizzate
Formatta colonna | apre il dialogo che serve a formattare la colonna
Adatta alla larghezza della finestra | distribuisce tutte le colonne sull´intera finestra
Elimina questa colonna | elimina la colonna dalla visualizzazione

Riga di stato

Nel caso delle liste, la barra di stato della visualizzazione dettagliata mostra le informazioni sugli elementi esistenti, filtrati e selezionati.

Esempio Esempio

Visualizzazione della barra di stato. Visualizzazione dettagliata: 39 nel complesso / 30 filtrati / 2 selezionati significa

  • sono disponibili complessivamente 39 elementi
  • 30 vengono visualizzati sulla base delle impostazioni di filtro che sono state adottate.
  • 2 sono stati selezionati

Nel caso delle variabili, viene anche visualizzato il numero dei tags o di IOs utilizzati e provvisti di licenza.

per esempio: 32 tag utilizzati / Tags illimitati disponibili.

Info Informazioni

Delle informazioni dettagliate concernenti la modifica e la gestione degli elementi, le trovate nel capitolo Modifica inserimenti e nella descrizione dell´elemento in questione.


Modifica inserimenti

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Modifica inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per modificare degli inserimenti, sono a Vostra disposizione diverse possibilità:

percorso

Procedura

Barra dei simboli della sezione lista

  • Selezionate servendovi del tasto sinistro del mouse la cella desiderata.
  • Selezionate nella barra simboli il pulsante Modifica Celle selezionate.

Menu contestuale
  • Cliccate con il tasto destro del mouse nella cella desiderata.
  • Selezionate nel menu contestuale l´inserimento Modifica cella selezionata.

Doppio clic ritardato

  • Evidenziate la cella desiderata cliccando due volte a breve distanza di tempo (cliccare due volte lentamente).

Finestra di proprietà

  • Selezionate l´elemento desiderato.
  • Impostate nella finestra Proprietà l'inserimento desiderato.

Tasto F2

  • Selezionate servendovi del tasto sinistro del mouse la cella desiderata.
  • Premete il tasto F2.

Info Informazioni

Cliccando in una cella, essa viene selezionata nella sua interezza. Riconoscete quali celle avete selezionato grazie al simbolo del binocolo che vedete nel titolo della colonna.

attenzione Attenzione

Eccezioni

  • Nella visualizzazione dettagliata possono essere modificate solo quelle proprietà che sono modificabili anche nella finestra delle proprietà. Così, per esempio, non si può modificare il nome di una variabile di driver di sistema.
  • La storia delle modifiche non è modificabile a causa di quanto previsto dalle norme FDA.
  • Per quello che concerne i backup di progetto, è modificabile solo il nome del backup.


Barra dei simboli della sezione lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Barra dei simboli della sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al margine superiore della sezione lista, potete usare in una barra simboli tutte le funzioni che potete trovare anche nel menu contestuale. A seconda di cosa avete selezionato nella vista ad albero del progetto (ad esempio: immagini, variabili, simboli ecc.), vengono visualizzati differenti pulsanti nella barra dei simboli.

Quei pulsanti che non è consentito utilizzare, sono disattivati e non reagiscono se ci si clicca sopra.

Barra simboli

No. | Simbolo | Azione
01 | Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
02 | Copiare | Copia gli inserimenti selezionati negli appunti
03 | Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
04 | Elimina | Cancella gli inserimenti selzionati.
05 | Crea una funzione standard | Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
06 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
07 | Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
08 | Sostituisci testo in valore limite | Apre il dialogo che serve a selezionare la proprietà dinamica e, di seguito, il dialogo che serve alla ricerca e alla sostituzione.
09 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
10 | Espandi tutto | Lista a cascata per estedere tutti nodi o quelli selezionati, oppure per ridurli.
11 | Attiva | Attiva gli elementi selezionati di una variabile struttura.
12 | Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
13 | Attiva tutti | Attiva tutti gli elementi non attivi di una variabile struttura.
14 | Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
15 | Importa XML… | Importa file XML.
16 | Importazione progetto S7 | Importa un progetto Simatic S7.
17 | Attiva | attiva o disattiva impostazioni di filtro estese.
18 | Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
19 | Elimina filtro | Elimina tutte le impostazioni di filtro
20 | Guida | Attiva la guida online

Menu contestuale

Punto di menu | Azione
Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Crea una funzione standard | Apre il dialogo che serve alla selezione delle variabili e dei valori impostabili.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo in valore limite | Apre il dialogo che serve a selezionare la proprietà dinamica e, di seguito, il dialogo che serve alla ricerca e alla sostituzione.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Ingrandisci / riduci nodo | Apre un sottomenu che serve ad estendere e chiudere i nodi.
Attiva tutti | Attiva tutti gli elementi non attivi di una variabile struttura.
Attiva | Attiva gli elementi selezionati di una variabile struttura.
Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Importazione - Esportazione estesi | Apre il menu per importare ed esportare i progetti/S7, dBase und csv.
Variabili utilizzate | Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Filtri estesi | Apre il sottomenu che serve ad attivare o a disattivare dei filtri, oppure ad eliminare tutte le impostazioni di filtro.
Elementi collegati | Mostra gli elementi collegati con le variabili.
Guida | Attiva la guida online


Navigazione nella sezione lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Navigazione nella sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per navigare in una lista:

  1. cliccate sulla colonna nella quale deve essere effettuata la ricerca.
  2. Toccate il primo segno per avviare la ricerca. Nel caso non esista nessun inserimento che inizia con questa lettera, la ricerca si interrompe immediatamente.
  3. L´inserimento trovato viene seletzionato. Appare un campo di inserimento. Il primo segno del testo di cella è evidenziato.
    Indicazione: Potete indicare in questo campo dei criteri di ricerca, ma non potete moficare il nome dell´elemento.
  4. Indicate ulteriori caratteri per limitare la ricerca. Nel caso in cui non si trovi nessun inserimento adatto, il carattere digitato viene rifiutato e la selezione rimane alla posizione attuale.
  5. Nel caso in cui siano disponibili più inserimenti corrispondenti al criterio di ricerca, potete navigare con i tasti Ctrl+Su oppure Ctrl+ Giù.
  6. Con il tasto BACKSPACE viene cancellato l´ultimo carattere del criterio di ricerca e viene avviata una nuova ricerca sulla base dei segni residui. Con la cancellazione dell´ultimo segno, la ricerca viene conclusa.

Ordinamento

Per ordinare nella visuale a lista, potete selezionare anche più colonne contemporaneamente.

  1. cliccate nell´intestazione della colonna con il primo criterio di ordinamento
  2. tenete premuto il tasto shift e cliccate sul titolo della colonna con il secondo criterio di ordinamento;
  3. In tal modo, potete aggiungere un numero qualsiasi di colonne

    Ad esempio: ordinamento sulla base di blocco dati e offset mostra in primo luogo tutti i blocchi dati e tutti gli indirizzi relativi ordinati in modo corretto.

Un consiglio: cliccando una seconda volta sul titolo della colonna si cambia la successione dell´ordinamento


Filtra inserimenti lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Filtra inserimenti lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Elementi della visualizzazione dettagliata possono essere filtrati e ordinati secondo diversi criteri. Mediante il pulsante Elimina tutti i filtri nella lista simboli della visualizzazione dettagliata oppure il comando Elimina tutti i filtri nel menu contestuale, vengono azzerate tutte le impostazioni di fultro.

Metodo

Procedura

Classificazione in ordine alfabetico

Clic del mouse sul titolo di una colonna: La lista viene ordinata secondo la colonna corrispondente. Un secondo clic con il mouse sul titolo della colonna, inverte l'ordine di ordinamento.

Assegnazione dei criteri di filtro

Direttamente sotto il titolo della colonna si trova un campo per l´impostazione dei criteri di filtro. In questa sede vengono indicati dei criteri.

Poi verrano visualizzati solamente quegli oggetti che corrispondono al criterio di filtro indicato.

Per far sì che vengano visualizzati di nuovo tutti gli oggetti, bisogna eliminare il criterio di filtro.

Cliccando nel settore filtro si apre una lista dropdown che contiene i filtri usati per ultimi di questa colonna.

Filtra secondo i checkbox

Liste con checkbox (per es. templates) possono essere ordinati e filtrati in checkbox attive e non attive.

Ciò funziona allo stesso modo della classificazione in ordine alfabetico.

Per effettuare il filtraggio trovate in una cella sotto il titolo della colonna una lista dropdown con la selezione di checkbox attive, inattive o tutte.

Caratteri simbolici

Per i criteri di filtro sono a disposizione caratteri simbolici:

  • * sostituisce una successione di segni.
    Esempio: *1 filtra cercando gli elementi che finiscono con il segno 1 per esempio Variabile 1.
    Le wildcard possono essere usate solamente come prefisso o suffisso.
  • ? sostituisce un unico segni.
    Esempio: Variabile? filtra tutti gli elementi che iniziano con la successione di caratteri Variabile e che hanno un ulteriore segno, per esempio Variabile1, Variabile 2, Variabile 3 ...

Collegamento logico

Le parole filtro possono essere collegate mediante espressioni logiche, quali, ad esempio, AND e OR. Ciò funziona anche nel caso si utilizzino delle wildcard (*), ma non nel caso di caratteri jolly per singoli segni (?).

Contenuti della cella come criterio di filtro

Le parole o le successioni di segni di un cella della visualizzazione dettagliata possono essere utilizzati come criterio di filtro:

  • Selezionate l´inserimento desiderato.
  • Tenete premuto il tasto ALT e cliccate sulla cella.
  • L´inserimento viene reso disponibile in un campo di editazione.
  • Selezionate una qualsiasi successione di segni facendo uso del mouse.
  • Trascinate la parte selezionata tenendo premuto il tasto sinistro del mouse (Drag&Drop) sulla cella di filtro del capo della colonna.
  • La successione di caratteri scelta viene presa come nuovo testo di filtro.

Effetto del filtro Elementi collegati

Facendo uso dell´opzione Elementi collegati è possibile visualizzare quegli elementi che sono collegati con l´elemento attuale. Se con questa opzione si passa ad un elemento della visualizzazione dettagliate, per esempio ad una variabile, esso viene mostrato indipendentemente dalle impostazioni di filtro attuali. Se non è contenuto nel filtro attuale, viene comunque indicato alla fine della lista e viene selezionato automaticamente.

Modifica proprietà

Dopo aver creato o selezionato un oggetto nella sezione lista o tramite il menu contestuale, i suoi parametri possono essere definiti o modificati nella finestra proprietà.

Sono consentite inoltre selezioni multiple. Nel caso dovessero essere stati selezionati contemporaneamente più oggetti, possono essere modificate nello stesso tempo le loro proprietà.

Inserimenti e modifiche nella finestra delle proprietà valgono per tutti gli oggetti evidenziati. Gli inserimenti validi fino ad allora vengono sovrascritti. Nella finestra proprietà, però, sono a disposizione solo quelle proprietà che valgono per tutti gli inserimenti selezionati.

Filtri estesi per le variabili

Per le variabili è disponibile un dialogo per raffinare i filtri. Passate a questo filtro nel seguente modo:

  • con il simbolo Attiva filtri estesi nella barra dei simboli nella visualizzazione dettagliata oppure
  • con il comando filtri estesi nel menu contestuale

I filtri standard vengono estesi con gli elementi Tipi di dato, Flag di selezione e Filtro stringa (nome variabili, identificazione, matrice di reazione).


Sostituisci testo nella colonna selezionata...

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Sostituisci testo nella colonna selezionata...

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon supporta la funzionalità Cerca/sostituisci per le string (per esempio, nome immagine, nome variabile, identificazione variabile): Potete sostituire dei testi in colonne attive e in valori limite.

attenzione Attenzione

Si tiene conto solamente dei testi che si trovano in strutture aperte (variabili o tipi di dato). Le strutture chiuse non sono destinazioni per l´editor come destinazioni e, prima di iniziare la ricerca, bisogna estenderla.

Sostituisci testo nella colonna selezionata:

  1. Attivate il dialogo facendo uso del simbolo Sostituisci testo nella colonna selezionata, oppure usando il comando del menu contestuale che ha lo stesso nome.
  2. Definite nel dialogo i parameteri per la ricerca e la sostituzione.
  3. Le sostituzioni vengono effettuate nella colonna attiva. Riconoscete qual è la colonna attiva vedendo il simbolo Binocolo accanto al titolo della colonna.

attenzione Attenzione

Viene usato nella identificazione variabili Cambio immagine (riconoscibile a causa della parola chiave @), al fine di una ricerca e sostituzione corretta deve essere attiva la prorietà di progetto Visualizzare parole chiave non tradotte. Per attivarla:

Interno ID: Sostituisci testo nella colonna selezionata...

Visualizzare parole chiave non tradotte

Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

Attiva: visualizzazione nel Runtime come parola chiave, per es.: @Text.
Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

Indicazione: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • passate alla proprietà di progetto, in particolare al nodo Aspetto grafico

    Interno ID: Sostituisci testo nella colonna selezionata...

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • attivate la checkbox della proprietà Visualizzare parole chiave non tradotte


Sostituisci testo in valori limite

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Sostituisci testo in valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per sostituire testi in valori limite:

  • attivate il dialogo facendo uso del simbolo Sostituisci testi in valori limite, oppure usando il comando del menu contestuale che ha lo stesso nome.
  • Selezionate nella finestra di selezione la proprietà dinamica desiderata.

  • Passate così al dialogo per Sostituisci testo in valori limite.

attenzione Attenzione

Si tiene conto solamente dei testi che si trovano in strutture aperte (variabili o tipi di dato). Le strutture chiuse non sono destinazioni per l´editor come destinazioni e, prima di iniziare la ricerca, bisogna estenderla.


Mostra e nascondi colonne

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Mostra e nascondi colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le colonne disponibili nella visualizzazione dettagliata possono essere mostrate e nascoste a piacere e possono essere ordinare in qualsiasi successione vogliate. Per alcune immagini, le seguenti impostazioni possono essere realizzate anche facendo uso di dialoghi di cambio immagine.

Mostra e nascondi colonne

  1. Cliccate con il tasto destro del mouse su un titolo di una colonna
  2. e selezionate nel menu contestuale Selezione colonne
  3. nel seguente dialogo selezionate Mostra Nascondi colonne:

    potete selezionare più colonne (esattamente come usuale nel sistema operativo) tenendo premuto Shift oppure Ctrl

  4. Colonne disponibili realizza una lista di tutte le colonne ancora disponibili. Colonne selezionate mostra tutte le colonne attive.

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online

Ordina colonne

Le colonne possono essere ordinate a piacimento. Avete due possibilità di far ciò:

  1. nel dialogo Colonne-Proprietà facendo uso del pulsante Verso l´alto e Verso il basso.
  2. Nella visuale dettagliata del manager di progetto per Drag&Drop usando il mouse:
    • Cliccate con il mouse nel titolo colonna desiderato.
    • Tenete premuto il tasto sinistro del mouse.
    • Trascinate il titolo colonna nella posizione desiderata. Due frecce rosse segnano il posto nel quale viene inserita la colonna.
    • Posizionate la colonna rilasciando il tasto del mouse.


Proprietà colonne

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Proprietà colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Colonne disponibili

Lista delle colonne disponibili facendo uso della Selezione colonne. La colonna selezionata in questa sede viene configurata mediante le proprietà della sezione Parametri.

Parametri

Impostazioni per colonna selezionata.

Descrizione

Nome del titolo della colonna Il titolo colonna è traducibile online. A tal scopo dovete inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo a riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo a riferimento il bordo destro.

Blocca il filtro colonna nell´immagine di processo

attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Indicazione: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Message Control
  • Manager gruppi ricette

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


File

Manuale -> Editor -> Manager di progetto -> File

Dei file esterni possono essere integrati in un progetto facendo uso del nodo File del Manager di progetto. Per modificare dei file esterni, deve essere disponibile un programma adatto a questo scopo. Ciò significa: potete implementare, per esempio, un video. Per modificarlo, però, dovete disporre del software necessario. zenon amministra solo questi file.

Sono disponibili i seguenti file esterni:

  • Grafici
  • Guida
  • Multimedia
  • Testi e formati
  • Driver
  • Report Viewer
  • Altri

Sottocartella

In corrispondenza del nodo Help, Liste, Multimedia e Altro è possibile impostare delle sottocartelle. A tal scopo, usate il comando Nuova cartella che trovate nel menu contestuale. Con l´aiuto di sottocartelle, potete usare anche su documenti cambi lingua durante il runtime.

Menu contestuale

Punto di menu | Azione
Importa file grafico | Apre il Manager file che serve alla selezione di un file.
Importa tabella lingua | Apre il Manager file che serve alla selezione di un file.
Importa file help | Apre il Manager file che serve alla selezione di un file.
Importa file multimediale | Apre il Manager file che serve alla selezione di un file.
Importa file lista | Apre il Manager file che serve alla selezione di un file.
Importa file driver | Apre il Manager file che serve alla selezione di un file.
Importa modello report | Apre il Manager file che serve alla selezione di un file.
Importa altri tipi di file | Apre il Manager file che serve alla selezione di un file.
Help | Attiva la guida online


Grafici

Manuale -> Editor -> Manager di progetto -> File -> Grafici

I file grafici per le grafiche di sfondo o gli elementi dinamici. Sono disponibili i seguenti formati:

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.wmf
  • *.XAML Avvertenza: disponibile solo per elemento WPF! I file XAML dispongono di un´anteprima nella visualizzazione dettagliata!

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Grafiche Barra simboli e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Grafici -> Grafiche Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Grafiche

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Guida

Manuale -> Editor -> Manager di progetto -> File -> Guida

Cartella per file guida per la guida runtime del progetto Questi file vengono salvati in formato *.chm.

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Guida Barra simboli e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Guida -> Guida Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Guida

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Multimedia

Manuale -> Editor -> Manager di progetto -> File -> Multimedia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

File audio e video possono essere integrati nei seguenti formati:

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Tenete presente il fatto che, per eseguire questi file sul computer runtime, devono essere disponibili i corrispondenti Codecs.

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Multimedia Barra simboli e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Multimedia -> Multimedia Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Multimedia

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Testi e formati

Manuale -> Editor -> Manager di progetto -> File -> Testi e formati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Testi e formati sono:

  • File di testo per la visualizzazione nel progetto
    Fine file: .txt
  • File di formattazione per la formattazione di stampe
    Fine file: .frm
  • File HTML per la visualizzazione in immagini HTML
    Fine file: .htm oppure .html

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Testi e formati Barra simboli e Menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Testi e formati -> Testi e formati Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Testi e formati

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre il file selezionato nell´editor standard del formato file, oppure offre una selezone di editor adatti.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Driver

Manuale -> Editor -> Manager di progetto -> File -> Driver

I file driver possono essere integrati nei seguenti formati:

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Normalmente, qui ci si può risparmiare l´inserimento. I file vengono automaticamente generati al momento della installazione del driver e salvati in questa sede.

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Driver Barra simboli e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Driver -> Driver Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale driver

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Report Viewer

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I modelli di report sono dei file in formato RDL 2.0, che possono essere aperti, visualizzati e modificati in zenon Report Viewer.

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un Report File di definizione.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Indicazione: disponibile solamente se si possiede una licenza per il Generatore di rapporti e il Report Viewer.


Report Viewer; barra dei simboli e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer -> Report Viewer; barra dei simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale; Modelli report

Punto di menu | Azione
Report; Nuovo file di definizione | Crea un nuovo file RDL sulla base di default.rdl.
Report; apri file di definizione | Apre il software connesso ai file RFL al fine di modificare un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Torna all'elemento originario | Nell´ambito degli elementi collegati, ritorna a quello partendo dal quale si era passati al modello report. Questo comando è presente nel menu contestuale solamente se ci sono degli elementi collegati.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Importa file di definizione Report esistente | Apre il dialogo che serve ad importare un file di definizione Report già esistente. Questi file devono essere del tipo RDL 2.0.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Altri

Manuale -> Editor -> Manager di progetto -> File -> Altri

Cartella per salvare qualsiasi tipo di file.

Menu contestuale

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Cancella cartelle | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Barra simboli Altro e menu contestuale

Manuale -> Editor -> Manager di progetto -> File -> Altri -> Barra simboli Altro e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Altro

Punto di menu | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copiare | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Libreria simboli globale

Manuale -> Editor -> Manager di progetto -> Libreria simboli globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon fornisce tramite la Libreria simboli globale delle grafiche proprie, predefinite. Mentre i simboli nella cartella Immagini sono a disposizione solamente per l´immagine attuale, quelli della libreria simboli globale possono essere utilizzati in ogni progetto.

Possono essere anche impostati dei simboli proprio, o riassunti o collegati. I dettagli relativi li potete trovare nel capitolo Immagini / Simboli

L'Editor salva lo stato della cartella simboli (aperta o chiusa), anche quando si lascia la biblioteca dei simboli o si chiude l'Editor.


Dialoghi di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon ci sono a disposizione dialoghi appositi e liste fitrate per la selezione di determinati elementi. Essi sono gli stessi in tutto il sistema e tengono presenti i progetti attuali e i loro sottoprogetti. Sono a disposizione per:

  • Utente
  • Immagini
  • File
  • Tipi di dato
  • Funzioni
  • Modelli
  • Driver
  • Variabili

Potete leggere le informazioni dettagliate concernenti le visualizzazioni nel capitolo Visualizzazione dettagli del Manager di progetto; trovate delle informazioni concernenti il filtraggio nel sottocapitolo Filtra inserimenti lista.

Trovate delle informazioni dettagliate concernenti i dialoghi di selezione per funzioni e variabili, nonché la sostituzione di funzioni e variabili già selezionate nei sottocapitoli:

  • Funzioni
  • Variabili


Funzioni Dialogo di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Funzioni Dialogo di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda delle´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automaticamente
    • selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Dialogo selezione variabili

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Dialogo selezione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di selezionare delle variabili, viene aperto un dialogo filtrato:

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Le variabili possono anche essere utilizzate contemporaneamente per diversi progetti.

Collegamento di una variabile

Gli elementi che possono essere collegati solamente con una singola variabile, aprono il seguente dialogo:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Il collegamento può essere realizzato in due modi:

  • cliccando due volte sulla variabile desiderata. In questo caso, il dialogo viene chiuso automaticamente.
  • Con la selezione della variabile desiderata e con la conferma realizzata cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • Le variabili già collegate vengono disconnesse (per es. variabili charge collegate nel server archivi).

Indicazione: se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • avete selezionato un filtro e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga filtro è inserito un filtro. L´informazione sugli elementi filtrati inserita sotto la finestra di selezione è un ulteriore aiuto per il controllo dei filtri impostati.
  • Il dialogo viene aperto filtrato dall´editor e la variabile non corrisponde a questo filtro. L´apertura filtrata si verifica se sono ammissibili solo determinati tipi di dato, come, per esempio, se non possono essere collegate delle variabili string in corrispondenza ad un elemento dinamico Valore numerico.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

attenzione Attenzione

Generalmente il dialogo permette la selezione di più variabili facendo uso delle combinazoni di tasti comuni di Windows, ma in questo stadio si può collegare solamente una variabile. Nel caso di una selezione multipla, solo la prima variabile selezionata viene attribuita all´elemento.

Collegamento di più variabili.

Gli elementi che possono essere collegati con più variabili, aprono il seguente dialogo:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione variabili in base a:

  • cliccando due volte, la variabile selezionata viene aggiunta alla lista variabili.
  • Con Drag&Drop, la variabile selezionata può essere trascinata nella lista variabili.
  • Selezionare le variabili desiderate. Con l´aiuto del tasto Ctrl- oppure di quello Shift è possibile selezionare allo stesso tempo più variabili. Cliccando su Aggiungi,le variabili selezionate vengono riprese nella lista variabili.

Lista variabili

Ordina tutte le variabili selezionate in una lista.

Aggiungi

Aggiunge la variabile attualmente selezionata nella finestra di selezione alla lista variabili.

Rimuovi

Rimuove la variabile selezionata nella lista variabili dalla lista.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • determinati collegamenti, come variabili charge nell´archiviazione, possono essere sciolte.

Indicazione: se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • avete selezionato un filtro e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga filtro è inserito un filtro. L´informazione sugli elementi filtrati inserita sotto la finestra di selezione è un ulteriore aiuto per il controllo dei filtri impostati.
  • Il dialogo viene aperto filtrato dall´editor e la variabile non corrisponde a questo filtro. L´apertura filtrata si verifica se sono ammissibili solo determinati tipi di dato, come, per esempio, se non possono essere collegate delle variabili string in corrispondenza ad un elemento dinamico Valore numerico.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

Modifica variabile collegata

Selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Modelli

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo di selezione Modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Modelli

Selezione dei modelli.

Se selezionate diversi modelli, il sistema usa il primo modello scelto per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione modelli nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione di modelli.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
    opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


File

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo di selezione file possono essere selezionati in una visualizzazione filtrata i file del progetto attuale o di progetti subordinati:

  • Per selezionare un file di un progetto, lo si deve trovare nel nodo File/Grafiche che si trova nel manager di progetto.
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta.


Immagini

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Immagini

Scelta dell´immagine

Se selezionate diverse immagini, il sistema usa la prima immagine scelta per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione immagini nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione d´immagine.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
  • opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Immagini filtro

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si passa ad un´immagine con filtro per altre immagini (filtro AML, filtro CEL), si apre un dialogo che serve a quanto segue:

  • immagine che apre
  • Immagine da attualizzare

Selezione immagine Immagine che apre

Parametri | Descrizione
Finestra Albero di progetto | Mostra il progetto attuale. Si possono selezionare delle immagini fra quelle contenute in questo progetto.
Finestra Immagini | Selezione dell´immagine. Se selezionate più immagini, il cambio porterà all´immagine scelta per prima.
Nessuna selezione | Non ha nessuna funzione per questa selezione d´immagine.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online

Selezione Immagine Immagine da attualizzare

Parametri | Descrizione
Finestra Albero di progetto | Mostra il progetto attuale. Si possono selezionare delle immagini fra quelle contenute in questo progetto.
Finestra Immagini | Selezione delle immagini. E' possibile una selezione multipla. Potete aggiungere altre immagini cliccando due volte o facendo uso del pulsante Aggiungi.
Finestra Selezione | Ordina tutte le immagini selezionate.
Aggiungi | Aggiunge gli elementi selezionati alla finestra di selezione.
Rimuovi | Cancella gli elementi selezionati dalla finestra di selezione.
Nessuna selezione | Rimuove tutte le immagini attualmente collegate.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online


utente

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione di utenti del progetto attivo, di tutti i sottoprogetti e del progetto globale.

Parametri | Descrizione
Lista Workspace | Visualizzazione e selezione dei progetti i cui utenti possono essere selezionati.
Lista Utenti | Visualizzazione degli utenti del progetto selezionato. Si può filtrare questa lista.
Nessuna selezione | Un utente già selezionato viene deselezionato.
OK | Riprende e accetta le modifiche e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Driver

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo di selezione driver possono essere selezionati in una visualizzazione filtrata i driver del progetto attuale o di progetti subordinati.


Tipi di dato

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo di selezione tipi di dato possono essere selezionati in una visualizzazione filtrata i tipi di dato del progetto attuale o di progetti subordinati.


Finestra principale

Manuale -> Editor -> Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report e così via. La finistra principale è l´unica finestra che non può essere nascosta.

Aprire parallelamente più documenti.

Potete visualizzare nella finestra principale più immagini nello stesso tempo. Potete attivare questa funzione tramite: Opzioni > Finestra principale con schede . Le immagini sono raggiungibili mediante tab che si trovano sul bordo superiore della finestra principale e possono essere ordinate nel punto di menu Finestra.

Per chiudere delle immagini aperte, usate la combinazione di tasti Ctrl + F4, il menu contestuale oppure il comando Chiudi > Finestra.

Menu contestuale Documenti

Cliccando con il tasto destro del mouse sul tab di un documento si apre un menu contestuale:

Parametri | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutti gli altri. | Chiude tutti gli altri documenti.

Posiziona elementi nell´immagine

Attivate gli elementi con un clic sul simbolo nella Barra dei simboli Elementi e trascinateli con il mouse nella finestra principale.

Per muovere l´elemento, avete le seguenti possibilità:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Gira: girare l´elemento a piacere tenendolo per l´angolo in alto a sinistra.


Finestra di Proprietà

Manuale -> Editor -> Finestra di Proprietà

Nella finestra delle proprietà vengono visualizzati i parametri e le proprietà degli oggetti che sono stati selezionati nella sezione lista del manager di progetto, oppure degli elementi che sono stati selezionati nell'immagine. Nella finestra delle proprietà, inserite i valori e i parameteri per oggetti e elemento selezionati oppure modificateli.

Quelle concernenti il modo di visualizzazione, l'ordinamento ed i favoriti, vengono salvati per il nuovo avvio dell'editor. Modificando delle proprietà di elementi nella finestra delle proprietà, viene selezionata automaticamente l'ultima proprietà modificata nel momento in cui si seleziona un nuovo elemento.

Selezione multipla

Se selezionate parallelamente più oggetti (selezione multipla), tutte le proprietà che sono differenti negli elementi selezionati, vengono rappresentate nella finestra delle proprietà in color arancione, oppure evidenziate in colore rosso. Le proprietà dell´ultimo elemento selezionato vengono visualizzate: Nella visuale Visuale raggruppata e in Tutte le proprietà si può trasmettere la proprietà desiderata a tutti gli oggetti selezionati pigiando il testo Invio. (Ciò non è possibile nella Opzione dialogo.)

Esempio Esempio

Sono selezionati diversi oggetti caratterizzati da differenti colori di riempimento. L´ultimo elemento selezionato è caratterizzato dal colore di riempimento verde. La proprietà Colore di sfondo verrà visualizzata in verde e il valore #32CD32 è evidenziato in rosso . Cliccando sul campo di inserimento e pigiando il tasto Invio si trasmette la proprietà verde a tutti gli elementi selezionati.

Interno ID: Finestra di Proprietà

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Interno ID: Finestra di Proprietà

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

Interno ID: Finestra di Proprietà

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Finestra di Proprietà

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Impiego tastiera

Si può navigare nelle proprietà anche con la tastiera:

Tasto | Funzione
Tab oppure Su | Passa alla proprietà successiva.
Shift+Tab oppure Giù | Passa alla proprietà precedente.
Enter oppure A destra | Apre un nodo.
A sinistra | Salta un nodo.
Pos 1 | Torna al primo nodo
Fine | Torna all´ultimo nodo

Barra simboli

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Per organizzare la finestra delle porprietà è a Vostra disposizione una barra di simboli:

Simbolo

(da sinistra a destra)

Funzione

Gruppi di rappresentazione

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Attraverso il menu contestuale possono essere aggiunti o eliminati inserimenti dai Favoriti.

Standard per il manuale: le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono rappresentate in una lista. Attraverso il menu contestuale possono essere aggiunti o eliminati inserimenti dai Favoriti.

Vista a dialogo

Tutte le proprietà vengono riassunte in modo logico come nei Gruppi di rappresentazione e i gruppi sono ordinati secondo la frequenza e la priorità del loro uso. In questa visualizzazione non possono essere definiti dei favoriti.

Mostra/nascondi i favoriti

Mostra o nascondo nelle visuali Gruppi di rappresentazione oppure Tutte le proprietà il nodo Favoriti. In esso sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Di default vengono proposti dei favoriti.

Aggiungi o cancella dai favoriti degli inserimenti: Ciò accade mediante il menu contestuale 'Aggiungi ai favoriti', o mediante Drag&Drop delle proprietà nella lista dei favoriti.

La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

NellaVisuale di dialogo non possono essere creati dei favoriti.

Mostra/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in ordine alfabetico crescente o decrescente.

Apri/chiudi tutti i nodi

Apre o chiude nelle visuali Raggruppato e Tutte le proprietàtutti i nodi.

Eccezione: il nodo delle proprietà attualmente selezionate rimane aperto cliccando su Chiudi tutti i nodi.

Mostra guida delle proprietà

Mostra la guida integrata che concerne le proprietà (guida delle proprietà).

Rendi disponibili proprietà

Simboli: rende disponibile la Proprietà selezionata.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Visualizzazione a gruppi

Manuale -> Editor -> Finestra di Proprietà -> Visualizzazione a gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La Visualizzazione a gruppi è selezionata di Default. Essa raccoglie in gruppi secondo un criterio logico delle proprietà che hanno tratti comuni.

Tutte le proprietà possono essere visualizzate e escluse facendo uso della barra dei simboli.

Info Informazioni

Le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi.. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.


Vista a dialogo

Manuale -> Editor -> Finestra di Proprietà -> Vista a dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La Visualizzazione dialogo riassume le proprietà in gruppi e le presenta sotto forma di dialogo.

Nella Visualizzazione dialogo non possono essere impostati dei favoriti e non possono essere nascoste delle proprietà.


Tutte le proprietà

Manuale -> Editor -> Finestra di Proprietà -> Tutte le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutte le proprietà vengono presentate dal sistema in una lista organizzata in ordine cronologico.

Tutte le proprietà possono essere visualizzate e escluse facendo uso della barra dei simboli.


Favoriti

Manuale -> Editor -> Finestra di Proprietà -> Favoriti

Le visuali Raggruppato e Tutte le proprietà dispongono di un nodo Favoriti che si trova nella parte superiore della finestra. Qui vengono visualizzate quelle porprietà che sono utilizzate più frequentemente.

Di default vengono proposti dei favoriti. Per aggiungere dei proprio inserimenti, procedete come segue:

  • cliccate con il tasto destro del mouse sulla proprietà desiderata;
  • selezionate nel menu contestuale <Aggiungi proprietà >ai Favoriti
  • La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Per eliminare degli inserimenti dai favoriti, procedete come segue:

  • cliccate con il tasto destro del mouse sulla proprietà desiderata;
  • selezionate nel menu contestuale <Elimina proprietà >dai Favoriti

I favoriti possono essere mostrati o nascosti facendo uso al pulsante corrispondente che si trova nella barra dei simboli.
Attenzione: Nella Visualedi dialogo non possono essere creati dei favoriti.


Ordina proprietà

Manuale -> Editor -> Finestra di Proprietà -> Ordina proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il criterio di classificazione viene definito nella barra simboli usando i pulsanti 'ordina in modo logico', 'ordina in modo crescente' e 'ordina in modo decrescente'. Di default le proprietà sono visualizzate nella classificazione logica. C'è la possibilità di ordinarle in modo alfabetico.

Ordinamento logico

Le proprietà vengono ordinate in modo logico secondo il loro uso probabile. Ciò è possibile però solo nella visuale'Raggruppato' e 'Tutte le proprietà'.

Ordina in senso crescente / decrescente

Le proprietà vengono ordinate secondo la successione alfabetica crescente o decrescente. Ciò è possibile per la la visuale Raggruppato, Tutte le proprietà e per i Favoriti.

Chiudi e apri nodo

Nelle visualizzazioni Raggruppato e Tutte le proprietà è possibile chiudere tutti i nodi e riaprirli. Il nodo delle proprietà attuali non viene chiuso se viene selezionato Chiudi tutti i nodi.


Help proprietà

Manuale -> Editor -> Help proprietà

Sotto le proprietá può essere aperta una finestra contenente la guida in linea per le proprietà.

.

Per aprire la guida delle proprietà:

  • selezionate nella barra simboli delle proprietà il simbolo Mostra giuda delle proprietà (sul margine destro)

  • oppure selezionate nel menu Opzioni il comando Guida delle proprietà
  • oppure cliccate con il tasto destro del mouse su una qualsiasi barra titoli e selezionate poi nel menu contestuale il comando Guida delle proprietà

Per chiudere la giuda delle proprietà:

  • cliccate sulla X che si trova sul bordo destro della barra titoli.

Al contrario di quanto accade nella guida in linea che si apre con il tasto F1, in questa forma di help viene descritta solamente la proprietà selezionata. Vi vengono fornite delle brevi indicazioni concernenti la proprietà attualmente selezionata e Vi viene fornito un link per la più esaustiva guida in linea.

La guida delle proprietà può essere, come tutte le altre finestre, posizionata liberamente sullo schermo.


Finestra di emissione

Manuale -> Editor -> Finestra di emissione

La finestra di emissione mostra le informazioni di stato e le segnalazioni di errore al momento dell´avvio dell´editor, nonché al momento della compilazione e trasmissione di un progetto. Le informazioni sono ordinate in diversi tipi:

  • Errore
  • Avvisi
  • Messaggi

Queste informazioni possono essere visualizzate e nascoste a piacere. Le impostazioni che stabiliscono quali informazioni devono essere visualizzate, sono conservate al momento della chiusura dell´editor e valgono anche per la visualizzazione delle nuove informazioni. Tuttavia non va perduta nessuna informazione, visto che le impostazioni hanno effetto solamente sulle modalità di visualizzazione e non sulla raccolta delle informazioni.

Esempio: Nel caso in cui le segnalazioni sono nascoste, non ne viene visualizzata nessuna finché non ne viene ripristinata la visualizzazione. A partire da questo momento, tutte le segnalazioni tornano ad essere visibili. Vengono naturalmente visualizzate anche quelle segnalazioni che sono giunte nel frattempo.

Le informazioni blu non possono essere nascoste, visto che si tratta di segnalazioni che concernono il progetto e che debbono rimanere sempre visibili.

Barra simboli e menu contestuale

Simboli e menu contestuale offrono le stesse opzioni. I simboli significano da sinistra a destra:

simbolo/Inserimento menu contestuale | Descrizione
Visualizza errore | Attivo: Errori vengono visualizzati in color rosso. Disattivato: Errori vengono nascosti. Lo stato selezionato può essere combinato con Avvisi eSegnalazioni e viene salvato al momento della chiusura dell´editor.
Visualizza avvisi | Attivo: Avvisi vengono visualizzati in color arancione. Disattivato: Avvisi vengono nascosti. Lo stato selezionato può essere combinato con Errori eSegnalazioni e viene salvato al momento della chiusura dell´editor.
Visualizza segnalazioni | Attivo: Segnalazioni vengono visualizzati in color nero. Disattivato: Segnalazioni vengono nascoste Lo stato selezionato può essere combinato con Errori eAvvisi e viene salvato al momento della chiusura dell´editor.
Salva | Salva l´intero contenuto della finestra di emissione in un file LOG. Il posto in cui viene salvato il file e il nome dello stesso possono essere scelti liberamente.
Copiare | Copia i testi evidenziati della finestra di emissione negli appunti.
Elimina | Cancella il completo contenuto della finestra emissione. Dopo l´esecuzione di questa azione non c´è più la possibilità di recuperare il contenuto cancellato della finestra di emissione.
Cerca | Apre il dialogo che serve alla ricerca del testo all´interno della finestra di emissione.
Guida | Apre la pagina della guida in linea.

Esempio Esempio

Cancellate il contenuto della finestra di emissione facendo uso del simbolo corrispondente oppure del menu contestuale e create poi i file runtime. Otterrete nella finestra di emissione le informazioni corrispondenti. Queste informazioni sono inserite in segnalazioni blu.

  1. Cliccate sul simbolo Segnalazioni: le segnalazioni standard (testo di color nero) vengono nascoste.
  2. Create ancora una volta i file runtime; le segnalazioni continuano a rimanere invisibili.
  3. Nascondete anche la visualizzazione di Errori (rossi) e Avvisi (arancioni).
  4. Le segnalazioni blu, quelle relative al progetto, continuano ad essere visibili.
  5. Create di nuovo file runtime, e riattivate la visualizzazone delle Segnalazioni: Tutte le segnalazioni generate dal momento della cancellazione della finestra di emissione sono di nuovo visibili.


Riga di stato

Manuale -> Editor -> Riga di stato

La barra di stato dell´editor contiene delle informazioni che dipendono dall´oggetto selezionato; queste informazioni sono su:

  • disponibilità dell´editor.
  • Funzione del simbolo sulla quale si trova il puntatore del mouse.
  • Posizione del puntatore del mouse in immagini.
  • Tipo e nome dell´elemento attivo in un´immagine.
  • Punto di partenza (asse x/y), nonché larghezza e altezza dell´elemento attivo in un´immagine.
    Il punto 0/0 dell´asse si trova nell´angolo sinistro in alto.

Nel caso dei report, la barra di stato è senza funzione.


Chiudi l'Editor

Manuale -> Editor -> Chiudi l'Editor

Quando chiudete l´editor, il sistema provvede a controllare (come in caso di chiusura o cambio del posto di lavoro) tutti i progetti per verificare l´esistenza di modifiche. I progetti i cui file runtime non sono stati ancora generati, vengono presentati in un dialogo sotto forma di lista; il sistema propone di generarli.

Parametri | Descrizione
Si | Vengono generati i file runtime di tutti i progetti nella lista. Poi l´editor viene chiuso.
No | I file runtime non vengono generati. L´editor viene chiuso.
Esci | I file runtime non vengono generati. L´editor non viene chiuso.


Energy Edition

Manuale -> Energy Edition

L'Energy Editon di zenon è un pacchetto dotato di funzionalità specifiche per il settore dell'energia e della tecnologia dei processi. L'utente approfitta non solo delle funzioni semplici da implementare che gli permettono di adattare in modo veloce l'applicazione alle condizioni fisiche specifiche.

tutorial Informazioni sulla licenza

Necessaria una licenza sia per l´Editor che per il Runtime.

Per la Energy Edition sono a disposizione anche:

  • ALC (Automatic Line Coloring): già compreso nella licenza per la Energy Edition, mette a disposizione proprietà di base per la colorazione delle linee.
  • Elemento topologico Trasformatore
  • Pacchetto topologia: necessita di una licenza ulteriore sul server (non sul client) e estende ALC nel modo seguente:
    • Display multiple supplies
    • rifornimento sicuro
    • blocchi topologici
    • Elemento topologoco Separatore
    • Posizione guasto ricerca di relè di guasto a terra


Automatic Line Coloring (ALC) - topologia

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La colorazione topologica delle linee rende possibile dinamicizzare in modo semplice e automatico linee nella tecnica dei processi (per i media) e nella distribuzione dell'energia (per l'elettricità). In tal modo è possibile realizzare con facilità le colorazioni di reti topologiche.

Visto che viene progettata nell'immagine, la struttura della conduttura, compresi gli elementi ad essa collegati (ad es. serbatoi e valvole, oppure generatori, interruttori e consumatori), viene riprodotta internamente in forma di modello ed il flusso delle sostanza materiali viene visualizzato nel runtime.

Per permettere la creazione di modelli validi per diversi immagini, tutta la fase di progettazione e di configurazione avviene a livello dell'intero progetto. La conseguenza di ciò è che per un progetto esiste un modello topologico complessivo, che viene utilizzato per determinare lo stato delle condutture e per la loro colorazione.

L'intera topologia viene creata automaticamente a partire dal design grafico. Non sono necessarie altre azioni di progettazione.

Info Informazioni

L´algoritmo ALC attraversa una sorgente solamente una volta in una direzione partendo da ogni interruttore.

Immagini dettagli

Per visualizzare singole immagini, un´area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Una immagine dettagli può essere visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali.

Licenza

È necessaria una licenza per l´Editor e il Runtime (standalone, server, standby). Non è necessaria una licenza per Runtime-Client. La licenza si ottiene tramite la zenon Energy Edition.

  • ALC: già compreso nella licenza per la Energy Edition; mette a disposizione proprietà di base per la colorazione delle linee.
  • Pacchetto topologia: necessita di una licenza ulteriore sul server (non sul client) e estende ALC nel modo seguente:
    • Fornitura multipla
    • Secured supply
    • Interblocchi topologici
    • Elementi topologici Trasformatore e sezionatore
    • Localizzazione errori (dalla versione 6.50)


Elementi ALC

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´Automatic Line Coloring (ALC) consente di colorare linee in dipendenza dello stato del processo. L´ elemento combinato viene usato come elemento tecnologico. ALC consente di dinamicizzare in modo semplice e automatico condutture nella tecnica dei processi (per i media) e reti topologiche nella distribuzione dell'energia (per l'elettricità).

Configurazione

Per la progettazione, si distinguono due tipi di elementi d'immagine con diversa funzione. Da una parte abbiamo gli Elementi tecnologici (sorgente, interruttori, sezionatore, utilizzatore, trasformatore oppure link), e dall'altra le Linee.

Gli elementi tecnologici possiedono una funzione ed un colore (sorgente e trasformatore). Se gli elementi tecnologici sono attivi, le linee connesse prendono il colore di queste elementi per sorgente e trasformatore; oppure assumono il colore dell´input dell´elemento per lo switch e il link. Nel caso che gli elementi tecnologici siano inattivi, invece, il colore delle linee viene ripreso dalla definizione nell´Editor.

Le differenti funzioni di questi elementi vengono impostate nelle proprietà dell´Elemento combinato.

Esempio

Una sorgente dispone di una linea collegata. A questa linea è collegato un interruttore. A questo è collegata una seconda linea. Se la sorgente è attiva, la prima linea fino all'interruttore viene colorata con il colore della sorgente definito nelle proprietà di progetto dell'Automatic Line Coloring. La parte successiva della linea viene colorata solo dopo che l'interruttore è chiuso.

Sorgente inattiva

Sorgente attiva

Interruttore chiuso

Undefined or invalid

Info Informazioni

Se lo stato dell'elemento tecnologico è undefined o malfunction,, ciò viene riconosciuto automaticamente. Tutte le linee connesse e tutti gli altri elementi vengono visualizzati per entrambi gli stati nel colore della sorgente predefinita undefined.


Elementi tecnologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi tecnologici vengono creati in zenon con un Elemento combinato e determinano la colorazione della conduttura collegata a seconda dello stato.

Sono disponibili le seguenti impostazioni:

Proprietà

Descrizione

Tipo funzione

Indica il tipo tecnologico dell'elemento combinato.
  • Conclusione

Per bus bar ends. Sopprime il messaggio d’errore "Linea è collegata solamente da un lato“ durante la compilazione nell´Editor.

  • Sorgente

Fornisce un colore. Se la sorgente è attiva (valore: 1), tutte le linee connesse per cui è stata settata l´opzione Colori da ALC nelle proprietà dell´elemento, ricevono il colore della sorgente. Il colore è quello stabilito come colore della sorgente nelle proprietà di progetto. (per esempio serbatoi o generatori). Una sorgente è un unipolo cui viene assegnato un numero di sorgente statico. L'origine è commutabile mediante lo stato della sua variabile principale. In generale, le sorgenti sono considerate come associate e sincronizzate di rete.

Interno ID: Elementi tecnologici

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
  • Generatore

Un genereratore si comporta in linea di principio come una sorgente; esso viene peraltro considerato indipendente e non sincrono con la rete.

  • Interruttore

Con questo strumento è possibile interrompere le linee. Se l'interrutore è chiuso/attivo (valore: 1), il collegamento fre due linee è chiuso e la linea assume il colore definito per la sorgente fino al prossimo interruttore. In questo caso un interruttore tramette il colore della sorgenge della linea di input a quella di ouput.

Se lo stato dell'interruttore è disturbato o undefined o INVALID, il colore della linea diventa quello undefined della configurazione ALC nelle proprietà di progetto. Così un interruttore restituisce al suo output ( connessione2) il numero di sorgente 0 (undefined) invece che il numero di sorgente corrispondente.

Esempio: vedi sezione Esempio interruttore - Colori da ALC.
  • Separatore

Un separatore si comporta in linea di principio come un interruttore. Tuttavia, un separatore non può essere connesso sotto tensione nel modello topologico . Uno stato (on, off, posizione intermedia, disturbato) è determinato tramite la sua variabile principale.

  • Valvola

Una valvola si comporta in modo simile ad un interruttore, ma viene usata in condutture di acqua e gas.

Valori della variabile principale:

valvola OFF: valore 0 -> Valvola chiusa -> l´acqua non fluisce

Valvola ON: valore 1 -> Valvola completamente aperta -> l´acqua fluisce

Valvola DIF: valore 2 -> Valvola parzialmente aperta -> l´acqua fluisce

Valvola STO: valore 3 -> Valvola disturbata
  • Utilizzatore

Fissa la fine della conduttura. L'utilizzatore non ha alcun influsso sulla colorazione, ma viene usato solamente per far sì che il modello possa essere rappresentato interamente. Nel caso in cui si voglia intervenire sul modello con programmi esterni (per es. VBA), può essere che l'utilizzatore sia necessario per effettuare ulteriori calcoli e che debba essere perciò progettato.
In progetti del settore Energy l'utilizzatore viene usato per la rappresentazione di utenze. Vengono prese in considerazione per il calcolo degli interblocchi ALC (gruppi comandi) 'utilizzatore sottoalimentato'.
  • Trasformatore

Un trasformatore è, nello stesso tempo, un utilizzatore e una sorgente. Serve a sostituire il colore input (sorgente di input) con un colore output (trasformatore, sorgente propria).
La connessione output è attiva solo se il trasformatore è settato come attivo. La linea di output, però, non riceve il colore di quella di input come nel caso dell'interruttore, ma il colore della sorgente del trasformatore. Da ciò deriva il fatto che deve essere impostata una sorgente per ogni tasformatore. Un trasformatore non può essere attivato o disattivato; è sempre attivo.

Trasformatore ad alimentazione inversa:

Per ottenere un trasformatore ad alimentazione inversa, dovete selezionare in corrispondenza di Sorgente per alimentazione invertita, una sorgente diversa da UNDEFINED [0]. Il che significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´input all´output (in avanti) e dall´output all´input (indietro). L´unica differenza è che il numero di sorgente della proprietà Sorgente per alimentazione invertita e non della proprietà Sorgente viene usato per l´ulteriore distribuzione.

Interno ID: Elementi tecnologici

Sorgente

Disponibile solo se il tipo di funzione è settato su‚ trasformatore:
Selezione della sorgente/trasformatore collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elementi tecnologici

Sorgente per alimentazione invertita

Disponibile solamente se in corrispondenza della proprietà Tipo funzione avete selezionato Trasformatore.

Interno ID: Elementi tecnologici

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è rückwärtsspeisefähig. Das bedeutet, dass sich der Trafo in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Sorgente per alimentazione invertita und nicht die der Eigenschaft Sorgente verwendet wird.

Indicazione: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z.B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähiger Trafo verhält wie zwei antiparallel geschaltete Trafos, die nicht rückwärtsspeisefähig sind.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nota: stati della rete difettosi e errori nella progettazione, come, per es., alimentazione contemporanea di input e output, oppure cortocircuito di input e output, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.
  • Link

Un link serve per continuare una linea in un altro punto. Se un Link viene "rifornito" da una linea, anche tutti gli altri Link con lo stesso numero sono riforniti dalla stessa sorgente/dalle stesse sorgenti. Non ha importanza se questi Link si trovano nella stessa immagine o in immagini completamente diverse del progetto. In tal modo è possibile realizzare linee per più immagini, indipendenti da una determinata immagine. E' possibile avere più di due Link con lo stesso numero nel progetto

I Link possono essere riforniti contemporaneamente da più linee, oppure rifornire a loro volta più linee. In linea di principio non esiste una differenza fra input e output. Le informazioni della sorgente vengono inoltrate a tutte le linee connesse.
Attenzione: due elementi Link non possono essere direttamente connessi con una linea In mezzo si deve sempre trovare un altro elemento tecnologico (interruttore/separatore o trasformatore).
Un Link non può essere attivato o disattivato; è sempre attivo.

Numero Link

Qui si imposta liberamente un numero link per il tipo funzione Link. Tutti i numeri Link identici nel progetto sono correlati. Una descrizione dettagliata dell'argomento la trovate alla voce "Tipo funzione: Link"
Questa proprietà è attiva solo se è stato selezionato il tipo funzione "Link".

Sorgente

Qui una sorgente viene assegnata ad un elemento. Nel dialogo di selezione si può scegliere fra tutte le sorgenti che sono state impostate nella configurazione ALC (nelle proprietà di progetto). Vengono visualizzati tutti i nomi delle sorgenti.
Questa proprietà è attiva solo se è stata selezionato il tipo di funzione sorgente', 'trasformatore' o'generatore'.

Una variabile del tipo IEC BOOL o integer deve essere collegata all´elemento come variabile principale per far sì che l'interruttore possa ricecvere lo stato (aperto, chiuso, disturbo) dalla variabile principale collegata. In modo analogo, la sorgente riceve il suo stato (attivo/inattivo) dalla variabile principale collegata.

Nel caso dei tipi di funzione sorgente e trasformatore, il numero di sorgente indicato viene trasmesso attraverso interruttori aperti o chiusi ai consumatori (utilizzatori). Gli stati e colori di tutte le linee connesse e degli elementi tecnologici sono calcolati a partire dalla somma superiore dei numeri delle sorgenti che alimentano.

Info Informazioni

Solamente i due primi bit sono presi in considerazione per lo switch. Il primo bit rappresenta il vero e proprio switch. 0 corrisponde a off e 1 corrisponde a on.

Il secondo bit è il bit di errore. Solo se è 0, non c'è errore.

Stati

  • Un interruttore e una sorgente sono attivi se il valore della variabile collegata è 1.
  • Un interruttore è disturbato se il valore della variabile collegata è >1 , oppure ha lo stato INVALID.
    Un interruttore disturbato restituscie al suo output (connessione 2), invece che il numero della sorgente input, il numero 0 (undefined). Nella direzione dall'input all'output, l'interruttore si comporta come se fosse aperto.

    Nota: se la variabile (di responso) di un interruttore ha lo stato INVALID, tutta la parte seguente della rete è INVALID, perché lo stato della rete non è noto. Lo stato INVALID viene "inoltrato" (routed) usando interruttori successivi chiusi.

attenzione Attenzione

Nel caso in cui si attivi nei singoli stati il colore e il colore di riempimento da ALC, anche gli elementi tecnologici vengono colorati nel Runtime dallo stato della linea connessa.


Esempio interruttore - Colore da ALC

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Esempio interruttore - Colore da ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esempio 1

Elemento combinato con valore di stato 00 e colore linea dalla ALC:

  1. Progettazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea dalla ALC attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza voltaggio: bianco
    • Stato interruttore: off/on (valore 0)

Esempio 2

Elemento combinato con valore di stato 01 e colore dalla ALC:

  1. Progettazione nell'Editor
    • Elemento combinato con valore di stato 01
    • Colore linea dalla ALC attivo
    • Colore di riempimento dalla ALC attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza voltaggio: bianco
    • Stato interruttore: on/closed (valore 1)

Esempio 3

Elemento combinato con valore di stato 00 senza colore dalla ALC:

  1. Progettazione nell'Editor:
    • Elemento combinato con valore di stato 00
    • Colore linea dalla ALC non attivo

  2. Risultati nel Runtime:
    • Colore sorgente: verde
    • Colore senza carica e colore costruzione della linea: bianco
    • colore della linea e colore di riempimento definiti dell´elemento combinato: nero.
    • Stato interruttore: off/on (valore 0)

Esempio 4

Elemento combinato con valore di stato 01 senza colore dalla ALC:

  1. Progettazione nell'Editor
    • Elemento combinato con valore di stato 01
    • Colore linea dalla ALC non attivo
    • Colore di riempimento dalla ALC non attivo

  2. Risultati nel Runtime:
    • Colore sorgente = verde
    • Colore senza carica e colore costruzione della linea: bianco
    • colore della linea e colore di riempimento definiti dell´elemento combinato: nero.
    • Stato interruttore: on/closed (valore 1)


Punti di connessione per gli elementi tecnologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Punti di connessione per gli elementi tecnologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In fase di progettazione, una linea viene connessa ad un elemento tecnologico (elemento combinato) sovrapponendo i disegni nell'immagine in corrispondenza di punti di connessione dell'elemento combinato. Solamente una linea può essere connessa allo stesso punto di connessione in un determinato momento. Tutte le linee il cui inizio si trova all´interno del settore definito sotto, sono considerate connesse (topologia dalla grafica).

attenzione Attenzione

Usate gli elementi ALC solamente nello stato non-ruotato:

il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.

Nell´illustrazione successiva sono rappresentati in dettaglio tutti i possibili punti di connessione:

X = 1/3 larghezza

Y = 1/3 larghezza (max. 10 Pixel)

Z = 1/3 altezza

W = 1/3 altezza (max. 10 Pixel)

Info Informazioni

Se una linea si trova al di fuori del settore visualizzato sopra, il sistema non riconosce una connessione e quindi non si verifica una colorazione della linea stessa. E non avverrà una colorazione anche per tutte le ulteriori linee.

Con sorgenti, utilizzatori e link, in linea di principio possono essere usati tutti i punti di connessione descritti.

attenzione Attenzione

Con sorgenti e utilizzatori, può essere usato solo un punto di connessione alla volta (non importa quale). Nel caso in cui si vogliano utilizzare nello stesso tempo diversi punti di connessione, si possono verificare degli stati undefined.

Nel caso di elementi del tipo 'link', possono essere utilizzati anche diversi punti di connessione contemporaneamente. Le informazioni in entrata relative al colore vengono distribuite in modo uniforme a tutte le linee.

Con interruttori/separatori/valvole e trasformatori, la connessione 1 (input) è a sinistra o sopra e la connessione 2 (outputs) a destra o sotto. Questa successione può essere modificata in modo dinamico con la proprietà Inverti Ingresso/Uscita.

Interno ID: Punti di connessione per gli elementi tecnologici

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, Serranda oppure Separatore.

Interno ID: Punti di connessione per gli elementi tecnologici

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Nel caso di interruttori e trasformatori, si deve tener presente che può essere usato solo un punto di connessione input e uno per l'output. L'uso contemporaneo di più punti di connessione per input e output porta al verificarsi di incongruenze e, quindi, non è consentito.

Info Informazioni

Per tutti gli elementi tecnologici vale quanto segue: ad ogni punto di connessione può essere connessa una sola linea. Delle diramazioni non possono essere realizzate direttamente sull'elemento, ma devono essere progettate con l'aiuto di linee.


Cambia input/output

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Elementi tecnologici -> Cambia input/output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando viene progettato un trasformatore, un sezionatore o un interruttore, input e output possono essere scambiati. Per far ciò:

  1. selezionate trafo, sezionatore oppure interruttore come Tipo funzione

    Interno ID: Cambia input/output

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la checkbox Inverti Ingresso/Uscita

    Interno ID: Cambia input/output

    Inverti Ingresso/Uscita

    Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, Serranda oppure Separatore.

    Attiva: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

L´input viene posto a destra o sotto e l´output a sinistra o sopra.

Visione d´insieme

Configurazione apparecchio. | Input | Output
normale | sinistra | destra
normale | su | giù
scambiato (swapped) | destra | sinistra
scambiato (swapped) | giù | su


Linee

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le linee vengono rappresentate mediante gli elementi vettoriali Linee, Polilinee e tubatura.

Se per una linea è attiva l'opzione colori da ALC, la colorazione viene determinata dalle impostazioni della configurazione ALC. Le linee, quindi, vengono colorate automaticamente dal sistema a seconda dello stato degli elementi tecnici e delle impostazioni ALC.

Il colore viene normalmente determinato dal numero della sorgente ad alta priorità del medio che scorre attraverso la conduttura, oppure, nel caso di "vuoto/non in tensione", rimane come impostato nell'immagine con "Colori elemento" oppure "Cambio colori dinamico".

Potete definire il tipo di visualizzazione usando i menu a cascata:

  • Priorità di visualizzazione
  • Visualizza fornitura multipla
  • Display secured supply

Nelle proprietà delle condutture sono a disposizione le seguenti opzioni:

Parametri

Descrizione

Colori da ALC

Interno ID: Linee

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva la colorazione automatica per questo elemento vettoriale. Il che significa: la linea viene colorata, se la sorgente, che rifornisce attivamente la conduttura è attiva, e se tutti gli interruttori e le valvole, che portano dalla sorgente alla linea, sono chiusi. Nel caso in cui la linea venga rifornita da una sola sorgente, viene utilizzato il colore sorgente impostato. Non ha influenza sulla larghezza della linea.

Priorità di visualizzazione

Interno ID: Linee

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce se debba essere visualizzata Fornitura multipla, o secured supply, oppure entrambe.
Default: Fornitura multipla

Secured supply

L'elemento viene rappresentato secondo le regole di secured supply.

Una lina viene considerata come alimentata da una sorgente sicura, quando è alimentata da almeno due differenti switch o trasformatori con sorgente non di sistema. Le sorgenti di sistema non contribuiscono al secured supply, ma non lo escludono.

Fornitura multipla

L'elemento viene rappresentato sulla base delle regole della fornitura multipla.

Una linea ha "fornitura multipla" se viene alimentata perlomeno da due sorgenti differenti. In questo contesto, non ha alcuna importanza se si tratta di sorgenti di sistema o sorgenti utente, e da quale parte la linea viene alimentata dalla sorgente.

Nessuna priorità

Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti. Il che significa:

se una linea

  • ha fornitura multipla e secured supply,,
  • la priorità è impostata su Nessuna priorità,
  • la visualizzazione per la fornitura multipla è settata su two sources with highest priority,
  • la visualizzazione per la "secured supply" è settata su larghezza doppia,

la linea verrà poi visualizzata con il doppio della larghezza e in due colori.

Visualizza fornitura multipla

Interno ID: Linee

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad alta priorità

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se una linea viene rifornita contemporaneamente da differenti sorgenti, si parla di "fornitura multipla". Qui potete stabilire in che modo debbano essere visualizzate le linee con un rifornimento multiplo.

Default: sorgente a più alta priorità

sorgente a più alta priorità

La linea assume sempre il colore di quella sorgente che ha la maggiore priorità.
Nota: le priorità corrispondono alla successione scelta nella configurazione ALC.

due sorgenti a più alta priorità

Ha importanza per quelle linee che sono rifornite da due o più differenti sorgenti. La colorazione viene determinata dalle due sorgenti con il maggior grado di priorità. In questo caso la linea è rappresentata a strisce di due colori. La lunghezza tratto può essere stabilita tramite la proprietà Lunghezza tratto alim. multipla.

Interno ID: Linee

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Le sorgenti di sistema vengono considerate come sorgenti vere e proprie e colorano le linee in due colori, sempre che siano state configurate in modo corrispondente.

Colore alternativo

Viene usato il colore definito nella proprietà Colore alternativo.

Interno ID: Linee

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Lunghezza tratto alim. multipla

Definisce la lunghezza tratteggio in pixel di linee, polilinee oppure tubature per la colorazione tratteggiata ALC di two sources with the highest priority per Visualizza fornitura multipla.

  • Minimo: 0 (lunghezza tratto automatica)
  • Massimo: 32767
  • Default: 0

Colore alternativo

Colore alternativo per la colorazione di linee, polilinee oppure tubature nel caso di "fornitura multipla".

Display secured supply

Interno ID: Linee

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • doppia larghezza
  • doppia luminosità
  • normale

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se una linea viene alimentata in modo multiplo (parallelo) da una sola sorgente, si parla di "secured supply'". In questa sede potete definire in che modo deve essere rappresentato il "secured supply'".

Una linea viene visualizzata sempre nel modo del secured supply se viene alimentata da perlomeno due interruttori con una sorgente vera e propria (non una di sistema).

Default: normale

doppia larghezza

Ha importanza per le linee che vengono rifornite da una stessa sorgente in modo multiplo (parallelo). In questo caso la linea viene rappresentata con una larghezza doppia a quella progettata. (Esempio: una linea con una larghezza linea pari a 5, viene rappresentata con una larghezza linea pari a 10).
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), la larghezza della linea non cambia!

Il colore è sempredeterminato dalla sorgente a più alta priorità!

doppia luminosità

Ha importanza per le linee che vengono rifornite da una stessa sorgente in modo multiplo (parallelo). In questo caso la linea viene rappresentata con un´intesità di colore doppia rispetto a quella progettata.
Se questa linea viene alimentata da due o più sorgenti diverse (fornitura multipla), il colore della linea non cambia!
Se questa linea venga alimentata in modo plurimo da una sola sorgente (secured), essa viene rappresentata con una luminosità doppia rispetto a quella configurata .
Formula per il calcolo della luminosità doppia:

  1. Il colore impostato RGB viene convertito nel sistema HLS.
  2. L (cioè luminance = luminosità) viene ricalcolata con NewLuminance = 240*3/4 + L/4 3.
  3. Il valore del colore viene ricalcolato nel sistema RGB, tenendo conto della nuova luminosità.

Il colore è sempredeterminato dalla sorgente a più alta priorità!

normale

L'elemento viene visualizzato con il colore della sorgente e con la larghezza impostata.

Utilizza alias

Interno ID: Linee

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: viene usato Alias.

Alias

Interno ID: Linee

Alias

Disponibile solo se Colori da ALC è attivo.

Defnisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Apre il dialogo che serve alla selezione di un Alias.

Info Informazioni

I colori delle sorgenti e le priorità delle stesse vengono definite nelle proprietà del progetto.

Le sorgenti definite dall´utente devono avere un ID maggiore di 9. Gli ID fino a 9 sono riservati alle sorgenti di sistema.

Info Informazioni

Il calcolo del colore di una linea nel runtime viene effettuato sulla base della seguente lista di priorità:

  1. Automatic Line Coloring (priorità maggiore, prevale su tutte le altre impostazioni)
  2. Cambio colori dinamico
  3. Colori statici


Esempio

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee -> Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´esempio successivo la "Sorgente 0" ha il colore blu, mentre la "sorgente 1" ha il rosso. La "sorgente 0" è quella con la maggiore priorità.

Sorgente 0

Sorgente 1

Tenendo presenti questi presupposti e le diverse opzioni possibili, abbiamo i seguenti esempi di rappresentazione:

 | Linea / Polilinea | Tubatura
sorgente a più alta priorità |  |
due sorgenti a più alta priorità |  |
doppia larghezza |  |
doppia luminosità |  |


Punti di connessione di linee

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Linee -> Punti di connessione di linee

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La connessione di una linea (linea, polilinea o tubatura) ad un´altra avviene mediante un disegno di sovrapposizione nell'immagine in corrispondenza dei cosiddetti "punti di connessione" delle linee. I punti di connessione - in realtà si tratta di aree di connessione - si trovano all'inizio e alla fine di ogni linea e sono larghi più o meno 3 Pixel.

Esempio Esempio

Il punto iniziale di una linea ha le coordinate (punto di partenza x/punto di partenza y): 150/100 Pixel.
Ne risulta un'area di connessione (x / y): 147 - 153 / 97 - 103 Pixel.

Se l'inizio della linea o la fine della stessa, o quelli di una o più altre linee si trovano all'interno di quest'area, le linee vengono connesse automaticamente senza che ci sia bisogno di ulteriori impostazioni. Una pura sovrapposizione delle aree di connessione delle singole linee non è sufficiente!

Nella seguente illustrazione viene rappresentata graficamente l'area di connessione (le linee verdi sono connesse a quella nera, la linea rossa no):

Info Informazioni

Un numero qualsiasi di linee possono essere connesse in un´area di connessione.

attenzione Attenzione

Se una linea si trova fuori dell'area di connessione (come, ad esempio, la linea rossa dell´illustrazione), non viene constata nessuna connessione e non segue, perciò, una colorazione della linea. E non avverrà una colorazione anche per tutte le ulteriori linee.

Linee che si incrociano possono essere realizzate con facilità se le estremità delle stesse non si trovano nell'area di connessione.

attenzione Attenzione

Usate gli elementi ALC solamente nello stato non-ruotato:

il calcolo del modello topologico per ALC avviene nell´Editor sulla base delle posizioni degli elementi nello stato non-ruotato e senza tener conto di ogni tipo di dinamica.


Controllo della progettazione

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Elementi ALC -> Controllo della progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progettate gli elementi tecnologici e le linee desiderati in uno o più immagine e salvate queste ultime. Poi potete controllare con l´aiuto di Creare tutti i file Runtime oppure Crea File Runtime modificati se ci sono degli errori o dei conflitti nelle Vostre immagini. Nel caso in cui dovessero esserci degli errori o conflitti, verranno visualizzate segnalazioni e avvertimenti corrispondenti nella finestra di emissione.

Info Informazioni

Cliccate due volte sulla riga corrispondente della finestra di emissione. L´immagine con l´elemento non corretto verrà aperta automaticamente. Se questo elemento si trova in un simbolo, quest´ultimo verrà selezionato automaticamente.

Possono essere visualizzati i seguenti messaggi di errore.

  • ALC: Immagine '%s' - sulla linea '%s' sono collegati 2 elementi con differenti Numeri Link. (Doppio clic per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - Per l'elemento '%s' sono impostati piu di due punti di connessione. Per ciascun elemento possono essere utilizzati solo una Entrata e una Uscita. (Doppio-click per aprire la pagina e selezionare l'elemento)

Possono essere visualizzati i seguenti avvertimenti.

  • ALC: Immagine '%s' - La linea con Alias '%s' è collegata con una linea non-Alias. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento con Alias '%s' è collegato con una linea non-Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento non Alias '%s' è collegato con una linea Alias. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: ALC: Immagine '%s' - La linea '%s' è collegata solamente da un lato. (Doppio-click per aprire l'immagine e selezionare la linea)
  • ALC: Immagine '%s' - L´elemento '%s' non è collegato. (Doppio-click per aprire l´immagine e selezionare l'elemento)
  • ALC: Immagine '%s' - L´elemento '%s' è collegato solamente da un lato. (Doppio-click per aprire l´immagine e selezionare l'elemento)

Nei messaggi d´errore o negli avvertimenti gli elementi corrispondenti sono identificati mediante l´elemento referenza. Questa referenza serve anche da chiave di collegamento per alias ALC.


Configurazione

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Modalità di colorazione per UNDEFINED

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Modalità di colorazione per UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con lo stato UNDEFINED la colorazione della rete può avvenire in due modi:

  • Standard
  • Alimentazione prioritaria

L´impostazione avviene mediante la proprietà di progetto Automatic Line Coloring/Metodo di colorazione.

Interno ID: Modalità di colorazione per UNDEFINED

Metodo di colorazione

Stabilisce la modalità della colorazione per lo stato UNDEFINED. Se si clicca sulla lista a cascata, si apre la selezione:

- Standard: il colore sorgente viene distribuito a partire da ogni sorgente accesa nella rete, finché il prossimo interruttore è chiuso.

- Alimentazione prioritaria: Colora solamente le linee, che sono fornite potenzialmente da almeno una sorgente, ma non esplicitamente da una sorgente.

Default: Standard

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Modalità di colorazione per UNDEFINED

Automatic Line Coloring

Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
Impostazioni per l’Automatic Line Coloring (ALC).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Standard

La ricerca graph inizia con una sorgente e prosegue attraverso tutta la rete in modo tale che ogni interruttore chiuso (la variabile switch ha il valore 1) per direzione venga attraversato solamente una volta e che così non si generi nessun ciclo. Nel corso di questo processo, ogni nodo visitato (=segmento di linea) viene colorato usando il colore della sorgente. Tutte le linie direttamente collegate vengono segnate come nodi.

Se la ricerca trova un interruttore la cui variabile switch ha lo stato seguente, il colore UNDEFINED viene usato per colorare a partire da questo punto:

  • INVALID [valore: qualsiasi],
  • è invalid [valore: 3]
  • è in posizione intermedia [valore: 2])

Adesso di prosegue la ricerca graph nello stesso modo. Ogni interruttore viene attraversato una sola volta in una direzione con il colore UNDEFINED. Per questo motivo, ogni interruttore può essere attraversato per un numero massimo di quattro volte a sorgente:

  1. con numero sorgente in direzione,
  2. con numero sorgente in direzione inversa,
  3. con UNDEFINED in direzione,
  4. con UNDEFINED in direzione inversa,

Alimentazione prioritaria

Con l´impostazione Alimentazione prioritaria, solamente le linee che sono alimentate da almeno una sorgente, ma da nessuna sorgente in modo chiaro e univoco, sono colorate come UNDEFINED. Se una linea è alimentata da perlomeno una sorgente in modo chiaro ed univoco, non può continuare a ricevere una colorazione UNDEFINED da un´altra sorgente.

Questa ricerca viene effettuata in due stadi:

  • Nel primo stadio, come nel caso di Standard, il colore sorgente viene distribuito nella rete a partire da ogni sorgente accesa, finché il prossimo interruttore è chiuso. La ricerca viene interrotta se l´interruttore è aperto, oppure invalid/undefined.
  • Nel secondo stadio, la ricerca viene iniziata da ogni interruttore invalid/undefined che viene alimentato da una sola parte, e il colore UNDEFINED viene distribuito nella rete nella parte non alimentata. Questa ricerca considera chiusi anche gli interruttori invalid/undefined e continua a distribuire dunque il colore UNDEFINED nella rete finché non incontra un interruttore chiaramente aperto. Inoltre la ricerca viene interrotta anche quando si giunge ad un segmento di linea che è già alimentato.


Configurazione delle sorgenti

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione delle sorgenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione delle sorgenti, per esempio i loro nomi e il loro colore (successione e priorità), si effettua in riferimento al progetto nelle "proprietà di progetto" alla voce "configurazione ALC".

Per ogni singola sorgente possono essere configurati i seguenti parametri:

Parametri

Descrizione

Numero

Numero interno successivo, che consente una classificazione chiara della sorgente. Questo numero viene attribuito automaticamente dal sistema e non può essere cambiato.

Attenzione: Gli ID da 0 a 9 sono riservati alle sorgenti di sistema e non devono essere usati in modo specifico per un utente.

Nome

Una denominazione logica per la sorgente (ad esempio: "acqua" o "messo a terra"). Questa denominazione viene utilizzata anche nella selezione della sorgente per elementi combinati. Potete effettuare una modifica facendo clic con il tasto sinistro del mouse sulla denominazione della sorgente. In tal modo si passa ad un modus "modifica". Usando il tasto "Enter" o mediante la selezione di un'altra sorgente, la modifica effettuata diviene effettiva.

Nota: le denominazioni non sono soggette al cambio lingua.

Primo piano

Colore di primo piano della sorgente. Esso viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature.

Sfondo

Colore di primo piano della relativa sorgente. Esso viene utilizzato come colore di sfondo per tubature ed elementi tecnologici (Elemento combinato).

La configurazione dei colori può essere effettuata direttamente mediante l'inserimento del codice esadecimale corrispondente. A tal fine cliccate con il tasto sinistro del mouse sulla denominazione del colore; in tal modo si passa al modus "modifica". Usando il tasto "Enter" o mediante la selezione di un'altra sorgente, la modifica effettuata diviene effettiva.

Un'alternativa è quella di effettuare la selezione del colore mediante un dialogo. Attivando il codice esadecimale, appare in questa colonna il seguente tasto ... Cliccando su di esso, si passa alla selezione del colore.

Il codice colore esadecimale descrive un valore colore RGB e si compone nel modo seguente: #RRGGBB.

Elemento | Significato
# | Indicazione del fatto che si usa un codice colore esadecimale.
RR | 2 cifre per il valore rosso del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF
GG | 2 cifre per il valore verde del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF
BB | 2 cifre per il valore blu del colore nella nomenclatura esadecimale. 0-255 corrisponde a 0-FF

Con i pulsanti 'nuovo' e 'cancella', vengono create nuove sorgenti o ne vengono cancellate delle esistenti.

attenzione Attenzione

Limitazioni nella possibilità di cancellare delle sorgenti:

Le sorgenti con ID da 0 a 9 sono riservate al sistema e non possono essere cancellate.

Solo la sorgente con ID maggiore può essere cancellata.

Info Informazioni

La successione in questa lista rispecchia la priorità delle sorgenti; il primo elemento riceve il grado di priorità maggiore.

Per modificare il grado di priorità delle singole sorgenti, potete spostarle in alto o in basso nella lista servendovi dei "pulsanti-freccia".


Configurazione degli interblocchi topologici

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione degli interblocchi topologici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Qui si può effettuare la configurazione degli interblocchi topologici dalla ALC per i comandi.

Info Informazioni

Questo dialogo è disponibile solo nel caso in cui si sia in possesso di una licenza valida sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Sono disponibili le seguenti condizioni. Le impostazioni che vengono effettuate in questa sede hanno un valore globale per l'intero modello topologico:

Parametri | Descrizione
Messa a terra | L’interblocco è attivo se un interruttor/sezionatore deve essere chiuso, e un potenziale a terra è connesso al suo primo connettore e un suo altro connettore è collegato o indefinito.
Circuito in area indefinita | L´interblocco è attivo se deve essere chiuso un interruttore/sezionatore per il quale entrambe le connessioni sono "undefined'" o "disturbed".
Sezionatore sotto carico | L´interblocco è attivo se sono soddisfatte certe condizioni per l´accensione o lo spegnimento. Condizioni: vedi sezione "Sezionatore sotto carico - Condizioni di blocco".
L'utilizzatore non sarà più alimentato | Blocco è attivo nel caso in cui l'utenza attiva, che prima veniva alimentata, dopo l'azione di commutazione (per mezzo di interruttore o divisore) si trovasse senza tensione
Area indefinita troppo grande | L´interblocco è attivo se deve essere chiuso un interruttore/sepratore per il quale una connessione sia "undefined'" o "disturbed'" e l'altra no.

Se cliccate nella colonna di Stato in uno di questi interblocchi, si apre una lista a cascata con tre possibilità di scelta:

Parametri | Descrizione
Non monitorato | La condizione selezionata non viene presa in considerazione in questo progetto (modello topologico).
Sbloccabile | La condizione selezionata viene sottoposta a controllo in questo progetto. Se la condizione viene verificata, l'utente può sbloccarla con l'aiuto dell'input comandi (tipo di immagine Comandi). Quest'azione di sblocco viene protocollato nella Lista Eventi cronologica.
non sbloccabile | La condizione selezionata viene sottoposta a controllo in questo progetto. L'utente non può sbloccarla.

Eccezione Interblocchi topologici

Gli interblocchi topologici non vengono eseguiti se:

  • la variabile di un interruttore ha lo stato Revisione
    oppure
  • la variabile viene corretta manualmente, oppure impostata su Valore di riserva e viene settata su un valore variabile uguale al valore iniziale; in altre parole, se l´interruttore:
    • è settato su OFF e poi viene corretto manualmente su OFF, o sostituito con
    • è settato su ON e poi viene corretto manualmente su ON, o sostituito con


Sezionatore sotto carico - Condizioni di blocco

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Configurazione -> Configurazione degli interblocchi topologici -> Sezionatore sotto carico - Condizioni di blocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´interblocco topologico Sezionatore sotto carico, un sezionatore può essere aperto solo se è soddisfatta una delle seguenti condizioni:

Quando viene aperto:

Prima dell´apertura:

  • sia il segmento di sinistra che quello di destra della linea ricevono energia dalla stessa sorgente
  • se il segmento sinistro della linea non riceve energia elettrica, quello destro è messo a terra
  • se il segmento sinistro della linea è messo a terra, quello destro non riceve energia elettrica
  • se il segmento sinistro della linea non è sotto carica
  • se quello destro non è sotto carica

Quando viene chiuso:

Dopo la chiusura:

  • se sia il segmento di sinistra che quello di destra della linea ricevessero energia dalla stessa sorgente
  • se il segmento sinistro della linea non ricevesse energia elettrica e quello destro fosse messo a terra
  • Se il segmento di linea sinistro fosse collegato con una messa a terra, il segmento di linea destro non riceverebbe nessuna alimentazione
  • se il segmento sinistro della linea non fosse sotto carica
  • se il segmento destro della linea non fosse sotto carica

Info Informazioni

Significato di "non sotto carica"

Per lo stato non sotto carica devono essere soddisfatte tutte queste condizioni:

  • Tutti gli interruttori e separatori connessi alla linea sono aperti.
  • Tutti le sorgenti e i consumatori connessi alla linea sono spenti.
  • Nessun trasformatore deve essere connesso al segmento di linea.
  • Non si deve trattare di una linea che è connessa solamente a questo separatore (linea aperta).


Modifica colore fonte ACL

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Modifica colore fonte ACL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Modifica colore sorgente ALC può essere modificato temporaneamente il colore di primo piano e di sfondo di una sorgente ALC per la colorazione nel Runtime. La modifica rimane valida fino alla chiusura del Runtime, all´effettuazione di un reload, oppure finché la funzione non viene eseguita di nuovo. Per creare la funzione:

Interno ID: Modifica colore fonte ACL

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori informazioni nella guida in linea.

  • scegliete Nuova funzione.
  • navigate per raggiungere il nodo Immagini.
  • selezionate Modifica colore sorgente ALC

  • Si apre il dialogo che serve alla definizione del colore linea e del colore di riempimento.
  • Definite i colori desiderati.

Proprietà | Funzione
Sorgente | Lista a cascata che serve alla selezione della sorgente e alla visualizzazione dei colori attribuiti attualmente. Questi colori non sono modificabili in questa sede.
Nuovo colore per la sorgente | Cliccando su colore, si apre il dialogo che serve alla selezione di un colore.


Immagini dettagli

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Immagini dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per visualizzare singole immagini, un´area parziale può essere estratta dalla rete topologica e visualizzata singolarmente con l´aiuto di alias. Gli elementi d´immagine nell´immagine dettagli non sono inclusi nel modello topologico, ma ricevono nonostante ciò i loro colori ALC dal modello. Essi si riferiscono ad un alias degli elementi d´immagine nello schermo complessivo.

Creare alias

Alias possono essere creati per gli elementi:

  • Linea
  • Polilinea:
  • Tubatura
  • Elemento combinato

Per creare un elemento sorgente come alias:

  • Attivate nelle proprietà dell´elemento Utilizza alias

    Interno ID: Immagini dettagli

    Utilizza alias

    Disponibile solo se Colori da ALC è attiva.
    Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

    Interno ID: Immagini dettagli

    Colori da ALC

    Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
    Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
    Disabilitata: Viene utilizzato il colore di default.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    (per far ciò, ALC deve disporre di una licenza e la proprietà Colori da ALC deve essere attiva)

  • Cliccate nella proprietàAlias sul pulsante....

    Interno ID: Immagini dettagli

    Alias

    Disponibile solo se Colori da ALC è attivo.

    Defnisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Si apre il dialogo per la selezione degli elementi

Parametri

Descrizione

Immagine

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un´immagine.

Elementi ALC disponibili

Mostra gli elementi che appartengono all´immagine con il nome, il tipo elemento e il tipo di funzione. Cliccando su un elemento, si seleziona un alias.

Filtri

Gli elementi possono essere filtrati secondo tutte le colonne. Quando si imposta un filtro, le opzioni offerte da tutti gli altri filtri sono ridotte a valori che possono essere combinati in modo sensato.

  • Nome: inserimento di una chiave di ricerca a piacere con wildcards (*). Le ultime 12 chiavi di ricerca vengono offerte nella lista finché l´Editor non viene chiuso.
  • Elemento: selezione dalla lista a cascata
  • Tipo funzione: selezione dalla lista a cascata

Cliccando su ..., si apre la ricerca salvata oppure la lista a cascata.

Se il filtro è attivo, cliccando sul pulsante X cancella il filtro.

Alias selezionato

Mostra l´elemento selezionato nel campo Elementi ALC disponibili.

Nessuna selezione

Rimuove un elemento selezionato.

OK

Salva la selezione e chiude il dialogo.

Cancella

Rifiuta le modifiche e chiude il dialogo.

Guida

Attiva la guida online

Info Informazioni

Quando si seleziona un elemento per un alias, solamente gli elementi e le immagini dello stesso progetto in cui l´alias è stato definito, possono essere selezionati. Gli elementi di sottoprogetti, oppure di progetti paralleli, non sono a disposizione.

Sostituzione di nomi alias

Alias possono essere sostituiti con il cambio immagine usando Sostituisci collegamento. Un´immagine dettagli può essere perciò visualizzata con i dati di differenti parti dell´impianto, per es. output o reti parziali. I nomi alias sono sostituiti in modo analogo a quelli di variabili e funzioni. È possibile anche la sostituzione in elementi che sono usati in simboli. Per effettuare la selezione della destinazione, viene aperto lo stesso dialogo che veniva aperto per la proprietà Alias.

Nota: la sostituzione tramite variabili indice non è possibile.


Localizzazione errori nelle reti elettriche

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La localizzazione errori evidenzia delle parti della rete che sono soggette a guasto a terra, oppure a cortocircuito, usando un colore speciale nella ALC. Le sorgenti per la localizzazione errori sono i cosiddetti levatori di guasto a terra o segnalatori cortocircuito, che sono assegnati ad un interruttore di potenza. I levatori di guasto a terra e i segnalatori cortocircuito si trovano sempre all´output di un elemento interruttore di potenza. I messaggi di errore sono fissati nell´immagine e devono essere resettati manualmente.

Info Informazioni

Questa funzionalità è disponibile solo nel caso in cui si sia in possesso di una licenza valida sia per la Energy Edition che per il modulo Automatic Line Coloring (pacchetto topologia):

Localizzazione errori

La localizzazione errori avviene localmente. Ogni client della rete ha il suo modello indipendente e, perciò, può cercare indipendentemente i guasti a terra e cortocircuiti nelle diverse parti della rete.

La localizzazione errori nelle reti elettriche si suddivide in :

  • Ricerca di guasto a terra
  • Ricerca di cortocircuito

Per progettare la localizzazione errori:

  • avete bisogno di una licenza per ALC e per la zenon Energy Edition
  • create le immagini corrispondenti
  • configurate la ALC sugli elementi combinati corrispondenti (interruttore, trafo, sezionatore, valvola)
  • configurate le linee in modo tale che esse vengano colorate tramite ALC

Per la localizzazione errore, sono a disposizione nel Runtime delle funzioni speciali:

  • Avvia ricerca messa a terra
  • Riconosci guasto messa a terra
  • Termina ricerca messa a terra
  • Riconoscimento breve messaggio

Colorazione

Gli errori possono essere visualizzati mediante un colore speciale per le linee nell´ALC. Nel Runtime, il colore assegnato mediante la ALC cambia automaticamente non appena muta lo stato della linea. Le colorazioni configurate possono essere modificate nel Runtime usando la funzione Modifica colore sorgente ALC .

I messaggi vengono elaborato nella successione del loro arrivo. Nel caso di conflitti

  • I colori previsti per la localizzazione errore sono considerati prioritari.
  • I messaggi di cortocircuito hanno la precendenza rispetto a quelli di guasto messa a terra


Ricerca di guasto a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca di guasto a terra serve a mettere in evidenza parti della rete potenzialmente interessate da messa a terra colorandole. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente GROUND FAULT.

Quali parti della rete possono essere interessate da un guasto a terra, può essere dedotto dai messaggi corrispondenti provenienti dai dispositivi di rilevazione guasti a terra (indicatori di messa a terra, dispositivi di protezione con rilevamento di guasto a terra). Per i file lingua vale quanto segue:

  • ogni dispositivo può avere da una a tre segnalazioni di guasto a terra.
  • Le segnalazioni di guasto a terra sono elaborate o via elaborazione continua o via elaborazione di messaggi transitori.
  • Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione.
    • leading: prima arriva il bit transitorio, poi il messaggio.
    • lagging: prima arriva il bit transitorio, poi il messaggio.

Info Informazioni

Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Configurazione

Per configurare la ricerca di guasto a terra:

  1. assegnate l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore

    Interno ID: Ricerca di guasto a terra

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite la Modalità ricerca messa a terra, Visualizzazione della messa a terra e Attivazione riconoscimento messa a terra
  3. impostate le funzioni per Avvia ricerca messa a terra, Ripristina messaggio di guasto a terra e Termina ricerca messa a terra

Info Informazioni

Per poter limitare i guasti a terra anche in reti a maglie, la ricerca viene effettuata solamente in un´area soggetta a messa a terra per percorso.


Modalità ricerca messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Modalità ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca cortocircuito può:

  • colorare la parte di rete potenzialmente interessata da un cortocircuito
    , oppure
  • colorare tutta la rete in cui si è verificato un cortocircuito

Il modo di colorazione viene definito nella proprietà Modalità ricerca messa a terra.

Interno ID: Modalità ricerca messa a terra

Modalità ricerca messa a terra

Imposta se nella ricerca di messa a terra viene colorata la parte della rete potenzialmente interessata, o tutta la rete in cui si trova una messa a terra.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per configurare la proprietà:

  • navigate nelle proprietà proprietà di progetto e passate al nodo Automatic Line Coloring

    Interno ID: Modalità ricerca messa a terra

    Automatic Line Coloring

    Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
    Impostazioni per l’Automatic Line Coloring (ALC).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • selezionate la modalità desiderata nella lista a cascata della proprietà Modalità ricerca messa a terra
    • Colorazione rete: colora solamente la parte della rete potenzialmente interessata dal cortocircuito
    • Colorazione intera rete: colora l´intera rete nella quale si è verificato il cortocircuito

Questa impostazione può essere modificata durante il Runtime usando il modello oggetto zenon API. In questo caso, la ricerca cortocircuito viene ricalcolata completamente.


Tipo di identificazione messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Tipo di identificazione messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

Interno ID: Tipo di identificazione messa a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Tipo di identificazione messa a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  1. navigate nelle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Tipo di identificazione messa a terra

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Riconoscimento messa a terra

    Interno ID: Tipo di identificazione messa a terra

    Riconoscimento messa a terra

    Contiene le proprietà per la localizzazione dei guasti a terra.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate il tipo desiderato con la direzione e il tipo di elaborazione delle informazioni nella proprietà Tipo
    • Direzione:
      indica se il fronte positivo dell´allarme trip o il fronte positivo di una direzione viene prima
    • leading: lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di riconoscimento della messa a terra è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • Nessuna: interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente: solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra
    • Elaborazione del messaggio transitorio: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

Nota: La distinzione tra elaborazione del messaggio permanente e l'elaborazione dei messaggi transitoria riguarda solo l'elaborazione del messaggio, non il tipo. Pertanto l’elaborazione del messaggio di un bit transitorio non si riferisce necessariamente ad un bit.

attenzione Attenzione

Per sopprimere guasti intermittenti di messa a terra, i messaggi che vengono ricevuti in intervalli inferiori a 2 secondi verranno ignorati.


Visualizzazione guasto a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Visualizzazione guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione guasti a terra. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Interno ID: Visualizzazione guasto a terra

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Visualizzazione guasto a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Visualizzazione guasto a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono come di seguito:

Valore | Significato
0 | nessuna messa a terra
1 | Messa a terra in avanti
2 | Messa a terra indietro
3 | Messa a terra non direzionale
4 | Stato errore -> entrambe le direzioni hanno attivato

Info Informazioni

Per prevenire dei problemi di funzionamento della rete, la variabile collegata in questa sede dovrebbe essere una variabile locale.


Attivazione riconoscimento messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Attivazione riconoscimento messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite la Attivazione viene definita la variabile per avvertire dell´attivazione riconoscimento messa a terra. Essa può contenere delle informazioni sulla presenza di una messa a terra e la direzione di quest´ultima dal punto di vista dell´apparecchio di riconoscimento della messa a terra. Si differenzia fra:

Interno ID: Attivazione riconoscimento messa a terra

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Attivazione riconoscimento messa a terra

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attivazione riconoscimento messa a terra

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attivazione riconoscimento messa a terra

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Attivazione riconoscimento messa a terra

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • allarmi non direzionali di guasto a terra
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per Attivazione:

  1. navigate nelle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Attivazione riconoscimento messa a terra

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Riconoscimento messa a terra

    Interno ID: Attivazione riconoscimento messa a terra

    Riconoscimento messa a terra

    Contiene le proprietà per la localizzazione dei guasti a terra.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. per allarmi non direzionali di guasto a terra

      cliccate nella proprietàAttivazione sul pulsante....

      selezionate nel dialogo che si aprirà la variabile desiderata

      le proprietà per la direzione rimangono vuote

    2. per allarmi direzionali di guasto a terra con segnalazione di intervento

      collegate la variabile con Attivazione e aggiungete la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

    3. per allarmi direzionali di guasto a terra senza segnalazione di intervento

      collegate la variabile con la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

      la proprietà Attivazione rimane vuota

Nota: Se si indirizza un dispositivo direzionale di rilevamento guasto a terra con Avanti in entrambe le direzioni, questo verrà considerato come un errore e ignorato.


Avvia ricerca messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Avvia ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Avvia ricerca messa a terra serve a localizzare un guasto a terra e ha due conseguenze nel Runtime:

Interno ID: Avvia ricerca messa a terra

Avvia ricerca messa a terra

Funzione che serve a iniziare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.

  1. vengono ignorati i messaggi provenienti da tutti i dispositivi di rilevamento guasti a terra che sono stati progettati con elaborazione del messaggio transitorio
  2. L´algoritmo di ricerca viene modificato: le azioni di switch possono solamente ridurre l´area soggetta a guasto a rerra. Gli ulteriori messaggi di guasto a terra ricevuti, dunque, non ingrandiscono l´area potenzialmente soggetta a guasto a terra.

Per configurare la funzione Avvia ricerca messa a terra:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Avvia ricerca messa a terra

  • collegate la funzione ad un bottone


Ripristino segnalazione di guasto a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Ripristino segnalazione di guasto a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Rinconosci guasto messa a terra, un guasto a terra registrato internamente da un apparecchio di rilevazione guasti a terra può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di messa a terra viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Interno ID: Ripristino segnalazione di guasto a terra

Rinconosci guasto messa a terra

Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Regole del ripristino:

  • Se `è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione guasti a terra, viene ripristinato solo questo derminato messaggio di guasto a terra.
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di guasto a terra.
  • Il ripristino può avvenire anche tramite il modello oggetto di zenon API.

Per configurare la funzione Rinconosci guasto messa a terra:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Rinconosci guasto messa a terra

  • si apre il dialogo per la selezione di una variabile
  • collegate la variabile desiderata alla funzione
  • collegate la funzione ad un bottone


Termina ricerca messa a terra

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di guasto a terra -> Termina ricerca messa a terra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Terminate la ricerca messa a terra nel Runtime con la funzione Termina ricerca messa a terra.

Interno ID: Termina ricerca messa a terra

Termina ricerca messa a terra

Funzione che serve a terminare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.

Per configurare la funzione:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Termina ricerca messa a terra

  • collegate la funzione ad un bottone


Ricerca di cortocircuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ricerca di cortocircuito serve a mettere in evidenza parti della rete potenzialmente interessate da cortocircuito colorandole in modo corrispondente. Viene utilizzato il colore impostato nella configurazione dei colori sorgente ALC per la sorgente SHORT FAULT.

Quali parti della rete sono potenzialmente interessate da cortocircuito, viene dedotto dai messaggi di cortocircuito. Un dispositivo di rilevazione guasti a terra (indicatore di cortocircuito, dispositivo di protezione) può avere da uno a tre messaggi di cortocircuito. Per i dispositivi di rilevazione guasti a terra direzionali, la direzione può essere precedente o successiva all’attivazione. Un componente di rete che ha potenzialmente un guasto a terra non viene più considerato come avente una dispersione, se questo viene connesso correttamente.

Configurazione

Per configurare la ricerca di cortocircuito:

  1. assegnate l´elemento combinato che rappresenta l´interruttore, al Tipo funzione interruttore

    Interno ID: Ricerca di cortocircuito

    Tipo funzione

    Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
    Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
    Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
    Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
    Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
    Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
    Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
    Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
    Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
    Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
    Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
    Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite visualizzazione di cortocircuito e Inizializzazione rilevazione circuito
  3. impostate la funzione per Riconoscimento breve messaggio


Tipo di rilevazione circuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Tipo di rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La direzione e il tipo di elaborazione delle informazioni per l´elemento combinato del tipo interruttore, sono definite tramite l´impostazione Tipo. Per la progettazione:

Interno ID: Tipo di rilevazione circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Tipo di rilevazione circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  1. passate al nodo Automatic Line Coloring nelle proprietà dell´elemento combinato

    Interno ID: Tipo di rilevazione circuito

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Rilevazione circuito

    Interno ID: Tipo di rilevazione circuito

    Rilevazione circuito

    Contiene le proprietà per la ricerca errori in corti circuiti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate il tipo desiderato nella proprietà Tipo
    • Direzione:
      indica se il fronte positivo dell´allarme trip o il fronte positivo di una direzione viene prima
    • leading:
      lo stato attuale della direzione è usato per il fronte positivo dell´allarme trip
    • lagging
      dopo un fronte positivo dell´allarme trip, si attende il primo fronte positivo di una direzione; se questo non giunge entro 2 secondi, l´apparecchio di identificazione del cortocircuito è considerato non direzionale.
    • Elaborazione messaggi:
      indica come vengono elaborate le informazioni
    • nessuna:
      interruttore normale; le informazioni non vengono elaborate
    • Elaborazione messaggi permanente:
      solo i nuovi messaggi in arrivo sono presi in considerazione come nuova attivazione di messa a terra:


Visualizzazione corto circuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Visualizzazione corto circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile collegata a Visualizza è una variabile di output della localizzazione errori e mostra lo stato registrato del dispositivo di rilevazione cortocircuito. Ciò è necessario perché tutti i messaggi sono salvati internamente finché non vengono ripristinati, il che significa che essi non corrispondono necessariamente allo stato attuale delle variabili di feedback.

Interno ID: Visualizzazione corto circuito

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: Visualizzazione corto circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Visualizzazione corto circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ogni volta che viene registrata una modifica, un valore impostabile viene inviato a questa variabile. I valori sono come di seguito:

Valore | Significato
0 | nessun cortocircuito
1 | Corto circuito in avanti
2 | Corto circuito indietro
3 | Corto circuito non direzionale


Inizializzazione rilevazione circuito

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Inizializzazione rilevazione circuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabile per il messaggio del dispositivo di rilevazione cortocircuito viene definita tramite la Attivazione. Potete ricevere delle informazioni sulla presenza di un corto circuito e sulla direzione dello stesso dal punto di vista del dispositivo di rilevazione guasti a terra. Si differenzia fra:

Interno ID: Inizializzazione rilevazione circuito

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: Inizializzazione rilevazione circuito

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: Inizializzazione rilevazione circuito

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: Inizializzazione rilevazione circuito

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Inizializzazione rilevazione circuito

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • rilevatore di corto circuito non-direzionale
  • allarmi direzionali di guasto a terra con segnalazione di intervento
  • allarmi direzionali di guasto a terra senza segnalazione di intervento

Per configurare la variabile per:

  1. navigate all´interno delle proprietà dell´elemento combinato fino a raggiungere il nodo Automatic Line Coloring

    Interno ID: Inizializzazione rilevazione circuito

    Automatic Line Coloring

    Proprietà pwe l’Automatic Line Coloring (ALC)...

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. aprite il nodo Rilevazione circuito

    Interno ID: Inizializzazione rilevazione circuito

    Rilevazione circuito

    Contiene le proprietà per la ricerca errori in corti circuiti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. per rilevatore di corto circuito non-direzionale

      cliccate nella proprietàAttivazione sul pulsante....

      selezionate nel dialogo che si aprirà la variabile desiderata

      le proprietà per la direzione rimangono vuote

    2. per allarmi direzionali di cortocircuito con segnalazione di intervento

      collegate la variabile con Attivazione e aggiungete la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

    3. per allarmi direzionali di cortocircuito senza segnalazione di intervento

      collegate la variabile con la direzione corrispondente:

      avanti: collegate una variabile con la proprietà Avanti

      indietro: collegate una variabile con la proprietà Indietro

      la proprietà Attivazione rimane vuota


Riconoscimento breve messaggio

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - topologia -> Localizzazione errori nelle reti elettriche -> Ricerca di cortocircuito -> Riconoscimento breve messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Riconoscimento breve messaggio, un cortocircuito registrato internamente da un apparecchio di rilevazione cortocircuito può essere ripristinato. In questo modo, lo stato di guasto a terra collegato internamente viene resettato se lo stato è ancora attivo, o evidenziato come riconosciuto. Un messaggio di cortocircuito viene cancellato internamente solo se è stato ripristinato e non è più in attesa.

Interno ID: Riconoscimento breve messaggio

Riconoscimento breve messaggio

Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Regole del ripristino:

  • Se `è collegata una variabile che corrisponde ad una variabile trigger o di direzione di un dispositivo di rilevazione cortocircuito, viene ripristinato solo questo derminato messaggio di cortocircuito
  • Se non è stata collegata nessuna variabile, vengono ripristinati tutti i messaggi di cortocircuito.
  • Il ripristino può avvenire anche tramite il modello oggetto di zenon API.

Per configurare la funzione Riconoscimento breve messaggio:

  • create una nuova funzione.
  • passate al nodo Localizzazione errore nelle reti elettriche
  • selezionate la funzione Riconoscimento breve messaggio

  • selezionate nel dialogo che si aprirà la variabile desiderata
  • collegate la funzione ad un bottone


Comando

Manuale -> Energy Edition -> Comando

L'input comandi serve anzitutto ad un cambio sicuro di variabili nella tecnologia del settore energetico. Sicuro vuol dire che il sistema verifica se l'azione di cambio è consentita in considerazione delle condizioni di blocco progettate e della topologia attualizzata in modo dinamico (stato attuale fisico della rete topologica). La progettazione della topologia e del comando "blocchi" avviene per mezzo della ALC (Automatic Line Coloring).

Una variabile per i comandi consiste di regola sempre di due variabili fisicali. una variabile di riconoscimento e una variabile comandi. A seconda dell´azione da eseguire, esse vengono eseguite su una delle due variabili.

Esempio Esempio

' Comando doppio On' : settate il comando o il nuovo valore nella variabile comando. Sulla base della variabile di risposta c'è un controllo volto a verificare il successo dell'azione avviata.

La sincronizzazione delle azioni dei comandi avviene tramite un oggetto di comunicazione nel driver, con watchdog timer e ciclicamente attualizzato. Questo oggetto viene assegnato automaticamente alla variabile di risposta. Un'attivazione di un tale oggetto viene analizzata nel sistema tramite l'attivazione dello stato Select.

'Stato dell'input Off' : resetta tutti gli stati attivi della variabile di risposta, la variabile comando non è interessata da questa azione.

Azioni comandi in due stadi vengono eseguiti di regola mediante un menu contestuale e il tipo di immagine "Comandi". Per questo sono a disposizione elementi di controllo speicifici. Essi permettono una gestione individuale ottica e funzionale dei comandi. Così potete, ad esempio, collegare delle azioni individuali direttamente alla "Azione" Pulsanti; in seguito queste azioni sono direttamente selezionabili per l'utente. Questo tipo di immagine contiene inoltre tutte i presupposti necessari per realizzare funzionalità come "Sblocco", "Esecuzione in due stadi", "Blocco" ecc. L'apertura di una tale immagine avviene tramite una funzione direttamente sull'elemento (invece del dialogo "setta valore impostabile"), oppure tramite un menu contestuale.

Dai gruppi comandi e dallo stato attuale del modello topologico si evince durante il Runtime se un'azione (azione di commutazione) è permessa in un determinato momento (nessun interblocco in attesa), è proibita (in attesa una condizione non sbloccabile) o può essere eseguita solo in seguito alllo sblocco (interbolocco sbloccabile in attesa).

menu contestuale - manager di progetto

Punto di menu | Azione
Nuovo Comando | Crea un nuovo comando.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Profilo editor | Apre la lista a cascata che serve alla selezione di un profilo editor.
Guida | Attiva la guida online

Info Informazioni

I gruppi comando possono essere esportati, importati a livello interblocchi, e possono essere scambiati e duplicati tramite gli appunti.

attenzione Attenzione

Tutte le funzioni riportate in seguito sono disponibili solo se si dispone della licenza per la 'Energy Edition'.


Comandi Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Energy Edition -> Comando -> Comandi Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Comandi e Interblocchi

Punto di menu | Azione
Nuovo gruppo comandi | Crea un nuovo blocco e apre il dialogo che serve alla selezione delle variabili.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Copiare | Copia la condizione selezionata.
Incolla | Inserisce una condizione proveniente dagli appunti
Elimina | Cancella la condizione selezionata.
Rinominare | Permette di rinominare un elemento.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menu contestuale Gruppi azioni

Punto di menu | Azione
Nuovo comando | Imposta un nuovo comando e apre le proprietà.
Nuovo valore impostabile | Imposta un nuovo input valore impostabile e apre le proprietà.
Nuovo stato di default | Imposta un nuovo Stato dell'input e apre le proprietà.
Sostituisci nuovo | Imposta una nuova sostituzione e apre le proprietà.
Nuovo Sbloccare | Imposta un nuovo Sbloccare e apre le proprietà.
Aggiorna nuovo | Imposta un nuovo Sbloccare e apre le proprietà.
Nuovo Interblocco | Imposta un nuovo interblocco e apre le proprietà.
Blocco nuovo | Imposta un nuovo blocco e apre le proprietà.
Nuova revisione | Imposta una nuova revisione e apre le proprietà.
Incolla | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online

Menu contestuale Azione singola

Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Punto di menu | Azione
Aggiungi condizione | Crea una nuova condizione.
Copiare | Copia la condizione selezionata.
Incolla | Inserisce una condizione proveniente dagli appunti
Elimina | Cancella la condizione selezionata.
Guida | Attiva la guida online

Menu contestuale Condizione

Punto di menu | Azione
Copiare | Copia la condizione selezionata.
Incolla | Inserisce una condizione proveniente dagli appunti
Elimina | Cancella la condizione selezionata.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menu contestuale Gruppi variabili

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo cher serve alla scelta di una variabile.
Incolla | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online

Menu contestuale Variabile singola

Punto di menu | Azione
Elementi collegati | Apre la lista a cascata con gli elementi collegati.
Copiare | Copia la variabile selezionata.
Incolla | Inserisce la variabile proveniente dagli appunti
Elimina | Cancella la variabile selezionata.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Come procedere passo per passo alla progettazione di un comando, lo potete vedere nel Input comandi.

Info Informazioni

Se ne avete l'opportunità, usate anche per i test il driver IEC-60870 101/104. Questo driver supporta in modo completo l'analisi COT (cause of transmission). Si tratta di una funzionalità estesa preposta al controllo della comunicazione. Un´analisi di questo stato di comunicazione può avvenire nelle matrici di reazione multi-numerica e multi-binaria


Crea un'immagine del tipo "comandi".

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Crea un'immagine del tipo "comandi".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La creazione dell'immagine "Comandi" nell'editor avviene tramite la definizione di una nuova immagine del tipo Comandi. Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.

L'immagine "Comandi" viene usata per la interazione fra gli utenti durante il runtime mediante l'uso di "comandi". (Comandi in uno e due livelli). Ciò permette all'utente di effettuare le operazioni necessarie all'esecuzione del comando. Si può trattare, per esempio, della necessità di sbloccare un gruppo comandi in attesa, oppure di confermare l'esecuzione di un comando in due livelli.

Info Informazioni

Nell'uso del comando in un passo può essere usato anche un menu contestuale oppure una funzione standard. Il tipo immagine comandi non è poi necessario nel progetto.

Con questo tipo di immagine sono a disposizione degli specifici Elementi di controllo, i quali rendono possibili le operazioni necessarie per l'impartizione di un comando e visualizzano le informazioni attuali concernenti lo stato dell'operazione che viene eseguita. (per es. visualizzazione della direzione di commutazione).

Dopo l'apertura dell'immagine, viene aperta un'immagine vuota. Gli elementi di controllo previsti dalle impostazioni di default li potete inserire facendo uso del menu Elementi di controllo/Inserisci modello.

Info Informazioni

Sotto i gruppi trovate una lista di elementi di controllo di cui avete bisogno per azioni specifiche, per esempio, tutti gli elementi di controllo per bloccare un elemento. Risparmiate la ricerca manuale degli elementi di controllo.


Valori limite / matrici di reazione per testi di direzione commutazione

Nel primo stadio di un input comando a due livelli, vengono visualizzati i testi di direzione commutazione definibili dall'utente per le azioni di tipo "comando" (per es. nel menu contestuale). Questi testi possono essere definiti mediante i Valori limite oppure gli stati delle Matrici di reazione.

Questi testi permettono all'utente di comprendere in modo migliore, o meglio di avere una visione generale migliore concernente le azioni che sono a disposizione nel runtime (per es. "Comando: apri separatore"). Apri separatore)

Avete anche la ulteriore possibilità di assegnare diversi testi ad ogni variabile che usa lo stesso interblocco senza che dobbiate effettuare delle modifiche apposite sulla intefaccia utente.

Info Informazioni

I testi di direzione commutazione vengono letti dalle impostazioni valore limite, essi sono naturalmente anche commutabili da una lingua all'altra.

Testi standard per direzione di commutazione

Valore limite | Testo standard
Off | @OFF
On | @ON
Diff | @INTER
Anom | @FAULT
Nessuno | @NONE
Diretto | @DIR


Imposta variabili

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Imposta variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La variabili debbono essere collegate in primo luogo con 'Testi di commutazione direzione' e in secondo luogo con i corrispondenti 'Gruppi comandi'. Nel caso in cui non si sia provveduto ad effettuare una delle due impostazioni, nel runtime non vengono più offerte delle azioni alla scelta dell'utente.

Info Informazioni

A causa del differente uso di Valori limite / Matrici di reazione per la variabile comandi / variabile di risposta, possono essere visualizzate dei testi di commutazione individuali per le azioni. Sempre in dipendenza del fatto su quale delle variabile viene eseguita l'azione da eseguire.


Variabili per più progetti

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Imposta variabili -> Variabili per più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

attenzione Attenzione

Per le funzionalità dell'input comandi si parte dal presupposto che le variabili utilizzate nei gruppi comandi si trovino nello stesso progetto.

Nel caso in cui, però, viene utilizzata una variabile di un altro progetto (per esempio un progetto subordinato nella gestione multiprogetto), il gruppo comandi, la variabile di risposta, la variabile di azione e l'immagine specifica per l'azione (del tipo di immagine 'Input comandi') viene attesa anche in quest'altro progetto.

Info Informazioni

Per i blocchi mediante il processo possono essere però utilizzate anche variabili comuni a più progetti. Le limitazioni sopraindicate valgono solo per le variabili del gruppo comandi.


Definire comando

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate nella vista ad albero del progetto la voce Comandi e aprite il menu contestuale. Scegliete Nuovo gruppo comandi.

Dopo essere stato impostato, un nuovo gruppo comando viene inserito nella visuale dettagliata del manager di progetto con il nome standard di "Comando + Index". L´indice viene sostituito da un numero progressivo. Questo nome serve ad indentificare senza possibilità di dubbio il blocco nell'ambito del sistema.

Info Informazioni

L'utente ha piena libertà di assegnare ai gruppi comandi i nomi da lui desiderati. Tuttavia bisogna tenere presente che tali nomi debbono essere chiari ed univoci in modo da non creare confusione nell'ambito del progetto (ciò vale sia per i blocchi standard, che per i blocchi comandi).

Per i blocchi comandi sono a disposizione i seguenti parametri:

Parametri

Descrizione

Nome

Interno ID: Definire comando

Nome

Nome univoco dell´interblocco o comando.
Default: Interblocco/comando x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocchi

- Comando

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Denominazione del gruppo comando: deve essere univoco per quello che concerne tutti i blocchi nell'ambito del progetto. Questo nome viene in seguito visualizzato in concomitanza con la variabile che usa questo blocco. L'attribuzione avviene di fatto, però, mediante un numero ID univoco e progressivo. Il nome è solo per i GUI, export e import.

Nome variabile di documentazione

Interno ID: Definire comando

Nome variabile di documentazione

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Si tratta del nome dela variabile o della maschera per la sostituzione della variabile di risposta.

L'elemento di riempimento per il testo di sostituzione è la sequenza di caratteri ‚*’ che si trova nel nome. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Nell'inserire la maschera bisogna far attenzione che questo nome corrisponda ad un nome di variabile realmente esistente una volta effettuata la sostituzione.

Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della compilazione, questo gruppo comandi non è disponibile nel runtime. In questo caso, durante il processo di compilazione viene generato un messaggio, che segnala questo errore.

Imposta stato di avanzamento

Interno ID: Definire comando

Imposta stato di avanzamento

Attiva: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Disattivata: Il bit di stato non viene settato.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se attivo, viene scritto nelle azioni Comando e Correzione manuale il bit di stato In costruzione (PROGRESS). Il valore, a cui è settato il bit di stato, dipende dalla direzione commutazione dell'azione.

Il bit di stato viene impostate sul valore 1 se:

  • la Stato-Feedback/Direzione Switch dell´azione è EIN o AUS .

    Interno ID: Definire comando

    Stato-Feedback/Direzione Switch

    Non disponibile con le azioni: Bloccare, Blocco e Rilasciare.
    Definisce il valore atteso oppure lo stato della variabile di riconoscimento dopo l´esecuzione dell´azione. Gli inserimenti possibili si diversificano a seconda dell´azione.
    Ulteriori informazione nella Guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • la variabile di responso non ha già il valore della direzione switch impostata.

Il bit di stato viene settato durante controllo dei blocchi e mantiene quel valore finché l'immagine non è tornata allo stadio 1, oppure non viene chiusa.
Ciò implica anche che lo stato rimane quando è attivo il watchdog timer e/o l'edge delay.

Se viene iniziata l´esecuzione dell´azione facendo uso del menu contestuale, oppure se l´azione è a un livello, viene settato il bit di stato in modo corrispondente.

Watchdog timer

Interno ID: Definire comando

Watchdog timer

Determina il decorso del Watchdog timer.

  • nessuna: nessun Watchdog timer.
  • attraverso variabile di risposta: il valore della variabile di risposta viene usato per controllare se l'operazione ha avuto successo.
  • attraverso causa di trasmissione: Si usa COT (Cause of Transmission) per verificare se il procedimento ha avuto successo.
    Per l´azione 'Comando' vengono analizzati gli stati per la causa di trasmissione (Cause of Transmission=COT).
    Se il procedimento COT non viene portato a termine con successo nell´ambito di Timeout progettato per l´azione, viene settato il bit di stato TIMEOUT. Il monitoraggio viene attivato solo nel caso in cui il valore da scrivere non corrisponda a quello attuale della variabile di azione.

    Interno ID: Definire comando

    Timeout

    Disponibile solo per l'azione ‘Comando’ e ‘Setta valore’:
    Timeout im secondi utilizzati per il tempo di watchdog.
    Minimo: 0.
    Massimo: 4294967295.
    Default: 30.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: nessuna.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

C'è la seguente impostazione per questa lista a cascata:

  • nessuna: Il watchdog timer è disattivato.
  • attraverso variabile di risposta: il valore della variabile di risposta viene usato per controllare se l'operazione ha avuto successo.
  • attraverso causa di trasmissione: watchdog timer nella sua forma originale. Cause of Transmission (COT) viene usato per controllare se l'operazione ha avuto successo.

Immagine Modale

Interno ID: Definire comando

Immagine Modale

Abilitata: Indipendentemente dalla proprietà ‘Dialogo Modale’ della immagine di comando, viene comunque aperta in ‘dialogo modale’. (Non sarà possibile operare su pagine esterne dalla pagina).
Disabilitata: La pagina di comando è aperta normalmente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se quest'opzione è attiva, l'immagine viene visualizzata modalmente, indipendentemente dal fatto che sia stato selezionato "dialogo guidato" nelle impostazioni dell'immagine.

Titolo immagine da VR variabile

Interno ID: Definire comando

Titolo immagine da VR variabile

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Interno ID: Definire comando

Titolo

Disponibile solo se la cornice è attiva per il modello Abilitata: Visualizza la barra del titolo per le immagini basate su questo modello.L’immagine può essere spostata in Runtime.
DisabilitataNessuna barra titolo. Default: Disattiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

L'identificazione della variabile di risposta viene indicata nel titolo dell'immagine. Ciò accade solo se è stato configurato anche un titolo per l'immagine nel modello.

Il testo è traducibile online.

Finestra immagini

Interno ID: Definire comando

Finestra immagini

Nome dell'immagine da aprire se non ne è definita una specifica per l'azione, e l'immagine non viene aperta mediante la funzione cambio immagine.

Indicazione: se il comando vene inizializzato mediante il settaggio valori nell´elemento, bisogna qui collegare un´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome dell'immagine da aprire se non ne è definita una specifica per l'azione e l'immagine non viene aperta mediante la funzione "cambio immagine".

Rilevamento di intervento sezionatore

Interno ID: Definire comando

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0

Nel caso di riconoscimento attivo, tutte le variabili il cui stato o valore viene usato nella formula per il riconscimento, vengono attivate al momento dello start del programma dopo il caricamento di tutti i progetti per essere lette e rimangono attive per tutta la durata del runtime. In tal modo, le variabili possono essere usate tutte per i progetti caricati nel runtime, indipendentemente dalla successione di caricamento.

Disabilita rilevamento

Interno ID: Definire comando

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili del blocco; sono possibili definizioni di nomi come per la definizione di Condizioni di blocco di un´azione.

Indicazione: le variabili che sono usate nella formula, non possono essere cancellate nel blocco.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul comando ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili del blocco; sono possibili definizioni di nomi come per la definizione di Condizioni di blocco di un´azione.

Indicazione: le variabili che sono usate nella formula, non possono essere cancellate nel blocco.


Azioni

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I gruppi comandi contengono sempre una serie die azioni predefinite che di norma sono adattate ad una specifica variabile (uno specifico apparecchio). In tal modo, per esempio, possono essere definiti diversi gruppi comandi per diversi elementi topologici (interruttore / separatore ecc) in modo individuale e centrale.

Ogni azione nell'ambito di un gruppo comandi viene associata ad una definita variabile comando. La variabile di risposta viene definita centralmente per l'intero gruppo comandi.

Sostituzione nome

Per semplificare o rendere più generale la definizione delle variabili, i loro riferimenti (per variabile comando e di responso) possono essere configurati attraverso una sostituzione di nome.. A questo scopo possono essere utilizzate delle wildcard. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.) Mediante questa forma flessibile di definizione, si possono impostare in modo molto semplice delle condizioni di blocco valide generalmente. In tal modo, si riduce in modo sensibile anche il numero dei gruppi comandi da definire.

Esempio Esempio
  • Definizione della variabile di comando "*_BE"
  • Definizione della variabile di risposta "*_RM"

L'input comando completa automaticamente durante il funzionamento runtime il nome della variabile di comando aggiungendo quello della variabile di risposta che viene selezionata/visualizzata nell'immagine di processo. Il nome di queste due variabili si distingue solo per una diversa desinenza.

Tipi di azione

I tipi di azione sono i comandi di commutazione che effettivamente sono a disposizione. A seconda del comando vengono eseguite diverse attività.

Nel sistema c'è a disposizione una molteplicità di azioni. Per i gruppi comandi possono essere definiti i seguenti gruppi di azione:

Tipo d´azione

Annotazione
  • Comando

  • Valore impostabile

  • Impostazione stato

  • Rilascia

Può essere progettata solamente una volta per gruppo di comandi.
  • Aggiorna

  • Sostituisci

  • Blocco

Può essere progettata solamente una volta per gruppo di comandi.
  • Revisione

  • Blocca

Può essere progettata solamente una volta per gruppo di comandi.

Nella visualizzazione dettagliata del comando, le azioni vengono visualizzate nella struttura ad albero con la corrispondente direzione di commutazione e, nel caso di settaggio diretto del valore impostabile, con il valore scelto.

attenzione Attenzione

La denominazione dei tipi di azioni nella proprietà ID menu deve essere univoca, affinché essa sia identificabile nel menu contestuale senza possibilità di errore. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero esse vengono evidenziate mediante un simbolo speciale M.

Interno ID: Azioni

ID menu

ID univoco dell´azione. Il menu ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tipo di azione Comando

Esso viene usato nel sistema a seconda del tipo di comando come "comando singolo" o "comando doppio".

Al momento dell'esecuzione del comando, lo "stato dell'input comando" progettato (0 o 1) viene scritto sulla variabile di comando. Quale valore si attende per la variabile di risposta come risultato del comando, viene configurato nella proprietà Stato-Feedback/Direzione Switch (on/off/nessuna)".

Interno ID: Azioni

Stato-Feedback/Direzione Switch

Non disponibile con le azioni: Bloccare, Blocco e Rilasciare.
Definisce il valore atteso oppure lo stato della variabile di riconoscimento dopo l´esecuzione dell´azione. Gli inserimenti possibili si diversificano a seconda dell´azione.
Ulteriori informazione nella Guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Direzione di commutazione | Valore della variabile di risposta
Nessuno | Non cambia
Off | Il valore sarà 0
On | Il valore sarà 1

Per quello che riguarda i comandi singoli, il valore viene automaticamente resettato a 0 o 1 (in dipendenza della direzione di commutazione) dopo "l'edge delay" progettata. Ciò non si verifica se la variabile di comando ha attivato SBO.

Info Informazioni

Se al momento dell'esecuzione dell'azione il valore attuale della variabile di risposta è diverso da quello definito nella direzione di commutazione, oppure quest'ultima è stata definita on o off, viene settato il bit di stato In costruzione ( PROGRESS ) .

Tipo di azione Presettaggio valore impostabile

Offre la possibilità di scrivere un qualsiasi valore numerico sulla variabile di comando selezionata. La finestra dell'input comando fornisce alcuni elementi di controllo che rendono possibile un settaggio del valore impostabile. Mediante la proprietà Stato-Feedback/Direzione Switch si definisce come deve essere settato il valore impostabile:

Direzione di commutazione

Valore della variabile di risposta

DIR

Il valore impostabile viene settato direttamente. Il valore da settare viene fissato mediante la proprietà Imposta valore.

Interno ID: Azioni

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR.

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il testo da emettere può essere configurato facendo uso di un valore limite/una matrice di reazione per lo stato/il valore 5. In caso contrario, il sistema usa un Testo standard.

Comparazione valore Attuale/Nominale non viene supportata. Il pulsante relativo ad un´azione il cui valore corrisponde al valore nominale, non è bloccato. L´azione può essere eseguita più volte successivamente.

valore impostabile

Il valore dell'elemento di controllo Valore impostabile viene scritto sulla variabile di risposta.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Interno ID: Azioni

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Nel caso di settaggio diretto del valore impostabile, i limiti della variabile collegata vengono controllati per verificare se Setta valore impostabile è ammesso per questa variabile.

Tipo di azione Stato dell'input

A seconda della definizione della 'direzione di commutazione', si esegue quanto segue:

Direzione di commutazione | Azione
Off | Gli stati progettati nella lista 'stati modificabili' vengono resettati tutti a 0.
On | Gli stati progettati nella lista 'stati modificabili' vengono resettati tutti a 1 (attivo).
Nessuno | Gli stati progettati nella lista "stati modificabili" devono essere definiti durante il funzionamento runtime mediante l'elemento di controllo "setta stato". Ogni stato viene definito individualmente.

Nel caso in cui modifichiate uno stato nel runtime, la modifica viene protocollata automaticamente nella Lista eventi cronologica (stato incluso valore). Avete la possibilità di rendere ciò soggetto a cambio lingua nel Runtime.

Info Informazioni

Con tutti i tipi di stato dell'input si ha sempre una scrittura della variabile di comando.

Tipo di azione Sbloccare

Indicazione:l´azione può essere eseguita durante il Runtime solamente se nella variabile di responso è attivo il bit di stato Valore di riserva ( ALT_VAL ) (Valore: 1).

L´azione Rilasciare riporta il bit di stato Valore di riserva ( ALT_VAL ) a 0 (non attivo). Se è attivo anche il bit di stato Spento ( OFF ) , anche in questo caso viene settato a 0 (non attivo). Dopo l´esecuzione dell´azione Rilasciare, il Runtime riceve dal driver il valore attuale per la variabile di responso.

Indicazione: questo tipo di azione può essere progettato solamente una volta per gruppo di comandi.

Tipo di azione Aggiorna

Info Informazioni

Correzione manuale significa:

correzione manuale di un interruttore non connesso in modo remoto in zenon.

Di solito si corregge manualmente su una variabile merker (senza relazione con il processo). In una variabile merker non dovrebbe essere mai in attesa nessun I-Bit. Corregere manualmente una variabile con riferimento al processo non ha senso, ma è possibile.

Comportamento:

dal punto di vista del driver, la correzione manuale è una normale operazione di settaggio di valore impostabile.

Al contrario di: sostituisci

Il valore di processo di un interruttore connesso in modo remoto viene sostituito temporaneamente (per es. a causa di una revisione,....) con un valore di riserva.

Il tipo di azione Correzione manuale setta il valore della variabile di risposta selezionata in corrispondenza dell'impostazione della "direzione di commutazione":

Direzione di commutazione

Azione

Off

0

Diff

2

DIR

Il valore impostabile viene settato direttamente. Il valore da settare viene fissato mediante la proprietà Imposta valore.

Il testo da emettere può essere configurato facendo uso di un valore limite/una matrice di reazione per lo stato/il valore 5. In caso contrario, il sistema usa un Testo standard.

Comparazione valore Attuale/Nominale non viene supportata. Il pulsante relativo ad un´azione il cui valore corrisponde al valore nominale, non è bloccato. L´azione può essere eseguita più volte successivamente.

On

1

valore impostabile

Il valore dell'elemento di controllo Valore impostabile viene scritto sulla variabile di risposta.

Anom

3

attenzione Attenzione

Nel caso di settaggio diretto del valore impostabile, i limiti della variabile collegata vengono controllati per verificare se Setta valore impostabile è ammesso per questa variabile.

Info Informazioni

Il bit di statoIn costruzione (PROGRESS) viene settato se:

  • in fase di esecuzione dell´azione, il valore attuale della variabile di responso è diverso da quello impostato nella direzione
    e
  • la direzione è stata definita On o Off

Tipo di azione Sostituisci

La variabile di risposta viene settata sullo stato Valore di sostituzione ( ALT_VAL ). Inoltre il valore definito attraverso la "direzione di commutazione" viene depositato sulla variabile di risposta.

Direzione di commutazione | Stato
Off | 0
On | 1
Diff | 2
Anom | 3
Nessuno | 4

Tipo di azione Blocco

Rende possibile il blocco di una variabile di risposta per le azioni dell'input comando.

Info Informazioni

Se si blocca uno switch facendo uso dell´azione Blocco, viene settato il bit di stato M1.

Presupposto sono degli utenti presenti nel sistema che dispongono del configurato "codice di blocco". Un blocco o uno sblocco della variabile di risposta può essere effettuato solamente mediante l'inserimento del corretto "codice di blocco".

La stessa variabile può essere bloccata anche parallelamente da diversi utenti. Le azioni per la variabile di risposta sono di nuovo possibili se tutti i blocchi sono stati eliminati mediante l'inserimento del codice.

Non possono essere eseguite delle azioni se

  • la variabile bloccata viene utilizzata come variabile di azione.
  • azioni della variabile di comando che utilizzano la variabile bloccata come variabile di risposta.

Il codice di blocco può essere definito in modo individuale per ogni utente. Questa forma di parametrizzazione avviene direttamente con un utente già definito mediante la proprietà 'codice di blocco'.

L'impostazione del codice di blocco può essere effettuata per un utente attivo anche durante il Runtime, online.

Durante il runtime, gli utenti che dispongono ancora di un blocco comandi attivo, non possono essere cancellati.

attenzione Attenzione

Degli utenti possono essere però cancellati pasando per l'ambiente di sviluppo. Ciò ha come conseguenza che, al momento di un riavvio o aggiornamento del sistema, i blocchi definiti vanno perduti.

Nell'amministrazione, degli utenti bloccati (disattivati) non possono attivare o disattivare un blocco comandi.

Info Informazioni

Le informazioni sui blocchi attivi vengono sincronizzati anche in una rete ridondante e sono a disposizione anche dopo un cambio di server.

Attraverso un proprio elemento di controllo ("Lista blocchi"), può essere visualizzata una lista di tutti i blocchi attuali nell'immagine dell'input comando.

Indicazione: questo tipo di azione può essere progettato solamente una volta per gruppo di comandi.

Tipo di azione Revisione

Setta il bit di stato Revision della variabile di risposta sul valore progettato in Stato-Feedback/Direzione Switch.

Direzione di commutazione | Stato
Off | Setta a 0
On | Setta a 1

Tipo di azione Bloccare

Con l'esecuzione di questa azione, la variabile di risposta viene disattivata.

Setta il bit di stato OFF della variabile di responso.

Indicazione: questo tipo di azione può essere progettato solamente una volta per gruppo di comandi.


Crea azione

Crea azione

Le azioni definiscono i comandi di commutazione possibili per i gruppi comandi. Se si seleziona l'elemento 'azione' nella visualizzazione dettagliata dei gruppi comandi, si può definire una nuova azione usando il tasto destro del mouse. I dettagli concernenti l'azione da definire vengono visualizzati anche nella visualizzazione dettagliata una volta creata l'azione stessa (per es. Doppio comando: *_BE [EIN,1].

Le ulteriori impostazioni riguardanti le azioni si effettuano poi nella finestra delle proprietà. Alcune proprietà sono disattivate e ciò dipende dal tipo di azione:

A disposizione ci sono le seguenti proprietà:

Proprietà

Descrizione

Variabile

Variabile sulla quale si scrive. Per alcune azioni, esso è costituito dalla variabile di risposta. In questo caso il campo è bloccato.

L'elemento di riempimento per il testo di sostituzione è la sequenza di caratteri ‚*’ che si trova nel nome. Si può utilizzare solo un elemento di riempimento nell'ambito del nome.

Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della compilazione, questa azione non è disponibile nel runtime. In questo caso, durante il processo di compilazione viene generato un messaggio, che segnala questo errore.

Inizializzazione: nessuna attribuzione.

Typ

Fissa il tipo di comando. Le possibili impostazioni sono, in questo caso, comando singolo e doppio.

Comando doppio

Scrive il valore dell'impostazione "stato dell'input comando".

Comando unico

Come il comando doppio, ma, subito dopo l'edge delay, viene eseguita automaticamente una nuova operazione di scrittura con il valore 0. Essa non è soggetta al monitoraggio runtime.

Bloccato per tutte le altre azioni.

Inizializzazione: Comando unico

Direzione di commutazione

Definisce il valore atteso oppure lo stato della variabile di risposta dopo l'esecuzione dell'azione.

Bloccato per le azioni "blocca", "Valore impostabile", Blocco" e "Rilascia".

Inizializzazione: Off

Stato dell'input comando

Definisce il valore che viene scritto sulla variabile comando durante l'azione "comando".

Bloccato per tutte le azioni, fatta eccezione per "Comando singolo" e "Comando doppio".

Inizializzazione: 0

Escludi l´inserimento nella CEL

Se quest'opzione è attiva, durante l'esecuzione dell'azione viene generato un inserimento nella CEL.

Inizializzazione: Disattivato

Timeout

Il timeout utilizzato per il watchdog timer. E' disponibile solo per le azioni "comando" e "Presettaggio valore impostabile". Unità di misura sono secondi.

Inizializzazione: 30

Edge delay

Tempo espresso in millesecondi con cui viene rimandata la scrittura di 0 per un comando singolo.

Disponibile solo per l'azione "Comando singolo".

Il sistema non attende il termine del watchdog timer.

Inizializzazione: 1000 ms

Stato modificabile

Lista degli stati che sono modificabili tramite l'uso dell'azione "setta stato".

Disponibile solo per l'azione "Stato dell'input".

Inizializzazione: Nessuno modificabile

Confronto valore nominale /attuale

Se quest'opzione è attiva, si verifica se il valore della variabile di risposta corrisponde già alla direzione di commutazione. Se questo è vero, si visualizza un messaggio di blocco sbloccabile.

Inizializzazione: Disattivato

Immagine specifica menu

Un'immagine del tipo "power" che viene attivata quando viene attivata l'azione mediante l'uso del menu contestuale dell'elemento. Se non è indicata alcuna immagine specifica, si usa quella che è stata specificata durante l'impostazione del gruppo comandi. Un'immagine progettata, ma non esistente, provoca la generazione di un messaggio d'errore durante la compilazione e l'azione non viene accettata.

Inizializzazione: nessuna attribuzione.

Pulsante errore

Attribuzione dell'azione ad un pulsante di azione nell'immagine definito durante il gruppo comandi. Se il gruppo comandi viene usato con un'altra immagine (per es. mediante una funzione), nonostante questo viene mantenuta l'attribuzione al pulsante di azione. In altre parole: l'azione è sempre collocata sul pulsante con l'attribuita azione ID. Se manca un tale pulsante, quest'azione non è disponibile nell'immagine. Nella lista di selezione sono a disposizione solamente i pulsanti di azione che non sono stati ancora attribuiti.

Quest'impostazione è bloccata se nessuna immagine è stata attribuita al momento al gruppo comandi, oppure con il tipo di azione "Blocco".

Inizializzazione: nessuna attribuzione.

Chudi automaticamente

Se quest'opzione è attiva, l'immagine viene chiusa dopo l'esecuzione dell'azione.

Inizializzazione: Disattivato

Operazione "due mani"

Se quest'opzione è attiva, il controllo "esegui 2" è disponibile solo nel caso in cui il tasto "ctrl" viene tenuto pigiato.

E' invece bloccato se non si tratta di una esecuzione a due livelli.

Inizializzazione: Disattivato

A due livelli

Se quest'opzione è attiva, l'azione viene eseguita solo dopo la messa in opera del controllo "esegui 2". Se non è attiva, l'azione viene eseguita subito dopo che si sia eliminato l'ultimo blocco, oppure se non c'è nessun blocco in attesa.

Bloccata con l'azione "Blocco".

Inizializzazione: Attivo

Info Informazioni

Se selezionate singole proprietà, potete ottenere ulteriori informazionei nell'Embedded Help concernenti la funzionalità.

Info Informazioni

Una volta definite le azioni e le condizioni di comando, le si può esportare o importare in formato XML. In tal modo, le potete archiviare in modo estremamente semplice, oppure utilizzarle in altre applicazioni.

Info Informazioni

Lo stato viene settato attraverso il comando impostazione stato.


Esegui azione

Esegui azione

L'input comando nella Energy Edition può essere utilizzato in diversi punti. Dipende dall'utente quale variante utilizzare. Anche un uso contemporaneto (riferito agli elementi) delle diverse tipologie di utilizzo è possibile in qualsiasi momento.

1

Apertura tramite una funzione Cambio immagine per passare ad un´immagine del tipo Comandi

2

Apertura mediante elemento ad immagine del tipo Bargraf, Orologio, Slider universale, Valore numerico, Strumento analogico oppure Elemento di stato.

Per l'attivazione è necessario aver settato la proprietà degli elementi Setta valore impostabile tramite sul valore Comandi.

3

Apertura mediante elemento ad immagine del tipo Bargraf, Orologio, Slider universale, Valore numerico, Strumento analogico oppure Elemento di stato.

Per l'attivazione è necessario che la proprietà degli elementi Setta valore impostabile tramite abbia il valore Box di dialogo oppure Elemento (per es., setta Comandi come sostituzione per il valore impostabile).

4

Richiamo mediante un menu contestuale se la proprietà Tipo di azione ha settato il valore Comandi.

5

Richiamo mediante un menu contestuale se la proprietà Tipo di azione ha settato il valore Valore impostabile.


Cambio immagine verso un'immagine Input comandi

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Azioni -> Esegui azione -> Cambio immagine verso un'immagine Input comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Cambio immagine verso un'immagine Input comandi

Se in corrispondenza della funzione "Cambio immagine" si seleziona come immagine un'immagine del tipo "Input comandi", il dialogo di progettazione riceve per la funzione la seguente pagina di impostazioni:

Parametri | Descrizione
variabile che definisce l'Imput comandi. | La variabile impostata in questa sede definisce il gruppo comandi da utilizzare. Attraverso il nome della variabile selezionata, l'immagine riconosce la variabile di risposta adatta e la variabile di azione ad essa collegata.
Grado iniziale | Definisce il passo (stato) in cui viene aperta l'immagine Input comandi. 1° livello l'immagine viene aperta e aspetta la definizione dell'azione e la sua esecuzione. Le esecuzioni di azioni debbono essere effettuate manualmente dall'utente. Blocco: l'immagine viene aperta per l'azione Blocco.


Elemento d'immagine: input comando

Elemento d'immagine: input comando

Se l'opzione "Input comando" viene definita mediante "setta valore impostabile attraverso" nelle proprietà di un elemento d'immagine, la finestra di comando può essere aperta durante il runtime cliccando (con il tasto sinistro del mouse) sull'elemento. L'immagine da aprire viene definita per il blocco comandi della variabile collegata all'elemento. La variabile di riconoscimento viene definita allo stesso modo automaticamente a partire dal gruppo comandi.

Info Informazioni

Se l'opzione "input comandi" è settata, viene visualizzata la finestra corrispondente anziché il dialogo "setta valore impostabile".

L'input comandi viene supportato dai seguenti tipi di elementi d'immagine:

1 | Valore numerico
2 | Elemento di testo
3 | Bargraf
4 | Strumento analogico:
5 | Elemento di stato
6 | Orologio
7 | Slider universale

Se non è stato definito nessun gruppo comandi per la variabile attribuita all'elemento oppure non esiste la variabile di riconoscimento, viene generato un inserimento di errore per il Diagnose Viewer e l'immagine non viene aperta.


Elemento di immagine Valore impostabile

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Azioni -> Esegui azione -> Elemento di immagine Valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Elemento di immagine Valore impostabile

Se per un elemento in corrispondenza dell'impostazione "setta valore impostabile con" viene usata l'opzione "Maschera di input" o "Elemento" e la variabile attribuita all'elemento dispone di un gruppo comandi, vengono eseguite anche tutte le modifiche che interessano il valore impostabile mediante il gruppo comandi. Affinché sia scritto un valore, devono essere soddisfatte le seguenti condizioni:

  • Il gruppo comandi deve avere progettata l'azione "Setta valore impostabile" e la variabile d'azione risultante è la variabile dell'elemento d'immagine selezionato.
  • Nessuna condizione di blocco può impedire l'esecuzione dell'azione.

Info Informazioni

Se uno dei presupposti citati prima viene violato, la scrittura non viene eseguita, non viene scritto nessun valore impostabile sulla variabile.


Menu contestuale: input comando

Menu contestuale: input comando

L'input comando può essere attivato direttamente sull'elemento mediante l'uso del menu contestuale. Si tratta della variante d'impiego più usata. Il menu contestuale rappresenta in questo contesto già il primo livello dell'input comando a due livelli.

Esso deve disporre di un inserimento del tipo di azione Comandi. La visualizzazione delle singole azioni viene definita automaticamente attraverso il menu. In relazione al "nome" dell'inserimento del menu, si può influenzare in modo selettivo la visualizzazione delle azioni.

Quando si crea una nuova azione nei Comandi, viene impostato un Menu-ID corrispondente al tipo di azione e alla direzione di switch per la proprietà Tipo di azione e viene poi offerto nella lista a cascata. Se il contenuto corrisponde a un ID definito come testo standard per il tipo di azione e la direzione di switch, il contenuto verrà adattato quando cambia il tipo di azione o la direzione di switch.

Interno ID: Menu contestuale: input comando

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per creare un menu contestuale per i comandi:

  1. create nei Comandi le azioni desiderate
  2. selezionate nelle proprietà dell´inserimento Menu contestuale come Tipo di azione Comandi
  3. selezionate con la proprietà ID menù l´azione desiderata e la direzione switch facendo uso della lista a cascata

    Interno ID: Menu contestuale: input comando

    ID menù

    Nome dell´inserimento menu.

    In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. assegnate nella proprietà Testo una denominazione univoca
    Indicazione: se non si definisce per Testo nessun inserimento, il campo verrà automaticamente riempito con la denominazione "Comandi".

    Interno ID: Menu contestuale: input comando

    Testo

    Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

La denominazione nella proprietà Testo deve essere univoca. Se si assegna la stessa denominazione più volte, altri punti di menu recanti la stessa denominazione non verranno visualizzati.

Visto che i punti di menu creati automaticamente con la stessa azione danno lo stesso testo, per essi sono disponibili delle Macro.

La successione di caratteri ID_CMD_AUTO è riservata per i punti di menu generati automaticamente. Esse devono essere usate sempre con macro, visto che altrimenti viene inserito solamente il punto di menu.

Azioni per Tipo di azione Comandi

Azione | Direzione di commutazione | Menu-ID
ID_CMD_AUTO |  | Questo punto di menu mostra automaticamente tutte le possibili azioni per un elemento, nel caso in cui non venga già usato un punto di menu diretto della lista.
Comando unico | ON (1) | ID_CMD_EBEF_ON
Comando unico | OFF (1) | ID_CMD_EBEF_OFF
Comando unico | NESSUNA | ID_CMD_EBEF_NONE
Comando doppio | ON (1) | ID_CMD_DBEF_ON
Comando doppio | OFF (2) | ID_CMD_DBEF_OFF
Comando doppio | NESSUNA | ID_CMD_DBEF_NONE
valore impostabile | NESSUNA | ID_CMD_SVALUE
valore impostabile | DIRECT | ID_CMD_SVALUE_DIR
Impostazione stato | NESSUNA | ID_CMD_STATE
Impostazione stato | ON (1) | ID_CMD_STATE_ON
Impostazione stato | OFF (0) | ID_CMD_STATE_OFF
sostituisci | NESSUNA | ID_CMD_REPL_NONE
sostituisci | ON (1) | ID_CMD_REPL_ON
sostituisci | OFF (0) | ID_CMD_REPL_OFF
sostituisci | DIST | ID_CMD_REPL_DEF
sostituisci | DIFF | ID_CMD_REPL_DIFF
Aggiorna | NESSUNA | ID_CMD_UPD_NONE
Aggiorna | ON (1) | ID_CMD_UPD_ON
Aggiorna | OFF (0) | ID_CMD_UPD_OFF
Aggiorna | DIFF | ID_CMD_UPD_DIFF
Aggiorna | DIST | ID_CMD_UPD_DEF
Aggiorna | DIRECT | ID_CMD_UPD_DIR
Blocca | NESSUNA | ID_CMD_BLOCK
Rilascia | NESSUNA | ID_CMD_UNLOCK
Bloccare | NESSUNA | ID_CMD_LOCK
Revisione | OFF (0) | ID_CMD_REV_OFF
Revisione | ON (1) | ID_CMD_REV_ON

Nomi dei punti menu per il menu contestuale

1. Creazione automatica

Inserimenti che vengono generati tramite ID_CMD_AUTO, ricevono automaticamente un nome secondo lo schema: 'Nome azione' più 'Valore limite della direzione di commutazione'.

2. Manualmente dalla tabella:

Se gli inserimenti del menu vengono generati a partire dalla tabella, per ogni azione deve essere definito nel menu contestuale alla voce "Rappesentazione - Testo" un testo per l'inserimento.

Nomi per i punti menu:

Comando, valore impostabile, stato, sostituisci, rilascia, aggiorna, blocca, blocco, revisione.

Testi di azione:

Azione | Testo
Comando unico Comando doppio | Testo del valore limite corrispondente alla direzione di commutazione.
Aggiorna Sostituisci | Se si definisce una direzione di commutazione (diversa da "nessuna"), viene visualizzato il testo del valore limite in modo corrispondente alla direzione di commutazione.
Stato | "OFF " o "ON" in corrispondenza della direzione di commutazione impostata.
Revisione | Testo del valore limite corrispondente alla direzione di commutazione.
Altri | Non viene visualizzato nessun testo di azione speciale.

Esempio Esempio

Testo visualizzato per un comando doppio con valore limite definito:

'Comando: direzione di commutazione ON'

Info Informazioni
  • Tutti i testi visualizzati sono soggetti al cambio di lingua che avviene con l'uso di meccanismi standard. Vedi per ulteriori informazioni: Con quali testi si può effettuare il cambio di lingua?
  • Tutti gli inserimenti del menu vengono automaticamente organizzati in ordine alfabetico.

Il gruppo oomandi da usare attualmente viene determinato mediante il riferimento alla variabile che è collegato con l'elemento d'immagine. Se nessun gruppo comandi è assegnato ad una variabile oppure la variabile di risposta non esiste, il menu contestuale non viene visualizzato nel runtime (un messaggio di errore corrispondente viene inserito nel Server di diagnosi).

Info Informazioni

I punti menu dell'input comando vengono rappresentati in dipendenza di gruppi comandi. Il punto menu viene visualizzato solo nel caso in cui l'azione ad esso collegatoa esiste effettivamente. Da ciò consegue che, se la variabile dell'elemento è la variabile comando, possono essere visualizzate solo le azioni per questa variabile più l'azione "Blocco". Le azioni per la variabile di risposta vengono escluse automaticamente dalla visualizzazione.

Condizioni

I punti di menu sono disponibili solo se le corrispondenti azioni possono essere effettivamente eseguite. Le seguenti condizioni sono un presupposto irrinunciabile:

  • Tutti i punti menu sono bloccati se per la variabile di risposta è attivo il bit di stato SELECT(10).
  • Tutti i punti menu sono bloccati se non è stato possibile determinare la variabile di risposta.
  • Tutti i punti di menu sono bloccati se la variabile di risposta non ha nessun valore e non è stato possibile richiederlo ed ottenerlo nel giro di 30 secondi.
  • I punti di menu sono bloccati sul client Internet senza autorizzazione di scrittura.
  • I punti di menu sono bloccati se manca la connessione con il server.
  • Il punto di menu che è collegato all'azione "rilascia", viene bloccato se nella variabile di azione non è attivo il bit di stato ERSATZWERT(27).
  • Il punto di menu che è collegato con l'azione "sostituisci", la cui direzione di commutazione corrisponde al valore della variabile di azione, è bloccato.
  • Sono bloccati tutti i punti di menu eccezion fatta per quello che è collegato all'azione "blocca", se nella variabile di risposta è attiva una modifica del blocco.
  • Se nella variabile di risposta è attivo il bit di stato REVISION(9), le azioni "Valore impostabile", "Sostituisci", "Aggiorna" e "Comando" sono bloccate.
  • Finché sono attivi un "watchdog timer" o un "edge delay" o SBO per il gruppo comandi, tutti i punti menu sono bloccati. Ciò si verifica perché anche il bit di stato SELECT rimane attivo.
  • Il punto di menu che è collegato con l'azione "revisione", la cui direzione di commutazione corrisponde al valore della variabile di azione, è bloccato.


Macro per menu contestuale

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Azioni -> Esegui azione -> Menu contestuale: input comando -> Macro per menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Macro per menu contestuale

Una macro è una definita successione di caratteri che Quasi tutte le macro possono ricorrere più volte per punto di menu. Possono anche contenere come risultato ulteriori macro. Si deve tenere conto della successione di espansione. Nella progettazione dei menu, le macro sono case insensitive. Se le macro contengono una macro come risultato, essa deve essere scritta nel risultato in lettere maiuscole. L´inserimento avviene con $ come prefisso e suffisso.

La successione dell´espansione avviene da sinistra a destra con la seguente priorità:

  1. $NOTE$
  2. $TAG$
  3. $REMA<Zustand>$
  4. $RDIR$
  5. $ALL$
  6. $DIR$
  7. $ACT$
  8. $NOTE$

Macro

Descrizione

$NOTE$

L´intero testo inclusa la macro viene interpretato come commento. Se il testo risultante è vuoto, viene utilizzata la macro $ALL$.

$TAG$

Viene sostituita con la Identificazione corrente.

L´identificazione può essere tradotta facendo uso del meccanismo di traduzione online. In assenza di un carattere di traduzione (@), tutta l´identificazione viene selezionata automaticamente per effettuarne la traduzione.

$REMA<Zustand>$

<Stato> è uno stato di matrice di reazione o di valore limite, il cui testo viene usato per la sostituzione.

Se questo stato non esiste, il punto di menu non verrà visualizzato.

Il testo di valore limite viene tradotto prima della espansione macro in dipendenza della posizione di @ .

Stato può essere un numero fra -231 e 231-1. Sono ammessi un segno e gli spazi iniziali. Se sono contenuti dei caratteri non convertibili in un numero, oppure il numero si trova al di fuori dell´area indicata, la voce di menu non verrà visualizzata.

$RDIR$

Il testo per la direzione di switch viene ricavato dalla matrice di reazione/valore limite come nella macro $DIR$:

  • azione Imposta valore direttamente
    Il testo viene ripreso da matrice di reazione/valore limite dello stato che corrisponde al valore del valore impostabile da settare.
  • Azione Status On e Status Off
    Il testo viene ricavato dalla matrice di reazione/valore limiti per gli stati On e Off.
  • Azione Correzione manuale diretta“
    il testo viene ricavato dalla matrice di reazione/valore limite dello stato, corrispondente al valore della variabile che deve essere impostata.

$ALL$

Ne risulta denominazione azione: direzione switch.

Corrisponde alla combinazione delle macro $ACT$: $DIR$

$DIR$

Direzione switch dell´azione.

$ACT$

Descrizione dell´azione.

$NOTE$

Per l‘ultima macro, la macro nota viene nuovamente controllata e il testo a destra di questa macro inclusiva viene cancellato.

Se il testo che ne risulta è vuoto, oppure consta solamante di spazi vuoti, il punto di menu non verrà inserito.

Punti di menu generati automaticamente

I punti di menu generati automaticamente vengono creati in ID_CMD_AUTO come ID menu. In questo caso devono essere usate sempre delle macro, visto che, in caso contraria, viene inserito solamente un punto di menu.

Compatibilità:

Nelle versioni precedenti alla 6.51, il testo era ignorato con i punti di menu automatici. Nel caso della conversione di progetti che sono stati realizzati usando versioni precedenti alla 6.51, prima del testo progettato vengono inserite le macro $ALL$$NOTE$. In tal modo, questi punti di menu si comportano esattamente come accadeva finora.

Cambio lingua online

La didascalia del punto di menu nella proprietà Testo viene tradotta prima dell´espansione macro a partire dal carattere @.

Interno ID: Macro per menu contestuale

Testo

Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: se nella macro $TAGS$ non si trova il carattere (@), verrà tradotto tutto il testo.


Messaggi di errore

Messaggi di errore

Quando si aprono dei menu nell'ambiente runtime, ne viene controllata la consistenza del contenuto. Nel caso vengano rilevati degli errori, sono emessi dei messaggi corrispondenti per il tool di diagnosi online. Sono possibili i seguenti messaggi:

Parametri | Descrizione
Punto menu per l'input comandi soppresso perché il nome è presente più volte nel menu! | Il menu contiene già un punto con il nome usato nell'input comandi. Non usate i nomi utilizzati per l'input comandi in altri punti menu.
Punto menu per l'input comandi soppresso perché la descrizione è presente più volte nel menu! | Esiste già un punto di menu con la stessa descrizione. I punti di menu generati automaticamente non vengono inseriti se esiste già un inserimento nel menu che ha la stessa descrizione.
Il testo per l'inserimento di menu non può essere riconosciuto! | Il sistema non ha potuto riconoscere la descrizione di un punto menu generato automaticamente. Ciò indica per lo più la mancanza di un testo di valore limite.
Nessun gruppo comandi collegato alla variabile dell'elemento d'immagine! | La variabile associata all'elemento d'immagine non ha nessun gruppo comandi collegato, o perlomeno nessun gruppo ancora valido. Vengono emessi dei relativi messaggi di errore durante la compilazione.
Non esiste una variabile di risposta! | La variabile di risposta usata per il gruppo comandi non esiste.
Select non attivabile! | Non è stato possibile attivare il bit di stato SELECT(10) prima dello scadere del timeout.


Esecuzione di azioni

Esecuzione di azioni

In seguito all'attivazione di un punto du menu per il blocco comandi, viene eseguita l'azione associata. Tale esecuzione attraverso il menu causa in primo luogo il settaggio del bit di stato "SELECT". Solo se esso viene portato a termine con successo, può iniziare l'esecuzione dell'azione vera e propria (per es. "comando doppio").

In seguito viene aperta la finestra dell'input comandi, quando sia soddisfatto uno dei seguenti criteri.

  • Se l'azione da eseguire è "Setta valore impostabile", "setta stato" con input o "Aggiorna valore impostabile", viene aperta l'immagine associata all'azione nello stadio "Livello 1". In questa immagine si può definire il valore impostabile / stato da scrivere.
  • Se l'azione da eseguire è "Blocca", viene aperta l'immagine relativa all'azione con lo stadio "Blocca".
  • Se una condizione di blocco in attesa impedisce l'esecuzione, viene richiamata l'immagine progettata per l'azione nello stadio "Sblocco". In questo contesto vale anche se non è stato possibile attivare SBO senza errori.
  • Se per una azione è stata configurata una esecuzione a due livelli, si richiama l'immagine relativa all'azione nello stadio "Livello 2".
  • Se non è stata progettata alcuna immagine specifica per un un'azione, viene aperta quella che è stata configurata centralmente per il gruppo comandi.

Il Select interno e SBO sono comunicati all'immagine.

Info Informazioni

Se non si verifica nessuna delle condizioni sopra illustrate, l'azione viene eseguita subito senza bisogno di ulteriori operazioni dell'utente.


Menu contestuale: valore impostabile

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Azioni -> Esegui azione -> Menu contestuale: valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu contestuale: valore impostabile

Nel caso in cui una variabile associata ad un elemento d'immagine è collegata con un gruppo comandi, anche la scrittura di un valore impostabile viene effettuata attraverso l'input comandi. Condizione perché ciò accada è che sia disponibile nell'input comandi l'azione "setta valore impostabile". Nel caso in cui essa non esista, non viene eseguita l'operazione di settaggio del valore impostabile.

Info Informazioni

Una condizione di blocco in attesa impedisce la scrittura di un valore impostabile.


Condizioni comandi

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I gruppi comandi contengono la definizione delle azioni di commutazione, ma anche quella delle condizioni di comando. Queste ultime sono dei parametri opzionali che possono essere definiti specificamente per le applicazioni.

Ogni azione nell'ambito di un gruppo comandi può essere estesa ulteriormente mediante l'aggiunta di "condizioni comando". Questi interblocchi gestiti dal processo impediscono un'esecuzione non voluta di azioni dipendente dall'attuale stato del processo.

I gruppi comandi sono costituiti da tre parti fondamentali:

Parametri | Descrizione
Azioni | Esse definiscono quale comando viene eseguito, a quali punti di dato queste azioni si riferiscono e parametrizzano i blocchi interni.
Variabili di condizione | Esse definiscono quali variabili debbano essere utilizzate nelle condizioni di comando.
Condizioni di comando | Mediante tali condizioni l'esecuzione di comandi viene resa dipendente dallo stato attuale del processo.

vedi anche Vedi per ulteriori informazioni

Interblocchi


Definizione delle condizioni comandi

Definizione delle condizioni comandi

Per ogni azioni può essere definito un numero qualsiasi di condizioni comando. Attraverso queste condizioni, si può limitare ulteriormente la'eseguibilità di una azione. Queste condizioni vengono definite mediante formule nelle quali vengono utilizzate delle variabili dei progetti attivi. La formula si riferisce alle variabili collegate mediante l'indice nella condizione.

Info Informazioni

La variabile di condizione viene sostituita automaticamente, se viene usato ‚*’ nella definizione.


Definire variabile di condizione

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Definizione delle condizioni comandi -> Definire variabile di condizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Definire variabile di condizione

In un primo stadio del processo si devono definire le variabili che più tardi potranno essere usati nelle formule delle condizioni di comando. Se più tardi le condizioni definite vengono soddisfatte dalle variabili di processo collegate durante il runtime, sono a disposizione dell'utente le azioni corrispondenti.

Info Informazioni

Se in un secondo momento viene cancellata una variabile che viene usata in una condizione di comando, ne consegue un adattamento dell'indice all'interno della condizione. Le variabili seguenti vengono disposte in successione in avanti e la formula viene adeguata automaticamente.

Per definire una condizione di comando, si consiglia di procedere nel modo seguente:

Esempio Esempio
  1. Selezionate nella visualizzazione dettagliata dei comandi la voce "variabile" e scegliete poi nel menu contestuale l'opzione "nuova".
  2. Nel dialogo di selezione, scegliete una variabile di processo che deve fungere da base per le formule delle condizioni comando. Potete chiudere il dialogo di selezione delle variabili per creare una definizione vuota. Per questo link vuoto potete definire la sostituzione automatica usando il segno "*".
  3. Selezionate un'azione già presente e per essa nella sezione lista il nodo 'Condizioni'. Mediante il comando 'Nuova condizione' si può definire in questa sede un qualsiasi numero di condizioni per ogni azione. La definizione avviene mediante l'uso di formule; condizioni non soddisfatte hanno come conseguenza il blocco dell'azione corrispondente durante il runtime.

Le ulteriori impostazioni (per es. l'associazione degli interblocchi ad una variabile) possono essere effettuate nella finestra delle proprietà. Troverà una descrizione dettagliata delle singole proprietà nell’Help delle proprietà.


Condizioni di blocco

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Definizione delle condizioni comandi -> Condizioni di blocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Condizioni di blocco

Per ogni azione può essere definito un numero qualsiasi di condizioni comando. Esse vengono sottoposte ad un controllo prima dell'esecuzione della corrispondente azione. Nel caso in cui un controllo debba venir meno, non è possibile selezionare l'azione corrispondente durante il runtime.

Le condizioni vengono definite sotto forma di formule. Questa sintassi può essere consultata come per quella relativa alla definizione delle formule nel Editor della formule.

Inoltre, prima dell'esecuzione dell'azione vengono sottoposte ad un controllo i seguenti tipi di blocco (oltre ai gruppi comandi).

Condizioni di blocco interne

Queste condizioni vengono controllate automaticamente prima dell'esecuzione di ogni azione, senza che il progettista possa incidere in alcun modo su questo processo. Queste Condizioni interne di blocco sono determinate dal sistema e servono al controllo di plausibilità.

Esempio Esempio

Non è stato possibile attivare il Select.

Condizioni di blocco topologiche

Queste condizioni derivano dall'attuale stato topologico durante il runtime. La definizione di queste condizioni si effettua nelle impostazioni " Configurazione dei blocchi topologici".


Condizioni di blocco interne

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Definizione delle condizioni comandi -> Condizioni di blocco interne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Condizioni di blocco interne

Con l'aiuto di condizioni di blocco interne si verifica la sussistenza delle premesse di base per l'esecuzione azioni (analisi di plausibilità). I risultati o la risposta di un blocco viene visualizzato nel funzionamento Runtime nella finestra dell'input comandi come condizione di blocco.

Parametri

Descrizione

Stato già esistente

Lo stato da settare corrisponde già al valore attuale della variabile di risposta. Questa forma di controllo è attiva solo se il gruppo comandi del "Comparazione valore attuale/nominale" è stato attivato.

Questo inteblocco può essere sbloccato.

Accaduto un errore interno

L'input comando non è in grado di eseguire il controllo.
Si verifica quanto il tipo di dato della variabile di azione non è permesso per l'azione in questione.

Esempio: Esempio: azione "Comando singolo Off" per variabile string

Questo interblcco non è sbloccabile.

Nessun oggetto di blocco

Non è stato possibile determinare il gruppo comandi.
Questo inteblocco non può essere sbloccato.

Azione non definita

Non è stato possibile determinare l'azione da eseguire.
Questo inteblocco non può essere sbloccato.

Differenza fra blocco locale e globale.

Parametro per comando singolo non è consistente. Parametri errati
Questo interblocco non è sbloccabile

Uno o più valori non sono disponibili.

Valore della variabile di condizione non è disponibile. Codice di blocco: 14
Valore della variabile di condizione disturbato. Codice di blocco: 15
Questo inteblocco non può essere sbloccato.

Gestione blocco non valida.

Non è stato possibile caricare la gestione dei blocchi ed non è valida.
Questo inteblocco non può essere sbloccato.

Variabile bloccata per modifiche

L'input comando è bloccato mediante la variabile di risposta (congestione).
Questo inteblocco non può essere sbloccato.

SBO rifiutato

L'attivazione del Select è stata rifiutata dal controllo.
Questo inteblocco non può essere sbloccato.

Timeout nell'attivazione SBO

Nell'ambito del tempo di timeout il sistema non ha ottenuto conferma dell'attivazione (positiva o negativa).
Questo inteblocco non può essere sbloccato.

Timeout nella disattivazione SBO

Nell'ambito del tempo di timeout il sistema non ha ottenuto conferma della disattivazione (positiva o negativa).
Questo inteblocco non può essere sbloccato.

Timeout nell'esecuzione

Non è avvenuta una conferma della conclusione dell'esecuzione dell'azione all'interno del tempo di timeout.
Questo inteblocco non può essere sbloccato.

SBO scaduto

Il PLC ha comunicato la scadenza dell'attivazione SBO.
Questo inteblocco non può essere sbloccato.


Comandi nell'engineering distribuito

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Definizione delle condizioni comandi -> Comandi nell'engineering distribuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Comandi nell'engineering distribuito

Info Informazioni

Visto che le condizioni comandi e i blocchi generali (funzionalità standard / senza Energy Edition) sono presenti nell'editor nella stessa struttura, il simbolo di checkout (Confermare modifiche) è identico per entrambi i nodi nella visione ad albero del progetto. Tutte le azioni sulle condizioni di comando riguardano anche i blocchi generali e viceversa.

Le variabili evidenziate per la cancellazione vengono considerate inesistenti per la compilazione delle condizioni comando. Durante la compilazione vengono visualizzati i corrispondenti messaggi di errore nella finestra di emissione.


Editor delle formule

Editor delle formule

L´editor delle formule supporta nella creazione di formule con operatori logici o di comparazione con l´elemento combinato, con gli interblocchi e i comandi. Se avete bisogno per la formula di ulteriori variabili, createle nell´area Variabili formula della finestra degli stati cliccando sul pulsante Aggiungi. Le formule esistenti vengono visualizzate nella lista degli stati mediante la lettera F .

Creare la formula

Cliccate nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Nella finestra di sinistra, selezionate i bit per la Vostra formula.

A destra trovate gli operatori per operazioni logiche e di confronto.

Nel settore Formula viene visualizzata la formula impostata.

Info Informazioni

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit-valore

Sono a disposizione 32 bit di valore (da 0 a 31). Descrivete il valore variabile in bit. Per variabili BOOL ha significato solo il bit 0, per SINT e UNSINT i bit 0-7 ecc...

Indicazione: Vi preghiamo di tenere presente che la valutazione si riferisce sempre al valore Raw della variabile (risoluzione segnale) e non al valore di misurazione.

Bit di stato

Mette a disposizione i bit di stato più comuni. La definizione esatta e l´uso dei bit di stato, li trovate nella Lista Bit di stato.

- non ripristinato

Non ripristinato viene considerato come un normale bit di stato; ma in questa sede lo si tratta separatamente perché non appartiene ai classici stati delle variabili.

Valore e stato

Tutti i valori (bit di valore e bit di stato) nelle formule vengono presi in considerazione come valori binari e possono poi essere collegati logicamente con UND oppure ODER, nonché mediante espressioni logiche.
un´eccezione è costituita dal valore complessivo e dallo stato complessivo. Per giungere ad un'espressione booleana, è anzitutto necessario collegare con un'operazione OR questo valore generale con una constante a bit . A questo scopo si usa l'operatore &.
Con un risultato 0 (False) del collegamento con operazione OR a bit, si ottiene il valore binario 0 (False), altrimenti 1 (True).

Esempio: vedi capitolo Esempio collegamento OR a bit

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se oltre alla formula ci sono altre impostazioni per lo stato attuale, queste vengono collegate con un AND logico.

Per esempi vedi la sezione Esempi di formule.

Info Informazioni

Formule con valori X binari e collegamento bit possono essere usati con al massimo 2 valori binari. Se si ha bisogno di più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value ->non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona


Lista bit di stato

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Editor delle formule -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Lista bit di stato
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Operatori logici

Collegamenti logici: Le variabili vengono controllate solo sulla base del valore logico '0'; nel caso in cui il valore non sia pari a '0', viene definito con '1'-

A differenza del Bitformel (??) l'area tecnica può essere modificata di un fattore di estensione -> diverso da 0 o 1.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | 'ESCLUSIVO OR' logico

Gli operatori hanno le seguenti priorità nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per Formula bit)
2 | NOT
3 | AND
4 | XOR/OR

Info Info

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99.

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule bit

Formule bit

Le formule bit possiedono solamente uno stato logico low e high. A differenza di quanto accade per le formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR


Esempio: collegamento ad "o"

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Editor delle formule -> Formule bit -> Esempio: collegamento ad "o"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Esempio: collegamento ad "o"

Volete sapere se è settato uno stato user bits 1-8 (M1 ... M8) della variabile X01.

Formula normale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa richiesta può essere facilitata di molto attraverso il collegamento ad "o" a bit dello stato generale.

Collegamento a "o"

X01.Status & 0xFF

La costante può essere indicata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 256; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è a 1, il risultato del collegamento con operazione OR a bit è 1 (True), altrimenti 0 0 (False).

Se si vuole richiedere, ad esempio, tutti gli stati bit user fatta eccezione per lo status bit user M7, l'espressione binaria corrispondente sarebbe: 10111111. Bit 7 non è interessante, per questo è settato su 0. Ciò corrisponde a 0xBF esadecimale. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di collegare con operazione OR a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto dà un esito sbagliato, ne deriva il valore binario 0 (False), altrimenti 1 (True).

Beispiel:

Volete interrogare se un valore corrisponde alla costante 202. La formula è la seguente: La formula corrispondente è la seguente:

X01.Wert = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Indicazione: il collegamento O in bit funziona con il segno O (|) in modo analogo al questo esempio.


Operatori a confronto

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Editor delle formule -> Operatori a confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Operatori a confronto

Gli operatori a confronto servono al confronto diretto di due valori numerici. Il risultato di questo confronto viene espresso in forma di uno stato binario. „0“ se la condizione non è soddisfatta e „1“ se invece lo è

Operatore | Descrizione
< | Minore:
> | Maggiore:
<= | ninore uguale
>= | maggiore uguale
= | è uguale
<> | diseguale

A sinistra e a destra di un operatore a confronto deve stare un valore (generale) o uno stato (generale); bit singoli non possono essere utilizzati con questi operatori a confronto.

A destra dell'operatore a confronto ci può essere anche una costante. (le costanti possono essere solo numeri interi; un confronto con numeri con cifre decimali non è possibile)
Nell´elemento combinato queste costanti vengono inserite come valori esadecimali o valori decimali. I numeri esadecimali vengono trasformati automaticamente in numeri decimali cliccando su OK (per es. 0x64 corrisponde al valore numerico 100).

Esempio Esempio

X01.valore >= X02.valore
Il risultato è „1“ se il valore di X01 è più grande o uguale al valore X02

X01.valore = 0x64
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico100 (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= Hex 0x64 und Hex 0x65)


Esempi di formule

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Definire comando -> Condizioni comandi -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Esempi di formule

Semplice collegamento AND fra due valori bit.

Esempio Esempio

Formula: X01.03 AND X02.03

Questa formula dà come risultato “VERO” quando il Bit 3 della variabile 1e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confronta il valore o lo stato di una variabile analogicamente

Esempio Esempio

(X01.Wert> X02.Wert)

Confronta fra di loro comparazioni analogiche su base logica.

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Confronti di bit valore e bit di stato

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Confronta un valore con uno decimale o esadecimale.

Esempio Esempio

Formula: (X01.Wert = 111)

Formula: (X01.Wert = 0x6F)

Se si usa un valore esadecimale, esso viene trasformato più tardi nella modalità di scrittura decimale cliccando su OK. Se si è indicato e confermato un valore decimale, alla riapertura del valore esso continua ad essere visualizzato in forma decimale.

Info Info

Non è possibile nell'indicazione di numeri usare una virgola o un punto.


Crea menu

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Crea menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'input può essere attivato anche mediante un menu contestuale. I menu contestuali vengono creati nell´editor mediante il nodo Menu e definiti nelle proprietà dell´elemento a cui su riferiscono.

Una voce di menu può avere sostanzialmente tre contenuti differenti:

Parametri

Descrizione

Tipo di azione

Interno ID: Crea menu

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce quale tipo di azione deve essere eseguita nel Runtime mediante il corrispondente inserimento di menu. Non tutti i tipi di azione sono disponibili nel Menu principale; alcuni sono progettabili solamente tramite il Menu contestuale.

  • Ripristinare allarmi (solo menu contestuale)
  • Comandi (solo menu contestuale)
  • Ripristinare lampeggio (solo menu contestuale)
  • Funzione
  • Guida
  • Nessuna azione
  • Setta valori impostabili
  • Macro VBA (solo menu contestuale)

Sottomenù

Interno ID: Crea menu

Sottomenù

L´inserimento di menu non esegue nessuna azione, ma apre un sottomenu.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Apre nel Runtime un sottomenu.

Linea di separazione

Una linea orizzontale separa gli inserimenti di menu.

Sottolineare testo: l´inserimento di un & fa sì che il successivo carattere venga sottolineato.

Progettare inserimenti

Per progettare un inserimento nel menu principale o contestuale:

  1. attivate anzitutto la cella di menu corrispondente
  2. selezionate nelle proprietà:
    • Tipo di azione: dipendente dal tipo di menu
      vedi anche: Tipi di azioni Menu principale eTipi di azioni Menu contestuale
    • ID menù: ID dell´inserimento
      Indicazione: Alla voce Comandi, sono disponibili per dei tipi predefiniti con ID fissa.

      Interno ID: Crea menu

      ID menù

      Nome dell´inserimento menu.

      In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Testo: denominazione univoca della cella menu.

      Interno ID: Crea menu

      Testo

      Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

La denominazione nella proprietà Testo deve essere univoca. Se si assegna la stessa denominazione più volte, altri punti di menu recanti la stessa denominazione non verranno visualizzati.

Dettagli concernenti la definizione dei menu contestuali per il comando, li potete leggere nela capitolo Menu/Comando.


Import e Export

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Import e Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

vedi anche Vedi per ulteriori informazioni

vedi capitolo "Import / Export" , sezioneGruppo comandi

Info Informazioni

Copia negli appunti

Tramite gli appunti può essere eseguita una copia o un incolla solo al livello del gruppo comandi nel suo complesso. Non si può copiare un'azione singola.

Gruppi comandi già esistenti ricevono un nuovo nome al momento in cui vengono aggiunti.


Generare i file runtime - Avviare il runtime

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Generare i file runtime - Avviare il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante la compilazione dei file runtime per i gruppi comandi viene effettuato un controllo volto ad evitare errori di progettazione e a garantire una corretta sostituzione.

Per ogni variabile del processo cui è associato un blocco comando, viene generata una versione specifica del gruppo comandi perzenon. In essa sono contenute solamente le azioni che possono essere attivate mediante questa variabile.

Esempio Esempio

Il gruppo comandi per la variabile comando ha solamente delle azioni di questa variabile comando. Fatta eccezione per l'azione "Blocco". Questa azione è disponibile anche per la variabile comando.

Info Informazioni

La compilazione dell'input comando deve essere avviata anche in seguito a modifiche delle variabili.


Sostituisci collegamento

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Generare i file runtime - Avviare il runtime -> Sostituisci collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per elevare la possibilità di riutilizzare il gruppo comandi esiste l'opportunità di sostituire i riferimenti delle variabili. La sostituzione è possibile con la variabile di risposta, quella di comando e quella di condizione.

Durante il processo di sostituzione, l'elemento di riempimento ‚*’ viene automaticamente rimpiazzato dal nome della variabile cui è associato l'input comando.

Esempio Esempio

Supponiamo di avere le variabili xyz_RM, abcRM e bool_RM.

La nostra maschera è ‚*_RM’.

Nome variabile | Testo di sostituzione | Risultato | Nota
xyz_RM | xyz | xyz_RM | La variabile esiste, associazione realizzata con successo
abcRM | <vuoto> | _RM | La maschera non va bene dato che manca _ . La variabile non esiste.
bool_RM | bool | bool_RM | La variabile esiste, associazione realizzata con successo

Info Informazioni

Il sistema riconosce che la variabile per il quale il gruppo comandi deve essere compilato, corrisponde alla variabile di risposta. Così il testo di sostituzione viene determinato attraverso la variabile di risposta. Altrimenti il testo di sostituzione viene definito attraverso la variabile di azione della prima azione adatto alla variabile.

Se il testo di sostituzione è stato riconosciuto con successo, esso rimpiazza l'elemento di riempimento "*".

Proprio per questo, nello stabilire il nome dovrebbero essere tenuti in considerazione i seguenti punti:

  • I nomi delle variabili e delle maschere dovrebbero essere scelti in modo tale da poter essere assegnati in modo univoco e senza possibile confusione.
  • I nome delle variabili che vengono utilizzate per le variabili di risposta, di comando e di condizione, dovrebbero essere producibili attraverso lo stesso testo di sostituzione.
  • Se la variabile di risposta viene sostituita, ma non quella di comando, bisogna fare particolare attenzione che il gruppo comandi che viene generato per la variabile di comando, venga usato anche dalla variabile di risposta attesa.
  • Un ulteriore giro di controllo è volto ad assicurare per il gruppo comandi nella variabile di risposta, che contenga solo azioni la cui variabile di azione usa nel suo blocco compilato la stessa variabile di risposta. Le azioni che violano questa regola provocano la generazione di un avvertimento e vengono eliminate.


Errore al momento della generazione dei file runtime.

Manuale -> Energy Edition -> Comando -> Progettazione nell'editor -> Generare i file runtime - Avviare il runtime -> Errore al momento della generazione dei file runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La momento della generazione dei file runtime per il comando, si verifica un approfondito esame volto a verificare eventuali errori di progettazione e relazioni non esistenti.

Info Informazioni

Un errore ha sempre l'effetto di rendere non disponibile durante il runtime l'oggetto che è causa dell'errore stesso.

Se il gruppo comandi ha un Errore, alla variabile non viene assegnato alcun gruppo comandi. Il risultato di ciò è che, durante il runtime, tutte le operazioni di gestione sono bloccate.

Un Avviso viene generato nel momento in cui la progettazione potrebbe essere fonte di problemi ma funziona senza intoppi.

Nei messaggi di errore vengono utilizzati i seguenti elementi di riempimento:

<VERNAME> | L'elemento di riempimento viene sostituito nel messaggio di errore dal nome del gruppo comandi.
<VERRM> | L'elemento di riempimento viene sostituito nel messaggio di errore dal nome della variabile di risposta.
<AUFVAR> | L'elemento di riempimento viene sostituito nel messaggio di errore con il nome della variabile cui è assegnato il gruppo comandi.
<ACTVAR> | L'elemento di riempimento viene sostituito nel messaggio di errore dal nome della variabile dell'azione.
<Nome azione> | L'elemento di riempimento viene sostituito nel messaggio di errore dalla denominazione dell'azione.
<VARNAME> | Riempitivo viene sostituito da una variabile nella visualizzazione.

Le seguenti segnalazioni di errore possono verificarsi al momento della generazione di file runtime:

Testo di segnalazione | Descrizione
<VERNAME>: Blocco-PV <VERRM> non esiste! | La variabile condizione per un blocco generale non è disponibile.
Variabile '<AUFVAR>' usa un comando input non esistente! | La variabile usa un comando input non esistente.
(<AUFVAR>) Input comandi '<VERNAME>' non contiene nessuna azione! | I gruppi comandi senza azione non vengono accettati durante il funzionamento online. Questo messaggio può essere anche un errore provocato da un altro.
(<AUFVAR>) Variabile di risposta '<VARRM>' non usa il gruppo comandi '<VERNAME>' | Viene usata una variabile di risposta che usa un altro gruppo comandi. La variabile di risposta deve essere sempre collegata al blocco che la usa come variabile di risposta.
(<AUFVAR>) Variabile di risposta '<VARRM>' per input comandi '<VERNAME>' usa un driver senza connessione a processo! | La variabile di risposta deve trovarsi su un driver connesso al processo.
(<AUFVAR>) Input comandi '<VERNAME>' non contiene nessuna azione dopo la compilazione! | Un gruppo comandi senza azioni non ha senso.
(<AUFVAR>) Variabile di risposta '<VARRM>' di input comandi '<VERNAME>' non esistente! | La variabile di risposta usata non esiste o è segnalata la sua avvenuta cancellazione.
(<AUFVAR>) input comandi '<VERNAME>' usa immagine '<Bild GUID>'(<BILDNAME>) che non è del tipo Power! | Questo messaggio è un avviso. Se si rende necessaria un'operazione di gestione durante l'esecuzione, essa non può essere eseguita.
(<AUFVAR>) Input comandi '<VERNAME>' usa l'immagine non esistente '<Bild GUID>'! | L'immagine assegnata al gruppo comandi non esiste.
(<AUFVAR>) Variabile di azione sostituita '<ACTVAR>' per l'azione '<Definizione azione >' di Input comandi '<VERNAME>' non esiste! | La variabile di azione non è esistente dopo una sostitizione o viene segnalata la sua avvenuta cancellazione.
(<AUFVAR>) azione '<Definizione azione >' in corrispondenza di input comandi '<VERNAME>' usa la variabile non esistente '<ACTVAR>' | L'azione usa una variabile che non è esistente nel progetto o del quale è segnalata l'avvenuta cancellazione.
(<AUFVAR>) Variabile di azione '<ACTVAR>' per l'azione '<Definizione azione >' di Input comandi '<VERNAME>' usa un driver senza connessione processo! | La variabile assegnata ad un'azione non può trovarsi su un driver interno.
<VERNAME>(<AUFVAR>): azione '<Nome azione>'esiste già! | La seguenti azioni possono essere configurate solo una volta per ogni variabile di azione e gruppo comandi: Doppio comando con lo stesso stato di comando. Correzione con la stessa direzione di commutazione. Sostituzione con la stessa direzione di commutazione. Revisione con la stessa direzione di commutazione. Comando unico Valore impostabile Rilascia Blocca Blocco
<VERNAME>(<AUFVAR>): Azione '<Nome azione>': Comando singolo e doppio non è possibile per la stessa variabile di comando! | Comando singolo e doppio non devono essere usati parallelamente.
(<AUFVAR>) azione '<Nome azione>' in corrispondenza di un input comandi '<VERNAME>' usa immagine '<Bild GUID>('<Nome immagine>') che non è del tipo Power! | Questo messaggio è un avviso. Non è possibile alcuna operazione di gestione.
(<AUFVAR>) azione '<Definizione azione >' in corrispondenza di input comandi '<VERNAME>' usa l'immagine non esistente '<Bild GUID>' | All'azione è assegnata una immagine che non esiste.
<VERNAME>(<AUFVAR>): Blocco-PV '<VARNAME>' non esiste! | La variabile condizione sostituita non esiste.
(<AUFVAR>) Variabile'<VARNAME>' di condizione blocco azione dell'input comandi '<VERNAME>' non esistente! | Variabile della condizione di blocco non esistente.
(<AUFVAR>) Variabile di azione '<VARANME>' per l'azione '<Definizione azione >' di gruppo comandi '<VERNAME>' usa un altro gruppo comandi! | Le variabili di azione usate in un gruppo comandi non devono essere collegatie con nessun gruppo comandi o solo con quello in cui sono utilizzate.
(<AUFVAR>) variabile comandi <ACTVAR> non ha un blocco compilato in modo valido! Azione <Nome azione > eliminata. | La variabile usata nell'azione non ha un gruppo comandi compilato. Questo messaggio può essere anche un errore provocato da un altro.
(<AUFVAR>) variabile comandi <ACTVAR> usa variabile di risposta <VARNAME>! Azione '<Nome azione>' eliminata: | Il gruppo comandi compilato nella variabile di risposta contiene un'azione la cui variabile non usa la stessa variabile di risposta di <AUFVAR>. Avvertenza: con le variabili di risposta non possono essere possibile delle azioni che modificano altre variabili di risposta.


Gestione durante il runtime

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso dell´inserimento di comandi da parte di un utente durante il Runtime, il sistema esegue automaticamente un watchdog timer in background.


Ablauf Cause of Transmission (COT)

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Ablauf Cause of Transmission (COT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Mediante Causa di trasmissione (COT), zenon informa il PLC se la variabile deve essere scritta oppure se la scrittura è stata eseguita con successo. La variabile di azione riceve una COT corrispondente al livello del comando. In background il modulo Comandi controlla se la variabile di responso cambia il suo valore e la COT in corrispondenza al comando.

La procedura in background:

  1. il valore e COT_act (6) viene depositato sulla variabile di azione.
  2. Sulla variabile di responso viene settato il bit di stato PROGRESS .
  3. Se il PLC riceve il valore COT_act, il sistema aspetta i valori successivi COT_actcon (7) oppure COT_actterm (10).
  4. Termine della procedura:
    1. La procedura viene terminata se entrambe queste condizioni vengono soddisfatte:
    • COT_actterm è stato ricevuto.

      e

    • il valore della variabile di responso corrisponde alla direzione (proprietà Stato-Feedback/Direzione Switch).
      Quale delle due condizioni si verifica per prima, non ha alcuna importanza. Non appena entrambe sono disponibili, la procedura viene completata.

      Interno ID: Ablauf Cause of Transmission (COT)

      Stato-Feedback/Direzione Switch

      Non disponibile con le azioni: Bloccare, Blocco e Rilasciare.
      Definisce il valore atteso oppure lo stato della variabile di riconoscimento dopo l´esecuzione dell´azione. Gli inserimenti possibili si diversificano a seconda dell´azione.
      Ulteriori informazione nella Guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. Nel caso in cui solamente una o nessuna delle due condizioni del punto 5a venga soddisfatta nell'ambito del time-out progettato, allora:
      - la procedura viene terminata e
      - il bit di stato TIMEOUT della variabile di responso viene attivato
  5. Il bit di statoPROGRESS wird zurückgesetzt.

Indicazione: le modifiche di valore della variabile di risposta vengono accettate solo dopo il ricevimento diCOT_act.

Info Informazioni

Durante il Runtime,i COT come tutti gli altri bit di stato possono essere analizzati con Matrici di reazione multi-analogiche o multi binarie.

Indicazione: COT viene supportato non solamente da IEC870, ma anche da alcuni altri driver Energy. Alcuni driver supportano COT nonostante che il protocollo in sé non contenga nessun COT (per es DNP3). I dettagli a questo proposito li trovate nella documentazione sui driver.


Elementi di controllo del tipo immagine Comandi

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Elementi di controllo del tipo immagine Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime sono a disposizione i seguenti elementi di controllo:

Nome

Tipo di controllo

default

Pulsanti azione

Testo

Pulsanti ai quali può essere assegnata un'azione. Cliccando nell'immagine, l'azione assegnata viene attivata e l'immagine passa a "Sblocco".

Il pulsante non viene visualizzato se:

- Non è assegnata nessuna funzione al pulsante nell'attuale gruppo comandi.

- Die Variable mit welchem das Bild aufgeschaltet wurde die Befehlsvariable ist und die dem Button zugeordnete Aktion nicht die Befehlsvariable als Aktionsvariable verwendet. Se al pulsante è assegnata l'azione "Blocco", però, esso è visibile.

Il pulsante viene visualizzato come bloccato se:

- L'immagine non si trova a "Livello 1".

- La variabile di segnalazione ha settato uno dei bit di stato I_KENNUNG(18), AUS(20) o NICHT_AKTUELL(29 e l'azione assegnata scrive sulla variabile di comando.

- La variabile di segnalazione ha lo stato REVISION(9) attivo e l'azione assegnata scrive sulla variabile comando.

- La variabile di segnalazione ha lo stato REVISION(9) attivo e l'azione assegnata è "Aggiorna".

-. L'azione subordinata è "Sbloccare" e la variabile di segnalazione non ha attivo lo stato Valore di riserva(27).

- L'azione subordinata è "Aggiorna" e il valore della variabile di segnalazione corrisponde alla "schaltrichtung".

- L'azione subordinata è "Sostituisci" e il valore della variabile di segnalazione corrisponde alla "schaltrichtung".

- La variabile di segnalazione ha lo stato REVISION(9) attivo e l'azione assegnata è "Sostituisci".

- L'azione subordinata è "Revisione" e il valore della variabile di segnalazione corrisponde alla "schaltrichtung".

Azione 1

Azione 2

RM TTA

Testo

Nome della variabile di segnalazione

X

Identificazione RM

Testo

Identificazione della variabile di segnalazione

X

Unità variabile azione

Testo

Unità della attuale variabile azione.

X

Setta stato variabile azione

Lista

Definisce lo stato da settare per l'azione "Stato dell'input" per la "Direzione di commutazione" "nessuna". Gli stati vengono settati prendendo come punto di riferimento lo stato attuale, e vengono poi attualizzati nel caso di modifiche.

E' bloccata se l'azione attiva non è "setta stato".

Direzione di commutazione

Testo

La direzione di commutazione progettata in corrispondenza dell'azione attiva. I testi sono documentati nell'impostazione "direzione di commutazione".

A seconda dell'azione attiva viene visualizzato il seguente testo:

comando, revisione, aggiorna, sostituisci: Testo del valore limite a seconda della direzione di commutazione.

Stato: On o Off

Altri: vuoto

X

Esegui 2° livello

Pulsante

porta ad esecuzione l'azione.

Questo Control non è visibile se l'immagine non si trova nello stadio "2° livello".

Il Control è bloccato se:

- Doppia gestione è stata progettata e il tasto "Ctrl" non è stato pigiato.

- La variabile di segnalazione ha lo stato REVISION(9) attivo e l'azione attivs è "Comando", "Valore impostabile", "Sostituisci" o "Aggiorna".

Si è già cliccato sul pulsante.

X

Variabile azione Minimo

Numerico

Valore minimo della variabile di azione.

Non è visibile se la variabile di azione ha il tipo di dato "Stringa".

Variabile di azione Massimo.

Numerico

Valore massimo della variabile di azione.

Non è visibile se la variabile di azione ha il tipo di dato "Stringa".

Barra di scorrimento:

Numerico

Input variabile impostabile mediante barra di scorrimento. Setta il valore nel Control "Valore impostabile" oppure viene settato da questo.

Non è visibile se la variabile di azione ha il tipo di dato "Stringa".

Il Control è bloccato se:

- Non è attiva nessuna azione.

- L'immagine non si trova a "Livello 1".

valore impostabile

Numerico, testo

Permette l'inserimento del valore impostabile.

Cliccando sul Control, quest'ultimo passa alla modalità Editor e diviene possibile l'inserimento del valore impostabile. Premendo "Enter" si lascia la modalità Editor.

Il nuovo valore viene settato però solamente quando si clicca sul Control "Esegui".

Per l'azione "Valore impostabile" viene indicato il valore da settare mediante questo Control.

Il Control è bloccato se:

- La variabile di risposta ha settato lo stato REVISION(9).

- Non è attiva nessuna azione.

- L'immagine non si trova a "Livello 1".

RM Valore

Testo

Valore della variabile di risposta

X

RM Stato

Testo

Contiene lo stato della variabile di risposta nella denominazione breve.

X

RM Unità

Testo

Unità della variabile di risposa.

X

Testo di blocco

Testo

Testo del blocco in attesa.

Il testo è traducibile online.

X

Sblocca

Nel caso ci sia un blocco in attesa, sbloccabile, esso può essere sbloccato usando questo pulsante.

Questo Control viene visualizzato solo nel caso in cui l'immagine si trovi nello stadio "Sblocca".

Il Control è bloccato se il blocco in attesa non è sbloccabile.

X

Chiudi

Pulsante

Chiude l'immagine senza eseguire l'azione.

Il pulsante è visibile solo in un'immagine modale.

Per le immagini modali questo pulsante è importante per poter lasciare l'immagine in caso di errore!

Esci

Pulsante

Interrompe il procedere dell'input comandi e torna allo stadio "1° livello".

Il pulsante è bloccato se l'immagine si trova nello stadio "1° livello".

X

Lista blocco

Lista

Contiene i blocchi attivati nella variabile di risposta.

E' bloccato se il gruppo comandi non ha progettata un'azione "Blocca".

Il testo è traducibile online.

Identificazione utente

Campo input

Vi viene indicata l'autorizzazione utente.

E' bloccato se il gruppo comandi non ha progettata un'azione "Blocca".

Codice di blocco:

Campo input

Per l'inserimento del codice specifico per l'utente.

E' bloccato se il gruppo comandi non ha progettata un'azione "Blocca".

Esegui blocco

Pulsante

Attiva un blocco mediante l'utente indicato per il Control "Autorizzazione utente".

E' bloccato se il gruppo comandi non ha progettata un'azione "Blocca".

Questa azione di gestione viene protocollata nella Lista eventi cronologica se ciò non viene impedito dalla configurazione.

Sblocca

Pulsante

Elimina il blocco mediante l'utente indicato nella autorizzazione utente.

E' bloccato se il gruppo comandi non ha progettata un'azione "Blocca".

Questa azione di gestione viene protocollata nella Lista eventi cronologica se ciò non viene impedito dalla configurazione.

Esegui

Pulsante

Assumi il valore dal Control "Valore impostabile" oppure "Setta stato".

Questo Control non è visibile se l'immagine non si trova nello stadio "1° livello".

Il Control viene bloccato in aggiunta al blocco generale se:

- L'azione attiva non "Setta stato", "Valore impostabile" oppure "Esegui valore impostabile".

- Il valore nel Control "Valore impostabile" non è valido per la variabile di azione.

Nota

Campo input

Nota per il blocco.

Variabile di azione stato

Testo

Stato della variabile di azione attiva nella denominazione breve.

X

Variabile di azione nome

Testo

Nome della variabile di azione attiva

X

Variabile di azione identificazione

Testo

Identificazione della variabile di azione attiva

X

Variabile di azione valore

Testo

Valore della variabile di azione attiva

X

Azione attiva

Testo

Denominazione della azione attiva

X


Elementi bloccati o inaccessibili

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Elementi di controllo del tipo immagine Comandi -> Elementi bloccati o inaccessibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Blocco generale dei control

Dei presupposti debbono essere soddisfatti affinché i control nell'immagine possano essere resi accessibili. Visto che essi per lo più riguardano numerosi control, non vengono indicati ogni volta nel control, ma documentati in questa sede.

  1. Tutti i control sono bloccati eccetto Chiudi" se:
  • l'immagine non è possessore del select attivo.
  • per la variabile di apertura non sono stati progettati dei blocchi.
  • se non esiste una variabile di risposta.
  • la variabile di risposta non è più rifornita di valore.
  • la variabile di risposta non ha settato lo stato "select".
  • E' in svolgimento un'azione per la variabile d'azione.
  • E' in svolgimento un watchdog timer per la variabile d'azione.
  • si attende una conferma SBO.
  • vengono trasmessi i dati del blocco.
  • I dati del blocco non sono validi.
  • Per la variabile selezionata è attivo il bit di stato INVALID
  • l´utente registrato attualmente non dispone del livello di autorizzazioni necessario
  1. Tutti i control eccetto il comando Chiudi e i control per il blocco sono bloccati se: :
  • E' attiva una delle condizioni di blocco di punto 1.
  • La variabile di risposta contro input comandi è stata bloccata.
  • E' settato il bit di stato S_MERKER_1(0), cioè è settato il blocco comandi per la variabile di risposta.

Comando

  • Pulsanti azione: i pulsanti di azione vengono bloccati se il livello di autorizzazioni dell´utente registrato impedisce l´esecuzione.
  • Sblocca: uno sblocco è possibile solo nel caso in cui l´utente disponga del livello di autorizzazioni necessario.
  • Menu contestuale i punti di meno che sono attribuiti a un´azione comando, possono essere selezionati solamente se l´utente registrato dispone del livello di autorizzazione necessario.

Apertura dell'immagine con grado inziale 'Blocco'.

Se l'immagine con il grado inziale 'Blocco' viene aperta, tutte le altre vengono nascoste nell'immagine fino ai control successivi:

  • RM TTA
  • Identificazione RM
  • RM Valore
  • RM Stato
  • RM Unità di misura
  • Codice di blocco:
  • Identificazione utente
  • Esegui blocco


Aggiorna il progetto

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Aggiorna il progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci si deve attendere i seguenti effetti nel caso in cui si avvi un aggiornamento online:

Se sono attivi un watchdog timer, un edge delay o un SBO, l'aggiornamento viene procrastinato finché essi non saranno conclusi.

Un'immagine aperta del tipo input comandi viene chiuso e viene riavviata la procedura dopo l'aggiornamento in dipendenza dello step attuale.

Step prima dell'aggiornamento | Comportamento dopo l'aggiornamento
1° livello | Viene aperta l'immagine nuovamente per il 1° livello
Sblocco oppure 2° livello | Step Livello sblocco viene attivato Il controllo del blocco viene eseguito un'altra volta.
Blocco | Il blocco viene attivato di nuovo

Prima della riapertura viene ridefinita la variabile di apertura, quella di risposta, quella di comando, il gruppo comandi e l'azione. Se un oggetto non è più disponibile, i Control vengono bloccati.

Se viene eliminato oppure cambiato il gruppo comandi nella variabile di apertura, l'immagine viene aperta con i Control bloccati. L'immagine deve essere riaperta oppure bisogna rieseguire l'input comandi.

Se il gruppo comandi nella variabile di risposta viene cancellato o cambiato, tutti i blocchi contro l'input comandi vengono eliminati dalla variabile.

Se un utente che aveva attivato un blocco comandi non esiste più, viene cancellato il blocco. Il bit di stato S_MERKER_1(0) viene attualizzato in modo corrispondente.


Protocollo nella CEL

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Protocollo nella CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella CEL vengono protocollati accanto alle azioni di commutazione le seguenti operazioni eseguite dall'utente:

Parametri | Descrizione
Sblocca | L'operazione "sblocca" di un blocco in attesa viene registrato nella CEL.
Esegui operazione | Se l'impostazione "Escludi l'inserimento nella CEL" non è attivata, l'esecuzione dell'operazione viene protocollata nella CEL.


Blocca variabile di risposta

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Blocca variabile di risposta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una variabile di risposta bloccata ha settato il bit di stato S_MERKER_1(0). Mediante l'inserimeno del nome utente e del codice di blocco progettato nella definizione utente, il blocco può essere attivato o disattivato. Per ogni utente può essere attivato un blocco. I blocchi attivi sono rimanenti e vengono presi in considerazione anche dopo un riavvio del sistema.

Info Informazioni

Per i blocchi si verifica una sincronizzazione automatica in rete; essi possono essere quindi utilizzanti anche nel funzionamento ridondante.


Cambio del server con il funzionamento ridondante

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Cambio del server con il funzionamento ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il server attivo nel processo cambia, l'oggetto "select" va perso e il comando deve essere eseguito di nuovo. La stessa cosa vale anche per SBO


Termina runtime

Manuale -> Energy Edition -> Comando -> Gestione durante il runtime -> Termina runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Finché ci sono delle azioni attive nel sistema, la chiusura del runtime viene ritardata (per esempio mediante una chiamata funzione).

Anche mentre SBO è attivo, la chiusura viene ritardata. Se SBO è attivo, viene eseguita una deattivazione.

Info Informazioni

Specialmente nel caso dell'azione "Comando unico" con "watchdog timer" e/o Flankenbildung nella esecuzione in uno stadio, si può verificare la seguente situazione. Il runtime viene chiuso dopo che l'azione è stata eseguita per intero.


Energy Management System (EMS)

Manuale -> Energy Management System (EMS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Energy Management System is a tool for the support of the economical management. It serves a conversion of a energy supply management for small and middle power supply companies but also for industrial firms whose energy supply is arranged by special contracts.

The module includes two quality functions for the support of the user:

  • Prognosis (short term prognosis): In order to prevent power peaks and to automate load shedding.
  • Optimization: Optimization of the averaged power supply in a billing period.

The focus is on electrical equipment but the module can be applied for mixing equipment which use natural gas and electricity without problem. For natural gas grids special prognosis and optimization models were implemented.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Project Manager context menu

Menu item | Action
Export XML all ... | Exports all entries as an XML file.
Import XML... | Imports entries from an XML file.
Help | Opens online help.


Introduction

Manuale -> Energy Management System (EMS) -> Introduction

The task of an energy management system (EMS) is to optimize the economic management of special customers such as power supply companies (PSC) or industrial firms. The most important tool for that is the energy-trend-calculation which is the basis of an automated energy supply optimization.

The situation in the electrical and natural gas grid differentiates in parts essentially. Therefore it is treated differently in the EMS concerning prognosis and optimization.


Initial situation in the electricity industry

Manuale -> Energy Management System (EMS) -> Introduction -> Initial situation in the electricity industry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

As a ruler in the energy industry a rate is used which includes both the investments of the provider and the arising costs for power generation and grid maintenance.

In order to set the price, these companies normally take into consideration a number of the peak power consumptions which arose over the year. The determination of the average power consumption takes place in a fixed measuring time, normally 15 to 30 minutes. In addition the price also includes the received power. Contracts concluded on this basis are valid on the long term.


Initial situation in the natural gas industry

Manuale -> Energy Management System (EMS) -> Introduction -> Initial situation in the natural gas industry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When working with natural gas, peaks in demand can be compensated by taking natural gas from gas storages, storing it in the natural gas grid (pressure adaptation) and device which can be switch or turned off.

In gas storages or in the grid certain amount of natural gas can be stored preventively in order to use them on demand. In addition non-contractual supplied natural gas contingents are used which are referred to as spotgas.


Aims of an economic management

Manuale -> Energy Management System (EMS) -> Introduction -> Aims of an economic management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The aim of the economic management when using electricity and natural gas as power source is to receive as much energy as possible from your provided for an as low as possible price (optimization).

Potential savings come along when expensive peak power consumptions are avoided. The peak power consumptions during a measuring period can be avoided by pointedly controlled interventions.

  • Load shedding at switchable devices
  • Input of own generators

In order to do this, it is necessary to anticipate the average power consumption of a measuring period (prediction). Thus a threatening violation of the set limit can be recognized timely and an appropriate intervention can be carried out.


Functionality of the whole system

Manuale -> Energy Management System (EMS) -> Functionality of the whole system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The electrical energy area and the natural gas area act in quite similar ways. As it is not possible to store electrical energy in noteworthy amounts, the contract conditions of the electrical energy providers are adjusted to this fact.

In the natural gas area not only the contract conditions must be adhered to but there are also arrangements necessary in order to store the natural gas.


Function of the system when electricity is used as the power source

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Function of the system when electricity is used as the power source

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The measuring period for the supply with electrical power is normally 15 or 30 minutes. During this time the averaged power received at the hand-over point - from here on it is referred to as power or load - resp. the equivalent amount of energy is determined and recorded.

The price is usually fitted to the three highest values which accrued for the measuring periods in different months. The price is then valid on the long term.

The average power which is used to calculate the price can be reduced when corresponding peak power consumptions are limited due to pointedly controlled interventions. This short term optimization can be achieved by the following interventions:

  • Load shedding at switchable devices
  • Increasing input of own generators

The aim of this optimization is to not exceed the contractual set limit for the power in a measuring period under no circumstances. The power consumption should also be only a little bit under the set limit in order to receive maximum power.

The optimization is done using a trend calculation as a short term prediction. The measured values which were gathered during the handling interval (typically 30, 60 or 180 seconds) are used to perform a trend analysis. The calculated trend is projected to the end of the period.


Function of the system when natural gas is used as the power source

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Function of the system when natural gas is used as the power source

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The measuring period normally is an hour or a day when natural gas is supplied. During this time the determined amount of natural gas at the hand-over point is rated.

If the limit is exceeded, here a high price must also be paid. The definition of the price when the limit is exceeded is much more specific than in the electricity area.

Basically in the gas grid it is also targeted to not exceed the agreed limit.

Possible interventions are the following:

  • Load shedding at switchable devices
  • Own production of natural gas in liquified gas facilities
  • Switching boilers to other fuels
  • Switching combined heat and power units to other fuels
  • Using natural gas from gas storages

Using natural gas which is stored in gas storages is important because it may only be small amounts which are available but these are needed during peak demands. Independent of the amount of the stored natural gas, a strategy must be defined how these storages are filled again over short or long periods of time.

Possible actions

The exceeding of the limit with hour contracts is inhibited by a consumptions projection with turning off or switching devices.

Basically the expansion of the measuring period to a (gas) day is possible. However there are times during the day in which the behavior of the trend leads to unrealistic large amounts at the end of the day. In addition the balance between night and day is not taken into consideration. Therefor in this case the system is built in a way that:

  • a prediction of the consumption takes palce
  • a plan is created which guarantees that the limit is not exceeded
  • a short term projection observes that the planned maximum amount is not exceeded


Principal thoughts

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Principal thoughts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following chapter deals with thoughts and examples which make it easier for the user to indentify and select changeable elements of your plant. The question is what elements and devices can be influenced by the EMS directly or indirectly in a sensible way.


Options in order to influence the output in the electrical power area

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Principal thoughts -> Options in order to influence the output in the electrical power area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Options

Description

Directly switchable devices

Devices which can be switched off briefly without interrupting any production processes are part of this group (industrial furnaces, pumps for water storages etc.).

The loads have a fixed value. In general the are depended on the device and therefore known of measureable.

Direct heatings

Because of their storage effect, these device can be switched off briefly without decreasing the quality of supply significantly (heating in warm water storages, electrically operated floor heatings etc.).

The loads consist of a consistent part and a part which is temperature-dependent. Additional the load is dependent on how long the device was switched off.

Monovalent heat pumps

In general these pumps are operated in the same way as direct heatings.

The temperature-dependent part is more distinctive and rise with falling outside temperatures (pumps used for generating heat including air conditioners) or rises with rising outside temperatures (air conditioners). The load is dependent on how long the device was switched off.

Bivalent heat pumps

These can choose between fuels they use. Beneath a certain temperature they are switched to a different fuel by their control unit of by the optimization.

At that no supply constraints emerge for the devices. These components are only switched in the long term and restrictively because the switching should not take place constantly.

When the temperature falls, the load increases up to the switching point. There it vanishes completely.

Night storage heatings

These devices are supplied with energy according to schedule or if there is any needed output during low rate periods. They are switched off during the remaining time.

The load depends essentially on the outside temperature. It is noticeable how many heatings are switched on (this is limited by the installed power) and how long they are charged.

Peak load aggregates and emergency power aggregates

These aggregates are switched on/off as required. In some cases these aggregates are controllable. The number of uses should be limited because the start of these aggregates coupled with additional costs on wear. In addition these aggregates should run for a minimum time in order to avoid thermal damages.

Combined heat and power units (CHPs)

These aggregates were primarily built to generate heat and are controlled by the heat demand during their operation (heat priority).

Some aggregates can be directly used to generate electric power (electric power demand). In general this operational mode is inefficient if the generated heat is not used at the same time. Therefore the use is only beneficial if the heat demand is corresponding or there is a possibility to store the heat.

The load reduction with regard to the take over point depends on the nominal size and for controlled or heat demand controlled aggregates from their working point.

It is quiet common to combine aggregates to groups. According to the heat demand, a certain quantity from the group is used. The maximum power lowering in the electrical power area is given by the number an nominal power of the used aggregates.

Lowering the voltage

In the electrical power area it is possible to lower the voltage in some grids. In order to achieve this, the transformers to the medium voltage level are switched to a lower level.

The voltage-dependence of the devices (ohmic load) causes another load demand provided that the voltage or output is not adjusted by subordinated controls.

The load reduction is dependent on the grid load, on the possible lowering of the voltage (minimum voltages must be adhered to) and on the composition of the devices.


Options in order to influence the output in the gas area

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Principal thoughts -> Options in order to influence the output in the gas area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Options | Description
Directly switchable devices | Devices which can be switched off briefly without interrupting any production processes are part of this group.
Furnaces or combined heat and power unit | These can be switched to another fuel (e.g. from natural gas to oil) according to their design.
Gas storage | These are available in different sizes depending on the company. The piping can also be used as a storage if its volume is appropriate and its geographical extension and the operation mode are suitable. Natural gas can be taken from the storage in order to compensate peaks.


Power consumption characteristics of devices

Manuale -> Energy Management System (EMS) -> Functionality of the whole system -> Principal thoughts -> Power consumption characteristics of devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to reconstruct the actual needed output, models must be used which represent the power consumption of the switched off components. These models are allocated to different classes.

Type | Description
Constant output | When switched on, an aggregate (pump, furnace) runs with a previously defined power consumption. Accordingly the output is reduced by the amount of the power consumption when the device is switched off. In this case it is enough to indicate the nominal power as a constant.
Directly temperature-dependent | The temperature dependence of the devices is directly dependent of weather effects and rises with thermal output approximately proportional to the negative gradient of the outdoor temperature. With respect to cooling capacity the behavior inverses itself.
Loading period model | At that the temperature makes itself felt with the size of the switch-on output and the length of the following loading period until the output drops when all heat stores are full.
Dependence on the switch-off time | At that several devices - because of the temporary cool down or warm up - are switched on dependent on the previous switch-off time. After a short period of time they switch themselves off again.
Dependent on the production process | In the industry sector behavior can occur - caused by production processes - which are subject to no behavior patterns or dependencies. These can only be determined by the production schedules.


Method of the EMS

Manuale -> Energy Management System (EMS) -> Method of the EMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The EMS for electrical energy (electric current) is based on a time line analysis. At that the measured output progress is analyzed and extrapolated to the future. The forecast horizon of the EMS corresponds to the remaining time of the measuring period.


Input values

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Input values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

As input value the EMS expects a value from a counter or a calculated value which is supplied by the drivers or the result of the calculation of a mathematical formula in zenon.

Attention: It must be made sure that the value is supplied exactly one time in the update interval. Values must not be absent or be there twice.

The dimension: MW, kW , kWh or m3

The system is designed on the basis of kW and hour. Therefore all power and energy amounts which must be entered in parameterization masks refer to these dimension. Internally the EMS functions calculate without the dimensions. Thus it does not really matter in what dimensions the values are delivered and interpreted as long as they refer to the same basis. The base unit can be either kW or MW.

In the natural gas area it is also possible to calculate with standard m3. Combarability of the cubicmeters must be granted. This is only possible when using the standard cubic meter. The conversion of cubic meters in amount of energy and its timely connection is not necessary.

Info Informazioni

Because the EMS is a component which can cause high costs if it fails, it is very important the the input values are secured. It is recommended that values for this module are secured by using sensible alternate values or an alternate value strategy.


The model for the short term prognosis

Manuale -> Energy Management System (EMS) -> Method of the EMS -> The model for the short term prognosis

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For the projection of the current power progress it is necessary to design a mathematical model of the power progress. By extrapolation of the power progress of this model over the remaining time of the billing period, the expected power value at the end of the period is estimated.

Power trend

At the end of the period T the power P prog (T) is to calculate. In order to calculate the current power trend a linear function is used which is extrapolated to the end of the period.

P prog (T) = P const (t) + P trend (t) * ( T - t )

The mathematical polygon factors p0, p1 are named after their physical meaning in order to make it easier to understand.

Factor | Description
P prog | prognosticated power value
P const | Power constant (value of the last values)
P trend | Power trend (linear ascent(descent)
D | Point in time of the end of the measuring period
t | current time

Energy trend

Deducted from this the energy trend up to the end of the period E(T) can be calculated with the function

E prog (T) =P aver (t) * t + P const (t) * (T - t) + ½ * P trend (t) * (T - t)

Factor | Description
E prog | prognosticated energy value
P aver | average power value

The first addend describes the determined energy up to the time t. The energy can be either determined by the average power value as described in the formula or is is given as a direct calculated energy value E(t).

The second addend continues the present constant power to the end of the period and calculates the constant energy amount from that.

The third addend describes the additional influence of the trend.

Concerning the energy calculation for the actual billing a value is necessary which is set back exactly at the beginning of the measuring period. Therefore it is not possible to use externally filtered values.

From the formula mentioned above the average value at the end of the period is determinable.

P prog aver (T) = E prog (T) / T

Parameters | Description
P prog aver | prognosticated average power value


Calculation of the correction power

Manuale -> Energy Management System (EMS) -> Method of the EMS -> The model for the short term prognosis -> Calculation of the correction power

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

During the measuring period the average power

P limit = agreed limit

can be obtained. Over the measuring period T this power equals

E limit = P limit * T

.

By comparing this power with the expected energy E prog (T) at the end of the period, the de- and exceedance of the agreed limit

E corr = E prog (T) - E limit

can be assessed. The de-/ or exceedance can be balanced by carrying out the corresponding switchings.

Minding that at time t only T-t balance time is available. Therewith a large correction power

P corr (t) = E corr / (T-t)

is necessary.


Actual value and real value forecast

Manuale -> Energy Management System (EMS) -> Method of the EMS -> The model for the short term prognosis -> Actual value and real value forecast

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The forecast is carried out for several trends in the EMS.

  • The first trend considers the power consumption. This trend calculates the ascent of the the power requirement as actual value forecast.
  • A second trend factor considers the switchings which have taken place in the past.
  • A third trend factor calculates the influence of the switchings which will take place in the future.

The trend functions are laid on top of each other and result in the real value forecast. It describes the actual power consumption to the end of the billing period which is to be expected.


Lowering the supply limit

Manuale -> Energy Management System (EMS) -> Method of the EMS -> The model for the short term prognosis -> Lowering the supply limit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

As the load trend can never be exactly predicted and as there are usually deviations of the switchable loads, it is necessary to go slightly below the actual supply set value for security reasons.

This is why there is a percentaged Safety distance [%] for the supply limit during parameterization, which must be underrun before connections are triggered.

Interno ID: Lowering the supply limit

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Interno ID: Lowering the supply limit

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Lowering the supply limit

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Around this limit a hysteresis can be built with the help of Attiva isteresi [%] and Disabilita isteresi [%] . In doing so the Attiva isteresi [%] eliminates a part of the Safety distance [%].

attenzione Attenzione

Take care that the Attiva isteresi [%] is in any case smaller than the Safety distance [%]. Otherwise the system reacts too late if the agreed limit is exceeded


Operating principle of the obtaining rule

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Operating principle of the obtaining rule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Closed Loop operation

Normally the obtaining rule is applied in the Closed Loop operation. There switch on and switch off times are calculated in accordance with the results of the optimization part. The switching is triggered directly by the corresponding switching commands.

Info Informazioni

In the EMS module the immediate switching points do not have to be used at the devices. You can decide whether you want to make direct switching possible or whether switching must be cleared by the user first.

attenzione Attenzione

The unchecked use of the closed loop operation necessitates an intensive pilot stage. At that all switchings which are then done by the control must be checked by the user. This pilot stage must be adjusted to the size and complexity of the system. It is possible that the pilot stage lasts up to one year.


Output determination for the devices

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Operating principle of the obtaining rule -> Output determination for the devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The output determination for the devices is especially important with regard to the assessment of the effect caused by switchings. The problem is that the output of the switched off devices cannot be measured directly and must sometimes be estimated.

In the system two mechanisms are implemented in order to determine the output

  • Fixed value by parameterization

    The value (e.g. the nominal power) is considered by the optimization as fixed and is always available.

  • Measuring the current value.

    The value is measured and zenon describes this value with the help of a variable in the devices.

The initial value for the output of the device is determined with a polling of the variable value during the beginning of the optimization. In order to compensate errors due to fluctuations, the optimization calculates a gliding average value using the consecutively arriving measurements.

Info Informazioni

If a component is switched off when the optimization starts, its output is presumed as zero. Thus the SCADA function cannot determine a valid output value as prerequisite for the use of the component. The component must be switch on by hand once.

attenzione Attenzione

As long as not at least one value has arrived, the output value of the component is not known and cannot be used for the optimization.


Primary factors

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Operating principle of the obtaining rule -> Output determination for the devices -> Primary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The amount of the energy

In general the device selection is determined by the amount of energy which can be switched on or off.

If the requested amount of energy cannot be reached exactly, it is treated as a minimum value at a switch-off request and a maximum value at a switch-on request. At that you are on the save side regarding the adherence of the datum line.

Info Informazioni

During the Runtime the amount of energy can be adjusted dynamically with the help of a variable.

Availability

The availability controls if the device is usable in general. The availability can be set manually and is always set back when the component can not be used because of operational reasons (e.g. at overhauls) or when the optimization should not use it.

Conditions which arise during the process can also determine the availability of the component and control its use by the optimization.

Info Info

In the Runtime the availability can be adjusted dynamically with the help of a variable. For example time tables with respect to the availability can be implemented with the help of a scheduler or the Production & Facility Scheduler.


Secondary factors

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Operating principle of the obtaining rule -> Output determination for the devices -> Secondary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lock times and release times of the devices

With the help of the lock times you can control during which times the components are not available for the optimization. The times which are not designated as lock times represent the release times.

attenzione Attenzione

During the lock times the components are not influenced by the optimization - or only in the released direction. Thus the components remain in the state they had reached at the end of the release time.

Minimum and maximum switching times

You can specify the minimum and maximum time for the single switch states (on/off) for each used device and generator. The time indicates what time period must have elapse at least in order to trigger a switching in the opposite direction.

This parameter is important for aggregates because in order to avoid thermal damages and damages caused by soot they must not be switched off right after they were switched on. Thus for example a certain amount of time must have passed after the heating groups had been activated before they switch on.

Switching rates

If devices and generators can only be switched a limited number of times in a certain time period, the components are no longer switched when this number is exceeded. Beside the number of switchings a time period must also be defined in order to carry out the parameterization.

Esempio Esempio

Maximum 25 switchings in 12 hours

Switching priorities

The switching of the components is planned in accordance with a priority schedule. At that switch-on and switch-off priorities are listed separately. The user can determine the priorities in accordance with the operation requirements. The component with the highest priority (highest numerical value) is switched first.

If the requirement is to switch the components in a sorted order by switching off the device last which was switch on first, a number pattern must be applied to all components: ascending for first switch-on and descending for last switch-off.

Info Informazioni

If several devices have the same priority in one plant, the EMS automatically ensures that on average all devices of the same level are switched equally often.


Switching process

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Operating principle of the obtaining rule -> Switching process

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The term switch-off request on the part of the optimization always refers to the reaction of the device which decreases the needed output and therewith the obtained output because it is switched-off. Therefore the request for the switch-off can be fulfilled by switching on an aggregate.

Processes during a switching

Delay time for the switch-on (switch-on dead time)

Equals the time period from activating the switching order until the nominal power is reached.

This time - dependent on the aggregate - can be quite long; e.g starting up the aggregate und synchronization, rearwards controlled heating etc.

Delay time for the switch-off (switch-off dead time)

Time period from activating the switching order until the output is zero. You must add the time of the activation of the switching order to the time when the total output is zero.

Forewarn time for the switching-on and the switching-off (length of forewarn time)

The switching times are planned to a second in order to exactly control the amount of energy. In order to give the user the opportunity to adhere to the times in the open-loop operation a certain lead time to carry out the switching is necessary. This is defiend by Duration pre-warn time. Hereby the user receives information about switchings which are planned before they are actually carried out.

Interno ID: Switching process

Duration pre-warn time

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Interno ID: Switching process

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

As the EMS assumes that the switchings are carried out, the suggested switchings should be carried out in the corresponding time in respect to the exactness of the forecast.

Tactic of the switching schedule

In general the switching selection happens in a away that as few switchings as possible are carried out. This calms the grid operation and keeps up the availability of the devices whose use are limited by a maximum of switchings. In addition conflicts are minimized which can occur at the command output of the switchings.

The use of components with a much higher output than that is used for the correction is possible by a specific time control. The components are used for such a short time that the compensate the needed output.

Suppressed switchings at the beginning of a measuring period

At the beginning of a measuring period it is possible that larger switchings are carried out or large deviations to the actual output average value are set in order to compensate large amounts of energy at the end of the period. That is way it is necessary at the beginning of the period to give the system the opportunity to adjust itself to the new circumstances.

That is why a Down time begin tariff interval can be engineered in the system. During this time the optimization doe not carry out any switchings.

Interno ID: Switching process

Down time begin tariff interval

Tempo in hh:mm:ss all'inizio di un intervallo di calcolo. In questo intervallo di tempo non vengono effettuate delle azioni di commutazione mediante l'ottimizzazione, visto che i risultati della prognosi sono troppo imprecisi.

Default: 00:00:00

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

If for a long time no response is received for a switch command which was issued by the EMS (on the response variable), the EMS assumes that the action failed und tries to carry out another switching (on the next available component). Therefore you must always ensure that the correct response about the success of a switchng operation is transferred to the EMS.


Overlapping of schedule inputs

Manuale -> Energy Management System (EMS) -> Method of the EMS -> Overlapping of schedule inputs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The switching of aggregates and devices according to fixed times with the help of the Scheduler or the Production & Facility Scheduler is possible with several applications. As there is not explicit link between these modules and the short term optimization, these switchings are not monitored in regard of the output trend. They are also not displayed in the trend of the obtained output. They are interfering in the short time optimization with regard to its result.

In order that these interferences do not have radical effects, external switchings should be engineered in a way that they take place at period change. If this is not possible, they should be scheduled right after a period change so that the interfering influence on the control can still be compensated. These switchings should be finished within Down time begin tariff interval and the influence of the switching on the input value should be present.

Interno ID: Überlagerung von Fahrplaneingaben

Down time begin tariff interval

Tempo in hh:mm:ss all'inizio di un intervallo di calcolo. In questo intervallo di tempo non vengono effettuate delle azioni di commutazione mediante l'ottimizzazione, visto che i risultati della prognosi sono troppo imprecisi.

Default: 00:00:00

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Multi-level combined heat and power plants (CHPs)

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Multi-level CHPs can be regarded as one component. It is possible to describe CHPs with 2 to n levels.

The CHPs are controlled by a set value. Additionally different output levels can be defined which this set value can take on. The actual output of the CHP is registered by a measurement (variable) and sent to the EMS.

attenzione Attenzione

A CHP is only available when it has reached its nominal power. The availability flag is set accordingly by the engineering. The EMS cannot switch off the CHP but only switch it to its nominal power.


Set value processing at CHPs

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Set value processing at CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The number of values which the set value can become equals the number of the defined levels. The value which the set value can become always equals exactly one of the defined values for the levels. The EMS does not allocate another number to the set value.

The initialization is carried out with the currently measured output. If this value does not equal a defined level, the next smaller level is allocated. The CHP is treated as unavailable as long as the measured output does not match a level. If the measured output is disturbed, the CHP is not available and the set value is initialized as recently as a valid measured value arrives.

As a measured output does not have to equal a set value exactly, a hysteresis is defined around the set value. A level counts as reached or set as soon as the current output value is within the hysteresis of the given set value. The hysteresis can be defined for each CHP individually.

The defined levels must not be skipped when allocating the set value. The EMS appoints the set value only to the next higher or lower level.

A set value input is only carried out if the CHP shows an explicit level (considering the hysteresis) at that time. Otherwise the CHP is not available because the measured value does not equal a level.


Planned switchings for CHPs

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Planned switchings for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When planning the set value inputs for a CHP, the conditions for the set value inputs must be taken into consideration. If several levels of a CHP are necessary in order to cover the output, keep in mind that it is only possible to switch from one level to the next level when executing a switching schedule. At that the set value inputs for each level must be in accordance with the delay times for the switch-on and switch-off of each level.

attenzione Attenzione

You must consider that the forewarning is only given at a defined level setting. Thus you must regard the length of the forewarning time for the individual levels when creating the switching schedule.


Priorities of CHPs

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Priorities of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A CHP has a fixed switch-on and switch-off priority. The values can be controlled by variables. Thus priorities can be controlled flexible. The takeover of a new priority takes place at the next rate interval change.

The priorities are not set for each level individually but are valid for the whole CHP.

If a least two CHPs have the same priority, the rolling priority procedure is used. A more important condition for CHPs with same priority is that they are set to the same level if possible or that they differentiate by one level at the most. The prerequisite for this is that both the switch-on priority and the switch-off priority of these CHPs is the same.

The internal reference counter for the number of switchings is incremented when the CHP is switched on. This is exactly the case when the current output passes over from one level to the next higher level. At devices using electrical current the reference counter is incremented when the component is switched off. Thus within one priority level the switching between two CHPs is compared to the switch-on and switch-off of a device.


Time-dependent restrictions for CHPs

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

CHPs need special care with regard to their time behavior. The EMS must consider special requirements at a level switch and at delay times while the CHP are running.


Running time according to level switching

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Running time according to level switching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The minimum and maximum running time of CHPs must be set for each level. Instead of four times for a component (minimum switch-on time, minimum switch-off time, maximum switch-on time and maximum switch-off time) there are only two times - minimum and maximum running time per level - in order to describe a CHP with levels.

The minimum running time (switch-on time) of a level indicates how long the CHP has to run at the least on this level. After a level is reached, the optimization must wait at least this amount of time before a new set value input can be made for the next lower level.

The maximum running time of a level indicates how long a CHP is allowed to run on this level at the most. With the exception of the lowest level (nominal power), the CHP is switched to the next lower level after this time expires. At that a level counts as active even if the CHP actually runs on a higher level. The maximum running time of the individual levels must be attuned to other restrictions with regard to minimum running time and forewarning. Thus a timely switch to a lower level is possible. The optimization must also prevent set value inputs to a higher level when the maximum running time cannot be adhered to e.g. because of the minimum running time of the higher level.

Info Informazioni

Manual switching can cause violations of the defined restrictions. These are intercepted by the EMS.

For the lowest level (nominal level) the maximum running time has a different meaning than for the other levels. The maximum running time of the lowest level indicates how long a CHP is allowed to run on this level alone at the most. After that the CHP must be switched to the next higher level.

Example for the parameterization of the individual levels:

Level | 0 | 1 | 2 | 3 | 4
Output | 100 | 200 | 300 | 400 | 500
minimum switch-on time (in seconds) | -- | 60 | 60 | 60 | 60
Forewarn time (in seconds) | -- | 210 | 0 | 0 | 0
Delay time for switch-on (in seconds) | -- | 30 | 30 | 30 | 30
Delay time for switch-off (in seconds) | -- | 30 | 30 | 30 | 30
Minimum value for the maximum switch-on time (in seconds) | 210 | 240 | 180 | 120 | 60

The times which must be entered in the parameterization for the switch-on and switch-off always refer to the level for which they are entered. This means that the switch-off time which is parameterized for one level is considered if a "switching" is carried out from this level to the next lower level. The switch-on time is considered if a "switching" is carried out from a lower level to this level.

As the lowest level represents the CHP running with nominal power, no information for minimal running time, forewarn time, delay time for switch-on and delay time for switch-off is necessary.

The minimal allowed values for the maximum switch-on times of each level are as follows:

  • For the first level:

    Forewarn time of the next higher level

  • For the last level:

    maximum/minimum switch-on time, forewarn time of the last level

  • For all other levels:

    maximum/minimum switch-on time, forewarn time of next higher level

    + delay time for switch-on for the next higher level

    + minimum value for the maximum switch-on time of the next higher level

    + forewarn time of the next higher level

    + delay time for switch-off for the next higher level

If for one CHP the maximum switch-on time for one level is below the calculated minimum value for the maximum switch-on time, the CHP is treated as not available and a corresponding availability identification is set for the readiness.


Expiration of the delay time

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Expiration of the delay time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A set value remains at a certain level until that level is reached or until the defined delay time has passed. In case the delay time expires, the set value is re-initialized according to the currently measured performance. This requires determining the level of the current performance. The following cases can apply:

  • The current performance value matches the old level:

    The set value did not have any effect and is therefore reset to the old value.

  • The current value does not match any level:

    There can be a check whether the current performance has approached the new set value.
    In that case, the configured set value can be kept; otherwise, it must be reinitalized.

  • The current value matches another level:

    The performance of the CHP has changed in contrast to the set value input. This corresponds to a manual switch despite availability for the EMS. See Manual switch for further steps.

Switching plans to the next levels must be revised or exchanged if the previously configured set value of a switching action for a CHP was not reached. For any further switching actions, different components will be preferred.


Manual operation of CHPs

Manuale -> Energy Management System (EMS) -> Multi-level combined heat and power plants (CHPs) -> Manual operation of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If a measured value of the current output without set point input is outside of the level set by the EMS, this component is accepted as not available because it is obvious that the EMS is not controlling it at the time.

If a measured value of the current output re-enters the hysteresis area of a defined level, the difference to the set value is registered and the difference at the level setting is assumed to be manual operation. The set value is set to the newly identified level.

A recognized manual operation is transmitted to the forecast so that it can be considered in the trend calculation.


Parameterization of the EMS

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The engineering of the EMS is carried out via a hierarchic tree structure. There corresponding sub-objects are linked to individual objects depending on their type. Sub-objects are added by selecting the corresponding menu item in the context menu of the selected node.

All object have property Nome and Identificazione. The engineering of the individual objects is carried out via the property window.

Interno ID: Parameterization of the EMS

Identificazione

Indicazione opzionale di un nome più lungo oppure di una descrizione dettagliata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parameterization of the EMS

Nome

Una denominazione univoca per l'identificazione di apparecchiature, zone ed impianti in EMS:

Attenzione: i nomi dovrebbero essere univoci per tutte le reti/zone di approvvigionamento in EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties which are available in the property window are described in the help window after you click on them.

Info Informazioni

All mentioned or shown properties are only visible if the EMS is licensed. The licensed EMS module is a separate element in the project tree. The settings in the EMS can be made with the help of this entry.

attenzione Attenzione

Within the EMS all existing units (grids, device groups, generators, devices etc.) should have a distinct name in order to ensure the perfect function of the forecast and the optimization.

All objects have the following menu entries:

Menu/Entry | Description
Cut | Cuts the selected object(s) and copies it/them to the clipboard.
Copy | Copies selected object(s) to the clipboard.
Paste | Pastes object(s) from the clipboard. Starting from the selected node, only objects from the same level or the level directly beneath it can be pasted.
Delete | Deletes selected object(s) including all sub-objects.
Export XML all ... | Exports the whole project to an XML file.
Export selected XML ... | Exports selected objects including sub-objects to an XML file.
Import XML ... | Imports objects from an XML file. Only objects (and their exported sub-objects) can be imported which are of the level directly beneath the selected node.
Info Informazioni
All values of variables which are used in the EMS to state or adjust time values during the Runtime (e.g. switch-on time variable) are interpreted as seconds. Therefore a numerical value of 300 corresponds to a time period of 5 minutes (=300 seconds).

In order to ensure the correct functionality of the EMS, you must create at least the following variables for a supply area:

  • Utlizzatore attuale

    Interno ID: Parameterization of the EMS

    Utlizzatore attuale

    Variabile che contiene il valore attuale del consumo di area. Il valore deve rapprentare la differenza dei contatori per unita di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Supply limit

    Interno ID: Parameterization of the EMS

    Supply limit

    Variabile che contiene il limite attuale impostato della prestazione acquisita. Se il valore cambia durante il Runtime, anche il limite della prestazione acquisita per un periodo di calcolo viene modificato. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Start value of forecast

    Interno ID: Parameterization of the EMS

    Start value of forecast

    Variabile che contiene il valore iniziale della prognosi all'inizio del periodo previsto per la prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • First switching value

    Interno ID: Parameterization of the EMS

    First switching value

    Variabile che contiene il valore medio di acquisizione calcolato sulla base del quale viene eseguita la prossima azione di commutazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Forecast area:

    Interno ID: Parameterization of the EMS

    Forecast area:

    Variabile che contiene il possibile errore di prognosi del valore finale della prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Final value of forecast

    Interno ID: Parameterization of the EMS

    Final value of forecast

    Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Last switching value

    Interno ID: Parameterization of the EMS

    Last switching value

    Variabile che contiene la somma dei valori medi di acquisizione per i queli sono pianificate delle azioni di commutazione ancora nell'ambito del periodo attuale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Gross actual deviation

    Interno ID: Parameterization of the EMS

    Gross actual deviation

    Variabile per lo scostamento medio della prognosi di valore reale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore reale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Net actual deviation

    Interno ID: Parameterization of the EMS

    Net actual deviation

    Variabile per lo scostamento medio della prognosi di valore attuale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore attuale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

In the context menu for a supply area you can find the menu item "Create variable". When selected, it automatically creates variables for the properties listed above and links the variables with the properties.

You must at least create the following variables for a generator/device in order to ensure the functionality of the EMS.

  • Stato di Switch for the generator

    Interno ID: Parameterization of the EMS

    Stato di Switch

    Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Stato di Switch for the device

    Interno ID: Parameterization of the EMS

    Stato di Switch

    Variabile alla quale deve essere inviato lo stato attuale di commutazione (Off o On). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Availability flag

    Interno ID: Parameterization of the EMS

    Availability flag

    Variabile che indica se il produttore è disponibile per EMS e, perciò, se può essere commutato. Se esiste la disponibilità, il produttore rimane nel suo ultimo stato di commutazione valido. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Minimum requirements

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Minimum requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Supply area

For the correct functionality of the EMS, you must create at least the following variables for a supply area:

  • Utlizzatore attuale

    Interno ID: Minimum requirements

    Utlizzatore attuale

    Variabile che contiene il valore attuale del consumo di area. Il valore deve rapprentare la differenza dei contatori per unita di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Supply limit

    Interno ID: Minimum requirements

    Supply limit

    Variabile che contiene il limite attuale impostato della prestazione acquisita. Se il valore cambia durante il Runtime, anche il limite della prestazione acquisita per un periodo di calcolo viene modificato. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Start value of forecast

    Interno ID: Minimum requirements

    Start value of forecast

    Variabile che contiene il valore iniziale della prognosi all'inizio del periodo previsto per la prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • First switching value

    Interno ID: Minimum requirements

    First switching value

    Variabile che contiene il valore medio di acquisizione calcolato sulla base del quale viene eseguita la prossima azione di commutazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Forecast area:

    Interno ID: Minimum requirements

    Forecast area:

    Variabile che contiene il possibile errore di prognosi del valore finale della prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Final value of forecast

    Interno ID: Minimum requirements

    Final value of forecast

    Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Last switching value

    Interno ID: Minimum requirements

    Last switching value

    Variabile che contiene la somma dei valori medi di acquisizione per i queli sono pianificate delle azioni di commutazione ancora nell'ambito del periodo attuale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Gross actual deviation

    Interno ID: Minimum requirements

    Gross actual deviation

    Variabile per lo scostamento medio della prognosi di valore reale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore reale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Net actual deviation

    Interno ID: Minimum requirements

    Net actual deviation

    Variabile per lo scostamento medio della prognosi di valore attuale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore attuale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Info

In the context menu for a supply area you can find the menu item Create variable. It automatically creates variables for the properties listed above and links the variables with the properties. Properties Utlizzatore attuale and Supply limit are an exception. You must create them manually.

Generator/device

For the correct functionality of the EMS, you must create at least the following variables for a generator/device:

  • for the device
    • Stato di Switch

      Interno ID: Minimum requirements

      Stato di Switch

      Variabile alla quale deve essere inviato lo stato attuale di commutazione (Off o On). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Standby output variable
      or value for property Standby output

      Interno ID: Minimum requirements

      Standby output

      Indicate qui la potenza nominale del produttore.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Minimum requirements

      Standby output variable

      Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso della potenza nominale. In tal modo la potenza nominale fornita attualmente da un produttore puà essere adattata durante il Runtime, ad esempio, nel caso in cui il valore di prestazione viene rilevato mediante un punto di misurazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • for the generator
    • Stato di Switch

      Interno ID: Minimum requirements

      Stato di Switch

      Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Variabile per Potenza Nominale
      or value for property Nominal output

      Interno ID: Minimum requirements

      Nominal output

      Potenza nominale del consumatore in kW.

      Questo valore può essere adattato in modo dinamico tramite assegnazione di una variabile nella proprietà Variabile per Potenza Nominale durante il funzionamento Runtime.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Minimum requirements

      Variabile per Potenza Nominale

      La potenza nominale attualmente ricevuta di un consumatore può essere adattata durante il Runtime mediante l'uso di una variabile, ad esempio se il valore di prestazione viene rilevato grazie ad un punto di misurazione. Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso di Nominal output. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • for the generator and the device
    • Availability flag

      Interno ID: Minimum requirements

      Availability flag

      Variabile che indica se il produttore è disponibile per EMS e, perciò, se può essere commutato. Se esiste la disponibilità, il produttore rimane nel suo ultimo stato di commutazione valido. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


EMS detail view toolbar and context menus

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> EMS detail view toolbar and context menus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Entry | Action
New | Creates a new object, depending on the position in the tree.
Gas grid new | Creates a new gas grid.
Copy | Copies selected element to the clipboard.
Paste | Pastes objects from the clipboard.
Delete | Deletes selected element after a confirmation request.
Export selected XML | Exports all selected elements as an XML file.
Import XML ... | Imports objects from an XML file.
Properties | Opens the property window for the selected element.
Help | Opens the EMS online help.

Context menus grids

Entry | Action
Power grid new | Creates a new power grid.
Gas grid new | Creates a new gas grid.
Paste | Inserts objects of the type Grid.
Export XML all ... | Exports all defined grids to an XML file.
Import XML ... | Imports objects of the type Grid.
Properties | Opens the property window for the selected element.
Help | Opens the EMS online help.

Additional context menus:

Power grids

Natural gas grids


Power grids

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> EMS detail view toolbar and context menus -> Power grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Context menu power grid

Entry | Action
New supply area | Creates a new supply area.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type gas storage.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the EMS module.

Context menu supply area

Entry | Action
Generator new | Creates a new generator in the selected supply area.
Device group new | Creates a new device group in the supply area.
Creating variables | Automatically creates the minimally required variables for the selected supply area and links them with the fitting properties.
Cut | No function at the supply area.
Copy | Copies the currently selected supply area. You can copy more than one supply area at a time using multi-select.
Paste | It is possible to paste objects of the type Supply area.
Delete | Deletes the currently selected supply area. You can delete more than one supply area at a time using multi-select.
Export XML selected... | Exports the currently selected supply area. You can export more than one supply area at a time using multi-select.
Import XML ... | Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the EMS module.

Context menu generator (group)

Entry | Action
Generator new | Creates a new generator for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all ... | Exports all generators of the supply area
Import XML ... | Imports objects of the type Generator.
Help | Opens the online-help for the EMS module.

Context menu generator

Entry | Action
Generator new | Creates a new generator for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all ... | Exports all generators of the supply area
Import XML ... | Imports objects of the type Generator.
Help | Opens the online-help for the EMS module.

Context menu device groups (group)

Entry | Action
Device group new | Creates a new device group.
Paste | Inserts objects of the type Device group.
Export XML all ... | Exports the device group including all defined devices within the group.
Import XML ... | Imports objects of the type Device group.
Help | Opens the online-help for the EMS module.

Context menu device group

Entry | Action
Device new | Creates a new device in the selected device group.
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu device

Entry | Action
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Properties | Opens the properties window.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Natural gas grids

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> EMS detail view toolbar and context menus -> Natural gas grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Context menu natural gas grid

Entry | Action
New supply area | Creates a new supply area.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type gas storage.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the EMS module.

Context menu supply area

Entry | Action
Gas storage new | Creates a new gas storage in the selected supply area.
Liquid gas plant new | Creates a new liquid gas storage in the selected supply area.
Device group new | Creates a new device group in the supply area.
Creating variables | Automatically creates the minimally required variables for the selected supply area and links them with the fitting properties.
Copy | Copies the currently selected supply area. You can copy more than one supply area at a time using multi-select.
Paste | It is possible to paste objects of the type Supply area.
Delete | Deletes the currently selected supply area. You can delete more than one supply area at a time using multi-select.
Export XML selected... | Exports the currently selected supply area. You can export more than one supply area at a time using multi-select.
Import XML ... | Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the EMS module.

Context menu gas storage

Entry | Action
Gas storage new | Creates a new gas storage for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all ... | Exports all generators of the supply area
Import XML ... | Imports objects of the type Generator.
Help | Opens the online-help for the EMS module.

Context menu liquid gas plant

Entry | Action
Liquid gas plant new | Creates a new liquid gas plant for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all ... | Exports all generators of the supply area
Import XML ... | Imports objects of the type Generator.
Help | Opens the online-help for the EMS module.

Context menu device groups

Entry | Action
Device group new | Creates a new device group.
Paste | Inserts objects of the type Device group.
Export XML all ... | Exports the device group including all defined devices within the group.
Import XML ... | Imports objects of the type Device group.
Help | Opens the online-help for the EMS module.

Context menu device group

Entry | Action
Gas storage new | Creates a new gas storage in the selected supply area.
Liquid gas plant new | Creates a new liquid gas storage in the selected supply area.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu gas storage (group)

Entry | Action
Gas storage new | Creates a new gas storage.
Paste | Inserts objects of the type Device group, Device.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu gas storage

Entry | Action
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type gas storage.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Properties | Opens the properties window.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu liquid gas plants (group)

Entry | Action
Liquid gas plant new | Creates a liquid gas plant.
Paste | Inserts objects of the type Device group, Device.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu liquid gas plant

Menu/Entry | Description
Cut | No function at the device group
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Liquid gas plant.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Properties | Opens the properties window.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Context menu device

Entry | Action
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Properties | Opens the properties window.
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Data for the EMS

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Data for the EMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The EMS needs a historic data basis in order to calculate the trend and to perform the optimization. If no historic data are available for the data points, the EMS cannot start the calculation. Therefore no calculated value is displayed for the Final value of forecast.

Interno ID: Data for the EMS

Final value of forecast

Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

At the moment the EMS has no interface to the Historian. This is not necessary for the short term optimization. For this the historic data which were recorded via option Salvataggio dati su disco fisso are enough.

Interno ID: Data for the EMS

Salvataggio dati su disco fisso

Impostazioni per la registrazione dei valori della variabile sul disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The following settings depending on the period length are recommended for the recording of the HD data.

Number of past values

As guideline use the following rule-of-thumb:

The Historic data area which is provided by the Salvataggio dati su disco fisso has to be at least 1.5 times the size of the corresponding Forecast horizon. If not enough data are available, the calculation of the optimization is not started.

Interno ID: Data for the EMS

Forecast horizon

Durata di un periodo di calcolo in hh:mm:ss. La fattura trend e l'ottimizzazione usano questo tempo come orizzonte di calcolo. Di regola vengono usati come valori 15, 30 o 60 minuti.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

At the beginning of the Forecast horizon the EMS needs a Utlizzatore attuale for the displayed supply area. Thereby the new value must be transferred to the EMS during the next but one Ciclo di ottimizzazione, i.e. if the optimization cycle is 30 seconds, the value must be transferred in the period between 30 an 60 seconds.

Interno ID: Data for the EMS

Ciclo di ottimizzazione

Ciclo in hh:mm:ss nell'ambito del quale calcola l'ottimizzazione a breve termine. La visualizzazione dell'immagine viene attualizzata dopo ogni ottimizzazione, e perlomeno una volta per ciclo.

Default: 00:00:30

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Data for the EMS

Utlizzatore attuale

Variabile che contiene il valore attuale del consumo di area. Il valore deve rapprentare la differenza dei contatori per unita di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

If the EMS does not receive a value in this period, the new initialization of the EMS can be carried out during the next billing period at the earliest.


Grids

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The collective node contains all projects which have been created in the grid but does not offer any setting possibilities itself.

Options:

Menu/Entry | Description
Power grid new | Creates a new power grid.
Gas grid new | Creates a new gas grid.
Paste | Inserts objects of the type Grid.
Export XML all ... | Exports all defined grids to an XML file.
Import XML ... | Imports objects of the type Grid.
Help | Opens the EMS online help.

You must place a distinct Nome with each created grid. In order to ease identification you can place a free Identificazione with each grid as an option. This is not mandatory. Gas grids contain a few additional Settings.

Interno ID: Netze

Identificazione

Indicazione opzionale di un nome più lungo oppure di una descrizione dettagliata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Netze

Nome

Una denominazione univoca per l'identificazione di apparecchiature, zone ed impianti in EMS:

Attenzione: i nomi dovrebbero essere univoci per tutte le reti/zone di approvvigionamento in EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

For each project only 1 power grid and 1 gas grid can be created resp. administrated.


Natural gas grids

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Grids -> Natural gas grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For natural gas grids additional configuration possibilities are available. With their help you can configure grid-wide parameters such as Temperatura or Characteristic days and total results such as Adjusted consumption or Forecast for the whole grid.

Interno ID: Natural gas grids

Forecast

Variabile a cui viene inviato il consumo pronosticato del gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Natural gas grids

Adjusted consumption

Variabile a cui viene inviato il consumo di gruppo purgato dei valori di spegnimento di consumatore e di usi di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Natural gas grids

Characteristic days

Variabile per la identificazione giorno (giorno feriale o festivo). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Natural gas grids

Temperatura

Variabile per il valore della temperatura. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties which are available in the property window of the natural gas grid are described in the help window after you click on them.


Supply area

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Supply area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The supply area is the level of the object hierarchy which is used as a basis for the forecast and the optimization.

Info Informazioni

In order to start the EMS for a particular supply area, a function of the type "Start EMS" must be executed which has this supply area as parameter.

Settings for the supply area of a power grid

For supply areas the following settings are available:

  • Valore di ingresso: Defines variables for the supply of the current values and the supply limits.

    Interno ID: Supply area

    Valore di ingresso

    Impostazioni per valori attuali e limiti di riferimento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Valori calcolati: Settings in order to adjust parameters for the forecast and the optimization with the help of variables during the Runtime.

    Interno ID: Supply area

    Valori calcolati

    Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Parametri: Important settings for the optimization of the supply area with direct influence to the switchings of the EMS.

    Interno ID: Supply area

    Parametri

    Queste impostazioni influiscono in modo determinante nell'ottimizzazione della zona di alimentazione scelta. Le modifiche di questi parametri hanno un influsso diretto sulle operazioni di commutazione che vengono effettuate automaticamente grazie a EMS.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Infomazione di stato: Setting which variable holds the information about the availability of the EMS screen.

    Interno ID: Supply area

    Infomazione di stato

    Definisce la trasmissione di informazioni concernenti lo stato di EMS.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All in the respective groups adjustable properties are described in the help window after you click on them.

Context menu entries

Menu/Entry | Description
Generator new | Creates a new generator in the selected supply area.
Device group new | Creates a new device group in the supply area.
Creating variables | Automatically creates the minimally required variables for the selected supply area and links them with the fitting properties.
Cut | No function at the supply area.
Copy | Copies the currently selected supply area. You can copy more than one supply area at a time using multi-select.
Paste | It is possible to paste objects of the type Supply area.
Delete | Deletes the currently selected supply area. You can delete more than one supply area at a time using multi-select.
Export XML all ... | Exports all supply areas of the selected grid.
Export XML selected... | Exports the currently selected supply area. You can export more than one supply area at a time using multi-select.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Additional parameters for the gas supply areas

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Supply area -> Additional parameters for the gas supply areas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The supply area is the level of the object hierarchy which is used as a basis for the forecast and the optimization.

Info Info

In order to start the EMS for a particular supply area, a function of the type "Start EMS" must be executed which has this supply area as parameter.

Supply areas for a gas grid have Parametri specifici-GAS. With the help of them e.g. Adjusted consumption, Forecast and Carico ottimale can be defined but also the relation between liquid gas supply and general supply. All adjustable properties are described in the help window after you click on them.

Interno ID: Additional parameters for the gas supply areas

Carico ottimale

Variabile a cui viene inviato il risultato della distribuzione carichi per il gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas supply areas

Forecast

Variabile a cui viene inviato il consumo pronosticato del gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas supply areas

Adjusted consumption

Variabile a cui viene inviato il consumo di gruppo purgato dei valori di spegnimento di consumatore e di usi di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas supply areas

Parametri specifici-GAS

Queste proprietà sono a disposizione solo per reti, zone di approvvigionamento e gruppi di consumatori in reti del gas.

Questi parametri influiscono sulla scelta delle apparecchiature che vengono regolate automaticamente grazie all'ottimizzazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Context menu entries:

Menu/Entry | Description
Gas storage new | Creates a new gas storage in the selected supply area.
Liquid gas plant new | Creates a new liquid gas storage in the selected supply area.


Device group

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Device group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Individual devices are combined in a device group. At that each device group can contain any number of devices.

Context menu entries at node "Device groups".

Menu/Entry | Description
Device group new | Creates a new device group.
Paste | Inserts objects of the type Device group.
Export XML all ... | Exports the device group including all defined devices within the group.
Import XML ... | Imports objects of the type Device group.
Help | Opens the online-help for the EMS module.

Info Informazioni

These settings are identical for device groups in the power grid and in the gas grid.

Context menu entries at the node of a device group:

Menu/Entry | Description
Device new | Creates a new device in the selected device group.
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Additional parameters for the gas device groups

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Device group -> Additional parameters for the gas device groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Individual devices are combined in a device group. At that each device group can contain any number of devices.

Device groups in gas grids have additional settings such as Adjusted consumption or Forecast together with minimum and maximum forecast errors and additionally Carico ottimale, Consumo attuale and Daily energy.

Interno ID: Additional parameters for the gas device groups

Daily energy

Variabile per i consumi dei gruppi del periodo di calcolo del giorno. Funge da variabile merker in archivi futuri. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas device groups

Consumo attuale

Variabile a cui viene inviato lo stato attuale di consumo del gruppo con spegnimento consumatori. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas device groups

Carico ottimale

Variabile a cui viene inviato il risultato della distribuzione carichi per il gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas device groups

Forecast

Variabile a cui viene inviato il consumo pronosticato del gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Additional parameters for the gas device groups

Adjusted consumption

Variabile a cui viene inviato il consumo di gruppo purgato dei valori di spegnimento di consumatore e di usi di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Context menu entries

Menu/Entry | Description
Gas storage new | Creates a new gas storage in the selected supply area.
Liquid gas plant new | Creates a new liquid gas storage in the selected supply area.

attenzione Attenzione

A liquid gas storage can be created using the node "Supply area" no sooner than a gas storage with option Piping storage has been created.

Interno ID: Additional parameters for the gas device groups

Piping storage

- attivo: Questo impianto di immagazzinamento del gas è un contenitore di tubazione.

Per poter creare nella zona di approvvigionamento un impianto di immagazzinamento di gas liquido, deve essere definito un magazzino di tubazione.

Attenzione: Per zona di approvvigionamento può esserne definito solo uno.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Directly creating a liquid gas storage (without creating a gas storage first) is only possible in a device group.


Generator

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Using the node Generator you can create new Generators for the selected supply area using the context menu.

Generators serve to lower the currently obtained power. Basically it is possible to engage each generator or to set it on higher load (Picco). If a generator is engaged, the power currently obtained (Consumo Medio attuale) is immediately lowered.

Interno ID: Generator

Consumo Medio attuale

Variabile di processo con l'attuale valore medio di consumo (risultato dei valori di misurazione rilevati). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Generator

Picco

Indicate qui la prestazione massima desiderata. Il modulo EMS può passare a partire dalla potenza nominale a questo valore per il picco di prestazione. Il valore di riferimento viene ridotto della differenza di prestazione comutata.

Se il produttore dispone solamente di una prestazione commutabile e non c'è quindi una prestazione di base, allora si deve impostare solo la prestazione massima del produttore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Context menu entries at node "Generator".

Menu/Entry | Description
Generator new | Creates a new generator for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all ... | Exports all generators of the supply area
Import XML ... | Imports objects of the type Generator.
Help | Opens the online-help for the EMS module.

Properties

In addition to name and identification, properties can be defined in different groups for the generator:

  • Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.

    Interno ID: Generator

    Capacity/Priority

    Queste proprietà sono a disposizione solo per apparecchiature di reti di distribuzione di energia elettrica. Esse definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione di energia elettrica.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

    Interno ID: Generator

    Tempo di Switch

    EMS può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Switching frequency: Definition of the maximum number of switchings per time unity.

    Interno ID: Generator

    Switching frequency

    Contiene dei parametri per fissare Max. switching frequency per time unit.

    Interno ID: Generator

    per time unit

    Unità di tempo in hh:mm:ss perMax. switching frequency.

    Valore massimo: 23:59:59

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Generator

    Max. switching frequency

    Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Variabile di accensione: Variable for the adaption of important parameters during the Runtime.

    Interno ID: Generator

    Variabile di accensione

    Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Tempi di blocco: Excludes single pieces of equipment of the EMS from the optimization.

    Interno ID: Generator

    Tempi di blocco

    Grazie all'uso di intervalli liberamente definiti, dei singoli apparecchi di EMS possono essere esclusi dall'ottimizzazione. Quegli apparecchi che hanno un tempo di bloccaggio definito non vengono presi in considerazione da EMS in questo intervallo di tempo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Circuit stages: Define switching levels for combined heat and power units.

    Interno ID: Generator

    Circuit stages

    Queste proprietà sono a disposizione solo per apparecchiature di generazione in reti elettriche.

    Gli impianti di cogenerazione differiscono dai produttori standard a causa della presenza di livelli di commutazione predefiniti. Questi impianti possono accettare solo dei valori di prestazione che sono stati definiti come livelli di commutazione. L'EMS può eseguire anche commutazione da un livello a quello superiore o a quello immediatamente inferiore.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties are described in the help window after you click on them.

attenzione Attenzione

The switching priority is regarded by the EMS taking all equipment into account. That means the same number circle is applied for generators and devices. Therefore the priorities for all defined equipment must be considered because it is not distinguished between generators and devices.

Context menu entries for the selected generator:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Switching levels

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Generator -> Switching levels

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The CHPs (combined heat and power units) are a special case within the EMS. This special type of generators can adjust their output in levels. In order to define a CHP, you can define switching levels for a random device in the EMS.

Basically you can define under the node Circuit stages settings for the Variabile setpoint, for the current output and for the Isteresi for each CHP.

Interno ID: Switching levels

Isteresi

L'isteresi definisce l'area consentita nell'ambito della quale il valore atuale può essere ancora assegnato ad uno dei livelli di commutazione. Nel caso in cui un valore di consumo non si trovi all'interno dell'isteresi di uno dei livelli di commutazione progettati, l'impianto di cogenerazione vale per l'EMS come non attivo.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Switching levels

Variabile setpoint

Variabile impostabile globale che commuta l'impianto di cogenerazione. I valori singoli oppure le variabili ai livelli di prestazione servono solamente all'indicazioni della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Switching levels

Circuit stages

Queste proprietà sono a disposizione solo per apparecchiature di generazione in reti elettriche.

Gli impianti di cogenerazione differiscono dai produttori standard a causa della presenza di livelli di commutazione predefiniti. Questi impianti possono accettare solo dei valori di prestazione che sono stati definiti come livelli di commutazione. L'EMS può eseguire anche commutazione da un livello a quello superiore o a quello immediatamente inferiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

For every CHP any number of switching levels can be defined:

Each switching level offers settings for the output, the forewarning of the switching and the switch-on and switch-off. All adjustable properties are described in the help window after you click on them.

attenzione Attenzione

If switching levels are defined for a generator, these settings overwrite the standard parameters of the generator. An according warning is displayed during compiling in the output window. "


Devices

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the EMS devices are the essential components which "use up" energy. By switching devices on and off the EMS can interfere in a regulative way. At that it helps to avoid peak loads.

Context menu entries for the selected device group:

Menu/Entry | Description
Device new | Creates a new device in the currently selected supply area.
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Properties

In addition to name and identification, properties can be defined in different groups for the device:

Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.

Interno ID: Devices

Capacity/Priority

Queste proprietà sono a disposizione solo per apparecchiature di reti di distribuzione di energia elettrica. Esse definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione di energia elettrica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

Interno ID: Devices

Tempo di Switch

EMS può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Switching frequency: Definition of the maximum number of switchings per time unity.

Interno ID: Devices

Switching frequency

Contiene dei parametri per fissare Max. switching frequency per time unit.

Interno ID: Devices

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Devices

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile di accensione: Variable for the adaption of important parameters during the Runtime.

Interno ID: Devices

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tempi di blocco: Excludes single pieces of equipment of the EMS from the optimization.

Interno ID: Devices

Tempi di blocco

Grazie all'uso di intervalli liberamente definiti, dei singoli apparecchi di EMS possono essere esclusi dall'ottimizzazione. Quegli apparecchi che hanno un tempo di bloccaggio definito non vengono presi in considerazione da EMS in questo intervallo di tempo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties are described in the help window after you click on them.

Context menu entries for the selected device:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Additional settings for the gas devices

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Devices -> Additional settings for the gas devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the EMS devices are the essential components which "use up" energy. By switching devices on and off the EMS can interfere in a regulative way. At that it helps to avoid peak loads.

Devices in gas grids have additional settings for output such as Proporzione del gruppo [%], Return [€/kWh]/Priority and information about minimum and maximum temperature. All adjustable properties are described in the help window after you click on them.

Interno ID: Zusätzliche Einstellungen für Gas-Verbraucher

Return [€/kWh]/Priority

Ricavo del consumatore in € per kWh o priorità di commutazione.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000001

Default: 1.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Zusätzliche Einstellungen für Gas-Verbraucher

Proporzione del gruppo [%]

Quota percentuale della prestazione del consumatore nella prestazione complessiva del gruppo di consumatori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Specific elements of the natural gas grid

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Specific elements of the natural gas grid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Hereafter the devices and elements used when working with natural gas grids are described. The settings documented hereafter are not available for electricity grids.


Gas storage

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Specific elements of the natural gas grid -> Gas storage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With the help of a gas storage, it is possible to shape the storage capacity of a natural gas supply area. They can be used in the following situations:

  1. As gas storage in the supply area
  2. As a piping storage a gas storage can be used to display the storage capacity of a geographically expanded piping.
  3. As gas storage in device group.

Context menu entries for the selected gas storage group:

Menu/Entry | Description
Gas storage new | Creates a new gas storage.
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Properties

In addition to name and identification, properties for the gas storage can be defined in different groups:

Tipo/Capacità: Settings for the basic behavior of the devices in the gas grid.

Interno ID: Gas storage

Tipo/Capacità

Queste proprietà sono a disposizione solo per apparecchiature di reti del gas.

Le impostazioni che vengono adottate in questa sede definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione del gas.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile di accensione: Variable for the adaption of important parameters during the Runtime.

Interno ID: Gas storage

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Livello: Here the EMS receives important information about filling level and minimal and maximal value.

Interno ID: Gas storage

Livello

Queste proprietà sono a disposizione solo per apparecchiature di immagazzinamento del gas e impianti di gas liquido integrate in reti del gas.

Gli stati di riempimento rappresentano i parametri più importanti per gli impianti di immagazinamento del gas. Quando il sistema EMS conosce lo stato di riempimento attuale, nonché i valori minimi e massimi, è in grado di riempire l'impianto di immagazzinamento nei momenti di eccedenza, oppure vuotarlo in caso di fabbisogno.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

Interno ID: Gas storage

Tempo di Switch

EMS può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties are described in the help window after you click on them.

Context menu entries for the selected gas storage:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type gas storage.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the currently selected device group. You can not export more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Liquid gas plant

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Specific elements of the natural gas grid -> Liquid gas plant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the EMS liquid gas plant are classical gas storage devices. Basically they are used to equalize peaks. In case of a peak, gas can be taken from the storage.

Context menu entries for the selected gas storage group:

Menu/Entry | Description
Liquid gas plant new | Creates a liquid gas plant.
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.

Properties

In addition to name and identification, properties for the liquid gas plant can be defined in different groups:

Tipo/Capacità: Settings for the basic behavior of the devices in the gas grid.

Interno ID: Liquid gas plant

Tipo/Capacità

Queste proprietà sono a disposizione solo per apparecchiature di reti del gas.

Le impostazioni che vengono adottate in questa sede definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione del gas.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile di accensione: Switching variables: Variable for the adaption of important parameters during the Runtime.

Interno ID: Liquid gas plant

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Livello: Here the EMS receives important information about filling level and minimal and maximal value.

Interno ID: Liquid gas plant

Livello

Queste proprietà sono a disposizione solo per apparecchiature di immagazzinamento del gas e impianti di gas liquido integrate in reti del gas.

Gli stati di riempimento rappresentano i parametri più importanti per gli impianti di immagazinamento del gas. Quando il sistema EMS conosce lo stato di riempimento attuale, nonché i valori minimi e massimi, è in grado di riempire l'impianto di immagazzinamento nei momenti di eccedenza, oppure vuotarlo in caso di fabbisogno.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

Interno ID: Liquid gas plant

Tempo di Switch

EMS può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

All adjustable properties are described in the help window after you click on them.

Context menu entries for the selected liquid gas plant:

Menu/Entry | Description
Cut | No function at the device group
Copy | Copies the currently selected device group. You can not copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Liquid gas plant.
Delete | Deletes the currently selected device group. You can not delete more than one group at a time (no multi-select).
Export XML all ... | Exports all device groups of the selected grid.
Export XML selected... | Exports the selected entries as an XML file.
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the EMS module.


Lock times

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Lock times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For both generators and devices it is possible to define times in which switchings can be carried out only restricted or not at all. Any number of lock times can be defined for each generator/device.

Info Informazioni

In natural gas grids lock times are only available for devices.

Any number of lock times can be defined for each element. You must ensure that the lock times do not overlap. If they do, it is possible that the component cannot be switched by the EMS anymore.

Info Informazioni

The lock time parameters are set in the project and cannot be changed during the Runtime.


Creating a process screen

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Creating a process screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The operating of the EMS modules during the Runtime is done with a screen of the type Energy Management System. This screen must be created in the editor first. (You will find more information on the pre-defined screen types in the chapter Screens / Pre-defined screen types.)

After the screen is opened an empty screen is displayed. You can add control elements via menu Control elements.


Engineering the screen switch function

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Engineering the screen switch function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When creating a screen switch function for a screen of the type Energy Management System the following dialog is displayed:

In the Runtime the EMS screen is opened with the help of a screen switch function. For the screen call-up the following parameter can be set:

Property | Description
Grids | Selection of the grids. After that the available areas are displayed in the selection box Supply area.
Supply areas | The selected supply area is displayed in the Runtime n of the optimization. Only one supply area can be displayed per screen. You have however the possibility to open several screens of the type Energy Management System parallel. At that several supply areas can be displayed parallel.
Current value | This field is only for display. You cannot change the value. The variable of the property Current value of the currently selected supply area is displayed.
Final value forecast | This field is only for display. You cannot change the value. The variable of the property Final value forecast of the currently selected supply area is displayed.
Forecast average | This field is only for display. You cannot change the value. The variable of the property Forecast average of the currently selected supply area is displayed.
Supply limit | This field is only for display. You cannot change the value. The variable of the property Supply limit of the currently selected supply area is displayed.
Scale maximum | Upper limit of the range scale for the display of the characteristic curve in the EMS screen.
Scale minimum | Lower limit of the range scale for the display of the characteristic curve in the EMS screen.
Billing period (min.) | This field is only for display. You cannot change the value. Shows the currently set length of the Billing period for the selected supply area.
Value color and width | Color and line width for the display of the elements for the current average value and for the forecasted average value.
Axis color and width | Color and line width for the display of the chart axes.
Curve color and width | Color and line width for the display of the chart curves (display of the current value and the scheduled switchings).
Font axis | Font which is used for the axis caption and the trend curve.

Switching operation

For the engineering of the switching operation you define the filter settings for the display in the Runtime in tab Column settings for the switching operations preview. You can find details in chapter Column settings for the switching operations preview.


Create function start/stop

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Create function start/stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For each area you must start the optimization separately in the Runtime. For this you use the function Start EMS.
In order to stop started areas, create the function Stop EMS.

Note:These functions are only carried out on the server.

attenzione Attenzione

In the Runtime all started areas recorded by the licensing. Take care of sufficient licensing.

Tip: Stop the optimization of areas if they are not needed in order to use your license in an optimal way.. In order to stop areas regularly e.g. in the night or in certain shifts, you can control functions Start EMS/Stop EMS with the help of the Production and Facility Scheduler.

Start EMS

  • select New Function
  • click on Start EMS in the node applications
  • the dialog for the selection of the areas opens

  • first select the desired grid
  • then select the desired area
  • by clicking OK the function is created

Stop EMS

  • select New Function
  • click on Stop EMS in the node applications
  • the dialog for the selection of the areas opens

  • first select the desired grid
  • then select the desired area
  • by clicking OK the function is created


Engineering switching operations preview

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Engineering switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Planned switching operations can be displayed as a preview in the Runtime.

In order to engineer the switching operations preview in the Runtime:

  1. Link a String variable to the desired EMS supply area with the help of property Accensioni pianificate (group Infomazione di stato). The variable receives a list of all planned switching operations from the EMS.

    Interno ID: Engineering switching operations preview

    Infomazione di stato

    Definisce la trasmissione di informazioni concernenti lo stato di EMS.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Engineering switching operations preview

    Accensioni pianificate

    Permette il collegamento di una variabile stringa che riceve da EMS tutte le azioni di commutazioni. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Tip: A String variable from the internal driver makes most sense.
    For server operation set the calculation to Network. Thus the variable is distributed in the whole zenon network.

  2. Define the desired content of the switching operations preview. For this open tab EMS Column settings for the switching operations preview in the dialog of the screen switch function to the screen EMS.
  3. Insert the control element List display: switching operations preview in the screen EMS.

    You can customize color and font using its properties.

Language switch

You can switch between languages for all information displayed in the switching operations preview with the help of the language table.

For this you can define the name for the column titles in the filter dialog. For example if you define a name such as @Switching time, @Object name or similar, these names are replaced by the corresponding entries from the language table in the Runtime.

In addition the whole content of the switching operations preview can be replaced:

  1. Object names are replaced by putting a @ in front of them during the EMS engineering; e.g.: @Generator1
  2. Current value and switching value can either have a numerical content (with CHP steps) or @On/@Off


Column settings for the switching operations preview

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Engineering switching operations preview -> Column settings for the switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Via the column setting you can define which information is displayed in what order.

Note: The language of all information displayed in the switching operations can be switched via the language table:
Select the name with a @ before it, for example @Schaltzeit, so that this can be replaced with the corresponding language table entries in Runtime.

In the list field of this tab all available column types are displayed. With the help of a checkbox you decide which column types are displayed. You can change the description and the width of each column type by left-clicking the corresponding area and entering the desired value in the input field.

Parameters | Description
Column type | Type of the column. Cannot be edited. The display in the Runtime is activated or deactivated with the help of a checkbox.
Description | Defines the header of the respective column. You can configure it as language switchable. The value can be edited.
Width | Defines the width of the column in pixels. You can also define the width of the column by clicking and dragging the column with the mouse in the list with the horizontal display of the column names. The value can be edited.
Move selected entry up | Moves the selected column up. You can also move the columns with Drag & Drop.
Move selected entry down | Moves the selected column down. You can also move the columns with Drag & Drop.
Field with horizontal display of the column names | Shows the columns which are active in the list. You can define the size of the columns by clicking and dragging the column borders with the mouse.

attenzione Attenzione

The column width is dependent on the used font. If the column width is not a multiple of the character width of the used font, the actual column width can differ from the set column width.


Switching operations preview in the Runtime

Manuale -> Energy Management System (EMS) -> Parameterization of the EMS -> Engineering switching operations preview -> Switching operations preview in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the Runtime screen Switching operations preview displays the upcoming switching operations with date and consequence:


Internal state of the components

Manuale -> Energy Management System (EMS) -> Internal state of the components

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Internally in the EMS different states for the components are carried along. This states can be shown using a variable. We recommend to monitor the states with reaction matrix and e.g. to evaluate them in the Chronological Event List.

The variable Internal switching state of components can take on the following values:

General reasons (valid for all components)

Value | Description
0 | Not used (Booting).
100 | Service is possible.
101 | No switching request of the peak load forecast.
102 | Deactivated until the end of the rate interval.
103 | The switching forewarn command is invalid.
104 | Not enough time in order to forewarn.
105 | The forewarn time has not yet expired.
106 | It is not possible to add output at the end of the rate interval because of the parameterization.
107 | The switching state cannot be detected.
200 | Delay time has not expired yet.
201 | Component is set to "not available.
202 | Availability message is invalid.
203 | No variable is defined in order to determine the operation state.
204 | Parameterization is faulty.
205 | Dead time has not expired yet.
206 | Report of the current switching state is invalid.
207 | No data for the gliding average value of the output are available yet.
208 | Current output value is invalid.
209 | Is set to "implicit" (schedule medium-term).
210 | Text address or value for switch-on priority is invalid.
211 | Text address or value for switch-off priority is invalid.
212 | Blocking time is active, blocking time type OFF.
213 | Blocking time is active, blocking time type ON.
214 | Maximum number of switchings has already been reached.
215 | Switching command cannot be used.
216 | Minimum switching time has not been reached yet.
217 | Schedule data have not been written completely yet.
218 | General problem.
219 | Command variable cannot be used for switching.
220 | No command defined for sending the switching forewarning.
221 | Extended parameterization for minimum power-on time per time unit not valid.
222 | Because of other restrictions, it is not possible to stick to restriction "Adhere to minimum power-on time per time unit".
223 | Switched on implicitly because of "minimum switch-on time per time unit".
250 | Variable or value for minimum switch-on time is invalid.
251 | Variable or value for minimum switch-off time is invalid.
252 | Variable or value for maximum switch-on time is invalid.
253 | Variable or value for maximum switch-off time is invalid.
254 | Restrictions are not reasonable.

Reasons for storage

Value | Description
4000 | Current filling level value is invalid.
4001 | Current roll out (actual value) is invalid.
4001 | Roll out is implicit because of the manual set value.
4003 | Storage capacity limited because of filling level limit.
4004 | Storage is full.
4005 | Set value for storage is not defined.
4006 | Maximum roll in capacity and maximum roll out capacity are both 0.
4007 | Variable which is used to measure the current filling level is invalid.

Reasons for CHPs (generator)

Value | Description
5000 | The current output does not comply with a level output.
5001 | CHP does not run below nominal power.
5002 | The CHP only has one level can cannot be switched.
5003 | The CHP runs with nominal power and cannot be switched down further.
5004 | The highest switched on level cannot be switched off because of the minimal switch-on time per time unit.
5005 | The CHP is already running on its highest level.
5006 | The variable which is used to measure the current output is invalid.
5007 | The forewarning for a level was activated. Waiting for set value input.
5008 | The variable for the set value is invalid.
5009 | The order of the output guidelines by variables is not ascending.
5010 | The value of a parameterized maximum switch-on time of a level is too small.
5011 | Maximum running time of a level has been reached. The level is switched off.


Creation of the Runtime files

Manuale -> Energy Management System (EMS) -> Creation of the Runtime files

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After engineering the functions Start EMS or Stop EMS a consistency check of the EMS engineering is carried out during the creation of the Runtime files. If problems occur, a corresponding message is displayed in the output window (e.g. if necessary variables were not allocated).

Runtime does not start

If a project cannot be started in the Runtime, it can have the following reasons:

  • wrong engineering
  • missing license: With the function Start EMS the license is checked. If the license is not available, the EMS does not start and a corresponding entry is generated in the log.


Control the EMS in the Runtime

Manuale -> Energy Management System (EMS) -> Control the EMS in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Screens of the Energy Management System make it possible to monitor the prognosis and the optimization during the Runtime in form of a trend screen.

The single operating elements are positioned in the screen with the help control elements (prognosis area and the display of the current supply area).

For example a prognosis can look like this:

Info Informazioni

The screen which is shown in the Runtime acts only as the display of the optimization and prognosis data. No interventions can be carries out in the screen. Parameters of the EMS module are exclusively controlled via variables.


Engineering distribuito

Manuale -> Engineering distribuito

La funzione multi-utente di zenon consente a piu utenti di lavorare contemporaneamente ad uno stesso progetto. I progetti vengono salvati in un server SQL centrale, mentre possono essere elaborati contemporaneamente in diverse postazioni di lavoro. In seguito questo database centrale del progetto verrà denominato Server DB.

Ad esempio: un utente crea un’immagine mentre un altro utente allo stesso tempo puo lavorare alla definizione delle variabili.

Info Informazioni

Indicazioni sulla terminologia:

"Einchecken" corrisponde alla proprietà Accetta le modifiche

"Auschecken" corrisponde alla proprietà Rendi possibili le modifiche.

Protocollo IP

La comunicazione nella rete di zenon può avvenire a scelta tramite IPv4 e IPv6. I dettagli su questo argomento, li trovate nel capitolo Rete, sezione Presupposti.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Informazioni sul server SQL

Manuale -> Engineering distribuito -> Informazioni sul server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon a partire dalla versione 7.00 SP0

Nel caso dell´engineering distribuito, tutti i partecipanti accedono ad un server SQL centrale. Dalla 7.00 SP0 di zenon, tutti i partecipanti devono usare versioni a partire dalla 7.00:

  • Editor: da 7.00 SP0
  • DBSrv: da 7.00
  • SQL-Server: SQL Server 2008 R2 Express Edition

Update

Quando si effettua un update del server di progetto per passare a SQL Server 2008 Express, tutti i client devono essere aggiornati nello stesso modo. SQL-Server 2005 e SQL-Server 2008 non sono compatibili.


Possibilità della gestione multi-utente

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione multiutente può essere usata per:

  • progetti standalone, per provare delle modifiche senza correre dei rischi
  • un server locale con più client
  • un server di rete con più client


Server locale

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo caso sia il Server DB che la copia locale del progetto si trovano sullo stesso computer.

Un progetto multiutente puo essere creato anche su un singolo computer. In questo caso, per esempio, è sensato prevedere che le modifiche vengano sottoposte prima ad una verifica. A questo scopo, per esempio, sono rese possibili modifiche di un'immagine, si effettuano le modifiche che vengono controllate nel runtime. Tali cambiamenti, poi, possono essere o accettati o rifiutati. L'immagine originaria rimane finché le modifiche non sono state assunte nell'immagine stessa.


Server locale al quale si connettono piu client

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale al quale si connettono piu client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Su un calcolatore si trovano il server DB e una copia locale del progetto. Anche i client lavorano localmente con una copia del progetto. Le modifiche alla copia locale del progetto vengono trasmesse alla banca dati del server solo quanto sono state accettate. Anche sul calcolatore del server si lavora con la copia locale del progetto.


Server al quale si connettono piu clients

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server al quale si connettono piu clients

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il server DB si trova sul calcolatore centrale. Piu clients si connettono al server. Copie locali del progetto vengono trasferite ai singoli client.

Copia del progetto in locale 1-3 dal Server DB

Info Informazioni

Sono possibili delle combinazioni fra le configurazioni descritte: per es. ogni calcolatore ha installato uno o più server DB per diversi progetto e ha contemporaneamente solo una copia locale del progetto e un altro server DB.

Server senza Login

Su server sui quali nessun utente effettua il Login, deve essere attivo il servizio zendbsrv.exe.

Il zendbsrv avvia il zensyssrv per le operazioni di Login. Nel caso dei sistemi operativi Windows Vista e Windows 7, questo non è consentito via Remote Transport per motivi di sicurezza. Il file deve essere registrato manualmente:

zendbsrv.exe -service

Un consiglio: registrate nello stesso tempo anche zensyssrv.exe come servizio: zensyssrv.exe -service

Info Informazioni

Non appena entrambi i file sono registrati come servizi, il Trasporto remoto non può più essere usato sotto Windows Vista/7; di conseguenza il Runtime non potrà essere avviato via Trasporto remoto.


Progettazione di un nuovo progetto Multiutente

Manuale -> Engineering distribuito -> Progettazione di un nuovo progetto Multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla creazione di un nuovo progetto, la checkbox Progetto Multiutente deve essere attiva. Nel campo Server di progetto potete indicare oppure selezionare il server per il progetto multiutente. Se viene inserito un server, la checkbox Progetto Multiutente viene attivata automaticamente.

Se il campo Server di progetto rimane vuoto, il progetto e la banca dati del server vengono creati sul PC locale. Viene creata automaticamente anche una copia locale del progetto, con cui si può lavorare poi direttamente nell´Editor.

Requisiti

  • Il server banca dati del progetto (zendbsrv.exe): deve essere avviato sul computer che funge da server e su quello che fa da client.
  • Impostazioni firewall:
    • i programmi zendbsrv.exe e sqlservr.exe devono essere attivati.
    • SQL Browser deve essere attivo dalla parte del server e del client
  • Port che devono essere aperte:
    • 1103
    • 1433 für SQL Server: questa port può cambiare; per questo motivo il processo SQL Server deve essere completamente escluso dal firewall
    • 1434 per SQL-Browser
  • La risoluzione nome in rete deve funzionare.
  • Reverse-Lookup deve restituire sia sul calcolatore che fa da server che su quello che fa da client lo stesso nome computer.

attenzione Attenzione

I workspaces non supportano la funzione multi-utente, perché sono specifici per la postazione di lavoro. Perciò la gerarchia di progetto può essere configurata in modo differente su diversi calcolatori. Affinché la gerarchia sia strutturata in modo uguale su tutti i calcolatori, è necessaria la comunicazione diretta fra i diversi utenti.

Creare un client per un progetto multiutente.

Seguite i passi seguenti al fine di creare un client per un progetto multiutente:

  1. Selezionate anzitutto File -> Inserisci progetto esistente ...
  2. Nel seguente dialogo selezionate alla voce Nome computer quello del Server-DB. Alla voce Scelta progetto selezionate di nuovo il nome computer e il nome del server (DB)
  3. Selezionate Progetto multiutente


Conversione di un progetto standalone in un progetto multiuser

Manuale -> Engineering distribuito -> Conversione di un progetto standalone in un progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per convertire un progetto standalone in un progetto multiuser:

  1. assicuratevi che il progetto globale sia multiuser.
    Nel caso in cui non dovesse essere così, togliete il progetto globale esistente dal workspace e create un nuovo progetto globale adatto all´uso multiuser servendovi del menu contestuale del workspace: nuovo progetto
  2. Convertite poi il progetto standalone: selezionate nel menu contestuale il comandolMultiuser -> Converti in progetto Multiutente
  3. Il sistema visualizzerà un messaggio che Vi avvisa che questa operazione non può essere annullata.
    Tuttavia, un progetto multiuser può essere ripristinato come progetto standalone mediante un backup.
  4. Confermate di aver letto questo messaggio cliccando sul pulsante Sì.

Info Informazioni

Se si effettua una conversione, il computer su cui questa azione viene eseguita, viene definito come database server per il progetto. Questa proprietà non può più essere modificata in un secondo momento.


Conversione di un progetto multiuser in un progetto standalone

Manuale -> Engineering distribuito -> Conversione di un progetto multiuser in un progetto standalone

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per convertire un progetto multiuser in un progetto standalone:

  1. anzitutto assicuratevi che tutte le modifiche di progetto vengano riprese da tutti i client:
    • Progetto -> Menu contestuale -> Multiuser -> Sincronizza
  2. create un backup di progetto
    • Nodo Backup di progetto -> Menu contestuale -> Creare backup progetto
    • Assegnate nel dialogo nome e descrizione; potete creare un backup anche per una copia progetto locale.
  3. Create un backup del progetto come nuovo progetto:
    • workspace -> Menu contestuale -> Ripristina backup di progetto .
    • Selezionate il backup desiderato.
    • Attivate la checkbox Crea nuovo progetto.
    • confermate cliccando su OK
    • Assegnate un nuovo nome progetto.
  4. Il progetto viene creato come progetto standalone.
    Il progetto multiuser continua ad esistere in parallelo.

Indicazione: Per convertire la copia locale di progetto in un progetto standalone, si può scegliere nell´Editor, alla voce progetto, anche l´opzione Progetto -> Salva con nome ....


Come procedere con un progetto multiuser

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I progetti multi-utente consentono un accesso molteplice ai moduli. Se realizzate dei progetti multi-utente, tenete presente soprattutto quanto segue:

  • il procedimento in caso di Rendi possibili le modifiche e Accette le modifiche e le loro implicazione nel caso si cambino diversi moduli
  • Cancellazione di elementi
  • Aggiornamento di elementi
  • le particolarità di VBA e RGM


Amplia e sincronizza il progetto

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Amplia e sincronizza il progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se viene creato un nuovo elemento come, ad esempio, una variabile o una nuova immagine, questo elemeno è disponibile in un primo momento solo localmente e automaticamente vengono permesse delle modifiche dell'elemento stesso.

Se i cambiamenti vengono accettati, un altro client deve effettuare una sincronizzazione in modo tale da avere gli elementi modificati a disposizione sul suo computer.

Se i cambiamenti sono stati rifiutati dopo che è stato creato un nuovo elemento, è come se questo elemento non fosse mai esistito.

La differenza fra una nuova variabile ed una nuova immagine è che la variabile non è visibile dopo una sincronizzazione su altri calcolatori se le modifiche non sono state ancora accettate. Un'immagine, invece, è visualizzata su altri calcolatori come in costruzione dopo una sincronizzazione.

Vedi anche il capitolo "immagini! / sezione Editor dei modelli

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Questo è possibile tramite la voceProgetto/Sincronizza nel menu contestuale del progetto nel manager progetto.

Nel menu sono presenti le seguenti voci:

Comando | Descrizione
Multiuser/sincronizzare | Il progetto viene aggiornato.
Multi-utente/attiva modalità offline | Viene attivata la Modalità offline. Le modifiche hanno effetto solo localmente e non vengono riprese centralmente finché il progetto è offline.
Multi-utente/attiva modalità online | Viene attivata la Modalità online. Se degli elementi sono stati già modificati e accettati da altri utenti, questi cambiamenti sovrascrivono quelli effettuati nella modalità offline.
Aggiorna versione locale | La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor. Attenzione: gli elementi/moduli selezionati dall’utente vengono ignorati.

Info Informazioni

Quegli elementi che sono stati resi disponibili per la modifica dallo stesso utente che effettua la sincronizzazione, non vengono sovrascritti durante la sincronizzazione. Le modifiche locali sono protette dal fatto di essere selezionate.

Eccezione:
L'utente A seleziona elementi offline. L'utente B seleziona elementi online. Se l'utente A si collega di nuovo con il server, gli elementi, che sono stati selezionati da entrambi gli utenti, per l'utente A vengono sovrascritti da quelli dell'utente B. Nel caso in cui in un team un componente stia effettuando la messa in opera di un impianto, consigliamo di non modificare il progetto sul server in questa fase offline!


Modifiche di elementi esistenti

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Modifiche di elementi esistenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si modifica un progetto esistente, si devono selezionare le parti che si vogliono modificare. Questo impedisce che piu utenti si connettano allo stesso elemento. Un elemento selezionato è inaccessibile per le modifiche da parte di altri utenti.

L’elemento puo essere modificato solamente dall'utente che l'ha selezionato e ottenuto in questo modo i diritti di modifica. Per tutti gli altri utenti l'elemento è inaccessibile.

Per poter effettuare delle modifiche di un elemento, l’utente deve selezionare la voce “Progetto/Consenti modifiche” nel menu contestuale dell'elemento. E' possibile selezionare solamente singoli elementi, per esempio variabili. A questo scopo viene attivata la voce "abilita modifiche" nel menu contestuale della sezione lista della singola variabile . Inoltre è possibile selezionare tutte le variabili del progetto contemporaneamente mediante il nodo principale.

In un progetto multi-utente viene aggiunta nella struttura di progetto la voce In costruzione. Nella finestra dettagli di questa lista sono elencati gli elementi aperti del progetto attuale. Di default sono presenti le colonne: Stato, Elemento, Destinazione e Modulo. E’ possibile inserire ulteriori colonne nel menu contestuale del titolo colonne selezionando la voce “Selezione Campo”. La lista offre con le ulteriori colonne una visione d'insieme di quale elemento viene elaborato da quale utente su quale computer.

Info Informazioni

Quando si tratta di progetti di integrazione e di sottoprogetti nella gestione multiutente, ci si deve prima accertare che entrambi i progetti abbiano abilitata la voce Modifiche permesse prima di trascinare il sottoprogetto nel progetto di integrazione.

Un utente può "leggere" ma non modificare un "elemento/modulo" finché non si è procurato la relativa autorizzazione. Tale autorizzazione la si ottiene attraverso il menu contestuale dell'elemento Abilita modifiche, o direttamente al momento dell'apertura dell'elemento.


Cancella progetti

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Cancella progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando viene cancellato un progetto, viene eliminata solo la copia locale del progetto. Il server DB continua ad essere disponibile ed altri client possono continuare a lavorarci. E' ancora possibile reinserire il progetto nel workspace. In questo caso viene creata una nuova copia locale del progetto.

Nel caso in cui l'utente cancelli la sua copia locale del progetto, anche tutte le informazioni di check-out (e, naturalmente, anche tutte le eventuali modifiche apportate) di tale utente vanno perse.


Chiudere la connessione client.

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Chiudere la connessione client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione "chiudi la connessione client" è possibile chiudere il collegamento fra la copia locale del progetto di un utente e il server DB. In tal modo vengono cancellate tutte le informazioni di check-out di questo utente. Ridiventa possibile apportare le modifiche di elementi che erano state bloccate da tale utente.

Si può rendere necessario chiudere la connessione client se l'utente non è in ufficio e ha reso inaccessibili degli elementi che devono essere modificati urgentemente, o se il calcolatore dell'utente ha un guasto.

attenzione Attenzione

Se la connessione client di un utente è stata chiusa e questi apre la copia locale del progetto, quest'ultimo è offline. Non è più possibile poi tornare online. La copia locale del progetto deve essere prima cancellata e reintrodotta dal server.

Condizione:

una connessione client può essere chiusa solo se il calcolatore, sul quale si lavorava alla copia del progetto locale, non è raggiungibile.

Tramite il menu principale File -> aggiungi progetto attuale si apre il manager banca dati del progetto. Alla voce "progetto multi-utente" si trovano sotto "copie di progetto locali collegate" tutti gli utenti, che hanno una copia locale di progetto In costruzione (o hanno avuto).

Utilizzando la voce "dividi", l'inserimento per questo utente viene cancellato dal server DB. Dopo che la connessione client è stata chiusa, si può uscire dalla finestra di dialogo.

attenzione Attenzione

Questa operazione non può essere revocata! Se l'utente vuole avere di nuovo accesso su questo calcolatore al progetto multi-utente, la copia locale del progetto deve essere cancellata e reintrodotta.


Backup meccanismo

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Backup meccanismo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Info Informazioni

E' possibile salvare stati locali del progetto. Creare un backup è possibile finché non si è effettuata una sincronizzazione.


Backup di progetto

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Backup meccanismo -> Backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il backup di progetto viene avviato nel Manager di progetto mediabte il nodo backup di progetto.


Backup di stati locali del progetto

Un backup di progetto può essere creato mediante il menu contestuale del modulo backup di progetto. Per realizzare un backup locale del progetto, deve essere attivato nel box di dialogo crea backup di progetto il checkbox copia locale del progetto.

Backup locali di progetto possono essere realizzati solo nell'ambito della stessa sessione offiline di backup.

vedi anche Vedi per ulteriori informazioni

Ripristino backup di progetti server


Backup di progetti server

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Backup meccanismo -> Backup di progetto -> Backup di progetti server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il backup dei progetti server può essere iniziato da ogni client se non è stata attivato il Checkbox backup della copia locale di progetto.


Ripristino di backup di progetto

vedi anche Vedi per ulteriori informazioni

Backup di stati locali del progetto


Ripristino di backup di stati locali del progetto

attenzione Attenzione

Un riprisitino di una copia locale di progetto è possibile solo finché non sia stata effettuata una sincronizzazione.
Nel caso in cui un progetto sia stato sincronizzato dopo l'effettuazione del backup, l'utente ha a disposizione l'opzione "Ripristina backup progetto come nuovo progetto". In questo caso viene effettuato il backup di un progetto nella forma di "single user projekt".


Abilita, accetta e rifiuta modifiche

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Abilita, accetta e rifiuta modifiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter effettuare dei cambiamenti ad un progetto, è necessario anzitutto rendere disponibili gli elementi corrispondenti (funzioni, variabili, immagini, ...) perché essi possano essere modificati. (Rendi possibili le modifiche). Dopo la modifica, gli elementi devono essere poi di nuovo bloccati in modo che non li si possa cambiare di nuovo; infine essi devono essere trasmessi al server (Conferma modifiche).

Indicazione: gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.

Parametri

Descrizione

Aggiorna versione locale

Nel caso in cui altri utenti abbiano effettuato delle modifiche al progetto server, la copia locale del progetto può essere aggiornata mediante questo punto di menu.

Vengono aggiornati solamente i singoli Elementi/Moduli Nuovi elementi presenti sul server non sono disponibili senza aver effettuato una sincronizzazione.

consenti modifiche

Per poter effettuare delle modifiche ad elementi, deve essere settato per questi ultimi lo stato "consenti modifiche". Ciò può essere fatto mediante il menu contestuale dell'elemento selezionato.
Per consentire di lavorare in modo più veloce, è possibile stabilire che sia possibile effettuare delle modifiche alle variabili valide per tutto il modulo. Ciò signifca che l'accesso a tutte le variabili, a tutti i driver ed i tipi di dato è bloccato per tutti gli altri utenti.

accetta modifiche

Le modifiche vengono inviate e applicate sul progetto del Server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.
Se sono state rese possibili delle modifiche tramite il modulo, queste possono essere anche accettate mediante il modulo.
Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono trasmessi e il loro accesso viene sbloccato per tutti gli altri utenti. In questo caso non è possibile accettare un elemento singolo.
Le modifiche apportate nella copia locale del progetto vengono rifiutate e sovrascritte dallo stato del server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.

Cancella Modifiche

Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono rifiutati e il loro accesso viene sbloccato per altri utenti. In questo caso non è possibile rifiutare un elemento singolo.

Info Informazioni

Quando si effettuano dei cambiamenti al nome progetto, è impossibile fare uso di Cancella modifiche. Il nome progetto modificato rimane.

Modifiche a più moduli contemporaneamente

Se un modulo viene reso disponibile per le modifiche ed elementi di altri moduli vengono creati di nuovo e collegati al modulo in questione, tutti gli elementi/moduli interessati devono essere settati contemporaneamente su Accetta modifiche. Anzitutto rilasciate gli elementi/moduli nuovi e poi quelli già esistenti. Se viene reso disponibile solamente il modulo originariamente bloccato, il frutto del nuovo lavoro di progettazione può andare perduto.

Esempio:

  • su un client viene rilasciato il Manager gruppi ricette.
  • Viene creato un nuovo gruppo ricette, poi una nuova ricetta.
  • Una variabile esistente viene aggiunta al gruppo ricette.
  • Vengono create e aggiunte tre nuove variabili.
  • Vengono rilasciati interblocchi e viene creato un nuovo interblocco.
  • Viene creata una nuova immagine keyboard con un nuovo modello.
  • Nel gruppo ricette viene assegnato l´interblocco di nuova creazione.
  • Viene assegnata l´immagine keyboard.
  • Una nuova variabile per la visibilità viene creata e collegata con una del gruppo ricette.

Se solamente il gruppo ricette viene settato su Accetta cambiamenti e viene sincronizzato un altro client, accadrà quanto segue:

  • l´altro client riceverà:
    • un gruppo ricette con una variabile collagata
    • e una ricetta che contiene questa variabile
  • tutte le altre informaizioni, però, andranno perse

Se questo client blocca il gruppo ricette, lo modifica e lo rende di nuovo disponibile per cambiamenti, tutte le nuove informazioni progettate andranno perdute.

Per riprendete i cambiamenti in modo corretto, Accetta modifiche deve essere settato per:

  • Manager gruppi ricette
  • Gruppo ricette
  • Ricetta
  • Variabili
  • Interblocchi
  • Immagine keyboard
  • Modello per immagine keyboard


Stato degli elementi/moduli

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Abilita, accetta e rifiuta modifiche -> Stato degli elementi/moduli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando un elemento viene selezionato, si modifica il simbolo nella struttura di progetto, piu precisamente nella lista dettagli. L’utente, che ha selezionato l’elemento, ha un simbolo verde di spunta vicino alla Checkbox. Tutti gli altri visualizzano una Checkbox con una X rossa. Un ! significa che, all´interno del nodo, sono stati abilitati alla modifica degli elementi singoli.

Vedi capitolo Legenda.

Nel caso specifico della gestione variabili, i simboli vengono visualizzati in modo quasi trasparente se si è effettuata la selezione/esclusione mediante il modulo.

Esempio Esempio

Tutte le variabili sono selezionate per la modifica da un utente. Un altro utente non puo modificare queste variabili, ma puo inserirne di nuove.

Eccezione: modulo Checkout

Le seguenti azioni sono possibili solamente se tutto il modulo viene settato su Rendi possibili le modifiche :

  • creazione di variabili array
  • creazione di tipi di dato struttura
  • copiare o inserire variabili array e di struttura
  • creare variabili sulla base di un tipo di dato struttura con array
  • modificare le impostazioni array di una variabile
  • modificare le impostazioni array in zenon Logic di una variabile con profilo zenon Logic

Info Informazioni

Se viene creata una variabile senza che il modulo Variabili nel suo complesso sia stato settato su Rendi possibili le modifiche, le dimensioni vengono settate automaticamente su 0. In tal modo si vuole evitare che venga creata involontariamente una variabile di struttura.

I seguenti elementi/moduli possono essere settati solo nel loro complesso su Rendi possibili le modifiche oppure Accetta modifiche :

  • Archivi
  • utente
  • Menu
  • Matrice di reazione
  • Ricette standard
  • Gruppi ricette
  • Script:
  • Tipi di carattere
  • Interblocchi
  • Attribuzioni

Visualizzazione Data modifiche nella finestra dettagli

Nella finestra dettagli sono disponibili due colonne contenenti informazioni relative all´ultimo momento in cui sono state effettuate delle modifiche:

  • Ultima modifica accettata: Mostra in tutte le liste i cui contenuti riguardano l´engineering distribuito, il momento dell´ultimo update nella banca dati, oppure quello dell´ultimo login.
  • Modificato per ultimo: mostra il timestamp dell´ultima modifica del file nel sistema file.

Se le colonne non vengono visualizzate, potete attivarle nei modi seguenti:

  1. cliccando con il tasto destro del mouse sull´intestazione della colonna
  2. selezionando nel menu contestuale il comando Scelta colonne
    (Quali colonne sono disponibili dipende dal tipo di modulo).
  3. selezionando le colonne desiderate nella lista di selezione a sinistra (possibile selezione multipla)
  4. aggiungete le colonne alla lista di destra cliccando sul pulsante Aggiungi->
  5. selezionate con il pulsante "in sù" o "in giù" la posizione desiderata
  6. confermate e chiudute il dialogo cliccando su OK.


Legenda del simbolo

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Abilita, accetta e rifiuta modifiche -> Legenda del simbolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I seguenti simboli rappresentano gli stati degli elementi nell'engineering distribuito.

(Ad es. un'immagine può essere modificata dall'utente [image])

Elementi della sezione lista del manager di progetto:

Simbolo | Descrizione
 | Un nuovo elemento è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo con il check-in dell'elemento.
 | Un nuovo modulo è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo con il check-in del modulo.
 | Un elemento viene segnalato come cancellato nella copia locale del progetto. Esso viene cancellato nel server solo con il check-in dell'elemento.
 | Un modulo viene segnalato come cancellato nella copia locale del progetto. Esso viene cancellato nel server solo con il check-in del modulo.
 | L'elemento può essere modificato dall'utente attuale.
 | Il modulo può essere modificato dall'utente attuale.
 | L'elemento è bloccato da un altro utente.

Visualizzazione nella vista ad albero del progetto

Simbolo | Descrizione
 | Il modulo può essere modificato dall'utente attuale.
 | Il modulo viene modificato da un altro utente ed è bloccato per l'utente attuale.
 | Perlomeno un elmento del modulo è marcato per l'effettuazione di una modifica (non l'intero modulo)


Cancellazione di un elemento

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Cancellazione di un elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi della banca dati vengono marcati come cancellati. Su tutti i client questi elementi vengono contrassegnati come bloccati e su di essi non è possibile effettuare nessuna modifica. Quando verranno accettate le modifiche, gli elementi verranno definitivamente cancellati. E’ possibile inoltre, una volta cancellati gli elementi, recuperarli annullando le modifiche effettuate.

Esempio Esempio

Ciò vale, per esempio, nel caso delle variabili: le modifiche debbono essere anzitutto accettate per poi renderne possibile una cancellazione definitiva.

Elementi file come immagini, file (tabelle lingua, grafiche) ecc., vengono cancellati subito sul calcolatore attivo dopo la conferma di una richiesta relativa posta dal sistema all´utente. Gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.


Sincronizzazione del progetto multiuser

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Sincronizzazione del progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Ciò avviene tramite il menu contestuale del progetto alla voce Progetto -> Menu contestuale -> Multi-utente -> Sincronizza o alla voce Tutti i moduli/aggiorna versione locale .

Nel menu sono presenti le seguenti voci:

Parametri

Descrizione

Sincronizzazione

La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor.
Attenzione: gli elementi/moduli selezionati dall’utente vengono ignorati.

Aggiorna versione locale

Vedi Aggiornare

consenti modifiche

Abilita le modifiche per un elemento.

accetta modifiche

Abilita le modifiche per un elemento.

Cancella Modifiche

Le modifiche dell'elemento non vengono accettate, ma rifiutate. Utilzzando il comando Cancella modifiche il progetto viene caricato nuovamente dal Server DB.

Attenzione: usando il comando Cancella modifiche per un elemento non ancora accettato, anche tutti i cambiamenti che dipendono da tale elemento vengono rifiutati.

Gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento.

Info Informazioni

Gli elementi che sono selezionati per la modifica dallo stesso utente che avvia la sincronizzazione non vengono controllati.


Manager gruppi ricette

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per assicurare che il Manager gruppi ricette sia utilizzabile sotto Windows CE, i file RGM vengono salvati negli appunti alternativi della banca dati MS Access. Per Windows CE vengono impostati i dati binari nella struttuta file.

Se attivate alla voce Proprietà di progetto -> Generale la Checkbox Progetto WindowsCE, i dati RGM vengono impostati automaticamente in modo binario.
Potete impostare manualmente il salvataggio binario dei dati anche indipendentemente da progetti CE; lo fate nel modo seguente:
Proprietà Gruppi ricette -> Gruppi di ricette -> RGM formato dati -> Dati Binari Compatibili con CE).

Interno ID: Manager gruppi ricette

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Gruppi di ricette

Definite il sito per salvare i file per il Manager dei gruppi ricette.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Una conversione della banca dati MS Access dopo la forma binaria o viceversa non è prevista.

I dati RGM già esistenti non vengono convertiti! Se necessario, dovete esportare i dati in XML prima di effettuare il cambiamento. In seguito potete cambiare il progetto e importare i dati nel nuovo formato.

Cambio della banca dati

Se avete selezionato nella proprietà RGM formato datiMS ACCESS DB come banca dati e avete poi attivato la checkbox Progetto WindowsCE, il sistema visualizzerà un´indicazione per effettuare la conversione:

Per mantenere i dati della banca dati usata finora:

  1. esportate i dati in XML
  2. cambiate la banca dati
  3. importate il file XML

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.

Progetti multiuser

Nei Progetti multiuser file binari e la banca dati MS Access possono essere presi in considerazione indipendentemente gli uni dall´altra.

Nella finestra In costruzione viene rappresentato localmente sempre solo lo stato del tipo di salvataggio impostato su questo calcolatore. Utilizzando file Binari, non è visibile che i Database Access siano ancora abilitati per le modifiche.

Perciò è possibile il verificarsi della seguente situazione:

  • sul PC A la Database Access è di nuovo abilitata per le modifiche
  • sul PC B viene attivato il processo CE e si passa in tal modo a file binari
  • sul PC B i file binari vengono resi disponibili
  • sul PC B vengono accettate le modifiche e poi si effettua una sincronizzazione dei dati con il PC A
  • in tal modo si passa anche sul PC A a file binari
  • la banca dati Access continua ad essere abilitata alle modifiche sul PC A
  • solo quando sul PC B si passa di nuovo a Database Access diventa evidente che sul PC A la Database Access è abilitata alle modifiche.


VBA e VSTA

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> VBA e VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella struttura ad albero del progetto, nel menu contestuale dello Scripting selezionate l´inserimento Apri Editor VBA oppure. Apri Editor VSTA ; poi l´Editor verrà abilitato alle modifiche e sarà possibile effettuare dei cambi.

Attenzione: in VBA generalmente è possibile effettuare delle modifiche, anche se l´elemento è stato settato su un altro calcolatore su Rendi possibili le modifiche.
Perciò, in caso di modifiche tramite VBA, tenete presente:

  1. prima di effettuarle, controlalte se si tratta di un progetto multi-utente
  2. in questo caso: controllate se l´elemento viene aggiunto da un altro client
  3. in questo caso: controllate se l´elemento ha lo stato Rendi possibili le modifiche (check out)
    1. in questo caso: l´oggetto può essere modificato,
    2. in caso contrario: l´oggetto deve essere settato su Rendi possibili le modifiche
    • controllate una seconda volta se l´oggetto ha lo stato Rendi possibili le modifiche
    • in questo caso: l´oggetto può essere modificato in VBA
  4. dopo aver effettuato le modifiche, l´oggetto deve essere riportato tramite VBA allo stato Accetta le modofiche (check in)

attenzione Attenzione

Nella gestione di un progetto Multiuser non è possibile aprire l’editor con ALT+F11, dato che non viene richiesta l’abilitazione per le modifiche. Se VBA non viene abilitato le modifiche le modifiche non vengono riprese. Viene richiamato una finestra di dialogo di Warning all’apertura del VBA con le informazioni sul progetto.


Chiusura dell'editor

Manuale -> Engineering distribuito -> Come procedere con un progetto multiuser -> Chiusura dell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni utente dovrebbe effettuare le modifiche ai propri oggetti prima di chiudere l'editor, il progetto o l'area di lavoro (workspace). Finché ciò non accade, infatti, gli altri utenti non possono apportarvi delle modifiche. Vedi anche capitolo: Editor/ capitolo: Chiudi Editor

Se si chiude senza che siano state accettate le modifiche, si apre un dialogo che propone di accettare o rifiutare i cambi:

Parametri | Descrizione
Campo lista Elementi | Visualizza in una lista tutti gli elementi che non sono abilitati alla modifica. Le modifiche per gli elementi visualizzati possono essere accettate o rifiutate facendo uso dei pulsanti corrispondenti.
accetta modifiche | Per tutti gli elementi visualizzati le modifiche vengono accettate.
Cancella Modifiche | Per tutti gli elementi visualizzati le modifiche vengono rifiutate.
Modifica.... | Il procedimento di chiusura dell'editor viene interrotto.
Avanti | Prosegue il processo di chiusura del progetto attuale nell´ambito del workspace. Gli elementi rimangono bloccati per gli altri utenti. Se si vuole chiudere più Progetti multiuser, verrà proposto poi dal sistema questo dialogo per il progetto da chiudere in seguito.
Avanti tutti | Prosegue il processo di chiusura di tutti i progetti multiuser presenti nel workspace. Gli elementi rimangono bloccati per gli altri utenti.
Guida | Attiva la guida online


Lavoro Offline

Manuale -> Engineering distribuito -> Lavoro Offline

Quando si lavora offline, non esiste una connessione con il server, ad esempio, se un progettista porta il computer dal cliente per lavorare al progetto.

Per poter commutare un progetto offline, si deve selezionare nel menu contestuale del progetto la voce "attiva modo offline". I progetti che non hanno una connessione con il server DB, sono attivati offline automaticamente.

Info Informazioni

Durante il lavoro offline non sono possibili i comandi Accetta modifiche e Cancellae modifiche!

Durante la modalità offline, è possibile solo abilita modifiche; in caso contrario non sarebbe possibile nessuna modifica offline. Solo dopo essere passati alla modalità Online, diviene possibile utilizzare la funzione accetta modifiche.


Lavorare in offline

Manuale -> Engineering distribuito -> Lavoro Offline -> Lavorare in offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esistono alcuni casi in cui è utile lavorare offline, elencati qui di seguito:


Degli elementi o dei moduli sono bloccati da un altro utente.

Manuale -> Engineering distribuito -> Lavoro Offline -> Lavorare in offline -> Degli elementi o dei moduli sono bloccati da un altro utente.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento di passare alla modalità offline, un altro utente sta già modificando un elemento o un modulo. In questo caso non può essere fatta nessuna modifica.


Gli elementi/moduli sono selezionati dallo stesso utente al cambio in offline

Manuale -> Engineering distribuito -> Lavoro Offline -> Lavorare in offline -> Gli elementi/moduli sono selezionati dallo stesso utente al cambio in offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento di passare alla modalità offline, lo stesso utente sta già modificando un elemento o un modulo. In questo caso non sono possibili modifiche Online da parte di un altro utente.


Non sono selezionati elementi/moduli al passaggio in Offline

Manuale -> Engineering distribuito -> Lavoro Offline -> Lavorare in offline -> Non sono selezionati elementi/moduli al passaggio in Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento del passaggio in modalità Offline non sono modificati elementi/moduli.

Variante 1:

Vengono abilitate offline delle modifiche ad un elemento/modulo; la stessa cosa, però, accade anche online.

L'utente A effettua delle modifiche ad un elemento/modulo offline; l'utente B online.

Quando l´utente A passa alla modalità online, il sistema riconosce che l´utente B sta modificando online il modulo/l´elemento.

Le modiche realizzate dall´utente A andranno perdute.

attenzione Attenzione

In questo caso le modifiche offline (quelle effettuate dall'utente A) andranno perse!

Variante 2:

Quando l'utente A fa accettare le modifiche da lui effettuate, l'utente B ha a sua volta già salvato i cambiamenti da lui apportati.

Le modifiche dell´utente A sovrascrivono al momento del passaggio alla modalità online quelle dell´utente B.

attenzione Attenzione

In questo caso le modifiche online appena effettuate (dall'utente B) verranno sovrascritte!


Da Offline a Online

Manuale -> Engineering distribuito -> Lavoro Offline -> Da Offline a Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per riportare un progetto dalla modalità offline a quella online, selezionare nel menu di progetto la voce “Progetto/Online”. Il progetto viene sincronizzato e caricato nuovamente nell’Editor.


Possibilità durante il lavoro Offline

Manuale -> Engineering distribuito -> Lavoro Offline -> Possibilità durante il lavoro Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Elementi/moduli

Creazione, modifica, cambio nome e eliminazione


Funzioni

Manuale -> Funzioni

Gli interventi degli utenti in zenon vengono realizzati tramite funzioni di progetto definite dall'utente. Tutte le funzioni utilizzate in un progetto sono basate sulle funzioni di sistema presenti. Si tratta di macro predefinite che possono essere utilizzate e parametrizzate dal progettista in modo semplice.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuova funzione | Apre l´assistente per la creazione di una nuova funzione.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Visualizza funzioni non utilizzate | Realizza una analisi di progetto per le funzioni non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica delle funzioni. (Di default si trova sul margine inferiore dell´editor)
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Visione generale delle funzioni in zenon

Manuale -> Funzioni -> Visione generale delle funzioni in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le funzioni sono divise nei seguenti gruppi:

  • AML e CEL
  • Applicazione
  • Server archivi
  • Gestione utenti
  • Immagini
  • Ricerca errori in reti elettriche
  • Message Control
  • Rete
  • Generatore di rapporti
  • Ricette
  • Script
  • Variabile
  • VBA
  • VSTA
  • Windows


AML e CEL

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per gestire la Lista di informazioni allarmi (AML ) e la Lista eventi cronologica (CEL).

Funzione | Descrizione
Ripristino lampeggio allarmi | Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta attualmente di un modello selezionato.
Cancellazione allarmi | Questa funzione cancella allarmi filtrati.
Ripristina allarmi | Questa funzione ripristina allarmi filtrati.
Attiva_disattiva gruppo allarmi_eventi | Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.
Lista di informazione allarmi attiva | Questa funzione attiva la completa lista di informazioni allarmi.
Lista allarmi attiva/inattiva | Questa funzione attiva o disattiva la completa lista di informazioni allarmi.
Disattiva allarmi | Questa funzione disattiva la completa lista di informazioni allarmi.
Attiva/disattiva lista allarmi, gruppo allarmi/eventi/classi allarmi/eventi. | Questa funzione attiva o disattiva un gruppo di allarmi/eventi o una classe di allarmi/eventi, oppure la completa lista di informazioni allarmi.
Esporta AML | Questa funzione esporta inserimenti filtrati della lista di informazioni allarmi in un formato esterno.
Lista allarmi e CEL: Salvataggio buffer circolare | Questa funzione salva attuali allarmi ed eventi nei file ALARM.BIN e CEL.BIN, nonché valori di variabili matematiche (contatore) nel file SY_MA32.BIN.
Esporta CEL | Questa funzione esporta inserimenti filtrati della Lista eventi cronologica (CEL) in un formato esterno.
Stampa AML e CEL | Questa funzione stampa inserimenti filtrati della Lista di informazioni allarmi (AML) o della Lista eventi cronologica (CEL).
Crea documento IPA | Questa funzione crea un'analisi IPA e la scrive in un file HTML, oppure la stampa.
Stampa online on/off | Questa funzione attiva o disattiva la stampa online della lista di informazioni allarmi e della Lista eventi cronologica (CEL).
Inizia stampa online di una nuova pagina | Questa funzione termina una pagina e ne comincia una nuova al momento dell'attivazione della stampa online. Il numero di pagina viene riportato a 1.
Cambio stampa online | Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.


Applicazione

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Applicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

Funzione | Descrizione
Selezione stampante | Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa.
Partenza EMS | Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo EMS. Questa funzione viene eseguita solamente sul server.
Stop EMS | Mediante questa funzione viene fermato il processo di ottimizzazione di una zona selezionata nel modulo EMS. Questa funzione viene eseguita solamente sul server.
Stampa diagramma Trend esteso | Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG o BMP) senza essere costretti ad aprire l´immagine del tipo trend esteso.
Cambia tavolozza colori | Crea una funzione per passare durante il runtime da una tavolozza all´altra.
Attiva funzioni per valori limite | Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite.
Attiva/distattiva funzioni per valori limite | Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), (non) vengono eseguite.
Disattiva funzioni per valori limite | Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.
Richiama l’Help | Questa funzione apre una pagina di help selezionata da un file CHM.
Aggiorna il progetto | Questa funzione carica solamente i file modificati o tutti i file runtime.
Determinare le operazioni di manutenzione aperte | Questa funzione mostra le operazioni di manutenzione che devono essere effettuate filtrate dall'IMM come variabili di stato.
PFS - Attiva evento definito dall´utente | Questa funzione esegue un evento PFS creato in precedenza dall'utente.
Simulazione click tasto destro | Questa funzione intepreta il successivo clic del mouse come un clic con il tasto destro.
Salva dati ritentivi | Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.
Terminare il runtime | Questa funzione chiude il Runtime di zenon.
Euristica S7-Graph | Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva.
SAP Esegui funzione | Consente l´apertura di una funzione SAP durante il Runtime.
Cambio lingua | Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.
Topologia - Ricerca cortocircuito | Richiamo della ricerca cortocircuito
Topologia - LoadShedding | Verifica lo stato di approvvigionamento di consumatori topologici e lo rappresenta su variabili.


Server archivi

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Server archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Server archivi.

Funzione | Descrizione
Terminare archivio | Questa funzione chiude un archivio selezionato del modulo opzionale Archiviazione.
Indicizzare archivio | Questa funzione serve ad indicizzare archivi.
Partenza archivio | Questa funzione apre un archivio selezionato del modulo opzionale Archiviazione.
Esporta archivi | Questa funzione esporta inserimenti archivi filtrati del modulo opzionale Archiviazione in un formato esterno.
Mostra archivi aperti | Questa funzione mostra una lista degli archivi attivi del modulo opzionale Archiviazione.


Gestione utenti

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Gestione utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per la Gestione utente.

Funzione | Descrizione
Modifica utente | Questa funzione apre un dialogo nel quale un amministratore che abbia effettuato il login può creare, editare o cancellare degli utenti.
Login con dialogo | Questa funzione apre un dialogo di login standard.
Login senza password | Questa funzione effettua il login di un utente selezionato senza richiedere la sua password.
Logout | Questa funzione effettua il logout di un utente.
Modifica password | Questa funzione apre un dialogo in cui l'utente può modificare la sua password.


Immagini

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle Immagini.

Funzione

Descrizione

Colori sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Cambio immagine con Variabile

Questa funzione apre un'immagine il cui nome contiene una variabile selezionata.

Immagine: chiudi

Questa funzione chiude un'immagine selezionata.

Immagine indietro

Questa funzione ritorna all'immagine precedentemente aperta del modello selezionato.

Spostare il centro dell'immagine

Questa funzione effettua uno scroll o uno zoom in un'immagine globale.

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Indicazione: senza dialogo, la funzione viene eseguita con massimo grado di priorità (1). Se prima dell´esecuzione, viene spento un dialogo, il grado di priorità viene abbassato a livello (2).

Attiva impostazione su elemento focalizzato

Questa funzione attiva la funzionalità dell'elemento che ha l'impostazione di focus.

Focalizzazione sul modello

Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Sposta focus

Questa funzione setta l'impostazione di focus su un elemento determinato in un'immagine, il cui modello ha la focalizzazione.

Elimina focalizzazione dal modello

Questa funzione elimina l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Visualizza menu

Questa funzione apre o chiude un menu principale selezionato. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Profili runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Chiudi modello

Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta un valore predefinito oppure setta un valore predefinito nell´immagine keyboard.

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo. In tal modo si può simulare un sistema multi-monitor su un sistema a un solo monitor.


Ricerca errori in reti elettriche

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Ricerca errori in reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Contiene funzioni che servono alla Localizzazione errore nelle reti elettriche.

Funzione | Descrizione
Riconosci guasto messa a terra | Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.
Termina ricerca messa a terra | Funzione che serve a terminare la ricerca della messa a terra.
Avvia ricerca messa a terra | Funzione che serve a iniziare la ricerca della messa a terra.
Riconoscimento breve messaggio | Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.


Message Control

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

Funzione | Descrizione
Salvare coda attuale | Salva durante il runtime la Message Queue attuale.
Sopprimi Gruppi/Classi/Aree/Strutture | Consente di sopprimere l´invio di messaggi per determinati allarmi.
Invia messaggio | Imposta una funzione per l´invio di messaggi.
Messaggio invia: attivare | Attiva il Message Control durante il runtime per il progetto attivo.
Messaggio invia: disattivare. | Disattiva il Message Control durante il runtime per il progetto attivo.


Rete

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo di una rete.

Funzione | Descrizione
Autorizzazione in rete | Questa funzione prende o concede la autorizzazione in rete.
Cambio ridondanza | Questa funzione effettua il cambio fra server e server in standby del progetto.


Generatore di rapporti

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo Generatore di rapporti.

Funzione | Descrizione
Stampare report | Questa funzione stampa un rapporto selezionato del modulo opzionale Generatore di rapporti.
Eseguire report | Questa funzione esegue un rapporto selezionato del modulo opzionale Generatore di rapporti.
Esporta report | Questa funzione esporta un rapporto selezionato del modulo opzionale Generatore di rapporti in un formato esterno.


Ricette

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle ricette standard e delle ricette del modulo opzionale Manager gruppi ricette.

Funzione | Descrizione
Manager gruppi ricette | Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.
Ricette Standard | Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.
Richiamo diretto ricetta standard | Questa funzione trasmette i valori di una ricetta standard selezionata al PLC.
Richiamo ricetta singola con selezione | Questa funzione apre un dialogo in cui l'utente può modificare ed eseguire una ricetta standard.
Ricetta standard con selezione online | Questa funzione apre un dialogo in cui l'utente può selezionare e eseguire (oppure modificare) una ricetta standard.


Script

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo degli script.

Funzione | Descrizione
Esegui script. | Questa funzione esegue uno script selezionato.
Script con selezione online | Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire uno script.


Variabile

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle variabili.

Funzione | Descrizione
Esportazione Dati | Questa funzione esporta sul disco fisso in un formato esterno valori salvati (*.HDD) di variabili scelte.
Leggere file dBase | Questa funzione legge un file dBase selezionato e lo esegue come una ricetta.
Stampa valori momentanei | Questa funzione stampa i valori attuali delle variabili selezionate.
Cambio unità | Passa dall´unità di base e unità di calcolo e viceversa.
Gestione HD off | Questa funzione attiva il salvataggio dati su hard-disk. Non vengono scritti file HDD.
Gestione HD on | Questa funzione attiva il salvataggio dati su hard-disk. Vengono scritti file HDD.
Gestione HD off/on | Questa funzione attiva o disattiva il salvataggio dati su hard-disk. (Non) vengono scritti file HDD.
Setta valori impostabili | Questa funzione trasmette al PLC un nuovo valore per una variabile selezionata.
Comandi driver | Questa funzione trasmette un comando selezionato ad un driver selezionato. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.
Funzione Trasmetti driver-immagine di simulazione allo standby | Viene eseguita solamente sul server di standby. Richiede al momento della sua esecuzione del server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione.
Scrivere ora nella variabile | Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile string nel PLC. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.
Leggere ora da variabile | Questa funzione legge il tempo della variabile string del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.


VBA

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VBA.

Funzione | Descrizione
Aprire l’editor PCE | Questa funzione apre l'editor del modulo opzionale Process Control Engine (PCE).
Apri l’editor VBA | Questa funzione apre l'editor VBA.
Esegui macro VBA | Questa funzione esegue una macro VBA selezionata. Attenzione: l´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx Skripte. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in "AUTOEND", devono essere attivate mediante Project.Inactive.
Visualizza dialogo delle macro VBA | Questa funzione apre il dialogo Macro VBA.


VSTA

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle VSTA.

Funzione | Descrizione
Aprire l’editor VSTA | Questa funzione apre l'editor VSTA.
Esegui macro VSTA | Questa funzione esegue una macro VSTA selezionata.
Visualizza dialogo delle macro VSTA | Questa funzione apre il dialogo Macro VSTA.


Windows

Manuale -> Funzioni -> Visione generale delle funzioni in zenon -> Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle funzionalità del sistema operativo.

Funzione | Descrizione
Esegui file audio | Questa funzione esegue un file audio selezionato una volta (*.wav).
Operazioni file | Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.
Start file audio continuo | Questa funzione esegue un file audio (*.wav) ripetutamente.
Stop file audio continuo | Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).
Sullo sfondo | Questa funzione porta il Runtime di zenon sullo sfondo.
In primo piano | Questa funzione porta il Runtime di zenon in primo piano.
Stampa Screenshot | Questa funzione stampa o la schermata attuale, o l'immagine di un modello selezionato attualmente aperta. Se lo si desidera, si può deviare l'operazione di stampa su un fax.
Lancia programma | Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.


Funzione Visualizzazione dettagli Barra simboli e menu contestuale

Manuale -> Funzioni -> Funzione Visualizzazione dettagli Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Nuova funzione | Apre l´assistente per la creazione di una nuova funzione.
Parametri | Apre il dialogo che serve alla selezione dei parametri.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Uso della funzione... | Realizza una analisi di progetto della funzione selezionata nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Funzioni -> Progettazione nell'editor


Creare e modificare una funzione

Manuale -> Funzioni -> Progettazione nell'editor -> Creare e modificare una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Crea nuova funzione:

Nel menu contestuale della voce "Funzioni" del manager di progetto, si trovano i seguenti comandi a disposizione dell'utente:

Parametri | Descrizione
Nuova funzione… | Viene generata una nuova funzione che potrà essere configurata attraverso la finestra delle proprietà.
Nuovo script | Viene creato un nuovo Script.
Esporta tutti in XML | Esporta tutte le funzioni selezionate in un file XML. Vedi Capitolo Importazione/Esportazione
Importa XML… | Le funzioni vengono importate da un file XML. Vedi Capitolo Importazione/Esportazione
Apri in una nuova finestra... | Apre la sezione lista delle funzioni in una nuova finesta.
Profil | Vedi capitolo: Profili.


Selezione di una funzione

Manuale -> Funzioni -> Progettazione nell'editor -> Selezione di una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare una nuova funzione si deve selezionare la voce "Nuova funzione". Si apre il dialogo adibito alla scelta delle funzioni. Dopo averne selezionata una trovate sotto il dialogo un aiuto. In quella sede si ha una breve spiegazione della funzione selezionata. Ulteriori informazioni su questo tema le potete trovare nel capitolo Funzioni: visione generale.

Se avete selezionato una funzione e confermato la scelta cliccando su OK, la funzione viene creata. I suoi parametri possono essere definti nella finestra delle proprietà.

Se, dopo aver effettuato la Vostra scelta, usate il pulsante "Help" del dialogo, passate direttamente alla parte della guida in linea che concerne la funzione in questione.

Come nella finestra delle proprietà, anche qui è a disposizione una lista di favoriti che può essere gestita e modificata in modo individuale. Il nodo "Favoriti" si trova sempre all'inizio della lista. Di default si possono trovare lì le funzioni "Cambio immagine" e "Setta valore impostabile". Potete aggiungere o eliminare qualsiasi funzione dai favoriti usando il menu contestuale oppure mediante Drag&Drop.

Al di sotto del dialogo viene visualizzato il corrispondente help nel quale potete trovare una breve descrizione della funzione selezionata. Una visione generale concernente le singole funzioni che sono a Vostra disposizione, la trovate anche nella sezione Funzioni: visione generale.


Cancella funzioni

Manuale -> Funzioni -> Progettazione nell'editor -> Cancella funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per eliminare una funzione, basta selezionarla nella sezione lista e premere il tasto delete ( canc ).


Aggiungi funzioni di altri progetti.

Manuale -> Funzioni -> Progettazione nell'editor -> Aggiungi funzioni di altri progetti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le funzioni possono essere copiate/incollate da un altro progetto presente e attivo nell area di lavoro (workspace) corrente.

Ciò è possibile per immagini (immagine funzione start-fine, pulsanti), valori limite, temporizzatore, schedulatore, script, menu, progetti (esecuzione automatica della funzione, archivio).


Funzioni di sistema

Manuale -> Funzioni -> Funzioni di sistema


Applicazione - funzioni

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Funzioni generali in zenon


Selezione stampante

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Selezione stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le stampanti per le diverse tipologie vengono definite principalmente nella Configurazione generale.

Con questa funzione si può modificare nel funzionamento online la stampante da utilizzare. Per questa funzione non occorrono parametri.

Le impostazioni delle stampanti vengono effettuate come descritto nel capitolo configurazione/standard/stampante.


Attiva funzioni per valori limite

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Attiva funzioni per valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Grazie a questa funzione, la gestione delle funzioni di valore limite viene attivata durante il Runtime.


Disattiva funzioni per valori limite

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Disattiva funzioni per valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Grazie a questa funzione, la gestione delle funzioni di valore limite viene disattivata durante il Runtime.


Attiva/distattiva funzione per valori limite

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Attiva/distattiva funzione per valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Grazie a questa funzione, le funzioni di valore limite passano durante il Runtime fra i due stati 0 e 1 . All’avviamento del Runtime, il sistema legge lo stato salvato nel file zenon6.ini.

[FUNKTIONEN]

EIN=0 -> disattivata

EIN=1 -> attiva


Aggiorna il progetto

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Aggiorna il progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione aggiorna i file runtime modificati, senza dover prima arrestare il progetto in esecuzione.

Info Informazioni

Se il nome del server o quello del server in standby vengono modificati nell´Editor, essi non possono essere ricaricati. Essi verranno sincronizzati solo in seguito ad un riavvio del Runtime.


Esci dal programma

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Esci dal programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione si termina il funzionamento online (protocollaggio nella CEL, chiusura degli archivi, esecuzione dello script “AUTOEND” etc.).

Non sono necessari parametri di trasferimento.

attenzione Attenzione
  • L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx Skripte. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in "AUTO_END", devono essere attivate mediante Project.Inactive.
  • Non si devono riportare archivi ciclici nello script AUTOEND.


Simulazione click tasto destro

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Simulazione click tasto destro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la scelta di questa funzione, durante il runtime il successivo click del mouse, oppure la pressione di un Touchscreen, verrà interpretato come un click del tast destro del mouse.

Questa funzione offre di conseguenza la possibilità di rendere accessibili i menu constestuali anche in presenza di un Touchscreen.

Non sono necessari parametri di trasferimento.


Salva dati ritentivi

Manuale -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Salva dati ritentivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Salvataggio dati ritentivi consente di salvare in qualsiasi momento i dati ritentivi durante il runtime. La funzione può essere importata e esportata. Per configurare la funzione:

Interno ID: Salva dati ritentivi

Salvataggio dati ritentivi

Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.

Ulteriori informazioni nella guida in linea.

  1. scegliete Nuova funzione.
  2. Navigate per raggiungere il nodo Applicazione.
  3. selezionate Salvataggio dati ritentivi
  4. Si apre il dialogo per la selezione dei moduli.

Modulo | Descrizione
Buffer circolare AML | Attivo: Buffer circolare AML viene salvato.
Buffer circolare CEL | Attivo: Buffer circolare CEL viene salvato.
Driver di sistema e driver matematico | Attivo: i dati del driver di sistema e di quello matematico vengono salvati.
driver interno | Attivo: i dati del driver interno vengono salvati.
Immagini ritentive di tutti i driver | Attivo: i dati di tutti i driver vengono salvati.
Blocco del comando | Attivo: i dati del blocco del comando vengono salvati.

Se si verificano degli errori nell´operazione di salvataggio, quest´ultimi vengono salvati nel protocollo errori.

Info Informazioni

Quando il Runtime funziona in modalità di simulazione (progetto di simulazione attivo), la funzione Salvataggio dati ritentivi non salva nessun valore dei seguenti driver:

  • driver interno
  • driver matematico
  • driver di sistema


Funzioni - Windows

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Funzioni che provocano una reazione nel sistema operativo


Esegui file audio

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui file audio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esegue ad ogni richiamo nel funzionamento runtime il file audio indicato (*.wav). Si deve indicare come parametro di trasferimento il file audio.


Operazione file

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Operazione file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Utilizzando questa funzione può esser eseguita un'operazione file nel funzionamento online (copiare, spostare e cancellare).

Come parametri di trasferimento si devono indicare "l'operazioni file" ed i parametri di file. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Operazioni file progettabili sono::

Parametri | Descrizione
Copiare | Copia un file da un percorso in un nuovo percorso di destinazione, anche con un nuovo nome; vengono presi in considerazione i parametri di trasferimento.
Spostare | Sposta un file da un percorso in un percorso di destinazione attribuendogli un nuovo nome ed elimina successivamente il percorso di origine; si tiene conto dei parametri di trasferimento.
Cancellare | Elimina file Vengono presi in considerazione i parametri di trasferimento.

Se l'origine del file non è esatta (file e percorso non esistono oppure sono difettosi) la funzione non verrà eseguita e non verrà segnalato nemmeno l' errore! Secondo l'impostazione standard non vengono visualizzate delle segnalazioni di errore. E' a Vostra disposizione un'opzione che Vi consente di ottenere in ogni caso una segnalazione di errore; potete attivarla mediante le "Opzioni". Ve lo sconsigliamo, però, perché ciò potrebbe causare il blocco del runtime o dell'esecuzione di altre funzioni.

Stabilita "l’operazioni file", si possono progettare altre opzioni:

Parametri

Descrizione

Origine/Destinazione

Indicate il percorso per origine e destinazione. Avete la possibilità di usare sia per l'una che per l'altra Wildcards (*). (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Avete tre possibilità di definire il percorso:

  • assoluto (potete utilizzare per l'inserimento anche il pulsante ".." dietro al campo testo.
  • relativo alla cartella runtime ( Link: ulteriori informazioni sulla cartella runtime))
  • relativo alla cartella file ( Link: ulteriori informazioni sulla cartella file)).

Ad esempio:

assoluto:
Origine 'C:\temp\datenbank.mdb' nach Ziel 'D:\backup\' -> Il file 'datenbank.mdb' viene copiato nella cartella 'D:\backup\'. Affinché l'operazione di copia funzioni, la cartella di destinazione deve esistere già e deve finire assolutamente con un Backslash.

relativo:
Relativo alla cartella file: "*.aml" nach Ziel'D:\backup\' copia tutti i file della lista allarmi nella cartella 'D:\backup\'.'.

Rinomina file:
E' possibile rinominare singoli file. Per es. copiare 'C:\temp\datenbank.mdb' nach Ziel 'D:\backup\backupdb.mdb' il file 'datenbank.mdb' nella cartella 'D:\backup\'; inoltre il file ottiene il nuovo nome 'backupdb.mdb'.

Non è possibile rinominare contemporaneamente diversi file attraverso delle Wildcards.

Tenere presente la sottocartella

Cerca i file anche nelle sottocartelle del percorso orginale e ne realizza una visuale ad albero anche nel percorso di destinazione.

Sovrascrivi file esistenti

Se il file di sorgente esiste già nel percorso di destinazione, verrà sovrascritto con il file attuale

Visualizza segnalazioni di errore

Se non è possibile copiare o spostare i file, viene emessa una segnalazione di errore dal sistema Non si consiglia di attivare questa opzione visto che potrebbe verificarsi un'eventuale blocco del runtime o della esecuzione di altre funzioni.

Visualizzare dialogo nel runtime

Nel funzionamento online, prima dell'esecuzione di questa funzione viene aperta una maschera di dialogo, nella quale è possibile adattare i parametri (Operazioni file, origine, destinazione ecc..). Le impostazioni modificate in questa sede vengono mantenute durante il runtime del funzionamento online. In questa finestra di dialogo manca l´opzione con finestra di dialogo prima dell´esecuzione”.

Solo eseguire, se file

L'operazione file verrà eseguita solamente per un arco di tempo definito (giorni, ore).

è più vecchio di

Il file deve essere più vecchio dell'arco di tempo indicato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal punto di esecuzione.

è più giovane di

Il file deve essere più recente dell'arco di tempo indicato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal punto di esecuzione.
Indicazione: "non più vecchio di" deve essere più grande di "non più recente di".


Start file audio continuo

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Start file audio continuo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l'utilizzo di questa funzione nel funzionamento online viene eseguito il file audio (*.wav) specificato ripetutamente; ciò avviene fino a quando viene eseguita la funzione Suono continuo fine. Si deve indicare come parametro di trasferimento il file audio.


File audio continuo fine

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> File audio continuo fine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione termina l´esecuzione continua di un file audio(*.wav) , che è stata avviata con la funzioneStart file audio continuo.


Stampa Screenshot

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Stampa Screenshot

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel Runtime, con questa funzione può essere stampato uno screenshot dell’intero schermo o di modelli (immagini di processo, liste, curve trend etc.). I modellli si selezionano tramite doppio-clic.

Come parametri di trasferimento si devono indicare il modello ed opzioni addizionali. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Proprietà

Descrizione

Seleziona area di stampa

Visualizzazione dell´area selezionata

Definisci area di stampa

Selezione dell´area da stampare.

Area schermo completa

Stampa uno screenshot dell´intero schermo. Nel caso di sistemi multi-monitor viene stampato il contenuto del monitor standard.

Lista dei modelli

Disponibile solo se la proprietà Area schermo completa è disattivata.

Selezionate il modello desiderato cliccandoci sopra due volte. Questo sarà visualizzato nel campo Seleziona area di stampa.

Avvertenza: se il modello selezionato non è attivo nel Runtime, non si stampa nulla.

Monitor

Disponibile solo se è stato selezionato un modello e se la proprietà Area schermo completa è disattivata.

Selezionate il monitor desiderato fra quelli presenti nella lista a cascata.

  • Tutti
  • monitor attuale
  • certo monitor virtuale

Avvertenza: Quando avete selezionato un modello che riguarda più monitor, dovete selezionare monitor attuale, in modo tale che venga stampato l'intero modello.

Opzioni di stampa

Con margine

Nell´effettuare l´operazione di stampa, si lascia un margine.

Invertito

Inverte settori chiari/scuri.

Fax

Devia la stampa a un fax Per far sì che ciò avvenga, bisogna che venga selezionato un fax nelle Impostazioni stampa come stampante per screenshot. .


Sullo sfondo

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Sullo sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel funzionamento online, questa funzione porta la visualizzazione di zenonsullo sfondo. Non si considera l’immissione SYSKEY nel file project.ini. La selezione di altre applicazioni (programm manager) è possibile.

[DEFAULT] |
... |
SYSKEY= | 0 - tasti di sistema attivi
 | 1 - tasti di sistema bloccati (default)

Non sono necessari parametri di trasferimento.


In primo piano

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> In primo piano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel funzionamento online, questa funzione porta la visualizzazione di zenonin primo piano. Tutte le altre applicazioni si spostano nello sfondo (eccezione: applicazioni con la caratteristica “Sempre in primo piano”). Si considera l’immissione SYSKEY nel filei project.ini.

Inserimento | Significato
[DEFAULT] |
SYSKEY= | 0 - tasti di sistema attivi
 | 1 - tasti di sistema bloccati (default)

Non sono necessari parametri di trasferimento.

Info Informazioni

Con la funzione "Apri il Runtime in primo piano", la finestra Runtime viene definita come finestra principale. In tal modo la Barra stato allarmi verrà coperta. Per riportare la Barra stato allarmi in primo piano, potete:

  • attivare i pulsanti di sistema (disattivare proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano con i tasti Alt+Tab

    Interno ID: In primo piano

    Pulsanti di sistema bloccati

    Attiva: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
    Non attiva: tasti di sistema non vengono bloccati.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Indicazione: possono essere bloccati altri tasti di sistema durante il runtime tramite Keyblock Runtime Start.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • attivare la Windows Taskbar e cliccare sulla finestra Status
  • Riportare il Runtime in background
  • Riavviare il Runtime


Lancia programma

Manuale -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Lancia programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione lancia nel funzionamento online un altro programma (*.EXE). Alla chiamata di funzione possono essere indicati dei parametri di trasferimento per il programma dovendo essere avviato.

Si indica come parametro di trasferimento il file programma (*.EXE). La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Le impostazioni progettabili sono:

Parametri | Descrizione
Name | nome del file da eseguire; ricerca e selezione possibile con il pulsante
Parametri | parametro di trasferimento per il programma
Proporre questo dialogo nel runtime | cambiare programma e parametri nel funzionamento online alla chiamata della funzione

Il programma si seleziona da un box dialogo.

Il programma, per essere avviato, deve trovarsi in un percorso (ambiente sistema Windows NT). Programmi definiti da utente (Visual-Basic) sono da depositare nel percorso d´installazione di zenon.

A lista allarmi aperta ed allarme selezionato si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata di funzione. Il parametro si trasferisce come parola chiave.

Parametri | Descrizione
@alarm.name | nome della variabile
@alarm.unit | unità della variabile collegata
@alarm.value | valore che causa l´immissione
@alarm.stext | testo valore limite corrispondente
@alarm.ctime | tempo entrata (valore in sec. a partire dal 1.1.1970)
@alarm.ctimemilli | e relativi millisecondi
@alarm.gtime | Tempo di uscita
@alarm.gtimemilli | e relativi millisecondi
@alarm.qtime | tempo ripristinato
@alarm.user | utente avendo ripristinato
@alarm.identification | identificazione della variabile

Non si trasmette nessun parametro di trasferimento a lista allarmi non aperta oppure a più o nessun allarme selezionato nella lista. Se sono aperte più liste allarmi (lista globale e selettiva) si utilizza l’immissione selezionata della prima lista trovata.

A lista eventi cronologica aperta ed immissione selezionata si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata di funzione. Il parametro si trasferisce come parola chiave.

Parametri | Descrizione
@cel.name | nome della variabile
@cel.unit | Unita della variabile collegata (solo quando variabile è collegata)
@cel.value | valore che ha avviato l´immissione (solo se avviato per violazione di valore limite)
@cel.stext | testo valore limite corrispondente
@cel.ctime | tempo entrata (valore in sec. a partire dal 1.1.1970)
@cel.ctimemilli | e relativi millisecondi
@cel.user | utente avendo ripristinato
@cel.identification | identificazione della variabile

Non si trasmette nessun parametro di trasferimento a lista eventi cronologica non aperta oppure a più o nessuna immissione selezionata nella lista. Se sono aperte più liste eventi cronologica (lista globale e selettiva) si utilizza l’immissione selezionata della prima lista trovata.

Altri parametri di trasferimento possibili sono:

@picture

immagine dalla quale è stata lanciata la funzione

Quando si utilizza questa funzione si deve tenere conto degli effetti dei programmi lanciati sul sistema globale (risorse necessarie, multitasking, sicurezza del programma etc.)


Successione di esecuzione durante il runtime

Manuale -> Funzioni -> Successione di esecuzione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'esecuzione di funzioni nel runtime avviene in 3 livelli di priorità.

  • Priorità 1: immediata (viene eseguita subito)
  • Priorità 2: High (prima dell´esecuzione viene aperto un dialogo)
  • Priorità 3: Low

Nel caso in cui per una funzione con la priorità 1 venga disattivato un dialogo prima dell´esecuzione, il livello di priorità viene abbassato a 2.

Nell'ambito di un progetto, tutte le funzioni di uno Script vengono inserite nello stesso Queue. Nello script, tutte le funzioni vengono eseguite in un livello di priorità ed è garantito che esse vengano realizzate l'una dopo l'altra.

Esempio Esempio

Tramite uno script, viene attivato mediante cambio d'immagine ad immagini di diversi progetti un ordine di immagini, che dipende dalla successione dell'esecuzione (immagini si trovano su altre immagini).

Priorità dell´esecuzione durante il runtime

Gruppi di funzione

Funzioni

Priorità

AML e CEL

Gestione del filtro allarmi e CEL

  • Ripristino lampeggio allarmi

1

  • Cancellazione allarmi

1

  • Ripristina allarmi

1

  • Attiva_disattiva gruppo allarmi_eventi

1

  • Lista di informazione allarmi attiva

1

  • Lista allarmi attiva/inattiva

1

  • Disattiva allarmi

1

  • Attiva/disattiva lista allarmi, gruppo allarmi/eventi, classi allarmi/eventi.

1

  • Lista allarmi e CEL: Salvataggio buffer circolare

1

  • Stampa AML e CEL

3

  • Esportazione allarmi

2

  • Esportazione CEL

2

  • Crea/stampa documento IPA

1

  • Stampa online on/off

1

  • Inizia stampa online di una nuova pagina

?

  • Cambio stampa online

3

Applicazione

Apri applicazioni

  • Selezione stampante

3

  • Stampa diagramma Trend esteso

1

  • Cambia tavolozza colori

2

  • Attiva/distattiva funzioni per valori limite

1

  • Attiva funzioni per valori limite

1

  • Disattiva funzioni per valori limite

1

  • Richiama l’Help

3

  • Aggiorna il progetto

1

  • Determinare le operazioni di manutenzione aperte

3

  • Attiva evento PFS

1

  • Esci dal programma

3

  • Simulazione click tasto destro

3

  • Salva dati ritentivi

1

  • Analizzare euristica S7-Graph

1

  • Simulazione online on/off

1

  • Cambio lingua

2

Server archivi

Gestione archivi

1

  • Terminare archivio

1

  • Indicizzare archivio

1

  • Partenza archivio

1

  • Archivi attivi

2

  • Esportazione archivio

1

gestione utenti

gestione utenti

  • Modifica utente

3

  • Login con dialogo

2

  • Login senza password

2

  • Logout

2

  • Modifica password

2

Immagini

Selezionare e gestire immagini

  • Modifica colore fonte ACL

1

  • Cambio immagine con Variabile

1

  • Immagine: chiudi

2

  • Immagine indietro

1

  • Spostare il centro dell'immagine

1

  • Cambio immagine

1

  • Attiva impostazione su elemento focalizzato

1

  • Focalizzazione sul modello

1

  • Sposta focus

1

  • Elimina focalizzazione dal modello

1

  • Visualizza menu

1

  • Assegna monitor

1

  • Profili runtime

1

  • Chiudi modello

1

  • Finestra di controllo

1

Ricerca errori in reti elettriche

  • Riconosci guasto messa a terra

1

  • Termina ricerca messa a terra

1

  • Avvia ricerca messa a terra

1

  • Riconoscimento breve messaggio

1

Message Control

Invio di messaggi (message control)

  • Aktuelle Queue speichern

    Interno ID: Successione di esecuzione durante il runtime

    Aktuelle Queue speichern

    Salva nel Runtime un´immagine della coda messaggi attuale.

    Ulteriori informazioni nella guida in linea.

1

  • Gruppen/Klassen/Bereiche/Anlagen unterdrücken

    Interno ID: Successione di esecuzione durante il runtime

    Gruppen/Klassen/Bereiche/Anlagen unterdrücken

    Disattiva o attiva degli elementi della lista per cui non deve essere inviato nessun messaggio.

    Ulteriori informazioni nella guida in linea.

1

  • Invia messaggio

    Interno ID: Successione di esecuzione durante il runtime

    Invia messaggio

    Questa funzione manda un messaggio del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea

1

  • Attiva invio messaggio

    Interno ID: Successione di esecuzione durante il runtime

    Attiva invio messaggio

    Questa funzione attiva la trasmissione di messaggi del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea.

1

  • Disattiva invio messaggio

    Interno ID: Successione di esecuzione durante il runtime

    Disattiva invio messaggio

    Questa funzione disattiva la trasmissione di messaggi del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea

1

Rete

Funzione di rete

  • Autorizzazione in rete

1

  • Commutazione ridondanza

1

Generatore di rapporti

Funzioni per report

  • Stampare report

2

  • Esportare report

2

  • Eseguire report

2

Ricette

Gestione delle ricette

  • Manager gruppi ricette

2

  • Ricette Standard

2

  • Richiamo diretto ricetta standard

2

  • Richiamo ricetta singola con selezione

2

  • Ricetta standard con selezione online

2

Script

Esegui sequenza di funzioni (script)

  • Esegui script.

1

  • Script con selezione online

2

Variabile

Funzioni per variabili

  • Esportazione Dati

3

  • Leggere file dBase

2

  • Stampa valori momentanei

2

  • Cambio unità di misura

2

  • Gestione HD on

1

  • Gestione HD off

1

  • Gestione HD off/on

1

  • Setta valori impostabili

1

  • Comandi driver

2

  • Funzione Trasmetti driver-immagine di simulazione allo standby

1

  • Scrivere ora nella variabile

1

  • Leggere ora da variabile

1

VBA

Funzioni - VBA

  • Aprire l’editor PCE

3

  • Aprire l’editor VBA

3

  • Esegui macro VBA

3

  • Visualizza dialogo delle macro VBA

3

VSTA

Funzioni VSTA

  • Aprire l’editor VSTA

3

  • Esegui macro VSTA

3

  • Visualizza dialogo delle macro VSTA

3

Windows

  • Esegui file audio

2

  • Operazioni file

3

  • Start file audio continuo

1

  • Stop file audio continuo

1

  • Sullo sfondo

2

  • In primo piano

2

  • Stampa Screenshot

2

  • Lancia programma

2


Gestione allarmi

Manuale -> Gestione allarmi

La gestione allarmi fornisce delle informazioni concernenti il verificarsi di errori quali, ad esempio, la violazione di un valore limite. Essa si compone di:

  1. Riga di stato degli allarmi:
    riga di informazione, che viene visualizzata durante il Runtime sempre in primo piano e contiene (a seconda delle impostazioni che sono state effettuate in fase di progettazione) l´allarme non ripristinato più recente o più vecchio.
  2. Lista allarmi (AML):
    gestisce gli allarmi di una lista durante il Runtime. La AML:
    • mostra gli allarmi e le loro cause in una lista, che può esser filtrata o no
    • consente la localizzazione della causa dell´allarme
    • consente il ripristino di allarmi
    • consente la cancellazione di allarmi
    • consente la stampa e il salvataggio di allarmi

Potetedefinire gli allarmi tramite:

  • impostazione di valori limite per variabili
  • con matrici di reazione
  • proprietà degli allarmi

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Progettare allarmi

Manuale -> Gestione allarmi -> Progettare allarmi

L´uso della gestione allarmi avviene durante il Runtime mediante immagini del tipo Lista allarmi e Lista allarmi Filtro, nonché tramite la barra stato allarmi. La Barra stato allarmi viene impostata automaticamenre come modello.

Editor

Per poter gestire degli allarmi durante il Runtime, nell´Editor devono esserci i seguenti presupposti:

  • deve essere stata progettata una Immagine del tipo Lista allarmi
  • devono essere state definite le violazioni di valori limite di Variabili o Matrici di reazione

Potete inoltre:

  • progettare degli allarmi servendovi di Filtri
  • raggruppare allarmi
  • modificare secondo le Vostre esigenze i filtri disponibili nel Runtime con una Immagine del tipo Lista allarmi Filtro

Runtime

Per la Gestione nel Runtime si usano:

  • Cambio ad un´immagine AML
  • Cambio ad immagine AML Filtro
  • le zenon Funzioni allarmi
  • Usa immagine del tipo Lista di informazione allarmi Filtro
  • Riga di stato degli allarmi.


Crea tipo d'immagine lista informazioni d´allarme

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un´immagine del tipon Lista allarmi consente di visualizzare e di stilare un protocollo durante il Runtime degli allarmi in attesa e di quelli in usciti. La visualizzazione può essere modificata tramite filtri. Le funzioni consentono l´export e la stampa degli allarmi visualizzati.

Crea tipo d'immagine lista informazioni d´allarme Filtro

Per creare un tipo di immagine del tipo Lista d´informazioni allarmi:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. selezionate nella lista a cascata l´inserimento Lista d´informazioni allarmi.
  4. cliccate sull´immagine
  5. selezionate nella barra menu il punto Elementi di controllo
  6. cliccate nella lista a cascata su Inserisci modello
  7. verranno aggiunti gli elementi standard
  8. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  9. impostate una Funzione di cambio immagine per poter aprire la AML durante il Runtime

Sono a disposizione i seguenti elementi:

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto è impostabile. Le colonne vengono definite tramite il filtro Impostazioni colonna nel cambio immagine; oppure si può utilizzare la proprietà Impostazione colonne AML che si trova nelle proprietà di progetto, più precisamente nel gruppo Lista allarmi.

Interno ID: Crea tipo d'immagine lista informazioni d´allarme

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea tipo d'immagine lista informazioni d´allarme

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Crea tipo d'immagine lista informazioni d´allarme

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visualizzazione: Filtri impostati

Visualizzazioni delle impostazioni di filtraggio attualmente in uso

Filtri ..

Apre il dialogo che serve alla selezione del filtro.

Ripristina/Cancella

Gruppo di pulsanti per ripristinare e cancellare gli allarmi
  • Ripristina

Ripristina segnalazioni di allarme durante il Runtime
  • Ripristina pagina

Tutti gli allarmi visualizzati nella pagina attuale vengono ripristinati.
  • Ripristina tutti

Si rispristinano tutti gli allarmi corrispondenti al criterio di filtro attuale.

Attenzione nel caso di progetti multi-user: vengono ripristinati solamente gli allarmi per cui l´utente possiede l´autorizzazione. (Per i dettagli concernenti i progetti multi-user, vedi il capitolo Engineering distribuito)

  • Elimina

Cancella allarmi dalla lista allarmi durante il Runtime. L´allarme deve essere già stato ripristinato.

  • Cancella pagina

Cancella tutti gli allarmi ripristinati che si trovano sulla stessa pagina.

  • Cancella tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro attuale.

Stopp/Avanti

Pulsante per riempimento della lista:

Stopp: non vengono più aggiunti automaticamente dei nuovi elementi.

Avanti: vengono aggiunti automaticamente dei nuovi elementi.

Attenzione: la didascalia del pulsante può essere modificata nell´Editor, ma non verrà ripresa nel Runtime. Le modifiche alla didascalia sul pulsante le progettate servendovi del Cambio lingua.

Chiudi

Chiude la lista allarmi

Stampa

Stampa la lista filtrata

Dialogo di stampa...

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Visualizzazione: Funzione collegata

Mostra la funzione assegnata alla segnalazione allarme.

Esegui funzione

Esegue durante il Runtime la funzione progettata con l´allarme.

Indicazione: in corrispondenza della funzione Esegui programma, può essere assegnato il nome della variabile dell´allarme selezionato come parametro per il programma da lanciare; a questo scopo ci si serve della parola chiave @alarm.name.

Richiama l’Help

Apre la guida progettata.

Visualizzazione

Stato e elementi della gestione allarmi.

  • Quantità totale

Quantità di tutti gli allarmi.

  • Quantità allarmi ripristinati

Mostra la quantità degli allarmi non ripristinati.

  • Informazioni: stato Lista allarmi

Mostra se la lista allarmi è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).
  • campo commento

Inserimento da parte dell´utente di un testo libero (commento) concernente l´allarme selezionato. Anche questo testo può essere visualizzato nella lista (opzione Commento nelle Impostazioni colonna della gestione allarmi.)

Navigazione

Gestisce gli elementi della lista.

  • Riga in su

Passa alla riga superiore.

  • Riga in giù

Passa alla riga inferiore.

  • Colonna a destra

Passa alla colonna immediatamente a destra.

  • Colonna a sinistra

Passa alla colonna immediatamente a sinistra.

  • Pagina in su

Passa alla pagina superiore.

  • Pagina in giù

Passa alla pagina inferiore.

  • Pagina a destra

Passa alla pagina immediatamente a destra.

  • Pagina a sinistra

Passa alla pagina immediatamente a sinistra.

Profili filtro

Le impostazioni filtro che possono essere salvate dall'utente nel runtime.

  • Selezione profilo

Selezionare un profilo dalla lista.
  • Salva

Salva l´impostazione attuale come profilo.
  • Elimina

Cancella il profilo selezionato.

Info Informazioni

Nell´elemento di controllo Mostra filtro viene visualizzato quello attuale.

Nel caso di un:

  • filtro di testo viene visualizzata la stampa [Txt]
  • fitro di tempo relativo viene visualizzata una stampa secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Adattare l´aspetto della AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme -> Adattare l´aspetto della AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La rappresentazione tabellare della Lista allarmi può essere adattata ad esigenze individuali.

Barra di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto della barra di scorrimento, della intestazione e di una griglia per la tabella:

  1. attivate fra le proprietà di progetto nel gruppo Visualizzazione quella Funzionalità grafiche avanzate

    Interno ID: Adattare l´aspetto della AML

    Funzionalità grafiche avanzate

    Disponibile solo per PC.

    Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista allarmi nell´immagine.

    Interno ID: Adattare l´aspetto della AML

    Intestazione e griglia

    Proprietà per l´intestazione e per la griglia.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.

Interno ID: Adattare l´aspetto della AML

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: Adattare l´aspetto della AML

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: Adattare l´aspetto della AML

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto della AML

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: Adattare l´aspetto della AML

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto della AML

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Adattare l´aspetto della AML

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: Adattare l´aspetto della AML

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: Adattare l´aspetto della AML

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della AML

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ordina durante il Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente con un file grafico

    Interno ID: Adattare l´aspetto della AML

    In ordine decrescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Interno ID: Adattare l´aspetto della AML

    Stile di visualizzazione

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

    Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

    Interno ID: Adattare l´aspetto della AML

    Angolo [°]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

    Minimo: 0

    Massimo: 360

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Offset [%]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

    Minimo: -100

    Massimo: 100

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Effetto riempimento 3-D

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

    Lineare: effetto omogeneo

    Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

    Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

    Default: Lineare

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Sfumatura colore

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    Colore riempimento

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

    Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

    Default: Standard.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della AML

    In ordine crescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. durante il Runtime viene visualizzata nella colonna rilevante per l´ordinamento la grafica selezionata.
  4. Cliccando sulla grafica si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Gestire l´intestazione durante il Runtime

Potete consentire agli utenti di gestire l´intestazione durante il Runtime. In tal modo è possibile un adattamento individuale della visualizzazione nel runtime:

  • Sposta colonne
  • Modifica grandezza
  • Modifica ordine.

Nell´ambito delle impostazioni di progetto passate al gruppo Lista di informazione allarmi e selezionate in corrispondenza della proprietà Header AML il valore Intestazione modificabile . In alternativa, potete far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

Info Informazioni

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Interno ID: Adattare l´aspetto della AML

Intestazione utilizzabile

Disponibile solamente se avete selezionato Intestazione modificabile nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.

Disponibile per la lista aspetto cursore nel trend esteso.

Permette di gestire l´intestazione per la lista corrispondente. Durante il funzionamento runtime, potete spostare le singole colonne e potete modificarne la larghezza. Potete ordinare la visualizzazione sulla base di una colonna qualsiasi.

attivo: L´intestazione è gestibile.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Anteprima

Attivando la proprietà Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In tal modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.


Crea tipo d'immagine lista informazioni d´allarme Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La Immagine del tipo Filtro Lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo Lista allarmi Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri Lista allarmi Filtri.

attenzione Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse hanno lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea tipo d'immagine lista informazioni d´allarme Filtro

Per creare un tipo di immagine del tipo Lista d´informazioni allarmi Filtri:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. selezionate nella lista a cascata l´inserimento Lista d´informazioni allarmi Filtri.
  4. selezionate un proprio modello
    (AML Filtri non può basarsi sulo stesso modello di altre immagini).
  5. cliccate sull´immagine
  6. selezionate nella barra menu il punto Elementi di controllo
  7. cliccate nella lista a cascata su Inserisci modello
  8. si apre il dialogo per selezionare uno modello
  9. selezionate il modello desiderato
  10. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  11. impostate una Funzione di cambio immagine per poter aprire l´immagine durante il Runtime

Elementi

L´immagine del tipo Lista allarmi Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:

  • Nome variabile

Filtro sulla base del nome delle variabili.

  • Identificazione

Filtro sulla base dell´identificazione delle variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Tipo allarmi

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

solo non ripristinati
  • Solo allarmi in uscita

solo usciti
  • Solo allarmi in attesa

solo in attesa
  • Commento obbligatorio

Allarmi il cui ripristino comporta l´obbligo di scrittura di un commento
  • Tempo minimo per gli allarmi in attesa - giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.

  • Tempo minimo per gli allarmi in attesa - ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.

  • Tempo minimo per gli allarmi in attesa - minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.

  • Tempo minimo per gli allarmi in attesa - secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.

  • Tempo minimo per gli allarmi in attesa - millesecondi

Solo allarmi che sono in attesa perlomeno dal numero di millesecondi indicato.

Origine dati

Da dove provengono i dati:

  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.

  • Didascalia: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi allarmi/eventi

Gruppi allarmi/eventi
  • Classi allarmi/eventi

Classi allarmi/eventi
  • Aree allarmi

Aree allarmi

Filtro tempo

Lista a cascata di diversi Filtri tempo.

Aggiungi tutti gli elementi: Tempo assoluto - Visualiz. classica

Aggiunge tutti gli elementi per la definizione di tempi assoluti: ogni elemento riceve un campo proprio.

Aggiungi tutti gli elementi: Inserisci tutti gli elementi: Tempo assoluto - Piccola visualiz.

Aggiunge elementi per la definizione di tempi assoluti in visualizzazione compatta.

Aggiungi tutti gli elementi: Periodo relativo

Aggiunge tutti gli elementi per la definizione di tempi relativi:

Aggiungi tutti gli elementi: Dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire dal giorno - dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato giorno- ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire da giorno, mese - ore HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato mese-giorno- ore-minuti-secondi.

Didascalia: Tipo filtro tempo

Didascalia del tipo del filtro tempo.

Combobox: Tipo filtro tempo

Combobox Tipo filtro tempo.

Visualizzazione: Tipo filtro tempo

Campo per visualizzazione del tipo filtro tempo.

Tempo da

campi e didascalie per inserimenti di tempi "da".
  • Didascalia: dall´anno

  • Combobox: dall´anno

  • Didascalia: Dal mese

  • Combobox: Dal mese

  • Didascalia: Dal giorno

  • Combobox: Dal giorno

  • Didascalia: Dall´ora

  • Combobox: Dall´ora

  • Didascalia: Dal minuto

  • Combobox: Dal minuto

  • Didascalia: Dal secondo

  • Combobox: Dal secondo

  • Spincontrol: da

Tempo fino a

Campi e didascalie per inserimenti di tempi "fino a".
  • Didascalia: Fino all´anno

  • Combobox: Fino all´anno

  • Didascalia: Fino al mese

  • Combobox: Fino al mese

  • Didascalia: Fino al giorno

  • Combobox: Fino al giorno

  • Didascalia: Fino all´ora

  • Combobox: Fino all´ora

  • Didascalia: Fino al minuto

  • Combobox: Fino al minuto

  • Didascalia: Fino al secondo

  • Combobox: Fino al secondo

  • Spincontrol: Fino a

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.
  • Didascalia: da

  • Visualizzazione calendario: dalla data

  • Visualizzazione data: dalla data

  • Visualizzazione tempo: dal tempo

  • Didascalia: Fino a

  • Visualizzazione calendario: fino alla data

  • Visualizzazione data: fino alla data

  • Visualizzazione tempo: Fino al periodo

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elemetni per filtri testo.

Nessun filtro testo

Pulsante radio per deselezione filtri testo.

Ricerca di (parole separate da spazi vuoti).

Bottone radio per attivazione della ricerca

Didascalia: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.

  • Le paorole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.

  • Perlomeno una parole deve essere presente nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.

  • Tutte le parole devono essere presenti nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.

  • Testo filtro deve essere presente nel testo in modo esatto.

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

OK

Riprendi indicazioni e chiudi l´immagine.

Annulla

Elimina indicazioni e chiudi l´immagine.

Accetta

Accetta le indicazioni e lascia aperta l´immagine per altri inserimenti.

Aggiorna:

aggiorna l´immagine.

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.


Definire gli allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Definire gli allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete definire gli allarmi tramite:

  • valori limite e stati in caso di variabili
  • matrici di reazione

Definizione allarmi tramite variabili

Definite dei valori limite per variabili (vedi guiida sulle Variabili, capitolo Valori limite). Se questi valori vengono violati durante il Runtime, viene generato un allarme che verrà visualizzato nella Barra stato allarmi. Potete procedere alla configurazione delle ulteriori poprietà della progettazione allarmi in:

  • proprietà delle variabili del gruppo Valori limiti e nei sottogruppi in esso contenuti per ogni valore limite:

    Interno ID: Definire gli allarmi

    Valori limiti

    Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

    Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

    Interno ID: Definire gli allarmi

    Matrice di reazione attiva

    Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
    Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
    Default: Disabilitata (Valori limiti disponibili).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Come allarme: l´allarme viene ripreso nella AML. Quando e in quale forma l´allarme verrà visualizzato in quella sede, lo stabilite durante il funzionamento Runtime tramite la Lista allarmi oppure un Filtro lista informazione allarmi.

      Interno ID: Definire gli allarmi

      Come allarme

      Attiva: se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
      Non attiva: non viene generato nessun inserimento nella Lista allarmi.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Con ripristino: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.

      Interno ID: Definire gli allarmi

      Con ripristino

      Disponibile solo per gli allarmi.
      Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
      Non attiva: ripristino non obbligatorio.
      Default nel caso di allarmi: attiva, altrimenti non attiva

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Con cancellazione: l´allarme deve essere cancellato manualmente prima di essere rimosso dal Buffer circolare.

      Interno ID: Definire gli allarmi

      Con cancellazione

      Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
      Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
      Non attiva: cancellazione non obbligatoria.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Stampa: stampa l´allarme su una stampante definita in anticipo. Viene stampata o la CEL o la AML. Quale delle due liste deve essere stampata, lo fissate nelle proprietà di progetto, alla voce Stampa per.

      Interno ID: Definire gli allarmi

      Stampa per

      Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
      Consente di decidere se AML oppure CEL devono essere stampate online. Può essere stampata solamente una sola delle due liste.

      Interno ID: Definire gli allarmi

      Stampa attiva

      Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
      Non attiva: non ha luogo nessuna stampa online.
      Default: Attiva

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Lista allarmi: La Lista allarmi (AML) viene stampata online.
      Lista eventi cronologica: La Lista eventi cronologica(CEL) viene stampata online.
      Default: Lista di informazioni allarmi

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Definire gli allarmi

      Stampa

      Attiva: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
      Non attiva: nessuna stampa online.
      Default: non attiva.

      Interno ID: Definire gli allarmi

      AML e CEL

      Proprietà per allarmi e Lista Eventi Cronologica (CEL).

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Gruppo allarmi/eventi: assegnazione di un Gruppo allarmi/eventi.

      Interno ID: Definire gli allarmi

      Gruppo allarmi/eventi

      Assegnazione di un gruppo allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
      L´ assegnazione ad un gruppo allarmi/eventi avviene selezionandolo nella lista.
      Default: 0 (non usato)

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Classe allarmi/eventi: assegnazione di una Classe allarmi/eventi.

      Interno ID: Definire gli allarmi

      Classe allarmi/eventi

      Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
      L´ assegnazione ad una classe allarmi/eventi avviene selezionandola nella lista.
      Default: 0 (non usato)

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Proprietà delle variabili del gruppoGestione allarmi:

    Interno ID: Definire gli allarmi

    Gestione allarmi

    Proprietà per la variabile di riconoscimento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Area allarmi: assegnazione di una Area allarmi.

      Interno ID: Definire gli allarmi

      Area allarmi

      Qui la variabile può essere collegata ad un’area di allarme.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Variabile di riconoscimento: nel caso di ripristino dell´allarme, deposita il valore 0 o 1 sulla variabile definita in questa sede.

      Interno ID: Definire gli allarmi

      Variabile di riconoscimento

      Variabile binaria: quando si ripristina un allarme della variabile di gestione, viene settato il valore della variabile di ripristino sul valore definito sotto Ripristina valore.

      Interno ID: Definire gli allarmi

      Ripristina valore

      Quando si ripristina un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento viene settata su questo valore.

      Selezione 0 o 1.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Ripristina valore: valore che viene depositato sulla variabile definita in Variabile di riconoscimento.
    • Salva nel database IPA: allarme è a disposizione per essere analizzato nel Industrial Performance Analyzer.

      Interno ID: Definire gli allarmi

      Salva nel database IPA

      Attiva: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
      Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
      Default: non attiva.

      Attenzione: il Production Facility Scheduler è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Proprietà di progetto del gruppoAML e CEL:
    • Seleziona con cornice: durante il funzionamento Runtime, le righe selezionate vengono messe in evidenza per mezzo di una cornice.

      Interno ID: Definire gli allarmi

      Seleziona con cornice

      Attiva: nella lista di informazioni allarmi (AML) e nella lista eventi cronologica (CEL) vengono messe in evidenza le righe selezionate mediante una cornice. Consigliata per una migliore leggibilità nel caso di elevate risoluzioni dello schermo.
      Non attiva: Il colore di sfondo delle righe selezionate viene invertito. Consigliata per una migliore leggibilità nel caso di basse risoluzioni dello schermo.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Stesso commento: i commenti inseriti durante il Runtime su un determinato allarme, vengono ripresi nella CEL.

      Interno ID: Definire gli allarmi

      Stesso commento

      Attiva: i commenti che nel Runtime vengono aggiunti ad un allarme, vengono depositati anche presso il relativo inserimento nella Lista eventi cronologica (CEL).
      Non attiva: i commenti relativi ad un allarme vengono depositati solamente nella lista informazioni allarmi.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Stampa attiva: attiva la stampa online.
    • Stampa per: stabilisce se l´AML o la CEL deve venire stampata online.
  • Proprietà di progetto del gruppo: Lista di informazione allarmi

    Interno ID: Definire gli allarmi

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Qui avete a disposizione numerose proprietà da utilizzare per la configurazione di allarmi. Soprattutto:

    • Attivazione AML
    • Salvataggio dati AML
    • Segnalazione degli stati allarmi
    • Attivazione delle barre stato allarmi

    I dettagli relativi alle singole impostazioni li trovate nella Embedded Help, direttamente nella parte riservata alle proprietà.

Definizione allarmi tramite matrici di reazione

Per mezzo delle matrici di reazione analizzate determinati stati di valori limite e bit di stato (vedi la parte della guida dedicata alle Variabili, sezione Matrici di reazione). La violazione delle regole stabilite porta all´attivazione di un allarme. Come nel caso delle variabili, anche in quello delle matrici di reazione potete definire le modalitá di comportamento in relazione agli allarmi. A tal scopo attivate le proprietà corrispondenti nel dialogo di configurazione delle matrici di reazione.


Gestione allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Non appena compaiono, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella runtime.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione concerne:

  • tempo entra in millesecondi come firma univoca
  • ulteriori informazioni come causa, valori ecc.
  • Tempo di uscita
  • tempo ripristinato

Quando si ripristino degli allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi con la stessa violazione del valore limite.

Non appena l´allarme viene ripristinato, viene cancellato dal buffer circolare. Eccezione: se è settata la proprietà Con cancellazione, l´allarme deve essere cancellato espressamente dall´utente.

Dimensioni del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.
Vi consigliamo: per lo meno il numero delle variabili con allarmi.

Interno ID: Gestione allarmi

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: Gestione allarmi

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il buffer circolare viene salvato automaticamente alla chiusura del runtime come alarm.bin. Se il runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

Interno ID: Gestione allarmi

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ogni modifica dei dati della Lista informazioni allarmi ha come effetto anche il salvataggio dei dati stessi (alarm.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della lista di informazioni allarmi (alarm.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.aml) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione: durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche degli allarmi che non possiedono un time stamp di uscita. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare.

Esempio Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • allarmi in attesa durante il runtime senza time stamp di uscita 120
  • Visualizzazone durante il runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi consta della lettera A seguita dalla data espressa nella forma JJMMTT e la desinenza .aml, per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Interno ID: Gestione allarmi

Salvataggio dati allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Solo buffer circolare: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
Buffer circolare e dati storici: vengono salvati anche gli allarmi storici (*.aml).
Default: Su apparecchi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).
Default: Default.
I file (alarm.bin e *.aml) vengono salvati nella cartella \Projektordner\Computername\Projektname.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file allarmi. Tutte le modifiche, come il ripristino, vengono effettuate solamente nel buffer circolare e poi sincronizzate con il file allarmi. Potete fare in modo che, ad esempio, tutti gli allarmi non ripristinati vengano visualizzati nel file allarmi e che qui si predisponga il loro ripristino, ma l´azione vera e propria si verifica solamente nel buffer circolare.

Tempi di salvataggio

Il file allarme *.aml viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

    Interno ID: Gestione allarmi

    Salva buffer AML-CEL

    Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

    Ulteriori informazioni nella guida in linea

Indicazione: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.

attenzione Attenzione

Se il buffer circolare trabocca a causa della sua dimensione troppo modesta, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti vengono visualizzati al momento di effettuare l´operazione di filtro, ma non possono essere più ripristinati. Il tentativo di effettuare il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.


Raggruppamento di allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli allarmi possono essere raggruppati e si può stabilire un ordine di priorità; a tal scopo si usa:

  • Gruppi allarmi/eventi: riassumono in modo logico gli allarmi (oppure gli eventi).
  • Classi allarmi/eventi: servono a stabilire un ordine di priorità di allarmi (o eventi) e vengono usati per l´identificazione di allarmi nella AML e di eventi nella CEL tramite l´assegnazione di un colore.
  • Aree allarmi: consentono l´analisi dettagliata di classi di allarmi/eventi tramite un elemento combinato

Ad ogni gruppo o classe possono essere assegnati un nome, un numero, un colore, una funzione e una variabile di stato, una grafica e un gruppo impianti.

Gli allarmi possono esere esportati e importati in formato XML tramite il menu contestuale.

Info Informazioni

Possono essere creati al massimo 65536 classi di allarmi/eventi e 65536 gruppi di allarmi/eventi.

Menu contestuale Allarme- Manager di progetto

Punto di menu | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da file XML.
Guida | Attiva la guida online

Info Informazioni

Vi preghiamo di usare nel progetto globale, in quello di integrazione e nei sottoprogetti degli ID univoci e diversi per gruppi e classi allarmi/eventi, nonché aree allarmi. In tal modo evitate che si verifichino delle sovrapposizioni. Queste ultime potrebbero causare una visualizzazione errata.


Gruppi allarmi/eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Gruppi allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I gruppi allami/eventi riassumono logicamente delle segnalazioni fra loro correlate.

Crea gruppi allarmi/eventi

Per creare un nuovo gruppo allarmi/eventi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Gruppi-allarmi/eventi
  2. selezionate il comando: Nuovo gruppo-allarmi/eventi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

Potete assegnare ad ogni gruppo delle ulteriori informazioni utilizzando la sua proprietà:

Parametri

Descrizione

Nome

Interno ID: Allarmi_Eventi-Gruppi

Nome

Nome del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome del gruppo-allarmi/eventi

Viene visualizzato nella AML e nella CEL.

Nr

Interno ID: Allarmi_Eventi-Gruppi

Nr

Numero del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numero del gruppo-allarmi/eventi: esso viene assegnato automaticamente da zenon.

Colore

Interno ID: Allarmi_Eventi-Gruppi

Colore

Colore del gruppo allarmi/eventi o della classe allarmi/eventi.
Il colore della classe allarmi/eventi può essere usato per la visualizzazione nelle liste.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Colore del gruppo-allarmi/eventi.

Un clic sul comando ... apre la tavolozza che utilizzerete per scegliere il colore desiderato.

Descrizione

Interno ID: Allarmi_Eventi-Gruppi

Descrizione

Descrizione del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Descrizione del gruppo-allarmi/eventi

Variabile di stato

Interno ID: Allarmi_Eventi-Gruppi

Variabile di stato

Nome della variabile il cui valore mostra se in quel momento il gruppo/la classe è attivo/a, oppure se gli allarmi di questo gruppo/questa classe vengono ignorati.

E' possibile usare solo delle variabili binarie: Un clic sul comando apre il dialogo che serve alla selezione delle variabili. In alternativa potete inserire manualmente il nome delle variabili nel campo di testo.

Valore variabile = 1: Gruppo/classe è attivo/a.

Gruppi allarmi/eventi oppure classi allarmi/eventi possono essere attivati con l´aiuto della funzione Attiva/disattiva gruppo allarmi.

Interno ID: Allarmi_Eventi-Gruppi

Attiva/disattiva gruppo allarmi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile bit con cui il Runtime di zenon mostra se in quel momento il gruppo è attivato, oppure se gli allarmi di questo gruppo sono ignorati.

Attivazione/disattivazione avviene tramite la funzione Collegamento gruppi allarmi/eventi attivo/disattivato. Lo stato del gruppo viene protocollato nella Lista eventi cronologica (CEL).

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Funzione

Interno ID: Allarmi_Eventi-Gruppi

Funzione

Nome della funzioner che viene eseguita se si verifica un allarme di questo gruppo/classe. Un clic sul comando apre il dialogo che serve alla selezione della funzione. In alternativa potete inserire manualmente il nome della funzione nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Funzione che viene eseguita se un allarme di questo gruppo si attiva. Cliccando su '...', si apre il dialogo per la scelta delle funzioni.

File grafico

Interno ID: Allarmi_Eventi-Gruppi

File grafico

Selezionate una grafica per il gruppo allarmi/eventi o la classe allarmi/eventi. Cliccando con il tasto sinistro del mouse, si accede alla selezione dei file. Selezionate il file grafico desiderato.

Default: nessun file.

Ulteriori informazioni nella guida in linea concernente i gruppi allarmi/eventi.

Ulteriori informazioni nella guida in linea concernente le classi allarmi/eventi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione di una grafica che rappresenta il gruppo allarmi/eventi nella AML.

Al fine di visualizzare la grafica nella AML, selezionate nel filtro della AML e, più in particolare nella scheda Impostazioni colonna, per la colonna Simbolo gruppo allarmi/eventi la modalità di visualizzazione File grafico.

Indicazione: nella AML, l´altezza della colonna dipende dal carattere selezionato. Se necessario, la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Interno ID: Allarmi_Eventi-Gruppi

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Collega modello di impianti con il gruppo-allarmi/eventi.

Definite l´appartenenza ad un gruppo di impianti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Cancella gruppi allarmi/eventi

Per cancellare un gruppo allarmi/eventi:

  1. selezionate il gruppo allarmi/eventi
  2. selezionate nel menu contestuale oppure nella barra dei simboli Cancella
  3. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza

Indicazione: se si cancella un gruppo, tutte le variabili collegate perdono la loro appartenza al gruppo stesso.


Menu contestuali e barra dei simboli Gruppi_Allarmi_Eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Gruppi allarmi/eventi -> Menu contestuali e barra dei simboli Gruppi_Allarmi_Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

menu contestuale - manager di progetto

Punto di menu | Azione
Nuovo gruppo-allarmi/eventi | Create un nuovo gruppo allarmi/eventi.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Menu contestuale e Barra simboli Visualizzazione dettagliata

Punto di menu | Azione
Nuovo gruppo-allarmi/eventi | Aggiunge un nuovo gruppo allarmi/eventi alla lista.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Classi allarmi/eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Classi allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le classi allarmi/eventi servono:

  • a stabilire la priorità degli allarmi per l´allarme ad immagine
  • a definire il colore degli allarmi nell´ambito della lista allarmi
  • come criterio di filtro nella lista allarmi e nella Lista eventi cronologici
  • all´attivazione di, per es., di un allarme acustico

Crea classi allarmi/eventi

Per creare una nuova classe allarmi/eventi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Classi-allarmi/eventi
  2. selezionate il comando: Nuova classe-allarmi/eventi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

Potete assegnare ad ogni classe delle ulteriori informazioni utilizzando la sua proprietà:

Parametri

Descrizione

Nome

Interno ID: Classi_di allarme_evento

Nome

Nome del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome della classe-allarmi/eventi

Viene visualizzato nella AML e nella CEL.

Nr

Interno ID: Classi_di allarme_evento

Nr

Numero del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numero della classe-allarmi/eventi: esso viene assegnato automaticamente da zenon.

Colore

Interno ID: Classi_di allarme_evento

Colore

Colore del gruppo allarmi/eventi o della classe allarmi/eventi.
Il colore della classe allarmi/eventi può essere usato per la visualizzazione nelle liste.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Colore della classe allarmi/eventi; può essere usato nella AML come forma di identificazione. Un clic sul comando ... apre la tavolozza.

Indicazione: il colore vale sia per il testo lungo e quello di stato riportato nella lista allarmi, sia per l'allarme ad immagine.

Descrizione

Interno ID: Classi_di allarme_evento

Descrizione

Descrizione del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Descrizione della classe-allarmi/eventi

Variabile di stato

Interno ID: Classi_di allarme_evento

Variabile di stato

Nome della variabile il cui valore mostra se in quel momento il gruppo/la classe è attivo/a, oppure se gli allarmi di questo gruppo/questa classe vengono ignorati.

E' possibile usare solo delle variabili binarie: Un clic sul comando apre il dialogo che serve alla selezione delle variabili. In alternativa potete inserire manualmente il nome delle variabili nel campo di testo.

Valore variabile = 1: Gruppo/classe è attivo/a.

Gruppi allarmi/eventi oppure classi allarmi/eventi possono essere attivati con l´aiuto della funzione Attiva/disattiva gruppo allarmi.

Interno ID: Classi_di allarme_evento

Attiva/disattiva gruppo allarmi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile bit con cui il Runtime di zenon mostra se in quel momento la classe è attivata, oppure se gli allarmi di questa classe vengono ignorati.

Attivazione/disattivazione avviene tramite la funzione Collegamento gruppi allarmi/eventi attivo/disattivato. Lo stato del gruppo viene protocollato nella Lista eventi cronologica (CEL).

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Funzione

Interno ID: Classi_di allarme_evento

Funzione

Nome della funzioner che viene eseguita se si verifica un allarme di questo gruppo/classe. Un clic sul comando apre il dialogo che serve alla selezione della funzione. In alternativa potete inserire manualmente il nome della funzione nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Funzione che viene eseguita se un allarme di questa classe si attiva.

Cliccando su '...', si apre il dialogo per la scelta delle funzioni.

File grafico

Interno ID: Classi_di allarme_evento

File grafico

Selezionate una grafica per il gruppo allarmi/eventi o la classe allarmi/eventi. Cliccando con il tasto sinistro del mouse, si accede alla selezione dei file. Selezionate il file grafico desiderato.

Default: nessun file.

Ulteriori informazioni nella guida in linea concernente i gruppi allarmi/eventi.

Ulteriori informazioni nella guida in linea concernente le classi allarmi/eventi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione di una grafica che rappresenta la classe allarmi/eventi nella AML.

Al fine di visualizzare la grafica nella AML, selezionate nel filtro della AML e, più in particolare nella scheda Impostazioni colonna, per la colonna Simbolo classe allarmi/eventi la modalità di visualizzazione File grafico.

Indicazione: nella AML, l´altezza della colonna si orienta al carattere selezionato; per questa ragione, anche la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Interno ID: Classi_di allarme_evento

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Collega modello di impianti con la classe-allarmi/eventi.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Cancella classi allarmi/eventi

Per cancellare una classe allarmi/eventi:

  1. selezionate la classe allarmi/eventi
  2. selezionate nel menu contestuale oppure nella barra dei simboli Cancella
  3. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza

Indicazione: se si cancella una classe, tutte le variabili collegate perdono la loro appartenza alla classe stessa.


Menu contestuali e barra dei simboli Classi_Allarmi/Eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Classi allarmi/eventi -> Menu contestuali e barra dei simboli Classi_Allarmi/Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova classe-allarmi/eventi | Create una nuova classe allarmi/eventi.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Menu contestuale e Barra simboli Visualizzazione dettagliata

Punto di menu | Azione
Nuova classe-allarmi/eventi | Aggiunge una nuova classe allarmi/eventi alla lista.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le aree allarmi consentono una funzione di allarme flessibile realizzata mediante il ricorso a variabili di stato. Queste ultime possono essere analizzate, ad esempio, tramite un Elemento combinato.

Le aree di stato vengono divise in inserimenti di area. Il numero dei possibili inserimenti di area corrisponde a quello delle classi di allarmi/eventi esistenti.

Crea aree allarmi

Per creare una nuova area allarmi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Aree allarmi
  2. selezionate il comando: Nuova area allarmi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

  3. selezionate nel nodo Generale le variabili corrispondenti

    Interno ID: Aree allarmi

    Generale

    Proprietà per gruppi allarmi/eventi o classi allarmi/eventi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. nel nodo Collegamento classi impostate cliccando su {Nuova classe} un nuovo inserimento area

    Interno ID: Aree allarmi

    {Nuova classe}

    Imposta un nuovo inserimento area per l´area di allarme.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Aree allarmi

    Collegamento classi

    Riassume le variabili di stato, il numero degli allarmi attivi e di quelli non ripristinati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    (Il numero dei possibili inserimenti di area è limitato da quello delle classi di allarmi/eventi esistenti).

Proprietà di aree allarmi

Parametri

Descrizione

Generale

Nome

Interno ID: Aree allarmi

Nome

Nome dell’area di allarme.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome dell´area allarme.

Viene visualizzato nella AML e nella CEL.

Variabile di stato

Interno ID: Aree allarmi

Variabile di stato

Il primo bit di questa variabile Byte indica che ci sono allarmi attivi in questa area allarmi.
Il secondo bit di questa variabile Byte indica che ci sono allarmi non ripristinati in questa area di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile bit:

Primo bit: mostra se l´area contiene degli allarmi attivi.
Secondo bit: mostra se quest´area contiene degli allarmi non ripristinati. Per i dettagli, vedi"Bits Variabile di stato".

Interruttore '...' apre il dialogo per la scelta delle variabili.

Quantità allarmi attivi

Interno ID: Aree allarmi

Quantità allarmi attivi

Variabile che contiene il numero di allarmi attivi per questa area come valore.
Apre il dialogo di scelta delle variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile il cui valore mostra il numero degli allarmi attivi in quest´area allarmi.
Pulsante ... apre il dialogo per la selezione delle variabili.

Quanità allarmi non ripristinati

Interno ID: Aree allarmi

Quanità allarmi non ripristinati

Variabile che contiene il numero di allarmi non ripristinati per questa area di allarme come valore.
Apre il dialogo di selezione delle variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati in questa specifica area allarmi.

Nr

Interno ID: Aree allarmi

Nr

Numero della classe di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numero degli inserimenti aree configurati. Solo visualizzazione.

Gruppi d'impianto

Interno ID: Aree allarmi

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Collega modello impianti con l´area allarmi.

Definite l´appartenenza ad un gruppo di impianti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Collegamento classi

Riunisce inserimenti allarmi. Un Collegamento classi riassume variabile di stato e numero degli allarmi attivi e non ripristinati relativi ad una classe allarmi/eventi. Gli inserimenti di area vengono creati mediante la proprietà {Nuova classe}.

{Nuova classe}

Creazione di un nuovo inserimento di area.

Classe allarmi/eventi

Interno ID: Aree allarmi

Classe allarmi/eventi

Classe allarmi/eventi per l´inserimento area.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Classe per l´inserimento area

{Elimina classe}

Interno ID: Aree allarmi

{Elimina classe}

L’area selezionata viene cancellata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Cancella l´inserimento area senza domanda di verifica.

Classe allarmi/eventi

Selezione della classe allarmi/eventi per inserimento area fra quelle proposte nella lista a cascata. La classe allarmi/eventi deve essere già stata creata.

Ulteriori inserimenti, in modo analogo a quanto detto per le impostazioni generali, per ogni inserimento area con:

  • Variabile di stato

    Interno ID: Aree allarmi

    Variabile di stato

    Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi della classe allami/eventi selezionata in questa area allarmi.
    Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Quantità allarmi attivi

    Interno ID: Aree allarmi

    Quantità allarmi attivi

    Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
    Apre il dialogo per la selezione delle variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Quanità allarmi non ripristinati

    Interno ID: Aree allarmi

    Quanità allarmi non ripristinati

    Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.
    Apre il dialogo per la selezione delle variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Bits Variabile di stato

Bit | Significato
0 | 1 = allarmi in attesa 0 = nessun allarme in attesa
1 | 1 = presenti allarmi non ripristinati 0 = nessun allarme non ripristinato


Menu contestuali e barra dei simboli Aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Menu contestuali e barra dei simboli Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova area allarmi | Crea una nuova area allarmi.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Menu contestuale e Barra simboli Visualizzazione dettagliata

Punto di menu | Azione
Nuova area allarmi | Aggiunge una nuova area allarmi nella lista.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Configurare aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Configurare aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un´area allarme:

  1. clliccate su {Nuova classe}

    Interno ID: Configurare aree allarmi

    {Nuova classe}

    Imposta un nuovo inserimento area per l´area di allarme.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate la desiderata. Classe allarmi/eventi

    Interno ID: Configurare aree allarmi

    Classe allarmi/eventi

    Classe allarmi/eventi per l´inserimento area.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. definite per l´area
    • Variabile di stato

      Interno ID: Configurare aree allarmi

      Variabile di stato

      Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi della classe allami/eventi selezionata in questa area allarmi.
      Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • variabile per Quantità allarmi attivi e

      Interno ID: Configurare aree allarmi

      Quantità allarmi attivi

      Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
      Apre il dialogo per la selezione delle variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • variabile per Quanità allarmi non ripristinati

      Interno ID: Configurare aree allarmi

      Quanità allarmi non ripristinati

      Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.
      Apre il dialogo per la selezione delle variabili.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: l´assegnazione di un allarme a una certa area avviene nella proprietà Area allarmi delle variabili nel gruppo Gestione allarmi.

Interno ID: Configurare aree allarmi

Gestione allarmi

Proprietà per la variabile di riconoscimento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Configurare aree allarmi

Area allarmi

Qui la variabile può essere collegata ad un’area di allarme.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio area allarme

Collegamento classi Interno ID: Configurare aree allarmi Collegamento classi Riassume le variabili di stato, il numero degli allarmi attivi e di quelli non ripristinati. Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Classe allarmi/eventi | Variabile di stato | Quantità allarmi attivi | Quanità allarmi non ripristinati
1 | Avviso | Stato avviso 1 | Avviso 1 in attesa | Avviso 1 non ripristinato
 | Interruzione | Stato errore 1 | Errore 1 in attesa | Errore 1 non ripristinato
2 | Avviso | Stato avviso 2 | Avviso 2 in attesa | Avviso 2 non ripristinato
 | Interruzione | Stato errore 2 | Errore 2 in attesa | Errore 2 non ripristinato

Esempio- Applicazione Energy

Un'area allarme è un gruppo di oggetti. Essi vengono riassunti in un´immagine. Per un fornitore di energia, ogni stazione viene rappresentata mediante un´immagine. Le stazioni da A a T vengono visualizzate in 4 sottopagine. Tutte le aree allarmi sono visualizzate in un´unica immagine riassuntiva che consente di averne una visione generale.

  • Nel caso in cui un valore limite venga violato nella stazione A, incomincia a lampeggiare il pulsante per le stazioni nell´immagine complessiva.
  • Nell´immagine di gruppo, invece, lampeggia il pulsante che porta a quella pagina sulla quale sono rappresentate le stazioni A, B, C, D e E.
  • Nell´immagine dettagliata, infine, incomincia a lampeggiare il pulsante della stazione A.


Allarmi nel progetto globale e in quello di integrazione

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Allarmi nel progetto globale e in quello di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni progetto salva propri ID per classi allarmi, gruppi allarmi e aree allarmi. Nel caso del progetto globale, come in quelli dei progetti di integrazione e sottoprogetti, si possono verificare dei problemi di sovrapposizione. Se in diversi progetti si usano gli stessi ID, può succedere che degli inserimenti dei dialoghi di selezione dei filtri vengano sovrascritti.

Per evitare ciò, fate attenzione ad usare in tutti i progetti ID differenti. A tal scopo, impostate gruppi/classi/aree "dummy, che in seguito provvederete a cancellare.


Progettazione degli allarmi mediante filtri

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progettate le caratteristiche della visualizzazione degli allarmi durante il Runtime servendovi dei filtri. Avete diverse possibilità di farlo:

  1. definire le informazioni che, durante il Runtime, devono essere visualizzate nella lista allarmi:
    in tal modo stabilite quali informazioni devono essere visualizzate in relazione ad un determinato allarme.
    Per i dettagli sull´argomento vedi: Impostazione colonne per lista allarmi.
  2. filtrare allarmi per la lista allarmi quando essa viene aperta e modificarli nel Runtime:
    In tal modo predefinite dei filtri, date all´operatore che lavora con il macchinario la possibilità di definirne dei propri.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine lista allarmi.
  3. Definire in modo fisso filtri per il Runtime:
    In tal modo create dei filtri pensati per rispondere alle esigenze del loro uso concreto e nascondete i criteri di filtro non utili.
    Per i dettagli sull´argomento vedi: Filtri Lista allarmi Filtri.


Impostazione colonne per lista allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Impostazione colonne per lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quali informazioni devono essere visualizzate durante il Runtime nella lista informazioni allarmi, lo stabilite nelle impostazioni colonne. Queste ultime le configurate in corrispondenza di una funzione Cambio immagine nei criteri di filtro, oppure direttamente nelle proprietà della lista informazione allarmi nel progetto:

  1. aprite nelle Proprietà di progetto il nodo Lista di informazione allarmi

    Interno ID: Impostazione colonne per lista allarmi

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate sulla proprietà Impostazione colonne AML

    Interno ID: Impostazione colonne per lista allarmi

    Impostazione colonne AML

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
    Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

    Interno ID: Impostazione colonne per lista allarmi

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si aprirà il dialogo per le Impostazioni collona

Indicazione: per il calcolo della larghezza delle colonne, il sistema si riferisce alla larghezza media del carattere scelto.

Info Informazioni

Nelle impostazioni di progetto, potete adottare una proprietà di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default. L´impostazione viene salvata nel file project.ini.

Interno ID: Impostazione colonne per lista allarmi

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Impostazione colonne per lista allarmi

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.

  • Descrizione

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Indicazione: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza della colonna:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Indicazione: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe-allarmi/eventi
  • Simbolo gruppo-allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta l´inserimento selezionato verso l´alto.

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta l´inserimento selezionato verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni tabelle

Ordina in andamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra la griglia:

mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

  • Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.
  • Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millesecondi.

Indicazione: deve essere attivata se si vuole un´emissione in millesecondi di export o stampe.

Un consiglio: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attenzione Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato. Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate caratteri proporzionali, come, ad es. Courier New.


Filtri per cambio ad immagine lista allarmi.

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con i filtri stabilite quali allarmi devono essere visualizzati durante il Runtime e quali devono essere invece nascosti. I filtri possono essere definiti nell´Editor e - a seconda di quanto fissato nell´Editor - nel Runtime.

Per adattare la selezione dei filtri nel Runtime alle esigenze dell´operatore, usate invece che l´immagine Lista allarmi, unímmagine del tipo Lista allarmi Filtro.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista allarmi:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista allarme
  2. verrà aperto il dialogo filtro che presenta diverse schede con criteri di filtro:
    • Generale
    • Tempo
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Definizione d´impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamento
    • Sostituisci indice

    Per i dettagli, Vi invitiamo a leggere nella guida dedicata alle Immagini i capitoli Sostituisci collegamenti di variabili e funzioni e Simbolo collegato.


Generale

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo del filtro generale stabilite quali allarmi devono essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli allarmi sulla base di:

  • Tipo
  • Origine dati
  • Variabili
  • tempo di attesa
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Parametri

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Rispetta minuscolo/maiuscolo

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo allarmi

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi in uscita

attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

solo allarmi in attesa

attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento obbligatorio
  • attivo: Vengono visualizzati solamente gli allarmi per cui esiste un obbligo di commento quando se ne effettua il ripristino.

Allarmi devono essere in attesa perlomeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Origine dati

Visualizzazione di alarmi attuali o attuali e storici.

Buffer circolare

attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni runtime

Comportamento della AML durante il runtime.

Apri lista bloccata

attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta AML.)

Proporre questo dialogo nel runtime

attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate.

Gruppi/classi allarmi/eventi, aree allarmi.

Selezione di gruppi, classi e aree allarmi.

Gruppi allarmi/eventi

Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Classi allarmi/eventi

Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

attenzione Attenzione

Riguarda zenon sotto Windows CE: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Tempo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I filtri tempo offrono la possibilità di limitare le date che devono essere visualizzate o esportate. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I meccanimi qui descrutti valgono nel caso del cambio immagine, ma anche in caso di Export per:

  • Lista di informazioni allarmi
  • Lista Eventi Cronologica
  • Elaborazione archivio:
  • Trend esteso
  • Generatore di rapporti
  • Report Viewer

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica ciclo temporale nell´Editor
    Vengono utilizzati intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.

Per l´impostazione Imposta filtro su tipo filtro tempo si può selezionare l´opzione Mostra dialogo filtro nel Runtime, ma essa non è disponibile durante il Runtime.


Indicare intervallo nell´editor

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Tempo -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attenzione Attenzione

Se usate questo tipo di filtro, non potete adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.

    Un consiglio: attivate nel dialogo filtro della scheda Generale l´opzione Mostra dialogo filtro nel Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
    Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

  3. selezionate nella lista a cascata Selezione intervallo di tempo il filtro desiderato;
    Eccezione: Imposta filtro su tipo filtro tempo - questo è previsto per l´opzione Filtro tempo adattabile nel Runtime
  4. configurate l´intervallo di tempo selezionato

Parametri

Descrizione

Imposta filtro al tipo filtro tempo

attiva la possibilità di adattare nel Runtime il filtro.

Un giorno

Il filtro avviene per un giorno intero:
dalle 00:00:00 alle 23:59:59.

Una settimana

Il filtro avviene per un´intera settimana:
da lunedì alle 00:00:00 fino a domenica alle 23:59:59.

Due settimane

Il filtro avviene per due settimane intere:
dal lunedì della prima settimana alle 00:00:00 a domenica della seconda settimana alle 23:59:59.

Un mese

Il filtro avviene per un mese intero:
dal primo del mese alle 00:00:00 fino all´ultimo del mese alle 23:59:59.

Un anno

Il filtro avviene per un anno intero:
dal primo gennaio dell´anno alle 00:00:00 fino al 31 dicembre dell´anno alle 23:59:59.

15 minuti

Il filtro viene effettuato per un intervallo di tempo di 15 minuti.

30 minuti

Il filtro viene effettuato per un intervallo di tempo di 30 minuti.

60 minuti

Il filtro viene effettuato per un intervallo di tempo di 60 minuti.

Periodo relativo

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita la funzione, viene visualizzato un dialogo per mezzo del quale si può inserire un intervallo di tempo relativo in giorni, ore (HH), minuti (MM) e secondi (SS).

Attenzione! l´intervallo di tempo selezionato si riferisce al punto di apertura. L´intervallo di tempo filtrato viene stabilito in modo fisso.
Esempio: quando si attiva la funzione sono le 10:23:00. Voi impostate un intervallo di tempo relativo di un´ora. Il filtro viene impostato dalle 9:23:00 alle 10:23:00.

Periodo assoluto

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare un intervallo di tempo assoluto. Definite il punto iniziale e quello finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Charge

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare una charge Il filtro tempo viene impostato sull´intervallo della charge. Potete, ad esempio, effettuare il filtro degli allarmi oppure di tutti gli inserimenti CEL che si verificano durante una charge.

Avvertenza: Il filtro mostra solamente le charge già terminate.

Charge relativo

Solo per Trend esteso.

La rappresentazione parte sempre dal punto zero. Consente un confronto diretto di diversi charge.

Opzioni

Per tutti gli intervalli tempo (fatta eccezione per intervallo tempo assoluto e relativo, nonché charge) sono possibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Usare ultimo intervallo tempo terminato

attivo: Si usa sempre l´intervallo di tempo attuale. Se l´opzione è attiva, invece, viene visualizzato l´intervallo di tempo precedente.

Esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

Sposta intervallo di tempo indietro di

Attivo: l´intero intrevallo di tempo viene spostato indietro del tempo indicato. La lunghezza di periodo di tempo non è influenzata da questa impostazione.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. Nel runtime, il filtro non inizierà allo scoccare dell´ora, ma sempre 5 minuti più tardi, cioè, per esempio, alle 10:05:00, alle 11:05:00 ecc. Ma l´operazione di filtro riguarda sempre 60 minuti, cioè, per esempio, dalle 11:04:59 alle 12:04:59, ecc.

Tempo

Definisce il fuso orario in termini di ore (HH), minuti (MM) e secondi (SS).

Modifica il periodo di tempo di

Attivo: l´intevallo di tempo filtrato viene accorciato o allungato.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. L´opzione conta anche il tempo indicato è settata. Nel runtime

non si filtra solamente il periodo di tempo di 60 minuti, ma 65 minuti, cioè, per esempio, dalle 10:00:00 alle 11:04:59.

Tempo

Definisce il tempo che accorcia o allunga il periodo di tempo preso in considerazione per il filtro. in ore (HH), minuti (MM) e secondi (SS).

conta anche il tempo indicato

L´intervallo di tempo selezionato viene allungato aggiungendo il tempo indicato.

sottrai tempo indicato

L´intervallo di tempo selezionato viene accorciato sottraendo il tempo indicato.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Filtro tempo adattabile durante il Runtime

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Tempo -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  3. selzionate nella lista a cascata Selezione intervallo di tempo l´impostazione Imposta filtro su tipo filtro tempo

    Indicazione: l´opzione Mostra dialogo filtro nel Runtime può essere selezionata, ma non è disponibile nel Runtime l´opzione Imposta filtro su tipo filtro tempo per l´impostazione.

  4. selezionate l´intervallo di tempo dalla lista a cascata Tipo filtro tempo

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.

Nel Report Viewer e nella Post-elaborazione archivio con questa impostazione si mostrano tutti gli inserimenti a partire dal 1/ 1/ 2000.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Impostazioni colonne

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo dialogo definirete quali colonne volete che siano visualizzate, in quale forma, successione ed ordine.

Indicazione: tutte le impostazioni che effettuerete in questa cartella valgono come impostazioni di default per:

  • Tipo d'immagine lista informazioni d´allarme
  • Immagine del tipo Filtro Lista di informazione allarmi
  • Riga di stato degli allarmi.
  • Immagine del tipo Lista eventi cronologica
  • Immagine del tipo Lista eventi cronologica Filtro

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni d´allarme/CEL.

Info Informazioni

Nelle impostazioni di progetto, potete adottare una proprietà di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default. L´impostazione viene salvata nel file project.ini.

Interno ID: Impostazioni colonne

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Impostazioni colonne

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Impostazioni colonne

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Impostazioni colonne

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.

  • Descrizione

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Indicazione: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza della colonna:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Indicazione: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe-allarmi/eventi
  • Simbolo gruppo-allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta l´inserimento selezionato verso l´alto.

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta l´inserimento selezionato verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni tabelle

Ordina in andamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra la griglia:

mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

  • Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.
  • Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millesecondi.

Indicazione: deve essere attivata se si vuole un´emissione in millesecondi di export o stampe.

Un consiglio: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attenzione Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato. Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate caratteri proporzionali, come, ad es. Courier New.


Testo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il filtro testo consente di limitare la visualizzazione alle sole segnalazione che contengono determinati criteri di ricerca.

Parametri | Descrizione
Filtra secondo |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo input | Indicate le parole corrispondenti, oppure la catena di caratteri.
Opzioni |
Rispetta minuscolo/maiuscolo | Attivo: per la denominazione, si distingue fra lettere maiuscole e minuscole.
Le paorole non devono essere presenti nel testo nella loro interezza. | Attivo: anche parti di parole vengono tenute in considerazione nell´effettuazione dell´operazione di filtro.
Perlomeno una parole deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto. | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Stato

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lo stato del checkbox indica se il bit di stato deve essere analizzato.

Stato del checkbox | Descrizione
punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Esempio Esempio

Se il checkbox SPONT è settato su 1, vengono visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Indicazione: Dettagli sui bit di stato li potete trovare nel capitolo Elaborazione stato.


Progetto

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione dei progetti di cui si deve tener conto per la AML. Il filtro per la selezione dei sottoprogetti è a disposizione solamente nel Progetto di integrazione della Gestione multiprogetto.

La selezione nell´ambito del progetto di integrazione e di tutti i sottoprogetti avviene per multiselect tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Definizione d´impianto

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Definizione d´impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel filtro vengono visualizzati tutti i Modelli impianto già esistenti. Mediante il menu contestuale o la barra di menu è possibile impostare nuovi modelli e gruppi.

Per aggiungere dei gruppi al filtro:

  1. selezionate l´elemento desiderato
  2. cliccate sul pulsante Aggiungi
  3. ripetete l´operazione finché tutti i gruppi necessari non sono contenuti nella lista
    (non è possibile una selezione multipla)

Per eliminare dei gruppi dal filtro:

  1. selezionate gli elementi desiderati
    (Multiselect: tenere premuto il tasto Ctrl oppure quello Shift e cliccare sull´elemento desiderato).
  2. Cliccate sul pulsante Cancella

Elemento | Descrizione
Modello impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | aggiunge alla lista filtro il gruppo selezionato.
Rimuovi | rimuove dalla lista filtro il gruppo selezionato.


Filtri per cambio ad immagine lista allarmi Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un tipo di immagine del tipo Lista d´informazioni allarmi Filtri:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista allarme Filtri
  2. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Tempo


Immagini

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Il filtro viene ripreso dalla seguente immagine

Immagine che apre

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Indicazione: le impostazioni nelle schedeGenerale, Testo e Tempo sono bloccate.

Selezione immagini

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Indicazione: ha senso solamente selezionare un´immagine che può riprendere o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Indicazione: non disponibile se avere attivato la checkbox Immagine che apre.

Immagine da attualizzare

Selezione immagini

Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.

Aggiornamento

Aggiorna su tutti i monitor

attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Rispetta minuscolo/maiuscolo

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo allarmi

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi in uscita

attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

solo allarmi in attesa

attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Allarmi devono essere in attesa perlomeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Origine dati

Visualizzazione di alarmi attuali o attuali e storici.

Buffer circolare

attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni runtime

Comportamento della AML durante il runtime.

Apri lista bloccata

attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

Gruppi/classi allarmi/eventi, aree allarmi.

Selezione di gruppi, classi e aree allarmi.

Gruppi allarmi/eventi

Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Classi allarmi/eventi

Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.


Testo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Filtra secondo |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo input | Indicate le parole corrispondenti, oppure la catena di caratteri.
Opzioni |
Rispetta minuscolo/maiuscolo | Attivo: per la denominazione, si distingue fra lettere maiuscole e minuscole.
Le paorole non devono essere presenti nel testo nella loro interezza. | Attivo: anche parti di parole vengono tenute in considerazione nell´effettuazione dell´operazione di filtro.
Perlomeno una parole deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto. | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Tempo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definite in questa scheda l´intervallo che deve essere usato all´apertura dell´immagine filtro.

Sono disponibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.


Funzioni

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite funzioni si può gestire durante il Runtime la visualizzazione e la gestione della Lista allarmi.

attenzione Attenzione

Se le funzioni sono usate in rete, tenete presente il loro luogo di esecuzione.


Funzioni nella rete

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni nella rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se delle funzioni devono essere utilizzate in rete, si deve tener conto del loro luogo di esecuzione:

Nel caso di funzioni che vengono usate in rete:

  • il luogo nel quale esse vengono eseguite può essere in alcuni casi configurato liberamente
  • in altri casi tale luogo è definito in modo fisso

Info Informazioni

Gli script legano insieme diverse funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singoli funzioni.

Configura luogo di esecuzione

Nel caso delle funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente ha a disposizione i parametri corrispondenti, che si trovano nelle proprietà della funzione. Per definire il luogo di esecuzione:

  1. Navigate nelle proprietà della funzione fino a giungere al gruppo Esecuzione:

    Interno ID: Funzioni nella rete

    Esecuzione:

    Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione si esegue sul calcolatore attuale.

      Interno ID: Funzioni nella rete

      PC attuale

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul computer sul quale è stata avviata.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Server: la funzione si esegue sul server.

      Interno ID: Funzioni nella rete

      Server

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul server di progetto.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Standby: la funzione si esegue sul server.

      Interno ID: Funzioni nella rete

      Standby

      Disponibile solamente in progetti di rete ridondati:
      La funzione viene eseguita solo sul Server Standby

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Client: la funzione si esegue su tutti i clients.

      Interno ID: Funzioni nella rete

      Client

      Disponibile solamente in progetti di rete:
      la funzione viene eseguita su tutti i client del progetto.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visione generale - Funzioni in rete

La seguente tabella mostra quali funzioni vengono eseguite in quale posto.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Si

    -: No

    O: default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Calcolatore attivo
    • Server
    • standby
    • client

Funzione | Configurabile | PC attuale | Server | Standby | Client
AML e CEL |  |  |  |  |
Ripristino lampeggio allarmi | - | O |  |  |
Cancellazione allarmi | - |  | O | O |
Ripristina allarmi | - |  | O | O |
Attiva_disattiva gruppo allarmi_eventi | - | O |  |  |
Attiva/disattiva lista allarmi/gruppo allarmi/eventi/classi allarmi/eventi. | - |  | O | O |
Lista di informazione allarmi attiva | - |  | O |  |
Lista allarmi attiva/inattiva | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta AML | + | O |  |  |
Lista allarmi e CEL: Salvataggio buffer circolare | - |  | O | O |
Esporta CEL | + | O |  |  |
Stampa AML e CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia stampa online di una nuova pagina | + | O |  |  |
Cambio stampa online | - |  | O |  |
Applicazione |  |  |  |  |
Selezione stampante | + | O |  |  |
Partenza EMS | - |  | O |  |
Stop EMS | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Attiva funzioni per valori limite | - |  | O | O |
Attiva/distattiva funzioni per valori limite | - |  | O | O |
Disattiva funzioni per valori limite | - |  | O | O |
Richiama l’Help | + | O |  |  |
Aggiorna il progetto | + | O |  |  |
Determinare le operazioni di manutenzione aperte | - |  | O |  |
PFS - Attiva evento definito dall´utente | + | O |  |  |
Attivare/disattivare "Setta valore impostabile": | - | O |  |  |
Simulazione click tasto destro | + | O |  |  |
Salva dati ritentivi | + | O |  |  |
Terminare il runtime | + | O |  |  |
Analizzare euristica S7-Graph | + | O |  |  |
SAP-Esegui funzione | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca messa a terra | - |  | O |  |
Topologia - LoadShedding | - |  | O |  |
Server archivi |  |  |  |  |
Terminare archivio | - |  | O | O |
Indicizzare archivio | - |  | O |  |
Partenza archivio | - |  | O | O |
Esporta archivi | - | O |  |  |
Mostra archivi aperti | - |  | O | O |
Gestione utenti |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Logout | + | O |  |  |
Modifica password | - | O |  |  |
Immagini |  |  |  |  |
ALC - Modifica colore fonte | + | O |  |  |
Cambio immagine con Variabile | - | O |  |  |
Immagine: chiudi | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Attiva impostazione su elemento focalizzato | +- | O |  |  |
Focalizzazione sul modello | + | O |  |  |
Sposta focus | - | O |  |  |
Elimina focalizzazione dal modello | + | O |  |  |
Visualizza menu | + | O |  |  |
Assegna monitor | + | O |  |  |
Profili runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Ricerca errori in reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control Indicazione: teoricamente, i luoghi di esecuzione possono essere configurati a piacere. Le modifiche non hanno nessun effetto. Message Control viene eseguito sempre sul server. |  |  |  |  |
Visualizza banca dati dei destinatari | + | O |  |  |
Invia messaggio | + | O |  |  |
Messaggio invia: attivare | + | O |  |  |
Messaggio invia: disattivare. | + | O |  |  |
Rete |  |  |  |  |
Autorizzazione in rete | + | O |  |  |
Commutazione ridondanza | - |  |  | O |
Generatore di rapporti |  |  |  |  |
Stampare report | + |  |  |  |
Eseguire report | + |  |  |  |
Esporta report | + |  |  |  |
Ricette |  |  |  |  |
Manager gruppi ricette | - | O |  |  |
Ricette Standard | - | O |  |  |
Richiamo diretto ricetta standard | + | O | O | O | O
Richiamo ricetta singola con selezione | - | O |  |  |
Ricetta standard con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script. | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esportazione Dati | - |  | O |  |
Leggere file dBase | + | O |  |  |
Stampa valori momentanei | + | O |  |  |
Cambio unità | + | O |  |  |
Gestione HD on | - |  | O | O |
Gestione HD off | - |  | O | O |
Gestione HD off/active | - |  | O | O |
Setta valori impostabili | - |  | O |  |
Comandi driver | - | O |  |  |
Funzione Trasmetti driver-immagine di simulazione allo standby | - |  |  |  | O
Scrivere ora nella variabile | + | O |  |  |
Leggere ora da variabile | + | O |  |  |
VBA |  |  |  |  |
Aprire l’editor PCE | - |  | O |  |
Aprire l’editor VBA | + | O |  |  |
Esegui macro VBA | + | O |  |  |
VBA macro - Visualizza il dialogo | + | O |  |  |
VSTA |  |  |  |  |
Aprire l’editor VSTA | + | O |  |  |
Esegui macro VSTA | + | O |  |  |
Visualizza dialogo delle macro VSTA | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Start file audio continuo | + | O |  |  |
Stop file audio continuo | + | O |  |  |
Sullo sfondo | - | O |  |  |
In primo piano | - | O |  |  |
Stampa Screenshot | + | O |  |  |
Lancia programma | + | O |  |  |


Cambio ad un´immagine AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad un´immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aprire un´immagine del tipo Lista allarmi durante il Runtime:

  1. impostate una Immagine del tipo Lista allarmi
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

È possibile modificare queste proprietà di filtro durante il Runtime. Eccezione: Nell´Editor sono stati definiti filtri di tempo fissi.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo AML:

  1. selezionate nel menu contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Allarme
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Generale
    • Tempo
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Definizione d´impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamento
    • Sostituisci indice

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.


Cambio ad immagine AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad un´immagine AML -> Cambio ad immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando di imposta un cambio ad un´immagine del tipo AML, il sistema offre diversi filtri. Per i dettagli, vedi capitolo Progettazione allarmi tramite filtri, capitolo Filtri per cambio immagine Lista allarmi.


Cambio ad immagine AML Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad immagine AML Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aprire un´immagine del tipo Lista allarmi Filtro durante il Runtime:

  1. impostate una Immagine del tipo Lista allarmi Filtro
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

Le proprietà di filtro possono essere gestite durante il Runtime solamente tramite i pulsanti definiti nell´immagine.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista allarmi Filtro:

  1. selezionate nel menu contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Lista allarmi Filtro
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Tempo

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.


Filtro Cambio immagine AML Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad immagine AML Filtro -> Filtro Cambio immagine AML Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando di imposta un cambio ad un´immagine del tipo AML, il sistema offre diversi filtri. Per i dettagli, vedi capitolo Progettazione allarmi tramite filtri, capitolo Filtri Lista allarmi Filtri.


Funzioni per la gestione allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Diverse funzioni consentono la gestione di allarmi durante il Runtime.

Per creare una funzione per la gestione allarmi:

  1. navigate per raggiungere il nodoFunzioni
  2. selezionate nel menu contestuale oppure nella barra dei simboli il comando Nuova funzione
  3. si apre il dialogo per selezionare le funzioni
  4. navigate per raggiungere il nodoAML/CEL

  5. Selezionate la funzione desiderata.
  6. configurate la funzione, se necessario
  7. collegate la funzione ad un bottone


Attiva_disattiva gruppo allarmi_eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Attiva_disattiva gruppo allarmi_eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di ottimizzare le prestazioni della connessione, è possibile procedere a disattivare di Gruppi allarmi/eventi non necessari. La conseguenza pratica di ciò è che le variabili corrispondenti non saranno più richieste dal driver.

Per utilizzare questa funzione, dovete fare quanto segue:

  1. definire l´azione: unadvise o advise
  2. definire il gruppo allarmi/eventi
    (si può definire solo un gruppo pro funzione)

Parametri

Descrizione

Azione

Definisce l´azione. Azioni possibili:

  • Disattiva: disattiva un gruppo allarmi-eventi
  • Attiva: attiva un gruppo allarmi-eventi

Gruppo-allarmi/eventi

Selezione del gruppo-allarmi/eventi Cliccando sul pulsante si apre il dialogo per selezionare il gruppo.

OK

Conferma l´inserimento e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Esempio

Nel PLC viene creato un bit di raccolta allarmi. Quando questo bit viene settato avviene tramite la gestione dei variabili la chiamata in funzione Attiva gruppo allarmi/eventi. Vengono richieste le variabili i cui valori vengono poi controllati in zenon. Si può poi procedere a resettare il bit nel PLC. Facendo uso di un valore limite, si può poi procedere a disattivare il gruppo allarmi/eventi. All´avvio del programma vengono richieste tutte le variabili.


Ripristino lampeggio allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristino lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si Ripristina lampeggio durante il Runtime, viene resettato solamente l´attributo lampeggio delle variabili di processo e il lampeggio di tutti gli elementi grafici presenti nell´immagine. L´inserimento nella lista allarmi non viene ripristinato - a meno che non sia attiva la proprietà Riconoscimento dal lampeggio.

Interno ID: Ripristino lampeggio allarmi

Riconoscimento dal lampeggio

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ripristinando il lampeggio di un elemento, si ripristina anche l´allarme corrispondente nella lista allarmi.
Non attiva: il ripristino del lampeggio di un elemento non ha altro effetto che quello per cui l´elemento non lampeggia più. L´allarme corrispondente non viene ripristinato.
Default: non attiva.
Si può ripristinare il lampeggio di elementi cliccando due volte su di essi con il tasto destro del mouse, oppure tramite la funzione "Ripristina lampeggio".

Interno ID: Ripristino lampeggio allarmi

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per ripristinare il lampeggio di allarmi durante il Runtime:

  1. create una nuova funzione.
  2. selezionate Ripristina lampeggio allarmi
  3. si apre il dialogo per la selezione del modello.
  4. Selezionate il modello desiderato.
  5. nel caso di un sistema multi-monitor, selezionate a questo punto il monitor desiderato
  6. collegate la funzione ad un bottone

Parametri

Descrizione

Seleziona modello

Modello per cui deve essere ripristinato il lampeggio degli allarmi.

Monitor

nel caso di un sistema multi-monitor, selezionate il Monitor virtuale per l´esecuzione:

  • monitor attuale
  • certo monitor virtuale

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.


Cancellazione allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Cancellazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cancellare una serie di allarmi sulla base di criteri di filtro, usate la funzione Elimina allarmi:

  1. create una nuova funzione.
  2. selezionate Elimina allarmi
  3. si apre il dialogo che serve alla selezione dei criteri di filtro
    (in modo analogo ai criteri di filtro nel cambio immagine)

  4. definite i criteri per:
    • Generale
    • Tempo
    • Testo
    • Stato
  5. collegate la funzione ad un bottone

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Con cancellazione nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Interno ID: Cancellazione allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Cancellazione allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cancellazione allarmi

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Interno ID: Cancellazione allarmi

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nel caso sia stata impostata la proprietà Con cancellazione, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

Info Informazioni

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Ripristina allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Servendovi di questa funzione, ripristinate durante il Runtime degli allarmi della Lista allarmi. C´è da sottolineare che è possibile anche un Ripristino globale.

Quando si attiva la funzione durante il runtime, si azzera anche l’attributo di lampeggio delle variabili; in tal modo viene azzerato anche l'allarme ad immagine (solo SICAM 230). Gli allarmi selezionati verranno ripristinati.

Per i parametri di trasmissione vedi il capitolo Progettazione allarmi mediante filtri.

Per ripristinare degli allarmi con questa funzione:

  1. create una nuova funzione.
  2. selezionate Ripristina allarmi
  3. si apre il dialogo che serve alla selezione dei criteri di filtro
    (in modo analogo ai criteri di filtro nel cambio immagine)

  4. definite i criteri per:
    • Generale
    • Tempo
    • Testo
    • Stato
  5. collegate la funzione ad un bottone

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Con cancellazione nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Interno ID: Ripristina allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Ripristina allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Ripristina allarmi

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Interno ID: Ripristina allarmi

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nel caso sia stata impostata la proprietà Con cancellazione, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

Info Informazioni

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Lista di informazione allarmi attiva

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista di informazione allarmi attiva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi a attivo.


Lista allarmi attiva/inattiva

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista allarmi attiva/inattiva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi da attiva a disattivata e viceversa.


Disattiva allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Disattiva allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi a disattivata.


Attiva/disattiva lista allarmi/gruppo/classi_ allarmi/eventi.

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Attiva/disattiva lista allarmi/gruppo/classi_ allarmi/eventi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione consente di attivare o disattivare gli allarmi di un determinato gruppo o classe oppure tutti gli allarmi della AML; consente inoltre di passare fra questi due stati.

Al fine di attivare o disattivare degli allarmi:

  1. create una nuova funzione.
  2. selezionate Attiva/disattiva lista allarmi/gruppo/classi_ allarmi/eventi.
  3. si apre il dialogo per la selezione degli allarmi
  4. definite i criteri per la funzione
  5. collegate la funzione ad un bottone

Parametri | Descrizione
Selezione | Selezione degli allarmi.
lista allarmi completa | La funzione è valida per la lista allarmi nel suo complesso.
Allarmi del gruppo-allarmi/eventi | La funzione vale esclusivamente per un determinato gruppo. Selezione: cliccando sul pulsante, si apre la lista a cascata.
Allarmi della classe-allarmi/eventi | La funzione vale esclusivamente per una determinata classe. Selezione: cliccando sul pulsante, si apre la lista a cascata.
attivare/disattivare | Azione della funzione.
attivare | Attiva l´elemento selezionato
disattiva | Disattiva l´elemento selezionato
toggle | Cambia stato (attivo/disattivo).


Esporta AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Esporta AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo di questa funzione, gli allarmi salvati con criteri di filtro possono essere esportati durante il Runtime in un file o in una banca dati.

Per esportare degli allarmi:

  1. create una nuova funzione.
  2. selezionate esporta AML
  3. si apre il dialogo per la selezione dei criteri di filtro
  4. definite i criteri per:
    • Formato di export
    • Generale
    • Tempo
    • Progetto
  5. collegate la funzione ad un bottone


Formato di export

Formato di export

Esportare è possibile in differenti formati:

  • dBase
  • CSV
  • XML
  • SQL

Info Informazioni

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.

Parametri

Descrizione

Formato di export

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Da tenere presente per dBase:

  • i nomi file non possono essere piú lunghi di 8 caratteri.
  • La larghezza colonna progettata viene usata per l´export. Se, per esempio, è impostato alla voce Impostazioni colonna un valore di 40 caratteri, verranno esportati al massimo solo 40 caratteri.
  • Vengono impostati al massimo255 caratteri.

Opzioni

Esporta in formato Unicode

Esportazione in ASCII effettuata in Unicode.

Esportare in modo incrementale

Vengono esportate solamente le differenze rispetto all´export precedente.

Export in file

Decisione di in quale file deve essere salvato l´export.

Nome del file

Imposta il nome file individualmente.

Al massimo 32 caratteri alfanumerici, inclusa fine nome file.

Indicazione: i file esistenti che portano lo stesso nome vengono sovrascritti.

Genera automaticamente nome file

attivo: Il nome file si genera automaticamente da una breve identificazione,da una chiave giornaliera e da un postfix.
Disattivato: Il nome file viene indicato dall´utente alla voce Nome file .

(File esistenti non vengono sovrascritti.)

Per i dettagli, vedi prossima tabella: Codificazione nome per assegnazione nome automatica

Postfix

Identificazione libera, individuale. È a disposizione solamente per Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

Esempio

Visualizzazione del nome file completo nel caso di generazione automatica.

Cartella di export impostata

Visualizzazione del percorso di esportazione attualmente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Interno ID: Formato di export

Nome/Cartella

Proprietà del nome e della cartella di salvataggio del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Formato di export

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Formato di export

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esportazione in banca dati SQL

Parametri per l´export in una banca dati SQL

Connessione a database

Configurazione della connessione alla banca dati. Un clic sul comando ... apre il dialogo di configurazione.

Tabella

Selezione della tabella in cui si deve scrivere.

Scheda Generale

Filtri generali. Vedi capitolo Progettazione allarmi tramite filtri, sezione Generale.

Scheda Tempo

Filtro tempo. Vedi capitolo Progettazione allarmi tramite filtri, sezione Tempo.

Progetto

Filtro progetto. Disponibile solamente nel Progetto di integrazione della Gestione multi-progetto.

Per la configurazione vedi capitolo Progettazione allarmi tramite filtri, sezione Progetto.

Codificazione nome per assegnazione nome automatica

Nome

AJJMMTTP.XXX

A

Identificazione breve della Lista allarmi

AAMMGG

Indicazione della data:

  • JJ: anno, a due cifre
  • MM: mese, a due cifre
  • TT: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

XXX

Fine del file:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formale

  • Formato degli inserimenti di riga: viene ripreso dalle impostazioni della proprietà Impostazione colonne AML o.Impostazioni colonne CEL.

    Interno ID: Formato di export

    Impostazioni colonne CEL

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
    Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

    Interno ID: Formato di export

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Formato di export

    Impostazione colonne AML

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
    Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

    Interno ID: Formato di export

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Separatore di colonne: punto e virgola (;)

attenzione Attenzione

Millesecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL, il tempo debba essere indicato in millesecondi, la proprietà Dialogo per le Impostazioni colonna deve essere attivato. Per far ciò:

  • passate alle proprietà di progetto, in particolare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)

    Interno ID: Formato di export

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Formato di export

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate sul pulsante ... della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL
  • si aprirà il dialogo per la impostazione collona
  • attivate la checkbox della proprietà millesecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Lista allarmi e CEL: Salvataggio buffer circolare

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista allarmi e CEL: Salvataggio buffer circolare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo di questa funzione, il contenuto del buffer circolare per allarmi e eventi, nonché i valori delle variabili matematiche possono essere salvati durante il Runtime. Gli inserimenti vengono salvati nei seguenti file:

File

Contenuto

Grandezza impostabile mediante la proprietà

ALARM.BIN

Allarmi

Dimensione buffer circolare

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

CEL.BIN

Inserimenti della lista eventi cronologica

Dimensione buffer circolare

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SY_MA32.BIN

Valori di variabili matematiche (p.e. contatori)

Per salvare il buffer circolare AML:

  1. create una nuova funzione.
  2. selezionate Lista allarmi e CEL: Salvataggio buffer circolare
  3. collegate la funzione ad un bottone


Stampa AML e CEL

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione, gli allarmi salvati con condizioni di filtro possono essere emessi tramite una stampante durante il Runtime.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Stampa AML o CEL
  3. si apre il dialogo per la selezione della lista

  4. selezionate Lista allarmi
  5. si apre il dialogo per la selezione dei criteri di filtro
  6. definite i criteri per:
    • Generale
    • Tempo
    • Carattere: selezione fra i caratteri definiti inzenon
  7. collegate la funzione ad un bottone

Info Informazioni

Durante il Runtime non si può passare fra CEL e AML. Per poter stampare entrambe le liste, si deve procedere a progettare due funzioni.

struttura riga

Data/Ora ingresso | Data/ora uscita | Data/ora tacitato | Testo lungo | Testo di stato

La parole chiave a disposizione per il file di formattazione (ALAR.FRM per stampa online e ALAR_G.FRM per stampa offline) ed esempi del loro uso, li trovate nel capitolo File di configurazione FRM nella sezione Gestione durante il Runtime.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: Piè di pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progetto alla voce AML and CEL oppure ci si seve dei file ALARM.frm o ALAR_G.frm o BTB.frm.

Interno ID: Stampa AML e CEL

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Lines per page 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina.

    Interno ID: Stampa AML e CEL

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Interno ID: Stampa AML e CEL

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Use reactivated time.

    Interno ID: Stampa AML e CEL

    Utilizza tempo di riattivazione

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Attiva: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
    Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
    Default: non attiva.

    Interno ID: Stampa AML e CEL

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

tedesco

Inglese

AML Offline

CEL Offline

AML Online

CEL Online

Descrizione

Parole chiave per la parte liste

@DATZEITKOMMT

@DTRECEIVED

X

X

X

X

Data e momento della comparsa dell´allarme

@DATZEITGEHT

@DTCLEARED

X

-

X

-

Data e momento della fine dell´allarme

@DATZEITOK

@DTACK

X

-

X

-

Data e momento del ripristino dell´allarme

@DATZEITREAKT

@DTREACTIVATE

X

-

X

-

Data e momento della riattivazione:

La proprietà Use reactivated time delle proprietà di progetto deve essere attivata.

@DATZEIT

@DTLASTEVENT

-

-

X

-

Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEIT

@TLASTEVENT

-

-

X

X

Ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEITOK

@TACK

X

-

X

-

indica solamente il momento del ripristino

@ZTKOMMT

@TRECEIVED

X

X

X

X

indica solamente il momento della comparsa dell´allarme

@ZTGEHT

@TCLEARED

X

-

X

-

indica solamente il momento della fine dell´allarme

@ZTREAKT

@TREACTIVATE

X

-

X

-

indica solamente il momento della riattivazione

@TIMELASTING

@TACTIVE

X

-

X

-

Tempo di attesa (differenza fra Entra - Esce)

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@KANALNAME

@VARNAME

X

X

X

X

Nome variabile
CEL: solo inserimenti con variabili

@AK

@ACLASSNR

X

X

X

X

Nome classi allarmi/eventi

@AG

@AGROUPNR

X

X

X

X

Numero gruppi allarmi/eventi

@AGNAME

@AGROUPNAME

X

X

X

X

Nome del gruppo-allarmi/eventi

@AKNAME

ACLASSNAME

X

X

X

X

Nome della classe-allarmi/eventi

@TAGNR

@IDENTIFICATION

X

X

X

X

Identificazione (denominazione propria della ditta)

@AMELDUNG

@TEXT

X

X

X

X

Testo messaggio allarme

@REAKTANZ

@NRREACTIVATE

X

-

X

-

Numero di riattivazioni

@STATUS

@STATUS

X

X

X

X

Informazioni di stato come nella lista allarmi

@WERT

@VALUE

X

X

X

X

Valore variabile dell´allarme

@REAKTIONSTEXT

@COMMENT

X

X

X

X

Commento dalla lista allarmi

Nel caso di uso di testi di valori limite dinamici, è disponibile solamente se Long dynamic limit texts AML o Long dynamic limit texts CEL sono attivi.

Interno ID: Stampa AML e CEL

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Stampa AML e CEL

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

@USER

@USERID

X

X

X

X

AML: Utente che ha confermato l´allarme

@RECHNER

@COMPUTER

X

X

X

X

AML: Calcolatore su cui l´allarme è stato confermato

Parole chiave per l´intestazione e il pie´ di pagina

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@SEITE

@PAGE

X

X

X

X

Numero di pagine

@HEADDATZEIT

@DTSYSTEM

X

X

X

X

Data sistema e ora sistema

@HEADDATUM

@DSYSTEM

X

X

X

X

Data sistema

@HEADZEIT

@TSYSTEM

X

X

X

X

Ora sistema

@USER

@USERID

X

X

X

X

Utente che stampa

@USERNAME

@USERNAME

X

X

X

X

Nome completo dell´utente che ha iniziato l´attività

@RECHNER

@COMPUTER

X

X

X

X

Calcolatore dal quale viene lanciata la stampa

[Testo]

[Testo]

Testo preferito nella riga di emissione nella stampante

attenzione Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millesecondi

attenzione Attenzione

Millesecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL, il tempo debba essere indicato in millesecondi, la proprietà Dialogo per le Impostazioni colonna deve essere attivato. Per far ciò:

  • passate alle proprietà di progetto, in particolare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)

    Interno ID: Stampa AML e CEL

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stampa AML e CEL

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate sul pulsante ... della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL

    Interno ID: Stampa AML e CEL

    Impostazioni colonne CEL

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
    Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

    Interno ID: Stampa AML e CEL

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stampa AML e CEL

    Impostazione colonne AML

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
    Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • si aprirà il dialogo per la impostazione collona
  • attivate la checkbox della proprietà millesecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Stampa online on/off

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´uso di questa funzione, la stampa online viene settata su uno stato:

  • on: avvia la stampa-online
  • off: termina la stampa-online
  • attivo/inattivo: cambia la stampa-online

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Cambio stampante-online
  3. si apre il dialogo per la selezione della lista

  4. Selezionate la funzione desiderata.
  5. collegate la funzione ad un bottone


Inizia stampa online di una nuova pagina

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Inizia stampa online di una nuova pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione gestite durante il Runtime il cambio pagina nel caso della stampa online:

La pagina attuale della stampa ottiene il piè di pagina progettato e un avanzamento pagina. Il contatore pagina viene rimesso a 1 e si stampa l'intestazione.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Inizia stampa online di una nuova pagina
  3. collegate la funzione ad un bottone


Cambio stampa online

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Cambio stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione permette di cambiare durante il funzionamento online la stampante.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Cambio stampante-online
  3. si apre il dialogo per la selezione della stampante
  4. selezionate la stampante desiderata fra quelle presenti nella lista a cascata.
  5. collegate la funzione ad un bottone

Parametri | Descrizione
selezione stampante | Selezione della stampante desiderata fra quelle della lista a cascata.
Proporre questo dialogo nel runtime | attivo: In caso che la funzione venga eseguita, il dialogo viene aperto e la stampante può essere definita durante il Runtime.


Gestione durante il runtime

Manuale -> Gestione allarmi -> Gestione durante il runtime

Durante il Runtime, la lista allarmi viene aperta mediante una Funzione di cambio immagine.

Gli elementi di controllo a disposizione e l´aspetto vengono progettati nell´Editor.

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto è impostabile. Le colonne vengono definite tramite il filtro Impostazioni colonna nel cambio immagine; oppure si può utilizzare la proprietà Impostazione colonne AML che si trova nelle proprietà di progetto, più precisamente nel gruppo Lista di informazione allarmi.

Interno ID: Gestione durante il runtime

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Gestione durante il runtime

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visualizzazione: Filtri impostati

Visualizzazioni delle impostazioni di filtraggio attualmente in uso

Filtri ..

Apre il dialogo che serve alla selezione del filtro.

Ripristina/Cancella

Gruppo di pulsanti per ripristinare e cancellare gli allarmi
  • Ripristina

Ripristina segnalazioni di allarme durante il Runtime
  • Ripristina pagina

Tutti gli allarmi visualizzati nella pagina attuale vengono ripristinati.
  • Ripristina tutti

Si rispristinano tutti gli allarmi corrispondenti al criterio di filtro attuale.

Attenzione nel caso di progetti multi-user: vengono ripristinati solamente gli allarmi per cui l´utente possiede l´autorizzazione. (Per i dettagli concernenti i progetti multi-user, vedi il capitolo Engineering distribuito)

  • Elimina

Cancella allarmi dalla lista allarmi durante il Runtime. L´allarme deve essere già stato ripristinato.

  • Cancella pagina

Cancella tutti gli allarmi ripristinati che si trovano sulla stessa pagina.

  • Cancella tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro attuale.

Stopp/Avanti

Pulsante per riempimento della lista:

Stopp: non vengono più aggiunti automaticamente dei nuovi elementi.

Avanti: vengono aggiunti automaticamente dei nuovi elementi.

Attenzione: la didascalia del pulsante può essere modificata nell´Editor, ma non verrà ripresa nel Runtime. Le modifiche alla didascalia sul pulsante le progettate servendovi del Cambio lingua.

Chiudi

Chiude la lista allarmi

Stampa

Stampa la lista filtrata

Dialogo di stampa...

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Visualizzazione: Funzione collegata

Mostra la funzione assegnata alla segnalazione allarme.

Esegui funzione

Esegue durante il Runtime la funzione progettata con l´allarme.

Indicazione: in corrispondenza della funzione Esegui programma, può essere assegnato il nome della variabile dell´allarme selezionato come parametro per il programma da lanciare; a questo scopo ci si serve della parola chiave @alarm.name.

Richiama l’Help

Apre la guida progettata.

Visualizzazione

Stato e elementi della gestione allarmi.

  • Quantità totale

Quantità di tutti gli allarmi.

  • Quantità allarmi ripristinati

Mostra la quantità degli allarmi non ripristinati.

  • Informazioni: stato Lista allarmi

Mostra se la lista allarmi è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).
  • campo commento

Inserimento da parte dell´utente di un testo libero (commento) concernente l´allarme selezionato. Anche questo testo può essere visualizzato nella lista (opzione Commento nelle Impostazioni colonna della gestione allarmi.)

Navigazione

Gestisce gli elementi della lista.

  • Riga in su

Passa alla riga superiore.

  • Riga in giù

Passa alla riga inferiore.

  • Colonna a destra

Passa alla colonna immediatamente a destra.

  • Colonna a sinistra

Passa alla colonna immediatamente a sinistra.

  • Pagina in su

Passa alla pagina superiore.

  • Pagina in giù

Passa alla pagina inferiore.

  • Pagina a destra

Passa alla pagina immediatamente a destra.

  • Pagina a sinistra

Passa alla pagina immediatamente a sinistra.

Profili filtro

Le impostazioni filtro che possono essere salvate dall'utente nel runtime.

  • Selezione profilo

Selezionare un profilo dalla lista.
  • Salva

Salva l´impostazione attuale come profilo.
  • Elimina

Cancella il profilo selezionato.

Configurazione della visualizzazione

Decidete quali informazioni devono essere visualizzate nella Barra stato allarmi e nella Lista allarmi servendovi delle impostazioni colonna della progettazione allarmi. Potete passare alle impostazioni colonna attraverso:

  • Proprietà di progetto -> Lista di informazione allarmi -> Impostazione colonne AML (solo scheda Impostazioni colonna )

    oppure

  • Funzione cambio ad un´immagine del tipo AML ( Tutte le schede)

Funzioni per valori limite come allarme

Al momento dell´avvio del Runtime il sistema controlla se l´allarme relativo al valore limite era già in attesa prima della chiusura del Runtime. Se è così, la funzione collegata non viene eseguita nuovamente.
Indicazione: se nel caso del valore limite non si tratta di un allarme, si può intervenire sull´esecuzione della funzione collegata al momento dell´avvio del Runtime tramite l´impostazione di progetto Esegui funzioni val. limiti all'avvio del RT nel gruppo Funzioni. Questa proprietà ha effetto solamente sui valori limite che non sono allarmi!

Interno ID: Gestione durante il runtime

Funzioni

Proprietà per l'amministrazione delle funzioni.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Esegui funzioni val. limiti all'avvio del RT

Attivo: all´avvio del Runtime, una funzione collegata ad un valore limite in attesa viene di nuovo eseguita.
Disattiva: all'avvio del Runtime, una funzione collegata ad un valore limite in attesa non viene di nuovo eseguita.
Default: attiva.

ATTENZIONE: Questa proprietà riguarda solamente dei valori limite che non sono allarmi!

Esempio 1: Il Runtime viene chiuso e nessun valore limite è stato violato. Poi viene violato un valore limite e in seguito avviato il Runtime. Se il valore limite violato è un allarme, allora viene eseguita la funzione collegata all'avvio del Runtime. Nel caso in cui invece il valore limite non è un allarme, viene usata l'impostazione di questa proprietà.
Esempio2: Il Runtime viene chiuso e un valore limite, che non è un allarme, è stato violato. La funzione collegata viene eseguita nel momento in cui il valore limite è stato violato. Se il Runtime viene riavviato, questo valore limite è ancora violato. Dipendentemente da questa proprietà viene eseguita di nuovo la funzione collegata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Riga di stato degli allarmi.

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Riga di stato degli allarmi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella riga di stato degli allarmi vengono visualizzati durante il runtime solo gli allarmi ripristinati; essi vengono rappresentati per mezzo di una riga rossa con scritta in caratteri di color nero. Essa contiene delle informazioni sulla variabile da attivare e sul tempo. La barra stato allarmi è definita come finestra principale Windows e copre dunque tutte le immagini di zenon e anche tutte le altre applicazioni.

Gli allarmi vengono ripristinati con un doppio clic con il tasto destro del mouse.

Configura barra stato allarmi

Per creare e visualizzare la barra stato allarmi, attivate nelle proprietà di progetto, e più precisamente nel gruppo Lista di informazione allarmi la proprietà Linea stati attiva.

Interno ID: Riga di stato degli allarmi.

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: Riga di stato degli allarmi.

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Riga di stato degli allarmi.

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definite il comportameto della barra stato allarmi durante il Runtime e il carattere da usare nelle proprietà di progetto di Barra stato allarmi nel gruppo Lista di informazione allarmi:

Interno ID: Riga di stato degli allarmi.

Barra stato allarmi

Proprietà per la Riga di stato della gestione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Visualizza all. seguente: Definite la barra stato allarmi come circolo. Come grandezza del circolo si usa il valore della proprietà Dimensione buffer circolare. Nel caso in cui questa proprietà è disattivata, la barra di stato degli allarmi contiene sempre solo un unico allarme.

    Interno ID: Riga di stato degli allarmi.

    Dimensione buffer circolare

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Numero massimo degli inserimenti per il buffer circolare.

    Minimo: 1
    Massimo: 32767
    Default: 100

    Raccomandato: per lo meno il numero delle variabili con allarmi.

    Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Riga di stato degli allarmi.

    Visualizza all. seguente

    Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
    Attiva: tutti gli allarmi non ripristinati vengono visualizzati nel Runtime nella riga di stato uno dietro l´altro. Non appena viene ripristinato un allarme mediante un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo. A seconda dell´impostazione della proprietà Visualizza viene visualizzato prima il più vecchio o il più recente allarme.
    Non attiva: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che un allarme è stato ripristinato.
    Default: Attiva

    Interno ID: Riga di stato degli allarmi.

    Visualizza

    Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
    Allarme più vecchio: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú vecchio allarme non ripristinato nella riga di stato (non attiva) oppure il più vecchio allarme viene visualizzato per primo (attiva).
    Allarme più recente: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú recente allarme non ripristinato nella riga di stato (non attiva) oppure il più recente allarme viene visualizzato per primo(attiva).
    Default: allarme più vecchio:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Visualizza: stabilisce se deve essere visualizzato l´allarme più vecchio o quello più recente. La selezione avviene utilizzando la lista a cascata.
    • Allarme più vecchio: FIFO-Buffer
    • Allarme più recente: LIFO-Buffer

attenzione Attenzione

Comportamento nel caso di gestione multi-progetto:

L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi.

  • Se si disattiva la barra stato allarmi in un sottoprogetto, ma non in quello di integrazione che funge da progetto di partenza, la barra di stato allarmi continuerà a venire visualizzata.
  • Se la barra di stato allarmi viene attivata nel progetto di partenza sovraordinato, verrà visualizzata anche nel progetto subordinato, anche se in quella sede è stata disattivata.
  • Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Posizionamento

Di default la riga di stato degli allarmi si trova sul bordo superiore del monitor (altezza=18 pixel con un carattere standard). Potete modificare liberamente la grandezza e la posizione impostandoli come per i Modelli. Selezionate la riga di stato allarmi e disattivate l'opzione usa posizione standard. Poi potete posizionare la riga di stato allarmi sullo schermo liberamente come ogni altro modello.
Nel caso della gestione multiprogetto nel runtime, è decisiva la posizione della riga di stato degli allarmi nel progetto di integrazione. Le impostazioni dei sottoprogetti vengono ignorate.

Segnalazioni di stato in linea stati blu

Potete definire tre tipi di segnalazioni di stato al fine di far presente all'utente che il numero degli allarmi ha superato una certa somma, o per informarlo che il buffer circolare della lista allarmi sta per traboccare.
Le segnalazioni di stato coprono la riga di stato degli allarmi rossa finché non sono ripristinate. Il ripristino avviene cliccando due volte con il tasto destro del mouse. L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario. Esso può essere impostato nella Gestione utenti sevendosi delle Autorizzazioni funzioni.

Per quanto concerne l´apertura della lista stati blu, bisogna tener presente quanto segue:

  • La riga blu è più importante per la visualizzazione di quanto non sia la barra stato allarmi rossa.
  • La riga blu reagisce esclusivamente al numero complessivo degli inserimenti nella lista.
  • Facendo uso delle proprietà del gruppo Barra stato allarmi si possono definire tre massimi per il numero complessivo degli inserimenti nella lista. Ad ognuno di questi valori massimi si può assegnare una segnalazione, che verrà visualizzata nel momento di un´eventuale superamento del limite.
  • Il valore massimo più elevato è sempre attivo.
  • La riga blu può essere disattivata cliccandoci sopra due volte con il tasto destro del mouse. Gli altri valori massimi saranno attivati solamente nel caso in cui essi vengano esplicitamente raggiunti.
  • Un massimo disattivato viene riattivato solamente quando esso dovesse essere superato di nuovo.


Lista di informazioni allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Lista di informazioni allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La lista allarmi visualizza in forma di righe durante il runtime le segnalazioni di allarmi.

Per creare e visualizzare la AML, attivate nelle proprietà di progetto, e più precisamente nel gruppo Lista di informazione allarmi la propriietà Lista di informazione allarmi attiva.

Interno ID: Lista di informazioni allarmi

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Lista di informazioni allarmi

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

La forma di rappresentazione della lista può essere definita nel filtro della funzione "cambio immagine" verso un'immagine di allarme, alla voce Impostazioni colonna.

Non appena compaiono, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella runtime.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione concerne:

  • tempo entra in millesecondi come firma univoca
  • ulteriori informazioni come causa, valori ecc.
  • Tempo di uscita
  • tempo ripristinato

Quando si ripristino degli allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi con la stessa violazione del valore limite.

Non appena l´allarme viene ripristinato, viene cancellato dal buffer circolare. Eccezione: se è settata la proprietà Con cancellazione, l´allarme deve essere cancellato espressamente dall´utente.

Dimensioni del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.
Vi consigliamo: per lo meno il numero delle variabili con allarmi.

Interno ID: Lista di informazioni allarmi

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il buffer circolare viene salvato automaticamente alla chiusura del runtime come alarm.bin. Se il runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

Interno ID: Lista di informazioni allarmi

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ogni modifica dei dati della Lista informazioni allarmi ha come effetto anche il salvataggio dei dati stessi (alarm.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della lista di informazioni allarmi (alarm.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.aml) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione: durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche degli allarmi che non possiedono un time stamp di uscita. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare.

Esempio Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • allarmi in attesa durante il runtime senza time stamp di uscita 120
  • Visualizzazone durante il runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi consta della lettera A seguita dalla data espressa nella forma JJMMTT e la desinenza .aml, per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Interno ID: Lista di informazioni allarmi

Salvataggio dati allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Solo buffer circolare: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
Buffer circolare e dati storici: vengono salvati anche gli allarmi storici (*.aml).
Default: Su apparecchi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).
Default: Default.
I file (alarm.bin e *.aml) vengono salvati nella cartella \Projektordner\Computername\Projektname.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file allarmi. Tutte le modifiche, come il ripristino, vengono effettuate solamente nel buffer circolare e poi sincronizzate con il file allarmi. Potete fare in modo che, ad esempio, tutti gli allarmi non ripristinati vengano visualizzati nel file allarmi e che qui si predisponga il loro ripristino, ma l´azione vera e propria si verifica solamente nel buffer circolare.

Tempi di salvataggio

Il file allarme *.aml viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

    Interno ID: Lista di informazioni allarmi

    Salva buffer AML-CEL

    Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

    Ulteriori informazioni nella guida in linea

Indicazione: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.

attenzione Attenzione

Se il buffer circolare trabocca a causa della sua dimensione troppo modesta, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti vengono visualizzati al momento di effettuare l´operazione di filtro, ma non possono essere più ripristinati. Il tentativo di effettuare il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.

AML durante il Runtime

Gli allarmi nella relativa lista allarmi possono acquisire tre diversi stati:

  1. Non uscito
  2. Non ripristinato
  3. Non cancellato

Gli allarmi possono essere con obbligo di ripristino e/o con obbligo di cancellazione.

Il ripristino dell'allarme ripristina anche l´attributo di lampeggio della variabile. La cancellazione di un inserimento può essere eseguita soltanto se l'allarme in uscita è stato ripristinato. La progettazione dell´obbligo di ripristino e/o di cancellazione viene effettuata mediante le proprietà Con ripristino e Con cancellazione nel nodo Valori limiti/Allarmi/CEL della progettazione variabili

Interno ID: Lista di informazioni allarmi

Allarmi/CEL

Proprietà per gli allarmi e per la Lista cronologica eventi (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Lista di informazioni allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Lista di informazioni allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Lista di informazioni allarmi

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Lista di informazioni allarmi

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio per la struttura delle righe nella lista allarmi el runtime:

Variabile | data-ora in entrata | Data-ora in uscita | Data/ora tacitato | Testo messaggio
Motore1_Disturbo | 20.06.2010 13:00:04 | 20.06.2010 13:05:35 | 20.06.2010 13:05:40 | Il relais di protezione motore ha risposto.

Ogni riga può essere ripristinata cliccando due volte con il tasto destro del mouse. . L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario.

Quando la lista allarmi è aperta, viene visualizzato nell'angolo superiore sinistro lo stato della gestione allarmi (attivo o disattivato).

Info Informazioni

La variabile per allarmi non ripristinati, allarmi ripristinati e numero degli allarmi si trova in una locale lista nella memoria.

Vedi variabile "allarmi non ripristinati" nel capito Progettazione del filtro allarmi e del filtro CEL.


Ripristina allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per far in modo che l´informazione "ripristinato" venga visualizzata nella AML, si deve fare quanto segue:

  1. nella variabile deve essere attiva la proprietà Con ripristino

    Interno ID: Ripristina allarmi

    Con ripristino

    Disponibile solo per gli allarmi.
    Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
    Non attiva: ripristino non obbligatorio.
    Default nel caso di allarmi: attiva, altrimenti non attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. l´allarme deve essere stato ripristinato

Gli allarmi possono essere ripristinati nei seguenti modi:

  • cliccando due volte sulla barra di stato allarmi
  • cliccando due volte con il tasto destro del mouse nella lista informazioni d´allarme
  • Funzione Ripristina allarmi
  • Pulsante nella Lista allarmi

Ripristinando un allarme:

  • tutti gli allarmi di una variabile con lo stesso valore limite vengono ripristinati insieme
  • il nome e l´ID dell´utente che effettua la cancellazione vengono inseriti nella lista informazioni d´allarme.
  • viene inserito nella lista di informazioni d´allarme il nome del calcolatore dal quale l´allarme è stato ripristinato.
  • Il ripristino può essere inserito anche nella Lista eventi cronologica.

Gli allarmi vengono salvati nel buffer circolare finché non vengono ripristinati. Nello stesso tempo, essi vengono depositati in file allarmi filtrabile (*.aml) che viene sincronizzato regolarmente.

Attenzione: la proprietà Dimensione buffer circolare deve avere delle dimensioni sufficienti. Se degli allarmi non vengono più salvati nel buffer circolare per mancanza di posto, gli allarmi non ripristinati possono rimanere nel file allarmi. Per i dettagli vedi capitolo Lista informazioni d'allarme (AML) .

Interno ID: Ripristina allarmi

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: Ripristina allarmi

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

quegli allarmi che sono con obbligo di commento, possono essere ripristinati solo dopo che è stato inserito un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Funzione Ripristina allarmi

La funzione Ripristina allarmi consente:

  • il ripristino di allarmi della AML mediante un´attivazione della funzione stessa
  • ripristino globale

Quando si usa la funzione durante il runtime, si azzera anche l’attributo di lampeggio delle variabili; in tal modo viene azzerato anche l'allarme ad immagine (solo SICAM 230). Gli allarmi selezionati verranno ripristinati. Per i dettagli vedi capitolo Ripristina allarmi.

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Con cancellazione nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Interno ID: Ripristina allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Ripristina allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Ripristina allarmi

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nel caso sia stata impostata la proprietà Con cancellazione, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

Info Informazioni

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Obbligo di commento per ripristino

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Ripristina allarmi -> Obbligo di commento per ripristino

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per gli allarmi con obbligo di ripristino si può stabilire che l´utente debba inserire un commento sull´allarme prima di poterlo ripristinare. Per poter inserire un commento, l´utente ha bisogno della corrispondente Autorizzazione funzione Allarme Inserire commento.

Per stabilire un obbligo di commento per un allarme, si può settare l´opzione corrispondente:

  • nella configurazione delle matrici di reazione
  • nella proprietà Commento richiesto nel gruppo Valori limiti delle variabili

    Interno ID: Obbligo di commento per ripristino

    Valori limiti

    Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

    Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

    Interno ID: Obbligo di commento per ripristino

    Matrice di reazione attiva

    Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
    Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
    Default: Disabilitata (Valori limiti disponibili).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Obbligo di commento per ripristino

    Commento richiesto

    Disponibile solo se la proprietà Con ripristino è attiva.

    Interno ID: Obbligo di commento per ripristino

    Con ripristino

    Disponibile solo per gli allarmi.
    Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
    Non attiva: ripristino non obbligatorio.
    Default nel caso di allarmi: attiva, altrimenti non attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attiva: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I commenti e gli allarmi con obbligo di commento possono essere modificati dall´utente in un secondo momento con la Autorizzazione funzione Allarme Modifica commento. Quando c´è una modifica dei commenti, si verifica un inserimento nella CEL con l´indicazione del nome variabile, nonché del commento originario e di quello modificato.

Gli allarmi con obbligo di commento vengono controllati in corrispondenza di ogni possibilità di ripristino (compreso VBA) al fine di verificare la presenza del commento stesso. Allo stesso modo, in presenza di modifiche di commenti il sistema controlla l´esistenza dell´autorizzazione necessaria. La lista informazioni allarmi può essere sottoposta ad un´operazione di filtro tesa a filtrare gli allarmi con obbligo di commento.

  • Filtro della Lista informazioni allarmi
  • Immagine del tipo Lista informazioni allarmi Filtro


Ripristino lampeggio allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Ripristino lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Oltre al ripristino di allarmi della lista allarmi, è anche possibile ripristinare immagini di allarmi tramite modelli. Il ripristino lampeggio viene attivato mediante la funzione Ripristina lampeggio allarmi, oppure lo si effettua cliccando per due volte con il tastro destro del mouse sull´elemento corrispondente. Dobbiamo precisare che in questo caso viene resettato solamente l´attributo lampeggio delle variabili e il lampeggio di tutti gli elementi grafici presenti nell´immagine. Ma non si verifica nessun ripristino degli inserimenti nella AML.

Ripristino lampeggio con ripristino nella AML.

Ripristinando il lampeggio, verranno ripristinati anche gli allarmi corrispondenti nella lista allarmi solo nel caso in cui sia stata settata l´opzione Riconoscimento dal lampeggio nella gestione allarmi.

Interno ID: Ripristino lampeggio allarmi

Riconoscimento dal lampeggio

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ripristinando il lampeggio di un elemento, si ripristina anche l´allarme corrispondente nella lista allarmi.
Non attiva: il ripristino del lampeggio di un elemento non ha altro effetto che quello per cui l´elemento non lampeggia più. L´allarme corrispondente non viene ripristinato.
Default: non attiva.
Si può ripristinare il lampeggio di elementi cliccando due volte su di essi con il tasto destro del mouse, oppure tramite la funzione "Ripristina lampeggio".

Interno ID: Ripristino lampeggio allarmi

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Solo per SICAM 230: Il ripristino nella lista allarmi oppure a livello di barra allarmi sul margine superiore dello schermo, ripristina l’allarme anche nell´immagine e nella gestione allarmi nelle immagini.

Ripristino lampeggio nel progetto di integrazione

Se si vuole ripristinare degli allarmi nel progetto di integrazione tramite la funzione Ripristino allarmi, devono essere aperte tutte le immagini interessate.

Se le immagini hanno dei modelli con lo stesso nome nel progetto sovraordinato o subordinato, esse non verranno aperte nel progetto subordinato. Nel caso in cui, però, i nomi dei modelli sono differenti, le immagini del progetto subordinato rimangono aperte in background e si può procedere ad effettuare il ripristino lampeggio anche per esse.

Info Informazioni

Quando si fa uso del ripristino lampeggio in rete, esso viene eseguito solamente a livello locale, sul client in questione.


Cancellazione allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Cancellazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cancellare un allarme bisogna:

  • eseguire una funzione Cancella allarme
    oppure
  • usare il pulsante Cancella nell´immagine del tipo Lista allarmi.

E' possibile cancellare degli allarmi solo dopo averli ripristinati.

Se nei Valori limite è stata settata la proprietà Con cancellazione, gli allarmi vengono rimossi dalla lista di quelli attivi solo dopo che essi sono stati cancellati; il solo ripristino non è sufficiente.

Interno ID: Cancellazione allarmi

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Interno ID: Cancellazione allarmi

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Con cancellazione nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Interno ID: Cancellazione allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Cancellazione allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nel caso sia stata impostata la proprietà Con cancellazione, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

Info Informazioni

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Filtra allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Filtra allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli allarmi possono essere visualizzati durante il Runtime nei seguenti modi:

  • applicazione filtro durante il Runtime
  • cambio immagine con filtro predefinito per passare ad un´immagine del tipo Lista allarmi
  • cambio immagine con filtro in concomitanza con l´apertura di un´immagine del tipo Lista allarmi
  • cambio ad un´immagine del tipo Lista allarmi-Filtro

Filtro durante il runtime

Nell´immagine del tipo Lista allarmi, si possono usare dei filtri durante il funzionamento Runtime. Al fine di filtrare gli allarmi visualizzati nella AML:

  1. deve essere stato progettato il pulsante Filtro
  2. cliccate sul pulsante
  3. si apre il Dialogo filtro della Lista allarmi

I filtri già impostati possono essere salvati nei Profili.

Cambio ad un´immagine del tipo Lista allarmi.

Gli allarmi possono essere visualizzati essendo già stati sottoposti ad un´operazione di filtro. Per far ciò:

  1. configurate un Filter per la funzione Cambio ad un´immagine del tipo Lista allarmi
  2. quando la si apre, la lista allarmi viene visualizzata già filtrata
  3. nel caso in cui per la funzione sia stata attivata l´opzione Proponi dialogo a Runtime, il filtro può essere definito nuovamente prima della visualizzazione
  4. è poi possibile definire altre impostazioni di filtro durante il Runtime servendosi del pulsante Filtro

Cambio ad un´immagine del tipo Lista allarmi-Filtro

Al fine di rendere disponibili all´utente durante il Runtime solamente quei filtri di cui ha bisogno, usate l´immagine del tipo Lista allarmi-Filtro. Per far ciò:

  1. progettate un Cambio ad un´immagine del tipo Lista allarmi-Filtro
  2. servendovi di questa funzione, aprite la AML durante il Runtime
  3. l´utente avrà una lista allarmi adattata alle sue esigenze personali


Profili filtro

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Filtra allarmi -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime.

Per poter utilizzare dei profili filtro, si devono progettare i seguenti elementi di controllo:

Parametri | Descrizione
Profili filtro | Gestione profilo
Selezione profilo | selezionare profilo salvato (lista a cascata).
Salva | Salvare impostazioni come profilo (pulsante)
Elimina | Cancellare profilo (pulsante X)

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

salvare profili filtro

Per creare un profilo filtro:

  1. definite delle condizioni di filtro durante il Runtime
  2. assegnate un nome nella proprietà Profili filtro
  3. cliccate su Salva.

Usare profili filtro

Per usare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. il filtro viene usato subito

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. Cliccate sul pulsante X
  3. il profilo viene cancellato
  4. si può continuare ad usare il filtro cancellato finché un nuovo filtro viene definto o selezionato


Usa filtro lista allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Filtra allarmi -> Usa filtro lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La Immagine del tipo Filtro Lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


Stampa e esporta allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Stampa e esporta allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli allarmi della AML possono essere documentati e archiviati come segue:

  • AML stampa online: quando viene visualizzato nella lista, ogni allarme viene emesso su un line printer
  • AML stampa offline: La AML viene stampata allo stato attuale, come se fosse una lista completata
  • Esporta contenuti della AML (filtrati)

La stampante da usare viene definita tramite File -> Configurazione generale -> Standard .

attenzione Attenzione

Per la stampa il sistema usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel settore File, nella cartella Testi e formati.

Dei modelli per il file FRM li trovate nella cartella di installazione di zenon, più precisamente nella sottocartella FRM_QRF. Essi possono essere inseriti nel settore Testi e formati e modificati in questa sede.

Le parole chiave per i file FRM le trovate nel capitolo FRM-File di configurazione.


Stampa online

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Stampa e esporta allarmi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso della stampa online, ogni allarme attivo viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente a ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per stampare allarmi online:

  1. definite anzitutto una Stampante
  2. passate alla proprietà di progetto, in particolare al nodo AML e CEL

    Interno ID: Stampa online

    AML e CEL

    Proprietà per allarmi e Lista Eventi Cronologica (CEL).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate la proprietà Stampa attiva

    Interno ID: Stampa online

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selzionate in corrispondenza della proprietà Stampa per nella lista a cascata, la voce Lista allarmi

    Interno ID: Stampa online

    Stampa per

    Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
    Consente di decidere se AML oppure CEL devono essere stampate online. Può essere stampata solamente una sola delle due liste.

    Lista allarmi: La Lista allarmi (AML) viene stampata online.
    Lista eventi cronologica: La Lista eventi cronologica(CEL) viene stampata online.
    Default: Lista di informazioni allarmi

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. fissate con la proprietàRighe per pagina il numero delle righe (Default: 72)

    Interno ID: Stampa online

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  6. configurate il file ALARM.frm
  7. aggiungete il ALARM.frm al nodo File/Testi e formati

Gestire stampa e stampante durante il Runtime

Cambio pagina

Si verifica un cambio pagina se:

  • una pagina è stata riempita nella sua interezza
  • nel caso della stampa online, se il Runtime viene chiuso
  • viene eseguita la funzione Stampa online Inizia nuova pagina

Interrompi stampa

Per interrompere la stampa online o per riprenderla:

  • eseguite la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in ALARM.FRM:

Data: @DSYSTEM | lista allarmi progetto Demo | Tempo @TSYSTEM Ora | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | lista allarmi progetto Demo | Ora: ore 12 | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Stampa e esporta allarmi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stampa offline significa che la lista allarmi viene stampata nella forma in cui viene visualizzata al momento durante il Runtime. Questa stampa è l´immagine di un momento, compresi tutti i filtri settati e le loro limitazioni. La stampa avviene indipendentemente dal fatto se le variabili possiedono l´opzione Stampa .

Stampa

Per stampare la lista allarmi offline:

  1. definite anzitutto una Stampante
  2. configurate il file ALAR_G.frm
  3. aggiungete il ALAR_G.frm al nodo File/Testi e formati
  4. cliccate durante il Runtime sul pulsante Stampa o Dialogo stampa

Cambiare e impostare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in ALAR_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Ora: ore 12 | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Stampa e esporta allarmi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: Piè di pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progettoalla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Interno ID: File di configurazione FRM

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..

    Interno ID: File di configurazione FRM

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Interno ID: File di configurazione FRM

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella gestione allarmi.

    Interno ID: File di configurazione FRM

    Utilizza tempo di riattivazione

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Attiva: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
    Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
    Default: non attiva.

    Interno ID: File di configurazione FRM

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

tedesco

Inglese

AML Offline

CEL Offline

AML Online

CEL Online

Descrizione

Parole chiave per la parte liste

@DATZEITKOMMT

@DTRECEIVED

X

X

X

X

Data e momento della comparsa dell´allarme

@DATZEITGEHT

@DTCLEARED

X

-

X

-

Data e momento della fine dell´allarme

@DATZEITOK

@DTACK

X

-

X

-

Data e momento del ripristino dell´allarme

@DATZEITREAKT

@DTREACTIVATE

X

-

X

-

Data e momento della riattivazione:

La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.

@DATZEIT

@DTLASTEVENT

-

-

X

-

Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEIT

@TLASTEVENT

-

-

X

X

Ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEITOK

@TACK

X

-

X

-

indica solamente il momento del ripristino

@ZTKOMMT

@TRECEIVED

X

X

X

X

indica solamente il momento della comparsa dell´allarme

@ZTGEHT

@TCLEARED

X

-

X

-

indica solamente il momento della fine dell´allarme

@ZTREAKT

@TREACTIVATE

X

-

X

-

indica solamente il momento della riattivazione

@TIMELASTING

@TACTIVE

X

-

X

-

Tempo di attesa (differenza fra Entra - Esce)

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@KANALNAME

@VARNAME

X

X

X

X

Nome variabile
CEL: solo inserimenti con variabili

@AK

@ACLASSNR

X

X

X

X

Nome classi allarmi/eventi

@AG

@AGROUPNR

X

X

X

X

Numero gruppi allarmi/eventi

@AGNAME

@AGROUPNAME

X

X

X

X

Nome del gruppo-allarmi/eventi

@AKNAME

ACLASSNAME

X

X

X

X

Nome della classe-allarmi/eventi

@TAGNR

@IDENTIFICATION

X

X

X

X

Identificazione (denominazione propria della ditta)

@AMELDUNG

@TEXT

X

X

X

X

Testo messaggio allarme

@REAKTANZ

@NRREACTIVATE

X

-

X

-

Numero di riattivazioni

@STATUS

@STATUS

X

X

X

X

Informazioni di stato come nella lista allarmi

@WERT

@VALUE

X

X

X

X

Valore variabile dell´allarme

@REAKTIONSTEXT

@COMMENT

X

X

X

X

Commento dalla lista allarmi

Nel caso si usi dei testi di valore limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attivi.

Interno ID: File di configurazione FRM

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: File di configurazione FRM

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

@USER

@USERID

X

X

X

X

AML: Utente che ha confermato l´allarme

@RECHNER

@COMPUTER

X

X

X

X

AML: Calcolatore su cui l´allarme è stato confermato

Parole chiave per l´intestazione e il pie´ di pagina

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@SEITE

@PAGE

X

X

X

X

Numero di pagine

@HEADDATZEIT

@DTSYSTEM

X

X

X

X

Data sistema e ora sistema

@HEADDATUM

@DSYSTEM

X

X

X

X

Data sistema

@HEADZEIT

@TSYSTEM

X

X

X

X

Ora sistema

@USER

@USERID

X

X

X

X

Utente che stampa

@USERNAME

@USERNAME

X

X

X

X

Nome completo dell´utente che ha iniziato l´attività

@RECHNER

@COMPUTER

X

X

X

X

Calcolatore dal quale viene lanciata la stampa

[Testo]

[Testo]

Testo preferito nella riga di emissione nella stampante

attenzione Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esportazione allarmi

Manuale -> Gestione allarmi -> Gestione durante il runtime -> Stampa e esporta allarmi -> Esportazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono differenti forme per esportare gli allarmi:

  • dBase
  • CSV
  • XML
  • SQL

Esportazione

Per esportare degli allarmi

  1. impostate una funzione esporta AML
  2. collegate la funzione ad un bottone
  3. eseguite la funzione durante il Runtime

Info Informazioni

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.


Gestione monitor

Manuale -> Gestione monitor

La gestione monitor consente di realizzare in modo semplice l´organizzazione di più monitor.

Lo scopo della gestione monitor è:

  • Funzionamento: funzionamento misto di sistemi a uno o più monitor.
    Ad esempio: in una centrale di controllo vengono utilizzati tre monitor, su un client due e il notebook del team di manutenzione dispone di un solo monitor.
  • Emissione immagine: emissione di un immagine su un monitor qualsiasi e modifica dell’attribuzione d’immagine -> Monitor nel runtime.
    Tutti i Tipi d'immagine (per esempio AML, menu) e funzioni (per esempio ripristinare immagine) collegati a quest’immagine o a questo Modello, devono essere ripresi automaticamente.
  • Adattamento della risoluzione: implementazione di calcolatori con diverse risoluzioni nello stesso progetto.
    Ad esempio: La risoluzione monitor in fase di progettazione è pari a 1680 x 1050. La risoluzione sull´apparecchio di destinazione è pari a 1024 x 768. In questo caso, zenon adatta la risoluzione in modo automatico e corretto, ma, per via delle differenti relazioni di pagina, i cerchi diventeranno giocoforza delle ellissi. Con la gestione monitor, dunque, è possibile adattare correttamente la risoluzione di destinazione per il runtime.

Impostazioni in zenon e Windows

La gestione monitor esercita un'influenza sui modelli e le immagini di zenon. Cosigliamo di adattare la dimensione dei modelli a quella del monitor o dei monitor sui quali si verifica la visualizzazione. Dei modelli di grandi dimensioni sconfinano in altri monitor, oppure non vengono visualizzati per intero.

I box di dialogo - anche quelli in zenon - sono soggetti alle impostazioni di Windows.

attenzione Attenzione

Nel caso si utilizzino più progetti, vale quanto segue:

  • nel caso in cui si carichino in memoria più progetti, è quello attivo che determina per tutti gli altri le impostazioni monitor disponibili.
  • Se il progetto attivo è un progetto con un solo monitor, dunque, non è possibile selezionare in eventuali progetto a più monitor uno schermo di destinazione.
  • Per quello che concerne la gestione multi-progetto, valgono nel Runtime sempre le impostazioni del progetto di integrazione.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Concetto e presupposti

Manuale -> Gestione monitor -> Concetto e presupposti

Con la gestione monitor vengono aperte delle immagini su monitor virtuali. I monitor virtuali vengono assegnati a monitor realmente esistenti. Quest´assegnazione può essere impostata individualmente facendo uso dei profili monitor. In tal modo è possibile dare una veste individuale a progetti per configurazioni differenti.

La base della gestione monitor è costituita da:

  • fissare la risoluzione di default per un progetto.
    Per esempio 2048*768 in presenza di due monitor con una risoluzione di rispettivamente 1024*768.
  • Nominare i monitor realmente esistenti.
  • Definizione di monitor virtuali che devono essere attribuiti a quelli reali.
    Grazie ai monitor virtuali è possibile, per esempio, visualizzare un sistema a tre monitor (3 reali e 3 virtuali) su un sistema a 1 monitor (1 reale e 3 virtuali).
  • La possibilità di modificare nell´Editor e durante il funzionamento Runtime l´assegnazione di monitor virtuali a quelli reali.
    In tal modo, per esempio, un monitor virtuale può essere spostato su un altro monitor reale anziché su quello impostato in fase di progettazione.
  • Finestra di controllo con una visione generale concernente modelli e monitor.
    Tale finestra consente di selezionare velocemente un monitor attraverso la scelta della superficie desiderata nell´ambito della finestra stessa. Ciò può avvenire anche mediante barre di scorrimento che possono essere visualizzate se lo si vuole.

Procedura

Nel caso dell´uso di più monitor:

  • nel caso di cambio immagine, le immagini vengono assegnate a monitor virtuali
  • i monitor virtuali possono essere assegnati a piacere a quelli esistenti realmente

In tal modo un progetto può essere visualizzato correttamente su diversi sistemi con un numero differente di monitor, senza che ciò richieda una nuova progettazione.

Progettazione

La gestione monitor ha diversi effetti su:

  • nuovi progetti
  • progetti esistenti

Procedura consigliata: nel caso di un nuovo progetto, impostate la gestione monitor prima di passare alla definizione di modelli e immagini.

attenzione Attenzione

Risoluzione di schermo Al fine di ottenere la visualizzazione migliore possibile durante il Runtime, usate l´impostazione standard del sistema operativo (100%).


Presupposti per il runtime

Manuale -> Gestione monitor -> Concetto e presupposti -> Presupposti per il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Perché la gestione monitor possa lavorare in modo corretto su un sistema a più monitor, deve essere impostata nel file zenon6.ini la risoluzione monitor effettivamente disponibile.

Eccezione: nel caso del webclient di zenon, queste impostazioni non sono necessarie.

Inserimento INI

Sono necessari i seguenti inserimenti INI nel settore [DEFAULT]:

Inserimento | Significato
[DEFAULT] | Sezione in cui avviene l´inserimento.
SCREENPROFILE= | Profilo monitor selezionato per questo calcolatore. Nome della configurazione. Ad esempio: ScreenProfile=Standard Viene fissato sul calcolatore di progettazione mediante la configurazione delle impostazioni generali. Su altri calcolatori deve essere definito eventualmente con un inserimento manuale nello zenon6.ini.
RT_CXMAINFRAME= | Larghezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio nel caso di due schermi con rispettivamente una larghezza di1280 pixel: RT_CXMAINFRAME=2559
RT_CYMAINFRAME= | Altezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio, nel caso di un´altezza schermo pari a 1024 pixel: RT_CYMAINFRAME=1023 Attenzione: se la barra task di Windows è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.

Attenzione: gli inserimenti devono essere inferiori di un pixel alle dimensioni monitor effettive, visto che si inizia a contare da 0.

attenzione Attenzione

Le configurazioni seguenti possono far sì che non venga visualizzato nulla, oppure che solo il primo schermo mostri delle immagini:

  • Se i valori definiti nel file INI sono maggiori alla superficie effettivamente a disposizione, è possibile che non venga visualizzato niente!
    Soluzione: correggere l´inserimento nell´INI.
  • Se la barra task di Windows viene visualizzata in modo fisso, è possibile che le immagini vengano visualizzate solamente sul primo monitor.
    Soluzione: per la barra task di Windows settare l´impostazione Nascondi barra task automaticamente.
    Oppure: definire RT_CYMAINFRAME in modo tale che non venga inserito nella barra task, per es. RT_CYMAINFRAME=1023 invece di 1280.


Per i nuovi progetti

Manuale -> Gestione monitor -> Concetto e presupposti -> Per i nuovi progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definite la risoluzione dello schermo prima dell´inizio della progettazione. Questa impostazione non deve più essere modificata in seguito potendo causare delle deformazioni, se la relazione larghezza/altezza non corrispondono!

Quando si crea un nuovo progetto, la risoluzione dello schermo per la gestione monitor viene adattata automaticamente all'attuale risolozione dello schermo. Se un progetto deve funzionare su un calcolatore che ha un´altra risoluzione, dovete adattare le impostazioni in modo corrispondente prima dell´inizio della progettazione.

Per poter assegnare delle immagini a diversi monitor reali in diversa combinazione, definite anzitutto un numero corrispondente di monitor virtuali.


Modifica progetto esistente

Manuale -> Gestione monitor -> Concetto e presupposti -> Modifica progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si effettuano dei cambiamenti nella gestione monitor in progetti già esistenti, devono essere adattati tutti i cambi immagine.

La gestione monitor, peraltro, può rappresentare un vantaggio anche per progetti già esistenti. Ad esempio:

  • Evitare immagini doppie per differenti risoluzioni.
  • Inclusione di calcolatori con diversi numeri di monitor in un progetto di rete.
    per contenere il lavoro da fare per effettuare i cambiamenti, Vi consigliamo di lavorare con una Finestra di controllo nel realizzare l´implementazione di calcolatori con un numero limitato di monitor. In tal modo tutti i monitor possono essere selezionati molto rapidamente.


Progettazione nell'editor

Manuale -> Gestione monitor -> Progettazione nell'editor

Definite nell´Editor la gestione di:

  • nuovi progetti
  • progetti esistenti

Per configurare la gestione monitor:

  1. passate alla proprietà di progetto, in particolare al nodo Aspetto grafico

    Interno ID: Progettazione nell'editor

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate all´interno del sottogruppo Durata Runtime nella proprietà Configurazione monitor

    Interno ID: Progettazione nell'editor

    Configurazione monitor

    Si aprirà il dialogo di configurazione per la gestione monitor.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Progettazione nell'editor

    Durata Runtime

    Contiene le impostazioni per il runtime.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si apre il dialogo di configurazione
  4. definite le impostazioni generali
  5. definite le impostazioni individuali per i diversi profili

attenzione Attenzione

Nel caso di posizionamento assoluto, le coordinate dei modelli si riferiscono sempre all´angolo in alto a sinistra dello schermo principale. Esso deve essere lo schermo più a sinistra del sistema.

Un esempio di configurazione di un progetto con diverse impostazioni monitor lo trovate nella sezione Configurazione esemplificativa.


Impostazioni generali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dialogo per configurare le proprietà monitor generali:

Proprietà | Descrizione
Monitor reali | Numero dei monitor realmente disponibili (hardware). Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor reali).
Quantità | Indica la quantità dei monitor reali definiti.
Monitor virtuali | Numero dei monitor virtuali. Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor virtuali).
Quantità | Indica il numero dei monitor virtuali definiti come segue: da V_00 a V_nn. Il primo monitor reale viene configurato da zenon come monitor standard.
Modifica | Cliccando sul pulsante si apre il dialogo che serve a definire il numero dei monitor virtuali.
Nomi | Lista dei nomi dei monitor virtuali.
Rinominare... | Apre il dialogo che serve ad assegnare dei nomi ai monitor virtuali. Testo inseribile liberamente per un massimo di 15 caratteri.
Profili monitor | Definisce a livello centrale dei profili monitor per il Runtime. Ogni profilo monitor riceve una propria scheda per la Configurazione individuale. La determinazione dei profili monitor per altri calcolatori deve essere eventualmente fatta manualmente in forma di un inserimento INI.
Copiare... | Crea un nuovo profilo sulla base del profilo selezionato e apre il dialogo che serve all´attribuzione di un nome.
Rinominare... | Apre il dialogo che serve a nominare un profilo.
Elimina... | Elimina il profilo selezionato senza la richiesta di una conferma di sicurezza.
Profilo monitor che viene caricato su questo computer dal runtime. | Apre la lista a cascata per la selezione del profilo che deve essere usato durante il runtime. Indicazione: su un computer remoto, il profilo deve essere inserito eventualmente in modo manuale nel file zenon6.ini.
Risoluzione di schermo | Risoluzione con la quale funzionerà il progetto nel runtime. (Somma di tutti i monitor.) Un consiglio: fissate questa impostazione prima dell´inizio della progettazione. Delle modifiche successive possono determinare delle deformazioni nella visualizzazione, se la relazione Larghezza/Altezza della risoluzione non corrisponde! Standard: risoluzione del computer attuale.
Riprendi dallo schermo attuale. | Riprende la risoluzione dello schermo attualmente attivo come risoluzione per il profilo monitor.
OK | Riprende e accetta le modifiche e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude il dialogo.
Guida | Attiva la guida online

attenzione Attenzione

Il primo monitor virtuale viene usato da zenon come monitor standard.

Definire profilo monitor sul calcolatore Runtime

Se avete installato su un PC solamente il runtime e non l´editor, potete fissare il profilo monitor desiderato nel modo desiderato:

  1. Aprite il file zenon6.ini con un editor testi
  2. navigate fino a [DEFAULT]
  3. digitate il seguente inserimento:
    ScreenProfile=Nome del profilo monitor
  4. salvate il file e chiudete l´editor dei testi.

Info Informazioni

Sul zenon Webclient è sempre caricato di default il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Impostazioni individuali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni profilo monitor viene rappresentato nella configurazione attraverso una scheda propria. In questa sede potete definire le impostazioni per i monitor reali e virtuali, nonché il loro comportamento durante il Runtime.

Proprietà | Descrizione
Menu di selezione - online | Comportamento del menu di selezione online durante il runtime.
Visualizza menu di selezione online | Attiva: il menu viene aperto durante il runtime al momento del passaggio di immagine e offre i monitor per i quali è stata attivata la proprietà Menu di selezione online.
Durata della visualizzazione | Tempo in secondi durante il quale il menu online rimane acceso.
Modifica della descrizione per il pulsante Annulla. | Attiva: pulsante con cui può essere chiuso il menù di selezione online, viene visualizzato durante il Runtime. La didascaltia del pulsante può essere modificata a piacere. % mostra i secondi che rimangono fino all´interruzione automatica.
Il tasto ESC chiude il menu di selezione. | Attivo: il menu di selezione online può essere chiuso anche con il tasto Esc.
Immagine iniziale del Runtime | Definisce opzioni di visualizzazione durante il runtime.
Adatta visualizzazione alla dimensione schermo | attivo: La risoluzione del progetto viene adattata a quella dello schermo del computer attuale. Disattivato:potete definire in questa sede la risoluzione del progetto, il che vale a dire che essa non verrà adattata a quella corrente del monitor.
Tiene conto della barra titoli adattando | Attivo: L'altezza del titolo viene presa in considerazione sia nell'editor dei modelli, che nel runtime. Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.
Tieni conto del menu principale adattando | Attivo: L'altezza del menu viene presa in considerazione sia nell'editor dei modelli, che nel runtime. Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.
Visualizza barra | Attiva: nel runtime vengono visualizzate delle barre. Consente la navigazione in immagini la cui dimensione è maggiore di quella del monitor.
Monitor reali | Lista con tutti i monitor reali e le proprietà ad essi attribuite.
Modifica | Apre il dialogo che serve alla definizione le proprietà individuali del monitor selezionato.
Monitor virtuali | Lista con tutti i monitor virtuali e le proprietà ad essi attribuite. I cambi immagine si riferiscono a monitor virtuali. I monitor virtuali vengono assegnati durante il Runtime a quelli reali.
Modifica | Apre il dialogo che serve alla definizione le proprietà individuali del monitor virtuale selezionato.


Progettazione di monitor reali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali -> Progettazione di monitor reali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor reali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor reali.

Parametri | Descrizione
Nome | Nome del monitor, Testo inseribile liberamente per un massimo di 15 caratteri.
Position | Descrive la posizione e la risoluzione del monitor. Per esempio: Monitor sinistro: 0/0/1680/1050 Monitor destro: 1680/0/3360/1050
Non esiste monitor, perciò attribuisci a | Attivo: permette di selezionare nella lista a cascata un altro monitor reale, a cui essi viene attribuito, per esempio, perché non è attualmente collegato al computer. Durante il Runtime il monitor verrà visualizzato su quello cui è stato assegnato. Le barre di scorrimento permettono di muoversi fra le due immagini.
Visualizza nel menu di selezione online | Attivo: nel Runtime questo monitor viene offerto nel menu nel caso di ogni cambio immagine che consente una scelta individuale del monitor.


Progettazione. Monitor virtuali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali -> Progettazione. Monitor virtuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor virtuali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor virtuali.

Parametri

Descrizione

Nome

Visualizzazione del nome. Esso può essere modificato nella scheda Impostazioni generali.

Imposta attribuzione

Impostazione per l´attribuzione del monitor.

Visualizza nel menu di selezione online

Attivo: nel runtime, ad ogni apertura dell´immagine che è stata attribuita a questo monitor, viene visualizzato il menu che serve alla selezione del monitor.

Assegnazione a monitor reale

Attribuisce in modo fisso il monitor virtuale ad un monitor reale. Durante il runtime questa attribuzione può essere modificata facendo uso della funzione Assegna monitor.

Interno ID: Progettazione. Monitor virtuali

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Funzioni della gestione monitor.

Manuale -> Gestione monitor -> Funzioni della gestione monitor.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime si può amministrare la gestione monitor tramite le funzioni di zenon.

Sono a disposizione:

  • Impostazioni nel caso di cambio immagine : Il dialogo per la selezione immagini viene esteso con l´aggiunta di impostazioni che servono ad effettuare l´assegnazione monitor.
  • Assegna monitor: Consente di assegnare durante il Runtime ad un monitor reale uno virtuale.
  • Visualizza finestra di controllo: Apre durante il Runtime una finestra di controllo oppure la chiude. La finestra mostra tutti i monitor reali o i modelli progettati e consente di effettuare una selezione e un passaggio veloce da un elemento all´altro.

Le impostazioni per la selezione monitor sono disponibili anche per le funzioni:

  • Focalizzazione sul modello
  • Chiudi modello
  • Immagine: chiudi


Impostazioni nel caso di cambio immagine

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Impostazioni nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Non appena si configura la gestione monitor su più di un monitor, nel Dialogo di selezione delle immagini si trovano ulteriori opzioni per la selezioni del monitor su cui deve essere visualizzata l´immagine:

Parametri

Descrizione

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene tutti i monitor virtuali definiti nella gestione monitor, più la voce Monitor attuale.

Monitor virtuale: L´immagine viene aperta sullo schermo che è connesso al monitor virtuale selezionato.

Nel caso in cui in sede di Configurazione non si sia assegnato al monitor virtuale nessun monitor reale, ma l´opzione Visualizza menù di selezione online, il sistema apre una finestra di selezione durante il Runtime che serve a selezionare un monitor reale.

Monitor attuale: Apre l´immagine sempre sul monitor dal quale proviene la richiesta di apertura. Ad esempio:
se si preme il pulsante per l´apertura della AML sul monitor di sinistra, l´AML verrà aperta sullo schermo di sinistra. Se si preme pulsante per l´apertura dell´AML sul monitor di destra, l`AML verrà aperta su quel monitor.

Nella visione generale delle funzioni, iin corrispondenza della funzione il sistema indica fra parentesi il monitor sul quale viene visualizzata l´immagine.

Ad esempio:

START (V_00) significa: si passa all´immagine START ed essa viene visualizzata sul monitor virtuale V_00.
REL significa: visualizzazione sul monitor attuale.

Menu di selezione - online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menu che serve alla selezione di un monitor. I contenuti di questo menu, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.


Assegna monitor

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Assegna monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la funzione Assegna monitor i monitor virtuali possono essere assegnati durante il Runtime a quelli reali, indipendentemente da quanto è stato fissato in fase di progettazione.

Interno ID: Assegna monitor

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

Per configurare la funzione:

  1. create una nuova funzione.
  2. navigate per raggiungere il nodo Immagini

    Interno ID: Assegna monitor

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  3. selezionate la funzione Assegna monitor
  4. viene aperto il dialogo che serve ad assegnare un monitor virtuale a uno reale
  5. impostate un´assegnazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Dialogo Assegnazione monitor

Parametri | Descrizione
Nome | Selezione del monitor virtuale fra quelli della lista a cascata Tutti i monitor virtuali configurati nella gestione monitor vengono visualizzati in una lista.
Imposta attribuzione | Selezione dell´assegnazione mediante pulsanti radio:
Visualizza nel menu di selezione online | Apre un dialogo durante il Runtime che serve alla selezione del monitor reale desiderato.
Assegnazione a monitor reale | Attribuisce il monitor virtuale ad un monitor reale. Il monitor viene selezionato fra quelli della lista a cascata. La lista contiene tutti i monitor reali configurati nella gestione monitor.
OK | Riprende le impostazioni, chiude il dialogo e crea una funzione con assegnazione.
Annulla | Rifiuta le impostazioni, chiude il dialogo e crea una funzione con assegnazione.
Guida | Apre la guida online

Le funzioni vengono visualizzate nella visione dettagliata con lo scopo di effettuare l´assegnazione.

Ad esempio:

  • V_00,(ONLINE): L´assegnazione del monitor vortuale V_00 a uno reale avviene durante il Runtime mediante il menu di selezione online.
  • ???,???: il dialogo di assegnazione è stato chiuso, non viene eseguita nessuna funzione.
  • V_00,Left screen: Il monitor virtuale V_00 viene assegnato a quello reale Left screen.


Visualizza finestra di controllo

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Interno ID: Visualizza finestra di controllo

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo in modo tale da simulare in un sistema con un solo monitor un sistema con più monitor.

Ulteriori informazioni nella guida in linea

Per configurare la funzione:

  1. create una nuova funzione.
  2. navigate per raggiungere il nodo Immagini

    Interno ID: Visualizza finestra di controllo

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  3. selezionate la funzione Visualizza finestra di controllo
  4. si apre il dialogo per configurare la finestra di controllo
  5. configurate la finestra di controllo
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Parametri

Descrizione

Impostazioni

Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:

Visualizzazione

attivo: La finestra di controllo viene aperta.

Toggel

attivo: la visualizzazione passa da aperta a chiusa.

Chiudi

attivo: La finestra di controllo viene chiusa.

Visualizzazione di

Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.

Modelli

attivo: La finestra di controllo divide lo schermo in modelli.

Monitor

attivo: La finestra di controllo divide lo schermo in monitor.

Position

La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra per:

  • su
  • giù
  • sinistra
  • destra

Stile finestra

Con titolo

attivo: la finestra di controllo dispone di una barra titolo Windows

Menu sistema

attivo: inserire il menu sistema Windows a barra titolo attivata

Con cornice

attivo: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:

  • fine

attivo: cornice spessa.
  • spessa

attivo: Cornice fine

Colori:

Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.

Colore sfondo

Colore dello sfondo della finestra.

Visuale attuale

Modelli/monitor attualmente visualizzati.

Cornice

Colore della cornice.

selezionati

Modelli/monitor selezionati

OK

Riprende le impostazioni, chiude il dialogo e crea una funzione con assegnazione.

Annulla

Rifiuta le impostazioni, chiude il dialogo e crea una funzione con impostazioni standard.

Guida

Apre la guida online


Esempio di configurazione

Manuale -> Gestione monitor -> Esempio di configurazione

In questo esempio vedete la configurazione possibile per i seguenti requisiti di progetto:

  1. 1 server con 2 monitor con una risoluzione di rispettivamente 1680 x 1050
  2. 1 client con un monitor con una risoluzione di 1680 x 1050
  3. 1 notebook per il team di manutenzione con una risoluzione di 1024 x 768

Compito

Configuriamo il progetto in modo tale che si possa effettuare la visualizzazione sul server con due monitor. Realizziamo le impostazioni del client in modo tale che tutte le emissioni del sistema vengano visualizzate su di un solo monitor. E per il notebook della manutenzione modifichiamo anche la risoluzione della visualizzazione. Durante il funzionamento, è necessario solamente selezionare sul calcolatore Runtime in questione il profilo monitor corrispondente per ottenere la visualizzazione corretta.

Avvia la configurazione

  1. Le impostazioni base della configurazione vengono effettuate in sede di configurazione monitor:
    andate alle proprietà di progetto -> Aspetto grafico -> Durata Runtime

    Interno ID: Esempio di configurazione

    Durata Runtime

    Contiene le impostazioni per il runtime.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Esempio di configurazione

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate sulla proprietà Configurazione monitor

    Interno ID: Esempio di configurazione

    Configurazione monitor

    Si aprirà il dialogo di configurazione per la gestione monitor.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si aprirà il dialogo per la configurazione monitor
  4. configurate anzitutto le impostazioni generali
  5. configurate poi le impostazioni individuali per:
    1. il server con 2 monitor
    2. il client con un monitor
    3. il notebook per il team di manutenzione


Caratteri generali della configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Caratteri generali della configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la configurazione, in primo luogo:

  • si fissano le impostazioni generali, come, ad esempio, il numero dei monitor virtuali e reali
  • si impostano i profili per 3 diverse configurazioni

Impostazioni generali

Monitor

Per il nostro esempio definiamo:

  • 2 monitor reali
  • 3 monitor virtuali
    • uno per immagini di processo
    • uno per l´apertura della barra menu: In tal modo possiamo sempre determinare se la barra menu deve essere aperta a destra o a sinistra senza influenzare le immagini di processo.

Facciamo presente che: i monitor virtuali sono destinazione dei cambi immagine. I monitor virtuali vengono assegnati durante il Runtime a quelli reali. Si ha la possibilità di passare fra i monitor reali e quelli virtuali. Nel caso in cui non sia disponibile il secondo monitor, come per esempio nel portatile, l´emissione delle immagini può essere semplicemente indirizzata sul monitor sinistra senza dover modificare la progettazione.

Risoluzione

Un importante fattore è anche la risoluzione impostata. Essa è la grandezza di riferimento per l´adattamento. Essa dovrebbe essere impostata una sola volta all´inizio della progettazione e non essere più modificata in seguito. Nel caso in cui questa impostazione venga modificata in seguito, vengono ricalcolate tutte le coordinate degli elementi nelle immagini.

Inseriamo la nostra risoluzione di destinazione di 1680 x 1050.

Profili monitor

Per ogni configurazione del nostro esempio impostiamo un proprio profilo. Nel nostro esempio:

  • Server 2 Mon
  • Client 1 Mon
  • Notebook small

Per far ciò:

  1. scegliete il profilo Standard
  2. cliccate su copia
  3. si apre il dialogo per cambiare il nome
  4. inserite il nuovo nome (la lunghezza è limitata a 15 caratteri)
  5. cliccate su OK.
  6. ripetete l´operazione per tutti gli altri profili

Ogni profilo riceve nella configurazione monitor una propria scheda per la configurazione individuale

Cominciamo con la scheda Server 2 Mon.


Configurazione server con 2 monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione server con 2 monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La prima configurazione si riferisce al nostro server con 2 monitor.

Configureremo:

  • il menu di selezione - online
  • il tipo di immagine durante il Runtime
  • i monitor reali
  • i monitor virtuali

Menu di selezione - online

Il menu di selezione - online consente di selezionare durante il Runtime su quale monitor reale viene aperta un´immagine. A tal scopo si deve:

  • attivare l´opzione Menu di selezione - online
  • selezionare nell´assegnazione del monitor virtuale, l´opzione Visualizzazione nella lista online
    oppure

    progettare una funzione Assegna monitor

Per il nostro esempio:

  • attivate l´opzione
  • selezionate una Durata di visualizzazione di 10 secondi: nel caso in cui fino ad allora non sia stata settata nessuna azione, il menu verrà nascosto
  • attivate l´opzione Descrizione: a questo punto durante il Runtime comparirà nel menu il pulsante Annulla
  • inserite nel pulsante la didascalia Cancel = %: nel menu viene visualizzato il tempo rimanente fino all´annullamento dell´azione
  • attivate l´opzione Tasto ESC per chiusura menù di selezione: il menu verrà chiuso durante il Runtime anche premendo il tasto Esc

Durante il Runtime, poi, nel caso di un cambio immagine su un monitor virtuale con menu di selezione - online verrà visualizzato il menu:

Si può scegliere fra i monitor reali M_00 e M_01. Fino al termine ci sono ancora 10 secondi per effettuare una selezione. Cliccando su Cancel oppure premendo il tasto Esc, il menu verrebbe chiuso immediatamente.

Impostazioni schermo durante il Runtime

Per la visualizzazione dello schermo nel Runtime:

  • disattivate l´opzione Adatta alla dimensione schermo: in tal modo, la visualizzazione rimarrà sempre delle dimensioni progettate. (Nel caso in cui l´opzione dovesse essere attiva, invece, la visualizzazione sarebbe adattata alla risoluzione attuale).
  • attivate l´opzione Barra di scorrimento: in tal modo, il sistema propone nel Runtime delle barre di scorrimento che permettono lo scroll all´interno dell´immagine.

Configurazione monitor reali

Sul server sono disponibili due monitor. Entrambi i monitor reali del progetto che abbiamo proposto come esempio, vengono configurati in modo corrispondente.

Il secondo monitor, ad esempio, ottiene le coordinate corrispondenti per allinearsi al primo monitor in senso orizzontale a destra.

Il nome può essere impostato separatamente per ogni configurazione. Per configurare i monitor:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. assegnate un nome, nel nostro esempio semplicemente M_00 e M_01
  3. disattivate l´opzione Monitor non esiste ... (abbiamo bisogno di questa opzione per le altre configurazioni)
  4. inserite le coordinate,
    si calcola a partire dall´angolo in alto a sinistra del monitor di sinistra
  5. attivate l´opzione Visualizzazione nella lista online, in modo tale che il monitor sia disponibile nel Runtime per la selezione online

Configurazione monitor virtuali

In questa configurazione i monitor virtuali vengono assegnati a quelli reali.

Facciamo presente che: cambi immagine si riferiscono a monitor virtuali. L´assegnazione dei monitor virtuali determina su quale monitor reale verrà aperta concretamente l´immagine.

Nel nostro esempio ci sono tre monitor virtuali. I primi due vengono assegnati rispettivamente a un monitor reale. Il terzo, invece, ha la funzione di consentire l´apertura a piacere della barra menu. Questo terzo monitor non viene assegnato a nessun monitor reale, ma l´assegnazione deve essere proposta dal sistema nell´ambito del menu di selezione online.

Per assegnare i primi due monitor virtuali:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. i nomi vengono solamente visualizzati, sono uguali per tutti i profili e possono essere modificati solo a livello globale nella scheda Generale
  3. selezionate Assegnazione a monitor reale
  4. selezionate il tipo di monitor reale desiderato fra quelli della lista a cascata.
    • M_00 per Monitor left
    • M_01 per Monitor right

La configurazione del terzo monitor virtuale avviene in modo analogo.

Differenza:? invece che Riferimento su monitor reale selezionate l´opzione Visualizza menù di selezione online.

In tal modo viene completata la configurazione del profilo per il server con due monitor.

Passate adesso alla scheda Client 1 Mon.


Configurazione client con un monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione client con un monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione del client con un monitor corrisponde in linea di massima a quella del server. Tuttavia in questo caso è a disposizione solamente uno schermo. Per questo ci sono due differenze fondamentali:

  1. il secondo monitor reale deve essere mappato sul primo.
  2. il menù di selezione online per la barra menu è superfluo; essa viene assegnata direttamente

Nel caso dei monitor reali:

  1. aprite la configurazione del monitor M_01
  2. attivate l´opzione Monitor non presente, assegnare a
  3. selezionate dalla lista a cascata M_00

Il menù di selezione online non è necessario durante il Runtime. Potete però far sì che le opzioni restino attive.

Nel caso dei monitor virtuali:

  1. aprite la configurazione del monitor Menu bar
  2. attivate l´opzione Riferimento su
  3. selezionate dalla lista a cascata M_00

L´intera configurazione di Client 1 Mon ha il seguente aspetto:

Nel nostro esempio manca solamente la configurazione del notebook. Passate alla scheda Notebook small.


Configurazione Notebook Service-Team

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione Notebook Service-Team

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione del notebook per il service-team corrisponde a quella del calcolatore client con un monitor. Tuttavia la risoluzione è differente. Essa deve essere adattata. Per far ciò:

  1. aprite la configurazione del monitor reale M_00
  2. inserite le coordinate corrispondenti,
    nel nostro esempio: 0/0/1024/768

La risoluzione è stata adattata adesso a quella reale del notebook e il monitor M_01 viene deviato, come nel caso del calcolatore client, al monitor M_00. Durante il runtime avete a disposizione delle barre di scorrimento facendo uso delle quali potete far scorrere l´indicazione.

Tutte le altre impostazioni corrispondono a quelle del calcolatore client:

Terminate la configurazione cliccando sul pulsante OK


Ulteriore configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Ulteriore configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel progetto si deve ancora:

  • selezionare nel caso di cambi immagine su quali monitor virtuali deve essere aperta l´immagine
  • fissare sui diversi calcolatori il relativo Profilo monitor da utilizzare (per il calcolatore di progettazione selezionate il profilo nella Configurazione monitor)
  • nel caso di funzioni come Attiva focus sul modello, Chiudi modello oppure Chiudi immagine, decidere per quali monitor vale l´azione
  • progettare eventualmente una funzione Assegna monitor per poter assegnare nel Runtime i monitor virtuali ai monitor reali indipendentemente dalla configurazione di partenza
  • progettare una Finestra di controllo per poter navigare comodamente durante il Runtime


Gestione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime

Durante il Runtime sono a disposizione diverse possibilità,

  • selezionare monitor
    e
  • navigare fra i monitor

Info Informazioni

Se si avvia il Runtime mediante una connessione remote desktop, viene utilizzata la risoluzione del calcolatore remoto. La risoluzione sarà forse differente da quella impostata in sede di progettazione, il che potrebbe portare a degli spostamenti nella visualizzazione delle immagini.

La risoluzione del monitor remoto può essere anche definita per mezzo del file INI (vedi sezione Fissare profilo monitor su calcolatore Runtime nel capitolo Impostazioni generali).


Selezione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Selezione monitor nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime ci sono diverse possibilità di assegnare monitor virtuali a quelli reali:

  • Menu di selezione online al momento dell´apertura
  • Funzione Assegna monitor:

Menu di selezione - online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menu che serve alla selezione di un monitor. I contenuti di questo menu, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.

Funzione Assegna monitor

La funzione Assegna monitor consente di aprire il menu di selezione online indipendentemente da un cambio immagine, e di assegnare i monitor virtuali a quelli reali.


Navigazione nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Navigazione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel Runtime si può navigare fra i diversi monitor tramite:

  • Finestra di controllo
  • Barre di scorrimento

Finestra di controllo

Le finestre di controllo vengono progettate come funzione. Esiste la possibilità di impostare una funzione per la visualizzazione e una per la chiusura della finestra di controllo; oppure si può usare la funzione Toggle per passare fra apertura e chiusura della finestra.

Nel Runtime il sistema apre una finestra nel momento in cui la funzione viene eseguita. Essa mostra tutta la superficie dello schermo disponibile, divisa in monitor oppure in modelli. Per la visualizzazione di modelli e monitor devono essere progettare delle funzioni ad hoc.

Cliccando con il mouse si selezionano i monitor e i modelli visualizzati nella finestra.

Barre di scorrimento

Facendo uso delle barre di scorrimento si può navigare velocemente fra i monitor. Le barre di scorrimento vengono visualizzate se:

  • è stata attivata in fase di configurazione individuale del Profilo monitor la proprietà Mostra barre di scorrimento
  • un monitor reale viene mappato su un altro monitor reale


Gestione stati

Manuale -> Gestione stati

La gestione stati permette di avere una visione d'insieme della rete e del processo. Ad ogni variabile possono essere conferiti attributi propri. Complessivamente sono a disposizione 64 stati / attributi. I più usati sono spontaneo, disturbato, Valore manuale e Valore di riserva.

Ogni valore salvato in zenon consiste di 3 informazioni: valore, data e ora e stato. Ciò significa che per ogni valore archiviato viene registrato anche il giusto stato.

Per quello che riguarda lo stato, nel Runtime ci sono a disposizione molte possibilità di analisi, come, ad esempio: l'Elemento combinato, le Matrici di reazione e il Generatore di rapporti . Gli stati sono accessibili anche in VBA o VSTA, nonché nel manager gruppi ricette.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Bit di stato

Manuale -> Gestione stati -> Bit di stato

I seguenti bit di stato sono a disposizione in zenon:

Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Alcuni stati singoli non sono disponibili con tutti i driver.

Visto che gli stati sono a disposizione delle variabili anche nella forma VBA/VSTA di un valore 64Bit, anche il valore (numero di bit) viene indicato nella descrizione dello stato. Ciò è necessario in caso di una analisi individuale con VBA/VSTA.

Ci sono due possibilità di visualizzazione nel Runtime: la forma corta e quella lunga. Quest'ultima è divisa nella descrizione da una barra.

Per ogni stato utente si può predisporre un testo che viene poi visualizzato nei singoli moduli (editor come runtime). Il testo corto e quello lungo sono divisi da un punto e virgola (;).

A questo scopo devono essere effettuati i seguenti inserimenti nel project.ini:

[STATUS]

STATUS1=MS_K;Mein Status 00

STATUS2=ET;Eigener Text

......

STATUS64=RES;Nicht verwendet

Indicazione: la numerazione comincia qui da 1 e non, come indicato nella tabella, da 0.


Stato utente da 1 a 8 (M1-M8) e da 14 a 16 (M14-M16)

Manuale -> Gestione stati -> Bit di stato -> Stato utente da 1 a 8 (M1-M8) e da 14 a 16 (M14-M16)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
0 fino a 7 | M1; stato utente 1 fino a M8; stato utente 8 | dall'utente | in tutti i driver
13 fino a 15 | M14; stato utente 14 fino a M16; stato utente 16 | dall'utente | in tutti i driver

Gli 11 bit di stato dell'utente possono essere usati in relazione alle esigenze del progetto specifico. Esempi di utilizzo per gli stati utente sono: speciali blocchi di comandi, o flag per proprie informazioni.


Select in rete (NET_SEL)

Manuale -> Gestione stati -> Bit di stato -> Select in rete (NET_SEL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
8 | Select in rete (NET_SEL) | automaticamente | in tutti i driver

La identificazione select serve a selezionare un oggetto comando in zenon. Nel caso in cui questo stato è attivo, si può bloccare una nuova selezione di un comando (per es. proveniente da un'altra postazione di lavoro).


Revisione (REVISION)

Manuale -> Gestione stati -> Bit di stato -> Revisione (REVISION)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
9 | Revisione (REVISION) | dall'utente | in tutti i driver

Le variabili possono essere settate a revisione. Se questa opzione è attiva, vengono soppressi dal sistema di controllo gli allarmi e i comandi. I valori attuali delle variabili, però, vengono sempre visualizzati nelle immagini e anche archiviati!

In tal modo è possibile escludere in modo temporaneo singole parti dell'impianto dagli allarmi e dalla gestione operativa.


In uso (PROGRESS)

Manuale -> Gestione stati -> Bit di stato -> In uso (PROGRESS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
10 | PROGRESS; in uso | automaticamente | solo in determinati driver

Il bit di stato in usoserve in combinazione con il comando (solamente SICAM 230 o zenon Energy Edition) alla visualizzazione del fatto che un interruttore viene usato in questo momento. Viene settato contemporaneamente al bit di stato Select in rete (NET_SEL). Il bit viene settato come stato della variabile di responso.
Il settaggio automatico del bit nel runtime può essere attivato nel gruppo comandi attraverso l´attivazione della proprietà Imposta stato di avanzamento.

Interno ID: In uso (PROGRESS)

Imposta stato di avanzamento

Attiva: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Disattivata: Il bit di stato non viene settato.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se il comando settato corrisponde al valore della variabile di responso, il bit viene azzerato automaticamente. Possono essere controllati solamente i valori di responso on e off.


Runtime exceeded (TIMEOUT)

Manuale -> Gestione stati -> Bit di stato -> Runtime exceeded (TIMEOUT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
11 | Runtime exceeded (TIMEOUT) | automaticamente | solo in determinati driver

Lo stato Superamento bit di controllo viene settato dall'elemento di comando (solo SICAM 230) nel caso venga appurato il superamento del tempo per la segnalazione di ritorno (runtime) di un interruttore. Il ripristino avviene mediante la modifica della segnalazioni di ritorno, oppure mediante un nuovo comando.


Valore manuale (MAN_VAL)

Manuale -> Gestione stati -> Bit di stato -> Valore manuale (MAN_VAL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
12 | Valore manuale (MAN_VAL) | automaticamente | in tutti i driver

Questo valore viene settato non appena un valore viene modificato manualmente in un archivio. Ciò può essere fatto nel generatore di report o nell'immagine di elaborazione posteriore archivi.


Interrogazione generale (GI)

Manuale -> Gestione stati -> Bit di stato -> Interrogazione generale (GI)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
16 | Interrogazione generale (GI) | automaticamente | in tutti i driver

Dopo l'avvio del Runtime, la prima immagine che viene letta, viene contrassegnata con l'interrogazione generale. Ciò significa che il valore non è ancora mai cambiato dall'avvio del Runtime.


Spontaneo (SPONT)

Manuale -> Gestione stati -> Bit di stato -> Spontaneo (SPONT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
17 | SPONT; spontaneo | automaticamente | in tutti i driver

E' valido il valore attuale. Tutto OK.


Non valido (INVALID)

Manuale -> Gestione stati -> Bit di stato -> Non valido (INVALID)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
18 | Non valido (INVALID) | automaticamente | in tutti i driver

Questo bit è settato se c'è un problema di comunicazione con il driver, o se è disturbata la singola variante. L'analisi delle singole variabili viene supportata solo da driver spontanei. La maggior parte dei driver di zenon, però, sono dei driver che lavorano in modalità polling, il che significa che viene indicato solo un malfunzionamento generale nella comunicazione.


Cambio orario estivo/invernale (T_CHG_A)

Manuale -> Gestione stati -> Bit di stato -> Cambio orario estivo/invernale (T_CHG_A)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
19 | Cambio orario estivo/invernale (T_CHG_A) | automaticamente | in determinati driver

Un'ora prima del passaggio dall'ora legale a quella solare o viceversa, viene settato questo stato. Esso può essere valutato dall'utente. In zenon questo stato serve da pura informazione.


Spento (OFF)

Manuale -> Gestione stati -> Bit di stato -> Spento (OFF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
20 | Spento (OFF) | dall'utente | in tutti i driver

Se una variabile non è necessaria nella modalità online, può essere spenta. Di conseguenza non viene più né letto, né attualizzato dall'hardware collegato.

Questo stato può essere usato per, ad esempio, non escludere delle parti di impianto dalla funzione di allarmi.


External Real-Time (T_EXTERN)

Manuale -> Gestione stati -> Bit di stato -> External Real-Time (T_EXTERN)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
21 | T-EXTERN | automaticamente | solo in determinati driver

Il dato data/ora viene preso dall'apparecchio esterno. zenon prende questo valore così com'è. Da questo momento, tutti i moduli usano questo dato.


Internal Real-Time (T_INTERN)

Manuale -> Gestione stati -> Bit di stato -> Internal Real-Time (T_INTERN)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
22 | T-INTERN | automaticamente | in tutti i driver

Il valore data/ora viene fornito dal driver zenon. Non appena il volore viene letto correttamente, gli viene impresso il dato data/ora. Da questo momento, tutti i moduli usano questo dato.


Non filtrati (N_SORTAB)

Manuale -> Gestione stati -> Bit di stato -> Non filtrati (N_SORTAB)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
23 | N_SORTAB | automaticamente | per standard IEC

Solo per SICAM 230.

Riguarda il flusso dati in tempo reale per il protocollo SSI. SSI viene usato per SK1703 e riguarda il driver AK.

Lo stato non viene più usato.

Originariamente: se un telegramma arrivava in considerevole ritardo, riceveva lo stato N_SORTAB nel caso in cui non poteva essere più ordinato. Visto che il sistema risorteggia, questo stato non ha più alcun significato.


Anomalia trasformatore (FM_TR)

Manuale -> Gestione stati -> Bit di stato -> Anomalia trasformatore (FM_TR)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
24 | FM_TR | automaticamente | per standard IEC

Solo per SICAM 230.

Solo per protocollo SSI: valore trafo non plausibile. Nei protocolli più recenti quest´informazione viene trasportata nell´INVALID-Bit.

SSI viene usato per SK1703 e riguarda il driver AK.


Anomalia trasformatore (RM_TR)

Manuale -> Gestione stati -> Bit di stato -> Anomalia trasformatore (RM_TR)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
25 | RM_TR | automaticamente | per standard IEC

Solo per SICAM 230.

Riguarda il protocollo SSI e IEC870-101: Ogni volta che avviene una variazione, viene settato anche il bit .

SSI viene usato per SK1703 e riguarda il driver AK.


Informazioni sulle variabili (INFO)

Manuale -> Gestione stati -> Bit di stato -> Informazioni sulle variabili (INFO)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
26 | Info: | automaticamente | per standard IEC

Solo per SICAM 230.

Non viene più usata.


Valore di riserva (ALT_VAL)

Manuale -> Gestione stati -> Bit di stato -> Valore di riserva (ALT_VAL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
27 | Valore di riserva (ALT_VAL) | dall'utente | in tutti i driver

Per poter simulare un valore, si può passare al valore di riserva. Il valore del processo viene completamente scorporato come in Spento (OFF). Al momento dello spegnimento viene visualizzato l´ultimo valore di processo. Esiste però la possibilità di modificare il valore di sostituzione nel runtime, per esempio facendo uso del dialogo di inserimento del valore impostabile:

  • Modficare valore di riserva: Modifica solamente il valore di sostituzione:
  • Commutare e modificare valore di riserva: Passa al valore di sostituzione e lo modifica subito portandolo al valore impostato.
  • Modificare valore spontaneo: Nonostante valore di riserva, viene inviato all´harware un valore impostabile. La variabile, però, mantiene il valore di riserva.
  • Commutare su valore spontaneo: Disattiva il valore di riserva.

Ulteriori possibilità di agire sul valore di sostituzione sono quelle che passano attraverso il Manager di gruppi ricette oppure la Interfaccia di programmazione.

Se lo stato al momento del passaggio al valore di sostituzione era "valore non valido" (settato INVALID), questo stato rimane invariato. Il valore ha settato lo stato non valido e valore di riserva.

Il valore di sostituzione non viene trasmesso all'hardware connesso, ma rimane nell'immagine di processo del calcolatore. Questo valore viene inviato a tutti i moduli di zenone viene lì elaborato. Esso viene, ad esempio, archiviato e vengono generati degli allarmi.

Usando le informazioni di stato, questi valori possono essere contrassegnati in modo speciale nel report. In tal modo si assicura, da un lato, la possibilità di ricostruire le modifiche avvenute, dall'altro non vengono condizionate le successive valutazioni .

Esempio Esempio

Se, per esempio, un rilevatore della temperatura esterna ha un guasto, fornisce un valore non realistico: ad esempio: -280 ºC. L'utente può inserire al posto di questo valore un altro, che legge sul termometro, ad esempio: 14ºC. Solo questo valore viene archiviato, protocollato e usato dagli allarmi.

Tutti i moduli di zenon lavorano solo con questo valore di riserva.


Non attualizzato (N_UPDATE)

Manuale -> Gestione stati -> Bit di stato -> Non attualizzato (N_UPDATE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
29 | N_UPDATE | automaticamente | in tutti i driver

Lo stato Non attualizzato(N_UPDATE) viene settato, se il valore è richiesto dall'hardware, ma non è stato ancora possibile leggere alcun valore valido.


Ora solare (T_STD)

Manuale -> Gestione stati -> Bit di stato -> Ora solare (T_STD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
30 | T_STD | automaticamente | in tutti i driver

Mediante l'uso di questo stato si stabilisce in modo inequivocabile se il dato data/ora è nell'orario invernale (Bit settato) o nell'orario estivo (Bir non settato).


Causa di trasferimento (COTx)

Manuale -> Gestione stati -> Bit di stato -> Causa di trasferimento (COTx)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
32 - 37 | COT0 fino a COT5 | automaticamente | per standard IEC

La causa di trasmissione (COT) secondo il protocollo IEC 60870.

Il valore della causa di trasmissione (vedi IEC60870-5-101 7.2.3) viene rappresentata sui biti di stato 32 - 37. In tal modo possono essere settati fino a 6 COTx (x sta per i numeri di bit da 0 a 5). Per esempio, il bit più basso del valore COT viene sistemato sul bit di stato 32 e in <CD_ PRODUCTNAME> riceve il nome di COT0.

L´intero valore COT può essere analizzato durante il funzionamente Runtime mediate una matrice di reazione (multi-numerica e multi-binaria). Ogni COTx Bit aumenta il valore della causa di trasmissione nel modo seguente:

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

Esempio

Tipici valori COT:

Stato | Valore | Causa di trasmissione | Denominazione breve
COT0, COT1 | 1+2 = 3 | spontaneous | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | activation confirmation | COT_actcon
COT1, COT3 | 2+8 = 10 | activation termination | COT_actterm
COT2, COT4 | 4+16 = 20 | interrogated by station interrogation | COT_inrogen

Info Informazioni

Il modulo Comandi usa la causa di trasmissione per il Watchdog timer di comandi.

Attenzione:

  • Non tutti i driver supportano COT.
  • Alcuni Energy Treiber supportano solamente un settore limitato al Watchdog timer nei comandi.
  • Alcuni driver supportano COT nonostante che il protocollo in sé non contenga nessun COT (per es DNP3). I dettagli a questo proposito li trovate nella documentazione sui driver.


P/N-Bit (N_CONF)

Manuale -> Gestione stati -> Bit di stato -> P/N-Bit (N_CONF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
38 | N_CONF | automaticamente | per standard IEC

Il Bit P/N di un telegramma IEC870-5-104 viene rappresentato sul Bit di Status N_CONF .


Test-Bit (TEST)

Manuale -> Gestione stati -> Bit di stato -> Test-Bit (TEST)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
39 | TEST | automaticamente | per standard IEC

Il Bit Test di un telegramma IEC870-5-104 viene rappresentato sul Bit di Status TEST.


Applicare scrittura (WR-ACK)

Bit numero | visualizzazione | Settato | Disponibile
40 | WR_ACK | automaticamente | in tutti i driver

In zenon si può stabilire per quali azioni setta valore impostabile o esegui ricetta deve essere richiesta una conferma scritta.


Scrittura avvenuta con successo (WR-SUC)

Manuale -> Gestione stati -> Bit di stato -> Scrittura avvenuta con successo (WR-SUC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
41 | WR_SUC | automaticamente | in tutti i driver

Se è richiesta una conferma scritta per setta valore impostabile o esegui ricetta (WR-ACK), questo Bit di stato deve essere settato dopo l'azione di scrittura corrispondente.


Stato normale (NORM)

Manuale -> Gestione stati -> Bit di stato -> Stato normale (NORM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
42 | NORM | automaticamente | in tutti i driver

Lo stato normale è definito nelle properties di variabile e rappresentato nel bit di stato NORM.


Deviazione dallo stato stato normale (N_NORM)

Manuale -> Gestione stati -> Bit di stato -> Deviazione dallo stato stato normale (N_NORM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
43 | N_NORM | automaticamente | in tutti i driver

In presenza di variabili del tipo dato BIT, il driver confronta lo stato di processo con lo stato normale indicato e visualizza il risultato sul bit di stato N_NORM.


BL_870

Manuale -> Gestione stati -> Bit di stato -> BL_870

Bit numero | visualizzazione | Settato | Disponibile
44 | BL_870 | automaticamente | IEC870 IEC850 (parzialmente)

Segnala lo stato IEC blocked secondo Norm IEC 60870-101 o 104. Il valore è bloccato per la trasmissione e rimane nello stato che aveva prima di essere bloccato. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


SB_870

Manuale -> Gestione stati -> Bit di stato -> SB_870

Bit numero | visualizzazione | Settato | Disponibile
45 | SB_870 | automaticamente | IEC870 IEC850 (parzialmente)

Segnala lo stato IEC substituted secondo Norm IEC 60870-101 oppure 104. Il valore è stato settato da un utente oppure da una fonte automatica. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


NT_870

Manuale -> Gestione stati -> Bit di stato -> NT_870

Bit numero | visualizzazione | Settato | Disponibile
46 | NT_870 | automaticamente | IEC870 IEC850 (parzialmente)

Segnala lo stato IEC not topical secondo Norm IEC 60870-101 o 104. Il valore non è stato aggiornato con successo durante un periodo di tempo determinato oppure non è disponibile. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


OV_870

Manuale -> Gestione stati -> Bit di stato -> OV_870

Bit numero | visualizzazione | Settato | Disponibile
47 | OV_870 | automaticamente | IEC870 IEC850 (parzialmente)

Segnala Overflow secondo Norm IEC 60870-101 o 104. Il valore si trova al di fuori dell´ampiezza di banda predefinita.


SE_870

Manuale -> Gestione stati -> Bit di stato -> SE_870

Bit numero | visualizzazione | Settato | Disponibile
48 | SE_870 | automaticamente | IEC870 IEC850 (parzialmente)

Questo S/E-Bit viene usato secondo Norm IEC 60870-101 o 104 in combinazione con la funzionalità Select before operate e serve a differenziare fra stato Select- e Execute- di un comando.

Valori:

  • 0 = execute
  • 1 = select


T_INVAL

Manuale -> Gestione stati -> Bit di stato -> T_INVAL

Bit numero | visualizzazione | Settato | Disponibile
49 | T_INVAL | automaticamente | IEC870

T_INVAL viene settato dal driver IEC870 se il time stamp realtime è evidenziato come non valido. In questo caso, il timestamp viene attribuito facendo uso del tempo locale del PC. Nell´IEC870 Slave del Process Gateways, T_INVAL viene inoltrato in direzione segnalazione in timestamp.


Segnalazione di Switch riconosciuta (CB_TRIP)

Manuale -> Gestione stati -> Bit di stato -> Segnalazione di Switch riconosciuta (CB_TRIP)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
50 | Segnalazione di Switch riconosciuta | automaticamente | in tutti i driver; si usa in rema multi binarie, rema multi numeriche, calcolo degli archivi in cascata, elemento combinato, stato AML/CEL.

Il bit di stato prende il valore 1 se viene riconosciuta una segnalazione di Switch.

Il riconoscimento avviene se:

  • il valore della variabile di responso cambia da <>0 a 0 e
    • il bit di stato CB_TR_I (51) non è 1
    • il bit di stato PROGRESS (10) non è 1
    • il valore della variabile di responso è già definito (non si tratta dunque del primo valore per questa variabile).

Un cambio del valore da 0 a <>0 azzera questo bit. Nello stesso modo se il bit di stato PROGRESS (10) diventa attivo. Una modifica di CB_TR_I non ha alcuna conseguenza su una segnalazione di Switchauf già riconosciuta.

Questo bit di stato può essere modificato in modo esplicito attraverso l´azione „Stato", „Stato on" o „Stato off".

Rete

In rete, l´analisi viene effettuata sul server che gestisce il processo. L´analisi viene effettuata sullo Standby-Server, ma il risultato non viene rappresentato sui bit di stato. Lo stato attuale di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del server di standby o della nuova connessione. Se la variabile di responso è una variabile su un calcolatore locale, l´analisi viene effettuata anche sui client.


Segnalazione di Switch non attiva (CB_TR_I)

Manuale -> Gestione stati -> Bit di stato -> Segnalazione di Switch non attiva (CB_TR_I)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | visualizzazione | Settato | Disponibile
51 | Segnalazione di Switch non attiva | automaticamente come risultato della formula della proprietà Disabilita rilevamento nel comando Interno ID: Segnalazione di Switch non attiva (CB_TR_I) Disabilita rilevamento Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule. Per la formula possono essere usate tutte le variabili del blocco; sono possibili definizioni di nomi come per la definizione di Condizioni di blocco di un´azione. Indicazione: le variabili che sono usate nella formula, non possono essere cancellate nel blocco. Ulteriori informazioni nella guida in linea. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | in tutti i driver; si usa in rema multi binarie, rema multi numeriche, calcolo degli archivi in cascata, elemento combinato, stato AML/CEL.

Mostra che la segnalazione di Switch è soppressa.

Il nuovo calcolo viene provocato dalla modifica dello stato o quella del valore di una variabile, che è stata definita nel comando per calcoli in formule. La formula non viene analizzata e il risultato non viene rappresentato sullo stato se:

  • una delle variabili nella formula non ha ancora un valore o uno stato definito
    oppure
  • una delle variabili ha settato il bit disturbato

Questo bit di stato può essere modificato in modo esplicito attraverso l´azione „Stato", „Stato on" o „Stato off".

Riconoscimento e soppressione

Una modifica di questo stato diviene attiva solamente quando viene riletta dal driver. Il che significa: il riconoscimento contemporaneo dello Switch e la soppressione del suo riconoscimento non funzionano.

Esempio: la formula „RM.Wert<1" riconoscerà nonostante questo uno schwitch, visto che CB_TR_I non è ancora attivo al momento della modifica del valore, ma è stato settato attivo solamente nel driver.

Rete

In rete, l´analisi viene effettuata sul server che gestisce il processo. L´analisi viene effettuata sullo Standby-Server, ma il risultato non viene rappresentato sui bit di stato. Lo stato attuale di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del server di standby o della nuova connessione. Se la variabile di responso è una variabile su un calcolatore locale, l´analisi viene effettuata anche sui client.


Uso

Manuale -> Gestione stati -> Uso


Matrici di reazione

Manuale -> Gestione stati -> Uso -> Matrici di reazione

La più ampia elaborazione degli stati è quella che si può effettuare nelle matrici di reazione.

In questa sede possono essere analizzati singoli stati per attivare allarmi. Sostanzialmente si ha la possibilità di considerare uno stato alla stregua di un valore. Si possono, come nel caso di un valore, causare determinate azioni.

Come, ad esempio:

  • provocare un allarme
  • generare un inserimento nella CEL
  • eseguire una funzione
  • Lampeggio
  • cambiamento di colore
  • Stampa

Esempio:

Se un valore non è più valido, esso riceve lo stato INVALID. Questo accade, per esempio, se il driver perde la connessione con il PLC. A questo punto si può creare una matrice di reazione, mediante la quale viene causato l'allarme, se il valore non è più valido (INVALID). Di conseguenza ci sono poi tutte le possibilità di provocare l'allarme.


Elementi dinamici

Manuale -> Gestione stati -> Uso -> Elementi dinamici

Con tutti gli elementi dinamici si ha la possibilità di far visualizzare lo stato della variabile collegata. A questo scopo si usa Mostra stato della variabile.

Esiste poi la possibilità di mostrare lo stato nel funzionamento online usando il tasto destro del mouse.

Lo stato viene mostrato nel Runtime mediante un clic con il tasto destro del mouse su un elemento dinamico. Finché si tiene premuto il tasto, viene visualizzato il nome della variabile e l'attuale stato della stessa.

Con l'opzione "mostra stato" attiva, un eventuale stato eccezionale viene indicato tramite un piccolo rettangolo rosso nell'angolo superiore destro dell'elemento.

In tal modo è evidente che il valore non è più spontaneo. Con la visualizzazione dello stato (tasto destro del mouse) diviene chiaro che qualcuno ha modificato lo stesso settando "valore di riserva".


Elemento combinato

Manuale -> Gestione stati -> Uso -> Elemento combinato

Nell'elemento combinato c'è la possibilità di analizzare lo stato e di elaborarlo in una forma grafica. Al contrario di quello che accade con le matrici di reazione, l'analisi si riflette solo nell'immagine.

In altre parole:

1 | non cambia il colore
2 | viene rappresentato un altro simbolo.
3 | vengono visualizzati altri testi.
4 | vengono visualizzate altr Bitmaps.
5 | il simbolo viene colorato.


Generatore di rapporti

Manuale -> Gestione stati -> Uso -> Generatore di rapporti

Nel generatore di rapporti c'è naturalmente anche la possibilità di analizzare lo stato.

Ciò avviene usando una funzione variabile con lo stato come parametro.

La sintassi è la seguente:

=variabile(Temperatura_esterno,stato)

Nel Runtime, la visualizzazione può avere il seguente aspetto.

Temperatura_esterno

21ºC

ALT_VAL


Manager gruppi ricette

Manuale -> Gestione stati -> Uso -> Manager gruppi ricette

Nel Manager di gruppi ricette c'è la possibilità di leggere tutti gli stati, di visualizzarli e di modificarli, se essi non sono settati dal processo (driver). Per settare bit di stato usate nel dialogo per Modifica di una ricetta la colonna Azioni.


VBA

Manuale -> Gestione stati -> Uso -> VBA

In VBA c'è la più grande libertà di accedere agli stati e di modificarli se non sono settati dal processo (driver).


Gestione utenti

Manuale -> Gestione utenti

zenon prevede un'amministrazione utenti sia per l'Editor, che per il funzionamento online (Runtime). Il sistema di password soddisfa le regole di FDA (Food and Drug Administration, 21 CFR Part 11).

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Il concetto

La concezione di password parte dal presupposto che utenti diversi abbiano diritti diversi di accesso al sistema (livelli password). Anche gli amministratori dispongono di diversi livelli d´autorizzazione, ed hanno inoltre delle funzioni complementari di amministrazione utenti.

La presente concezione di password consente la possibilità di assegnare ad ogni utente più livelli di password (diritti di accesso) definiti singolarmente. E’ possibile definire fino ad un massimo di 128 Password (0-127,a partire da zenOn 6.20) L’assegnazione dei singoli livelli password agli utenti e quindi la concezione password specifica a un progetto si effettua liberamente senza limitazioni. Ad ogni utente possono essere assegnate a volontà diversi livelli . Così l'utente 1 può disporre, ad esempio, dei livelli 0, 1, 5, 6 e l'utente 2 dei livelli 0, 1, 6, 8, 10. Ma possono essere assegnate solamente quelle autorizzazioni di cui l´amministratore stesso dispone.

L’utente accede al funzionamento online tramite la funzione Login ( pulsante testo, pulsante bitmap ecc.). Se per una ragione l’utente dovesse accedere al sistema automaticamente (per esempio commutatore presente come messaggio nel sistema) si applica la funzione Login senza password. Questa funzione può essere collegata ad un valore limite resp. una matrice di reazione.

L’utente annulla l’accesso al funzionamento online tramite la funzione Logout. A questo punto, il nuovo utente attivato al sistema è "SYSTEM".

Se durante un periodo di tempo definito non avviene nessuna azione di comando, è possibile progettare un logout temporizzato.

menu contestuale - manager di progetto

Menu contestuale Gestione utenti

Punto di menu | Azione
Profili editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online

Menu contestuale Utenti

Punto di menu | Azione
Nuovo utente | Apre il dialogo che serve ad impostare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Help | Attiva la guida online

Menu contestuale Gruppo utenti

Punto di menu | Azione
Nuovo gruppo utenti | Apre il dialogo che serve ad impostare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Profili editor | Apre la lista a cascata con i Profili editor predefiniti.
Help | Attiva la guida online

Menu contestuale Visualizzazione dettagliata: vediGestione utenti Visualizzazione dettagliata Barra dei simboli Menu contestuale


Progettazione nell'editor

Manuale -> Gestione utenti -> Progettazione nell'editor

Info Informazioni

Se modificate il valore di default per la massima indicazione della password alla voce 'Proprietà di progetto -> Gestione utenti -> Num. Max. inserimento password', bisogna tenere presente che la modifica sarà attiva solamente a partire dal riavvio del runtime. La funzione "Aggiorna" del Runtime non adotta questa modifica, perché altrimenti sarebbe possibile effettuare un numero qualsiasi di tentativi di inserimento della password.


Gestione utenti Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Gestione utenti -> Progettazione nell'editor -> Gestione utenti Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Punto menu/Simbolo | Azione
Nuovo utente | Apre il dialogo che serve ad impostare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Importa XML… | Importa da file XML.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online

Menu contestuale Gruppo utenti

Punto di menu | Azione
Nuovo gruppo utenti | Apre il dialogo che serve ad impostare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Help | Attiva la guida online


Creazione di un utente

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un nuovo utente:

  1. navigate per raggiungere il nodo Gestione user/user
  2. selezionate nel menu contestuale del manager di progetto o della visione dettagli oppure nella barra simboli il comando Nuovo utente...
  3. si apre il dialogo di configurazione
  4. fissate nelle singole schede le impostazioni valide per:
    • utente
    • Password
    • Message Control
    • Livelli di autorizzazione
    • gruppi utenti

Info Informazioni

Raccomandazione: Impostate come primo utente un amministratore. Solamente questi avrà accesso a tutte le funzioni e potrà in tal modo anche dare di nuovo l´autorizzazione all´accesso a quegli utenti che, avendo inserito tre volte la password sbagliata, dovessero essere stati bloccati.


utente

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente -> utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dell´utente:

Parametri

Descrizione

nome utente

Inserite qui il nome utente. L´utente si registra con il suo nome nel sistema.

Lunghezza massima: 20 caratteri.

Indicazione:Questo numero deve essere univoco.

Nome completo

Indicate il nome completo dell´utente. In tal modo attribuite i nomi utenti a persone reali.

Amministratore

Attiva: L´utente riceve lo stato di un amministratore.

E consentito solo all´amministratore di creare, editare e cancellare nuovi utenti nel funzionamento online.

Attivo

Attiva: L´utente è attivo e può registrarsi nel Runtime.

Indicazione: secondo le regole di FDA 21 CFR PART 11 un utente non può essere mai cancellato in modo tale che sia possibile in qualsiasi momento verificare chi ha realizzato una determinata operazione. Proprio per questo motivo, nei progetti che sono soggetti a questa normativa, un utente può essere solamente disattivato, ma non cancellato.

Per evitare la cancellazione di utenti, dovete disattivare nell´ambito delle proprietà di progetto la proprietà Eliminazione utenti del gruppo Gestione user.

Interno ID: utente

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: utente

Eliminazione utenti

Abilitata: È permessa l’eliminazione di un utente in Runtime
Disabilitata: E’ concesso solamente di marcare un utente come eliminato (a seconda delle direttive FDA).
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Bloccato

Attiva: l´utente è bloccato durante il Runtime e non si può registrare.

Questa opzione viene settata automaticamente quando un utente ha inserito per tre volte una password sbagliata.

Codice di blocco

PIN-Code a 4 cifre.

Questo codice viene usato dall'utente per bloccare delle aree oppure per renderle accessibili.

Profilo runtime che viene aperto al momento del login.

selezione del Profilo Runtime fra quelli della lista a cascata:

  • Nessuno
  • default
  • ultimo

OK

Riprende le modifiche di tutte le schede e chiude il dialogo.

Annulla

Rifiuta le modifiche di tutte le schede e chiude il dialogo.

Guida

Attiva la guida online

Info Informazioni

Un amministratore può consentire agli altri utenti l'accesso solamente a quei gruppi per i quali egli stesso possiede i diritti.


Modifica password

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente -> Modifica password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stabilire o modificare la password.

Le password possono avere un massimo di 20 caratteri. La lunghezza minima viene definita nelle proprietà di progetto nel gruppo Gestione user tramite la proprietà Lunghezza minima password. Il valore standard è di 6 caratteri.

Interno ID: Modifica password

Lunghezza minima password

Numero minimo obbligatorio di caratteri per una password.
Minimo: 0.
Massimo: 20.
Default: 6.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Modifica password

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
Vecchia password | Password attuale.
Nuova password | Inserimento di una nuova password. Nel caso di progetti in più lingue, tenete presente che deve essere possibile inserire i caratteri della password tramite la tastiera nel Runtime.
Confermare la password | Ripetizione della nuova password.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

La funzionalità Copia Incolla non è utilizzabile per l´inserimento della password nel campo a ciò adibito.


Message Control

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Opzioni per l´uso degli utenti nel modulo Message Control.

Parametri | Descrizione
Utente Message Control | Attiva: l´utente viene usato dal modulo Message Control.
Telefono | Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech. Inserimento in cifre. È consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.
Telefono cellulare | Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.
E-Mail | Indirizzo E-Mail dell´utente.
Persona di riserva | Selezione della persona di riserva cui deve essere inviato il messaggio nel caso in cui l´utente non sia raggiungibile, oppure egli rifiuti di ricevere il messaggio. Un clic sul comando ... apre il dialogo che serve alla selezione.
Code PIN | Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.
Codice NA | Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (not available). Il messaggio verrà poi inviato al prossimo utente della lista.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

attenzione Attenzione

I codici di ripristino per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili.

Se i codici sono identici, il codice viene interpretato come PIN e, dunque, come conferma del ricevimento del messaggio.

Se il sistema riceve un codice sconosciuto, il messaggio verrà inviato alla persona di riserva nel caso di SMS e E‑Mail; nel caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.


Livelli di autorizzazione

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stabilire i livelli di autorizzazione per l´utente.

Parametri | Descrizione
Livelli di autorizzazione disponibili | lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | lista delle autorizzazioni assegnate.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

Info Info

Usando Ctrl o Shift, potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più singoli inserimenti.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti


gruppi utenti

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un utente -> gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Assegnazione di un utente ai gruppi utente.

Parametri | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppo utente selezionato | Lista dei gruppi utenti attribuiti.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono cancellati da questa lista.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

Info Info

Usando Ctrl o Shift, potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più singoli inserimenti.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti


Creazione di un gruppo utenti

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un gruppo utenti:

  1. selezionate nella visione ad albero del Manager di progetto, alla voce "gestione user", la voce Gruppi utenti
  2. cliccate con il tasto destro del mouse nel settore "visuale dettagli" (Visuale dettagli del manager di progetto) oppure direttamente sull´inserimento Gruppi user
  3. selezionate nel menu contestuale il comando Nuovo gruppo utenti oppure cliccate sul simbolo corrispondente nella barra dei simboli.
  4. Si apre il box di dialogo Crea un nuovo gruppo utenti.
  5. definite il Nome e il Livello di autorizzazione

Info Informazioni

In un progetto, ogni gruppo user deve avere un nome univoco.

È possibile creare dei gruppi user con lo stesso nome nel progetto globale e in quello locale. Nel caso dell´insorgere di un conflitto, vengono prese in considerazione le autorizzaziono del gruppo utenti del progetto standard. Se il gruppo locale viene cancellato, dopo la compilazione dei file Runtime nell´Editor, l´utente riceve i diritti del gruppo del progetto globale.

Esempio:

sia nel progetto locale che in quello globale esiste un gruppo user A. Nel progetto globale gli sono assegnati i livelli di autorizzazione 1, 2, 3, 100 e 101; nel progetto locale i livelli di autorizzazione 1 e 2. Durante il Runtime valgono le regole del progetto locale; dunque il sistema assegna solamente i livelli di autorizzazione 1 e 2. Se nel progetto locale non esiste un gruppo A , i membri del gruppo A hanno i livelli di autorizzazione 1, 2, 3, 100 e 101 del progetto globale.


Nomina gruppi utenti

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un gruppo utenti -> Nomina gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Inserite il nome del gruppo utenti che volete creare.

Info Informazioni

Il nome del gruppo non può essere soggetto a cambio lingua, visto che deve poter essere controllato nella Active Directory.

@ non è un carattere valido per un nome di un gruppo utenti.


Livelli di autorizzazione

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un gruppo utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Assegnazione dei livelli di autorizzazione a un gruppo utenti.

Parametri | Descrizione
Livelli di autorizzazione disponibili | lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | lista delle autorizzazioni assegnate.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

Info Info

Usando Ctrl o Shift, potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più singoli inserimenti.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti


Successione nel Message Control

Manuale -> Gestione utenti -> Progettazione nell'editor -> Creazione di un gruppo utenti -> Successione nel Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stabilisce la successione degli utenti all´interno di un gruppo per l´uso nel modulo Message Control.

Parametri | Descrizione
utente | Lista di tutti gli utenti disponibili.
In sù | Sposta l´utente selezionato di una posizione in sù.
In giù | Sposta l´utente selezionato di una posizione in giù.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online


Modifica di un utente

La modifica di un utente avviene mediante la selezione dell´utente dalla lista della visuale dettagliata. In tal modo, viene visualizzato il parametro relativo nella finestra delle proprietà. Potete modificare i parametri Nome utente, Nome completo, Passwort, Livello di autorizzazioni e Gruppi utenti.


Modifica di un gruppo utenti

Manuale -> Gestione utenti -> Progettazione nell'editor -> Modifica di un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La modifica di un gruppo utente avviene mediante la selezione del gruppo utente dalla lista della visuale dettagliata. In tal modo, viene visualizzato il parametro relativo nella finestra delle proprietà. Potete modificare il parametro Nome, e Livelli di autorizzazione.

Info Informazioni

Se modificate il nome di un gruppo utenti, tutti gli utenti che erano collegati a questo gruppo, perdono tale connessione. Il gruppo utenti viene visualizzato con (del).

Se, però, nel progetto globale è presente un gruppo utenti dello stesso nome, tutti gli utenti che prima erano collegati al gruppo il cui nome è stato modificato, riprendono i livelli di autorizzazione di questo gruppo.


Cambiamento del nome del livello autorizzazioni

I nomi dei livelli autorizzazioni possono essere modificati globalmente per il Vostro progetto. A tal scopo, anadate nelle proprietà di progetto al gruppo Gestione user e cliccate lì sulla proprietà Amm. Livelli di aut..

Interno ID: Cambiamento del nome del livello autorizzazioni

Amm. Livelli di aut.

Oltre al numero, si può assegnare ai 128 livelli di autorizzazione un nome. Qui viene aperto il dialogo per la definizione del nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cambiamento del nome del livello autorizzazioni

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Cliccando due volte sulla riga desiderata della colonna Nome, aprite il campo di inserimento. Effettuate le modifiche. L'inserimento ha fine non appena il focus non si trova più nel campo suddetto, oppure quando si conferma l'inserimento pigiando il tasto Enter. La modifica del nome non viene eseguita se premete Esc, oppure se lasciate vuoto il campo di inserimento.


Autorizzazione funzioni

Manuale -> Gestione utenti -> Progettazione nell'editor -> Autorizzazione funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le autorizzazioni funzione hanno il compito di far sì che certe azioni possano essere eseguite durante il runtime solamente dagli utenti in possesso dell´autorizzazione corrispondente.

Per assegnare un´autorizzazione funzione:

  1. passate alla proprietà di progetto, in particolare al nodo Gestione user

    Interno ID: Autorizzazione funzioni

    Gestione user

    Impostazioni specifiche di progetto per l’amministrazione degli utenti.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate sulla proprietà Autorizz. Funz.

    Interno ID: Autorizzazione funzioni

    Autorizz. Funz.

    Determinate funzioni di sistema (per esempio: carica progetto) possono essere bloccate facendo uso dei livelli di autorizzazione, rendendole inaccessibili ad utenti non autorizzati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si apre il dialogo di configurazione
  4. assegnate all´autorizzazione in questione un livello
  5. assegnate agli utenti autorizzati questo livello di autorizzazione e toglietelo a tutti gli altri

Parametri

Descrizione

Modifica commento allarme

Un Commento necessario per il ripristino di un allarme può essere modificato.

Inserisci commento allarme

Si può inserire un Commento necessario per il ripristino di un allarme.

Cancellazione allarmi

Si possono cancellare degli allarmi durante il runtime.

Ripristino allarme tramite Barra stato allarmi/menu contestuale

Un ripristino dell'allarme mediante la barra di stato degli allarmi o il menu contestuale è possibile solamente se è disponibile il diritto corrispondente nel progetto cui si riferisce l'allarme attualmente visualizzato.

Nel caso della gestione multi-progetto: Il ripristino della segnalazione di sistema nella barra di stato degli allarmi o mediante il menu contestuale è possibile solo se l'autorizzazione è disponibile nel progetto-I.

Annotazione: le segnalazioni di sistema sono quelle che vengono emesse nella barra di stato degli allarmi al raggiungimento di un numero di allarmi programmabile.

Ripristino allarme tramite imamgini del tipo lista allarmi.

Il ripristino attraverso un´immagine del tipo lista allarmi è possibile solo con la corrispondente autorizzazione e nel progetto collegato con le variabili (gestione multi-progetto).
Indicazione: se l'utente non ha la necessaria autorizzazione, viene interrotto il lampeggio, ma l'allarme non viene ripristinato.

Ripristinare allarmi attraverso funzioni

Il ripristino mediante una funzione è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

- Attiva/disattiva Log modifiche

Il Log modifiche può essere attivato o disattivato nell'editor solo se l'utente che ha effettuato il login dispone del gruppo di autorizzazione corrispondente.

Editare l’archivio:

Dati di archivio (Archiv Server) possono essere modificati durante il runtime.

Modifica "Trend esteso"

Le curve del trend esteso possono essere modificate durante il Runtime. Nel caso non si disponga della necessaria autorizzazione, i seguenti elementi di controllo non sono attivi:

  • Diagramma:
  • curve:
  • Cornice
  • activate
  • axis

Immagine indietro (PGUP)

La funzione "immagine indietro" può essere eseguita durante il Runtime.

Catalogo d’immagine:

Nel runtime, la funzione "cambio immagine" ( Immagine - Funzioni) con opzione settata "offrire questo dialogo nel runtime solo se..." può essere utilzzata solo se l'utente che ha effettuato il Login dispone del corrispondente grupo di autorizzazione.

Blocco note: Apri file

La funzione file apri nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Blocco note: salva file

La funzione salva nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Aggiornare progetto

Una database di progetto può essere caricata nell'editor solo se l'utente che ha effettuato il Login dispone del gruppo di autorizzazione corrispondente.

Per eseguire una funzione l´utente deve essere registrato nel sistema e deve disporre del livello di autorizzazione corrispondente.

Info Informazioni

Il ripristino di un allarme è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Potete prevedere ed impostare per ognuno di questi metodi di ripristino differenti gruppi di autorizzazioni. Potete stabilire, ad esempio, che un gruppo di autorizzazioni può effettuare un ripristino solo attraverso la barra di stato degli allarmi e non diversamente.


Crea un'immagine del tipo Login

Manuale -> Gestione utenti -> Progettazione nell'editor -> Crea un'immagine del tipo Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione da parte di diversi utenti è resa possibile durante il runtime attraverso un'immagine del tipo Login.. Quest'immagine deve essere anzitutto definita nell'editor.

Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.

Dopo l'apertura dell'immagine, viene aperta un'immagine vuota. Potete impostare gli elementi di controllo standard facendo uso del menu Elementi di controllo -> Imposta Aggiungi modello.


Active Directory (AD)

Manuale -> Gestione utenti -> Active Directory (AD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Active Directory può essere usata in zenon per la gestione user nel Runtime di zenon. Per l´Editor di zenon, AD non è disponibile.

La Active Directory può essere usata in tre modi da zenon:

  1. Il nome del gruppo autorizzazioni nella gestione utenti di zenon coincide con il nome gruppo di un gruppo utenti in Active Directory: attribazione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente che sono definiti nel gruppo autorizzazioni di zenon. Vedi Gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono depositati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti depostitati nel gruppo AD. Vedi Attribuzione di un utente Active Directory a livelli di autorizzazione di zenon
  3. Lo schema Active Directory viene esteso di campi nei quali vengono salvati i livelli di autorizzazione di zenon. Ciò richiede un´estensione di schema di Active Directory. Essa, peraltro, non si presta ad essere utilizzata nel settore regolamentato dalla normativa FDA 21 CFR Part11. Vedi: Estensione schema di Active Directory.

Info Informazioni

Nel controllo della password in zenon viene controllato anche Max. password age della Active Directory.

Info Informazioni

Active Directory e ADAM/AD LDS non sono a disposizione sottoWindows CE.


Generale

Manuale -> Gestione utenti -> Active Directory (AD) -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il presupposto di base per poter utilizzare in zenon gli utenti di ActiveDirectory (d´ora in poi denominata AD) è un dominio sulla base di un sistema operativo Windows Server. Per poter amministrare gli utenti in ActiveDirectory, il server deve essere un server DNS.

Ne consegue che deve essere disponibile un controller di dominio con DNS ed ActiveDirectory per poter poi utilizzare questi account utente anche su un PC nel dominio come user in zenon.

L´accesso agli utenti di ActiveDirectory deve essere attivato nelle proprietà del progetto.

Si presuppone che l´utente disponga di conoscenze di base concernenti ActiveDirectory e la tecnologia Windows Server.

attenzione Attenzione

Se la registrazione avviene mediante Active Directory, tutti i computer devono avere accesso a Active Directory. Ciò vale anche per client e webclient!

Ragione: la registrazione di un client avviene direttamente dal client alla Active Directory. Il Runtime-Server di zenon non è coinvolto in tutto ciò.
un utente Active Directory può dunque essere registrato solamente se un client:

  • è membro del dominio
    e
  • ha accesso al dominio


Stessi gruppi utenti in zenon e in Active Directory

Manuale -> Gestione utenti -> Active Directory (AD) -> Stessi gruppi utenti in zenon e in Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per gli utenti di zenon e di Active Directory vale quanto segue:

  • se esiste un utente in AD, ma non in zenon, allora:
    • il sistema procede a controllare i gruppi utenti in zenon
    • i livelli autorizzazione dei gruppi cui appartiene l´utente, vengono asseganti all´utente AD
  • Se un utente esiste sia in AD che in zenon ed esso effettua il login nel runtime, allora:
    • l´utente locale di zenon ha priorità rispetto a quello AD
    • in AD non c`è nessuna verifica dei livelli autorizzazione, visto che l´utente locale è registrato nel sistema.


Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Manuale -> Gestione utenti -> Active Directory (AD) -> Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli utenti Windows della Active Directory possono essere utilizzati anche in zenon.

In Active Directory, singoli utenti possono essere assegnati a gruppi. I nomi dei gruppi devono essere come descritto nella seguente sintassi:

zenon Nome progetto##testo libero

Nella sua descrizione, l'autorizzazione dell'utente viene definita con la seguente sintassi:

testo libero ##GRP=HEX-numero## testo libero

Info Informazioni

La scrittura in lettere maiuscole/minuscole non ha alcuna importanza sia per quello che concerne i nomi dei gruppi, sia per quello che riguarda la descrizione degli stessi.

Per garantire una migliore leggibilità, il numero-HEX viene diviso in quattro parti (una per ogni gruppo di autorizzazioni) separate fra di loro da un trattino.

Struttura del numero Hex
FFFFFFFF | FFFFFFFF | FFFFFFFF | FFFFFFFF
Livelli autorizzazioni 1 | Livelli autorizzazioni 2 | Livelli autorizzazioni 3 | Livelli autorizzazioni 4

Esempio Esempio

Nome gruppo: MASCHINE01##Servicepersonal

Descrizione gruppo: testo libero##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##testo libero

Gli utenti che sono assegnati al gruppo MASCHINE01##Servicepersonal, ricevono in zenon i livelli autorizzazioni 0 - 127.

Non è necessario indicare tutte e 32 le posizioni. Le posizioni non specificate vengono interpretate come 0.

Esempio Esempio

Descrizione gruppo: testo libero##GRP=7##testo libero

Gli utenti che sono assegnati al gruppo con questa descrizione, ricevono in zenon i livelli autorizzazioni 0, 1 e 2.

7 esadecimale corrisponde alla rappresentazione binaria 111. Per ogni 1 nel numero binario viene settato il livello autorizzazioni corrispondente. Il bit più a destra sta per il livello autorizzazioni 0. Il bit immediatamente a sinistra sta per il livello autorizzazioni 1 e così via.

Un utente può appartenere anche a più gruppi. Esso rivece la somma dei livelli autorizzazione dei singoli gruppi.

Se un utente fa il login in zenon, il sistema controlla anzitutto se questo user esiste localmente in zenon. Se non dovesse essere il caso, il sistema cerca l´utente nella Active Directory. Se l´utente non esiste neppure lì, per esso non viene effettuato il login e viene realizzato un inserimento relativo nella CEL. Se l´utente è presente in AD, però non è definito alcun livello di autorizzazioni in zenon per questo utente, viene generato il seguente inserimento nella CEL: "nessun diritto definito per l´utente in AD" Per questo utente viene effettuato un login con livello 0.


Estensione schema di Active Directory

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Indicazione: questa estensione non dovrebbe essere utilizzata in un settore regolamentato dalle norme di FDA 21 CFR Part11. . Per realizzare una gestione utenti compatibile con le norme di FDA 21 CFR Part11, usate o il metodo Gruppi utenti in zenon e gruppi in Active Directory, oppure Assegnazione di un utente Active Directory ai livelli autorizzazione di zenon.

Info Informazioni

Active Directory e ADAM/AD LDS non sono a disposizione sottoWindows CE.


Installare l´estensione dello schema

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Installare l´estensione dello schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter attribuire agli user in AD anche i 128 livelli di autorizzazione di zenon, lo schema AD deve essere integrato con i seguenti inserimenti (4 valori integer).

A tal scopo i 2 file (zenonUserLevel.exe, zAD_UserDlg.exe) vengono copiati sul server (la cosa migliore è salvarli in un percorso proprio). Non appena è stato avviato il setup (zenonUserLevel.exe), non è più possibile né cambiare il nome, né cancellare questa cartella e i file in essa contenuti.

attenzione Attenzione

Trovate i due file zenonUserLevel.exe e zAD_UserDlg.exe sul DVD di zenon nella cartella /Software/zenonUserLevel/

Durante il setup viene salvato un riferimento al file zAD_UserDlg.exe nello schema AD.

Inoltre vengono aggiunti allo schema AD quattro valori integer (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4).

Info Informazioni

Solo un utente del gruppo Amministratori schema può eseguire queste modifiche! L´amministratore del dominio è normalmente in possesso di tali diritti.


Attribuzione dei diritti user

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Attribuzione dei diritti user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo aver completato con successo lo schema "estendi", si può procedere adesso all'attribuzione dei livelli user ai singoli utenti.

A tal scopo si apre la Microsoft Management Console (MMC) con il Plug-in Active Directory Users and Computers.

Cliccando sull'utente desiderato con il tasto destro del mouse, si apre un menu contestuale. In questo menu contestuale diviene visibile una nuova voce: zenonUserLevel.

In questo menu contestuale, deve essere selezionata la voce zenonUserLevel in modo tale che si apra l'AdministrationsTool (zAD_UserDlg.exe) per l'utente prescelto.

Info Informazioni

I gruppi autorizzazioni per zenon possono essere impostati solamente direttamente sull'utente; gruppi e unità di organizzazione non vengono supportati.

Con l'aiuto di questo AdministrationsTool, si possono definire per ogni utente fino a 128 livelli di autorizzazione.

Info Informazioni

Il livello di autorizzazione 0 è attribuito di Default ad ogni utente; non si può disattivare questa opzione neanche con l'Administrationstool.

Questo livello corrisponde all´utente SYSTEM di zenon.


Descrizione dell'AdministrationsTool

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Attribuzione dei diritti user -> Descrizione dell'AdministrationsTool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
[prima riga] | Parmetro LDAP che serve da connectionstring.
Last Name | Cognome dell´utente selezionato.
First Name | Nome di battesimo dell´utente selezionato.
User Level | I 4 valori integer rappresentano ciascuno 32 livelli di autorizzazione. Inserimento mediante attivazione o disattivazione delle checkbox, oppure inserimento diretto nel campo apposito.
# | Attualizza la visualizzazione dei livelli di autorizzazione.
Selezione | Attiva tutte le checkbox di una colonna.
Clear | Disattiva tutte le checkbox di una colonna.
Save | Salva tutte le impostazioni attuali.
Cancel | Elimina tutte le impostazioni effettuate dal momento in cui si è salvato per l´ultima volta e chiude il dialogo.
OK | Salva tutte le impostazioni e chiude il dialogo.
Logging | Mostra le informazioni concernenti il login.


Estensione schema - Dettagli

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Estensione schema - Dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di chiarire le implicazioni della cosa, si procederà in questa sezione alla spiegazione dettagliata dell´estensione dello schema, in modo tale da poterla anche verificare e controllare in caso dell´insorgere di problemi.

Per poter osservare i dettagli dello schema AD, deve essere installato il ADSI Edit sul server. Questo tool è disponibile non appena si sia proceduto all´installazione dei support tool e del CD del Microsoft Server.

Reperibili sul CD alla voce: CD_ROOT/SUPPORT/TOOLS/SUPTOOLS.msi

Il ADSI Edit Plug-in può essere poi aperto anche nella console Microsoft Management (MMC). Poi possono essere create diverse connessioni.


Schema

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Estensione schema - Dettagli -> Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nello schema si possono controllare gli ulteriori attributi. Normalmente li si trova in fondo.

zenonUserLevel1 - zenonUserLevel4


Configuration

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Estensione schema - Dettagli -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si è impostato il collegamento su Configuration, i dettagli dei singoli oggetti AD possono essere esaminati e modificati. In questo caso è interessante solamente l'oggetto User-Display nei singoli DisplaySpecifiers, visto che qui viene creato il collegamento fra oggetto user e AdministrationsTool.

Le proprietà dell´oggetto user-Display contengono un attributo recante il nome adminContextMenu.

Questo attributo contiene il collegamento all'AdministrationsTool (zAD_UserDlg.exe).

Si può modificare questa voce anche manualmente, se dovesse essere necessario.

Per far ciò:

  1. selezionare un inserimento
  2. premere il pulsante Remove
  3. adattare il parametro
  4. aggiungere con Add

Il parametro ha la seguente struttura:

,Identificazione della voce di menu, percorso per zAD_UserDlg.exe Datei

Esempio Esempio

Esempio: se il file EXE viene salvato nel percorso D:/AD_Users.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Domain

Manuale -> Gestione utenti -> Active Directory (AD) -> Estensione schema di Active Directory -> Estensione schema - Dettagli -> Domain

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si apre la connessione Domain, si vedono subito dei parallelismi con il Plug-in Active Directory Users and Computers. Si può trovare anche qui proprio questa informazione, ma un po´ più dettagliata.

Se si esaminano, ad esempio, le proprietà di un oggetto user e si scrolla verso il basso fino ad arrivare in fondo alla lista, si trovano anche qui i quattro valori integer per il livello autorizzazioni.


Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista)

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Active Directory Lightweight Directory Services (in breve: AD LDS) è una versione semplificata della Active Directory e si presta ad essere utilizzata su normali sistemi operativi desktop; non è dunque necessario utilizzare nessun sistema operativo server. Come per la AD, anche la AD LDS supporta:

  1. Il nome del gruppo autorizzazioni nella gestione utenti di zenon coincide con il nome gruppo di un gruppo utenti in Active Directory: attribazione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente che sono definiti nel gruppo autorizzazioni di zenon. Vedi Gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono depositati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti depostitati nel gruppo AD. Vedi Attribuzione di un utente Active Directory a livelli di autorizzazione di zenon

Potete usare AD LDS sotto:

  • Windows Vista
  • Windows 7
  • Windows Server 2008

Per Windows XP usate ADAM.

In questa guida si spiega l´installazione e la configurazione sotto Windows Server 2008. L´uso sotto Windows Vista e Windows avviene in modo analogo. Per i dettagli su questo tema vedi il capitolo AD LDS sotto Windows 7 e Windows Vista.


AD LDS sotto Windows 2008

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> AD LDS sotto Windows 2008

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per installare il AD LDS Server Role:

  1. selezionate negli Administrative Tools l´opzione Server Manager

  2. cliccate su Add Roles

  3. aggiungete AD LDS Role


Crea nuova istanza AD LDS

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Crea nuova istanza AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare una nuova istanza AD LDS:

  1. Aprite nella Active Directory Lightweight Directory Services Control Panel il AD LDS Setup Wizard.

  2. Avviate il wizard:

  3. Selezionate l´opzione A unique instance.

  4. Assegnate un nome a quest´istanza.

  5. Configurate le porte. Default:
    • LDAP: 389
    • SSL: 636

    Indicazione: se modificate in questa sede la porta impostata, dovete effettuare il cambio anche in alcune delle seguenti impostazioni.

  6. Specificate il Partition Name.

    Nel nostro esempio: o=zenon,c=com

    Il Partition Name viene usato più tardi insieme alla port e al nome server in zenon.

    Sio può effettuare questa configurazione in zenon in un secondo momento. Proseguite con la configurazione nel wizard.

  7. Definite il posto in cui dovranno essere salvati i dati.
    Si può riprendere l´impostazione di default.

  8. Definite il Service Account per AD LDS.

    Nel nostro esempio: Network service account

    Nel caso in cui il computer su cui è installato AD LDS non è un membro del dominio, il sistema emetterà un messaggio di avvertimento:

    Ciò non compromette la funzionalità di AD LDS. Eccezione: se usate la funzione Replication.

    Confermate di aver letto questo messaggio cliccando sul pulsante Yes.

  9. Definite l´utente destinato a ricevere i diritti amministratore.

    Nel nostro esempio usiamo Currently logged on user. Nel nostro caso, un utente locale con diritti di amministratore.

    L´utente e la sua password vengono usate più tardi in zenon.

    Questa configurazione può essere effettuata in un secondo momento. Proseguite con la configurazione nel wizard.

  10. Importate i file LDIF necessari:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Terminate l´installazione


Importare lo schema AD LDS

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Importare lo schema AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per importare gli schemi AD LDS:

  1. Passate nel Windows Explorer alla cartella %WINDIR%\ADAM.
  2. Selezionate poi nel menu contestuale [Tasto shift+clic con il tasto destro del mouse]: Apri qui richiesta inserimento dati.

  3. Inserite la seguente successione di caratteri:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Pigiate poi il tasto "invio":

  5. Inserite la seguente successione di caratteri:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Indicazione: nel caso in cui abbiate modificato una port, a questo punto la si deve adattare.

  6. Pigiate poi il tasto "invio":


Configurare AD Schema Snap-in.

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Configurare AD Schema Snap-in.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare lo schema Snap-in, dovete anzitutto registrarlo tramite la richiesta di inserimento dati (sono necessari diritti di administrator):

  1. Cliccate sul pulsante Start
  2. passate alla Richiesta di inserimento dati
  3. selezionate nel menu contestuale esegui come amministratore
  4. inserite nella richiesta di inserimento dati: regsvr32 schmmgmt.dll
  5. confermate premendo il tasto Invio

Configurazione

  1. Cliccate sul pulsante Start
  2. aprite Esegui
  3. inserite: mmc /a

  4. cliccate su File -> Add/Remove Snap-in...

  5. selezionate Active Directory Schema
  6. cliccate su Add.
  7. cliccate su OK.

  8. passate a Active Directory Schema
  9. selzionate nel menu contestuale Change Active Directory Domain Controller...

  10. Indicate Server e Port (in questo esempio: localhost:389)

  11. A questo punto dovreste vedere questa finestra:

  12. passate a Classes -> organization
  13. aprite Properties

  14. cliccate su Add.
    1. cercate maxPwdAge
    2. cliccate su OK.

    1. ripetete l´operazione per lockoutDuration

    1. e per lockoutThreshold

  15. cliccate su OK.

Queste operazioni sono assolutamente necessarie per avere maxPwdAge a disposizione nella Unità di organizzazione che verrà configurata di seguito.

  • maxPwdAge definisce il periodo di tempo massimo dopo il quale un utente deve modificare la password.
  • lockoutDuration definisce il periodo di tempo per il quale un utente viene bloccato dopo che questi ha inserito più volte la password sbagliata.
  • lockoutThreshold definisce il numero di tentativi sbagliati ammessi prima che l´utente venga bloccato per un periodo determinato.

Nelle norme di sicurezza locali del computer stabilite le regole per:

  • password complexity
  • minimum password length
  • age


Configurare unità organizzazione, gruppi e utenti

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Configurare unità organizzazione, gruppi e utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare unità organizzazione, gruppi e utenti

  1. aprite Start -> Administrative Tools -> ADSI Edit

  2. selezionate nel menu contestuale Connect to...
  3. usate le seguenti impostazioni (modificate eventuali impostazioni precedentemente configurate):
    1. Connection Point: o=zenon,c=com
    2. Computer: localhost:389

    A questo punto dovreste vedere questa configurazione:

configurare maxPwdAge

  1. selezionate O=zenon,c=com
  2. cliccate su Refresh.
  3. chiudete ADSI Edit
  4. aprite di nuovo ADSI Edit
  5. selezionate O=zenon,c=com
  6. selezionate nel menu contestuale Properties

  7. passate a maxPwdAge
    1. Inserite un valore valido
    2. Formato: DD:HH:MM:SS (nel nostro esempio 10:00:00:00)

    Indicazione: se la proprietà maxPwdAge non è visibile, controllate se l´avete aggiunta in modo corretto. Anche un refresh, la chiusura e l´apertura di ADSI Edit, oppure ricaricare lo schema, sono modi per eliminare il problema.

  8. passate a lockoutDuration
    1. Inserite un valore valido
    2. Formato: DD:HH:MM:SS (nel nostro esempio 00:00:10:00, -> 10 minuti)

  9. passate a lockoutThreshold

  10. inserite lo stesso valore delle norme di sicurezza locali (per es. 3)

Indicazione: le impostazioni per la durata del blocco dell´account vengono ignorate in AD LDS. Si usa la proprietà lockoutDuration (O=zenon,c=com) .


Unità di organizzazione

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Configurare unità organizzazione, gruppi e utenti -> Unità di organizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un´unità di organizzazione:

  1. selezionate O=zenon,c=com
  2. selezionate nel menu contestuale New -> Object

  3. selezionate organizationalUnit

  4. indicate un nome (nel nostro esempio: zenon users OU)

  5. cliccate su Next e poi su Finish


Gruppi

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Configurare unità organizzazione, gruppi e utenti -> Gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un gruppo:

  1. selezionate le Unità di organizzazione
  2. selezionate nel menu contestuale New -> Object

  3. selezionate group

  4. indicate un nome (nel nostro esempio: zenon user group)

  5. cliccate su Next.
  6. passate a Attributes
  7. cliccate su More Attributes.
    1. andate alla proprietà Select a property to view
    2. selzionate nella lista a cascata groupAttributes
    3. passate a Edit Attribute
    4. inserite il valore 2147483650 (rappresenta un account group)

  8. cliccate su Set.
  9. adesso selezionate in corrispondenza della proprietà Select a property to view la voce sAMAccountName
  10. inserite lo stesso valore del gruppo (zenon user group)

    Indicazione: questa impostazione si rende necessaria per poter configurare i gruppi utenti in zenon.

  11. Cliccate su OK e poi su Finish


Utente

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Configurare unità organizzazione, gruppi e utenti -> Utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un utente:

  1. selezionate le Unità di organizzazione
  2. selezionate nel menu contestuale New -> Object

  3. selezionate la classe user

  4. indicate un nome (nel nostro esempio: zenon1)

  5. cliccate su Next.
  6. passate a Attributes
  7. cliccate su More Attributes.
    1. andate alla proprietà Select a property to view
    2. selzionate nella lista a cascata sAMAccountName
    3. passate a Edit Attribute
    4. indicate lo stesso valore dell´utente (zenon1)
      (Questa configurazione è necessaria per far sì che l´utente possa essere utilizzato in zenon.)

  8. cliccate su Set.
  9. selzionate in corrispondenza della proprietà Select a property to view adesso la voce displayName
  10. inserite un valore per la visualizzazione del nome, per es. 1st zenon user

  11. cliccate su Set, poi su OK e Finish

Aggiungi utente al gruppo

Per aggiungere un utente a un gruppo:

  1. selezionate zenon user group
  2. selezionate nel menu contestuale Properties

  3. selezionate member
  4. cliccate su Edit.

  5. per aggiungere l´account AD LDS precedentemente impostato (user):
    1. cliccate su Add DN....
    2. inserite nella maschera di inserimento dati: CN=zenon1,OU=zenon users OU,O=zenon,C=com

    1. Otterrete il risultato:

  6. fissate una password per l´utente zenon1

    Indicazione: la password deve soddisfare le condizioni delle norme di sicurezza locali.

  7. settate per l´utente zenon1 le proprietà set msDS-UserAccountDisabled su False

L´utente adesso è stato impostato e può essere usato in zenon.


Uso in zenon

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Uso in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´uso in zenon, configurate anzitutto le impostazioni nell´Editor e poi settate l´identificazione utente a livello AD LDS durante il Runtime.

Info Informazioni

Active Directory e ADAM/AD LDS non sono a disposizione sottoWindows CE.


Editor

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Uso in zenon -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La configurazione si effettua nelle proprietà di progetto, per la precisione nella sezione Gestione user:

Interno ID: Editor

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • È stato impostato un gruppo utenti recante il nomezenon user group

  • e sono stati stati aggiunti dei livelli di autorizzazione


Runtime - variabili del driver di sistema

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> Uso in zenon -> Runtime - variabili del driver di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • L´utente zenon1 può effettuare il login in zenon:

  • L´utente riceve i suoi livelli di autorizzazione dal gruppo zenon:

  • Il sistema visualizza i giorni che restano finché la password non deve essere modificata (con un giorno di differenza):

Procedere in caso di errore

nel caso in cui si verifichino degli errori durante il Runtime, controllate se:

  • le impostazioni sono state settate in modo corretto:
    • Nome utente
    • sAMAccountName
  • le impostazioni per il firewall sono state settate in modo corretto
  • la configurazione dell´Editor è corretta per quel che concerne:
    • collegamento
    • Password

Se l´utente non dovesse ricevere alcun livello di autorizzazione dal gruppo zenon, controllate se:

  • i nomi corrispondono
  • sAMAccountName del gruppo è stato settato in AD LDS
  • l´utente in AD LDS è stato aggiunto al gruppo

AD/ADAM

Se si vuole che delle autorizzazioni provengano dal gruppo utenti in AD/ADAM, in AD LDS si deve:

  • adattare nel gruppo la proprietà description
  • denominare il gruppo esattamente come il progetto

Per ulteriori informazioni sulla configurazione Vi preghiamo di leggere il capitolo Settaggio dei livelli di autorizzazione di zenon nel campo di un gruppo Active Directory.


AD LDS sotto Windows 7 e Windows Vista

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> AD LDS sotto Windows 7 e Windows Vista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

AD LDS può essere usato anche sottoWindows Vista e Windows 7. Trovate i setup necessari nella Microsoft Website.

All´installazione segue la configurazione effettuata mediante Pannello di controllo -> Gestione; si procede in modo analogo a quando descritto per Windows Server 2008.


Risoluzione dei problemi sotto Windows Vista e Windows 7

Manuale -> Gestione utenti -> Active Directory Lightweight Directory Services - AD LDS (a partire da Windows Vista) -> AD LDS sotto Windows 7 e Windows Vista -> Risoluzione dei problemi sotto Windows Vista e Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se, dopo l´apertura dello schema Active Directory Snap-ins, non viene visualizzato alcun contenuto, i diritti di accesso dovranno essere modificati. Per far ciò:

  1. selezionate nel menu contestuale Permissions...

  2. assegnate agli utenti necessari i diritti corrispondenti
    (potete aggiungere nuovi utenti cliccando su Add)

  3. Cliccate sul pulsante Advanced

  4. Cliccate sul pulsante Advanced
  5. aprite la scheda Permissions
  6. attivate l´opzione Apply to This object and all descedant objects per l´utente corrispondente.

  7. chiudete la console e apritela di nuovo (mmc /a) per gli ulteriori passi di configurazione


Active Directory Application Mode - ADAM (per Windows XP)

Manuale -> Gestione utenti -> Active Directory Application Mode - ADAM (per Windows XP)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Active Directory Application Mode (ADAM) è pensata per essere utilizzata sotto Windows XP.

Per

  • Windows Vista
  • Windows 7
  • Windows Server 2008

usate Active Directory Lightweight Directory Services

Requisiti

Per poter usare Active Directory Application Mode per zenon, dovete tener presente i seguenti punti al momento di configurare ADAM.

  1. Create una nuova istanza ADAM
  2. Eseguite uno schema AD
  3. Per consentire all´utente ADAM l´accesso, cliccate su Programmi-> Gestione> Norme di sicurezza locali. Nel dialogo che si aprirà, cliccate su Impostazioni di sicurezza > Norme conto. In questa sede, stabilite le impostazioni desiderate per le norme concernenti la password e il blocco del conto.
  4. Configurate lo schema ADAM Snap-In.
  5. In Snap-In cliccate sulla voce Classi > Organizzazione, e selezionate proprietà. Poi inserite nella scheda Attributi maxPwdAge come attributo opzionale. In tal modo Vi assicurate che il controllo password e la modifica password funzionino in modo analogo a quanto accade per la Active Directory.

    Avvertenza: dovete indicare la durata della validità della password in nanosecondi.

  6. Impostate utente e gruppo utente in ADAM. Tenete presente i seguenti punti:
    • Per quello che riguarda l´utente e il gruppo utente, dovete digitare ancora una volta il nome alla voce Proprietà > Attributo- Editor per attributosAMAccountName.
    • Nel caso del gruppo utente, dovete indicare il nome come descritto alla voce Uso di Active Directory.
    • Impostate Il livello autorizzazioni zenon come descritto alla voce Uso di Active Directory all´attributo description.

Info Informazioni

Per visualizzare il nome utente con l´aiuto della variabile driver di sistema, dovete settare manualmente il nome utente in ADAM alla voce Utente sotto Proprietà > Attribut-Editor in corrispondenza dell´attributo displayName.


Creare una nuova istanza ADAM.

Manuale -> Gestione utenti -> Active Directory Application Mode - ADAM (per Windows XP) -> Creare una nuova istanza ADAM.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In tal modo installate una istanza ADAM facendo uso dell´assistente Active Directory-Modalità di applicazione-setup.

  • Cliccate per avviare l´assistente Active Directory-Modalità di applicazione-setup su start, andate su Tutti i programmi e poi su ADAM, e cliccate poi su Crea istanza ADAM.
  • Cliccate nella pagina Benvenuti su Continua.
  • Sulla pagina Setup-Opzioni potete selezionare se installate un´istanza ADAM univoca oppure se volete attribuire ad una configurazione esistente una nuova istanza. Visto che installate la prima istanza ADAM, cliccate su Installa una istanza univoca. Clicchi su “Avanti”.
  • Inserite nella pagina

    Nome istanza

    un nome per l´istanza ADAM da installare. Il nome viene usato sul computer locale per l´identificazione univoca dell´istanza ADAM. Cliccate di nuovo su

    avanti

    .
  • Inserite sulla pagina

    Ports

    le port di comunicazione che vengono usate dall´istanza per la comunicazione. ADAM può comunicare tramite LDAP (Lightweight Directory Access-Protokoll) oppure SSL (Secure Sockets Layer). Per questo motivo, dovete inserire per tutte e due le port un valore. Cliccate di nuovo su

    avanti

    .

Info Informazioni

Se sul computer, su cui installate ADAM, usate già una delle standardports, l´assistente Active Directory-Anwendungsmodus-Setup cerca automaticamente la prima port disponibile, iniziando da 50000. Ad esempio: Active Directory usa le Ports 389 e 636 come quelle 3268 e 3269 su server Katalog. Per questo, durante l´installazione di ADAM su un controller domini vengono messi a disposizione i valori standard

50000

per la LDAP-Port e

50001

per la SSL-Port.
  • Alla pagina

    Partizione percorso applicazione

    potete creare una partizione di percorso applicazione (oppure un contesto nomi); per far ciò, dovete cliccare su

    Sì, crea una Partizione percorso applicazione

    . Se invece di far ciò, cliccate su

    No, non creare una Partizione percorso applicazione

    , dovete creare manualmente dopo l´installazione una Partizione percorso applicazione. Se create una Partizione percorso applicazione, dovete indicare un nome definito per la nuova partizione. Cliccate di nuovo su

    avanti

    .

Info Informazioni

ADAM supporta nomi definiti in X.500- e in stile DNS (Domain Name System) per partizioni percorsi del livello più alto.

  • Alla pagina

    Percorsi file

    potete indicare e modificare i percorsi di installazione per dati ADAM e file di ricostruzione (dati di protocollo). Di default, i dati ADAM e file di ricostruzione vengono salvati sotto

    %ProgramFiles%\Microsoft ADAM\Instanzname\data

    . Il termine

    Instanzname

    rappresenta il nome istanza ADAM, che Voi indicate alla pagina

    Nome istanza

    . Cliccate su

    Avanti

    per riprendere i percorsi standard.

Info Informazioni

Quando installate ADAM su un computer sotto Windows XP, dovete installare questi file sullo stesso volume logico. Quando installate ADAM sotto Windows Server 2003 e Windows Server 2003 R2 in un ambiente di produzione, Vi consigliamo di installare i file su supporti dati separati.

Fili di programma e programmi di gestione vengono installati da ADAM in

%windir%\ADAM

.
  • Alla pagina

    Selezione conto di servizio

    , selezionate un conto che viene usato come conto di servizio per ADAM. Il conto selezionato determina il contesto di sicurezza in cui viene eseguita la instanza ADAM. Se non installate ADAM su un controller di dominio, di default viene usato il conto di servizio di rete di Active Directory-Anwendungsmodus-Setup-Assistente. Cliccate su

    Avanti

    per assumere l´impostazione standard

    Conto di servizio di rete

    . Quando installate ADAM su un controller di dominio, cliccate su

    Questo conto

    e selezionate poi il conto utente dominio come conto di servizio ADAM.

Info Informazioni

Potete modificare il conto di servizio ADAM dopo l´installazione di ADAM con il programma

dsmgmt

. Quando installate ADAM su un controller di dominio, dovete selezionare un conto utente dominio come conto di servizio ADAM.
  • Alla pagina

    Amministratori ADAM

    selezionate un utente o un gruppo come amministratore standard per l´istanza ADAM. L´utente o il gruppo selezionato dispone di tutta la funzionalità di amministrazione per l´istanza ADAM. Di default, il Active Directory-Anwendungsmodus-Setup-Assistenten indica l´utente che ha effettuato attualmente il login. Potete modificare questa selezione in ogni locale conto o conto di dominio, oppure in ogni gruppo in rete. Cliccate sul valore standard

    Utente registrato adesso

    , e cliccate poi su

    Avanti

    .
  • Alla pagina

    Importare file LDIF

    , potete importare due file LDF con definizioni di classe utente e oggetto nello schema ADAM. Importare queste definizioni è facoltativo.
    • Cliccate su

      Importare file LDIF selezionati per questa istanza ADAM

      .
    • Cliccate su

      MS-InetOrgPerson.LDF

      e poi su

      Aggiungi

      .
    • Cliccate su

      MS-User.LDF

      e poi su

      Aggiungi

      .
    • Cliccate su

      MS-UserProxy.LDF

      , su

      Aggiungi

      e poi su

      Avanti

      .
  • Sulla pagina

    Pronto per l´installazione

    potete controllare le opzioni di installazione prescelte. Se cliccate adesso su

    Avanti

    , il Active Directory-Anwendungsmodus-Setup-Assistent comincia a copiare i file e ad installare ADAM sul computer.
  • Quando Active Directory-Anwendungsmodus-Setup-Assistent ha terminato l´installazione di ADAM, viene visualizzata la seguente segnalazione: "Active Directory-Anwendungsmodus-Setup-Assistent è stato portato a termine con successo." Quando viene visualizzata la pagina

    Termina l´assistente

    , cliccate su

    Termina

    per chiudere l´assistente.

Info Informazioni

Se l´Active Directory-Anwendungsmodus-Setup-Assistent non viene portato a termine con successo, viene visualizzata alla pagina

Riassunto

una segnalazione di errore con la ragione che ha causato l´errore.

  • Se si verifica un errore in Active Directory-Anwendungsmodus-Setup-Assistenten prima che la pagina

    Riassunto

    venga aperta, potete controllare la segnalazione di errore che viene visualizzata. Inoltre potete cliccare su

    Start

    e poi su

    Esegui

    e indicare uno dei seguenti nomi file:

    %windir%\Debug\Adamsetup.log

    %windir%\Debug\Adamsetup_loader.log

    I file

    %windir%\Debug\Adamsetup.log

    e

    %windir%\Debug\Adamsetup_loader.log

    contengono utili informazioni per il trattamento di errori ADAM.


Iniziare ad usare AD-Schema

Manuale -> Gestione utenti -> Active Directory Application Mode - ADAM (per Windows XP) -> Iniziare ad usare AD-Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In tal modo usate per la prima volta Active Directory/programma di sincronizzazione-ADAM.

  • Clicchi su Start.
  • aprite Tutti i programmi,
  • cliccate su ADAM
  • poi su ADAM-programmi di amministrazione:

    si apre una finestra di comando nella cartella ADAM.

Per estendere lo schema ADAM agli oggetti schema standard di Windows Server nell´Active Directory:

  • nella richiesta di inserimento dati inserite il seguente comando in una riga:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k3.ldf

  • Pigiate poi il tasto "invio".


Configurare ADAM Schema Snap-in.

Manuale -> Gestione utenti -> Active Directory Application Mode - ADAM (per Windows XP) -> Configurare ADAM Schema Snap-in.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurare il programma di gestione ADAM-Schema Snap-In.

Con un ulteriore programma di gestione ADAM, l´ADAM-Schema Snap-In, potete amministrare lo schema ADAM. Se avete già usato l´Active Directory-Schema-Snap-In, il ADAM-Schema Snap-In dovrebbe esservi noto. Prima di poter usare ADAM-Schema Snap-In, dovete creare un´apposito file MMC come descritto di seguito.

  • Cliccate su start, su esegui; inserite mmc /a e, poi, cliccate su OK.
  • Cliccate sul menu File su aggiungi/cancella Snap-In e cliccate poi su Aggiungi.
  • Cliccate nei Disponibili autonomi Snap-Ins su ADAM-Schema, su Aggiungi, su Chiudi e poi cliccate su OK.
  • Per salvare questa console, cliccate nel Menu File su Salva.
  • Inserite nel nome file quanto segue, e cliccate poi su Salva:
    %windir%\system32\adamschmmgmt.msc
  • Create un collegamento tramite ADAM-Schema Snap-In con l´istanza ADAM. A tal scopo, cliccate nella struttura console con il tasto destro del mouse su ADAM-Schema; cliccate su modifica ADAM-Server. Inserite localhost in corrispondenza di ADAM-Server e 389 in corrispondenza di Port.
  • Cliccate su OK. L´ADAM-Schema Snap-In, adesso, ha il seguente aspetto. Adesso potete valutare e visualizzare le classi e gli attributi di ADAM-Schema.
  • Per creare un collegamento per l´ADAM-Schema-Snap-In nel Menu Start, effettuate le seguenti azioni:
    • Cliccate con il tasto destro del mouse su start, cliccate su Apri - Tutti gli utenti, doppio clic sulla cartella Programmi, e doppio clic sulla cartella ADAM.
    • Andate nel Menu File su Nuovo, e cliccate poi su collegamento.
    • Inserite nell´assistente per la creazione di collegamenti, indicate il luogo di salvataggio dell´elemento, la seguente successiione di caratteri adamschmmgmt.msc, e poi cliccate su Continua.
    • Indicate nella pagina Selezione Indicazione programma in Indicate il nome del collegakmento, il nome ADAM-Schema e cliccate poi su Termina.


Gestione durante il runtime

Manuale -> Gestione utenti -> Gestione durante il runtime

Nel runtime ogni utente dispone della disponibilità di editare la sua propria password. Ma non gli è possibile editare altri utenti. Soltanto l´amministratore dispone di questo diritto. Le modifiche effettuate durante il Runtime devono essere rilette nell´Editor; solo in seguito saranno disponibili anche in quella sede. Al momento della trasmissione dei file Runtime, tenete presente la proprietà RT dati modificabili. In questa sede si stabilisce se la progettazione della gestione utenti durante il Runtime viene trasmessa e la configurazione nel Runtime viene sovrascritta.

Interno ID: Gestione durante il runtime

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Facendo uso della funzione Modifica utenti

  • l´amministratore può creare nuovi utenti.
  • Egli può modoficare utenti esistenti (eccezione: nome utente per registrazione).
  • Può creare, modificare e cancellare gruppi utenti.

    Se un amministratore imposta durante il Runtime un nuovo gruppo utenti, diviene automaticamente membro di tale gruppo.

  • Assegnare livelli di autorizzazione

    L´amministratore può assegnare solo quei livelli di cui egli stesso è in possesso. Questa circostanza permette di evitare che un amministratore si sblocchi tutto il sistema.

Indicazione: Durante il Runtime, gli utenti e i gruppi utenti dell´editor del progetto globale vengono messi insieme agli utenti e gruppi utenti del progetto. Proprio per questo motivo, essi non possono essere né editati durante il Runtime, nel riletti nell´Editor.

attenzione Attenzione

Conformità a quanto previsto delle norme FDA 21 CFR Part 11:

  • Né l´utente, né l´amministratore possono modficare il nome utente nel runtime.
  • Si può impedire la cancellazione di utenti facendo uso delle proprietà di progetto, e in particolare della proprietà Eliminazione utenti del gruppo Gestione user.

    Interno ID: Gestione durante il runtime

    Gestione user

    Impostazioni specifiche di progetto per l’amministrazione degli utenti.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Gestione durante il runtime

    Eliminazione utenti

    Abilitata: È permessa l’eliminazione di un utente in Runtime
    Disabilitata: E’ concesso solamente di marcare un utente come eliminato (a seconda delle direttive FDA).
    Default: Abilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Login

Dopo l’avvio del runtime, l’attuale utente (User) SYSTEM ha accesso al livello LEVEL 0 del sistema.

Al login nel Runtimesono previste le seguenti misure di sicurezza. :

  • Password

    In caso si inserisca per tre volte la password sbagliata, il sistema blocca l´utente ed effettua automaticamente il logout. Per questa ragione, questo utente non può gestire il sistema per tutti quegli elementi che richiedono un livello di autorizzazione superiore a 0. Egli non può dunque eseguire alcuna azione connessa ad un livello di autorizzazione user.
    Viene visualizzato il seguente messaggio:

    Uno sblocco del rispettivo utente potrà essere effettuato soltanto dall'amministratore (disattivare la proprietà bloccato).

    Il nome dell'utente, che cerca di effettuare in modo errato il login, viene protocollata nella Lista Eventi cronologici.

  • Nome utente

    Nel caso qualcuno cerchi di inserire un nome utente non esistente, oppure nel caso in cui non si indichi nessuna password, viene visualizzato il messaggio di errore Username non valido!". Dopo tre inserimenti sbagliati, il sistema viene bloccato per tutti quegli elementi che richiedono un livello di autorizzazione superiore a 0. Nussun utente è dunque in grado di eseguire delle azioni protette da livelli di autorizzazione. Un annullamento di questo sblocco può essere effettuato soltanto dall´amministratore.

    Il nome dell'utente, che cerca di effettuare in modo errato il login, viene protocollato nella Lista Eventi cronologici come evento per l´utente registrato al momento.

  • Login dopo disattivazione

    Nel caso in cui un utente sia stato disattivato e tenti nonostante ciò di effettuare il login, quest'operazione non è possibile. Questo tentativo viene protocollato nella Lista Eventi cronologica.

Password

Il rispettivo utente è sempre l´unico a conoscere la sua password. E anche l´unico a poter modificare la sua password. Dopo aver ricevuto una password dall´amministratore, l´utente al primo login deve definire nuovamente la sua password. Questo modo di procedimento garantisce che nessun amministratore abbia la conoscenza della password dell´utente e possa provocare delle firma errate. (Importante per FDA 21CFR Part 11).

Nel caso in cui un utente dimenticasse la sua password, l´amministratore può cancellare la stessa password e può attribuirne una nuova. Per tutte le sue intervenzioni l´amministratore non deve avere conoscenza della password. Al prossimo login il rispettivo utente deve in ogni caso modificare la sua password.

Delle informazioni più precise concernenti i file runtime modificati, le trovate nel capitolo: progetto e workspace /File RT modificabili

attenzione Attenzione

Login mediante l´immagine del tipo Login: nel caso in cui non inseriate alcuna password per un utente valido quando Vi registrate mediante un´immagine del tipo Login, non ricevete alcun messaggio di errore. Il sistema non consentirà il loggin all´utente. Anche dopo tre tentativi a vuoto, però, il sistema non verrà bloccato.

Se invece inserite una password errata e/o un nome utente non esistente, il sistema si bloccherà dopo tre tentativi, come al solito.


Login permanente e temporaneo

Manuale -> Gestione utenti -> Gestione durante il runtime -> Login permanente e temporaneo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli utenti possono effettuare un login permanente o solo temporaneo.

Login permanente

Il login permanente avviene mediante la Funzione Login con dialogo oppure la Funzione Login senza password. In tal modo, l´utente è registrato in modo permanente e può eseguire tutte le azioni di gestione per cui è autorizzato. Nel caso di operazioni di gestione per cui egli non possiede l´autorizzazione necessaria, il sistema provvede a visualizzare un messaggio di avvertimento.

Interno ID: Login permanente e temporaneo

Login senza password

Questa funzione effettua il login di un utente selezionato senza richiedere la sua password.

Ulteriori informazioni nella guida in linea

Interno ID: Login permanente e temporaneo

Login con dialogo

Questa funzione apre un dialogo di login standard.

Ulteriori informazioni nella guida in linea

Un consiglio: è possibile rendere invisibili agli utenti registrati dei pulsanti facendo uso del meccanismo della password. A tal scopo si deve attivare la proprietà Tasti bloccati (Proprietà di progetto -> Gestione user -> Login temporaneo).

Interno ID: Login permanente e temporaneo

Login temporaneo

Impostazioni per il login temporaneo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Login permanente e temporaneo

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Login permanente e temporaneo

Tasti bloccati

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Interno ID: Login permanente e temporaneo

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Questa proprietà agisce indipendentemente dalla proprietà Descrizione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Interno ID: Login permanente e temporaneo

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Login permanente e temporaneo

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: non è possibile un login temporaneo per utenti registrati nel sistema. Per questo motivo il sistema non visualizza un dialogo per un login temporaneo per gli utenti registrati quando essi fanno uso di funzioni per le quali sono in possesso della corrispondente autorizzazione.

Login temporaneo

Se un utente non registrato deve effettuare un´azione di gestione che richiede un´autentificazione, egli può realizzare un login temporaneo. A tal scopo la proprietà Login temp. Attivo (-> Gestione user -> Login temporaneo) deve essere attiva nelle proprietà di progetto.

Login per il runtime:

  • nel caso in cui si voglia effettuare una funzione protetta da una password, il sistema apre un dialogo per il login.
  • l´utente può effettuare il login ed eseguire l´operazione in questione sempre che ne possegga i diritti. In caso contrario il sistema visualizzerà un messaggio che fa presente la mancanza dei diritti necessaria all´esecuzione dell´azione.
  • il sistema effettua il logout dell´utente subito dopo che questi ha eseguito l´azione

Info Informazioni

Login temporaneo:

  • ha effetto solamente in caso di esecuzione di una funzione
  • supporta interruttori, ma non pulsanti
  • è disattivato per gli utenti con login permantente


Protezione password nell´elemento dinamico

Manuale -> Gestione utenti -> Gestione durante il runtime -> Protezione password nell´elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel runtime, tutti gli Elementi dinamici che permettono l'esecuzione di una funzione oppure un Settaggio di valore impostabile, possono essere collegati a un gruppo di autorizzazione.

Crei un elemento dinamico. Per esempio un pulsante testuale. Vengono visualizzate adesso tutte le proprietà progettabili per questo elemento dinamico nella finestra di proprietà.

Selezioni nelle proprietà del gruppo “utente” la proprietà 'gruppo di autorizzazione'. Qui può impostare il gruppo di autorizzazione necessario per l´esecuzione della funzione.

Per proteggere un´azione di valore impostabile con degli elementi dinamici, bisogna collegare una variabile attraverso la finestra proprietà e attivare il settaggio di valore impostabile prima di definire il gruppo di autorizzazione.


Funzioni password

Manuale -> Gestione utenti -> Gestione durante il runtime -> Funzioni password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Login con dialogo

Manuale -> Gestione utenti -> Gestione durante il runtime -> Funzioni password -> Login con dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione apre durante il Runtime la maschera di login che serve a registrarsi di nuovo in zenon.

Questa registrazione viene protocollata nella Lista Eventi cronolocigi.

Per il login si può usare anche una Immagine del tipo Login.

Grandezza e posizione

Si può fissare la grandezza e la posizione della finestra di login durante il runtime all´interno di zenon6.ini:

  1. aprite lo zenon 6.ini
  2. create o modificate il settore:

    [comando]

  3. inserite i valori per

    POSIZIONE= sinistra, destra, su, giù

Default: POSIZIONE= 0.001, 0.999, 0.835, 0.964

Attenzione: la grandezza si riferisce alla dimensione dell´immagine e non a quella della finestra principale.

Info Informazioni

Trovate lo zenon6.ini nel percorso:

Windows Vista/7: C:\ProgramData\COPA-DATA\System\

Windows XP C:\Documents and Settings\All Users\Dati di applicazione\COPA-DATA\System


Login senza password

Manuale -> Gestione utenti -> Gestione durante il runtime -> Funzioni password -> Login senza password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione consente di registrare un utente in zenon nel runtime senza dover usare una password. L´utente viene nominato direttamente oppure registrato mediante Chip Ident System. Il richiamo della funzione può essere attivato tramite un evento (interruttore impostabile solo dalle persone autorizzate) o tramite temporizzazioni. La registrazione viene protocollata nella Lista eventi cronologica.

Per creare la funzione, procedete come di seguito:

  • Create una nuova funzione.
  • Navigate per raggiungere il nodo Gestione utenti.
  • Selezionate Login senza password.
  • Si apre il dialogo per la selezione dell´utente.
  • Selezionate il tipo del Login.

Parametri

Descrizione

Direttamente utente

Registra l´utente selezionato.

Utente da variabile

Registra l´utente con il nome utente della variabile trasmessa. Consente la registrazione via un Chip Ident System.

Cliccate sul pulsante... e si apre il dialogo che serve alla selezione di una variabile stringa. Per i dettagli, vedi la voce "Registrazione via Chip Ident System".

Registrazione via Chip Ident System.

La registrazione Utente da variabile consente l´uso di sistemi Chip Ident, come, ad esempio, Euchner o Keba Identsystem. Per usare la possibilità di una registrazione mediante una variabile, tenete presente quanto segue:

  • L´utente deve essere stato impostato nella gestione utenti di zenon oppure in Active Directory con lo stesso nome utente adottato nella chip.

    Ad esempio: se il nome utente in Chip è J. Smith, deve esistere nella gestione utenti o nella Active Directory un J. Smith in possesso dei diritti adeguati.

  • Quando l´utente tiene la sua chip davanti al lettore, la variabile stringa (per esempio username) viene riempita dei dati della chip (per es. J Smith) e l´utente viene registrato.
  • Perché la funzione possa essere eseguita, deve esistere una Matrice di reazione del tipo Stringa, che reagisce ad ogni modifica di valore e esegue la funzione.
    • Questa matrice di reazione deve essere collegata alla variabile (per es. username).


Logout

Manuale -> Gestione utenti -> Gestione durante il runtime -> Funzioni password -> Logout

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L’attuale utente esce con questa funzione di logout dal funzionamento online ( Runtime) e di nuovo ha accesso l’utente (User) “SYSTEM” con il livello“LEVEL 0” attivato. Il protocollagio del login viene sempre eseguito nella Lista eventi cronologica.

Non sono necessari parametri di trasferimento.

attenzione Attenzione

Logout automatico Funzione automatica:

  • Logout automatico: accade permanentemente a partire al momento di scadenza del tempo dell'ultima operazione effettuata.
  • Funzione automatica: accade solo una volta a partire dalla scadenza del tempo dell'ultima operazione effettuata.


Modifica password

Manuale -> Gestione utenti -> Gestione durante il runtime -> Funzioni password -> Modifica password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione, l’utente attuale può modificare la sua password nel funzionamento online.( Runtime). Per l’utente interno del sistema non è possibile alcuna modifica. La funzione non viene eseguita.

Nel funzionamento online si apre una maschera d´immissione.

Le immissioni necessarie sono:

Parametri | Descrizione
Vecchia password | immettere la password attuale
Nuova password | immettere la password nuova
Conferma password | interrogazione di sicurezza per la nuova password

Se all’utente non è stata assegnata una password, la può definire lui stesso alla prima chiamata di funzione nel funzionamento online. Nella maschera non viene chiesta una vecchia password.


Cancellazione di un utente

Selezioni l´utente da cancellare nella lista ed apra il menù contestuale facendo un clic con il mouse. Selezioni cancella e confermi l´ulteriore verifica.


Tipo d'immagine Login

Manuale -> Gestione utenti -> Gestione durante il runtime -> Tipo d'immagine Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Utilizzando un’immagine per il login è possibile una libera organizzazione della finestra login. . (Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.)

La creazione dell'immagine login nell'editor avviene tramite la definizione di una nuova finestra del tipo Login.

Dopo l'apertura dell´immagine, si apre un’immagine vuota e la Lista a cascata Elementi di controllo viene riempito nella riga menu.

Elementi di controllo:

Elemento di controllo | Descrizione
Utente attuale | Dicitura Utente attuale
Visualizzazione utente attuale | Visualizzazione dell'utente attualmente registrato
Identificazione | Dicitura Username
inserimento identificazione | Area inserimento per Username
Password | descrizione password
inserimento password | campo d´inserimento per la password
OK | Pulsante per il login e la chiusura della finestra
Esci | Pulsante per interrompere
Login | Pulsante per il login senza la chiusura della finestra

Login

Nell´effettuare il loggin nel Runtime, vale quanto segue:

  • se si inserisce per tre volte la password sbagliata, l´utente viene bloccato per il sistema. Questo blocco può essere rimosso solamente dall´amministratore.
  • In caso di un inserimento errato del nome utente per 3 volte il sistema verrà bloccato. Il sistema non può essere usato da nessun utente e deve essere reso accessibile di nuovo dall´amministratore.
  • Nel caso in cui si inserisca al momento della registrazione un username corretto, ma non si inserisca la password, non ci sarà alcuna reazione da parte del sistema. Il sistema non viene bloccato.

Per i dettagli si veda il capitolo Gestione durante il runtime.


Guida runtime

Manuale -> Guida runtime

zenonoffre la possibilità per i progetti attivi di creare una guida contestuale nel Runtime. Questa guida è basata su pagine HTML compilate in un file CHM.

I capitoli di guida sono a disposizione in 3 contesti:

Parametri | Descrizione
Menù principali | Un inserimento di un Menu principale permette di aprire direttamente una pagina guida.
Elementi dinamici | Per il menù contestuale di ogni elemento dinamico può essere definita una propria pagina guida.
Funzione Apri la guida | Richiamo della funzione Help

La guida Runtime consente l´uso di tutti i comuni formati immagine (per es. *.jpg, *.bmp, *.gif, *.png, ...), formattazioni testi, nonché
navigazione in avanti e indietro.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Preparativi

Manuale -> Guida runtime -> Preparativi

Installazione workshop guida HTML

Il workshop HTML compila i file HTML in un formato CHM. La guida Runtime si basa su file di tipo CHM. L´HTML Help Workshop è contenuto nel DVD di installazione di zenon.

Creazione di un progetto guida

Ci sono numerosi differenti tools, con i quali possono essere creati file HTML. Anche in Word si possono salvare testi come file HTML.

Un progetto di guida standard (RT_Help.hpp) si trova sul DVD di installazione sotto /Predefined/RT_Help/Sprache. Il progetto standard di guida desiderato viene copiato nella rispettiva cartella di progetto. In questo percorso vengono copiati i file HTM(L) per la guida.

In questo progetto guida standard, tutte le impostazioni iniziali necessarie sono già impostate.

Elaborazione del workshop guida HTML

Dopo aver avviato il workshop guida HTML, deve essere caricato il progetto standard di guida. Tramite il pulsante Add/Remove Topic Files possono essere collegati i file HTM(L) al progetto guida.

Con l’utilizzo del pulsante Save and Compile o Compile viene generato un file RT_Help.chmnella cartella del progetto di guida attuale. Tutti i file HTM(L) per questo progetto guida, sono contenuti nel file CHM.

In caso di successive modifiche dei file HTM(L), il progetto guida deve essere ogni volta ricompilato.

Più file di help:

Nel caso in cui la guida runtime dovesse essere ripartita su più file, tutti i file devono essere copiati nella cartella del prossimo file progetto guida. Adesso il progetto guida può essere rinominato ed i file HTM(L) verranno sostituiti dai nuovi file. Una compilazione del nuovo progetto guida, conclude la creazione del nuovo file guida.

Impostazioni per la guida con possibilità di cambio lingua

Dopo che il progetto guida è stato generato in una certa lingua, tutti i file devono essere copiati nella cartella della prossima lingua. Adesso i file HTM(L) possono essere sostituiti dai file della nuova lingua. Dopo l´avvio dell’ HTML Help Workshop, deve essere selezionata la lingua corrispondente nel menù “International Settings”. Una nuova compiliazione del progetto guida conclude la creazione della guida nella nuova lingua.

I nomi dei progetti guida (*.hpp, *.chm) ed i nomi dei file HTM(L) devono essere identici in tutte le lingue!


Progettazione nell'editor

Manuale -> Guida runtime -> Progettazione nell'editor

Nel Manager di progetto alla voce File/guida possono essere inseriti nel menu contestuale i file CHM. La lingua standard viene già inserita nel relativo menù contestuale. Se qui non sono inseriti i file standard, non sarà possibile una selezione di file in una successiva progettazione!


Possibilita di modifica lingua

Manuale -> Guida runtime -> Progettazione nell'editor -> Possibilita di modifica lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i progetti con cambio di lingua dev´essere creata una propria sotto-cartella per ogni lingua. In queste sottocartelle vengono inseriti i file guida per la rispettiva lingua. Passaggi necessari:

  • impostare nel menu contestuale di File/Help delle cartelle proprie per ogni lingua, per es. Inglese e Tedesco.
  • tradurre gli inserimenti nel file help
  • compilare nuovamente con HTML-Help Workshop
  • un file RT-Help.chmdeve essere inserito in ogni cartella lingua
    • a tal scopo, selezionate nel menu contestuale Aggiungi file
  • tutti i file della guida devono quindi essere inseriti, attraverso il menù contestuale, nella versione di lavoro attuale.


Aggiornamento di file guida

Manuale -> Guida runtime -> Progettazione nell'editor -> Aggiornamento di file guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui durante la progettazione dovessero essere sostuiti i file guida esistenti con i file più recenti, la sostituzione dev´essere effettuata manualmente. I nuovi file CHM vengono copiati nella rispettiva sotto-directory del progetto. Nell'editor i file possono poi essere poi trasmessi alla banca dati del progetto tramite il comando Rendere modifiche possibili e accettare modifiche.


Guida nel menù principale

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida nel menù principale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo la selezione del Menu principale desiderato, verrà generato un nuovo punto menu per la guida. In questa selezione, si possono trovare nelle finestre delle proprietà, le seguenti impostazioni:

Parametri

Descrizione

Menu contestuale

Tipo di azione

Interno ID: Guida nel menù principale

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il tipo di azione deve essere definito come Guida, altrimenti le altre proprietà per la guida non saranno selezionabili.

Elemento dinamico:

File guida

Interno ID: Guida nel menù principale

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard.

Questa impostazione è di default, qualora per l´elemento dinamico non sia stato definito alcun proprio file di guida.

Elemento dinamico:

Capitolo guida

Interno ID: Guida nel menù principale

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano.

Questa impostazione è di default, se per l´elemento dinamico non è stato definito un proprio capitolo guida.


Guida per elementi dinamici

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per ogni Elemento dinamico è selezionabile un menù contestuale. Se il menù contestuale ha un inserimento con il tipo d´azione guida, sarà possibile visualizzare una guida contestuale per l´elemento dinamico.


Definizione di menù contestuali

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici -> Definizione di menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo la selezione del Menu contestuale desiderato, verrà generato un nuovo punto menu per la guida. Nelle proprietà sono necessarie le impostazioni seguenti:

Parametri

Descrizione

Menu contestuale

Tipo di azione

Interno ID: Definizione di menù contestuali

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il tipo di azione deve essere definito come Guida, altrimenti le altre proprietà per la guida non saranno selezionabili.

Elemento dinamico: File guida

Interno ID: Definizione di menù contestuali

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard.

Questa impostazione è di default, qualora per l´elemento dinamico non sia stato definito alcun proprio file di guida.

Elemento dinamico: Capitolo guida

Interno ID: Definizione di menù contestuali

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano.

Questa impostazione è di default, se per l´elemento dinamico non è stato definito un proprio capitolo guida.

Questo menù contestuale può adesso essere utilizzato per diversi elementi dinamici.


Definire un elemento dinamico

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici -> Definire un elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le seguenti impostazioni sono necessarie nelle proprietà dell’ elemento dinamico.

Parametri | Descrizione
Menu Interno ID: Definire un elemento dinamico Menu Menù contestuale dell’elemento. Un click del tasto destro del Mouse sull’elemento apre questo Menu contestuale durante il Runtime. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Qui viene selezionato il menù contestuale dalla lista.
File guida Interno ID: Definire un elemento dinamico File guida File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili. Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida". Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard. Nel caso in cui non sia definito nessun file guida per l'elemento dinamico, sarà utilizzata l'impostazione del menù contestuale.
Capitolo guida Interno ID: Definire un elemento dinamico Capitolo guida Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base. Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole. Ulteriori informazioni nella guida in linea. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano. Nel caso in cui non sia definito nessun capitolo della guida per l'elemento dinamico, sarà utilizzata l´impostazione del menù contestuale.


Guida per allarmi

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per ogni Allarme può essere definita una guida contestuale. Le rispettive impostazioni sono definite direttamente sulle proprietà dell´allarme. Si richiama questa guida nell'immagine dell'allarme ( Tipo di immagine Lista allarmi ). Dopo la selezione di un allarme inserito nella lista allarmi e dopo aver cliccato sul pulsante Guida, viene visualizzata la corrispondente pagina per la guida.

Sono necessarie le impostazioni seguenti nelle proprietà di Valori limiti di una variabile:

Interno ID: Guida per allarmi

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Guida per allarmi

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
Come allarme Interno ID: Guida per allarmi Come allarme Attiva: se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi. Non attiva: non viene generato nessun inserimento nella Lista allarmi. Default: non attiva. Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Questa proprietà dev´essere attivata, altrimenti le ulteriori proprietà per la guida non sono selezionabili.
File guida Interno ID: Guida per allarmi File guida Disponibile soltanto se il valore limite è definito come allarme: File di guida in formato (*.chm) che è associato all’allarme. Questo può essere visualizzato tramite il tasto MDI ‘Guida’ nella pagina di tipo allarmi. Se viene inserita la stringa $PRG:xxxxxx e l’implementazione con Electroplan è correttamente abilitata nella licenza d’uso, viene lanciata un’instanza del programma electroplan con i parametri xxxxxx. La proprietà ‘capitolo della Guida’ viene ignorata ma non deve essere vuota. Il percorso del file EXE di Electroplan deve essere inserito nel file zenOn6.ini tramite l'inserimento EDOC_PATH= nella sezione [PATH]. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard.
Capitolo guida Interno ID: Guida per allarmi Capitolo guida Disponibile solo se il valore limite è definito come allarme. Capitolo della guida visualizzato per questo allarme nella lista degli allarmi tramite il tasto MDI di ‘Help’ con l’allarme selezionato. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano.


Visualizzazione della guida

Manuale -> Guida runtime -> Visualizzazione della guida

La visualizzazione della guida può avvenire in due modi differenti:

  1. Esternamente: attraverso l´help HTML del sistema operativo.
    Tenete presente i limiti che concernono il cambio lingua!
  2. Internamente: attraverso l´help nell´immagine HTML


Guida HTML del sistema operativo

Manuale -> Guida runtime -> Visualizzazione della guida -> Guida HTML del sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo tipo di rappresentazione è utilizzato di default. Non è necessaria nessun altra progettazione.

attenzione Attenzione

Di regola, il cambio lingua non è possibile per quello che concerne l´help HMTL dei sistemi operativi Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato mediante una Immagine HTML.

Eccezione: help sotto Windows CE.


Guida nell´immagine HTML

Manuale -> Guida runtime -> Visualizzazione della guida -> Guida nell´immagine HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se esiste un'immagine del tipo di finestra HTML con il nome HTML-Help, verrà utilizzata questa invece che la guida HTML del sistema operativo. Per quanto riguarda il nome dell´immagine devono essere rispettati maiuscolo/minuscolo.

La rappresentazione della guida è effettuata nell´elemento di controllo Navigare.

Info Informazioni

Questo tipo di visualizzazione della guida deve essere utilizzata sotto Windows XP, se è necessario il cambio lingua della guida.

Nel caso in cui con Windows Vista/7 si cambi la lingua dopo che il CHM-Viewer è stato chiuso, viene usata la nuova lingua quando si riapre la guida.


Richiamo della funzione Help

Manuale -> Guida runtime -> Richiamo della funzione Help

Con questa Funzione può essere richiamata una pagina di Help per Menu, Valori limite, Elementi dinamici .

  1. selezionate nel menu contestuale del nodo Funzioni il comando Nuova funzione
  2. navigare per raggiungere le Applicazione
  3. selezionate Apri Guida
  4. si apre il dialogo di configurazione

Parametri | Descrizione
File - guida | File help (*.CHM), dal quale deve essere richiamata una pagina. Cliccate sul pulsante... ... e si apre l´Explorer che serve alla selezione di un file CHM.
Capitolo dell´help | Pagina della guida che deve essere visualizzata. Inserimento manuale del nome file del capitolo prima della compilazione con estesione del nome file htm. Formato: Nome file.htm

Tutte le funzioni di richiamo della guida possono essere così parametrizzate:

  • Combinazione del nome di un file CHM e di un file HTM incluso.
  • Solo nome del file HTM più index di un file HTM incluso.

Info Informazioni

Quando si realizza una presentazione HTML, ogni singola pagina HTM dovrebbe ottenere un titolo tag significativo, visto che esso verrà visualizzato sotto Windows CE.


Guida Runtime con sistemi CE

Manuale -> Guida runtime -> Guida Runtime con sistemi CE

Sotto Windows CE, il file CHM viene aperto e il file HTM(L) viene visualizzato nell´Internet Explorer oppure in un´immagine del tipo HTML.

Nel caso di apparecchiature CE, non sono permessi segni speciali, quali dieresi, accenti ecc. Tutte le referenze per oggetti help Windows CE devono trovarsi sempre all´interno di questi segni:

  • A-Z
  • a-z
  • 0-9

Info Informazioni

Cambio lingua: Al contrario di altri sistemi operativi di Microsoft Window, il cambio lingua nel runtime funziona sotto Windows CE anche con l´help HTML del sistema operativo.

Indicazione: Ogni apertura dell´help sotto Windows CE determina la chiusura di tutte le altre finestre aperte dell´Internet Explorer di un utente.


immagine globale

Manuale -> immagine globale

Con l´immagine globale, possono essere visualizzate e gestite quelle immagini che sono più grandi dei modelli che ne sono alla base. In tal modo è possibile visualizzare in modo completo degli impianti molto grandi e navigare al loro interno. Si può zoomare all´interno dell´immagine globale per visualizzare delle parti dell´impianto. Si può definire in dipendenza dei livelli di zoom quali dettagli verranno visualizzati (zooming, panning e deculuttering). Si può passare anche direttamente agli elementi.

Info Informazioni

Alcuni elementi, come, ad esempio, Combo/Listbox, Lista allarmi, Diagramma del modulo Trend esteso ecc., non possono essere sottoposti a zoom. La dimensione di questi elementi rimane costante, tuttavia si modifica la posizione.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Progettazione nell'editor

Manuale -> immagine globale -> Progettazione nell'editor

Per usare un´immagine globale, avete bisogno di:

  1. un´immagine che superi l´immagine del suo modello; questa è l´immagine globale
  2. un´immagine del tipo Supervisione globale; essa serve alla navigazione nell´immagine globale e ha effetto sul modello dell´immagine globale

Indicazione: queste due immagini devondo essere basate su modelli diversi.

Quando si Apre un´immagine del tipo Supervisione globale si deve definire quale modello deve essere gestito da quest´immagine.

Consigli:

  • non usate l´immagine globale come immagine di partenza.
  • Avviate l´immagine globale e la Supervisione globale contemporaneamente con uno script.

Info Informazioni

Nel caso della navigazione con gesti multitouch, non è necessaria un´immagine del tipo Supervisione globale. Con multitouch si può navigare direttamente nell´immagine globale.

Elementi d´immagine

La visibilità degli elementi dinamici e di quelli vettoriali, nonché il loro nome per le liste oggetti, vengono definiti nelle proprietà dell´oggetto in questione: Runtime/Visualizzazione globale/...

Interno ID: Progettazione nell'editor

Visualizzazione globale

Impostazioni del comportamento dell’elemento nella supervisione globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Progettazione nell'editor

Runtime

Proprietà di Runtime dell’elemento selezionato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Imposta immagine globale

Manuale -> immagine globale -> Progettazione nell'editor -> Imposta immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un´immagine globale:

  1. impostate una nuova immagine.
  2. passate al gruppo proprietà Dimensione

    Interno ID: Imposta immagine globale

    Dimensione

    Proprietà dell’immagine collegate con il modello. Queste proprietà possono essere modificate qui per ogni singola immagine indipendentemente dal modello.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate la proprietà Dimensione dal modello

    Interno ID: Imposta immagine globale

    Dimensione dal modello

    Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
    Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
    Default: attiva:

    Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. disattivate questa proprietà (eleminare segno di spunto, se esistente)
  5. selezionate per le proprietà Larghezza [Pixel] e Altezza [Pixel] dei valori che superino la dimensione del modello di questa immagine

    Interno ID: Imposta immagine globale

    Altezza [Pixel]

    Disponibile solo se la proprietà Dimensione dal modello non è attiva.
    Altezza dell´immagine in pixel.

    Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Imposta immagine globale

    Larghezza [Pixel]

    Disponibile solo se la proprietà Dimensione dal modello non è attiva.
    Larghezza dell´immagine in pixel.

    Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Valori massimi: 32.000

  6. impostate una funzione di cambio immagine per questa immagine


Crea un'immagine del tipo "visualizzazione globale"

Manuale -> immagine globale -> Progettazione nell'editor -> Crea un'immagine del tipo "visualizzazione globale"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un´immagine del tipo visualizzazione globale:

  1. impostate anzitutto un modello per l´immagine
  2. tenete presente la dimensione adeguata (quella consigliata è 550 x 350 pixel)
  3. per il modello attivate le proprietà Sempre in primo piano e Inibisci chiusura alla perdita del Focus

    Interno ID: Crea un'immagine del tipo "visualizzazione globale"

    Inibisci chiusura alla perdita del Focus

    Attivo: Nel caso di perdita del focus, il modello rimane aperto. La chiusura di un altro modello nel caso di perdita del focus viene impedita, a patto che si sia cliccato su questo modello. In tal modo possono essere definiti dei settori di schermo in cui non si chiudono i modelli aperti progettati con Chiusura alla perdita del Focus quando si clicca.

    Interno ID: Crea un'immagine del tipo "visualizzazione globale"

    Chiusura alla perdita del Focus

    Gestisce il comportamento del modello nel caso di perdita di focus.

    attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

    Default: inattivo.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Crea un'immagine del tipo "visualizzazione globale"

    Sempre in primo piano

    Abilitata: Nelle operazioni online non è possibile sovrapporre nessuna immagine a questa,tuttavia è possibile accedere ad altre immagini.
    Disabilitata: Le immagini basate su questo modello possono essere sovrapposte da altre immagini.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. impostate una nuova immagine.
  5. selezionate come tipo d´immagine "visualizzazione globale"
  6. assegnate il modello all´immagine
  7. facendo uso del menu Elementi di controllo, aggiungete gli elementi desiderati al fine di rendere possibile la gestione dell´immagine globale
  8. aggiungete una funzione per la chiusura dell´immagine del tipo "Immagine globale-Navigazione"
  9. create una funzione per il cambio all´immagine del tipo Supervisione globale

Parametri | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Vista completa (modello) | Visualizzazione dell´immagine che viene gestita.
Lista oggetti | Lista degli Oggetti cui si può accedere direttamente.
Livello dello zoom attuale | Mostra il livello dello zoom attuale.
Zoom min. | Disattiva la funzione zoom; l´immagine viene visualizzata nella dimensione modello.
Zoom max. | Livello massimo dello zoom.
Zoom Slider | Slider che serve a impostare i livelli dello zoom.
+ (ingrandire) | Zoomare all´interno dell´immagine.
- (rimpicciolire) | Zoomare al di fuori dell´immagine.
a sinistra | Sposta la sezione visualizzata a sinistra.
a destra | Sposta la sezione visualizzata a destra.
In sù | Sposta la sezione visualizzata in sù.
In giù | Sposta la sezione visualizzata in giù.


Livelli zoom

Manuale -> immagine globale -> Progettazione nell'editor -> Livelli zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I livelli dello zoom definiscono la relazione fra la dimensione del modello e l´immagine visualizzata. La visualizzazione avviene in livelli, cui viene assegnata una cifra numero percentuale. 100 % corrisponde alla grandezza del modello. Più grande è la sezione d´immagine, tanto minore è il livello.

Per progettare i livelli dello zoom:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Aspetto grafico/Durata Runtime

    Interno ID: Livelli zoom

    Durata Runtime

    Contiene le impostazioni per il runtime.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Livelli zoom

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate in corrispondenza della proprietà Livelli di zoom immagine globale sul pulsante ...

    Interno ID: Livelli zoom

    Livelli di zoom immagine globale

    Viene aperto il dialogo per la definizione degli steps per i livelli di zoom per la visualizzazione globale.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si apre il dialogo per configurare i livelli dello zoom

Parametri | Descrizione
Livelli di zoom disponibili | In questa lista vengono visualizzati i livelli di zoom disponibili al momento.
Nuovo: | Crea un nuovo livello dello zoom. Potete adattare manualmente il valore proposto. Il valore deve essere compreso fra 1 e 100.
Modifica.... | Apre il campo per l´inserimento del valore percentuale relativo al livello in questione.
Elimina... | Elimina i livelli dello zoom selezionati.

Livello zoom minimo

Il livello minimo è limitato dalla relazione fra la grandezza immagine e quella del modello.

Esempio:

  • vengono progettati 10 livelli di zoom da 10% a 100%.
  • L´immagine ha una grandezza pari al doppio di quella del modello.
    • I livelli dello zoom arrivano fino a 50%. A partire da questo punto viene visualizzata sempre la grandezza completa dell´immagine.
  • L´immagine ha una grandezza pari al quadruplo di quella del modello.
    • I livelli dello zoom arrivano fino a 20 %.


Oggetti

Manuale -> immagine globale -> Progettazione nell'editor -> Oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni elemento di un´immagine può essere dotato di un nome univoco. Questo nome può essere usato anche per la navigazione nella Supervisione globale. Cliccando sul nome nella lista oggetti, si fa in modo che la sezione visualizzata si sposti finché l´elemento non si trova al centro della sezione stessa.

Per definire gli oggetti:

  1. cliccate sull´elemento desiderato
  2. navigate nelle proprietà fino a giungere al gruppo Runtime

    Interno ID: Oggetti

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. cliccate sulla proprietà Nome f. lista oggetti

    Interno ID: Oggetti

    Nome f. lista oggetti

    L'elemento viene inserito nella lista stazioni dell'immagine globale.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. assegnate un nome all´oggetto

Nel Runtime vegono visualizzati tutti gli oggetti nominati nella lista.


Funzione cambio a supervisione globale

Manuale -> immagine globale -> Funzione cambio a supervisione globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si apre un´immagine del tipo "Supervisione globale" durante il Runtime, il sistema provvede a determinare in quale Modello dell´immagine si naviga. Per l´immagine a cui si deve passare, la funzione Dimensione dal modello non deve essere attiva; essa deve essere inoltre più grande del modello corrispondente.

Interno ID: Funzione cambio a supervisione globale

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per impostare un cambio ad un´immagine del tipo Supervisione globale:

  1. create una nuova funzione.
  2. selezionate Cambio immagine
  3. si apre il dialogo che serve alla scelta dell´immagine
  4. scegliete l´immagine del tipo Supervisione globale
  5. si apre il dialogo per configurare l´immagine

Parametri | Descrizione
Visualizzazione della visione globale del modello | Selezione del modello che deve essere gestito, fra quelli presenti nella lista a cascata.
Colore struttura | Definisce visualizzazione colori durante il runtime:
Standard | Colore della cornice,che mostra la parte selezionata nell´immagine globale. Cliccando su Colore si apre la tavolozza che serve a scegliere il colore
Quando si seleziona cliccando con il tasto destro del mouse | Colore della cornice se si clicca sulla sezione con il tasto destro del mouse per trascinarla. Cliccando su Colore si apre la tavolozza che serve a scegliere il colore
Impostazioni |
Larghezza cornice | Larghezza della cornice che visualizza la parte selezionata nell'immagine globale.
Aggiorna Vista completa ciclicamente | Attivo: gli elementi dinamici nell´immagine assegnata vengono aggiornati ad intervalli regolari definiti.
Secondi | Tempo espresso in secondi per l´Update ciclico.
Evidenzia oggetto selezionato | attivo: se si clicca su un oggetto della lista oggetti, esso viene evidenziato.
Zoom | Proprietà dello zoom.
- Rispettare le relazinei pagina | Attivo: le relazioni pagina vengono rispettate quando si zooma.
Disattiva punti di ancoraggio di pagina | Attivo: i punti di ancoraggio della cornice vengono nascosti e non più visualizzati con eccezione di quelli agli angoli.
Zoom con i tasti “+”/”-“ | Selezione che permette di zoomare facendo uso dei + e -. Prima di tutto bisogna provvedere ad assegnare i tasti in modo corrispondente.
% | Mediante i tasti assegnati si zooma nell´immagine a livelli percentuali. Inserimento di un valore compreso fra 1 e 100. Default: 10
- Livelli zoom | Mediante i tasti assegnati si zooma nell´immagine facendo uso dei livelli di zoom.
Spostamento con i tasti freccia in pixel | Indicazione del numero di pixel di cui viene spostata un´immagine quando se ne effettua lo spostamento servendosi dei tasti freccia. Prima di tutto bisogna provvedere ad assegnare i tasti in modo corrispondente. Inserimento di un valore compreso fra 1 e 16.000. Default: 100
OK | Riprende le impostazioni, chiude il dialogo e apre quello per Sostituire i collegamenti.
Esci | Annulla tutti gli inserimenti e chiude il dialogo.
Guida | Attiva la guida online

Info Informazioni

Eventuali modifiche delle proprietà effettuate nell´Editor hanno effetto durante il Runtime solo dopo la riapertura dell´immagine del tipo Supervisione globale.


Gestione durante il runtime

Manuale -> immagine globale -> Gestione durante il runtime

Per navigare in un´immagine globale durante il Runtime, usate:

  • l´immagine del tipo supervisione globale
    oppure
  • gesti multitouch sul touchscreen

visualizzazione globale

  1. aprite anzitutto l´Immagine globale con una funzione di cambio immagine
  2. aprite l´immagine del tipo Supervisione globale con una Funzione di cambio immagine

Un consiglio: usate uno script per richiamare contemporaneamente entrambi i cambi immagine.

Con l´aiuto degli elementi di controllo, del mouse e della tastiera, potete poi navigare nell´immagine globale, e zoomare al suo interno. I dettagli relativi li potete trovare nel capitolo Supervisione globale

Multitouch

Attivate la proprietà Multitouch per Zoom e Scrolling oppure programmate i relativi eventi VBA/VSTA per poter effettuare lo scroll e lo zoom nell´immagine globale. I dettagli relativi li potete trovare nel capitolo Navigazione con multitouch nell´immagine globale

Interno ID: Gestione durante il runtime

Multitouch per Zoom e Scrolling

Attiva: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

Disponibile solo se la proprietà Multitouch attivo è stata attivata e Dimensione dal modello non è attiva.

Interno ID: Gestione durante il runtime

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Multitouch attivo

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


visualizzazione globale

Manuale -> immagine globale -> Gestione durante il runtime -> visualizzazione globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante Runtime, la supervisione globale mette a Vostra disposizione diverse possibilità per gestire il livello dello zoom e la sezione visualizzata:

  • Elementi di controllo
  • Maus e touch
  • Tastiera

Gli elementi di controllo possono essere gestiti anche via touchscreen. I punti di contatto per la gestione del mouse sono dimensionati in modo corrispondente, in modo tale dal poter essere utilizzati senza problemi anche in modalità touch.

Quando si usano i gesti multitouch si può navigare direttamente all´interno dell´immagine globale e non è necessaria nessuna immagine del tipo Supervisione globale.


Navigazione tramite elementi di controllo

Manuale -> immagine globale -> Gestione durante il runtime -> visualizzazione globale -> Navigazione tramite elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Zoom min. | Disattiva lo zoom. La sezione viene visualizzata nella grandezza del modello.
Zoom max. | Livello massimo dello zoom.
+ | Zoomare all´interno dell´immagine.
- | Zoomare al di fuori dell´immagine.
Slider | Slider che serve a impostare i livelli dello zoom.
A sinistra | Sposta la sezione visualizzata a sinistra.
A destra | Sposta la sezione visualizzata a destra.
In sù | Sposta la sezione visualizzata in sù.
In giù | Sposta la sezione visualizzata in giù.
Lista oggetti | Lista degli Oggetti cui si può accedere direttamente. Cliccando su un oggetto si ottiene che l´oggetto stesso venga visualizzato al centro della sezione dell´immagine mostrata in quel momento.


Azioni con il mouse

Manuale -> immagine globale -> Gestione durante il runtime -> visualizzazione globale -> Azioni con il mouse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il mouse e la gestione multitouch avete a disposizione le seguenti azioni:

  • Sposta sezione:

    Per spostare la sezione visualizzata dell´immagine globale avete diverse possibilità:

    1. cliccate al centro della sezione in questione e muovete il mouse sul modello tenendo premuto il tasto sinistro.
    2. Premete il tasto Space e cliccate all´interno dell´immagine globale: Il puntatore del mouse assumerà l´aspetto di una mano. Adesso potete spostare l´immagine globale con il mouse. I clic con il tasto sinistro del mouse non vengono valutati nell´immagine globale se il tasto Space è premuto.
    3. Cliccate con il tasto destro del mouse all´interno della sezione d´immagine e muovete il mouse sul modello tenendo premuto il tasto destro.
    4. Tenete premuta la rotella del mouse e muovetelo sul modello.
  • Zoom:
    cliccate all´interno della sezione d´immagine e girate la rotella del mouse per zoomare. Lo zoom verrà realizzato sulla base dei livelli di zoom impostati. Durante lo zoom il puntatore rimane sul posto scelto all´interno dell´immagine.
  • Scroll:
    si può effettuare lo scroll all´interno dell´immagine globale usando la rotella del mouse:
    • Verticalmente cliccate all´interno dell´immagine globale e girate la otella del mouse.
    • Orizzontalmente: cliccate nell´immagine globale, tenete premuto il tasto Shift e girate la rotella del mouse.


Navigazione con la tastiera

Manuale -> immagine globale -> Gestione durante il runtime -> visualizzazione globale -> Navigazione con la tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete zoomare e spostare le sezioni dell´immagine anche usando la tastiera. A tale scopo dovete anzitutto assegnare dei tasti agli elementi di controllo, per es.:

  • su -> Tasto freccia in su
  • giù -> Tasto freccia in giù
  • sinistra -> Tasto freccia a sinistra
  • destra -> Tasto freccia a destra
  • + (Slider) -> Tasto +
  • - (Slider) -> Tasto -

Per assegnare un tasto a un elemento di controllo:

  1. selezionate l´elemento di controllo
  2. passate alla proprietà Combinazione tasti

    Interno ID: Navigazione con la tastiera

    Combinazione tasti

    Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

    - esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
    - Settare valore impostabile (per es. con interruttore)
    - Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

    Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. cliccate sul pulsante ... oppure nel campo di inserimento
  4. si aprirà il dialogo per fissare la combinazione di tasti
  5. cliccate nel campo Combinazione tasti
  6. premete il tasto desiderato oppure la combinazione tasti, per es.: +
  7. la combinazione di tasti verrà visualizzata nel campo di inserimento
  8. chiudete il dialogo cliccando su OK.


Navigazione con multitouch nell´immagine globale

Manuale -> immagine globale -> Gestione durante il runtime -> Navigazione con multitouch nell´immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale. A tale scopo è necessaria un´immagine del tipo Supervisione globale. Per poter usare i gesti multitouch al fine di navigare all´interno dell´immagine globale, questi devono:

  • o essere attivati mediante la proprietà Multitouch per Zoom e Scrolling

    Interno ID: Navigazione con multitouch nell´immagine globale

    Multitouch per Zoom e Scrolling

    Attiva: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

    Disponibile solo se la proprietà Multitouch attivo è stata attivata e Dimensione dal modello non è attiva.

    Interno ID: Navigazione con multitouch nell´immagine globale

    Dimensione dal modello

    Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
    Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
    Default: attiva:

    Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Navigazione con multitouch nell´immagine globale

    Multitouch attivo

    Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
    Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • o essere implementati tramite VBA/VSTA

Zoom e scrolling tramite la proprietà Multitouch per Zoom e Scrolling

Per utilizzare multitouch senza VBA/VSTA:

  1. attivate nelle proprietà di progetto nel nodo Gestione touch la proprietà Multitouch attivo

    Interno ID: Navigazione con multitouch nell´immagine globale

    Gestione touch

    Proprietà per la gestione touch.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. disattivate nelle proprietà dell´immagine, e in particolare nel nodo Dimensione la proprietà Dimensione dal modello

    Interno ID: Navigazione con multitouch nell´immagine globale

    Dimensione

    Proprietà dell’immagine collegate con il modello. Queste proprietà possono essere modificate qui per ogni singola immagine indipendentemente dal modello.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate nelle proprietà dell´immagine, e in particolare nel nodo Generale la proprietà Multitouch per Zoom e Scrolling

    Interno ID: Navigazione con multitouch nell´immagine globale

    Generale

    Proprietà generali dell´immagine.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In tal modo è possibile effettuare lo scrolling e zoomare nell´immagine usando i gesti multitouch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multitouch per Zoom e Scrolling.

In DynPicturesono a Vostra disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Methode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode))

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = centro , coordinate orginali

    1 = Punto centrale , coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Immagini

Manuale -> Immagini

Le immagini sono elementi centrali di un progetto. Esse rappresentano l´impianto progettato, forniscono informazioni e offrono degli elementi che servono alla gestione.
Le immagini consistono di elementi vettoriali e/o elementi dinamici. Essi vengono collegati con variabili oppure funzioni. Le immagini si progettano nella finestra principale dell´Editor.

zenon offre un gran numero di tipi di immagini predefinite, come lista di informazioni allarmi, immagini di trend ecc. Il vantaggio di questi tipi di immagine è che la funzione corrispondente è collegata all´immagine. Dovete solamente impostare il tipo di immagine, e poi sono a Vostra disposizione una molteplicità di funzioni predefinite. Una visione riassuntiva la trovate nella sezione tipi di immagine.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report e così via. La finistra principale è l´unica finestra che non può essere nascosta.

Aprire parallelamente più documenti.

Potete visualizzare nella finestra principale più immagini nello stesso tempo. Potete attivare questa funzione tramite: Opzioni > Finestra principale con schede . Le immagini sono raggiungibili mediante tab che si trovano sul bordo superiore della finestra principale e possono essere ordinate nel punto di menu Finestra.

Per chiudere delle immagini aperte, usate la combinazione di tasti Ctrl + F4, il menu contestuale oppure il comando Chiudi > Finestra.

Menu contestuale Documenti

Cliccando con il tasto destro del mouse sul tab di un documento si apre un menu contestuale:

Parametri | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutti gli altri. | Chiude tutti gli altri documenti.

Posiziona elementi nell´immagine

Attivate gli elementi con un clic sul simbolo nella Barra dei simboli Elementi e trascinateli con il mouse nella finestra principale.

Per muovere l´elemento, avete le seguenti possibilità:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Gira: girare l´elemento a piacere tenendolo per l´angolo in alto a sinistra.

Posizionamento di elementi nell´Editor e nel Runtime.

Gli elemento possono essere posizionati nell´Editor e nel Runtime a diversi livelli. Nell´Editor è possibile nascondere singoli livelli.

Attenzione: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.

Adattamento alla risoluzione

Le immagini e i loro elementi vengono adattati automaticamente nel runtime alla risoluzione dello schermo. È però possibile disattivare questa procedura automatica. Per visualizzare elementi d´immagine nella posizione e nella dimensione progettata oroginariamente nell´Editor, dovete attivare per l´immagine in questione la proprietà Non adattare gli elementi alla risoluzione dello schemodel gruppo Dimensione .

Interno ID: Immagini

Dimensione

Proprietà dell’immagine collegate con il modello. Queste proprietà possono essere modificate qui per ogni singola immagine indipendentemente dal modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Immagini

Non adattare gli elementi alla risoluzione dello schemo

Attiva: Gli elementi contenuti nell´immagine non vengono adattati automaticamente nel Runtime alla risoluzione dello schermo, ma mantengono la posizione e la grandezza progettate nell´Editor.

Default: inattiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


menu contestuale - manager di progetto

Manuale -> Immagini -> menu contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Punto di menu | Azione
Nuova immagine | Crea una nuova immagine cui viene attribuito automaticamente il nome standard picture; essa costituisce il tipo d´immagine standard.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML. Indicazione: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Qualità grafica

Manuale -> Immagini -> Qualità grafica

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. L´impostazione avviene facendo uso della proprietà Qualità grafica nel gruppo Aspetto grafico. Sono disponibili le seguenti opzioni specifiche:

Interno ID: Qualità grafica

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Qualità grafica

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Qualità grafica

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.
  • DirectX Software: I calcoli grafici vengono effettuati dalla CPU. Possono essere usate più CPU, indipendentemente dalle grafiche da visualizzare. L´uso di DirectX Software può causare un elevato carico della CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene effettuata dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attenzione Attenzione
  • Windows avanzate e DirectX non sono disponibili sotto Windows CE.
  • La rappresentazione DirectX viene supportata solamente nel runtime.

DirectX

DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. DirectX, a differenza di Windows Basis/avanzate, può attivare e disattivare le proprietà Utilizza Antialiasing e Font ClearType, indipendentemente dalle impostazioni del sistema operativo. La qualità Antialiasing di DirectX è maggiore di quella in Windows avanzate.

Interno ID: Qualità grafica

Font ClearType

Attiva: i caratteri ClearType vengono utilizzati. Può migliorare la leggibilità di caratteri su monitor LCD con risoluzione nativa.

Non attiva: vengono utilizzati i caratteri standard di Windows. Adatta spesso ai monitor con tubo catodico e LCD con risoluzione interpolata.
Indicazione: Se per la proprietà Qualità grafica è stata selezionata l´opzione Windows Basis oppure Windows estese, sotto Windows Vista e Windows 7 si deve disattivare nel sistema operativo l´uso di caratteri cleartype. Se invece si è scelta l´opzione DirectX, cleartype può essere attivato e disattivato indipendentemente dal sistema operativo.

Default: attiva:

Indicazione: modifiche dell´impostazione diventano effettive per l´editor solo dopo il riavvio dell´editor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Qualità grafica

Utilizza Antialiasing

Non disponibile se Qualità grafica è attiva.

Attiva lo smussamento angoli di linee. Grazie ad essa, soprattutto delle linee oblique possono essere rappresentate in modo molto più gradevole. Può essere evitato l´effetto scala. Se nella proprietà Qualità grafica si è scelta l´opzione DirectX Software oppure DirectX Hardware, Antialiasing può essere attivato e disattivato indipendentente dalle impostazioni del sistema operativo. La qualità Antialiasing di DirectX è migliore di quella in Windows estese.

antialising può provocare un allungamento dei tempi di cambio immagine, soprattutto con i sistemi operativi meno recenti (fino a Windows XP).

Possibili opzioni sono:

On: smussamento angoli sempre attivo.

Off: smussamento angoli disattivato.

Default: con Windows Vista, Windows 7 e con nuovi sistemi operativi, lo smussamento angoli è attivo; con i sistemi operativi precedenti (Windows XP, Server 2003) è disattivato.

Default: default

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Condizione:

Descrizione

DirectX Hardware oppure DirectX Software deve essere attivo.

Nelle proprietà di progetto, per la proprietà Aspetto grafico si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11:

  • Microsoft Windows Vista SP2 incluso Plattform Update e Windows 7
  • Windows XP e Windows CE non sono supportati.

Se il sistema non supporta DirectX 11, si passa automaticamente a Windows avanzate.

Deve essere installato l´attuale runtime DirectX.

Esso viene installato per zenon automaticamente con il setup. Per il webclient, però, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente gli elementi e le immagini supportati possono essere visualizzati mediante DirectX.

Nel caso di DirectX Hardware, devono essere soddisfatti i presupposti minimi.

Per i dettagli, vedi Presupposti minimi della scheda grafica. Se tali condizioni non vengono soddisfatte, si passa automaticamente a DirectX Software.

Se da parte del sistema operativo non viene messo a disposizione alcun acceleratore hardware (per esempio nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

Presupposti minimi della scheda grafica per DirectX Hardware

Per poter usare DirectX Hardware devono essere soddisfatti i seguenti presupporti minimi:

Parametri | Presupposto minimo | Raccomandato:
Scheda grafica: | AMD dedicata DirectX 11 oppure scheda grafica nVidia | AMD dedicata DirectX 11 oppure scheda grafica nVidia
Memoria grafica: (La dimensione di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e elementi rappresentati.) | 512 MB VRAM | 1 GB VRAM
Driver Scheda grafica: | driver più recente del produttore della scheda grafica

Per verificare il supporto di scheda grafica per DirectX Hardware, si può usare il tool del sistema operativo di Windows dxdiag.exe. In tal modo si può verificare se la scheda grafica e il driver sono in grado di supportare DirectX , alla voce Visualizza con il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.

Differenze fra DirectX e Windows avanzate.

DirectX si differenzia da Windows avanzate per quello che concerne qualità, prestazioni e risorse richieste. Alcune delle differenze più importanti:

  • Scalature, distorsioni e rotazioni degli oggetti vengono rappresentate tramite Antialiasing. L´antialiasing funziona anche con trasformazioni.
  • Le ombre vengono rappresentate come esatta immagine dell´elemento vero e proprio. Anche i testi e bitmap parzialmente trasparenti hanno un´ombra che ne è l´immagine corretta/esatta. Si tiene conto delle modifiche dinamiche: tenendo premuto il pulsante cambia, ad esempio, anche l´ombra.
  • L´effetto glow consente di realizzare un effetto bagliore di un elemento sopra l´immagine dell´elemento vero e proprio. Anche i testi e bitmap parzialmente trasparenti hanno un corretto effetto glow. Si tiene conto delle modifiche dinamiche: tenendo premuto il pulsante cambia, ad esempio, anche l´effetto glow.

Info Informazioni

L´uso di grafiche WMF oppure EMF con DirectX può portare a una riduzione delle prestazioni del sistema.

Esempi

Elementi dinamici ruotati

Con Windows avanzate:

Con DirectX:

Scalatura ai bordi è ridotta, i testi vengono posizionati in modo corretto.

Pulsante semitrasparente con ombra.

Con Windows avanzate:

Con DirectX:

ombra corretta con testo visibile.

Ombra di un pulsante con bitmap

A sinistra viene rappresentato un pulsante bitmap, a destra la stessa immagine con la proprietà Trasparente attiva.

Interno ID: Qualità grafica

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Con Windows avanzate:

Con DirectX:


Trattamento errori DirectX

Manuale -> Immagini -> Qualità grafica -> Trattamento errori DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori vengono emessi nel Diagnose Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato all´apertura di un´immagine oppure durante il funzionamento del sistema, succede quanto segue:

  • viene visualizzato lo stato di avanzamento
  • il sistema cerca di inizializzare DirectX nuovamente
  • il Runtime continua a funzionare normalmente finché viene visualizzato lo stato di avanzamento
  • si può cercare di risolvere il problema (installazione driver, ....)

La visualizzazione dello stato di avanzamento può essere terminata dall´utente cliccando sul pulsante Annulla. Dopo l´annullamento, viene chiuso il Runtime e il sistema visualizza un messaggio di errore che può essere chiuso cliccando su OK.

Indicazione: per quegli errori che rendono impossibile inizializzare DirectX nuovamente, il sistema visualizza immediatamente un messaggio di errore.

Diagnosis Viewer

DirectX mette a disposizione nel Diagnose Viewer dei messaggi propri con rispettivamente:

  • un messaggio di errore
  • le possibili cause dell´errore stesso
  • Codici di errore

l´emissione avviene in un modulo ad hoc, DirectX. Nel caso di errori, viene emesso il testo coerrispondente nel campo Error, nel caso di avvisi e indicazioni di Debug, viene emessa la segnalazione corrispondente nel campo testo Generale:

  • Per l´apertura di un´immagine, viene emesso perlomeno un messaggio di DEBUG in cui si avverte che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano a degli eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore a cui non è possibile ovviare, viene emessa una segnalazione di errore (Error).

Info Informazioni

Se una segnalazione non viene visualizzata per intero nella tabella del Diagnose Viewer, dovete aprire l´inserimento con un doppio clic, in modo tale da far apparire tutta la segnalazione.

Lista check per monitoraggio degli errori

  • Attivando i messaggi di Debug nel Diagnose Viewer si può controllare se DirectX funziona o meno. Nel caso di risultato positivo, il sistema emette un messaggio corrispondente.
  • Gli avvisi specifici DirectX oppure le segnalazioni di errore sono visualizzati nel Diagnose Viewer?
  • Nella proprietà di progetto Qualità grafica è impostato DirectX Hardware oppure DirectX Software?

    Interno ID: Trattamento errori DirectX

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Trattamento errori DirectX

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Interno ID: Trattamento errori DirectX

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Sono soddisfatti i presupposti minimi per l´uso di DirectX? I dettagli su questo tema li trovate nel capitolo Qualità grafica.
    • Viene supportato DirectX 11 dal sistema operativo?
    • È installato l´attuale runtime di DirectX?
    • DirectX Hardware viene supportato dalla scheda grafica?

      Per verificare il supporto di scheda grafica per DirectX Hardware, si può usare il tool del sistema operativo di Windows dxdiag.exe. In tal modo si può verificare se la scheda grafica e il driver sono in grado di supportare DirectX , alla voce Visualizza con il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.

  • DirectX viene supportato dall´immagine o dall´elemento?
  • La rappresentazione con Windows Basis oppure Windows avanzate funziona correttamente?
  • La rappresentazione con un altro driver funziona correttamente?
  • La rappresentazione con una scheda grafica di un altro produttore funziona correttamente?


Immagini Visualizzazione dettagli Barra simboli e Menu contestuale

Manuale -> Immagini -> Immagini Visualizzazione dettagli Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Nuova immagine | Aggiunge una nuova immagine alla lista e setta il focus su questo inserimento.
Aprire immagine | Apre la finestra principale relativa all´immagine selezionata.
Crea una funzione standard | Apre l´assistente che serve a scegliere un´immagine e a configurare i dettagli necessari ad impostare automaticamente una funzione adeguata. L´azione viene documentata nella finestra di emissione.
Elementi collegati | apre la lista a cascata con opzione Torna all'elemento di partenza. Cliccando si torna all´elemento a partire dal quale si à passati all´immagine.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML. Indicazione: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Creare modello per tipo di immagine | Apre il dialogo che serve a Creare propri modelli per inserire degli elementi di controllo nel tipo di immagine.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testo nella colonna selezionata.
Proprietà | Apre la finestra Proprietà per l´inserimento selezionato.
Guida | Attiva la guida online


Barra simboli Modifica immagini

Manuale -> Immagini -> Barra simboli Modifica immagini

Per la modifica delle immagini avete a disposizione una barra dei simboli apposita. Essa viene visualizzata di dafault sotto la barra di menu.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutto

Salva tutte le immagini modificate.

Taglia

Taglia l'elemento attivo e lo salva negli appunti, anche per più progetti. Disponibile solo se è stato selezionato un elemento.

Copiare

Salva una copia dell´immagine attuale negli appunti. Disponibile solo se è stato selezionato un elemento.

Incolla

Aggiunge un´immmagine presa dagli appunti. Disponibile solamente se gli appunti contengono dei dati.

Ridisegna immagine

Attualizza la visualizzazione dello schermo.

Modifica

Passa dallo zoom alla modalità modifica.

Annulla

Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definisci il numero delle azioni: Opzioni -> Impostazioni ->Impostazioni -> Numero delle azioni annullate. Indicate un numero fra 1 e100.

Zoom

Mette a disposizione due modalità di zoom:

  • Zoom senza livelli:
    Si può inserire nel Combobox un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoomtool:
    facendo uso dei simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine servendosi del mouse. Premete il tasto Ctrl e passate da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi modalità zoom: cliccate sul simbolo Modifica. nella barra dei simboli Elementi.

Stampa

L'intero contenuto dello schermo viene stampato mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.

Guida

Apre la guida in linea.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Barra dei simboli Elementi

Manuale -> Immagini -> Barra dei simboli Elementi

No. | Simbolo | Funzione
01 | Rettangolo | Con colore e tipo di linea e di riempimento;
02 | Linea | larghezza, colore e tipo di linea definibile
03 | Rettangolo arrotondato | Rettangolo con angoli arrotondati definibili liberamente.
04 | Ellisse / Cerchio | Con colore e tipo di linea e riempimento
05 | Poligono | Con colore e tipo di linea e di riempimento;
06 | Polilinea: | Con tipo e colore della linea ?(se descrive un’ area piana chiusa, anche tipo e colore di riempimento)
07 | Curva | larghezza, colore e tipo di linea definibile
08 | Segmento di cerchio | disegna un segmento di cerchio con un angolo di apertura di 180° (modificabile), spessore, colore e tipo della linea definibili.
10 | Testo statico | Con colore e selezione del tipo di carattere
09 | Tubatura | Con colore e tipo di linea e di riempimento;
11 | Bargraf | Rappresentazione dei valori su un bargraf
12 | Valore numerico | Visualizzazione dei valori in forma numerica
13 | Testo dinamico | Visualizza testi associati a valori limite
14 | Elemento trend | Visualizzazione semplice con grafica lineare
15 | Strumento analogico: | Visualizzazione valori in forma analogica
16 | Elemento di stato | Riprendere i colori dalla progettazione dello stato delle variabili
17 | Pulsante | zona di comando in rappresentazione di buttone
18 | Interruttore | Semplice comando per l’ impostazione di valori limite
19 | Multibin | Rappresentazione di più variabili di processo su un punto ad immagine con colori e simboli
20 | Pulsante Allarmi ad immagine | Disponibile solo con licenza per SICAM 230
21 | elemento di segnalazione | Visualizzazione di testi da una tabella testi
22 | Orologio | Data ed ora
23 | Elemento comando | Disponibile solo con licenza per SICAM 230
24 | Elemento combinato | Visualizza una o più variabili su un unico punto d’ immagine con colori e simboli (sequenza caratteri)
25 | Allarme ad immagine | Disponibile solo con licenza per SICAM 230
26 | Elemento active X | Inserire elementi AktivX
27 | Slider universale | Slider/potenziometro
28 | Combo/ListBox | Collega i valori di variabili con messaggi di testo.
29 | Elemento WPF | Rappresenta file WPF-XAML validi.
30 | Modifica | Cambia da zoom a modalità di modifica
 | Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Menu contestuale Elementi

Manuale -> Immagini -> Menu contestuale Elementi

Per gli elementi, il menu contestuale mette a Vostra disposizione dei comandi adatti alla situazione. Potete accedere a questi comandi anche tramite Menu e Barre simboli.

Comando

Descrizione

Simbolo

Apre la lista a cascata con comandi. A seconda dello stato simbolo, sono disponibili:

  • crea simbolo scollegato
  • Dividi simbolo
  • Passa alla modalità modifica singola/Lascia la modalità modifica singola
  • Incolla nel simbolo scollegato esistente
  • Converti il simbolo collegato in uno non collegato
  • Modificarli nell´editor del simboli
  • Inserisci nella libreria simboli
  • Crea simbolo scollegato

Crea un simbolo scollegato.

  • Dividi simbolo

Divide un simbolo scollegato nei suoi elementi.

  • Passa alla modalità modifica singola/Lascia la modalità modifica singola

Passa alla modalità modifica singola o torna alla modalità modifica simbolo La modalità modifica singolacConsente di modificare i singoli elementi di un simbolo.

  • Incolla nel simbolo scollegato esistente ...

Inserisce un simbolo in un simbolo scollegato già esistente.

  • Converti il simbolo collegato in uno non collegato

Converte un simbolo collegato in uno scollegato.

  • Elabora nell´editor di simboli

Apre un simbolo collegato nell´editor simboli per poterlo modificare in questa sede.

  • Inserisci nella libreria simboli

Apre il Dialogo che consente di aggiungere dei simboli presi da un´immagine in una libreria.

Posizione elemento

Apre la lista a cascata che serve a modificare la posizione dell´elemento:

  • Primo piano: porta l’elemento selezionato in primo piano.
  • Ragione: Porta l’elemento selezionato sullo sfondo.
  • Avanti: porta l’oggetto selezionato avanti di un livello.
  • Indietro: porta l’oggetto selezionato indietro di un livello.

Ordina

Apre la lista a cascata che serve a riordinare gli elementi.

Elementi collegati

apre la lista a cascata con gli elementi dinamici collegati, per es.: variabili, funzioni, caratteri, simboli ecc.

Sostituisci collegamento

Cerca/sostituisci funzione
per esempio: sostituisci temperatura serb.1 con temperatura serb. 2.

Taglia

Taglia l’oggetto selezionato e lo conserva negli appunti.

Copiare

Copia oggetti selezionati.

Incolla

Incolla un oggetto tagliato o copiato negli Appunti.

Inserisci nella stessa posizione

Incolla un oggetto tagliato o copiato negli appunti inserendolo nella stessa posizione.

Elimina

Elimina l’oggetto selezionato.

Trasmettere il formato

Trasmette le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasmettere ad un elemento:

    cliccare su un elemento con proprietà originarie
    -> Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Cliccare sull´elemento di destinazione. : Le proprietà vengono trasmesse.

  • Trasmettere a più elementi:

    Selezionare elemento sorgente
    -> Selezionare elementi di destinazione tenendo premuto il tasto Ctrl. (vengono evidenziati elementi sorgente e destinazione)
    > Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Trasmettere le proprietà dell´elemento sorgente agli elementi di destinazione.

Quali proprietà vengono trasmesse, dipende dall´oggetto fonte e da quello di destinazione.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9
  • il tasto Esc

Ridisegna immagine/simbolo

Attualizza la visualizzazione dello schermo.

Mostra la griglia:

Visualizza o nasconde la griglia.

Utilizza griglia

Visualizza o nasconde la griglia.

On: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Usa punti di appiglio

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Stampa screenshot di immagine/simbolo attuale.

L'immagine attuale viene stampata mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.

Proprietà

Apre la finestra delle proprietà dell´elemento selezionato.

Guida

Attiva la guida online


XML-Export e XML-Import

Manuale -> Immagini -> XML-Export e XML-Import

Esporta immagini

Con le immagini vengono esportate anche le variabili e funzioni ivi contenute. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare delle immagini:

  1. selezionate l´immagine desiderata
  2. selezionate nel menu contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menu contestuale del nodo Immagini il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa immagine

Per importare delle immagini:

  1. selezionate nel menu contestuale del nodo Immagini oppure della visualizzazione dettagli Immagini il comando Importa file XML
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

Le immagini vengono importate.

Conflitti causati dal nome in caso di import

Quando si importa un´immagine, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione della nuova immagine che deve essere impostata. Se esiste già un´immagine che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Si | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutte | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono sostituite.
No tutte | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono mantenute.

Indicazione: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Gli Elementi dinamici e i Modelli vengono importati automaticamente con le immagini. Le Variabili e le Funzionidevono essere importate da questo file in maniera separata.

Vengono considerate però solo le variabili e funzioni del primo livello, cioè, le variabili e funzioni che sono collegate direttamente con l´immagine. Siccome da un lato i funzioni si possono riferire su delle variabili (p.e. valore impostabile) e dall´altro lato si possono riferire le variabili su delle funzioni (p.e. funzioni di valore impostabile), potrebbe essere necessario, di importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti vengono assunti nel modo corretto.

Esempio: un'immagine contiene un pulsante collegato con una funzione setta valore impostabile su una variabile. Con l´immagine viene importata la funzione, ma non la variabile.

Info Informazioni

In questo caso si consiglia l´uso del Wizard XML Import.


Elementi d´immagine

Manuale -> Immagini -> Elementi d´immagine

In zenon usate due tipi di elementi ad immagine:

  1. elementi vettoriali statici
  2. Elementi dinamici

Per la modifica di elementi ad immagine, avete a disposizione molte combinazioni di tasti. Dei dettagli su questo argomento li trovate nella guida in linea, e precisamente nel capitolo Combinazioni tasti Grafica.

In questa sezione trovate informazioni sui seguenti argomenti:

  • Aggiungi nella finestra principale
  • Definisci proprietà
  • Modificare la grandezza dell´elemento
  • Gira elemento
  • Successione nel Runtime
  • Elementi vettoriali in zenon
  • Elementi dinamici in zenon:

Aggiungi nella finestra principale

L´elemento selezionato può essere aggiunto più volte nella finestra principale e può essere ordinato in quella sede. Quale elemento è stato selezionato ed è, dunque, attivo, lo mostra un simbolo sotto la punta del puntatore del mouse. Per trascinare l´elemento:

  1. premete il tasto sinistro del mouse;
  2. spostare il mouse,
  3. rilasciare il tasto del mouse;

Eccezione: Poligono, polilinea e tubatura

  • Con un clic del mouse si aggiunge una nuova cella di sostegno
  • Cliccando due volte oppure premendo il tasto Esc, si interrompe il disegno

Gli elementi possono essere girati liberamente facendo uso del mouse; a tal scopo:

  1. cliccate con il mouse sull´elemento
  2. usando il punto di appiglio di colore giallo, girate l´elemento

Il punto di appiglio e anche il punto di rotazione possono essere impostati nelle proprietà Punto di riferimento.

Interno ID: Elementi d´immagine

Punto di riferimento

Definisce il punto dipartenza per il calcolo della rotazione, oppure del cambiamento dinamico della grandezza dell´elemento.

ATTENZIONE: nel caso di elementi non rettangolari, gli inserimenti si riferiscono sempre al rettagolo che li comprende.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definisci proprietà

Per elementi nella finestra principale, le proprietà vengono impostate nella Finestra delle proprietà. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. A questo proposito vale quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietá che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Finestra della guida in linea.

Modificare la grandezza dell´elemento

Per modificare la grandezza di un elemento, possono essere usati il mouse, la tastiera, le proprietà oppure un dialogo:

  • Con il mouse:
    1. cliccate su uno dei punti di aggancio che si trovano sulla cornice dell´elemento
    2. trascinate l´elemento finché non otterrete la grandezza desiderata
  • Con la tastiera:
    • attivate il punto di aggancio desiderato (il puntatore del mouse deve trovarsi sopra di esso)
    • trascinate facendo uso dei tasti con le frecce:
    • una pressione su uno dei tasti con le frecce modifica la posizione di 1 pixel
    • Con il tasto shift: + tasto con la freccia una pressione su uno dei tasti con le frecce modifica la posizione di 10 pixel
  • Con la finestra di proprietà: nel gruppo proprietà Posizione potete fissare la posizione e la grandezza degli elementi con la precisione di un pixel.

    Interno ID: Elementi d´immagine

    Posizione

    Proprietà per la posizione e la dimensione dell´elemento dinamico.

    Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Con un dialogo: cliccate due volte su un punto di aggancio e si aprirà un dialogo nel quale potete fissare con la precisione di 1 pixel la posizione dell´elemento

Gira elemento

Gli elementi possono essere girati a piacimento. Il punto di rotazione viene fissato facendo uso delle proprietà nel gruppo Punto di riferimento.

Fissate l´angolo di rotazione come segue:

  • Con il mouse: cliccate sull´elemento e fate ruotare quest´ultimo facendo perno sul punto di aggancio di color verde.
  • Con la finestra di proprietà: Con la proprietà Rotazione [°]nel gruppo Posizione.

    Interno ID: Elementi d´immagine

    Rotazione [°]

    Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento. Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

    Nel caso di elementi ruotati non sono più possibili le seguenti azioni:
    - rifletti
    - ruota di +/- 90°
    - scalare con tasti freccia

    Default: 0

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Con un dialogo: cliccando due volte sul punto di aggancio verde, si apre un dialogo nel quale potete indicare l´angolo di rotazione.

Info Informazioni

Elementi d´immagine a base finestra come ActiveX, liste o combo/listbox, non possono essere ruotati durante il Runtime. La configurazione nell`Editor è possibile per ActiveX, essa però non ha nessun effetto sulla visualizzazione nel Runtime.

Successione nel Runtime

Nel Runtime vale normalmente la seguente successione di visualizzazione degli elementi, dall´alto in basso:

  • Elemento WPF, sempre in primo piano
  • Elemento ActiveX, sempre in primo piano, ad eccezione del caso in cui ad esso si sovrapponga un elemento WPFa
  • Elementi dinamici e vettoriali

Elementi nascosti

Nel caso di elementi sovrapposti vale quanto segue:

  • se un elemento vettoriale si sovrappone ad un elemento dinamico, allora
    • l´elemento dinamico oppure la parte che viene coperta non vengono visualizzati
    • l´elemento dinamico, anche quando è coperto completamente, rimane utilizzabile.
  • Se diversi elementi dinamici sono sovrapposti l´uno all´altro, sono utilizzabili solamente le parti visibili (sulle quali si può cliccare).

Info Informazioni

Agli elementi che vengono coperti durante il Runtime, si può accedere facendo uso della tastiera. I dettagli concernenti la progettazione li potete trovare nella guida riguardante il Runtime, nel capitolo Stabilisci successione all´interno del modello.

Elementi vettoriali in zenon:

Gli elementi vettoriali li generate in zenon con l´editor dei caratteri. Nella Barra simboli Elementi oppure nella lista a cascata Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere selezionato l'elemento nella Finestra principale.

Elemento | Proprietà
Ellisse: | Con colore e tipo di linea e di riempimento;
Cerchio | Selezionare il simbolo Ellisse, tenendo premuto il tasto Shift; con colori della cornice e di riempimento; stile cornite e tipo di riempimento
Curva | larghezza, colore e tipo di linea definibile
Segmento di cerchio | larghezza, colore e tipo di linea definibile
Linea | larghezza, colore e tipo di linea definibile
Poligono | Con colore e tipo di linea e di riempimento;
Polilinea: | Con tipo e colore della linea ?(se descrive un’ area piana chiusa, anche tipo e colore di riempimento)
Quadrato | Selezionare il simbolo Rettangolo tenendo premuto il tasto Shift ;con colori della cornice e di riempimento; stile cornice e tipo di riempimento.
Rettangolo | Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.
Rettangolo arrotondato | Con colore e tipo di linea e di riempimento; tipo di cornice e modello di riempimento, grado di arrotondamento
Tubatura | Con colore e tipo di linea e di riempimento;
Testo statico | Con colore e selezione del tipo di carattere

Import di proprie grafiche vettoriali

Gli elementi vettoriali che sono stati creati in programmi esterni, possono essere importati e implementati come immagine. Usate a tale scopo nel manager di progetto il settore File -> Grafici -> Aggiungi file .

Elementi dinamici in zenon:

Gli elementi dinamici li generate in zenon con l´editor dei caratteri. Nella Barra simboli Elementi oppure nella lista a cascata Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale. E´possibile dinamicizzare gli elementi grafici direttamente in questa sede facendo uso di variabili. Per molti elementi viene visualizzato un dialogo di configurazione al momento della loro creazione.

Elementi dinamici in zenon:

Elemento

Funzione

Active X

Aggiunge un qualsiasi elemento AktivX. Esso deve essere già installato sul calcolatore.

Bargraf

Rappresenta la grandezza di segnale in forma di barra. Si modifica la lunghezza di una barra con la grandezza del segnale.

Elemento comando

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Pulsante Allarmi ad immagine

Consente l´allarme tramite l´immagine con colore e lampeggio. Necessaria la licenza per SICAM 230.

Pulsante bitmap

Collega un file grafico (grafica pixel; *.bmp, *.jpg, *.gif, oppure *.png; grafica vettoriale: *.wmf) ad un pulsante.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Interno ID: Elementi d´immagine

Crea RT file per

Default: I file runtime vengono generati per la versione attuale dell´Editor.

6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Pulsante

Consente di inizializzare delle azioni come, ad esempio, Esegui funzione, oppure Setta valore impostabile. Può rappresentare testo e grafiche ed essere posizionato come oggetto trasparente su altri elementi.

Attenzione! se la proprietà di progetto Crea RT file per è stata impostata su un valore minore a 6.50, nel runtime vengono visualizzate solamente le emissioni testuali. Grafiche e la funzione e invisibile devono essere progettati con gli elementi Pulsante bitmap e pulsante invisibile.. Trovate questi due elementi in fondo alla lista a cascata Elementi.

Elemento combinato

Rappresenta visualmente stati di variabili tramite simboli, immagini e testi e può essere usato anche come interruttore, oppure come pulsante.

Combo-/Listbox

Mostra in dipendenza del valore della variabile un testo in un combobox o in una listbox. Tramite la selezione di un inserimento, viene settato il valore corrispondente, oppure viene eseguita la funzione corrispondente.

Testo dinamico

Rappresenta il valore di una variabile stringa in forma alfanumerica, oppure il testo del valore limite attuale di variabili numeriche.

elemento di segnalazione

Legge il testo da un file testo in dipendenza dei valori di due variabili e lo visualizza.

Multibin

Consente di visualizzare una grafica in dipendenza dei valori della variabile, oppure di colorare simboli e emettere un testo di stato.

Interruttore

Mostra i valori di una variabile binaria e li modifica.

Muovi simbolo

Consente di spostare, di girare oppure di modificare la grandezza di un simbolo in dipendenza dei valori delle variabili.

Elemento trend

Visualizza dei valori in forma di curve di trend.

Orologio

Mostra l´orario attuale e la data.

Slider universale

Mette a disposizione dell´utente slider in diverse vesti grafiche.

Pulsante invisibile:

Oggetto trasparente con cui può essere inizializzata un´azione, come, ad esempio, Esegui funzione, oppure Setta valore impostabile.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Elemento WPF

Mostra file WPF-XAML in zenon

Valore numerico

Visualizza il valore di una variabile in forma numerica.

Strumento analogico:

Mostra il valore di una variabile in forma di uno strumento analogico di misurazione.

Elemento di stato

Trasmette proprietà di variabili collegate ad un simbolo e mostra valori limiti statici.

Definisci proprietà

Nal caso di molti elementi dinamici, si apre un dialogo di configurazione che serve alla selezione di variabili e/o funzioni che definiscono il comportamento dell´elemento nel runtime. Le proprietà possono essere impostate anche senza far ricorso al dialogo di configurazione nella Finestra delle proprietà. Le si può modificare in questa sede in qualsiasi momento. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. A questo proposito vale quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietá che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Guida delle proprietà.

Visualizzazione nella finestra principale

Ottenete le informazioni concernenti un elemento dinamico nella finestra principale tramite:

tooltip con mouseover:

  • Tipo elemento
  • Nome elemento
  • Nome funzione/tipo funzione
  • Variabili collegate

Nella barra di stato quando attivate:

  • Posizione del puntatore del mouse
  • Tipo elemento
  • Nome elemento
  • Punto di partenza
  • Larghezza/Altezza


.NET Controls

Manuale -> Immagini -> Elementi d´immagine -> .NET Controls

L´ActiveX Control CD_DotNetControlContainer.Container permette di utilizzare .NET Windows Forms Controls come elemento dinamico in zenon. Vengono supportate tutte le funzioni implementate in .NET Control. Può essere usato con tutte le versioni di zenon (a partire da 5.50), che supportano ActiveX.

Indicazione: .NET Framework 3.5 deve essere disponibile.

Info Informazioni

Se volete saperne di più sull´uso di .NET con zenon, Vi invitiamo a leggere la parte della guida dedicata allo Scripting nel capitolo .NET.

Per utilizzare l´ActiveX Control CD_DotNetControlContainer.Container:

  1. create anzitutto un elemento dinamico del Tipo ActiveX;
  2. selezionate nella lista dei control disponibili CD_DotNetControlContainer.Container
  3. Cliccate sul pulsante Proprietà
  4. Si apre il dialogo che Vi guida attraverso i passi della configurazione del control;

Parametri | Descrizione
Load | Apre il manager file che serve a selezionare un .NET Control Assembly. Indicazione: il .NET Control Assembly si deve trovare nella stessa cartella come il runtime. Viene salvato sempre il percorso assoluto per il .NET Control Assembly, per esempio: C:\Controls\Assembly.dll.
SelectUserControl | Selezione del .NET Controls fra quelli disponibili nel .NET Control Assembly selezionato.
Preview | Mostra il percorso assoluto per il .NET Control Assembly. Campo sotto a sinistra: anteprima del control. Campo sotto a destra: lista delle proprietà per il .NET Control selezionato.
Simbolo: secondo le categorie | Mostra le proprietà ordinate secondo le proprietà.
Simbolo: alfabetico | Mostra le proprietà organizzate in ordine alfabetico.
Simbolo: pagine delle proprietà | Mostra le pagine di proprietà.
OK | Conferma la configurazione. Essa viene poi salvata nell´elemento ActiveX di zenon come XML Stream.
Annulla | Annullare la configurazione.


Active X

Manuale -> Immagini -> Elementi d´immagine -> Active X

Servendovi dell´elemento dinamico ActiveX potete implementare degli elementi ActiveX Elemente nei Vostri progetti.

Info Informazioni

Se volete saperne di più sull´uso di ActiveX con zenon, Vi invitiamo a leggere la parte della guida dedicata allo Scripting nel capitolo ActiveX.

Per creare un ActiveX in un´immagine, procedete come segue:

  1. selezionate il simbolo ActiveX nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento di gestione tenendo il tasto sinistro del mouse premuto.
  4. Si apre un dialogo di configurazione nel quale sceglierete l´elemento e lo configurerete.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse). Per selezionare oppure per modificare in un secondo momento dei Controls, aprite il dialogo di configurazione con un doppio clic oppure usando il punto di menu delle proprietà nel menu contestuale.

attenzione Attenzione

Appariranno solamente quegli elementi ActiveX che sono installati sul computer, oppure registrati. Tenete presente che tutti gli elementi ActiveX utilizzati, sono installati su tutti i sistemi runtime sui quali usate il Vostro progetto.
Per registrare degli elementi ActiveX su sistemi remoti, potete usare anche il Trasporto remoto. Vedi: Imposta file (copia&registra)

Configurazione ActiveX

Elemento | Funzione
Elementi ActiveX | Lista di tutti gli elementi ActiveX disponibili.
Proprietà | Apre, se esistente, un dialogo di configurazione per l´ActiveX evidenziato. Potete ricevere delle informazioni e assistenza per realizzarne la configurazione dal produttore del ActiveX Controls in questione.
Attribuzione variabile | Lista delle variabili attribuite all´elemento ActiveX.
Variabile | Apre, se è possibile un´assegnazione variabili, il dialogo di zenon che serve alla scelta delle variabili stesse.
In giù | Ordina le variabili evidenziate verso il basso.
In sù | Ordina le variabili evidenziate verso l´alto.

Cambio di posizionamento durante il runtime

Gli ActiveX-Controls funzionano nel Runtime con coordinate mouse non trasformate. Se un elemento viene ruotato, allungato o ne vengono modificate in altro modo la dimensione o la posizione, il control si adatta e viene eseguito sempre nella posizione originaria. L´elemento trasformato, dunque, non può più essere gestito per mezzo del control nella sua nuova posizione.

Info Informazioni

Tenete presente la differenza fra elementi ActiveX windowed e windowless.

Gli elementi Windowed ActiveX (per es. tutti gli Microsoft ActiveX Controls) si trovano sempre in primo piano.

Sopra gli elementi ActiveX windowless, invece, si può sempre porre, per esempio, un elemento dinamico.


Bargraf

Manuale -> Immagini -> Elementi d´immagine -> Bargraf

Con l´elemento dinamico Bargraf indicate numericamente la grandezza di un segnale. La lunghezza della barra cambia nel corso del runtime con la grandezza del segnale.

Per creare un Bargraf in un´immagine:

  1. selezionate il simbolo Bargraf nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Per modificare la variabile collegata:

  1. aprite le variabili nella Visualizzazione dettagli del manager di porgetto.
  2. trascinate la variabile desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
  3. La variabile esistente viene sostituita dalla nuova.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Interno ID: Bargraf

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Bargraf

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.

Indicazione: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Interno ID: Bargraf

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Bargraf

Nastro

Disponibile solo se la visualizzazione come Cerchio parziale non è attivata.

Non disponibile sotto Windows CE.
Attiva: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
Non attiva: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.


Elemento comando

Manuale -> Immagini -> Elementi d´immagine -> Elemento comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Le istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante Allarmi ad immagine

Manuale -> Immagini -> Elementi d´immagine -> Pulsante Allarmi ad immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Attenzione: Il Pulsante Allarmi ad immagine necessita di una licenza per SICAM 230. Ulteriori istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante

Manuale -> Immagini -> Elementi d´immagine -> Pulsante

Per mezzo dell´elemento dinamico Pulsante, create un pulsante configurabile liberamente che poi userete nell´immagine o per eseguire una funzione, oppure come interruttore per una variabile binaria.

Il pulsante può

  • visualizzare un file grafico
  • animare un file grafico
  • essere rappresentato in modo non visibile

Info Informazioni

Fino alla versione 6.22 compresa, i pulsanti vengono suddivisi in pulsanti di testo, pulsanti bitmap e pulsanti non visibili. A partire dalla versione 6.50, tutte le proprietà configurabili per mezzo di pulsanti sono riassunte nell´elemento Pulsante.

Per creare l´elemento dinamico Pulsante in un´immagine, procedete come segue:

  1. selezionate il simbolo pulsante nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre Dialogo di selezione Funzioni.
  5. Selezionate la funzione desiderata.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

    Un consiglio: potete arrotondare gli angoli a piacere.

  7. Le variabili le aggiungete per Drag&Drop.

Descrizione

Per inserire una denominazione per il pulsante, procedete come segue:

  • cliccate sull´elemento;
  • digitate un testo;
  • definite nel nodo Visualizzazione le proprietà di questo testo.

    Interno ID: Pulsante

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di segni \n.

Esempio:

riga 1 \n

riga 2

Pulsante come interruttore

Per usare il pulsante come interruttore, procedete come segue:

  1. attivate nel nodo Setta valore impostabile la proprietà Interruttore

    Interno ID: Pulsante

    Interruttore

    Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

    Interno ID: Pulsante

    Settaggio valori attivo

    Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
    Disabilitata: La variabile dell’elemento è in sola lettura.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attiva: l´elemento attiva il valore di una variabile bit.
    Disattivata: l´elemento esegue una funzione.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante

    Setta valore impostabile

    Proprietà per il settaggio di valori impostabili.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. con la proprietà Pulsante attivate l´impostazione per usare il pulsante.

    Interno ID: Pulsante

    Pulsante

    Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´elemento dinamico Interruttore.)
    Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
    Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
    Default: non attivo.

    Interno ID: Pulsante

    Tempo di ritardo [ms]

    Disponibile solo se è attivaInterruttore:
    Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

    Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante

    Pulsante ON

    Disponibile solo sePulsanteè attiva:
    Attiva: Pulsante su On.
    Inattivo: Pulsante Off.
    Default: inattivo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Collegate il pulsante con una variabile binaria (nodo Variabile / funzione, proprietà Variabile)

    Interno ID: Pulsante

    Variabile

    Disponibile solo per pulsanti se essi vengono utilizzati come interruttori:
    Nome della variabile collegata.
    Apre il dialogo per la selezione variabili.
    Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

    Solo SICAM 230 e elemento Allarme immagine:
    la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.

    Significato in SICAM 230:
    sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

    Bit meno significativo: Attiva/disattiva allarmi

    Bit più significativi: Allarme ripristinato / non ripristinato

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante

    Variabile / funzione

    Proprietà per la varaibile o funzione collegata con l’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Pulsante per l´esecuzione di una funzione

Per collegare il pulsante con una funzione, procedete come segue:

  1. disattivate nel nodo Setta valore impostabile la proprietà Interruttore
  2. Collegate il pulsante con una funzione (nodo Variabile / funzione, proprietà Funzione)

    Interno ID: Pulsante

    Funzione

    Nome della funzione collegata.
    Apre il dialogo per la selezione della funzione.
    Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
    Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

    Solo SICAM 230 ed elemento Allarme - immagine:

    Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
    Obbligatorio (nel caso di impostazione Globale attiva)!

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Pulsante con grafica

Per dotare un pulsante di una grafica, procedete come segue:

  1. attivate l´elemento;
  2. definite nel nodo Visualizzazione facendo uso delle proprietà File grafico e "Pulsante grafica premuto" le grafiche desiderate per i diversi stati di commutazione. Potete utilizzare i seguenti file grafici: grafix pixel: *.bmp, *.jpg, *.gif, o *.png oppure grafica vettoriale: *.wmf.

    Interno ID: Pulsante

    File grafico

    Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
    Attenzione: Le immagini devono essere già esistenti nel nodo File/Grafici del manager di progetto.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Di default un pulsante con grafica ha una sottile linea cornice 3D, che copre un pixel per ogni lato della grafica. Se volete che la grafica sia visibile completamente:

  • attivate nelle proprietà del pulsante, e più precisamente nel gruppoColori la proprietà Trasparenza del colore bordo [%]

    Interno ID: Pulsante

    Trasparenza del colore bordo [%]

    Disponibile solo se la proprietà Con valori di luminosità non è stata attivata.

    Interno ID: Pulsante

    Con valori di luminosità

    Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
    Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

    Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

    Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

    Interno ID: Pulsante

    Tipo di riempimento

    Selezione del modello di riempimento per l´elemento fra quelli della lista.

    Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Disponibile solo se la proprietà Qualità grafica è attivata.

    Interno ID: Pulsante

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Pulsante

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Interno ID: Pulsante

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce il grado di copertura del colore mediante ad un valore compreso fra 0 e 100 per cento.

    0: invisibile

    100: coprente.

    Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

    Default: 0

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante

    Colori

    Proprietà colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • con il valore 100

    oppure

  • attivate la proprietà Trasparente per disattivare il colore di sfondo e quello della cornice

    Interno ID: Pulsante

    Trasparente

    Attivo: Disattiva il colore di sfondo dell´elemento.

    Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In tal modo la linea di cornice 3D non verrà più visualizzata e la grafica sarà visibile nella sua interezza.

Pulsante invisibile:

Per definire una superficie di gestione interattiva trasparente, procedete come segue:

  1. attivate l´elemento;
  2. definite nel nodo Colori la proprietà Trasparente
  3. eliminate tutti i testi dal pulsante
  4. Accesso al runtime:
    • il puntatore cambia di aspetto quando si muove il mouse sull´elemento.
    • Facendo uso di una combinazione di tasti definita (nodo Runtime, proprietà Combinazione tasti)

      Interno ID: Pulsante

      Combinazione tasti

      Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

      - esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
      - Settare valore impostabile (per es. con interruttore)
      - Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

      Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Pulsante

      Runtime

      Proprietà di Runtime dell’elemento selezionato

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Info

Con il Pulsante invisibile non è possibile visualizzare lo stato della variabile.


Animazione grafiche

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Animazione grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´elemento dinamico Pulsante possono essere inserite delle animazione grafiche di file del tipo GIF.

  1. Assegnate al pulsante un file GIF nel nodo Visualizzazione mediante la proprietà File grafico.

    Interno ID: Animazione grafiche

    File grafico

    Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
    Attenzione: Le immagini devono essere già esistenti nel nodo File/Grafici del manager di progetto.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Animazione grafiche

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate nello stesso nodo la proprietàAnimazione GIF

    Interno ID: Animazione grafiche

    Animazione GIF

    Proprietà per l’animazione, se viene utilizzato un file GIF animato.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Scegliete fra Sempre oppure animazione solo se una variabile booleana possiede il valore 1: A tal scopo, collegate la variabile nella variabile Variabile

    Interno ID: Animazione grafiche

    Variabile

    Variabile Bit, che attiva/disattiva l'animazione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Animazione grafiche

    Sempre

    Attivo: l´animazione è sempre attiva.
    Disattiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Pulsante bitmap (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Pulsante bitmap (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Collega un file grafico (grafica pixel; *.bmp, *.jpg, *.gif, oppure *.png; grafica vettoriale: *.wmf) ad un pulsante.

Se la proprietà di progetto Crea RT file per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, le grafiche devono essere progettate facendo uso del pulsante bitmap.

Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

Crea RT file per

Default: I file runtime vengono generati per la versione attuale dell´Editor.

6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea RT file per < 6.50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante bitmap | Pulsante
invisibile | Pulsante invisibile: | Pulsante

Per attivare un pulsante bitmap:

  • selezionate il simbolo pulsante bitmap nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda delle´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automaticamente
    • selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

Nell´elemento dinamico Pulsante possono essere inserite delle animazione grafiche di file del tipo GIF.

  1. Assegnate al pulsante un file GIF nel nodo Visualizzazione mediante la proprietà File grafico.

    Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

    File grafico

    Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
    Attenzione: Le immagini devono essere già esistenti nel nodo File/Grafici del manager di progetto.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate nello stesso nodo la proprietàAnimazione GIF

    Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

    Animazione GIF

    Proprietà per l’animazione, se viene utilizzato un file GIF animato.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Scegliete fra Sempre oppure animazione solo se una variabile booleana possiede il valore 1: A tal scopo, collegate la variabile nella variabile Variabile

    Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

    Variabile

    Variabile Bit, che attiva/disattiva l'animazione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsante bitmap (solo fino alla versione 6.22)

    Sempre

    Attivo: l´animazione è sempre attiva.
    Disattiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Pulsante invisibile (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Pulsante invisibile (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se la proprietà di progetto Crea RT file per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, i pulsanti invisibili devono essere progettati facendo uso dell´elemento Pulsante invisibile.

Interno ID: Pulsante invisibile (solo fino alla versione 6.22)

Crea RT file per

Default: I file runtime vengono generati per la versione attuale dell´Editor.

6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea RT file per < 6.50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante bitmap | Pulsante
invisibile | Pulsante invisibile: | Pulsante

L elemento dinamico Pulsante invisibile definisce un’area di comando interattiva e trasparente, con la quale è collegata l´apertura di una funzione.

Per attivare un pulsante invisibile:

  • selezionate il simbolo pulsante invisibile nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda delle´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automaticamente

selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

Info Info

Con il pulsante invisibile non è possibile visualizzare lo stato della variabile.


Elemento combinato

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´elemento combinato è un elemento dinamico utilizzabile universalmente che può assumere i più disparati aspetti grafici:

  • Grafica
  • 1. Simbolo della libreria
  • Simbolo in immagini in modalità scollegata
  • Testo

La forma della rappresentazione viene definita mediante degli stati. Da stati possono fungere sia i valori della variabile principale, che i valori di altre variabilei, nonché le informazioni di stato di tutte le variabili collegate. Mediante delle formule, si può creare un numero qualsiasi di collegamenti.
Gli stati dell variabile principale (attributi del valore limite), possono essere trasmessi direttamente all´elemento combinato. L´elemento combinato supporta anche il settaggio di valori impostabili in forma di un interruttore/pulsante, nonché il settaggio di funzioni e serve alla realizzazione di elementi tecnici di processo per l´Automatic Line Coloring.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Interno ID: Elemento combinato

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Crea un elemento combina3to.

Per creare un elemento combinato in un´immagine:

  1. Cliccate nella Barra dei simboli Elementi sul simbolo Elemento combinato e trascinate l´elemento con il mouse nella finestra principale.
  2. Si aprirà il dialogo che serve alla selezione delle variabili, con un filtro per variabili numeriche.
  3. Selezionate la variabile desiderata
  4. Si apre l´Assistente che serve a fissare le impostazioni per l´elemento combinato; esso Vi accompagna attraverso i passaggi necessari per stabilire le impostazioni di base. Se, però, preferite procedere manualmente, cliccate su "Annulla". I dettagli sull´assistente li trovate nel capitolo Assistente.

Nel caso abbiate optato per le impostazioni manuali, definite nel nodo Visualizzazione le Rappresentazione. Di default viene previsto simbolo dalla libreria. A seconda dell´impostazione per la quale avete optato, stabilite anche i file d´immagine e i testi.

Interno ID: Elemento combinato

Rappresentazione

Bitmap: Per ogni stato si può selezionare un Bitmap.
Inoltre si può modificare anche il colore di un simbolo ad immagine.
Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
Simbolo della libreria: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
Carattere: Per ogni stato si può definire un carattere (solo SICAM 230).
Testo di stato & Simbolo ad immagine: Per ogni stato si può definire un testo.
Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento combinato

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Gli ulteriori stati li definirete o nell´assistente facendo uso del pulsante "Nuovo stato", oppure nelle proprietà dell´elemento combinato nel nodo Rappresentazione, con la proprietà Stati e test.

Interno ID: Elemento combinato

Stati e test

Apre il dialogo per la definizione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Funzioni e variabili possono essere attribuite all´elemento combinato anche per Drag&Drop. In questo caso, la funzione/variabile esistente viene sostituita dalla nuova.

attenzione Attenzione

I simboli, che non si trovano in un elemento combinato, non sono utilizzabili.

Eccezione: Un simbolo della libreria può essere impostato come pulsante su cui cliccare.

Regole di collegamento

Se avete selezionato come Rappresentazione Simbolo dalla libreria, potete indicare delle regole di collegamento. Tramite la proprietà Stati e test, aprite il dialogo per l´inserimento dell´elemento. Dopo aver selezionato il simbolo facendo uso del pulsante "Selezione simbolo", potete creare delle regole di collegamento e le potete anche modificare. Queste regole vengono salvate stato per stato.

Esempio Esempio

Variabili/funzioni contenute nel simbolo:
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Con la seguente regola, le variabili e la funzione del simbolo saranno sostituite:
Sorgente: *_0010
sostituisci con: _0020

Risultato dell´applicazione della regola di collegamento:
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

Con l'aiuto della regola di collegamento, dunque, si possono sostituire tutte le variabili e le funzioni. Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Al momento di creare i file runtime, stato per stato vengono sostituiti i relativi collegamenti in base alle regole definite.

Esempio Esempio

Volete rappresentare in modo grafico se un motore è acceso e in quale direzione gira.

L'informazione sulla direzione dei giri del motore e sullo stato on/off viene fornita dalla variabile dalla parte di gestione. Grazie al testo di stato, si visualizza nel motore se e come gira.

  • Selezionate nelle Proprietà -> Rappresentazione -> Testo di stato.
  • Aprite il dialogo Introduzione elemento cliccando su Stati e test.
  • Digitate il testo di stato che volete attribuire al valore in questione.

Durante il runtime, poi, nel Vostro motore ci sarà, per esempio: "a sinistra", "a destra", oppure nessun testo se il motore non gira.

Ulteriori informazioni sull'analisi dei bit di stato, le potete trovare nel capitolo Stati.


Assistente

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per effettuare la configuazione di base dell´elemento combinato avete a disposizione un assistente. Quest´ultimo si apre non appena viene selezionata una variabile per l´elemento combinato.

In primo luogo selezionate il tipo di visualizzazione. Sono disponibili le seguenti possibilità di selezione:

  • Simbolo dalla libreria
  • Testo di stato e simbolo d´immagine
  • Bitmap e simbolo d´immagine
  • Solo simbolo immagine

Info Informazioni

In tutte le finestre che servono alla selezione di uno stato, potete definire degli stati ulteriori. A tale scopo potete usufruire del comando "Nuovo stato".

Default: simbolo della libreria.
Questa impostazione viene proposta anche come standard nelle impostazioni, quando procedete alla creazione di un elemento combinato senza assistente.

Non appena avete scelto un tipo di visualizzazione, potete definire degli stati. Il primo stato è sempre quello di default.
Indicazione: per lo stato di default non si può indicare nessun valore, per tutti gli altri stati ne deve essere indicato uno. Potete elaborare sempre solo uno stato alla volta.

Simbolo dalla libreria

Cliccate sulla finestra vuota che si trova in basso a sinistra per scegliere un simbolo dalla libreria simboli globale, oppure dalla libreria di progetto. Cliccando su X accanto alla finestra, cancellate il simbolo selezionato.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore. A partire dal secondo stato: inserimento obbligatorio.
Nuovo valore | Crea un nuovo stato per l'elemento combinato.

Info Informazioni

Per Simbolo dalla libreria potete creare dei Pulsanti su cui cliccare nella forma che preferite.

Testo di stato e simbolo d´immagine

Ogni stato può essere contraddistinto da un testo, da un colore di primo piano e un colore di sfondo.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore. A partire dal secondo stato: inserimento obbligatorio.
Testo di stato | Testo che viene visualizzato durante il runtime.
Colore | colore dei caratteri del testo di stato.
Colori di riempimento | colore dei caratteri del testo di stato.
Nuovo valore | Crea un nuovo stato per l'elemento combinato.

Bitmap e simbolo d´immagine

Cliccate sul pulsante<Nessuna grafica selezionata>in basso a sinistra per selezionare un file grafico (*.bmp, *.gif, *jpg, *.png). Avete le seguenti possibilità di scelta:

  1. immagini del progetto:

    immagini che avete già salvato nel percorso immagini del porgetto (vedi capitolo Editor -> Manager di progetto> File); esse Vi verranno offerte automaticamente dall´assistente.

  2. Percorso assoluto per altre directory:
    • attivate a questo scopo la selezione file diretta.
    • La finestra passa a Scelta diretta
    • Clicchi sul pulsante .........
    • Selezionate con l´Explorer il file corrispondente.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore. A partire dal secondo stato: inserimento obbligatorio.
Nuovo valore | Crea un nuovo stato per l'elemento combinato.

Solo simbolo immagine

Potete indicare un simbolo comune per tutti gli stati dell´elemento combinato.
Questo simbolo:

  • deve essere già presente nell´immagine.
  • Vale per tutti gli stati.
  • Può essere contraddistinto per ogni stato con un proprio colore di riempimento.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore. A partire dal secondo stato: inserimento obbligatorio.
Simbolo immagine | Lista a cascata per la scelta di un simbolo. Se non viene visualizzato nessun simbolo, significa che nell´immagine attuale non ne esiste ancora nessuno.
Colori di riempimento | Contraddistingue lo stato assegnato.
Nuovo valore | Crea un nuovo stato per l'elemento combinato.


Pulsanti su cui cliccare in qualsiasi forma

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Pulsanti su cui cliccare in qualsiasi forma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´elemento combinato possono essere impostati anche dei pulsanti su cui cliccare nel forma desiderata.

Info Informazioni

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Per creare dei pulsanti su cui cliccare nella forma desiderata:

  1. create un elemento combinato nel modo di rappresentazione Simbolo della libreria
  2. selezionate nelle proprietà dell´elemento combinato e in particolare nel nodo Visualizzazione la proprietà Forma del simbolo corrispondente all'area sensibile

    Interno ID: Pulsanti su cui cliccare in qualsiasi forma

    Forma del simbolo corrispondente all'area sensibile

    Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

    Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

    Disattivato: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

    Default: inattivo.

    Attenzione: non disponibile sotto Windows CE.

    Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Pulsanti su cui cliccare in qualsiasi forma

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Questa proprietà non funziona sotto Windows CE dato che la funzionalità necessaria non è disponibile con Windows CE.

Elementi

Si possono trovare nel simbolo ulteriori simboli o elementi combinati. Essi vengono separati in modo adeguato per l´area sulla quale cliccare. Nel caso dei simboli, vengono usati i confini dell´elemento; nel caso dell´elemento combinato, invece, dipende dalla proprietà Forma del simbolo corrispondente all'area sensibile se si usano o le singole aree su cui cliccare degli elementi, oppure il rettangolo dell´elemento combinato.

I seguenti elementi hanno la loro specifica area su cui cliccare:

  • Rettangonlo arrotondato (fino alla versione 6.50 esistente in forma di proprio elemento vettoriale)
  • Pulsante
  • Elemento combinato con la proprietà "Forma simbolo per area su cui cliccare"
  • Cerchio
  • Segmento di cerchio
  • Curva
  • Linea
  • Pipeline
  • Poligono
  • Polilinea:
  • Rettangolo
  • Testo statico
  • Simbolo (vengono usate le corrette aree su cui cliccare degli elementi simbolo)

Tutti gli altri elementi hanno il loro bordo rettangolore come area su cui cliccare.

Forme speciali

Forme speciali

Effetto

Non vengono trattati in modo speciale:

  • Tipo di linea
  • Disegno
  • Trasparenze di ogni tipo
    (fatta eccezione per elemento testo)

Su queste aree si può sempre cliccare.

Trasparenza in caso di testo statico:

l´elemento si mantiene come se l´elemento non esistesse. In questo modo è possibile denominare degli elementi senza ingrandire l´area su cui cliccare involontariamente.

Non infuenza l´area su cui cliccare.

Un consiglio: se un elemento di testo trasparente deve avere un effetto sull´area su cui cliccare:

  • disattivate la proprietà Trasparente

    Interno ID: Pulsanti su cui cliccare in qualsiasi forma

    Trasparente

    Abilitata: Lo sfondo del simbolo è trasparente.

    Disabilitata: Lo sfondo del simbolo può essere definito in modo indipendente per ogni stato.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • impostate manualmente un elemento trasparento sotto o sopra

Pulsante

se viene usato per l´area su cui cliccare, non è disponibile qui una Animazione GIF per "premuto". Ciò corrisponde al comportamento nel caso in cui la proprietà Forma del simbolo corrispondente all'area sensibile sia disattivata.

Interno ID: Pulsanti su cui cliccare in qualsiasi forma

Animazione GIF

Proprietà per l’animazione, se viene utilizzato un file GIF animato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Simbolo esce fuori dall´elemento combinato.

Il simbolo viene visualizzato, i clic vengono presi in considerazione dal sistema, però, solo se avvengono all´interno dell´elemento combinato.

Annotazione: se degli elementi superano i limiti dei simboli, oppure dei simboli superano i limiti di un elemento combinato, si possono verificare dei problemi di visualizzazione e effetti non desiderati.

Aree su cui cliccare

Nell´editor vengono definite in parte delle aree più grandi come aree su cui cliccare per rendere più semplice il cliccarci sopra. Per esempio: una linea dello spessore di 1 pixel può essere selezionata nell´editor con uno spessore di 8 pixel.

Nel runtime, la visualizzazione dell´area su cui cliccare sarà esatta. Per esempio: la linea dello spessore di 1 pixel è selezionabile anche solo per uno spessore di 1 pixel.

Il calcolo dell´area di su cui cliccare per l´elemento combinato funziona indipendentemente dall´impostazione della proprietà Qualità grafica. Tuttavia, in dipendenza da questa impostazione viene calcolata una diversa area su cui cliccare per gli elementi.

Interno ID: Pulsanti su cui cliccare in qualsiasi forma

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Pulsanti su cui cliccare in qualsiasi forma

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Pulsanti su cui cliccare in qualsiasi forma

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se il puntatore del mouse si trova sull´elemento combinato, il sistema analizza se il cursore si trova nell´area su cui cliccare dell´elemento. Nel caso ci sia un gran numero di elemento nel simbolo dell´elemento combinato, il carico CPU può essere grande.


Esempi di pulsanti su cui cliccare

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Pulsanti su cui cliccare in qualsiasi forma -> Esempi di pulsanti su cui cliccare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esempio 1

Stato Forma del simbolo corrispondente all'area sensibile Interno ID: Esempi di pulsanti su cui cliccare Forma del simbolo corrispondente all'area sensibile Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato. Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare. Disattivato: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare. Default: inattivo. Attenzione: non disponibile sotto Windows CE. Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva. Ulteriori informazioni nella guida in linea. Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Azione
Attiva | Nessun clic
inattivo. | Clic

Esempio 2

Stato Forma del simbolo corrispondente all'area sensibile | Azione
Attiva | Clic
inattivo. | Clic

Esempio 3

Stato Forma del simbolo corrispondente all'area sensibile | Azione
Attiva | Nessun clic
inattivo. | Clic


Stati

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Passate alla finestra degli stati facendo uso della proprietà Stati e test nel nodo Visualizzazione.

Interno ID: Stati

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Stati

Stati e test

Apre il dialogo per la definizione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Cliccando sul pulsante oppure sul testo "Clicca qui", si apre la finestra degli stati:

In questa sede

  • modificate gli stati esistenti
  • aggiungete dei nuovi stati
  • stabilite in quale successione gli stati devono essere elaborati.

Le impostazioni nella parte superiore della finestra sono uguali per tutte le modalità di visualizzazione. Nel terzo inferiore della finestra si procede a fissare le impostazioni individuali per le quattro diverse modalità di visualizzazione.

Impostazioni comuni

Definizione dello staro

presenta una lista di tutti gli stati definiti. Uno stato può consistere di valori e stato. L´elemento viene elaborato dal primo stato all´ultimo inserimento. Viene visualizzata la prima concordanza completa. Eccezione: la proprietà Sovrapposti (per simboli della libreria) o Concatenato (per i testi) è attiva.

Parametri | Descrizione
Stato di default | Lo stato definito al momento della creazione dell´elemento. Esso si trova sempre al primo posto e non può essere né modificato, né cancellato.
Valore | Mostra il valore definito (32 Bit).
Stato | Mostra lo stato definito. Un "F" alla fine della visualizzazione stato, rimanda ad una formula.
Nuovo | Definisce nuovi stati. Vengono ripresi come valori iniziali valori, stato e formule dello stato attualmente evidenziato.
Elimina | Cancella lo stato evidenziato. Lo stato di default non può essere cancellato.
Verso l´alto/verso il basso. | Modifica la successione in cui vengono presi in considerazione gli stati. Lo stato di dafault si trova sempre in prima posizione.

Variabili formula

Mostra tutte le variabili che sono state definite per l´inserimento in formule. Le variabili esistenti vengono distinte da una grappetta verde; quelli non esistenti da una x rossa. Le variabili non esistenti possono essere sostituite tramite Modifica con delle variabili esistenti. Cliccando sui pulsanti Aggiungi e Modifica, aprite il dialogo per la Selezione delle variabili.

Valore

Consente

  • l´inserimento del valore per uno stato mediante una matrice o numericamente
  • la definizione di una formula
Parametri | Descrizione
Valore | Definizione del valore attraverso una predefinita struttura bit
Valore | Inserimento del valore numerico.
Formula | Apre la finestra per l´inserimento di Formule. Sono a disposizione le variabili definite nell´area variabili formula. Il collegamento avviene mediante operatori logici, bit o di confronto.

attenzione Attenzione

In caso di variabili non binarie, il valore si imposta nella risoluzione segnale! In questo elemento non si considerano le impostazioni dell´area di misurazione o l´adattamento non lineare dei valori.

Stato

Consente l´interrogazione delle informazioni di stato.

Attenzione: La maggior parte degli stato possono essere interrogati solamente se il driver supporta la modifica status.

No. | Denominazione breve | Denominazione lunga | Annotazione
0 | M1 | Stato utente 1 |
1 | M2 | Stato utente 2 |
2 | M3 | Stato utente 3 |
3 | M4 | Stato utente 4 |
4 | M5 | Stato utente 5 |
5 | M6 | Stato utente 6 |
6 | M7 | Stato utente 7 |
7 | M8 | Stato utente 8 |
8 | NET_SEL | Select in rete |
9 | REVISION | Revisione |
10 | PROGRESS | In costruzione |
11 | TIMEOUT | Runtime exceeded |
12 | MAN_VAL | Valore manuale | Disponibile solo per formule.
13 | M14 | Stato utente 14 | Disponibile solo per formule.
14 | M15 | Stato utente 15 | Disponibile solo per formule.
15 | M16 | Stato utente 16 | Disponibile solo per formule.
16 | GI | Interrogazione generale |
17 | SPONT | Spontaneo |
18 | INVALID | Non valido |
19 | T_CHG_A | Cambio orario estivo/invernale |
20 | OFF | Spenta |
21 | T_EXTERN | Tempo reale esterno | Disponibile solo per formule.
22 | T_INTERN | Tempo reale interno | Disponibile solo per formule.
23 | N_SORTAB | Non filtrati | Disponibile solo per formule.
24 | FM_TR | Transformer |
25 | RM_TR | Transformer anomaly |
26 | INFO | Info della variabile |
27 | ALT_VAL | Valore di riserva: |
28 | RES28 | Risrvato |
29 | N_UPDATE | Non attualizzato |
30 | T_STD | Ora solare | Disponibile solo per formule.
31 | RES31 | Risrvato |
32 | COT0 | Causa trasmissione Bit 1 | Disponibile solo per formule.
33 | COT1 | Causa trasmissione Bit 2 | Disponibile solo per formule.
34 | COT2 | Causa trasmissione Bit 3 | Disponibile solo per formule.
35 | COT3 | Causa trasmissione Bit 4 | Disponibile solo per formule.
36 | COT4 | Causa trasmissione Bit 5 | Disponibile solo per formule.
37 | COT5 | Causa trasmissione Bit 6 | Disponibile solo per formule.
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | Disponibile solo per formule.
39 | TEST | Test-Bit (IEC 60870 [T]) |
40 | WR_ACK | Conferma scrittura | Disponibile solo per formule.
41 | WR_SUC | Scrittura avvenuta con successo | Disponibile solo per formule.
42 | NORM | Stato normale | Disponibile solo per formule.
43 | N_NORM | Normal deviation | Disponibile solo per formule.
44 | BL_870 | IEC 60870 Status: blocked |
45 | SB_870 | IEC 60870 Status: substituted |
46 | NT_870 | IEC 60870 Status: not topical |
47 | OV_870 | IEC 60870 Status: overflow |
48 | SE_870 | IEC 60870 Status: select |
49 | T_INVAL | Timestamp non valido | Disponibile solo per formule.
50 | RES50 | riservato |
51 | RES51 | riservato |
52 | RES52 | riservato |
53 | RES53 | riservato |
54 | RES54 | riservato |
55 | RES55 | riservato |
56 | RES56 | riservato |
57 | RES57 | riservato |
58 | RES58 | riservato |
59 | RES59 | riservato |
60 | RES60 | riservato |
61 | RES61 | riservato |
62 | RES62 | riservato |
63 | RES63 | riservato |

Info Informazioni

Le denominazioni brevi per il bit di stato sono state unificate per tutte le lingue a partire dalla versione 6.50. Dettagli su questo argomento e su come potete riutilizzare vecchie denominazioni brevi, le potete trovare nel capitolo Bit di stato - Nuove denominazioni brevi.

Impostazioni individuali

Le impostazioni individuali per le 4 modalità di visualizzazione degli stati le trovate nei sottocapitoli:

Simbolo dalla libreria

Testo di stato e simbolo d´immagine

Bitmap e simbolo d´immagine

Solo simbolo immagine

Progetta stato con variabili non ancora collegate

Qualche volta dovete progettare un elemento combinato, ma non disponete ancora di una variabile esistente. Per es., quando un elemento combinato deve essere utilizzato in un simbolo della libreria dei simboli e il collegamento della variabile viene creato solo al momento del trascinamento nell'immagine. In questo caso lavorate anzitutto con una cosiddetta variabile dummy che poi sostituirete con una variabile esistente. Potete progettare tutti gli stati in un elemento combinato anche se non è stata ancora collegata nessuna variabile esistente. Solo nella modalità test non avete accesso alle variabili dummy.

In tal modo potete procedere alla impostazone di una variabile "dummy".

  • Assegnate nelle proprietà dell´elemento combinato un nome simbolico digitandolo nel campo di inserimento Variabile.

    Interno ID: Stati

    Variabile

    Disponibile solo per pulsanti se essi vengono utilizzati come interruttori:
    Nome della variabile collegata.
    Apre il dialogo per la selezione variabili.
    Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

    Solo SICAM 230 e elemento Allarme immagine:
    la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.

    Significato in SICAM 230:
    sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

    Bit meno significativo: Attiva/disattiva allarmi

    Bit più significativi: Allarme ripristinato / non ripristinato

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Cliccate nel settore Visualizzazione nel campo Stati e test: si aprirà la pagine Stati nell´elemento.
  • Nella Lista delle formule variabili, le variabili esistenti vengono indicate per mezzo di una spuntatura verde; quelle non esistenti con una X rossa. Potete aggiungere delle ulteriori variabili:
  • Per le variabili esistenti selezionate il pulsante "Aggiungi".
    Con "Modifica" sostituite delle variabili esistenti con delle altre, oppure sostituite delle variabili non esistenti con delle variabili esistenti.
  • Per aggiungere una variabile non esistente, cliccate su "Aggiungi" e poi su "Canc. selezionati". Ottenete una formula variabile con il seguente modello di nome: X00: <vuoto>. (00 sta al posto di un numero a due cifre).
    Selezionate la variabile e cliccate nel settore <vuoto>; assegnate una denominazone.
    Se inserite il nome di una variabile già esistente, viene creato un collegamento con essa, e, al posto della X rossa, compare una spuntatura verde.

Formule

Come viene creata una formula lo potete apprendere leggendo il capitolo Editor delle formule.


Simbolo dalla libreria

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Simbolo dalla libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri

Descrizione

Elemento di rappresentazione

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di collegamento

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori:

attivo solamente se nel settore Impostazioni specifiche viene disattivata la proprietà Colori simbolo originali.

Colore

Scelta del colore.

Colori di riempimento

Scelta del colore di riempimento

Da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali

attivo: riprende il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Interno ID: Simbolo dalla libreria

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Lampeggio

attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Testo di stato e simbolo d´immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Testo di stato e simbolo d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Elemento di rappresentazione |
Testo di stato | Testo per lo stato
Testo a pulsante premuto | Testo a simbolo premuto
Colori: |
Colore | Scelta del colore.
Colori di riempimento | Scelta del colore di riempimento
Da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.
Trasparente | Attivo: il colore del simbolo viene settato a trasparente.


Grafica e simbolo di immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Grafica e simbolo di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Elemento di rappresentazione |
Grafica | Cliccate su Grafica e si apre il dialogo per la selezione delle grafiche. Elimina: cancella nome dalla riga di testo.
Impostazioni specifiche |
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Solo simbolo immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Solo simbolo immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Colori: |
Colore | Scelta del colore.
Da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Colori simboli originali | Attivo: riprende il colore originale del simbolo.
Simbolo trasparente | Attivo: il colore del simbolo viene settato a trasparente
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Modalità test

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Modalità test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La modalità test simula il runtime: potete testare una modifica di valore e vedere come si comporta il Vostro elemento combinato durante il runtime. Questa voce può essere attivata solo se tutti i collegamenti si riferiscono a delle variabili esistenti.

Indicazione: Nella modalità test, il simbolo, tuttavia, compare in una risoluzione peggiore a quella dell'immagine successiva.


Editor delle formule

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´editor delle formule supporta nella creazione di formule con operatori logici o di comparazione con l´elemento combinato, con gli interblocchi e i comandi. Se avete bisogno per la formula di ulteriori variabili, createle nell´area Variabili formula della finestra degli stati cliccando sul pulsante Aggiungi. Le formule esistenti vengono visualizzate nella lista degli stati mediante la lettera F .

Creare la formula

Cliccate nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Nella finestra di sinistra, selezionate i bit per la Vostra formula.

A destra trovate gli operatori per operazioni logiche e di confronto.

Nel settore Formula viene visualizzata la formula impostata.

Info Informazioni

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit-valore

Sono a disposizione 32 bit di valore (da 0 a 31). Descrivete il valore variabile in bit. Per variabili BOOL ha significato solo il bit 0, per SINT e UNSINT i bit 0-7 ecc...

Indicazione: Vi preghiamo di tenere presente che la valutazione si riferisce sempre al valore Raw della variabile (risoluzione segnale) e non al valore di misurazione.

Bit di stato

Mette a disposizione i bit di stato più comuni. La definizione esatta e l´uso dei bit di stato, li trovate nella Lista Bit di stato.

- non ripristinato

Non ripristinato viene considerato come un normale bit di stato; ma in questa sede lo si tratta separatamente perché non appartiene ai classici stati delle variabili.

Valore e stato

Tutti i valori (bit di valore e bit di stato) nelle formule vengono presi in considerazione come valori binari e possono poi essere collegati logicamente con UND oppure ODER, nonché mediante espressioni logiche.
un´eccezione è costituita dal valore complessivo e dallo stato complessivo. Per giungere ad un'espressione booleana, è anzitutto necessario collegare con un'operazione OR questo valore generale con una constante a bit . A questo scopo si usa l'operatore &.
Con un risultato 0 (False) del collegamento con operazione OR a bit, si ottiene il valore binario 0 (False), altrimenti 1 (True).

Esempio: vedi capitolo Esempio collegamento OR a bit

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se oltre alla formula ci sono altre impostazioni per lo stato attuale, queste vengono collegate con un AND logico.

Per esempi vedi la sezione Esempi di formule.

Info Informazioni

Formule con valori X binari e collegamento bit possono essere usati con al massimo 2 valori binari. Se si ha bisogno di più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value ->non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona


Lista bit di stato

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Collegamenti logici: Le variabili vengono controllate solo sulla base del valore logico '0'; nel caso in cui il valore non sia pari a '0', viene definito con '1'-

A differenza del Bitformel (??) l'area tecnica può essere modificata di un fattore di estensione -> diverso da 0 o 1.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | 'ESCLUSIVO OR' logico

Gli operatori hanno le seguenti priorità nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per Formula bit)
2 | NOT
3 | AND
4 | XOR/OR

Info Info

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99.

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule bit

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Formule bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le formule bit possiedono solamente uno stato logico low e high. A differenza di quanto accade per le formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR


Esempio: collegamento ad "o"

Esempio: collegamento ad "o"

Volete sapere se è settato uno stato user bits 1-8 (M1 ... M8) della variabile X01.

Formula normale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa richiesta può essere facilitata di molto attraverso il collegamento ad "o" a bit dello stato generale.

Collegamento a "o"

X01.Status & 0xFF

La costante può essere indicata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 256; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è a 1, il risultato del collegamento con operazione OR a bit è 1 (True), altrimenti 0 0 (False).

Se si vuole richiedere, ad esempio, tutti gli stati bit user fatta eccezione per lo status bit user M7, l'espressione binaria corrispondente sarebbe: 10111111. Bit 7 non è interessante, per questo è settato su 0. Ciò corrisponde a 0xBF esadecimale. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di collegare con operazione OR a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto dà un esito sbagliato, ne deriva il valore binario 0 (False), altrimenti 1 (True).

Beispiel:

Volete interrogare se un valore corrisponde alla costante 202. La formula è la seguente: La formula corrispondente è la seguente:

X01.Wert = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Indicazione: il collegamento O in bit funziona con il segno O (|) in modo analogo al questo esempio.


Operatori a confronto

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Operatori a confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli operatori a confronto servono al confronto diretto di due valori numerici. Il risultato di questo confronto viene espresso in forma di uno stato binario. „0“ se la condizione non è soddisfatta e „1“ se invece lo è

Operatore | Descrizione
< | Minore:
> | Maggiore:
<= | ninore uguale
>= | maggiore uguale
= | è uguale
<> | diseguale

A sinistra e a destra di un operatore a confronto deve stare un valore (generale) o uno stato (generale); bit singoli non possono essere utilizzati con questi operatori a confronto.

A destra dell'operatore a confronto ci può essere anche una costante. (le costanti possono essere solo numeri interi; un confronto con numeri con cifre decimali non è possibile)
Nell´elemento combinato queste costanti vengono inserite come valori esadecimali o valori decimali. I numeri esadecimali vengono trasformati automaticamente in numeri decimali cliccando su OK (per es. 0x64 corrisponde al valore numerico 100).

Esempio Esempio

X01.valore >= X02.valore
Il risultato è „1“ se il valore di X01 è più grande o uguale al valore X02

X01.valore = 0x64
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico100 (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= Hex 0x64 und Hex 0x65)


Esempi di formule

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Semplice collegamento AND fra due valori bit.

Esempio Esempio

Formula: X01.03 AND X02.03

Questa formula dà come risultato “VERO” quando il Bit 3 della variabile 1e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confronta il valore o lo stato di una variabile analogicamente

Esempio Esempio

(X01.Wert> X02.Wert)

Confronta fra di loro comparazioni analogiche su base logica.

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Confronti di bit valore e bit di stato

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Confronta un valore con uno decimale o esadecimale.

Esempio Esempio

Formula: (X01.Wert = 111)

Formula: (X01.Wert = 0x6F)

Se si usa un valore esadecimale, esso viene trasformato più tardi nella modalità di scrittura decimale cliccando su OK. Se si è indicato e confermato un valore decimale, alla riapertura del valore esso continua ad essere visualizzato in forma decimale.

Info Info

Non è possibile nell'indicazione di numeri usare una virgola o un punto.


Rappresentazione di nome variabile e identificazione variabile.

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Rappresentazione di nome variabile e identificazione variabile.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete rappresentare con l´aiuto dell´elemento combinato il nome variabile e l´identificazione variabile. A tal scopo, procedete nel modo seguente:

  1. create un nuovo elemento combinato.
  2. Selezionate il tipo di visualizzazione Testo di stato & Simbolo immagine.
  3. Impostate uno stato di Default.
  4. Indicate il testo di stato del seguente carattere sostituivo.
Caratteri simbolici | Descrizione
%n | mostra il nome delle variabili
%n,1,2 | mostra il nome della variabile dalla posizione 1 per 2 caratteri.
%N | mostra il nome delle variabili
%N,3,2 | Mostra il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.
%l | mostra l'identificazione della variabile.
%l,1,2 | mostra l'identificazione della variabile dalla posizione 1 per 2 caratteri.
%L | mostra l'identificazione della variabile.
%L.3.2 | Mostra l´identificazione della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.


Combo-/Listbox

Manuale -> Immagini -> Elementi d´immagine -> Combo-/Listbox

Con l´elemento dinamico Combo-/Listbox, collegate dei valori di variabili con testi. Potete usare questi ultimi in due modi:

  1. se un testo viene selezionato durante il runtime, si modifica il valore delle variabili che viene portato a quel valore che è collegato a questo testo.
  2. Nel caso in cui la variabile raggiunge uno dei valori definiti, il testo collegato viene visualizzato nella Combobox/Listbox fino a quando il valore è in attesa.

Crea una Combo-/Listbox

Per creare l´elemento dinamico Combo-/Listboxin un´immagine, procedete come segue:

  1. selezionate il simbolo Combo-/Listbox nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre un Dialogo nel quale potete collegare la variabile desiderata all´elemento.
    I seguenti tipi di variabili vengono supportati:
    • Binaria:
    • numeriche
    • stringa

Info Info

E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop. Trascinate una variabile su una Combo-/Listbox; essa sostituirà lì la variabile esistente.

L´elemento Combo-/Listbox supporta le stesse funzionalità ulteriori, come, ad esempio, l´elemento Valore numerico:

  • Visualizzazione lucchetto, visualizzazione stato, visibilità, colori dinamici.
  • Colori dinamici: Il colore di sfondo viene utilizzato solo per gli inserimenti esistenti; il settore dell'elemento di controllo non occupato da inserimenti, viene visualizzato nel colore standard.

Il collegamento di macro con elementi events (per es. LeftClickUp ...) non viene supportato.

attenzione Attenzione

sotto Windows CE, non è possibile la modifica di colori e caratteri nella Combo-/ListBox.

Le Combo-/Listbox possono essere create in modo dinamico o statico. La proprietà ID_PROP_COMBOLIST_DYNCONTENT_USE provoca il passaggio dal funzionamento statico a quello dinamico e viceversa. Per il funzionamento statico vengono definiti nell´Editor degli inserimenti fissi. Nel funzionamento dinamico viene collegata una variabile contenuto il cui valore viene interpretato nel Runtime.

Differenza Combobox e Listbox

Nel Combobox i testi vengono raggruppati in una finestra.

Nella Listbox , i valori vengono visualizzati in una lista; il valore viene evidenziato. Nel caso in ci sono piú stati di quelli che sono rappresentabili nella lista, viene visualizzata una barra d´immagine.

Info Info

Se la variabile ha un valore che non è stato definito negli inserimenti del Combo-/Listbox, il testo viene visualizzato oppure evidenziato.

Combobox o Listbox statiche

Per una box statica vengono configurati nell`Editor degli inserimenti fissi. Essi vengono visualizzati e utilizzati nel Runtime.

Per inserire dei valori:

  1. aprite il gruppoVisualizzazione

    Interno ID: Combo-/Listbox

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Interno ID: Combo-/Listbox

    Tipo controllo

    ComboBox: Questo elemento viene usato come ComboBox.
    ListBox: Questo elemento viene usato come ListBox. Default: ListBox.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Valore di default: Listbox

  3. disattivate la proprietà Inserimento da variabile string

    Interno ID: Combo-/Listbox

    Inserimento da variabile string

    Attiva: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

    Interno ID: Combo-/Listbox

    Variabile

    Disponibile solo se la proprietà Inserimento da variabile string è attiva.

    Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Non attiva: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

    Interno ID: Combo-/Listbox

    Inserimenti

    Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

    Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. cliccate in corrispondenza della proprietà Inserimenti sul pulsante ...
  5. si apre il dialogo per configurare gli inserimenti

  6. inserire i valori per stati.
  7. collegate i valori con testi per stati.

Dialogo Inserimenti

Parametri

Descrizione

Inserimenti

Lista degli inserimenti già definiti.

No.

Un numero successivo viene attribuito automaticamente.

Valore

Valore che è stato inserito sotto Inserimento/Valore.

Settare valore

Sì: è attivo Setta valori.

No: non è attivo Setta valori.

Testo

successione caratteri che è stata indicata in Inserimenti/Testo .

Funzione

la funzione collegata nel campo Inserimenti/Funzione .

Variabile

Variabile visibilità collegata

Nuovo

Crea un nuovo inserimento:

  • numero successivo
  • attivo Setta valore

Elimina

Cancella l´inserimento selezionato. Può essere cancellato solo un inserimento per volta; non è possibile solamente una selezione multipla.

Copiare

copia l´elemento selezionato e lo aggiunge alla fine della lista come nuovo elemento. Vengono riprese le impostazioni dell´elemento copiato.

Dall’alto in basso

Sposta l´inserimento selezionato verso l´alto o verso il basso e adegua la numerazione progressiva.

Impostazione inserimento

Configurazione degli inserimenti nella lista

Testo

Inserimento della successione caratteri che viene collegata al valore.

Valore

Valore numerico

Quali valori possono essere indicati, dipende dal tipo di dato delle variabile.

Settare valore

Attiva o disattiva "setta valore impostabile":

Attiva: il valore viene settato come valore impostabile.
Non attivo: Il valore inserito serve solamente all´indicizzazione della selezione.
Attenzione: Setta valore si ripercuote solo sul valore e non sulla funzione. Quest'ultima viene settata sempre. Se si apre una funzione senza variabile collegata,Setta valore deve essere disattivato!

Funzione

Funzione che viene eseguita quando si seleziona l´inserimento durante il Runtime. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una Funzione.
Attenzione: la funzione viene eseguita solo nel caso in cui selezioniate l'inserimento facendo uso della Combobox/Listbox nel runtime. Se il valore scatenante viene raggiunto tramite una variazione di valore della variabile, la funzione non viene eseguita. Se si apre una funzione senza variabile collegata, Setta valore deve essere disattivato!

Variabile di visibilità

Variabile i cui cambiamenti di valore e, dunque, violazioni di valore limite, vengono analizzati durante il Runtime. Se si verifica una violazione di valore limite nel caso della variabile di visibilità, viene analizzata la proprietà Visibilità di questa violazione di valore limite. Essa determina se l´inserimento nella lista è visibile o no. Di Default (non c´è una violazione di valore limite) l´inserimento viene visualizzato nella lista. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.

Attenzione: una variazione di valore nel corso del funzionamento del sistema può far sì che alla voce Combobox venga chiusa una Combobox aperta.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Ordina inserimenti

Gli inserimenti possono essere messi in ordine tramite:

  • pulsanti in sù e in giù: Selezionare l´elemento desiderato e muovere con i pulsanti.
  • Drag & Drop: Trascinare l´elemento con il mouse nella posizione desiderata. Una linea rossa indica la posizione nella quale viene inserito l´elemento.

Combobox o Listbox dinamiche

Per il funzionamento dinamico, si deve provvedere a collegare, facendo uso della proprietà Variabile, una variabile stringa che definisce i contenuti. Nel Runtime vengono ignorati quegli inserimenti statici che dovessero essere stati eventualmente progettati parallelamente. Il valore della variabile contenuto viene analizzato e interpretato. A tal scopo, il valore delle variabili deve corrispondere nel runtime ad un layout valido.

Layout

Il valore stringa rappresenta una lista di inserimenti. Ogni inserimento consiste di un valore e un testo, separati da un virgola „,". Alla fine degli inserimenti si trova un punto e virgola „;". Se una parte del testo di un inserimento contiene il carattere „@", essa viene tradotta con l´aiuto della tabella lingua disponibile.

Esempio di un valore stringa valido:

1,uno;2,due;3,tre;

Esempio di un valore stringa valido con traduzione:

1,@uno;2,@due;3,@tre;

Configurazione

Per collegare una variabile:

  1. aprite il gruppoVisualizzazione
  2. selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Valore di default: Listbox

  3. attivate la proprietà Inserimento da variabile string
  4. selezionate con la proprietà Variabile la variabile desiderata
    (cliccando sul pulsante ... si apre il dialogo per la Selezione variabili)
  5. selezionate la variabile stringa con gli inserimenti configurati

Evidenziare elemento nella lista in caso di selezione

Gli elementi visualizzati nella lista di Combobox e Listbox possono essere evidenziati nel runtime tramite un colore specifico. Per far ciò:

  • navigate nelle proprietà fino a giungere al gruppo Colori

    Interno ID: Combo-/Listbox

    Colori

    Proprietà colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • selezionate nel gruppo Colori statici le proprietà

    Interno ID: Combo-/Listbox

    Colori statici

    Impostazioni per i colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Colore testo per la selezione per il colore testo

      Interno ID: Combo-/Listbox

      Colore testo per la selezione

      Definisce il colore del testo quando viene selezionato un elemento. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante.... Il colore è statico e non usa la variabile collegata.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Colore di sfondo per la selezione da adottare come colore di sfondo del testo.

      Interno ID: Combo-/Listbox

      Colore di sfondo per la selezione

      Definisce il colore di sfondo quando viene selezionato un elemento. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante.... Il colore è statico e non usa la variabile collegata.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In questo modo, questi colori vengono usati durante il runtime. Le impostazioni del sistema operativo vegnono ignorate, come anche i colori delle variabili collegate.

Info Informazioni

Fino alla versione 6.50, erano usati i colori del sistema operativo. Nella conversione di progetti accade quanto segue:

  • il colore di sfondo settato sul colore configurato nel sistema operativo
  • viene stabilito il colore testo come colore definito statistico.

Sui computer per i quali i colori sono stati cambiati nel sistema operativo, si possono verificare diversi comportamenti nel runtime.

Trattamento degli errori

Gli errori verranno visualizzati sotto forma di inserimenti Log nel server di diagnosi:

Segnalazione | Livello | Significato
The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! | Errore | La variabile stringa collegata nella proprietà Variabile ha un valore con layout non valido. Il testo viene analizzato per quanto possibile. Il valore attuale viene considerato per facilitare l´analisi dell´errore durante il Runtime.


Testo dinamico

Manuale -> Immagini -> Elementi d´immagine -> Testo dinamico

Con l´elemento dinamico Testo dinamico potete visualizzare il testo attuale del valore limite di una variabile numerica in caso di violazione del valore stesso, oppure il valore di una variabile stringa in forma alfanumerica. In assenza di violazione del valore limite, viene segnalato il testo definito nel editor.

Per creare un Testo dinamico in un´immagine:

  1. selezionate il simbolo Testo dinamico nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili.
  5. Selezionate la variabile desiderata
  6. Stabilite nella finestra delle proprietà quelle che desiderate.


Ellisse:

Manuale -> Immagini -> Elementi d´immagine -> Ellisse:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per disegnare un´ellisse:

  1. selezionate il simbolo Elisse/cerchio nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´ellisse con il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.


Cerchio

Manuale -> Immagini -> Elementi d´immagine -> Cerchio

Per disegnare un cerchio:

  1. selezionate il simbolo Elisse/cerchio nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. Tenete premuto il tasto Shift;
  4. trascinate il cerchio con il tasto sinistro del mouse premuto.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  7. se deve essere mantenuta la forma di cerchio al momento di trascinare l'immagine, tenete premuto il tasto Shift.
  8. Stabilite nella finestra delle proprietà quelle che desiderate.


Curva

Manuale -> Immagini -> Elementi d´immagine -> Curva

Per disegnare una curva:

  • selezionate il simbolo Cruva nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  • selezionate nella finestra principale il punto start
  • trascinate la curva con il tasto sinistro del mouse premuto.
  • Trascinare verso destra in alto, apre la curva verso sinistra in alto; analogamento funzionano tutte le direzioni.
  • Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  • Stabilite nella finestra delle proprietà quelle che desiderate.

Info Info

La curva viene sempre rappresentata come quarto di cerchio, ma può essere estesa con copia e incolla.
Tipo e colore di riempimento non sono a disposizione per le curve.


Segmento di cerchio

Manuale -> Immagini -> Elementi d´immagine -> Segmento di cerchio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

attenzione Attenzione

Con il segmento cerchio disegnate una parte a piacere di un cerchio o di un´ellisse.

Per disegnare un segmento di cerchio :

  1. selezionate il simbolo Segmento di cerchio nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il segmento di cerchio tenendo il tasto sinistro del mouse premuto.
  4. trascinare verso destra in altro, apre il segmento di cerchio a sinistra e viceversa.
  5. Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  6. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  7. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  8. Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  9. Per modificare l´angolo di apertura,oppure per aprire il segmento di cerchio verso l´alto o il basso, avete due possibilità:
    • muovete il mouse su uno dei due punti di appiglio finché il puntatore non si trasforma in una croce nera con frecce sul più estermno dei due punti; poi muovete il punto nella direzione desiderata
      oppure
    • modificate le indicazioni di angolo nelle proprietà alla voce Angolo di apertura. Per esempio:
      - per apertura verso il basso: Angolo finale [°] 180° e Angolo di partenza [°] auf 0°
      - per apertura dopo: sopra viceversa
      indicazioni di angolo possono avere al massimo due cifre decimali.
      Indicazione: visto che i punti calcolati sulla base delle indicazioni d´angolo sono pixel, e questi devono essere numeri interi, è possibile che la rappresentazione d´angolo diverga un po´dalle indicazioni corrispondenti. Per esempio, dall´indicazione 45° non risulta un pixel integer. In zenon il valore viene arrotondato e l´angolo viene rappresentato come 44,75°.

      Interno ID: Segmento di cerchio

      Angolo di partenza [°]

      Inizio dell’angolo di apertura. L’angolo di apertura di un arco di cerchio è visualizzato tramite un angolo di apertura e uno di chiusura.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Segmento di cerchio

      Angolo finale [°]

      Inizio dell’angolo di chiusura. L’angolo di apertura di un arco di cerchio è visualizzato tramite un angolo di apertura e uno di chiusura.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Segmento di cerchio

      Angolo di apertura

      Definizione degli angoli per gli archi di cerchio

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  10. Stabilite nella finestra delle proprietà quelle che desiderate.

Legenda:

1) Punto di presa per angolo di apertura

2) Punto di presa per l'altezza

Info Info

Se volete usare l´arco di cerchio come curva con libero angolo di apertura, modificate la proprietà Tipo di riempimento impostandola col valore trasparente. Con il tipo di rappresentazione trasparente viene visualizzata solamente la linea più esterna.
L´angolo di apertura deve essere sempre > 0° e < 360°.

Interno ID: Segmento di cerchio

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: Segmento di cerchio

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione

L´elemento arco di cerchio non è disponibile con Windows CE.


Linea

Manuale -> Immagini -> Elementi d´immagine -> Linea

Per disegnare un linea:

  1. selezionate il simbolo Linea nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate la linea con il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Info Info

Disegni e colori di riempimento non vengono utilizzati per le linee.


Elemento di segnalazione

Manuale -> Immagini -> Elementi d´immagine -> Elemento di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Elemento di segnalazione, visualizzate nel runtime dei testi in dipendenza degli stati delle variabili di processo. La sorgente per i testi sono dei file di testo ASCII che sono strutturati come tabella. Potete progettare liberamente questi ultimi.

Per creare uno Elemento di segnalazione in un´immagine:

  1. selezionate il simbolo Elemento di segnalazione nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione di più variabili.
  5. Selezionate le variabili desiderate
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Struttura della tabella

  • Crea un documento di testo ASCII
  • salvatelo assolutamebte in formatoUnicode
  • come segno di colonna, usate quello |(ASCII-Code 124)
  • Esempio:

    1 | Aus | Ein | Diff | Stör

    2 |Off | On | True | False

    4 | Text1 | Text2 | Text3 | Text4

  • Le variabili collegate definiscono riga e colonna del testo da visualizzare.

Prima variabile

La prima variabile di processo nella lista variabile di processo deve essere una variabile del tipo word e definisce la posizione della colonna, dalla quale si riprende il testo. Nel contempo gestisce il tipo di elaborazione.

Bit settato | Effetto
Bit 15 (Bit con il valore maggiore | elemento di segnalazione bloccato, non viene segnalato più niente .
Bit 14 | disattivare l’aggiornamento dell’emissione schermo; segnalare l’ultimo testo attivo.

Seconda e ulteriori variabili

Le ulteriori variabili di processo definiscono la posizione della riga, dalla quale si riprende il testo. Il valore risulta da

Impostazione riga: | Valore | Riga
 | 1 | Riga 1
 | 2 | Riga 2
 | 4 | Riga 3

Ogni variabile di riga gestisce al massimo 16 righe. Se servono più di 16 colonne, si possono definire ulteriori variabili di riga.

Per visualizzare riga 1 e riga 2 in modo alternato, il valore della variabile riga deve essere “3”. Se tutti i 16 bit sono settati, si visualizzano la riga 1 fino alla riga 16 in modo alternato.


Multibin

Manuale -> Immagini -> Elementi d´immagine -> Multibin

Grazie all´elemento dinamico Multibin potete definire più stati:

  • mostrare una grafica indipendentemente dai valori variabili.
  • Colora simboli
  • Emetti testo di stato
  • Collega variabili numerici e variabili binarie.
  • Mostra un interruttore o pulsante per la prima variabile, a patto che quest´ultima sia una variabile binaria.

Crea l´elemento Multibin

Per creare un Multibin in un´immagine:

  1. selezionate il simbolo Multibin nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione di più variabili.
  5. Selezionate le variabili desiderate
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Definisci stati

Le impostazioni degli stati delle variabili che volete visualizzare, le definite nel dialogo che serve ad inserie gli elementi:

  1. cliccate nel nodoVisualizzazione

    Interno ID: Multibin

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. sulla proprietà Stati

    Interno ID: Multibin

    Stati

    Apre il dialogo per la definizione degli stati.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si aprirà il dialogo per la Definizione stati .
  4. Gli stati definiti vengono presi in considerazione dal sistema partendo dall´alto e procedendo verso il basso.
  5. Vengono visualizzate le impostazioni del primo stato adatto.


Definizione stato Multibin

Manuale -> Immagini -> Elementi d´immagine -> Multibin -> Definizione stato Multibin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per assegnare all´elemento Multibin determinati stati:

  1. cliccate nel nodoVisualizzazione

    Interno ID: Definizione stato Multibin

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. sulla proprietà Stati

    Interno ID: Definizione stato Multibin

    Stati

    Apre il dialogo per la definizione degli stati.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si apre il dialogo per l´ inserimento degli elementi.
  4. Selezionate la modalità di visualizzazione desiderata:
    • Grafica: visualizzazione dell’informazione in file grafici a pixel; si possono anche rappresentare immagini “in movimento”.
    • Simbolo d´immagine/Testo di stato: Rappresentazione mediante simboli e informazioni testuali
  5. Gli stati definiti vengono presi in esame partendo dall´alto e procedendo verso il basso e vengono visualizzate le impostazioni del primo stato che corrisponde.


Grafica

Manuale -> Immagini -> Elementi d´immagine -> Multibin -> Definizione stato Multibin -> Grafica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Visualizzare l’informazione in file grafici a pixel; si possono anche rappresentare immagini “in movimento”.

Proprietà

Descrizione

Grandezza originale

attivo: I grafici vengono rappresentati nella grandezza originale.

Disattivato: La grafica viene ridimensionata a runtime nella grandezza impostata

Opzioni

Visualizzare lo stato

Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.

Rispettare il lampeggiamento di tutte le variabili di processo

Attivo: allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.

Stato 0 (Low)

Impostazioni per lo stato attuale adatti al tipo di visualizzazione.

Grafica

Selezione della grafica. Cliccando sul pulsante si apre il dialogo per selezionare il file.

  • Per selezionare un file di un progetto, lo si deve trovare nel nodo File/Grafiche che si trova nel manager di progetto.
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta.

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Indicazione: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.


Simbolo d´immagine/Testo di stato

Manuale -> Immagini -> Elementi d´immagine -> Multibin -> Definizione stato Multibin -> Simbolo d´immagine/Testo di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Rappresentazione mediante simboli e informazioni testuali Contemporaneamente, il colore dello stato attuale viene adottato anche dal simbolo.

Proprietà

Descrizione

Simbolo d´immagine/
Testo di stato

Selezione di un simbolo. Il simbolo deve essere già presente nell´immagine. Il simbolo selezionato nella lista a cascata, lampeggia nell´immagine finché il dialogo Elemento-Inserimento non viene chiuso.

Visualizzare il testo di stato

Attivo: I testi di stato vengono visualizzati durante il runtime.

Colore di sfondo impostabile

Attivo: è possibile scegliere liberamente il colore di sfondo per il testo.

Opzioni

Visualizzare lo stato

Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.

Sola area di riempimento

Vengono colorate solamente le aree di riempimento degli elementi statici, mentre i colori della cornice si conservano

Rispettare il lampeggiamento di tutte le variabili di processo

Attivo: Allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.

Colore di sfondo in caso di lampeggio:

Colore di sfondo in caso di lampeggio:

Stato 0 (Low)

Testo di stato

Testo che viene visualizzato durante il runtime. Un inserimento è possibile solo nel caso in cui la proprietà Visualizza il testo di stato è attiva.

Simbolo-/Colore del testo

Selezione del colore per il simbolo e il testo di stato.

Testo Colore di sfondo

Selezione del colore di sfondo per il il testo di stato. Disponibile solo nel caso in cui la proprietà Colore di sfondo impostabile è attiva.

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Indicazione: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.


Impostazioni interruttore

Manuale -> Immagini -> Elementi d´immagine -> Multibin -> Definizione stato Multibin -> Impostazioni interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.

Proprietà | Descrizione
Solo leggere | Nel runtime non è possibile indicare un valore impostabile.
Interruttore | L´elemento funge da interruttore per l´indicazione del valore impostabile.
Pulsante On | Setta il valore impostabile HIGH. La posizione preferita del pulsante va a Off.
Pulsante Off | Setta il valore impostabile LOW. La posizione preferita del pulsante va a On.
Tempo di ritardo in ms: | Tempo di permanenza del valore impostato.
Gruppi di autorizzazione | Stabilisce il livello di autorizzazioni necessario per l´inserimento del valore impostabile.
Combinazione tasti | Combinazione di tasti per immissione valore


Poligono

Manuale -> Immagini -> Elementi d´immagine -> Poligono

Per disegnare un poligono:

  1. selezionate il simbolo Poligono nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Un consiglio: con la proprietà Arrotondamento definite il Curvatura delle linee. A tal fine slezionate un valore compreso fra 0 (nessuna curvatura) e 1 (massima curvatura).

    Interno ID: Poligono

    Arrotondamento

    Disponibile solamente se è stata attivata nelle proprietà di progetto l´opzione Qualità grafica nel nodo Aspetto grafico/Immagini.

    Interno ID: Poligono

    Immagini

    Proprietà per la visualizzazione delle immagini nel runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Poligono

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Poligono

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Poligono

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce l´arrotondamento per polilinee, poligoni e tubature.

    Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

    Default: 0

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Aggiungi punti:

Per aggiungere punti d´angolo (punti di appoggio):

  • muovete il puntatore del mouse su una linea dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Aggiungi un nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una linea dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si aggiunge un punto d´angolo

Elimina punti:

  • muovete il puntatore del mouse su una punto dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Cancella il nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una punto dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si rimuove il punto

Info Informazioni

La proprietà Con valori di luminosità non è a disposizione per i poligoni.

Interno ID: Poligono

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: Poligono

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Polilinea:

Manuale -> Immagini -> Elementi d´immagine -> Polilinea:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per disegnare un pilinea:

  1. selezionate il simbolo Polilinea nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Un consiglio: con la proprietà Arrotondamento definite il Curvatura delle linee. A tal fine slezionate un valore compreso fra 0 (nessuna curvatura) e 1.

    Interno ID: Polilinea:

    Arrotondamento

    Disponibile solamente se è stata attivata nelle proprietà di progetto l´opzione Qualità grafica nel nodo Aspetto grafico/Immagini.

    Interno ID: Polilinea:

    Immagini

    Proprietà per la visualizzazione delle immagini nel runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Polilinea:

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Polilinea:

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Polilinea:

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce l´arrotondamento per polilinee, poligoni e tubature.

    Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

    Default: 0

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Aggiungi punti:

Per aggiungere punti d´angolo (punti di appoggio):

  • muovete il puntatore del mouse su una linea dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Aggiungi un nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una linea dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si aggiunge un punto d´angolo

Elimina punti:

  • muovete il puntatore del mouse su una punto dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Cancella il nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una punto dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si rimuove il punto

attenzione Attenzione

Se trasformate un polilinea in un poligono, i punti di appiglio per inizio e fine della linea diventano invisibili nel sovrapporsi, se è attivata l´opzione Inverti colori di sfondo. Potete disattivare questa opzione andando a Menu Opzioni -> Impostazioni -> Angoli -> Inverti colori di sfondo.


Rettangolo

Manuale -> Immagini -> Elementi d´immagine -> Rettangolo

Per disegnare un rettangolo:

  1. selezionate il simbolo Rettangolo nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il rettangolo tenendo il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

    Un consiglio: potete arrotondare a piacere gli angoli per ottenere un rettagolo con gli angoli smussati.


Quadrato

Manuale -> Immagini -> Elementi d´immagine -> Quadrato

Per disegnare un quadrato:

  1. selezionate il simbolo Rettangolo nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. Tenete premuto il tasto Shift;
  3. selezionate nella finestra principale il punto start
  4. trascinate il quadrato con il tasto sinistro del mouse premuto.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando l'immagine ai punti agli angoli oppure muovendo l'elemento;
    nel caso in cui, al momento della modifica delle dimensioni, debba essere mantenuta la forma 'Quadrato', premete il tasto Shift mentre trascinate l'elemento usando i punti agli angoli.
  6. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  7. Stabilite nella finestra delle proprietà quelle che desiderate.


Tubatura

Manuale -> Immagini -> Elementi d´immagine -> Tubatura

Per disegnare un tubatura:

  1. selezionate il simbolo Tubatura nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc , fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Un consiglio: con la proprietà Arrotondamento definite il Curvatura delle linee. A tal fine slezionate un valore compreso fra 0 (nessuna curvatura) e 1 (massima curvatura).

    Interno ID: Tubatura

    Arrotondamento

    Disponibile solamente se è stata attivata nelle proprietà di progetto l´opzione Qualità grafica nel nodo Aspetto grafico/Immagini.

    Interno ID: Tubatura

    Immagini

    Proprietà per la visualizzazione delle immagini nel runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Tubatura

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Tubatura

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Tubatura

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce l´arrotondamento per polilinee, poligoni e tubature.

    Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

    Default: 0

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Aggiungi punti:

Per aggiungere punti d´angolo (punti di appoggio):

  • muovete il puntatore del mouse su una linea dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Aggiungi un nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una linea dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si aggiunge un punto d´angolo

Elimina punti:

  • muovete il puntatore del mouse su una punto dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Cancella il nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una punto dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si rimuove il punto


Interruttore

Manuale -> Immagini -> Elementi d´immagine -> Interruttore

Per mezzo dell´elemento dinamico Interruttore potete mostrare i valori di una variabile binaria tramite delle grafiche e la potete modificare. L´elemento può essere usato anche come pulsante per il comando ad un livello non assicurato.

Per creare un Interruttore in un´immagine:

  • selezionate il simbolo Interruttore nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • si apre il dialogo per la Selezione di una variabile binaria.
  • Selezionate la variabile desiderata
  • Stabilite nella finestra delle proprietà quelle che desiderate.

    Per usare l´elemento come pulsante, attivate nel nodo Setta valore impostabile la proprietà Pulsante.

    Interno ID: Interruttore

    Pulsante

    Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´elemento dinamico Interruttore.)
    Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
    Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
    Default: non attivo.

    Interno ID: Interruttore

    Tempo di ritardo [ms]

    Disponibile solo se è attivaInterruttore:
    Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

    Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Interruttore

    Pulsante ON

    Disponibile solo sePulsanteè attiva:
    Attiva: Pulsante su On.
    Inattivo: Pulsante Off.
    Default: inattivo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Interruttore

    Interruttore

    Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

    Interno ID: Interruttore

    Settaggio valori attivo

    Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
    Disabilitata: La variabile dell’elemento è in sola lettura.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attiva: l´elemento attiva il valore di una variabile bit.
    Disattivata: l´elemento esegue una funzione.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Interruttore

    Setta valore impostabile

    Proprietà per il settaggio di valori impostabili.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Testo statico

Manuale -> Immagini -> Elementi d´immagine -> Testo statico

Per inserire un testo statistico:

  1. selezionate il simbolo Testo statistico nella barra dei simboli Elementi oppure nella lista a cascata Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il campo testo tenendo il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt tascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Per digitare del testo:

  1. cliccate due volte con una breve pausa fra i due clic sul campo di testo

    oppure selezionate nel menu contestuale Modifica testo

  2. scrivete il testo desiderato

Info Informazioni

Il cambio riga avviene automaticamente, indipendentemente dalla grandezza del campo testo. Per disattivare il cambio riga, disattivate nel nodo Visualizzazione la proprietà A capo automatico.

Interno ID: Testo statico

A capo automatico

Abilitata:Cambio automatico della riga del testo sull’elemento. La lunghezza della linea dipende dalle dimensioni dell’elemento.
Disabilitata: Il testo viene visualizzato su una sola riga.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Testo statico

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: Se si definisce nelle proprietà un Angolo di testo (Visualizzazione), non è possibile un cambio riga nel testo. Un diverso angolo di visualizzazione con corrispondente rotazione del testo, può essere impostato tramite la rotazione dell’intero elemento (incluse le linee di cornice, se abilitate).

Interno ID: Testo statico

Angolo di testo

Angolo per la visualizzazione del testo
ATTENZIONE: Questa opzione funziona solo con tipi di carattere non collegati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di segni \n.

Esempio:

riga 1 \n

riga 2

Info Informazioni

A partire dalla versione 6.51, l´inserimento non è più limitato a 80 caratteri.


Muovi simbolo (solo fino alla versione 6.22(

Manuale -> Immagini -> Elementi d´immagine -> Muovi simbolo (solo fino alla versione 6.22(

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Muovi simbolo, potete muovere orizzontalmente e verticalmente un numero qualsiasi di elementi in dipendenza dello stato delle altre variabili, oppure modificare la loro grandezza (zoom). A tal scopo collegate gli elementi con un simbolo.

Per creare Muovi simbolo in un´immagine:

  • selezionate il simbolo Muovi simbolo nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.
  • Potete usare solo dei simboli che si trovano già nell´immagine.

L´elemento dinamico Muovi simbolo è a disposizione fino alla versione 6.22. A partire dalla versione 6.50, potete usare per tutte le azioni dinamiche le proprietà dinamiche di un elemento come Posizione, Dimensione e rotazione dinamica oppure Colori.

Interno ID: Muovi simbolo (solo fino alla versione 6.22(

Colori

Proprietà colori dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Muovi simbolo (solo fino alla versione 6.22(

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Muovi simbolo (solo fino alla versione 6.22(

Posizione

Proprietà per la posizione e la dimensione dell´elemento dinamico.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Elemento trend

Manuale -> Immagini -> Elementi d´immagine -> Elemento trend

Con l´elemento dinamico Elemento trend rappresentate valori nel runtime in forma di curve di trend; più variabili di processo possono essere visualizzate contemporaneamente.

Per far sì che l´Elemento trend possa rappresentare dei valori, la proprietà HD attivo in nodo Salvataggio dati su disco fisso delle proprietà delle variabili deve essere attivoFrequenza d'interrogazione [s] e Quantità valori deve corrispondere con Tempo di aggiornamento e Durata visualizzazione nell´elemento trend, altrimenti il sistema ricomincia a disegnare le curve ogni volta che si apre l´immagine. Ogni modifica può avere influenza su altri elementi trend che usano le stesse variabili di processo.

Interno ID: Elemento trend

Durata visualizzazione

Intervallo di visualizzazione del Trend.
(Ore, minuti, secondi)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento trend

Tempo di aggiornamento

Intervallo di tempo in cui viene aggiornata la rappresentazione (i.e. aggiunta di un nuovo valore).
(Ore, minuti, secondi, millisecondi)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento trend

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento trend

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento trend

Salvataggio dati su disco fisso

Impostazioni per la registrazione dei valori della variabile sul disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Elemento trend

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Crea un elemento trend

Per creare un elemento trend in un´immagine:

  1. selezionate il simbolo Elemento trend nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione di più variabili numeriche.
  5. Selezionate le variabili desiderate
  6. tutte le curve vengono create automaticamente nell´ Elemento trend

    Per aggiungere più tardi nuove curve:

    • selezionate nelle proprietà nel nodo Curve la proprietà {Nuova curva}

      Interno ID: Elemento trend

      {Nuova curva}

      Viene creata una nuova curva per il trend.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Elemento trend

      Curve

      Proprietà per le curve nell’elemento Trend.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      oppure

    • trascinate la variabile desiderata sull´elemento trend tenendo il tasto sinistro del mouse premuto
  7. Stabilite nella finestra delle proprietà quelle che desiderate.
    • Definite le proprietà grafiche delle curve nel runtime nel nodo Curve delle proprietà.
    • Il tempo del ciclo e il numero dei valori, li definite nelle proprietà delle rispettive variabili facendo uso del nodo Salvataggio dati su disco fisso

Info Informazioni

E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop.


Orologio

Manuale -> Immagini -> Elementi d´immagine -> Orologio

Con l´elemento dinamico Orologio, visualizzate nel runtime l´orario attuale, oppure convertite dei valori numerici in un orario. La data e/o l´orario possono essere visualizzati come tempo assoluto o differenza di tempo.

visualizzazione

La visualizzazione durante il runtime dipende dal fatto se è stata collegata una variabile.

  • Se non è stata collegata nessuna variabile con l´elemento, durante il runtime viene visualizzato il tempo di sistema attuale nella forma di tempo assoluto.
    A tal scopo settate nel gruppo Visualizzazione la proprietà Tipo di visualizzazione sul valore Tempo assoluto (Base: 00:00:00 1.1.1970).

    Interno ID: Orologio

    Tipo di visualizzazione

    Tempo assoluto: Visualizza l'orologio di sistema con la rispettiva formattazione.
    Differenza di tempo: Il valore di una variabile è visualizzato nel formato di tempo impostato.
    Default: Tempo assoluto.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Orologio

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Se c´è una variabile collegata, il suo valore può essere visualizzato come:
    • Differenza di tempo: la variabile deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)).
      È possibile rappresentare anche dei valori negativi: Un valore variabile di -60, viene visualizzato nel formato mm:ss come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
    • Tempo assoluto: tempo Unix, cioè i secondi trascorsi dal 1° gennaio 1970, ore 00:00 UTC.

      Possono essere rappresentati solamente valori positivi fino a 2147483647. Un valore variabile al di fuori di questo settore provocherà una visualizzazione errata: La parte hh:mm rimane 00:00 oppure 01:00 nell´ora solare.

Progettazione

Per creare un Orologio in un´immagine:

  1. selezionate il simbolo Orologio nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. se si vuole collegare una variabile, procedere come segue:
    collegate la variabile desiderata nel settore Variabile / funzione oppure per Drag&Drop con l´elemento in questione

    Interno ID: Orologio

    Variabile / funzione

    Proprietà per la varaibile o funzione collegata con l’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Si può collegare tutte le variabili, fatta eccezione per quelle stringa e quelle boleane.
    • Il frammento di variabile Float (per esempio di tipi di dato REAL e DATA_AND_TIME) non viene tenuto in considerazione.
  5. Stabilite nella finestra delle proprietà quelle che desiderate, soprattutto:
  6. selezionate nel gruppo Visualizzazione, Differenza tempo come valoreTipo di visualizzazione
    • Tempo assoluto (Base: 00:00:00 1.1.1970) Il tempo viene rappresentato come tempol assoluto.
      Indicazione: menu contestuale e tooltip non vengono supportati.
    • Differenza di tempo: la differenza di tempo viene emessa in minuti e secondi. la variabile collegata deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)). È dunque possibile rappresentare anche dei valori negativi.
      Esempi nel formato mm:ss: Il valore variabile 50 viene visualizzato come 00:50, il valore variabile100 come 01:40.
      Il valore variabile -60 viene visualizzato come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
  7. selezionate mediante la proprietà Formattazione il tipo di visualizzazione desiderata

    Interno ID: Orologio

    Formattazione

    Formattazione per rappresentazione di Data/Ora
    Deve essere selezionata una stringa di formattazione dalla lista.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Nel caso del tipo di visualizzazione Tempo assoluto con Setta valore impostabile tramite Elemento, la formattazione del box di dialogo è del tipo Differenza di tempo.

Interno ID: Orologio

Setta valore impostabile tramite

Impostare il valore impostabile con:
Comandi: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comandi.

Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo "Keyboard" con il nome "SETVALUEKBD" (per variabili numeriche) o "SETSTRINGKBD" (per variabili String), essa viene usata al posto del box di dialogo standard.

Elemento: il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi valori numerici e elemento di testo).

Programma: il nuovo valore viene inserito in un programma esterno.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Interno ID: Orologio

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ad esempio:

  • Tempo assoluto Formattazione: hh:mm:ss dd.mm.yy
    viene visualizzato nell´elemento come: dd:hh:mm:ss
  • dd.mm.yyyy (z.B. 17.12.2008)
    come ddddd (14230 giorni dal 1°/1°/1970).


Slider universale

Manuale -> Immagini -> Elementi d´immagine -> Slider universale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Slider universale potete visualizzare valori di variabili in forma di scrollbar, bargraf, barra LED e in qualsiasi altra forma di slider. Nel runtime, lo slider consente di effettuare un inserimento diretto di valore impostabile.

Per creare uno Slider universale in un´immagine:

  1. selezionate il simbolo Slider universale nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili.
  5. Selezionate la variabile desiderata
  6. Si apre l´assistente che Vi guida attraverso i passi della configurazione dello slider universale

  7. Selezionate l´orientamento dello slider:
    orizzontale, verticale oppure rotondo.

  8. Selezionare lo stile:
    Slieder/Potenziometro, Barra, Barra LED o Scala animata.

  9. Vi viene proposta un´anteprima:
    definite in questa sede anche l´intestazione e la posizione della visualizzazione valori.

  10. Le altre proprietà le definirete nella finestra di proprietà.

    Un consiglio: la visualizzazione e la forma dello slider universale possono essere modificate nelle proprietà facendo uso del nodo Slider universale

    Interno ID: Slider universale

    Slider universale

    Configurazione dello slider.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Opzionalmente una lancetta può rappresentare il valore massimo e quello minimo della variabile in un certo periodo di tempo. Un doppio clic sull’elemento nel runtime ripristina la lancetta.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Barra esplicita del gruppo Slider universale.

Interno ID: Slider universale

Barra esplicita

Disponibile solamente se per la proprietà Stile Barra si è selezionata l´opzione Scala animata o Barre LED.

Interno ID: Slider universale

Stile

Sono a disposizione i seguenti stili di rappresentazione:
– Slider/Potenziometro
– Bargraph
– Barre LED
– Moving Scale

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.


Elemento WPF

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

Info Informazioni

Tutti nomi di marca e prodotto in questa documentazione sono marchi o marchi registrati del proprietario relativo.


Base:

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

XAML

XAML significa Extensible Application Markup Language e viene pronunciato ['zæ:m?l]. La lingua di descrizione sviluppata da Microsoft su base XML, definisce la sintassi in applicazioni Silverlight e interfacce WPF. XAML permette di separare design e programmazione. Il designer prepara l´interfaccia grafica e imposta delle animazioni base che vengono poi riprese dallo sviluppatore/progettista. Il progettista può fare uso di questi file .xaml e animare nel modo desiderato.

WPF

WPF significa Windows Presentation Foundation, e definisce un Framework grafico che è una parte di Windows .NET Framework.

  • WPF rappresenenta l´ambiente di programmazione.
  • XAML descrive, basandosi su XML, l’interfaccia grafica con un linguaggio markup.
    A seconda della struttura del file XAML si ha la possibilità di collegare proprietà, eventi e trasformazioni degli elementi WPF con variabili e funzioni di zenon.
  • Il framework riunisce diverse aree di una presentazione come l’interfaccia utente, disegni, grafica, audio, video, documenti e tipografia.

Secondo le informazioni fornite da Windows, WPF viene fornito con Windows 7, Windows Vista e Windows Server 2008 ed è disponibile per Windows XP SP2 (o per versioni di numero di serie superiore), nonché per Windows Server 2003. Per l´esecuzione si ha bisogno di Microsoft .Net 3.5.


WPF nella visualizzazione di processo

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base: -> WPF nella visualizzazione di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per zenon, XAML apre delle possibilità grafiche individuali. Elementi di visualizzazione e elementi dinamici possono essere adattati graficamente indipendentemente dalla progettazione. Per esempio, delle illustrazioni complesse vengono create da designer e poi importate in forma di file XAML in zenon e collegate con le logiche desiderate. Ci sono le seguenti possibilità di applicazione:

elementi dinamici in analog-look

Le grafiche non devono più essere disegnate in zenon, ma possono essere importate direttamente sotto forma di file XAML. Ciò permette l´uso di elementi illustrati in modo complesso nella visualizzazione di processo. Riflessi, ombre, effetti 3D ecc, ad esempio, vengono supportati come grafica. Gli elementi adattati alla branca industriale in questione permettono una gestione intuitiva, analoga agli strumenti sul macchinario.

Illustrazioni complesse per gestione intuitiva

L´implementazione di elementi di visualizzazione basati su XAML conferisce una veste grafica più pregevole ai progetti e permette una visualizzazione di processo più semplice e chiara. Gli elementi ottimizzati in fatto di usabilità facilitano la gestione. La visualizzazione chiara di dati sempflica la comprensione di contenuti complessi. La possibilità di adattamento flessibile dei singoli elementi aumenta il comfort della gestione. In tal modo è possibile per il progettista determinare indipendentemente valori, scale e unità.

Presentazione dati chiara e riassunti

Elementi di visualizzazione raggruppati permettono una rappresentazione chiara dei dati di processo importanti, in modo tale che l´operatore che gestisce l´impianto sia sempre informato su quanto sta accadendo nel processo. Valutazioni grafiche, valori e slider possono essere raggruppati in un elemento e permettono una gestione veloce e non semplice.

Visualizzazione specifica per un settore industriale

Elementi come termometro, scale o bargraf fanno parte degli elementi base della visualizzazione di processo. Attraverso XAML è possibile adattare l´aspetto grafico di questi elementi alle diverse esigenze delle differenti branche industriali. In tal modo, gli operatori che lavorano nell´impianto trovano gli elementi cui sono abituati, che conoscono già a causa del loro lavoro con i macchinari, nella visualizzazione del processo sul terminale.

Adattamento a Corporate Design

Le illustrazioni possono essere anche adattate alle indicazioni dei diversi committenti permettendo di raggiungere un´immagine omogena del processo produttivo. Come base, possono essere utilizzati, ad esempio, gli elementi di gestione standard di zenon, che verranno poi adattati allo stile del Corporate Design.


Trasmissione valori di zenon a WPF

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base: -> Trasmissione valori di zenon a WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon lavora internamente sempre con il tipo di dato Double o String. Essi vengono inviati all´elemento WPF. L´elemento WPF è connesso in maniera scollegata in un .NET Container. Affinché il tipo di dato possa essere usato, debe essere stato per lo più convertito. Questa conversione viene eseguita automaticamente da .NET.

Il settaggio del valore avviene secondo le seguenti regole:

  • se il tipo .NET(System.Object) non è visibile per zenon, il valore viene mandato così com´è a .NET. .NET deve occuparsi della rappresentazione o della conversione.
  • Se il tipo .NET è del tipo boleano (System.Boolean), zenon scrive, come previsto dalla convenzione.NET, 0 oppure. -1.
  • se il tipo.NET è conosciuto, il sistema controlla se .NET può convertire il valore. A questo scopo viene usato il convertitore di .NET.
    • Si Il valore viene inviato.
    • No: il valore viene inviato comunque. . Se .NET reagisce con una segnalazione di errore, il valore viene trasformato da zenon in una string e viene inviato di nuovo.


Oggetti referenziati

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base: -> Oggetti referenziati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In WPF non possono essere usati solamente oggetti standard, come rettangoli, pulsanti, campi testo ecc, ma anche WPF User Controls, che vengono referenziati come Assembly.

WPF User Controls sono oggetti creati individualmente. Per esempio, questo elemento può avere l´aspetto di un tachimetro e offrire delle proprietà speciali e degli effetti ottici, come, ad esempio, la proprietà „Value", che, al momento di essere settata, fa sì che la lancetta del tachimetro si muova e indichi il valore.

Il workflow per raggiungere questo obiettivo:

  • L´aspetto di un User Controls viene disegnato con oggetti standard che vengono offerti da WPF.
  • Le proprietà e le interazioni vengono programmate.
  • Il pacchetto completo viene compilato e è disponibile come .Net Assembly.

Questa Assembly può essere usata per progetti WPF. A questo scopo, deve essere referenziata nell´editor WPF (per esempio: Microsoft Expression Blend). Selezionate a questo scopo nel dialogo di selezione file in zenon l´Assembly:

Da questo momento i WPF User Controls della Assembly possono essere selezionazi nel Toolbox alla voce Custom UserControls e possono essere usati nel progetto WPF.

Usa Assemblys referenziate in zenon

Per usare un´Assembly in zenon, deve essere resa disponibile in forma di file.
File collection del formato .cdwpf gestiscono ciò autonomamente, il che significa che non c´è bisogno di altri passi di configurazione. Per i file del formato .xaml, invece, devono essere aggiunte le assemblies alla cartella File:

  • cliccate nella struttura ad albero su File
  • selezionate Altro
  • selezionate nel menu contestuale Aggiungi file
  • Si apre un dialogo per la selezione file
  • aggiungete l´Assembly desiderata

Nella visualizzazione di un file WPF nell´elemento WPF (editor e runtime), le Assembly vengono caricate da questa cartella. In tal modo si assicura che, quando vengono trasmessi i file runtime per mezzo di Remote Transport, tutte le assemblys referenziate siano esistenti sul computer di destinazione.

Un file collection (.cdwpf) e un file XAML con lo stesso nome possono esistere in parallelo. Tutte le assemblies (*.dll) dei file collection e della cartella Altri vengono copiate nella cartella di lavoro. Nel caso esistano diverse assemblies dello stesso nome, viene usata quella che ha il numero di versione file più alto.

attenzione Attenzione

Le Assembly vengono eliminate dopo il caricamento solo quando l´applicazione viene chiusa. Il che significa:

se un file WPF viene visualizzato con un´assembly referenziata in zenon, questa assembly viene caricata e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eleminare un´assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga eliminata.


Assegnazione di oggetto zenon a WPF Content

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base: -> Assegnazione di oggetto zenon a WPF Content

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´assegnazione di oggetti zenon a WPF Content avviene mediante il Nome dell´oggetto WPF. Bisogna tener presente:

Oggetti visuali non possiedono nessuna proprietà RuntimeNamePropertyAttribute. Per questo motivo nel momento in cui viene caricato WPF Content, la informazione ulteriore Name non è disponibile.

In tal modo, non è più possibile un´assegnazione univoca di oggetti zenon a oggetti WPF. Per questo motivo, nel dialogo di configurazione di zenon vengono elencati solamente oggetti logici. Nel MSDN o nella Microsoft Website è visibile quali oggetti WPF dispongono della proprietà RuntimeNamePropertyAttribute.

Workaround

Per dinamicizzare oggetti visuali, è possibile adottare il seguente workaround:

nel caso di elementi visuali, la proprietà dinamicizzante viene collegata mediante una connessione data con la Text-Property di un Textbox invisibile.

Visto che la Textbox supporta come oggetto logico la proprietà Name, questa viene visualizzata zenon.

La Textbox-Property può essere dunque dinamicizzata in zenon.

In tal modo viene dinamicizzato indirettamente anche l´oggetto visuale.


Workflows

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Base: -> Workflows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tecnologia WPF/XAML consente nuovi workflows nella visualizzazione di processo. La separazione fra design e funzionalità è garanzia di una chiara divisione dei compiti fra progettista e designer; i compiti di design sono facili da eseguire grazie alla possibilità di utilizzare design già esistenti che non devono essere più modificati dal progettista.

Al workflow per la creazione di elementi WPF in zenon partecipano le seguenti persone:

  • Designer
    • illustra elementi
    • si occupa dell´aspetto grafico per MS Expression Design
  • operatore MS Expression Blend
    • anima gli elementi
    • crea delle variabili per l´animazione degli elementi WPF in zenon, ai quali può accedere il progettista
  • il progettista
    • implementa elementi in zenon
    • imposta logica e funzionalità

Distinguiamo:

  • workflow con Microsoft Expression Blend
  • workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Workflow con Microsoft Expression Blend

Se si usa Microsoft Expression Blend, la creazione di un elemento WPF avviene in quattro passaggi:

  1. illustrazione dell´elemento in MS Expression Blend
  2. aprire l´elemento in MS Expression Design e esportare come WPF
  3. Animazione in MS Expression Blend
  4. Integrazione in zenon

Un esempio di creazione di un elemento WPF con Microsoft Expression Blend lo trovate nel capitolo Crea pulsante come file XAML usando Microsoft Expression Blend erstellen.


Workflow con Adobe Illustrator

Workflow con Adobe Illustrator

Con Adobe Illustrator abbiamo il seguente Workflow:

  1. Illustration degli elementi in Adobe Illustrator
  2. Import di file .ai e modifica in MS Expression Design
  3. WPF-Export da MS Expression Design
  4. Animazione in MS Expression Blend
  5. Integrazione in zenon

Un esempoí di questa procedura lo trovate nel capitolo Workflow con Adobe Illustrator.


Indicazioni per i designer

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Indicazioni per i designer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo capitolo fornisce delle informazioni concernenti il modo corretto di creare file WPF in Microsoft Expression Blend e Adobe Illustrator. I tutorial per la Creazione di un elemento pulsante e di un elemento bargraf mostrano il modo in cui, con poche azioni, vengono creati dei file WPF completamente funzionanti per zenon partendo da grafiche già esistenti.

A tal scopo, si usano i seguenti strumenti:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon 06:51:00

Info Informazioni

Se volete usare in WPF degli oggetti referenziati (Assemblys), tenete presente le indicazioni contenute nel capitolo Oggetti referenziati.


Workflow con Microsoft Expression Blend

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Indicazioni per i designer -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con Microsoft Expression Blend, un elemento WPF viene:

  • illustrato
  • in MS Expression Design convertito in formato WPF
  • animato

L´esempio seguente mostra l´illustrazione e la trasformazione di un elemento pulsante in un file XAML.

Indicazione: una versione test di "Microsoft Expression Blend" può essere scaricata dalla Website di Microsoft.


Creare un pulsante come file XAML con Microsoft Expression Blend

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Indicazioni per i designer -> Workflow con Microsoft Expression Blend -> Creare un pulsante come file XAML con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Creare un pulsante come file XAML con Microsoft Expression Blend

Crea un pulsante

  1. Avviate Expression Blend
  2. Selezionate l´opzione New Projekt

  3. Selezionate come tipo di progetto WPF
  4. Assegnate un percorso a Vostra scelta e un nome (per es. MyBlendProject)

    Potete ignorare le impostazioni Language e Version visto che non deve essere programmata nessuna funzionalità.

  5. Dopo aver chiuso il dialogo cliccando su OK, Microsoft Blend crea un nuovo progetto con le impostazioni selezionate. Expression Blend aggiunge un file XAML vuoto, che contiene già una referenza di classe.
  6. Cancellate il file relativo a quello XAML facendo uso del menu contestuale.
  7. Cambiate il nome del file XAML da MainControl.xaml a MyButton.xaml.
  8. La grandezza development del file, viene settata di default a 640 volte 480 pixel e dovrà essere modificata:
    1. Passate alla visuale XAML
    2. Correggette la grandezza portandola a 100 volte 100 pixel.
    3. cancellate la referenza di classe x:Class="MyBlendProject.MyButton"

  9. Passate alla visuale Design

  10. Aggiungete tramite la barra dei simboli un pulsante.
  11. definite le proprietà.
    • Width: 50
    • Height: 50
    • Margins: 25

    In tal modo, il pulsante si trova adesso al centro del control.

  12. Salavate le modifiche e aprite il file a fini di controllo in Internet Explorer. Vedrete che il pulsante adesso viene visualizzato nella dimensioni di 50 x 50 pixel.

Rendere il pulsante scalabile

Se implementate questo file in questo stato in zenon, il pulsante avrà sempre esattamente la dimensione pari a 50 x 50 pixel. Visto che il pulsante deve essere usato per scalabilità, passate di nuovo a Expression Blend:

  1. selelezionate il pulsante nella visione ad albero.
  2. Selezionate nel menu contestuale del bottone la voce Group Into->Viewbox
  3. Il pulsante viene aggiunto in una Viewbox.
  4. definite le proprietà di Viewbox
    • Width: Auto
    • Height: Auto
  5. Salvate il file.

  6. Se adesso aprite il file in Internet Explorer, il pulsante viene automaticamente scalato in caso di cambio delle dimensioni nella finestra IE. Questo file si adatterà automaticamente anche in zenon ad un eventuale cambio delle dimensioni dell´elemento WPF.

Modifica nome

Prima di poter implementare il file in zenon, dovete dare un nome all´elemento WPF. Di default, gli elementi WPF non hanno un nome in Expression Blend e sono distinti da parentesi quadrate e dal loro tipo. L´attribuzione di content zenon a WPF-Content avviene tramite il nome degli elementi WPF:

  • modificate nella struttura ad albero il nome
    • del pulsante chiamandolo MyButton
    • Cambiate il nome di ViewBox a MyViewBox

Questo pulsante può essere integrato adesso come file XAML in zenon.


Workflow con Adobe Illustrator

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Indicazioni per i designer -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si usa Adobe Illustrator, un elemento WPF viene:

  • illustrato in Adobe Illustrator
  • in MS Expression Design convertito in un WPF
  • animato in MS Expression Blend

L´esempio seguente mostra l´illustrazione e la trasformazione di un elemento bargraf in un file XAML.


Illustration Bargraf

Illustration Bargraf

Un bargraf viene creato in Adobe Illustrator.

  1. Al: elemento di partenza bargraf

    Illustrato in Adobe Illustrator CS3.

  2. AI: visuale percorso Bargraf in Adobe Illustrator

    • tutti gli effetti devono essere trasformati (Oggetto -> trasforma aspetto)
    • tutte le linee vengono trasformate in percorsi (Oggetto -> Percorso -> linea di contorno)
    • non usare nessun filtro come ombra ecc

Indicazioni concernenti la compatibilità

Le illustrazioni che vengono relizzate facendo uso di Adobe Illustrator, sono adatte in linea di principio ad un export WPF. Tuttavia, non tutti gli effetti ullustrator possono essere convertiti in modo adeguato in Expression Design/Blend. Tenete presente:

Effetto

Descrizione

Maschere di ritaglio

Le maschere di ritaglio create in Adobe Illustrator non vengono interpretate correttamente da Expression Design. Per lo più, esse vengono visualizzate in Blend come delle superfici di color nero.

Vi consigliamo di impostare le illustrazioni senza maschere di ritaglio.

Filtri e effetti

Non ogni filtro di Adobe Illustrator viene ripreso in Expression Design in modo esattamente corrispondente. I filtri di sfocatura gaussiana, effetti per il design degli angoli di Illustrator, per esempio, non funzionano in Expression Design.

Soluzione:

  • facendo uso del comando Oggetto -> Trasforma aspetto in Adobe Illustrator, potete trasformare la maggior parte degli effetti in modo tale da renderli leggebili per Expression Design.
  • Gli effetti di design per gli angoli di Adobe Illustrator vengono interpretati correttamente da MS se vengono trasformati in percorsi in Adobe Illustrator.

Campi di testo

per poter collegare campi di testo con codice, essi devono essere impostati separatamente in Expression Blend. „Labels" sono necessari per testi dinamici; per le informazioni statiche, invece, sono sufficienti semplici „Campi testo".

MS Design non prevede la possibilità di creare label di testo. Dovete impostarli direttamente in MS Blend.

Trasparenze e trasparenze di gruppo

Si possono avere delle difficoltà in Adobe Illustrator per la corretta interpretazione di impostazioni di trasparenza, in particolare di quelle concernenti le trasparenze di gruppo.

MS Expression Blend e MS Expression Design offrono la possibilità di creare di nuovo delle impostazioni di trasparenza.

Moltipilica livelli

Queste impostazioni di livello in Adobe Illustrator non vengono riprodotte sempre correttamente in MS Expression Blend.

C´è però la possibilità di impostare direttamente in Expression Design „Moltiplica livelli".

Strumenti analogici e posizioni standard

Per preparare le grafiche nel modo migliore all´animazione, lancetta e indicatore devono essere sempre nella posizione di partenza, per lo più ore 0 oppure 12:00 .

In questo modo, i parametri di posizione per rotazioni ecc, vengono indicati in Blend correttamente e l´animazione può avvenire senza la necessità di una conversione delle indicazioni concernenti la posizione.


Export WPF

Export WPF

Per realizzare l´animazione in Microsoft Expression Blend c´è bisogno di file WPF. Consigliamo l´uso di Microsoft Expression Design per realizzare questo export, dato che esso fornisce buoni risultati e che la maggior parte degli effetti Illustrator vengono interpretati correttamente.

Indicazione: in Internt viene offerto un Plug-in gratuito per l´export diretto di file WPF da Adobe Illustrator. Questo Plug-in offre la possibilità di effettuare un export veloce e non complicato da Illustrator; per l´applicazione attuale, però, non è molto adatto visto che comporta delle perdite di pregevolezza grafica. Sono possibili anche delle divergenze di colore rispetto al documento originario.

File nel formato .ai possono essere importati regolarmente in Expression Design. I percorsi sono mantenuti.
Attenzione Alcuni effetti Illustrator comuni, però, non possono essere rappresentati correttamente da Expression Design (vedi capitolo Illustration).

In 5 passi esportiamo l´elemento bargraf già impostato:

  1. ED: Import
    • importate il File Illustratorpreparato in Microsoft Expression Design 3 facendo uso di Importare > file
  2. ED: ottimizzazione

    • se il file originario non viene correttamente visualizzato in MS Expression Design, esso può essere modificato e ottimizzato
  3. ED: selezione

    • evidenziate con la freccia Selezione direttain MS Expression Design l´elemento per l´export WPF, in questo caso l´intero orologio.
  4. ED: avvia export

    • avviate l´export medianteEsporta > File
    • si apre il dialogo per la configurazione delle impostazioni di export
  5. ED: impostazioni export

    • Effettuate le seguenti impostazioni di export:
    1. Formato: XAML Silverlight 4 / WPF Canvas

      Nominare sempre gli oggetti: attivate con simbolo di spuntatura

      Piazzate oggetti raggruppati in un XAML Layoutcontainer: attivate con simbolo di spuntatura

    2. Testo: Blocco testo modificabile
    3. Effetti linea: tutti griglia

Il file esportato ha la desinenza.xaml. Nel successivo passaggio viene preparato e animato in MS Expression Blend.


Animazione in blend

Animazione in blend

Con MS Expression Blend:

  • vengono animati i file XAML del MS Expression Design.
  • le variabili per la gestione degli effetti che possono essere utlizzati da zenon, vengono create.

in 13 passi giungiamo dallo statico XAML all´elemento animato che può essere integrato in zenon:

  1. crea progetto EB:

    1. aprite Microsoft Expression Blend
    2. impostate un nuovo progetto
    3. selezionate come Tipo di progetto WPF->WPF- Control Library
    4. assegnate un nome (nel nostro tutorial: Mein_Projekt)
    5. selezionate un luogo dove salvare il progetto
    6. selezionate una lingua (nel nostro tutorial: C#)
    7. selezionate la Framework Version 3.5
  2. EB: cancella MainControl.xaml.cs

    1. passate a MainControl.xaml.cs
    2. cancellate questo file facendo uso del comando Cancella nel menu contestuale
  3. EB: apri file XAML esportato

    1. aprite il menu contestuale per Mein_Projekt (con il tasto destro del mouse)
    2. selezionate Aggiungi elemento esistente…
    3. selezionate il file XAML esportato da Microsoft Expression Design per aprirlo in Microsoft Expression Blend.
  4. EB: apri MainControl.xaml

    1. aprite il MainControl.xaml generato automaticamente
    2. navigate nel settore Oggetti e assi tempo all´inserimento UserControl
  5. EB: adatta XAML-Code

    1. cliccate con il tasto destro del mouse su UserControl
    2. selezionate nel menu contestuale visualizza XAML
    3. cancellate nel XAML-Code le righe 7 e 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: controlla XAML-Code

    • Adesso il XAML Code dovrebbe avere il seguente aspetto:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: copia elementi

    1. aprite il file XAML importato da Expression Design
    2. evidenziate tutti gli elementi
    3. selezionate nel menu contestuale copia
    4. tornate al file XAML generato automaticamente
  8. EB: inserisci elementi

    1. cliccate con il tasto destro del mouse su Layout Root
    2. selezionate Aggiungi
  9. EB: adatta tipo layout

    1. cliccate con il tasto destro del mouse su LayoutRoot -> modifica tipo di layout -> Viewbox
    2. adesso la struttura dovrebbe avere il seguente aspetto: UserControl -> LayoutRoot -> Grid -> Elementi
    3. assegnate un nomer per LayoutRoot e Grid cliccando due volte sul nome
  10. EB: testi e formati

    • testi dinamici e statici vengono segnati con campi di testo
    • Valori (numeri) vengono emessi con Labels
  11. EB: inserisci label

    • Labels sostituiscono i numeri che devono essere collegati in seguito per mezzo di variabili Int (deve essere eseguito per tutti gli elementi-numeri)
  12. EB: setta proprietà

    • per visualizzare il 100%, settate la proprietà MaxHeight dell´elemento visualizzazione bargraf sul valore 341 (l´altezza massima dell´elemento indicatore corrisponde a 340)
  13. EB: prepara per uso in zenon

    1. cancella tutte le denominazioni nome (i nomi possono essere assegnati solamente per gli elementi che devono essere utilizzati tramite zenon)
    2. salvate il file XAML con un nome qualsiasi.
    3. integrate il file XAML in zenon

Un consiglio per il controllo: se il file XAML viene visualizzato in Microsoft Internet Explorer senza problemi e si adatta alla grandezza della finestra di Internet Explorers, viene usato correttamente anche in zenon.


Engineering in zenon

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter utilizzare i WPF con zenon deve essere installato Microsoft Framework 3.5 sia sul pc con l’Editor che sul pc con il Runtime.

Condizioni per visualizzazione WPF in zenon

La dinamicizzazione è disponibile al momento per variabili semplici; array e strutture non possono dinamicizzate. Per questo motivo possono essere utilizzate le seguenti funzioni WPF in zenon:

  • Proprietà dell´elemento, che corrispondono a tipi di dato semplici come String, Int, Bool ecc.
  • Proprietà dell´elemento del tipo "Object", che possono essere settate con semplici tipi di dato.
  • Eventi dell´elemento poossono essere usati con funzioni; i parametri degli eventi, però, non sono disponibili/analizzabili in zenon.
  • Elementtransformation per cui è disponibile un RenderTransform nell´elemento nel file XAML.

    Attenzione: Se in trasformazione il content si trova al di là dell´area dell´elemento WPF, questa parte del contents va perduto, pppure non disegnato.

attenzione Attenzione

Se vengono generati i file runtime per un progetto per una versione precedente a quella 6.50, gli esistenti Elementi WPF non vengono implementati nelle immagini runtime.

Crea elemento WPF

Per creare un elemento WPF:

  1. selezionate nella barra dei simboli degli elementi il simbolo Elemento WPF, oppure scegliete l´inserimento corrispondente nel menu Elementi
  2. selezionate nella finestra principale il punto start
  3. Trascinate l´elemento con il mouse
  4. selezionate fra le proprietà nel gruppo Visualizzazione quella File XAML

    Interno ID: Engineering in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Engineering in zenon

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Si apre il dialogo di selezione file.
  6. selezionate il file desiderato da
    Sono validi i file del formato
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF file collection, mostra anche anteprima

    (Il file deve essere già disponibile nel manager di progetto alla voce File/Grafiche oppure essere impostato nuovamente nel dialogo.)

  7. Configurate il collegamento

Info Informazioni

Se volete usare in WPF degli oggetti referenziati (Assemblys), tenete presente le indicazioni contenute nel capitolo Oggetti referenziati.

CDWPF-file collection (file collection)

Regole per l´uso di file collection:

  • I file possono trovarsi direttamente nel file ZIP, oppure in una cartella comune.
  • Il nome del file XAML dovrebbe corrispondere a quello del file collection.
  • Può essere contenuto solamente un file XAML.
  • La grafica di anteprima dovrebbe essere piccola e non essere più alta di 64 pixel.
    Nome del file anteprima: preview.png oppure il nome del file XAML con la desinenza png.
  • Si possono usare quante assemblies si voglia. La differenziazione avviene sulla base della versione del file in forma numerica.
  • File collection non devono necessariamente contenere Assembly.
  • Il sistema passa a setaccio tutte le cartelle e tiene in considerazione solamente i file del tipo *.dll, *.xaml oppure *.png.

Requisiti sotto Windows Vista e Windows 7

Se un´immagine del tipo WPF contiene uno slider e vengono usati nello stesso tempo effetti "aero" di Windows Vista o Windows 7, si possono verificare dei problemi di refresh nell´editor di zenon.


Configurazione del collegamento

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare un elemento WPF

  1. selezionate fra le proprietà nel gruppo Visualizzazione quella Configurazione

    Interno ID: Configurazione del collegamento

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Un dialogo con tre tab si apre con un´anteprima del file XAML, nonché con gli elementi presenti nel file.

Parametri

Descrizione

Elementi esistenti

Mostra in una struttura ad albero i detti elementi del file. L´elemento selezionato può essere collegato con dati di processo.

L´attribuzione di WPF a dati di processo avviene sulla base del nome elemento. Per questo motivo, gli elementi vengono visualizzati solamente se essi e i relativi elementi sovraordinati posseggono un nome. Le attribuzioni vengono configurate e mostrate nei tab Proprietà, Eventi e Trasformazioni.

Anteprima

Nell´anteprima, l´elemento selezionato lampeggia.

Proprietà

Configurazione e visualizzazione delle proprietà (variabili, autorizzazioni, interblocchi, valori collegati).

Eventi

Configurazione e rappresentazione degli eventi (funzioni).

Trasformazioni

Configurazione e rappresentazione delle trasformazioni.

Nome

Nome della proprietà.

Collegamento

Selezione del collegamento.

Tipo di collegamento:

Tipo di collegamento (variabile, autorizzazione, funzione)

WPF-Info

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegata

Indica se una proprietà viene utilizzata al momento.

Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Info Informazioni

Nel dialogo di configurazione possono essere visualizzati solamente oggetti logici. Gli oggetti visuali non vengono visualizzati. Ulteriori informazioni sugli sfondi e come si fa a dinamicizzare gli oggetti visuali le potete leggere nella sezione Attribuzione zenon Oggetto per WPF Content.


Proprietà

Proprietà

Le proprietà permettono il collegamento di:

  • Variabili
  • Valori
  • Autorizzazioni e interblocchi

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Variabile collegata, autorizzazione o valore collegato. Cliccando sulla colonna, si apre il dialogo di selezione corrispondente a quanto indicato nella colonnaTipo di collegamento.
Tipo di collegamento: | Selezione di un collegamento.
WPF-Info | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegata | Indica se una proprietà viene utilizzata al momento. Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Crea collegamento

Per creare un collegamento:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate il collegamento desiderato fra quelli proposti dalla lista a cascata.

    Sono a disposizione:

    • <non collegato> (elimina un collegamento esistente)
    • Autorizzazione/interblocco
    • Variabile
    • Collegamento valore
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione del collegamento desiderato

Info Informazioni

Proprietà di WPF e di zenon possono divergere. Se viene collegata, ad esempio, la proprietà Visibilità, sono a disposizione in .NET tre valori:

0 - visibile

1 - invisibile

2- eingeklappt

Questi valori devono essere rappresentati mediante la variabile di zenon collegata.


Collega variabile

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà -> Collega variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Collega variabile

Per collegare una variabile con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Variabile
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della variabile

Questo dialogo vale anche per la selezione delle varibili per Trasformazioni. La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabili collegate

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Area valori dell´elemento WPF

Indicazioni per la conversione dei valori variabili in valori WPF

Converti area valori

attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime Il valore di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: il valore di una variabile varia da 100 a 200. Per una variabile l´area normata è impostata a 100 - 200. L´obiettivo é quello di rappresentare delle modifiche mediante una manopola WPF. Per far ciò:

  • alla voce Transformation viene collegata la proprietà RotateTransform.Angle con la variabile
  • viene attivato adatta valore
  • viene configurata un´area valori WPF da 0 a 360

Adesso la manopola sarà girata in corrispondenza di un valore di, per esempio, 150, di 180 gradi.

Minimum

definisce il valore WPF minimo.

Maximum

definisce il valore WPF massimo.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Collega autorizzazione o interblocco

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà -> Collega autorizzazione o interblocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Collega autorizzazione o interblocco

Le autorizzazioni possono essere assegnate per tutto l´elemento WPF. All´elemento viene assegnato un livello utente. Le autorizzazioni vengono concesse nell´ambito del livello utente per singoli control. Se un´autorizzazione è attiva, viene scritto il valore 1 sulla proprietà nell´elemento.

Per collegare un´autorizzazione o un interblocco con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate nella lista a cascata Autorizzazione/Interblocco
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della autorizzazione

Parametri | Descrizione
Collega autorizzazione/interblocco | Determinazione dell´autorizzazione
Stato collegato | Selezione di un´autorizzazione che viene collegata ad un control WPF fra quelle della lista cascata. Ad esempio: la visibilità e la gestione di un pulsante WPF può dipendere dallo stato dell´utente.

Autorizzazione | Descrizione
Livelli di autorizzazione disponibili | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, il valore 1 viene scritto sulla proprietà.
Nessuna autorizzazione | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, il valore 1 viene scritto sulla proprietà.
Non bloccato | Se l´elemento non viene bloccato mediante un blocco, il valore 1 viene scritto sulla proprietà.
Bloccato | Se l´elemento viene bloccato mediante un blocco, il valore 1 viene scritto sulla proprietà.
Accessibile | Se esiste l´autorizzazione e l´elemento non è bloccato, il valore 1 viene scritto sulla proprietà.
Non accessibile | Se manca l´autorizzazione o se l´elemento è bloccato, il valore 1 viene scritto sulla proprietà.


Eventi

Eventi

Gli eventi permettono di collegare delle funzioni di zenon con un elemento WPF.

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Funzione collegata. Cliccando nella cella, aprite il dialogo di configurazione .
Tipo di collegamento: | Selezione di un collegamento. Cliccando nella cella, aprite il dialogo di selezione.
WPF-Info | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).
Collegata | Indica se una proprietà viene utilizzata al momento. Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Collega funzioni

Per creare un collegamento:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Funzione
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della funzione

Parametri |  | Descrizione
Funzione collegata | Selezione della funzione da collegare. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.
OK | Riprende e accetta la selezione e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Trasformazione

Trasformazione

L´elemento WPF non supporta alcuna funzionalità di rotazione. Se, per esempio, l´elemento WPF si trova in un simbolo, e quest´ultimo viene ruotato, l´ elemento WPF non partecipa alla rotazione. Proprio per questo motivo, per WPF è stato introdotto un meccanismo proprio, detto trasformazione per consentire la rotazione oppure una trasformazione degli elementi. Queste trasformazioni vengono configurate nella scheda Trasformazione.

Attenzione: se Content si trova al di là dell´area dell´elemento WPF, questa parte del content va persa, oppure non viene disegnata.

Parametri

Descrizione

Nome

Nome della proprietà.

Collegamento

Selezione delle variabili collegate.

Le trasformazioni vengono visualizzate in XAML come oggetti di trasformazione con proprietà proprie. Se un elemento supporta una trasformazione, le possibili proprietà degli oggetti di trasformazione vengono rappresentate nella visuale a lista. (Ulteriori informazioni in merito: Integra pulsante come WPF-XAML in zenon

Se la variabile collegata viene settata, ad esempio, sul valore 10, questo valore viene scritto sulla destinazione WPF e l´elemento viene ruotato di 10°.

Tipo di collegamento:

Selezione del tipo di collegamento trasformazione.

WPF-Info

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegata

Indica se una proprietà viene utilizzata al momento.

Per Default non contenuta nella visualizzazione, può essere selezionata tramite il Menu contestuale->Selezione colonne.

Collega trasformazione

Per collegare una trasformazione utente con una proprietà WPF:

  1. evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. cliccate nella cella Tipo di collegamento
  3. selezionate dalla lista a cascata Transformation
  4. cliccate nella cella Collegamento
  5. si apre il dialogo per la configurazione della variabile

La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabili collegate

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Area valori dell´elemento WPF

Indicazioni per la conversione dei valori variabili in valori WPF

Converti area valori

attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime Il valore di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: il valore di una variabile varia da 100 a 200. Per una variabile l´area normata è impostata a 100 - 200. L´obiettivo é quello di rappresentare delle modifiche mediante una manopola WPF. Per far ciò:

  • alla voce Transformation viene collegata la proprietà RotateTransform.Angle con la variabile
  • viene attivato adatta valore
  • viene configurata un´area valori WPF da 0 a 360

Adesso la manopola sarà girata in corrispondenza di un valore di, per esempio, 150, di 180 gradi.

Minimum

definisce il valore WPF minimo.

Maximum

definisce il valore WPF massimo.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Validità di file XAML

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Validità di file XAML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La validità di file XAML è legata ad alcuni proesupposti:

  • Namespace corretto
  • nessuna referenza class
  • Scalabilità

Namspace corretto

L´elemento WPF può visualizzare esclusivamente WPF-Content, il che significa:

Solamente i file XAML con un namespace WPF corretto, possono essere visualizzati nell´elemento WPF. I file che usano un Silverlight-Namespace, non possono essere caricati o visualizzati in modo corretto. Nella maggior parte dei casi è però sufficiente sostituire il Silverlight-Namespace con il WPF-Namespace.

WPF-Namespace:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Nessun uso di referenze class

Visto che il file XAML vengono caricati in modo dinamico, non è possibile usare i file XAML che contengono delle referenze di classe (chiave, „Class" im Header). La funzionalità che è stata programmata in un file C# proprio, non può essere usata.

Scalabilità

Nel caso in cui il contenuto di un elemento WPF dovesse essere adattato alla grandezza dell´elemento WPF, i control dell´elemento WPF devono essere inscatolati in un control che offre questa funzionalità, ad esempio, una View Box. Inoltre bisogna far in modo che gli elementi Altezza e Largezza vengano configurati in automatico.

Controllo di correttezza di un file XAML.

Pe controllare se un file XAML ha il formato corretto:

  • Apri un file XAML in Internet-Explorer
    • Se si può aprire senza ulteriori plugins (Java o simili), questo file può essere caricato oppure visualizzato anche con alta sicurezza da zenon.
    • Nel caso in cui emergono dei problemi al momento di caricare il file, esso viene visualizzato in Internet-Explorer e emerge con chiarezza in quale riga si sono veificati i problemi.

Anche la scala può essere testata in questo modo: se il file non è strutturato in modo corretto, il contenuto si adatterà alla grandezza della finestra di Internet Explorer.

Messaggio di errore

Se si usa in zenon un file non valido, al momento del caricamento del file stesso nell´elemento WPF viene visualizzata una segnalazione di errore.

Ad esempio:

„Errore nel caricamento di xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

l´attributo "Class" non si trova nel XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml". Zeile 7 Position 2."


Elementi predefiniti

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

C´è una serie di elementi WPF che sono forniti con zenon, oppure possono essere scaricati dal Webshop.

Tutti gli elementi WPF hanno delle proprietà che determinano l´aspetto grafico dell´elemento in questione. (Dependency Properties). Il settaggio dei valori mediante un file XAML, oppure il collegamento della proprietà usando zenon, può modificare direttamente l´aspetto nel Runtime. Le seguenti tabelle contengono le relative Dependency Properties, in dipendenza del Control.

Elementi:

  • Visuale rotonda
  • Visuale stato di avanzamento
  • Bargraf verticale
  • Indicatore della temperatura
  • Orologio analogico
  • Slider universale


Visualizzazione circolare - CircularGaugeControl

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Visualizzazione circolare - CircularGaugeControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Visualizzazione circolare - CircularGaugeControl

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

IsReversed

Orientamento scale, in senso orario o antiorario.

Boolean

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

PointerStyle

Forma del pointer che indica il valore.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

PointerSize

Dimensione del pointer.

Size

PointerCapRadius

Dimensione del punto di fissaggio del pointer.

Double

PointerBorderBrush

Colore della cornice del pointer

Brush

PointerCapStyle

Forma/tipo del punto di fissaggio del pointer.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Colore del punto di fissaggio del pointer.

Brush

PointerBrush

Colore del´indicatore.

Brush

GaugeBorderBrush

Colore della cornice dell´elemento.

Brush

GaugeBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

PointerOffset

Offset del pointer (spostamento).

Double

RangeRadius

Raggio dell’area totale di visualizzazione.

Double

RangeThickness

Spessore dell’area totale di visualizzazione.

Double

RangeStartValue

Valore iniziale dell’area totale di visualizzazione.

Double

RangeEndValue

Valore finale dell’area totale di visualizzazione.

Double

RangeMinEndValue

Valore finale dell´area minima.

Double

RangeMidEndValue

Valore finale dell´area media.

Double

RangeMinColorBrush

Colore dell´area minima.

Brush

RangeMidColorBrush

Colore dell´area media.

Brush

RangeMaxColorBrush

Colore dell´area massima.

Brush

ScaleOuterBorderBrush

Colore del bordo della scala.

Brush

ScaleBackgroundBrush

Colore dello sfondo della scala.

Brush

ValueTextFrameStyle

Forma/tipo della visualizzazione valore.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Contenuto della visualizzazione valore.

Enum:

  • Testo
  • TextValue
  • Value

ValueTextSize

Dimensione carattere della visualizzazione valore.

Double

ValueTextColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

GaugeOffsett

Abbassamento del punto di rotazione di tutto l´elemento.

Double


Barra stato di avanzamento - ProgressBarControl

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Barra stato di avanzamento - ProgressBarControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Barra stato di avanzamento - ProgressBarControl
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Il valore minimo del campo valori. | Double
MaxValue | Il valore massimo del campo valori. | Double
ProgressbarDivisionCount | Numero delle suddivisioni della barra stato di avanzamento (Boxed). | Integer
VisibilityText | Visibilità della visualizzazione valore. | Boolean
TextSize | Dimensione carattere della visualizzazione valore. | Double
TextColor | Colore della visualizzazione valore. | Color
ProgressBarBoxedColor | Colore della cornice della barra stato di avanzamento (Boxed). | Color
ProgressBarMarginDistance | Distanza del Progressbar-Box dal bordo dell´elemento (sinistra, sopra destra, sotto). | Double
ProgressBarInactiveBrush | Colore indicatore non attivo. | Brush
ProgressBarActiveBrush | Colore indicatore attivo. | Brush
ProgressBarPadding | Distanza della barra di stato avanzamento dal Progressbar-Box (sinistra, sopra destra, sotto). | Double
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush


Bargraf verticale - VerticalBargraphControl

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Bargraf verticale - VerticalBargraphControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bargraf verticale - VerticalBargraphControl
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Valore minimo della scala. | Double
MaxValue | Valore massimo della scala. | Double
MajorTicksCount | Numero delle suddivisioni principali della scala. | Integer
MinorTicksCount | Numero delle suddivisioni secondarie della scala. | Integer
MajorTickColor | Colore delle suddivisioni principali della scala. | Color
MinorTickColor | Colore delle suddivisioni secondarie della scala. | Color
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush
ElementGlasReflection | Attivazione dell´effetto glas reflection sull´elemento. | Visibility
ElementFontFamily | Carattere dell´elemento. | Font
ScaleFontSize | Dimensione carattere della scala. | Double
ScaleFontColor | Colore carattere della scala. | Color
IndicatorBrush | Colore di riempimento del bargraf. | Brush
BargraphSeparation | Numero dei trattini di separazione del bargraf. | Integer
BargraphSeparationColor | Colore delle suddivisione della scala. | Color


Indicazione della temperatura - TemperatureIndicatorControl

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Indicazione della temperatura - TemperatureIndicatorControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Indicazione della temperatura - TemperatureIndicatorControl

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

TickNegativColor

Colore della suddivisione principale negativa (che passa gradualmente a TickPositivColor).

Color

TickPositivColor

Colore della suddivisione principale positiva (che passa gradualmente a TickNegativColor).

Color

MinorTickColor

Colore delle d secondarie.

Color

ElementBorderBrush

Colore della cornice dell´elemento.

Brush

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

ElementFontFamily

Carattere dell´elemento.

Font

IndicatorColor

Colore di riempimento dell´indicatore.

Color

IndicatorBorderColor

Colore della cornice dell´indicatore.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

ScaleLetteringDistance

Distanza della didascalia della scala (verticale); bisogna scrivere una didascalia per ogni x suddivisione principale.

Integer

IndicatorScaleDistance

Distanza fra indicatore e scala (orizzontale).

Double

ScaleFontSize

Dimensione carattere della scala.

Double

ScaleFontColor

Colore carattere della scala.

Color

Unit

Unità.

Stringa

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallFrame
  • Unit
  • None


Orologio analogico - AnalogClockControl

Orologio analogico - AnalogClockControl

Property

Funzione

Valore

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

Offset

Valore in ore (h) che rappresenta la differenza di tempo rispetto all´orologio di sistema.

Int16

OriginText

Testo visualizzato nell´orologio (per es. indicazione del luogo).

Stringa


Slider universale - UniversalReglerControl

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Slider universale - UniversalReglerControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Slider universale - UniversalReglerControl

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

Raggio

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

ElementStyle

Tipo di visualizzazione dell´elemento:

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

BackgroundBorderBrush

Colore della cornice dell´elemento.

Brush

BackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

ValueFontSize

Dimensione carattere della visualizzazione valore.

Double

ValueFontColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

KnobBrush

Colore del bottone.

Brush

IndicatorBrush

Colore dell´indicatore.

Brush

IndicatorBackgroundBrush

Colore di sfondo dell´indicatore non attivo.

Brush

KnobSize

Diametro del bottone.

Double

KnobIndicatorSize

Dimensione indicatore del bottone.

Size

ElementSize

Grandezza dell´elemento.

Size

VisibilityKnob

Attivazione del bottone.

Boolean

ValuePosition

Posizione della visualizzazione valore.

Double

ValueVisibility

Attivazione della visualizzazione valore.

Boolean


Esempi: Integrazione di WPF in zenon

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Come vengono creati i file XAML e integrati in zenon come elementi WPF, lo potete vedere nei seguenti esempi:

  • Integra pulsante come WPF-XAML in zenon
  • Integra Bargraf come WPF-XAML in zenon


Integra pulsante come WPF-XAML in zenon

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra pulsante come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Integra pulsante come WPF-XAML in zenon

Struttura dell´esempio:

  • Creazione di un pulsante in Microsoft Expression Blend
  • integra in zenon
  • Collegamento di una variabile o con una funzione.
  • Adattamento del pulsante alla grandezza dell´elemento.
  • Crea un pulsante

Create in primo luogo un pulsante come descritto nel capitolo Crea pulsante come file XAML con Microsoft Expression Blend. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra pulsante

Indicazione: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • una variabile interna int del tipo Int
  • una funzione Funktion_0 del tipo setta valore impostabile con:
    • Attiva opzione Direttamente su Hardware
    • Valore impostabile settato a 45

Per integrare il pulsante:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML

    Interno ID: Integra pulsante come WPF-XAML in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate il file XAML (per es.: MyButton.xaml) e chiudete il dialogo
  5. selezionate la proprietà Configurazione

    Interno ID: Integra pulsante come WPF-XAML in zenon

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Configura pulsante

Il dialogo di configurazione mostra un´anteprima del file XAML selezionato. Nella struttura ad albero c´è una lista di tutti gli elementi nominati nel file XAML_:

  1. selezionate il pulsante WPF, che si trova inLayoutRoot->MyViewBox->MyButton
  2. Cercate nella scheda Proprietà l´inserimentoContent; esso contiene il testo del pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Variabile.
  5. cliccate nella colonna Collegamento
  6. Si apre il dialogo di selezione variabili.
  7. selezionate la variabile int, per collegarla alla proprietà Content.

Eventi

Per assegnare anche eventi:

  1. selzionate la scheda Eventi.

  2. Cercate l´inserimento Click; questo evento viene avviato dall´elemento WPF non appena si clicca sul pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Funzione.
  5. cliccate nella colonna Collegamento
  6. Si apre il Dialogo di selezione funzioni.
  7. selezionate Funktion_0
  8. Confermate la modifica effettuata con OK.
  9. Aggiungete nell´immagine ancora un Elemento Valore numerico
  10. collegate anche questo Valore numerico alla variabile int.
  11. poi compilate i file runtime e avviate il runtime.

Nel runtime viene visualizzato l´elemento WPF; il testo del pulsante è 0. Non appena cliccate sul pulsante, viene avviato l´evento Clicke la funzione Setta valore impostabile viene eseguita. Il valore 45 viene settato direttamente sull´hardware e sia il Valore numerico, che il Pulsante indicano il valore 45 .

Settate per mezzo dell´elemento Valore numerico un valore impostabile di 30; in tal modo questo valore verrà ripreso anche dall´elemento WPF.

Diritti di accesso

In modo analogo di quanto accade con un Valore numerico, un elemento WPF può essere bloccato (simbolo del lucchetto) oppure reso disponibile a seconda dell´autorizzazione di gestione. Settate a 1 il livello autorizzazione dell´elemento WPF e impostate un utente Test con lvello di autorizzazione 1. Poi impostate le funzioni Login con dialogo e Logout . Collegate queste due funzioni con 2 nuovi pulsanti con testo nell´immagine.

Nel dialogo di configurazione dell´elemento WPF, selezionate il pulsante WPF MyButton e scegliete il tab Proprietà

  1. Selezionate l´elemento IsEnabled
  2. cliccate nella colonna Tipo di collegamento
  3. Selezionate nella lista a cascata l´inserimento Autorizzazione di gestione/Blocco.
  4. cliccate nella colonna Collegamento
  5. Selezionate nella lista a cascata l´opzione Autorizzazione di gestione esistente.

  6. Chiudete il dialogo cliccando su OK.

Compilate i file runtime e fate attenzione a selezionare anche le Autorizzazioni di gestione per trasmissione. Dopo l´avvio del runtime, il pulsante WPF dell´immagine viene visualizzato come non attivo ed è inutilizzabile. Se effettuate il Login con l´utente Test, il pulsante viene attivato e può essere utilizzato. Non appena effettuate il Logout, il pulsante viene bloccato.

Trasformazione

Per poter usare delle trasformazioni, dovete adattare il file XAML.

  1. Passate al programma Expression Blend
  2. Selezionate MyButton, in modo tale che le proprietà del pulsante siano visibili nella finestra delle proprietà.

  3. Selezionate alla voce Transform di RenderTransform l´opzione Apply relative transform

    In tal modo, viene aggiunto un blocco al file XAML; esso salva durante il runtime le impostazioni per la trasformazione.

  4. Salvate il file e sostituite nel progetto zenon la vecchia versione con questo nuovo file.
  5. aprite di nuovo il dialogo di configurazione dell´ elemento WPF:
    1. Selezionate il pulsante MyButton.
    2. Passate alla scheda Trasformazioni

    1. Selezionate l´elemento RotateTransform.Angle
    2. cliccate nella colonna Tipo di collegamento
    3. Selezionate nella lista a cascata l´inserimento Trasformazioni.
    4. cliccate nella colonna Collegamento
    5. Si apre il dialogo di selezione variabili.
    6. selezionate la variabile int, per collegarla alla proprietà RotateTransform.Angle.

Poi compilate i file runtime e avviate il runtime. Effettuate il Login come utente Test e cliccate sul pulsante. Il pulsante riceve il valore 45 e l`elemento WPF ruota di 45°.


Integra bargraf come WPF-XAML in zenon

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra bargraf come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Integra bargraf come WPF-XAML in zenon

Struttura dell´esempio:

  • Creazione di una bargraf in Adobe Illustrator e trasformazione in WPF
  • integra in zenon
  • Collegamento con variabile
  • adatta l´elemento bargraf-WPF

crea bargraf

Create in primo luogo un bargraf come descritto nel capitolo Workflow con Adobe Illustrator. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra bargraf

Indicazione: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • 4 variabili del driver interno per
    • scala 0
    • scala media
    • scala alta
    • valore attuale
  • una variabile del driver matematico per la visualizzazione del valore attuale 255)

Per integrare il bargraf:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML

    Interno ID: Integra bargraf come WPF-XAML in zenon

    File XAML

    Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate il file XAML desiderato (per esempio bargraph_vertical.xaml) e chiudete il dialogo

Adatta bargraf

Prima della configurazione, la scala del file XAML viene adattata, se necessario.

Per far ciò:

  • impostate una nuova variabile matematica che calcola il nuovo valore in riferimento alla scala, per esempio:
  • Variabile: 0-1000
  • variabile matematica {valore creato in xaml}*Variabile/1000

    Poi viene configurato il file XAML.

Configura bargraf

  1. cliccate sull´elemento WPF e selezionate la proprietà Configurazione

    Interno ID: Integra bargraf come WPF-XAML in zenon

    Configurazione

    Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Il dialogo di configurazione mostra un´anteprima del file XAML selezionato
  3. selezionate il valore minimo, quello medio e quello massimo e collegate la variabile corrispondentenella proprietà Content

  4. selezionate lo Slider e collegate la proprietà Value con la variabile matematica (nel nostro esempio: calculation)

  5. Controllate la progettazione nel runtime:


Procedere in caso di errore

Manuale -> Immagini -> Elementi d´immagine -> Elemento WPF -> Engineering in zenon -> Procedere in caso di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Inserimenti nei file LOG.

Inserimento | Level | Significato
Xaml file found in %s with different name, using default! | Avviso | Il nome del file collection e quello del file XAML in esso contenuto non corrispondono. Per evitare dei conflitti interni, nella cartella viene usato il file con il nome del file collection e la desinenza .xaml.
no preview image found in %s | Avviso | Il file collection non contiene una grafica anteprima valida (preview.png oppure [Nome del file XAML].png). Perciò non può essere visualizzata nessuna anteprima.
Xaml file in %s not found or not unique! | Errore | Il file collection non contiene nessun file XAML, oppure più file con la desinenza .xaml; non può essere usato.
Could not remove old assembly %s | Avviso | Nella cartella di lavoro si trova un Assembly che deve essere sostituito con una nuova versione, ma non può essere cancellato.
Could not copy new assembly %s | Errore | Per un Assembly nella cartella di lavoro è disponibile una nuova versione, che però non può essere copiata nella cartella stessa. Possibile causa: per es. il vecchio Assembly è ancora caricato. La vecchia versione continua ad essere usata, la nuova non può essere utilizzata.
file exception in %s | Errore | Si è verificato un errore file nel momento di accedere al file collection.
Generic exception in %s | Errore | Si è verificato un errore generale nel momento di accedere al file collection.


Valore numerico

Manuale -> Immagini -> Elementi d´immagine -> Valore numerico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Valore numerico rappresentate valori numerici.

Per creare un Valore numerico in un´immagine:

  1. selezionate il simbolo Valore numerico nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili numeriche.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

Info Info

Durante il funzionamento online vale quanto segue: Un valore decimale può essere indicato sia con una 'virgola' che con un 'punto'. La visualizzazione avviene sempre come punto.


Strumento analogico:

Manuale -> Immagini -> Elementi d´immagine -> Strumento analogico:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Strumento analogico rappresentate degli Strumenti analogici.

Per creare un Strumento analogico in un´immagine:

  1. selezionate il simbolo Strumento analogico nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili numeriche.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Interno ID: Strumento analogico:

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Strumento analogico:

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.

Indicazione: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Interno ID: Strumento analogico:

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Strumento analogico:

Nastro

Disponibile solo se la visualizzazione come Cerchio parziale non è attivata.

Non disponibile sotto Windows CE.
Attiva: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
Non attiva: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.


Elemento di stato

Manuale -> Immagini -> Elementi d´immagine -> Elemento di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´elemento dinamico Elemento di stato potete gestire un simbolo ad immagine. Le proprietà di una variabile collegata, come, ad esempio, colori, lampeggio ecc, vengono trasmesse a un simbolo. Potete visualizzare in tal modo anche testi di valori limite statici.

Per creare uno Elemento di stato in un´immagine:

  1. selezionate il simbolo Elemento di stato nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

Info Informazioni

Al posto dell´elemento dinamico Elemento di stato, possono essere utilizzate altre proprietà dinamiche di un elemento corrispondente.


Modifica gli elementi ad immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine

Per gli elementi ad immagine avete a disposizione molteplici possibilità di modifica:

  • Azioni grafiche
  • Sostituzione automatica
  • Grafica di sfondo
  • Funzioni Dialogo di selezione
  • Dialogo selezione variabili


Azioni grafiche

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon sono possibile anche delle azioni grafiche. A tal scopo usate:

  • proprietà dell´elemento
  • Comandi nel menu Modifica
  • Azioni con il mouse:
    • tenendo il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    • Spostando tenendo premuto il tasto destro del mouse, si apre il menu contestuale che serve a scegliere se si deve copiare o spostare.
  • Menu contestuale

Info Informazioni

Delle azioni grafiche, come, ad esempio, le ombre, possono avere degli effetti sulle prestazioni del sistema, sia nell´editor che nel runtime.

Inserimenti di valori

Per l´inserimento di valori nell´ambito di limiti definiti, sono a disposizione per molte proprietà anche degli slider. Ci si arriva facendo uso del pulsante .... Delle modifiche di valore ottenute facendo uso degli slider, vengono visulizzate subito nel campo delle proprietà.

Quando si selezionano dei colori, quello attivo nella tavolozza viene visualizzato come anteprima direttamente nell´oggetto.


Arrotondamenti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Arrotondamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi Rettangolo e Pulsante, nonché Poligono, Polilinea e Tubatura, possono essere rappresentati con degli arrotondamenti.

Info Informazioni

Con la proprietà Progetto WindowsCE attiva oppure il valore Windows Basis per la proprietà Qualità grafica, è possibile utilizzare l´effetto di arrotondamento solamente con limitazioni.

Interno ID: Arrotondamenti

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Arrotondamenti

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Arrotondamenti

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Arrotondamenti

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: Arrotondamenti

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Rettangolo e pulsante

Potete definire il grado di arrotondamente nel nodo Arrotondamento. Per ogni angolo si possono inserire rispettivamente due valori:

Interno ID: Arrotondamenti

Arrotondamento

Proprietà per la visualizzazione di angoli arrotondati.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Valore X: valore percentuale per l´arrotondamento riferito alla larghezza dell´elemento.
  • Valore Y: valore percentuale per l´arrotondamento riferito alla lunghezza dell´elemento.

0 % significa nessun tipo di arrotondamento.
100 % significa un quarto di cerchio.

Se la proprietà Proporzionale viene attivata, può essere inserito solamente il valore X.

Interno ID: Arrotondamenti

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Interno ID: Arrotondamenti

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: Arrotondamenti

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: Arrotondamenti

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I valori possono essere definiti separatamente per ogni angolo. Se il valore di un angolo viene settato a -1, esso assume il suo valore di arrotondamento dalla proprietà Tutte X [%] oppure da Tutte Y [%].

Interno ID: Arrotondamenti

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Nel caso in cui si modifichi il valore di Tutte X [%] o Tutte Y [%], tutti i valori dell´asse corrispondente vengono settati a -1. In tal modo, valori differenti possono essere facilmente ricondotti ad un parametro unitario.

Un consiglio: nel quadrante basso di destra dell´elemento si trova un piccolo triangolo giallo. Cliccateci sopra con il mouse e spostate questo triangolo fino a raggiungere l´arrotondamento desiderato.

Esempio:

sul pulsante si trova un file GIF con uno sfondo trasparente. Per il pulsante è stato definito un colore rossiccio. L´arrotondamento degli angoli è stato definito con Tutte X [%] e Proporzionale; per l´angolo in basso a sinistra, poi, questo valore è stato modificato individualmente.

Info Informazioni

Se viene usata la proprietà Con valori di luminosità per la visualizzazione del colore di riempimento, gli angoli non possono essere visualizzati smussati. Se questa proprietà viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Poligono, polilinea e tubatura.

Potete definire il grado di arrotondamento per poligono, polilinea e tubatura mediante la proprietà Arrotondamento nel nodo Visualizzazione. Inserite a questo scopo un valore compreso fra 0 e 1.

Interno ID: Arrotondamenti

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Arrotondamenti

Arrotondamento

Disponibile solamente se è stata attivata nelle proprietà di progetto l´opzione Qualità grafica nel nodo Aspetto grafico/Immagini.

Interno ID: Arrotondamenti

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Effetti per elementi d´immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Molti elementi grafici possono essere messi in evidenza durante il runtime mediante l´uso di effetti.

Ulteriori effetti li trovate nel capitolo Effetti per modelli.


Effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Molti elementi di zenon supportano l´effetto glow.

Requisiti

Per poter usare l´effetto glow per un elemento grafico, devono essere soddisfatti i seguenti presupposti:

  • la proprietà di progetto Aspetto grafico/Qualità grafica deve essere settata su DirectX Hardware o DirectX Software. Per i dettagli vedi capitolo Qualità grafica.

    Interno ID: Effetto glow

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Effetto glow

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Effetto glow

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • L´elemento grafico deve essere supportato.
    Sono supportati tutti gli elementi grafici con le seguenti eccezioni: simboli WMF, elemento combinato, ActiveX, WPF, tutti gli elementi di controllo Win32, finestre e alcuni elementi di controllo speciali.
  • L´elemento deve essere visibile.
    Se l´elemento è invisibile, lo è automaticamente anche l´effetto glow, visto che esso viene derivato direttamente dall´elemento.

Configurazione

Per configurare l´effetto glow per un elemento supportato:

  1. assicuratevi che la proprietà Qualità grafica sia settata su DirectX Hardware oppure su DirectX Software
  2. impostate l´elemento
  3. passate al nodo proprietà Effetti

    Interno ID: Effetto glow

    Effetti

    Contiene le proprietà per la configurazione degli effetti immagine.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. attivate nell´area Effetto glow (solo DirectX) la proprietà Attiva

    Interno ID: Effetto glow

    Attiva

    Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

    Interno ID: Effetto glow

    Progetto WindowsCE

    Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
    Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

    Interno ID: Effetto glow

    RGM formato dati

    selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
    MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
    File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

    Default: file binari (compatibile con CE)

    Indicazione: una conversione successiva dei dati non è prevista.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Effetto glow

    Effetto glow (solo DirectX)

    Proprietà per la configurazione dell´effetto glow. Disponibile solamente se la proprietà Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. configurate la trasparenza, il colore e la visibilità

    Se si configurano diverse proprietà per lo stesso effetto glow, quella rispettivamente più forte viene eseguita durante il runtime. Per i dettagli vedi sezione Dipendenza della configurazione. (Ad esempio: un effetto glow invisibile è sempre invisibile, l´impostazione relativa al lampeggio, dunque, non ha alcun effetto.)

I valori di default per l´effetto glow:

  • Attiva: non attivo
  • Attivo se premuto: non attivo

    Interno ID: Effetto glow

    Attivo se premuto

    Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

    Attiva: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Trasparenza [%]: 20 %

    Interno ID: Effetto glow

    Trasparenza [%]

    Disponibile solo se la proprietà Attiva è attivata.

    Valore di trasparenza con cui viene visualizzato l´effetto glow sull´elemento. Unità: in percentuale. Un clic sul comando ... apre la barra di scorrimento.

    Minimo: 0%, invisibile

    Massimo: 100%, copertura totale

    Default: 20%

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Estensione [Pixel]: 15 pixel

    Interno ID: Effetto glow

    Estensione [Pixel]

    Disponibile solo se la proprietà Attiva è attivata.

    Definisce il fattore di estensione dell´effetto glow. Esso viene definito come numero di pixel che devono essere calcolati per la diffusione da ogni parte.

    Minimo: 0 , nessuna diffusione

    Massimo: 50

    Default: 15

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Colorare: non attivo

    Interno ID: Effetto glow

    Colorare

    Disponibile solo se la proprietà Attiva è attivata.

    Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

    Interno ID: Effetto glow

    Variabile colore

    Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

    Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

    Default: Nessuna variabile collegata

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Effetto glow

    Colore

    Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

    Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

    Default: 0xFFFF90 (giallo)

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Colore: #FFFF90 (giallo)
  • Variabile colore: nessuno
  • Variabile per visibilità: nessuno

    Interno ID: Effetto glow

    Variabile per visibilità

    Disponibile solo se la proprietà Attiva è attivata.

    Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

    Interno ID: Effetto glow

    Visibile fino

    Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

    Definisce il valore fino al quale l´effetto glow è visibile.
    Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
    Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
    Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Effetto glow

    Visibile da

    Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

    Definisce il valore a partire dal quale l´effetto glow è visibile.
    Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
    Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
    Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Effetto glow

    Riprende la visibilità dal valore limite

    Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

    Attiva: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

    Interno ID: Effetto glow

    Invisibile

    Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
    Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
    Default: inactive.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Disattivata: la visibilità viene influenzata dalle proprietà dell´elemento.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Indicazione: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

    Default: Nessuna variabile collegata

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Riprende la visibilità dal valore limite: non attivo
  • Visibile da: 0
  • Visibile fino: 0
  • Variabile lampeggio: nessuno

    Interno ID: Effetto glow

    Variabile lampeggio

    Disponibile solo se la proprietà Attiva è attivata.

    Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

    Default: Nessuna variabile collegata

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Riprendi il lampeggio dal valore limite: non attivo

    Interno ID: Effetto glow

    Riprendi il lampeggio dal valore limite

    Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

    Attiva: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore di lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

    Interno ID: Effetto glow

    Colore di lampeggio da valore limite

    Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

    Interno ID: Effetto glow

    Riprendi il lampeggio dal valore limite

    Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

    Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: inattivo.

    Indicazione: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

    Interno ID: Effetto glow

    Trasparente

    Attivo: Disattiva il colore di sfondo dell´elemento.

    Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • 2. Stato lampeggio invisibile: non attivo

    Interno ID: Effetto glow

    2. Stato lampeggio invisibile

    Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

    Attiva: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dipendenze della configurazione

Variabili per la visibilità

La visibilità ha degli effetti particolarmente grandi. Se l´effetto glow è settato su non visibile, il lampeggio e il colore verranno ignorati. Dipendenze:

  1. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite è attivo:
    • Invisibile nel valore limite è attivato: L´effetto glow non è visibile:
    • Invisibile nel valore limite non è attivato:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
  2. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite non è attivo:
    • Il valore della variabile si trova all´interno dei limiti delle proprietà di Visibile da e Visibile fino:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
    • Il valore della variabile si trova al di fuori dei limiti delle proprietà di Visibile da e Visibile fino:
      L´effetto glow non è visibile
  3. Variabile per visibilità non è collegato:
    l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.

Variabili per lampeggio

Con tutti gli stati in corrispondenza dei quali viene visualizzato l´effetto glow configurato originariamente, si ottiene l´effetto glow che è stato impostato nelle proprietà. Anche, per esempio, il colore può provenire da un valore limite di una propria variabile; vedi dettagli in Colore da variabile.

  1. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile è attivo:
    • Il valore limite è stato violato:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a l´effetto glow configurato originariamente nelle proprietà.
    • Il valore limite non è stato violato:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  2. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a effetto glow non visibile.
    • Violazione del valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  3. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia dall´effetto glow configurato originariamente nelle proprietà a effetto glow non rappresentato.
    • Violazione del valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  4. Variabile lampeggio non è:
    l´effetto glow può essere visualizzato in dipendenza di altre proprietà.

Colore da variabile:

rappresenta la possibilità di fissare il colore dell´effetto glow tramite il valore limite di una variabile. Ciò vale anche per la rappresentazione normale se l´effetto glow lampeggia.

  1. Variabile colore collegato:
    1. Violazione del valore limite attiva:
      viene usato il colore del valore limite violato.
    2. Violazione del valore limite non attiva:
      per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Variabile colore non collegato:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.

Colorazione:

definisce se l´effetto glow viene creato come immagine dell´elemento reale, oppure viene colorato facendo uso di un singolo colore.

  1. Colorare attiva e Variabile colore collegata:
    1. Violazione del valore limite attiva:
      per la colorazione dell´effetto glow si usa il colore del valore limite violato.
    2. Violazione del valore limite non attiva:
      per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Colorare attiva e Variabile colore non collegata:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  3. Colorare non attiva: per l´effetto glow si usa un´immagine dell´elemento reale con tutti i colori corrispondenti dell´elemento.

Consigli per effettuare la configurazione:

Per ottenere dei buoni risultati:

  • selezionate per Trasparenza [%] un valore piuttosto basso. Senza colorazione il valore può essere un po´ superiore che nel caso di effetto colorato.
  • selezionate per Estensione [Pixel] un valore non troppo basso. Ci si dovrebbe mantenere su >5, per far sì che l´effetto sia visibile al di fuori dell´elemento.
    Attenzione: dei valori troppo alti (>20) possono avere come conseguenza il fatto che l´effetto glow viene fortemente ridotto. In questo caso la visibilità può essere aumentata tramite un´ulteriore riduzione della trasparenza. In generale si può dire che l´effetto glow incide in modo sostanziale sulle prestazioni del sistema e, perciò, dovrebbe essere usato con criterio. Un alto valore di Estensione [Pixel] richiede più risorse, il che può avere degli effetti notevoli soprattutto nel caso di elementi che si trovano vicini gli uni agli altri.
  • Visto che nel caso di DirectX, l´effetto glow (come anche le ombre) viene derivato direttamente dall´elemento originale, anche le modifiche dinamiche dell´elemento hanno delle conseguenze sull´effetto stesso. Si può dotare di effetti anche grafiche bitmap. Così, ad esempio, un´immagine PNG con aree parzialmente trasparenti ottiene come un´animazione GIF un effetto glow corretto, che viene creato in modo dinamico durante la visualizzazione. L´effetto glow ha infusso (come le ombre) anche su testo, il che permette di ottenere degli effetti particolari.


Esempi di effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow -> Esempi di effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Esempi di effetto glow

Effetto glow

Elemento senza effetto glow:

Elemento con effetto glow:

Colori:

colore di Default 0xFFFF90 (giallo):

Colore 0xFFFFFF (bianco):

Trasparenza

trasparenza 0%:

trasparenza 20%:

trasparenza 60%:

Diffusione

diffusione di 0 pixel e trasparenza pari allo 0%:

diffusione di 5 pixel e trasparenza pari allo 0%:

diffusione di 10 pixel e trasparenza pari allo 0%:

diffusione di 20 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza del 20%:

Colore 0xFFFF90 e 20 pixel di diffusione, nonché una trasparenza del 20%:

Testi

diffusione di 5 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza dello 0%:

Grandezza carattere con 15 pixel di diffusione e una trasparenza dello 0%:

Grandezza carattere con colore 0xFFFF90 e 35 pixel di diffusione, nonché una trasparenza del 20%:

Grafica parzialmente trasparente

Originale:

diffusione di 20 pixel e trasparenza pari allo 20%:

Colore 0xFF0000 con 20 pixel di diffusione e una trasparenza del 20%:

Senza colore, 20 pixel di diffusione e una trasparenza del 20% più ombra con 40 pixel di distanza, una trasparenza del 60%, colore nero e 5 pixel di effetto Blur:

elemento cambia

pulsante 3D in colori contrastanti, con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:

pulsante 3D in colori contrastanti, premuto con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:


Trattamento degli errori

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow -> Trattamento degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Trattamento degli errori

Finestra di emissione

Inserimento | Level | Descrizione
DirectX: immagine 'Nome Immagine' - Elemento 'Nome elemento' usano un effetto che non è rappresentabile con l´impostazione di qualità grafica selezionata. | Warning | L´effetto glow è attivato per un elemento. Tuttavia DirectX Software oppure DirectX Hardware non è stato selezionato o non è disponibile.

Lista check per limitazione errori

  • DirectX è attivo?
  • DirectX è disponibile su questo sistema? Si può avviare un controllo attivando le segnalazioni di debug nel DiagViewer. Nel caso di risultato positivo, il sistema emette un messaggio corrispondente.
  • L´elemento supporta l´effetto glow?
  • L´elemento è visibile?
  • Delle proprietà statiche (per esempio la trasparenza) fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Delle proprietà dinamiche fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Se è selezionata una proprietà che richiama la visualizzazione dell´effetto glow solamente a determinate condizioni (pulsante Elemento con la proprietà "Attivo se premuto")?


Cornice e ombra

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Cornice e ombra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi possono essere estesi con una cornice e ombra.

Eccezione: Gli Elementi di stato non possono essere dotati di un´ombra.

Info Informazioni

Se la trasparenza di un oggetto viene modificata (per esempio: del colore di sfondo), cambia anche in modo corrispondente la visualizzazione dell´ombra già configurata. I valori di colore e trasparenza dell´ombra, però, rimangono uguali.

Assegna cornice e ombra

  • Per dotare un elemento di una cornice, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Cornoce.

    Interno ID: Cornice e ombra

    Tipo di cornice

    Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

    Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
    Cornice: l´elemento può essere dotato di una cornice.
    Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
    Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

    Interno ID: Cornice e ombra

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Cornice e ombra

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Interno ID: Cornice e ombra

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: Nessuna cornice/ombra

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Cornice e ombra

    Cornice/Ombra

    Proprietà per cornice e ombra intorno all´elemento.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Per dotare un elemento di un´ombra, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Ombra.

Per la cornice e ombra potete fissare quanto segue:

  • Distanza: distanza della cornice o dell´ombra rispetto all´elemento.
  • Colore della cornice: colore della cornice o dell´ombra.

Per la cornice potete fissare quanto segue:

  • Larghezza della linea. la larghezza della cornice.

Per l´ombra potete fissare quanto segue:

  • Angolo: l´angolo espresso in gradi in cui l´ombra si inclina incominciando dall´esterno a destra in senso antiorario.

  • Trasparenza: trasparenza dell´ombra fra 0 e 100% (0% è coprente, mentre 100% è trasparente).
  • Grandezza dell´ombra: dimensione dell´ombra espressa in pixel.
  • Disegno diffuso: sfuma il coloro della superficie e rende più morbido la transizione dell´ombra.
    Indicazione: se qui il valore non è pari a 0, il calcolo dell´ombra influenza la prestazione del sistema.

Info Informazioni

La trasparenza di linee o colori di riempimento di un elemento esercita un´infuenza anche sull´ombra. Ad esempio: nel caso in cui il colore di riempimento sia fissato sul valore di 100%, non sarà visibile alcuna ombra nel settore di riempimento.


Esempi

Esempi

Ombra con angolo di 45 gradi spostata di 10 pixel.

Ombra con angolo di 45 gradi spostata di 30 pixel.

Ombra di una dimensione di 30 pixel.

Ombra di una dimensione di -20 pixel.

Ombra di una grandezza pari a -20 pixel e sviluppo colori trasparente nell´elemento.

Triangolo arrotondato con un disegno di 10


Muovi elementi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Muovi elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per muovere degli elementi usate:

dalla versione 6.50

la proprietà con l´elemento corrispondente:

  • Posizione

    Interno ID: Muovi elementi

    Posizione

    Proprietà per la posizione e la dimensione dell´elemento dinamico.

    Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Dimensione e rotazione dinamica

    Interno ID: Muovi elementi

    Dimensione e rotazione dinamica

    Proprietà per la dinamica dell´elemento.
    La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

    Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Inoltre dinamicizzate degli elemento anche con le proprietà

  • Cambio colori dinamico nel nodo Colori

    Interno ID: Muovi elementi

    Colori

    Proprietà colori dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Muovi elementi

    Cambio colori dinamico

    Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Lampeggio nel nodo Visibilità/lampeggio

    Interno ID: Muovi elementi

    Visibilità/lampeggio

    Proprietà per la visibilità e il lampeggio dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Muovi elementi

    Lampeggio

    Proprietà per il lampeggio degli elementi

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Visibilità nel nodo Visibilità/lampeggio

    Interno ID: Muovi elementi

    Visibilità

    Proprietà per la visibilità degli elementi

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

fino alla versione 6.22 e compatibilità runtime

  • In alternativa potete usare l´elemento dinamico Muovi simbolo


Andamento colore e trasparenza

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Andamento colore e trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi possono essere dotati di colori, oppure apparire trasparenti.

A tale scopo, selezionate anzitutto nelle proprietà dell´elemento, e più precisamente nel nodo Colori la proprietà corrispondente:

Interno ID: Andamento colore e trasparenza

Colori

Proprietà colori dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

andamento colore

I colori possono essere impostati con il seguente orientamento nei seguenti elementi:

Elemento | Lineare | a punti | a punti con angoli
Rettangolo | sì | sì | sì
Cerchio | sì | sì | no
Segmento di cerchio | sì | sì | no
Poligono | sì | sì | sì
Pulsante | sì | sì | sì

Per definire l´andamento di colori, selezionate come Tipo di riempimento Andamento colori.

Interno ID: Andamento colore e trasparenza

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: Andamento colore e trasparenza

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Potete definire l´andamento colori tramite le proprietà del gruppo Effetto riempimento 3-D. Ma potete definirlo anche con il mouse. A questo scopo, cliccate sul piccolo cerchio giallo che si trova nell´elemento (con linea di collegamento con il centro) e muovete il cerchio fino a raggiungere l´andamento desiderato.

Interno ID: Andamento colore e trasparenza

Effetto riempimento 3-D

Proprietà per la progettazione dell´effetto di riempimento. Disponibile solamente se l´effetto di riempimento è selezionato come Tipo di riempimento.
Ulteriori informazioni in Guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Nel caso di angoli fra 45° e 135°, nonché fra 225° e 315°, i rettangoli vengono orientati orizzontalmente.

La proprietà Con valori di luminosità non è a disposizione per i poligoni.

Effetto riempimento sotto Windows CE o con qualità grafica Windows Basis

Sotto Windows CE oppure con l´impostazione Windows Basis per la proprietà Qualità grafica, gli effetti di riempimento per elementi vettoriali possono essere realizzati solamente con valori di luminosità. La proprietà Effetto riempimento 3-D non è a disposizione. Per la rappresentazione di effetti di riempimento usate le proprietà:

Interno ID: Andamento colore e trasparenza

Effetto riempimento 3-D

Disponibile solamente se Tipo di riempimento è stato settato su Effetto riempimento.

Definisce l´effetto di riempimento per elementi vettoriali.

Lineare: effetto omogeneo
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Andamento colore e trasparenza

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Andamento colore e trasparenza

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Andamento colore e trasparenza

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Offset [%]: funziona solamente per l´elemento rettangolo.

    Interno ID: Andamento colore e trasparenza

    Offset [%]

    Disponibile solamente se, per un elemento vettoriale, la proprietà Effetto riempimento 3-D, o per l´elemento dinamico Pulsante, la proprietà Riempimento pulsanti è stata settata su: lineare oppure da un punto definito, oppure da un punto definito effetto beam.

    Interno ID: Andamento colore e trasparenza

    Riempimento pulsanti

    Riempimento del pulsante:
    monocromatico: Nessuna sfumatura
    lineare: effetto omogeneo
    Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
    Da un punto definito: effetto dai bordi al centro.

    a punti con angoli: effetto dai bordi al centro con formazione di angoli.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce la distanza dell´effetto di riempimento dal punto centrale dell´elemento. Si tratta di un valore percentuale.

    Valori: 0 descrive il punto centrale nell´elemento, 100 il bordo.
    Indicazione: Questo valore può trovarsi anche al di fuori dell´elemento e perciò, non è limitato a 100.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Angolo [°]: funziona solamente per l´elemento rettangolo.

    Interno ID: Andamento colore e trasparenza

    Angolo [°]

    Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

    Valori: da 0 fino 360°

    Default: 0°

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Luminosità all'esterno

    Interno ID: Andamento colore e trasparenza

    Luminosità all'esterno

    Questa proprietà è disponibile solo se l’opzione "Con sfumatura" è abilitata.
    Luminosità dal lato esterno dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Luminosità all'interno

    Interno ID: Andamento colore e trasparenza

    Luminosità all'interno

    Disponibile solo se “Sfumatura” è abilitata.
    Luminosità al centro dell’elemento

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tenete presente:

la proprietà Con valori di luminosità non deve essere attivata appositamente.

La proprietá Angolo [°] può essere modificata sotto Windows CE e con l´impostazione Windows Basis per la proprietà Qualità grafica, solo in passaggi di 90°.

Pulsante

Sotto Windows CE e Windows Basis vale per l´elemento Pulsante anche quanto segue:

  • per la proprietà Riempimento pulsanti sono a disposizione i valori Da un punto definito e Da un punto definito effetto beam.
  • La proprietà Angolo [°] non è a disposizione.

Trasparenza

facendo uso della proprietà Trasparente, potete far apparire un elemento completamente trasparente.

Interno ID: Andamento colore e trasparenza

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per far apparire degli elementi solo parzialmente trasparenti, usate le proprietà per trasparenza del colore di riempimento, colore di andamento e colore della cornice. In questa sede definite il grado di copertura di un colore; avete a disposizione dei valori che vanno da 0 a 100 per cento. Il valore 0 significa invisibile e 100 coprente. Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Esempi

Trasparenza: colore di riempimento = 100, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 50, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 0, colore di riempimento 2 = 100

Info Informazioni

Gli elementi di controllo per la gestione di campi lista e barre di scorrimento non supportano alcuna forma di trasparenza.


Trasmettere il formato

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Trasmettere il formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per trasmettere le proprietà di un elemento selezionato ad un altro o a più altri:

  1. Trasmettere ad un elemento:
    1. cliccate sull´elemento con proprietà originarie -
    2. Cliccando sul simbolo Trasmetti proprietà
      oppure sul comando corrispondente del menu contestuale
    3. Clic sull´elemento di destinazione: Le proprietà vengono trasmesse.
  2. Trasmettere a più elementi:
    1. Selezionare elemento origine
    2. Selezionate gli elementi di destinazione tenendo premuto il tasto Ctrl. (elementi sorgente e destinazione sono evidenziati)
    3. Cliccando sul simbolo Trasmetti proprietà oppure sul comando corrispondente del menu contestuale
    4. Le proprietà dell´elemento fonte vengono trasmesse agli elementi di destinazione.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

Info Informazioni

Riprendere proprieta tramite la finestra di proprietà:

se vengono selezionati più elementi, le proprietà dell´elemento selezionato per ultimo vengono visualizzati nell´inserimento proprietà. Se la finestra di proprietà viene visualizzata in modalità Visuale raggruppata oppure in quella Tutte le proprietà , la proprietà in questione può essere trasmessa premendo il tasto Invio a tutti gli altri elementi selezionati. Nella modalità Opzione dialogo, questo non è possibile. I dettagli su questo argomento, li trovate nel capitolo Finestra proprietà, sezione Multiselect.

Regole per la trasmissione di formati

Vengono trasmesse:

  • tutte le proprietà che definiscono un elemento per quello che concerne forma, colore e aspetto, e non vengono influenzate da una variabile.

Non vengono trasmesse:

  • proprietà disattivate
  • proprietà dirette, che non possono essere trasmesse in modo sensato, come testi e file grafici

    Eccezione:

    • i file grafici dell´interruttore vengono copiati, visto che, normalmente, si vuole avere sempre lo stesso interruttore.
    • I file grafici del pulsante non vengono copiati, dato che normalmente vengono usati diversi tipi di pulsante.
  • Proprietà dai gruppi:
    • Autorizzazione

      Interno ID: Trasmettere il formato

      Autorizzazione

      Proprietà per l´autorizzazione gestione dell´elemento.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Automatic Line Coloring

      Interno ID: Trasmettere il formato

      Automatic Line Coloring

      Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
      Impostazioni per l’Automatic Line Coloring (ALC).

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Generale

      Interno ID: Trasmettere il formato

      Generale

      Proprietà generali dell’elemento.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Posizione

      Interno ID: Trasmettere il formato

      Posizione

      Proprietà per la posizione e la dimensione dell´elemento dinamico.

      Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Dimensione e rotazione dinamica

      Interno ID: Trasmettere il formato

      Dimensione e rotazione dinamica

      Proprietà per la dinamica dell´elemento.
      La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

      Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Runtime

      Interno ID: Trasmettere il formato

      Runtime

      Proprietà di Runtime dell’elemento selezionato

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • VBA

      Interno ID: Trasmettere il formato

      VBA

      Proprietà per Macro VBA collegate all’elemento..

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Setta valore impostabile

      Interno ID: Trasmettere il formato

      Setta valore impostabile

      Proprietà per il settaggio di valori impostabili.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • tutto quello che viene direttamente dalle variabili.
  • Variabili e collegamenti funzioni


Copia, aggiungi e sposta

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Copia, aggiungi e sposta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per copiare, spostare o cancellare degli elemento nelle immagini, usate:

  • comandi nel menu Modifica
  • Azioni con il mouse:

    tenendo il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    Spostando tenendo premuto il tasto destro del mouse, si apre il menu contestuale che serve a scegliere se si deve copiare o spostare.

  • Menu contestuale

Spostare.

Gli oggetti possono essere spostati con il mouse o con la tastiera, fatta eccezione per i modelli. Sfruttando i tasti di funzione, potete usare degli effetti particolare nell´effettuare lo spostamento:

Tasto | Azione | Risultato
Ctrl: | spostare con il mouse | l´oggetto viene copiato.
Shift | spostare con il mouse | L´oggetto può essere spostato adesso in orizzontale o in verticale.
Shift | Spostare con i tasti con le frecce. | Ogni volta che si preme il tasto, l´oggetto si sposta di 10 pixel.
Tasto destro del mouse | spostare con il mouse | Il menu contestuale permette la scelta fra copiare e spostare.
Tasto Space |  | Il puntatore del mouse diventa una mano da utilizzare per spostare. Con essa è possibile spostare come si vuole la superficie di lavoro usando il tasto sinistro del mouse.


Aggiungi e cancella punti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Aggiungi e cancella punti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Aggiungi e cancella punti con Polilinea, Poligono e Condutture:

Aggiungi punti:

Per aggiungere punti d´angolo (punti di appoggio):

  • muovete il puntatore del mouse su una linea dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Aggiungi un nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una linea dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si aggiunge un punto d´angolo

Elimina punti:

  • muovete il puntatore del mouse su una punto dell´oggetto
  • cliccate con il tasto destro del mouse
  • selezionate nel menu contestuale l´inserimento Cancella il nodo nell´elemento selezionato

oppure

  • premete contemporaneamente Ctrl e Shift
  • muovete il puntatore del mouse su una punto dell´oggetto
  • il puntatore del mouse si trasforma assumendo la forma di una freccia con un più.
  • con un clic del mouse si rimuove il punto


Frecce negli elementi vettoriali

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce negli elementi vettoriali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per tutti gli elementi vettorali che rappresentano figure aperte, si può definire un simbolo rispettivamente per start e end. Questo vale:

  • Linea
  • Polilinea:
  • Curva senza riempimento
  • Segmento di cerchio senza riempimento

Per aggiungere un simbolo:

  1. fate attenzione che sia attiva nelle proprietà del progetto la proprietà Qualità grafica (nodo Immagini);

    Interno ID: Frecce negli elementi vettoriali

    Immagini

    Proprietà per la visualizzazione delle immagini nel runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Frecce negli elementi vettoriali

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Frecce negli elementi vettoriali

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Interno ID: Frecce negli elementi vettoriali

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. disegnate l´elemento;
  3. selezionate fra le proprietà nel gruppo Fine linea quella per:

    Interno ID: Frecce negli elementi vettoriali

    Fine linea

    Contiene le proprietà per la forma dell´inizio e della fine della linea.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. Tipo di inizio: simbolo per inizio linea.

      Interno ID: Frecce negli elementi vettoriali

      Tipo di inizio

      Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

      Definisce il simbolo per il punto di partenza della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.

      Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

      Interno ID: Frecce negli elementi vettoriali

      Tipo di riempimento

      Selezione del modello di riempimento per l´elemento fra quelli della lista.

      Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

      Interno ID: Frecce negli elementi vettoriali

      Con valori di luminosità

      Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
      Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

      Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

      Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    2. Tipo di fine: simbolo per fine linea.

      Interno ID: Frecce negli elementi vettoriali

      Tipo di fine

      Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

      Definisce il simbolo per il punto finale della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.

      Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    3. Dimensione: fattore di ingrandimento per larghezza della linea. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea. Default = 0

      Interno ID: Frecce negli elementi vettoriali

      Dimensione

      Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

      Definisce il fattore di ingrandimento per la larghezza della linea della freccia. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea.

      Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

      Valore: maggiore o uguale a 1.

      Default: 4

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I seguenti simboli sono disponibili:

da sinistra, oppure da destra:

da destra, oppure da sinistra:

Info Informazioni

Questi elementi non sono disponibili:

  • sotto Windows CE visto che Qualità grafica deve essere attivo.
  • Con il segmento di cerchio riempito
  • Con la curva riempita


Esempio per le frecce

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce negli elementi vettoriali -> Esempio per le frecce

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Elementi vettoriali con simboli Start e End con un fattore di ingrandimento di 1,5:


Griglia

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Griglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La griglia consente il perfetto posizionamente di un elemento nell´immagine.

Le impostazioni fondamentali a questo proposito le settate nel menu Opzioni/Impostazioni:

Griglia Impostazioni |
Mostra la griglia: | Attivo: Mostra nella finestra principale la griglia definita alla voce Tipo di griglia. Inattivo: La griglia non è visualizzata.
Posizionare nella griglia | Attivo: gli elementi ad immagine vengono sempre orientati secondo la griglia. Questa funzione è indipendente dall’opzione Mostra griglia.
Colore della griglia | Definisce i colori della griglia. Per la selezione dei colori viene utlizzata la tavolozza di Wiindows.
Tipo di griglia | Stabilisce il tipo della visualizzazione della griglia: continua, punteggiata oppure intersezioni.
Distanza griglia [Pixel] | Definisce la distanza orizzontale e verticale fra i singoli punti. In tal modo, si definisce anche quanto finemente devono essere rappresentate le dimensioni dell´elemento. Distanza griglia consigliata: 10 pixel orizzontalmente e verticalmente.

Nel menu contestuale decidete

Inserimento menu | Descrizione
Mostra la griglia: | mostra o nascondi la griglia.
Utilizza griglia | Gli elementi vengono ordinati in relazione alla griglia.
Usa punti di appiglio | I punti di appiglio degli oggetti si agganciano quando li si avvicina e si dispongono in relazione l´uno dell´altro.

Info Informazioni

Se i punti della griglia si trovano a 5 pixel di distanza o meno, vengono visualizzate solamente le linee della griglia che si trovano ad una distanza maggiore di 5 pixel. Ciò non toglie che vengono tenute in considerazione anche delle griglie più piccole.


Carattere

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si crea un progetto, viene impostato automaticamente un carattere di default. Quest´ultimo viene a costituire il carattere standard per i nuovi oggetti. Il carattere di default non può essere cancellato. Se avete bisogno di altri caratteri:

  • create il carattere desiderato nel nodo Caratteri (sottonodo di immagini).
  • Selezionate nelle proprietà dell´oggetto il carattere (nodo Visualizzazione, proprietà Carattere)

    Interno ID: Carattere

    Carattere

    Selezione del tipo di carattere per il testo dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Carattere

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Selezionare

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Selezionare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli oggetti vengono selezionati con un clic del mouse. Per selezionare più oggetti:

  • tenete premuto il tasto Shift oppure Ctrl
    oppure
  • trascinate con il mouse un rettangolo di aggancio.

Per deselezionare un oggetto in caso di multiselect, cliccate su di esso tenendo premuto il tasto Ctrl .

Modificare la successione di selezione:

se degli oggetto devono essere ordinati in una successione, serve da punto di riferimento l´oggetto selezionato per primo. Riconoscete visualmente l´oggetto che funge da punto di rifermento perché i suoi punti di appiglio sono riempiti per la loro intera superficie. Per fare di un altro oggetto l´oggetto di riferimento:

  1. Tenete premuto il tasto Shift;
  2. cliccate con il mouse sull´oggetto che deve fungere da riferimento.

Allineamento di un oggetto selezionato:

Informazioni più dettagliate su come allineare oggetti, le trovate nel capitolo Editor/Barre simboli/Allineamento oppure in quello Editor/Barra menu/ Modifica


Scalare, centrare e zoom

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Scalare, centrare e zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Scalare

Potete scalare gli elementi in due modi:

  1. in modo proporzionale: tenete premuto il tasto Shift mentre scalate;
  2. Intorno al centro: tenete premuto il tasto Alt;

Indicazione: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Interno ID: Scalare, centrare e zoom

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento. Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:
- rifletti
- ruota di +/- 90°
- scalare con tasti freccia

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Scalare simboli:

se un simbolo contiene un elemento Testo statico e in questo elemento è inserito un carattere in modalità scollegata, questo carattere:

  • viene scalato nell´Editor
  • non viene scalato nel Runtime

Questo vale solamente per i simboli. In tutti gli altri casi, il testo scollegato non viene scalato né nell´Editor, né nel Runtime.

Centrare

Usando H, l'oggetto selezionato viene posto al centro del settore dello schermo in cui si lavora.

Zoom

Se volete avere ulteriori informazioni sullo zoom delle immagini, leggete il capitolo Barra simboli Immagini (Guida: editor).


Combinazioni di tasti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Conbinazioni di tasti per l'editor della grafica:

Indicazioni sulle combinazioni di tasti: il segno di più (+) significa che i tasti vanno premuti insieme.
Ad esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione tasti
Finestra principale: scrollare contenuti con mano per trascinamento | tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri proprietà | Alt+Invio

Seleziona

Comando

Combinazione tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di multiselect

Ctrl+Clic del mouse

Selezione: modifica successione. definisce l´elemento nei confronti del quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Selezionare prossimo elemento nella successione della creazione.

Tab

Selezionare elemento precedente nella successione della creazione.

Shift+Tab

Posizionare

Comando | Combinazione tasti
Spostare oggetto selezionato | Tasti con frecce
Spostare di 10 pixel per ogni pressione sul tasto con frecce | Shift+Tasto freccia
Spostare solamente orizzontalmente oppure solo verticalmente | Tenere premuto Shift al momento di effettuare lo spostamento.
Centrare un oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione tasti
Salva modifiche. | Ctrl+S
Inserisce elemento proveniente dagli appunti | Ctrl+V Shift+Ins
aggiunge elementi preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia gli elementi selezionati | Ctrl+C Ctrl+Ins
Copia invece che spostare | Tenere premuto Ctrlal momento di effettuare lo spostamento.
Cancella un elemento selezionato | Del
Taglia un elemento selezionato | Shift+TCanc Ctrl+X
Annulla modifiche | Ctrl +Z Alt+Backspace
Aggiungi o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa un segno pulsante (+). Cancella: il cursore del mouse diventa il segno meno (-). Funziona con polinea, poligoni e elementi tubature. | Ctrl+Shift
Termina disegno di polilinea e poligoni | S
Termina disegno di polilinea e poligoni e cancella l´ultima area parziale disegnata | Esc
Colloca elementi selezionati al livello superiore | +
Colloca elementi selezionati al livello inferiore | -
Porta elementi selezionati in primo piano | Ctrl++
Porta elementi selezionati sullo sfondo | Ctrl+-

Scalare

Comando

Combinazione tasti

Modifica grandezza

Posizionare il cursore del mouse sul punto di aggancio in modo tale che esso prenda la forma di una freccia. Poi, facendo uso dei tasti con le frecce si può procedere a stabilire la posizione con grande precisione tenendo premuto il tasto Shift in passi di 10 pixel.

Indicazione: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Interno ID: Combinazioni di tasti

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento. Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:
- rifletti
- ruota di +/- 90°
- scalare con tasti freccia

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Scalare oggetto in riferimento al punto centrale:

Tenere premuto Altal momento di effettuare lo spostamento.

Scalare in modo proporzionale:

Tenere premuto Shift al momento di scalare.


Assegnare un tasto ad un elemento di controllo

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Assegnare un tasto ad un elemento di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi gestibili di un´immagine possono essere collegati con una combinazione di tasti ed essere gestiti nel runtime usando la tastiera. Ciò vale ad esempio per:

  • eseguire elementi di controllo e funzione assegnata, come stampa, muovi immagine ecc.
  • Setta valore impostabile (per es.nel caso di un interrutore)
  • settare il focus per determinate finestre (per es. lista curve nel trend esteso oppure combobox nel manager gruppi ricette)

Durante il runtime si può eseguire la funzione di gestione dell´elemento usando la tastiera.

Per assegnare un tasto a un elemento di controllo:

  1. selezionate l´elemento di controllo
  2. passate alla proprietà Combinazione tasti (Proprietà oggetto -> Runtime -> Gestione funzionamento da tastiera)

    Interno ID: Assegnare un tasto ad un elemento di controllo

    Gestione funzionamento da tastiera

    Proprietà per la gestione online dell'elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Assegnare un tasto ad un elemento di controllo

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Assegnare un tasto ad un elemento di controllo

    Combinazione tasti

    Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

    - esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
    - Settare valore impostabile (per es. con interruttore)
    - Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

    Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. cliccate sul pulsante ... oppure nel campo di inserimento
  4. si aprirà il dialogo per fissare la combinazione di tasti

Parametri | Descrizione
Combinazione tasti | Inserimento della combinazione di tasti. Cliccate nel campo e premete il tasto desiderato, oppure la combinazione di tasti desiderata, per es.: A. la combinazione di tasti verrà visualizzata nel campo di inserimento
X | Cancella la successione di caratteri nel campo di inserimento.
OK | Accetta la combinazione di tasti e chiude il dialogo.
Annulla | Rifiuta inserimento/modifiche e chiude il dialogo.
Guida | Attiva la guida online


Sostituisci collegamenti di variabili e funzioni

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se devono venire sostituite contemporaneamente molte variabili e funzioni, Vi consigliamo di usare la sostituzione automatica per:

  • Sostituisci collegamenti nell´immagine Editor
  • Sostituisci collegamenti al momento del cambio immagine
  • Sostituisci indice
  • Simboli collegati

Come utilizzare al meglio la sostituzione automatica nell´ambito della progettazione, potete apprenderlo consultando la guida relativa a Progettare con efficienza con zenone in particolare la sezione Riutilizzare elementi.


Convenzioni di nomenclatura

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, la loro denominazione dovrebbe essere sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In modo tale, non Vi limitate a rendere piú semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il Reverese Engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Ad esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • AKZ (Anlagenkennzeichnungssystem), per i dettagli vedi http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Power Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio: KKS.

In un progetto realizzato per il settore energetico, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS. Una varabile dotata della denominazione C01_MDY10-QA001_QA07 ha il seguente significato:

  • Windenergieanlage C01 (Reihe C, Nr. 1)
  • Windturbinensteuerung MDY10, Leistungsteil QA001,
  • Leistungsschutz QA07


Sostituisci collegamenti nell´immagine Editor

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti nell´immagine Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile / funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora. La sostituzione basata sulle regole funziona anche per diversi elementi in un´immagine contemporaneamente e per elementi con simboli scollegati.

Interno ID: Sostituisci collegamenti nell´immagine Editor

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamenti nell´immagine Editor

Lampeggio

Proprietà per il lampeggio degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamenti nell´immagine Editor

Visibilità

Proprietà per la visibilità degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamenti nell´immagine Editor

Variabile / funzione

Proprietà per la varaibile o funzione collegata con l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menu contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti
  3. si apre il dialogo che serve a sostituire i collegamenti

Proprietà | Descrizione
Origine | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Accetta | cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccare due volte sulla variabile sorgente corrispondente.

sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • definite facendo uso del campo di inserimentodestinazione i parametri per le nuove variabili/funzioni.
  • Fissate per mezzo di Nome/identificazione,ciò che deve essere cambiato.
  • Cliccate su Applica

Più inserimenti vengono divisi mediante un punto e virgola (;).

Esempio:

Sorgente: A;b

Destinazione: C;d

Info Informazioni

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un altro progetto come variabile o funzione sorgente.

attenzione Attenzione

A momento di effettuare la sostituzione, fate attenzione al tipo e alla risoluzione del segnale. Se sostitutite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. Al momento di effettuare la sostituzione, il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

Info Informazioni

Sostituzione per Drag&Drop: gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag& Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.


Sostituisci collegamenti al momento del cambio immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti al momento del cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Variabili o funzioni collegate in uno o più elementi, ma anche Alias di ALC possono essere sostituite al momento del cambio immagine. In questo caso, gli elementi dell´immagine non vengono sostituiti in modo durevole, ma collegati durante il runtime al momento di un cambio immagine.

Per sostituire dei collegamenti al momento di un cambio immagine:

  1. progettate una nuova funzione Cambio immagine.
  2. se l´immagine contiene degli elementi sostituibili, si aprirà il dialogo che serve ad effettuare la sostituzione
  3. assegnate la funzione ad un pulsante per poter eseguire il cambio immagine durante il runtime

Proprietà | Descrizione
Origine | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Accetta | cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccare due volte sulla variabile sorgente corrispondente.

sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • definite facendo uso del campo di inserimentodestinazione i parametri per le nuove variabili/funzioni.
  • Fissate per mezzo di Nome/identificazione,ciò che deve essere cambiato.
  • Cliccate su Applica

Più inserimenti vengono divisi mediante un punto e virgola (;).

Esempio:

Sorgente: A;b

Destinazione: C;d

Info Informazioni

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un altro progetto come variabile o funzione sorgente.

attenzione Attenzione

A momento di effettuare la sostituzione, fate attenzione al tipo e alla risoluzione del segnale. Se sostitutite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. Al momento di effettuare la sostituzione, il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

Info Informazioni

Sostituzione per Drag&Drop: gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag& Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.

Sostituisci inteblocchi

Nel dialogo compaiono, accanto alle variabili direttamente collegate all´immagine, anche tutte le variabili degli interblocchi usati in questa immagine. Fra queste ultime abbiamo anche la variabile risultante di un interblocco. Quelle variabili che sono state collegate sia con elementi dell´immagine che con interblocchi della immagine, sono visualizzate nel dialogo solo una volta.

Nel runtime vengono sostituite le variabili da rimpiazzare per tutti gli interblocchi che usano queste variabili. Accanto alle variabili normalmente collegate con l´interblocco, vengono sostituite anche le variabili risultanti per l´immagine collegate con l´interblocco.


Sostituisci indici

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si verifica un cambio immagine durante il runtime, le variabili possono essere sostituite in modo dinamico (virtuale) tramite regole di indicizzazione. Dei valori di variabili possono essere usati come parte della regola di sostituzione.

attenzione Attenzione

Visto che i nomi vengono sostituiti, le variabili e le funzioni devono essere sempre nominate in modo differente. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio:

esistono una variabile "test" e una funzione "test" e la variabile "test" deve essere sostituita; in questo caso lo sarebbe anchen la funzione che porta lo stesso nome.

Consiglio: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

Per progettare la sostituzione di indici:

  1. nel campo Sorgente della Replacement preview sono visualizzate tutte le variabili e le funzioni usate nell´immagine.
  2. Cliccate con il tasto sinistro del mouse sulla variabile o la funzione per la quale avete deciso di creare una regola di indicizzazione.
  3. La variabile/funzione viene inserita nell´area regola di indicizzazione nel campo sorgente e destinazione.
    in alternativa, potete inserire anche direttamente la variabile/funzione desiderata nel campo Sorgente nelle Regole di indicizzazione.
  4. Definite la regola di indicizzazione.
    La parte dinamica della regola viene inserita nel tipo particolare di parentesi che vedete di seguito: per es. {X01}.

    Esempio:

    la variabile sorgente Motor1.drehzahl viene sostituita da quella di destinazione Motor{X01}.drehzahl.
    Il carattere jolly X01 viene sostituito durante il Runtime dal valore corrispondente della variabile indice.
    La regola di sostituzione sarebbe in questo caso:

    Sorgente: Motor1

    Destinazione: Motor{X01}

  5. Inseritela nella lista delle regole di indicizzazione cliccando con il tasto sinistro del mouse su Aggiungi regola.
  6. In questa lista vengono visualizzate tutte le regole di indicizzazione impostate.
  7. Con i pulsanti con il simbolo della freccia, potete modificare la successione degli inserimenti.

    Attenzione: le sostituzioni vengono elaborate nella successione della loro rappresentazione nella lista!

  8. Le variabili che non sono presenti nell´immagine, ma che vengono usate nella sostituzione, possono essere inserite usando il pulsante Aggiungi variabile... nella finestra Variabili di indicizzazione.
  9. Le variabili inserite in questa lista vengono conservate sempre nella memoria in modo tale che non si verifichino delle attese inutili al momento dell'apertura dell'immagine.

Info Informazioni

Per il carattere sostitutivo * valgono le stesse regole di Sostituisci collegamenti'

attenzione Attenzione

Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi che non dispongono di un buon hardware ciò può portare a dei ritardi nel cambio immagine.
In un progetto di rete, le variabili indice dovrebbero essere settate sempre su DDE attivo.

Attribuzioni valide per diversi progetti

Se la destinazione si trova in un altro progetto rispetto alla sorgente, ciò può essere indicato dal sistema mediante il simbolo '#'.

Esempio Esempio

Sorgente: VAR_1

Destinazione: VAR_1 in Projekt_1

Perciò indicate come sorgente VAR_1 e come destinazione Projekt_1#VAR_1.

Sorgente: UNTERPROJEKT1#VAR_1

Destinazione: {X01}VAR_1

La variabile indice X01 è una variabile stringa e ha durante il Runtime il nome progetto incluso # come valore, per es. "UNTERPROJEKT4#".


Esempio "Sostituisci variabile in modo basato sulle regole"

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Esempio "Sostituisci variabile in modo basato sulle regole"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutte le variabili il cui nome contiene "Serbatoio1" devono essere sostituite con variabili con "Serbatoio4".

  1. Indicate nel campo di testo Fonte "Tank1". Mettete il segno * alla fine di ogni variabile che inizia con "Tank1".
  2. Indicate nel campo di testo Destinazione "Tank4".
  3. Cliccate su Applica.
  4. Le variabili Tank1_max e Tank1_min vengono sostituite con quelle "Tank4_max e Tank4_min.


Grafica di sfondo

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Grafica di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. La funzionalità è analoga a quella che si vede per la grafica di sfondo del desktop di windows.

Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

Possono essere usati dei file grafici che sono già disponibili nel progetto nell´area file/grafici. Vedi in: File.

Cosiglio: se volete usare per più immagini la stessa grafica di sfondo, la potete fissare già nei modelli. Vedi in: Grafiche di sfondo con modelli

Cosiglio: in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.


Funzioni Dialogo di selezione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Funzioni Dialogo di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda delle´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automaticamente
    • selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Dialogo selezione variabili

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Dialogo selezione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al fine di selezionare delle variabili, viene aperto un dialogo filtrato:

Un consiglio: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Le variabili possono anche essere utilizzate contemporaneamente per diversi progetti.

Collegamento di una variabile

Gli elementi che possono essere collegati solamente con una singola variabile, aprono il seguente dialogo:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Il collegamento può essere realizzato in due modi:

  • cliccando due volte sulla variabile desiderata. In questo caso, il dialogo viene chiuso automaticamente.
  • Con la selezione della variabile desiderata e con la conferma realizzata cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • Le variabili già collegate vengono disconnesse (per es. variabili charge collegate nel server archivi).

Indicazione: se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • avete selezionato un filtro e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga filtro è inserito un filtro. L´informazione sugli elementi filtrati inserita sotto la finestra di selezione è un ulteriore aiuto per il controllo dei filtri impostati.
  • Il dialogo viene aperto filtrato dall´editor e la variabile non corrisponde a questo filtro. L´apertura filtrata si verifica se sono ammissibili solo determinati tipi di dato, come, per esempio, se non possono essere collegate delle variabili string in corrispondenza ad un elemento dinamico Valore numerico.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

attenzione Attenzione

Generalmente il dialogo permette la selezione di più variabili facendo uso delle combinazoni di tasti comuni di Windows, ma in questo stadio si può collegare solamente una variabile. Nel caso di una selezione multipla, solo la prima variabile selezionata viene attribuita all´elemento.

Collegamento di più variabili.

Gli elementi che possono essere collegati con più variabili, aprono il seguente dialogo:

Elemento

Descrizione

Struttura ad albero del progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione variabili in base a:

  • cliccando due volte, la variabile selezionata viene aggiunta alla lista variabili.
  • Con Drag&Drop, la variabile selezionata può essere trascinata nella lista variabili.
  • Selezionare le variabili desiderate. Con l´aiuto del tasto Ctrl- oppure di quello Shift è possibile selezionare allo stesso tempo più variabili. Cliccando su Aggiungi,le variabili selezionate vengono riprese nella lista variabili.

Lista variabili

Ordina tutte le variabili selezionate in una lista.

Aggiungi

Aggiunge la variabile attualmente selezionata nella finestra di selezione alla lista variabili.

Rimuovi

Rimuove la variabile selezionata nella lista variabili dalla lista.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • determinati collegamenti, come variabili charge nell´archiviazione, possono essere sciolte.

Indicazione: se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • avete selezionato un filtro e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga filtro è inserito un filtro. L´informazione sugli elementi filtrati inserita sotto la finestra di selezione è un ulteriore aiuto per il controllo dei filtri impostati.
  • Il dialogo viene aperto filtrato dall´editor e la variabile non corrisponde a questo filtro. L´apertura filtrata si verifica se sono ammissibili solo determinati tipi di dato, come, per esempio, se non possono essere collegate delle variabili string in corrispondenza ad un elemento dinamico Valore numerico.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

Modifica variabile collegata

Selezionate nel menu contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Modelli

Manuale -> Immagini -> Modelli

I modelli costituiscono la base per il layout delle finestre e delle immagini visualizzate durante il runtime. Essi strutturano la visualizzazione sullo schermo e determinano la posizione di finestre e immagini. Ogni immagine viene assegnata ad un modello e viene visualizzata sulla base dell´aera di schermo definita nel modello stesso.

I modelli definiscono le proprietà generali delle finestre, come posizione, grandezza, aspetto e possibilità di manipolazione durante il runtime. Modelli:

  • offrono una visione generale su tutte le aree immagini definite in un progetto
  • Possono essere configurate liberamente facendo uso della proprietà Definizione libera modelli.

    Interno ID: Modelli

    Definizione libera modelli

    Non disponibile se Modello a forma libera è attiva.

    Interno ID: Modelli

    Modello a forma libera

    Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

    Attiva: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.

    Disattivata: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

    Default: non attiva.

    Indicazione: non è disponibile per il modello Barra stato allarmi e neanche sotto CE.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Consentono l´attribuzione di speciali funzioni a tutte le immagini eistenti in un modello, per esempio:

    immagine indietro, setta focus sul modello, elimina focus dal modello, chiudi modello, ripristina lampeggio allarmi, stampa screenshot.

  • Modificano tutte le immagini che si basano su questo modello.
  • Le immagini vengono visualizzate nel runtime sempre nella stessa dimensione e al posto definito dello schermo e non possono essere spostate a piacere.
  • Nel caso di perdita del focus, i modelli possono essere chiusi automaticamente nel runtime.
  • Le immagini all’ interno di un modello sono sostituibili a piacere nel funzionamento online.

Info Informazioni

Se, quando si crea un´immagine, non esiste ancora un modello, zenon crea automaticamento un modello di default, che comprende tutto lo schermo.

menu contestuale - manager di progetto

Punto di menu | Azione
Nuovo modello | Crea un nuovo modello.
Apri editor dei modelli | Apre l´editor dei modelli nella finestra principale e mostra nella visualizzazione dettagliata la lista dei modelli.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML. Indicazione:Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo Modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Guida | Attiva la guida online

Crea modello

Per creare un modello:

  1. selezionate nel manager di progetto nel nodo Immagini la voce Modello
  2. selezionate nel menu contestualeCrea nuovo modello
  3. Viene impostato un nuovo modello
    La dimensione di partenza viene determinata sulla base della grandezza del display e può essere definita nella gestione monitor. (Proprietà di progetto ‑> Aspetto grafico ‑> Configurazione monitor)

    Interno ID: Modelli

    Configurazione monitor

    Si aprirà il dialogo di configurazione per la gestione monitor.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Modelli

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Cliccate nel nuovo modello e trascinatelo facendo uso dei punti di appiglio finché non avrà raggiunto la dimensione desiderata.
  5. Posizionate il modello nella posizione desiderata della finestra.
  6. Definite nella finestra delle proprietà quelle che desiderate per il nuovo modello.

attenzione Attenzione

I modelli nel progetto globale e nel sottoprogetto devono essere denominati in modo diverso.

Esempio Esempio

Nel progetto complessivo devono esistere tre settori:

  • sul margine superiore dello schermo una riga con orario e logo.
    Per questo settore viene definito un modello "Intestazione". Esso definisce la grandezza e la posizione dell´intestazione.
  • Sul margine inferiore dello schermo abbiamo una riga di menu.
    Viene impostato un modello "Riga di menu".
  • Fra immagini impianto.
    Viene impostato un modello "immagine apparente".

I modelli vengono aperti sempre in un posto definito in una dimensione definita. Tutte le immagini impostate in successione vengono attribuiti ad uno di questi modelli e aperti in essi durante il Runtime. Nel caso in cui vogliate modificare l´organizzazione dello schermo, perché, per esempio, volete che la riga di menu appaia adesso in alto e l´intestazione come pie`di pagina, dovete cambiare la posizione del modello. Le immagini contenute nel modello seguono lo spostamento automaticamente.


Modello Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Immagini -> Modelli -> Modello Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Punto di menu | Azione
Nuovo modello | Aggiunge un nuovo modello alla lista e setta il focus su questo inserimento.
Apri editor dei modelli | Apre l´editor dei modelli nella finestra principale
Definisci libera forma di modelli | Passa alla finestra principale per la definizione di una forma modello libera
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML. Indicazione:Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo Modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Editor dei modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli

Nell´editor del modelli definite e posizionate tutti i modelli.

attenzione Attenzione

Nell´editor dei modelli non è possibile annullare delle azioni. Il punto di menu Annulla (Ctrl+Z) non è disponibile.


Apri l´editor dei modelli.

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Apri l´editor dei modelli.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aprire l´editor dei modelli:

  • cliccate due volte sul modello desiderato nel Manager di progetto nella visualizzazione dettagliata per i modelli.

    oppure

  • scegliete Manager di progetto -> Modelli -> Menu contestuale -> Apri editor modelli

Le dimensioni che caratterizzano la visualizzazione nell´editor dei modelli dipendono dalla grandezza dello schermo impostata nella gestione monitor. (Vedi capitolo: Gestione monitor. Se si modifica l´impostazione del monitor in un secondo momento, l´editor dei modelli deve essere riaperto; solo in questo caso esso tiene conto della nuova impostazione monitor.

Il modello rosso per la barra stato allarmi viene creato da zenon per ogni progetto automaticamente e viene collocato sul margine superiore dello schermo. La sua posizione, però, può essere modificata facendo uso delle proprietà nel gruppo Posizione. A tale scopo, la proprietà deve essere disattivata Utilizzare posizione standard.

Interno ID: Apri l´editor dei modelli.

Utilizzare posizione standard

- attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Apri l´editor dei modelli.

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Visualizza modelli nell´editor del modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Visualizza modelli nell´editor del modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I modelli possono essere mostrati e nascosti nell´editor dei modelli nelle seguente modalità:

  • proprietà Visualizza nell'Editor dei modelli:
    attiva: mostra il modello.

    Interno ID: Visualizza modelli nell´editor del modelli

    Visualizza nell'Editor dei modelli

    Attivo: Il modello prescelto viene visualizzato nell'Editor dei modelli.
    Disattivato: Il modello prescelto non viene visualizzato nell'Editor dei modelli.
    Default: inattivo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Drag&Drop:
    invisibile: trascina il modello al di fuori della finestra principale
    visibile: trascinare il modello dalla visualizzazione dettagliata nella finestra principale.
  • Visualizzazione dettagliata -> Visuale nell´editor dei modelli:
    invisibile: Disattiva la Checkbox
    visibile: attiva la checkbox

Le informazioni che riguardano il nome e la posizione del modello le potete leggere nell´angolo in alto a sinistro del modello, ma anche sotto forma di tooltip se muovete il puntatore del mouse sul modello.

Info Informazioni

Un menu di sistema oppure una barra di stato allarme vengono tenuti in considerazione automaticamente nell´editor del modelli e vengono sempre visualizzati. In tal modo si evita che un modello posizionato in modo errato possa coprire delle informazioni importanti durante il funzionamento runtime.


Creare nuovi modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un nuovo modello, avete due possibilità:

  • crea un nuovo modello:
    Manager di progetto -> Modelli -> Menu contestuale -> Crea nuovo modello oppure Visualizzazione dettagliata modelli -> Menu contestuale -> Nuovo modello

    In tal modo viene impostato un nuovo modello standard nella dimensione definita nelle proprietà del monitor.

  • Trascina un nuovo modello: Finestra principale-> Menu contestuale -> Trascina un nuovo modello

    Il puntatore del mouse diviene un quadrato nero con una croce nell´angolo sinistro in alto; esso funge da punto di partenza. Servendovene potete trascinare il modello nella posizione desiderata nella dimensione da Voi stessi definita.

Posizionare i modelli

Posizione e orientamento di un modello o di un gruppo di modelli selezionati possono essere scelti facendo uso del menu contestuale Allinea.

Ordina sulla base di punti di connessione

Se si è attivata l'opzione "usa punti di connessione (vedi capitolo Editor, sezione Impostazioni), i punti di connessione di un modello si attaccano a quelli dei altri modelli. Ma i modelli possono aderire anche al margine dello schermo e alla barra degli allarmi, se visibile (e se essa è stata attivata nel processo).


Modello con forma libera

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli -> Modello con forma libera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete adattare ai Vostri desideri la forma del modello facendo uso della proprietà Modello a forma libera. Dopo aver attivato questa proprietà, passate a una delle seguenti forme dell´editor dei modelli:

Interno ID: Modello con forma libera

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

Attiva: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.

Disattivata: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: non attiva.

Indicazione: non è disponibile per il modello Barra stato allarmi e neanche sotto CE.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate sul pulsante della proprietàDefinizione libera modelli

    Interno ID: Modello con forma libera

    Definizione libera modelli

    Non disponibile se Modello a forma libera è attiva.

    Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Cliccate sul simbolo corrispondente nella Barra simboli del modello.
  • Selezionate l´inserimento di menu Forma modello libera definito nel Menu contestuale al momento della selezione modelli.
  • Selezionate l´inserimento di menu Forma modello libera definito nel Menu contestuale nell´editor dei modelli.
  • Cliccate due volte su un modello nell´editor dei modelli.

Qui potete creare liberamente il modello servendovi degli elementi Rettangolo,Cerchio, Rettangolo arrotondato e Poligono.

Info Informazioni

Modello a forma libera non è disponibile:

  • per il modello Barra stato allarmi
  • sotto Windows CE

Se la proprietà Definizione libera modelli viene disattivata, una forma modello libera già esistente non viene visualizzata né nell´editor modelli, che in quello delle immagini.

Facendo uso della proprietà Visualizzazione piatta potete stabilire in quale misura il singolo elemento influenza l´aspetto del modello. Ci sono inoltre queste impostazioni a disposizione:

Interno ID: Modello con forma libera

Visualizzazione piatta

Stabilite quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Copri: la superficie dell´elemento viene usata come settore immagine.

Taglia: la superficie dell´elemento viene cancellata dalle superfici che si trovano sotto.

Collegamento OR: a seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Indicazione: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
Copri | La superficie dell´elemento viene usata come settore immagine.
Taglia | La superficie dell´elemento viene cancellata dalle superfici che si trovano sotto. In tal modo potete creare, ad esempio, dei "buchi" nel modello.
Collegamento OR | A seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Info Info

L´uso delle superfici si riferisce sempre a quelle che si trovano sotto l´elemento. Quando per esempio un elemento sovrapposto viene disegnato sopra un elemento tagliato, l’area viene visualizzata come riempita Se invertite la successione, l´elemento tagliato viene tolto da quello sovrapposto.


Posizionamento durante il runtime

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Posizionamento durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I modelli possono essere aperti durante il runtime in una posizione fissa, oppure in una posizione definita in modo relativo. Così, per esempio, è possibile posizionare le immagini Keyboard, oppure quelle popup dove si trova il puntatore del mouse, oppure l´elemento che provoca la comparsa di tali immagini. I modelli possono essere aperti durante il runtime:

  • in una posizione assoluta.
  • In relazione alla posizione del mouse.
  • relativo all'elemento

Sia la posizione assoluta che quella relativa vengono definite nelle proprietà.

Conserva la posizione alla prossima apertura

Le finestre riprendono la loro posizione sullo schermo sempre dal modello. Nel caso in cui si progettino delle immagini-popup e nel caso le si sposti durante il funzionamento runtime, al momento della prossima esecuzione della funzione di cambio immagine, l´immagine pop-up viene portata nella posizione progettata. Con l´aiuto della proprietà Mantieni posizione alla riapertura si può stabilire che il modello deve conservare la sua posizione finché è aperto, indipendentemente dai cambi immagine. Se la proprietà è attiva:

Interno ID: Posizionamento durante il runtime

Mantieni posizione alla riapertura

attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • se un´immagine viene aperta nel runtime in un modello manualmente spostato, la posizione di quest´ultimo viene conservata anche nel caso di un nuovo cambio immagine.
  • Se un´altra immagine viene aperta nello stesso modello, viene conservata la posizione di quest´ultimo. Ciò vale anche per l´apertura sostituita.

In tal modo si può usare su ogni client un´altra posizione per il modello, visto che viene sempre salvata la posizione locale.

Posizione assoluta

Il modello viene aperto sempre in corrispondenza di coordinate definite in modo fisso. In concomitanza di tutti i cambi immagine, che vengono effettuati automaticamente dal sistema, come, ad esempio, mediante la gestione tempo o la violazione di valore limite, viene applicata la posizione predefinita sullo schermo.

Posizionamento relativo

Il posizionamento relativo si adatta in modo particolare per l'apertura di popup, di immagini tastiera oppure di immagini comando. Essa è possibile per tutti i cambi immagine, indicazioni di valore impostabile con immagini Keyboard definite liberamente e tutte quelle immagini di comando, che vengono iniziate manualmente dall´utente. Non importa se l'azione viene attivata mediante una funzione di cambio immagine, una funzione "setta valore impostabile" o direttamente attraverso un elemento. Il posizionamento relativo è a Vostra disposizione nei seguenti casi:

  • elementi dinamici, ai quali si può attribuire una funzione.
  • Elementi dinamici mediante i quali si può settare un valore impostabile (pulsanti, elemento combinato).
  • Menu principali e contestuali
  • della funzione specifica per immagini "Esegui funzione" nell´immagine Lista allarmi.

Il posizionamento relativo funziona anche in chiamate funzioni incastrate, cioè quando "Cambio immagine" o "Setta valore impostabile" vengono attivate mediante uno script. Se nel caso del posizionamento relativo un'immagine dovesse andare oltre il bordo dello schermo, essa viene posizionata automaticamente al bordo del monitor. Ciò vale anche nel caso della gestione monitor, cosicché un'immagine non può invadere anche uno schermo vicino.

Relativo all'elemento

Posiziona il punto di riferimento del modello relativamente all'elemento da cui è iniziato il cambio immagine (per es. un pulsante oppure un elemento Combi). Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi.

Fissate anzitutto un punto di riferimento per il Vostro modello e poi la posizione desiderata rispetto all´elemento. Sono disponibili le seguenti impostazioni:

Proprietà | Valore
Punto di riferimento elemento verticale | giù
 | su
Punto di riferimento Elemento orizzontale | sinistra
 | destra
Spostamento verticale in pixel | Indicate lo spostamento desiderato
Spostamento orizzontale in pixel | Indicate lo spostamento desiderato

Posizione alternativa

Impostate in questa sede la posizione alternativa per il punto di riferimento del modello e il punto di riferimento sull'elemento. Per fissare la posizione preferita, dovete procedere allo stesso modo utilizzato per fissare la posizione alternativa. La posizione alternativa viene utilizzata se il modello non viene aperto ella posizione preferita.

Relativo al puntatore

L´immagine viene visulizzata sullo schermo in relazione alla posizione del puntatore del mouse. Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento. Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Fissate il punto di riferimento del modello facendo uso delle due proprietà Punto di riferimento modello verticale e Punto di riferimento modello orizzontale. Il punto di riferimento viene evidenziato mediante un punto rosso sul modello. Sono disponibili le seguenti impostazioni:

Proprietà | Valore
Punto di riferimento modello verticale | su
 | giù
 | centrato
Punto di riferimento modello orizzontale | sinistra
 | destra
 | centrato

Esempio Esempio

Avete a disposizione un pulsante che si trova sul bordo destro dello schermo e perciò posizionate una finestra popup alla destra di esso.

  • Punto di riferimento Elemento: a destra / centrato
  • Punto di riferimento modello: a sinistra / centrato.

Durante il funzionamento Runtime, la finestra popup viene aperta a destra del pulsante esattamente al centro. La finestra popup non andrà a coprire il pulsante.

Usate lo stesso modello anche per un pulsante che si trova sul bordo sinistro dello schermo. La finestra popup non potrebbe più essere aperta in modo completo a destra. Per questo motivo si utilizza una posizione alternativa. A tal scopo fissate il

  • punto di riferimento alternativo per l´elemento: a sinistra / centrato.
  • Fissate il punto di riferimento del modello a a destra/ centrato.


Cancellazione di modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Cancellazione di modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cancellare dei modelli potete:

selezionare uno o più modelli con il mouse e scegliere nel menu contestuale cancella, oppure premere il tastoCanc

selezionare uno o più modelli nella visualizzazione dettagliata e scegliere nel menu contestuale cancella, oppure premere il tastoCanc

Prima della cancellazione, il sistema chiede una conferma.

attenzione Attenzione

La cancellazione di modelli non può essere annullata.


Fissare grafiche di sfondo con modelli

Manuale -> Immagini -> Modelli -> Fissare grafiche di sfondo con modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Il posizionamento avviene mediante proprietà; uno spostamento libero non è possibile. Possono essere usati dei file grafici che sono già disponibili nel manager di progetto nell´area file/grafici.

Se volete usare per più immagini la stessa grafica di sfondo, essa deve essere definita nel modello dell´immagine:

  1. selezionate nelle proprietà del modello nel nodo Immagine di sfondo la proprietà File grafico

    Interno ID: Fissare grafiche di sfondo con modelli

    File grafico

    Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
    Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Fissare grafiche di sfondo con modelli

    Immagine di sfondo

    In ogni immagine può essere visualizzata una grafica sullo sfondo. Grafiche di sfondo per modelli vengono assegnate automaticamente a tutte le nuove immagini che si basano su questo modello. Per quello che concerne le immagini già esistenti, devono essere adattate manualmente in un secondo momento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. selezionate un file del nodo file/grafici nel manager di progetto.
  3. Fissate la posizione con la proprietà Orientamento.

    Interno ID: Fissare grafiche di sfondo con modelli

    Orientamento

    Disponibile solamente dopo che è stato selezionato un File grafico:

    Possibili modalità di rappresentazione:
    affiancato: grandezza originale, affiancato.

    Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

    normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
    Centrato: Grandezza originale, centrato al centro dell´immagine.

    Default: normale:

    non è possibile uno spostamento a piacere.

    Indicazione: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questo file grafico viene usato con le immagini che vengono impostate con questo modello. Resta però la possibilità di fissare per ogni singola immagine un file grafico come immagine di sfondo.

Attenzione! il file grafico viene salvato con le immagini. Una modifica del file grafico oppure il suo orientamento nel modello si ripercuote solamente sulle immagini di nuova creazione. Per quello che concerne le immagini già esistenti, invece, questa modifica deve essere realizzata manualmente.


Engineering distribuito con i modelli

Manuale -> Immagini -> Modelli -> Engineering distribuito con i modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella gestione multi-utente sono stati implementati tutti i meccanismi conosciuti volti a permettere la effettuazione e l'assunzione di modifiche. A differenza delle immagini, nell'editor dei modelli ogni modello viene trattato in modo separato e non viene permessa la modifica di tutta "l'immagine". I modelli per i quali non sono permesse modifiche di sosrta, sono segnalati da un bordo punteggiato.


Modello principale

Manuale -> Immagini -> Modelli -> Modello principale

Mediante la variabile Ultima immagine aperta possono essere visualizzati nel driver di sistema dei modelli, che erano aperti subito prima. Quali modelli vengono visualizzati, viene fissato per mezzo della proprietà Modelli primari nel manager di progetto (Aspetto grafico, Durata Runtime). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione dei modelli.

Interno ID: Modello principale

Durata Runtime

Contiene le impostazioni per il runtime.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Modello principale

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Modello principale

Modelli primari

Nome dei modelli che vengono indicati nella variabile Ultima immagine aperta del driver di sistema. Cliccando su '...', si apre il dialogo per la scelta dei modelli.

Indicazione: questa proprietà ha effetto anche sulla funzione Immagine indietro.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Si può selezonare diversi inserimenti con il tasto Ctrl + e cliccando con il mouse oppure shift + e clicccando con il mouse . Cliccando su OK si conferma la selezione.

Info Informazioni

Questa proprietà ha effetto anche sulla funzione Immagine indietro.


Effetti per modelli

Manuale -> Immagini -> Modelli -> Effetti per modelli

I modelli possono essere dotati anche di effetti.

Ulteriori effetti per gli elementi d´immagine li trovate nel capitolo Effetti per elementi d´immagine.


Accentuare il modello

Manuale -> Immagini -> Modelli -> Effetti per modelli -> Accentuare il modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il comando Accentuare il modello si può mettere in evidenza un´immagine per, ad esempio, concentrare l´attenzione su di essa. Il modello su cui si basa l´immagine viene evidenziato colorando l´area rimanente del Runtime. Per l´ambiente del modello dell´immagine vengono definiti un colore e una trasparenza che coprono l´immagine sottostante. Non è possibile accedere all´immagine sottostante e gestirla.

Indicazione: le immagini devono basarsi su modelli differenti di diversa grandezza. Si può aprire solamente un´immagine alla volta con questa proprietà.

Per usare l´effetto, configurate l´immagine che viene aperta sopra un´altra, più grande:

  1. navigate nelle proprietà dell´immagine fino a giungere al gruppo Stile Finestra

    Interno ID: Accentuare il modello

    Stile Finestra

    Proprietà per la dimensione dell’immagine.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Attivate la proprietà Dialogo modale

    Interno ID: Accentuare il modello

    Dialogo modale

    Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
    Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Attivate la proprietà Evidenziare il modello

    Interno ID: Accentuare il modello

    Evidenziare il modello

    Disponibile solo se la proprietà Dialogo modale è stata attivata.

    Attiva: Il modello su cui si basa l´immagine viene evidenziato. L´intera area al di fuori del modello viene colorata facendo uso di un colore e di una trasparenza impostati. L´area del modello evidenziato non viene interessata da questo processo di colorazione. Si può aprire solamente un´immagine alla volta con questa proprietà.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Servendovi della proprietà Colore di sfondo configurate il colore che deve essere usato per l´ambiente dell´immagine attiva.
    Questa proprietà ha effetto sempre sul modello su cui si basa l´immagine.

    Interno ID: Accentuare il modello

    Colore di sfondo

    Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

    Definisce il colore di ambiente del modello su cui si basa l´immagine. Un clic sul comando ... apre il dialogo che serve alla selezione del colore.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Configurate con la proprietà Trasparenza di sfondo la trasparenza per la proprietà Colore di sfondo.

    Interno ID: Accentuare il modello

    Trasparenza di sfondo

    Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

    Definisce la trasparenza di Colore di sfondo del modello su cui si basa l´immagine. Un clic sul comando ... apre lo slider che serve alla definizione della trasparenza.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  6. Progettate per l´immagine un pulsante con il quale potrete poi chiuderla durante il Runtime.

Non appena questa immagine viene aperta mediante un´altra, il settore che si trova intorno al modello dell´immagine stessa viene colorato e l´immagine verrà in tal modo evidenziata dal punto di vista ottico. Si può accedere e gestire solamente questa immagine. Dopo la chiusura dell´immagine, delle altre immagini vengono visualizzate con il colore normale ed è di nuovo possibile accedervi e lavorarci.

Esempio

Viene aperta l´immagine

Una seconda immagine con effetto attivo Accentuare il modelloviene aperta quando la prima è ancora attiva. Tutto quello che si trova al di fuori del modello di questa seconda immagine viene coperto usando il colore definito nella proprietà Colore di sfondo e la trasparenza definita nella proprietà Trasparenza di sfondo:


Tavolozza dei colori

Manuale -> Immagini -> Tavolozza dei colori

Le tavolozze colori consentono di raggruppare dei colori individuali in tavolozze. Potete definire così un set di colori da usare in modo confortevole sua nell´editor che nel runtime. Tutti i colori che sono stati definiti con l´aiuto dei colori tavolozza, possono essere sostituiti facilmente.

La progettazione unificata di un Company Design (CD) è semplicemente configurabile. A seconda delle necessità può essere cambiato completamente il Design (cambiando tavolozza colori) oppure i singoli colori (colore singolo nella tavolozza)

Il concetto di zenon: le modifiche apportate centralmente oppure globalmente facendo uso del progetto globale, possono essere realizzate senza problemi.

Progettazione

Queste tavolozze vengono create nell´editor, possono essere esportate ed importate e nel runtime si può passare dall´una all´altra facendo uso di una funzione. Le tavolozze colori possono essere create sia nel progetto globale che in quello locale. Tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori; il numero dei colori può essere differente fra progetto globale e locale.

Attenzione: nel caso di conflitto durante il runtime, le tavolozze del progetto locale hanno la precedenza.

I colori delle tavolozze possono essere usati dappertutto dove vengono usati dei colori.

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova tavolozza | Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo. .
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Tavolozze Visualizzazione dettagli Barra simboli e Menu contestuale

Manuale -> Immagini -> Tavolozza dei colori -> Tavolozze Visualizzazione dettagli Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli e menu contestuale

No.

Simbolo

Azione

01

Nuova tavolozza

Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo. .

02

Crea una funzione standard

Apre il dialogo che serve a creare una Funzione per cambio tavolozza e attiva automaticamente nella lista a cascata la tavolozza selezionata.

03

Cancella tavolozza

Cancella la tavolozza del colore selezionato. Le tavolozze possono essere cancellate solo una alla volta.

04

Nuovo colore

Imposta un nuovo colore nella forma del colore standard bianco e con il nome standard Color più numero di indice. I nuovi colori vengono creati sempre per tutte le tavolozze del progetto.

Un consiglio: assegnate per il progetto globale e locale dei nomi che possano essere distinti in modo inequivocabile.

05

Cancella colore

cancella il colore selezionato in tutte le tavolozze del progetto.

Indicazione: il comando è attivo solamente se l´ultimo colore è evidenziato in tutte le tavolozze. Perché: può essere cancellato sempre solamente l´ultimo colore di una tavolozza, in modo tale che il numero di indice possa continuare a funzionare. Inoltre, il colore deve essere cancellato per tutte le tavolozze in modo tale che il numero complessivo di colori rimanga identico per tutte le tavolozze.

06

Copiare

copia i colori o le tavolozze selezionati negli appunti.

07

Incolla

Aggiunge tavolozze e colori selezionati provenienti dagli appunti.

08

Torna all'elemento originario

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

09

Tavolozza nell´editor

Apre la lista a cascata con tutte le tavolozze che sono state definite nel progetto locale e globale.

10

Salva

Salva tutte le modifche nelle tavolozze colori.

11

Esporta selezione in XML

Esporta tutte le tavolozze selezionate in un file XML.

12

Importa XML…

Importa degli inserimenti da un file XML.

13

Proprietà

Apre la finestra proprietà.

14

Guida

Attiva la guida online


Crea e modifica tavolozza

Manuale -> Immagini -> Tavolozza dei colori -> Crea e modifica tavolozza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete creare delle tavolozze colori sia a livello globale, che nel progetto locale. Le tavolozze globali sono poi disponibili in tutti i progetti, mentre quelle locali sono a disposizione solamente nel progetto nel quale sono state impostate. Nel caso in cui, al momento di settare le tavolozze, si dovessero verificare dei conflitti nel runtime, quelle del progetto locale hanno la precedenza (vedi anche Tavolozze nel runtime)

Crea tavolozza

Per creare una tavolozza:

  • selezionate il nodo Tavolozze (o sotto Immagini nel progetto locale o in quello globale).
  • Selezionate nel menu contestuale il comando Nuova tavolozza
  • Una nuova tavolozza viene impostata con:
    • nome standard Color palette più Numero di indice, per es. Color palette 0
    • stesso numero di colori delle tavolozze già esistenti; tutte i colori sono di default bianco

Rinomina tavolozza

Per rinominare in modo individuale una tavolozza:

  • selezionate anzitutto la tavolozza, oppure diversi colori della tavolozza.
  • selezionate fra le proprietà nel gruppo Tavolozza colori quella Nome tavolozza

    Interno ID: Crea e modifica tavolozza

    Nome tavolozza

    Nome della tavolozza colori.

    Default: Color tavolozza più Numero di indice, per es.: Color tavolozza 1

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Crea e modifica tavolozza

    Tavolozza colori

    Contiene le proprietà della tavolozza colori.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • digitate il nome tavolozza desiderato
    Consiglio: Fate attenzione ad usare un nome univoco, che distingua il progetto globale da quello locale in modo chiaro.

Cancella tavolozza

Per cancellare una tavolozza:

  • Evidenziate tutta la colonna della tavolozza
  • selezionate nel menu contestuale il comando Cancella tavolozza, oppure premete il tasto Canc
  • La tavolozza viene cancellate senza che il sistema faccia una richiesta di conferma.
    Indicazione: le tavolozze possono essere cancellate solo una alla volta.


Crea e modifica colore

Manuale -> Immagini -> Tavolozza dei colori -> Crea e modifica colore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Crea colore

Per creare un colore:

  • selezionate un colore o una tavolozza.
  • selezionate nel menu contestuale Nuovo colore oppure premete il stato Ins
  • Alla fine in basso della tabella di colori viene inserito per tutte le tavolozze un nuovo colore con
    • Colore standard bianco e
    • nome standard Color più Numero di indice, per es. Color 10
  • Definite il colore e assegnategli un nome.

Rinomina colore

Per rinominare un colore:

  • selezionate il colore.
  • selezionate fra le proprietà nel gruppo Colore quella Nome

    Interno ID: Crea e modifica colore

    Nome

    Nome del colore.

    Default: Color più Numero di indice, per es.: Color 1

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Crea e modifica colore

    Colore

    Contiene tutte le proprietà dei colori per le tavolozze.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Digitate il nome desiderato
    Consiglio: al momento di assegnare un nome, fate una differenza fra progetto globale e locale, in modo tale da sapere in seguito, quando selezionate delle tavolozze di colore, da dove vengono.

Definisci il colore

Per definire un colore:

  • evidenziate il colore desiderato nella tavolozza.
  • Inserite il colore:
    • o in modo diretto nella cella tabella della visualizzazione dettagliata in forma di codice esadecimale, oppure facendo uso del dialogo di selezione e cliccando su...
    • o nelle proprietà nel gruppo Colore nel campo della proprietà Colore in forma di codice esadecimale, oppure tramite il dialogo di selezione cliccando su ...

      Interno ID: Crea e modifica colore

      Colore

      Permette la selezione o la definizione del colore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un colore. Il colore può essere inserito sotto forma di codice esadecimale nell´apposito campo.

      Default: bianco (#FFFFFF)

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definisci colore tramite dialogo

Per selezionare dei colori fondamentali predefiniti in un dialogo, oppure per creare un colore proprio:

  • cliccate nella visualizzazione dettagliate nella cella con il colore desiderato, oppure nelle proprietà alla voce Colore su ...
  • Si apre il dialogo per la selezione dei colori standard.

  • Cliccate su un colore standard per assegnarlo.
  • per definire un colore proprio, cliccate sul pulsante Definisce colore

  • definite il colore.
  • aggiungete il colore facendo uso del pulsante Aggiungi colore a Colori definiti dall´utente
  • selezionate il colore desiderato.
  • attribuite il colore cliccando su OK

Copia colore

Per attribuire a più colori la stessa definizione colore:

  • evidenziate nel campo di inserimento del colore il codice esadecimale del colore desiderato.
  • copiate il codice esadecimale usando Ctrl+C oppure il comando Copia nel menu contestuale.
  • Aggiungete il codice esadecimale a tutti i colori che sono destinati a ricevere la stessa definizione colore; a tal scopo fate uso della combinazione di tasti Ctrl+V, oppure del comando Aggiungi del menu contestuale.

Cancella colore

I colori della tavolozza vengono identificati in modo univoco grazie all´indice delle tavolozze (=numero di riga nella finestra della tavolozza). Per tale motivo, possono essere cancellati dei colori solo alla fine delle tavolozze, perché altrimenti cambierebbero gli indici dei colori successivi. Visto che tutte le tavolozze devono avere nel progetto lo stesso numero di colori, possono essere cancellate solamente delle intere righe. Per cancellare un colore da tutte le tavolozze:

  • evidenziate le righe da cancellare, iniziando con l´estremità in basso della tabella.
  • selezionate nel menu contestuale Cancella colore oppure premete il stato Canc


Usa tavolozza nell´editor

Manuale -> Immagini -> Tavolozza dei colori -> Usa tavolozza nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione della tavolozza attiva nell´editor

Nell´editor, una tavolozza del progetto locale o globale può essere usata come tavolozza attiva per la visualizzazione e la scelta dei colori.

Per scegliere una tavolozza per la visualizzazione nell´editor:

  • cliccate con il tasto destro del mouse nella tabella della tavolozza.
  • Scegliete il menu contestuale Tavolozza colori nell´editor
  • Selezionate nella lista a cascata che si aprirà, la tavolozza desiderata

Indicazione: Le tavolozze del progetto locale vengono ordinate prima di quelle del progetto globale.

Attenzione: se esistono nel progetto globale e locale delle tavolozze che hanno lo stesso nome, solamente quelle del progetto locale vengono offerte dal sistema per la scelta dell´utente.

attenzione Attenzione

Nel caso in cui nel progetto globale e locale non ci dovesse essere lo stesso numero di colori per paletta, può essere che il numero di colori messi a disposizione dalla tavolozza attiva sia minore a quello di altre tavolozze!

Le definizioni tavolozze del progetto locale hanno sempre la precedenza: Se sono state progettate nel progetto locale delle tavolozze con almeno un colore, viene proposto alla scelta dell´utente il numero dei colori del progetto locale, altrimenti quello dei colori nel progetto globale.

I colori mancanti nella tavolozza attiva sono visualizzati in bianco.

Selezione dei colori della tavolozza

I colori delle tavolozze vengono assegnati nell´editor tramite:

  • il dialogo delle proprietà
  • Drag&Drop della denominazione di un colore nel campo corrispondente delle proprietà
  • Inserimento diretto della denominazione di un colore nel campo corrispondente delle proprietà

Quando ad un elemento viene assegnato un colore tramite le proprietà, si apre il dialogo colori con due schede:

  • Colori: selezione di un colore determinato
  • Tavolozza dei colori selezione di un colore della tavolozza attiva

Se non sono progettate né nel progetto globale, né in quello locale delle tavolozze con almeno un colore, ci sono due possibilità: o la proprietà non consente nessuna selezione colore dalla tavolozza, oppure viene visualizzata solamente la scheda.

Colori in progetti multi-utente

Delle modifiche generali alle tavolozze possono essere effettuate, riprese o rimosse solamente per le tavolozze di un singolo progetto.


Crea file runtime

Manuale -> Immagini -> Tavolozza dei colori -> Crea file runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento di creare i file runtime, le tavolozze di colori del progetto globale e del progetto locale vegono trasferite in una lista comune. E' possibile che si verifichino dei conflitti. Tenete presente:

  • il progetto locale ha sempre la precedenza.
  • Ogni tavolozza rappresenta la quantità comune, il che significa che contiene tanti colori quanto è grande la tavolozza.
  • Nel caso in cui le tavolozze del progetto globale e di quello locale presentino un numero diverso di colori, quelle più piccole vengono riempite con il colore bianco in modo tale che tutte le tavolozze contengano lo stesso numero di colori e che in ogni tavolozza sia disponibile un colore per ogni indice. Nel caso di tavolozze dello stesso nome, i colori mancanti vengono ripresi dalle tavolozze più lunghe.

Esempio:

  • nel progetto globale esistono 3 tavolozze: Globale 1, Globale 2 e Tavolozza 1, ognuna delle quali contiene 10 colori.
  • Nel progetto locale esisteno 2 tavolozze: Tavolozza 1 e Tavolozza 2, ognuna delle quali contiene 5 colori.
  • Nel runtime esistono allora:
    • Tavolozza 1: proviene dal progetto locale e sovrascrive Tavolozza 1 del progetto globale; essa contiene i 5 colori del progetto locale più i colori 6 - 10 della Tavolozza 1 del progetto globale.
    • Tavolozza 2: contiene i 5 colori del progetto locale più i colori 6 - 10 inizializzati come bianco
    • Globale 1: contiene i 10 colori del progetto globale
    • Globale 2: contiene i 10 colori del progetto globale.

Cambio della tavolozza colori nel runtime

Per passare da un colore all´altro nel runtime avete bisogno della funzione Cambia tavolozza colori (vedi capitolo Funzione Cambio tavolozza colori).

Interno ID: Crea file runtime

Cambia tavolozza colori

Crea una funzione per passare durante il runtime da una tavolozza all´altra.

Ulteriori informazioni nella guida in linea.

Un esempio per il cambio durante il runtime lo trovate nel capitoloEsempio per editor e runtime.


Funzione Cambio tavolozza colori

Manuale -> Immagini -> Tavolozza dei colori -> Funzione Cambio tavolozza colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

All´avvio del runtime viene attivata automaticamente la prima tavolozza del progetto, a meno che non ne sia stata attivata un´altra per mezzo di uno script di start.

La tavolozza attiva può essere modificata nel runtime aprendo la funzione Cambia tavolozza colori. Tutte le immagini e gli elementi vengono ridisegnati con i colori della nuova tavolozza.

Interno ID: Funzione Cambio tavolozza colori

Cambia tavolozza colori

Crea una funzione per passare durante il runtime da una tavolozza all´altra.

Ulteriori informazioni nella guida in linea.

La tavolozza attiva in un momento viene identificata mediante il nome che le è stato attribuito. Se non esiste nessuna tavolozza con il nome indicato, viene attivata la prima tavolozza del progetto.

Per creare la funzione Cambia tavolozza colori:

  • selzionate nel manager di progetto, nel menu contestuale del nodo Funzioni il comando Nuova funzione...
  • Navigare per raggiungere le Applicazioni
  • selezionate Cambia tavolozza.

  • Confermate cliccando su OK.
  • Si apre il dialogo per configurare la tavolozza.

Parametri | Descrizione
Tavolozza | Selezionate la tavolozza desiderata fra quelli della lista a cascata.
Proporre questo dialogo nel runtime | Consente di scegliere di nuovo nel runtime la tavolozza.


Export e import

Manuale -> Immagini -> Tavolozza dei colori -> Export e import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tavolozze di colori possono essere esportate in file XML, ma possono essere anche importate da tal tipo di file.

Esportazione

Per esportare una tavolozza:

  • selezionate anzitutto la tavolozza desiderata.
    Per selezionare nello stesso tempo più tavolozze, usate il tasto Ctrl o quello Shift, oppure trascinate il mouse tenendo premuto il tasto sinistro sulla riga del titolo della tabella
    (Indicazione: le tavolozze selezionate non possono essere più deselezionate singolarmente).
  • Possono essere esportate solo delle intere tavolozze selezionate, non dei singoli colori.
  • selezionate nel menu contestuale oppure nella barra dei simboli il comando Esporta in XML selezionate ..
  • Nel manager file che si aprirà, selezionate un posto nel quale salvare il file e un nome per il file XML.

Importazione

Per importare una tavolozza:

  • selezionate nel menu contestuale oppure nella barra dei simboli il comando Importa XML..
  • selezionate nel manager file che si aprirà il file di importazione desiderato.
  • Le tavolozze salvate nel file XML vengono importate.
  • Attenzione: La successione nell´export viene rispettata.
    Il che significa che se, per esempio, una tavolozza è stata esportata al terzo posto nella tabella, essa viene importata allo stesso posto, oppure messa alla fine se il progetto contiene meno tavolozze. Le tavolozze già esistenti in questa sede verranno sovrascritte. Il che significa:
    • se si trovano delle tavolozze in un posto in cui si realizza un import, il nome e il colore delle tavolozze esistenti vengono sovrascritte dalle tavolozze importate.
    • Se una tavolozza viene importata in un posto libero, essa verrà aggiunta alla fine della successione e le verrà assegnato un nome standard progressivo.
    • Se la tavolozza importata ha più colori di quella esistente, i colori mancanti nella tavolozza esistente vengono completati con bianco
    • Se la tavolozza importata ha un numero di colori inferiore a quelle già esistenti, i colori mancanti vengono ripresi dalle tavolozze sovrascritte, oppure essi vengono completati in colore bianco, se non è stata sovrascritta alcuna tavolozza.


Messaggi di errore

Manuale -> Immagini -> Tavolozza dei colori -> Messaggi di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si riprendono degli elementi, per esempio per mezzo di import in formato XML oppure Copy & Paste, può succedere che dei colori della tavolozza non possano essere più visualizzati in modo esatto. Possibili cause:

  • nel progetto non è stata ancora impostata nessuna tavolozza.
  • Le tavolozze hanno un numero diverso di colori.
  • Dei colori sono stati cancellati.

Nel campo di inserimento delle proprietà verranno visualizzati i relativi messaggi di errore; l´elemento viene visualizzato in colore bianco.

Messaggio di errore | Causa
Non è caricata nessuna tavolozza! | Nel progetto locale e globale non è stata progettata nessuna tavolozza.
Colore tavolozza non esiste! | Nelle tavolozze del progetto non c`è nessun colore con un indice corrispondente.


Esempio per editor e runtime.

Manuale -> Immagini -> Tavolozza dei colori -> Esempio per editor e runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell’Editor

In questo modo, per esempio, usate le tavolozze colori nell´editor:

  • impostate anzitutto un´immagine con un pulsante con testo e elemento grafico.
  • Selezionate nelle proprietà Colore di sfondo

    Interno ID: Esempio per editor e runtime.

    Colore di sfondo

    Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

    Interno ID: Esempio per editor e runtime.

    Trasparente

    Attivo: Disattiva il colore di sfondo dell´elemento.

    Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

    Interno ID: Esempio per editor e runtime.

    Cambio colori dinamico

    Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Esempio per editor e runtime.

    Colore sfondo / riempimento

    Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Cliccate su......
  • Il dialogo che serve alla scelta dei colori si aprirà.
  • Passate alla scheda Tavolozza colori
  • Verranno visualizzati i colori della tavolozza attiva.
  • Selezionate il colore desiderato.
  • Ripetete questi passi per le proprietà Colore cornice e Colore testo

    Interno ID: Esempio per editor e runtime.

    Colore testo

    Colore per il testo dell’elemento.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Esempio per editor e runtime.

    Colore cornice

    Definisce il colore della cornice dell´elemento. Il colore può essere indicato direttamente come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante .... Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Immagine con tavolozza Basic

  • Cliccate con il tasto destro del mouse su una cella della tabella della tavolozza
  • Scegliete il menu contestuale Tavolozza colori nell´editor
  • Nella lista a cascata, selezionate un´altra tavolozza, per esempio Tavolozza 2
  • Immagine nell'editor:

Nel runtime

Nel runtime, l´immagine viene visualizzata con la tavolozza colori attivata nell´editor.

Se avete progettato una funzione cambio (vedi capitolo Funzione Cambia tavolozza colori), potete modificare durante il runtime i colori della tavolozza.

Per far ciò:

  • cliccate sull´elemento;
  • se l´opzione Offri questo dialogo durante il runtime è stata precedentemente attivata, si può scegliere nel runtime una nuova tavolozza; in caso contrario, viene aperta automaticamente la tavolozza indicata nella funzione.

  • L´elemento passa ai nuovi colori.


Tipi di carattere

Manuale -> Immagini -> Tipi di carattere

In zenon possono essere utilizzati tutti i caratteri che sono disponibili nel sistema operativo. Il nodo Caratteri si trova nel Manager di progetto alla voce Immagini.

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova lista caratteri | Crea una nuova Lista caratteri nella visualizzazione dettagliata.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Info Informazioni

Il carattere selezionato deve essere presente con il runtime anche sul sistema di destinazione. Nel caso in cui il carattere non dovesse esserci, automaticamente viene usato un altro carattere, esistente nel sistema e appartenente alla stessa famiglia.


Liste caratteri

Manuale -> Immagini -> Tipi di carattere -> Liste caratteri

Per default viene generata una lista caratteri. Essa viene poi visualizzata nella sezione lista quando si seleziona il punto "Immagini / Caratteri" del manager di progetto.

Barra simboli e menu contestuale

Parametri | Descrizione
Nuovo Carattere | Crea un nuovo carattere. Si apre il dialogo Windows 'Tipo di carattere' ed è poi possibile impostare le proprietà "tipo di carattere", "dimensione", "stile" ecc Vedi capitolo Crea nuovo carattere.
Elimina carattere | Elimina il carattere selezionato dalla lista caratteri.
Nuova lista caratteri | Crea una nuova lista caratteri (la stessa funzionalità della selezione nel manager di progetto). Vedi capitolo Crea nuova lista caratteri.
Elimina lista caratteri | Cancella la lista caratteri selezionata.
Salva | Salva le modifiche apportate.
Lista caratteri nell'editor | Visualizza tutte le liste caratteri esistenti; quella attiva al momento, è spuntata.
Esporta selezione in XML | E' possibile importare ed esportare dei caratteri e delle liste di caratteri. Vedi al proposito il capitolo Import/Export, sezione "Immagini / Caratteri.

Nelle proprietà della lista caratteri, si può effettuare l'assegnazione alla lista di un nome qualsiasi.

attenzione Attenzione

Eventuali successive modifiche di nomer non vengono accettate automaticamente. Se volete cambiare in un secondo momento il nome di una lista di caratteri e avete già impostato con essa un funzione Cambio immagine, dovete modificare anche in questa funzione il nome della lista di caratteri.

Liste caratteri: progetto globale versus progetto

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Nell´uso di liste caratteri in progetti globali, tenete presente:

  • se le liste caratteri ricevono lo stesso nome in progetto globale e standard, nel runtime il sistema darà la priorità a quelle del progetto standard.
  • In caso di nomi differenti, nel progetto standard sono presenti due liste caratteri; nel runtime viene usata una qualsiasi delle due.

Per evitare ciò: Progettate una Funzione cambio lingua con selezione della lista caratteri.


Crea nuova lista caratteri

Manuale -> Immagini -> Tipi di carattere -> Liste caratteri -> Crea nuova lista caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per collegare degli elementi con altri caratteri rispetto a quelli della lista 1 è necessario crearne una nuova.

Crea un'ulteriore lista caratteri:

Nel Manager di progetto nel nodo "immagini / caratteri" si può creare una nuova lista caratteri usando la voce Nuova lista caratteridel menu contestuale. La nuova lista caratteri viene poi visualizzata nella sezione lista del Manager di progetto.

Anche qui il carattere impostato di default viene riportato al primo posto.

Attiva una lista caratteri:

Per attivare una lista caratteri, cliccate nella barra titoli della lista desiderata e selezionate la voce Lista tipi di carattere nell'editordel menu contestuale. Ciò può essere necessario per i testi per i quali è possibile commutare la lingua. In tal modo è possibile constatare già nell'editor che aspetto avrà l'elemento con il carattere nel runtime. (ad esempio se il carattere per il pulsante è troppo grande). Vedi a questo proposito il capitolo "Cambio lingua / Fonts - Caratteri

Info Informazioni

Per il runtime non esiste una lista caratteri di default. Se si progettano diverse liste caratteri, quella da usare nel runtime deve essere definita facendo uso del Cambio lingua.


Carattere di default e di sistema

Manuale -> Immagini -> Tipi di carattere -> Carattere di default e di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni nuovo elemento viene collegato ad un carattere di default. Si tratta del carattere che è assegnato al tipo di elemento attribuito. Una modifica della proprietà Carattere di un elemento ha come conseguenza il fatto che ogni nuovo elemento che si basa su questo tipo di elemento viene collegato al carattere modificato. Quando poi si riavvia l'editor, viene utilizzato di nuovo il carattere di default per tutti i tipi di elementi. Il carattere di default ha la proprieta Arial 10, , supporta antialiasing e si trova alla seconda posizione della lista caratteri.

Se si crea un progetto di nuovo, i seguenti passi vengono realizzati automaticamente:

Carattere | Stile | Dimensione del carattere | Informazioni
Arial | Standard | 8 |
Arial | Standard | 10 | Carattere di default
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |
  • Il carattere di default può essere adattato. Una sua modifica viene adottata automaticamente ad ogni cosa a cui è stato collegato tipo di carattere.
  • Il carattere di sistema non è scalabile; perciò ci potrebbero essere dei problemi zoomando, oppure nell´adattamento automatico della risoluzione.
  • Il carattere di default può essere modificato ricorrendo alla proprietà Tipo di carattere. Il dialogo corrisponde a quello che si apre quando si seleziona nel menu contestuale la voce Nuovo carattere.


Crea nuovo carattere

Manuale -> Immagini -> Tipi di carattere -> Carattere di default e di sistema -> Crea nuovo carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Viene generata per default una lista di caratteri che può essere visualizzata nella sezione lista del manager di progetto e riempita di diversi tipi di carattere.

Crea nuovo carattere nella lista caratteri:

Cliccate nella finestra della sezione lista e aprite il menu contestuale facendo clic con il tasto destro del mouse. In questa sede selezionate, poi, la voce 'Nuovo carattere'

Si aprirà il dialogo Windows Tipo di carattere. Qui si possono effettuare le seguenti impostazioni:

Parametri | Descrizione
Carattere | Tutti i caratteri del sistema operativo sono disposti in ordine alfabetico.
Stile | Grassetto, corsivo ecc.
Dimensione del carattere | Dimensione del carattere in pixel
Effetti | Sottolineato, barrato
Colore | Selezione del colore del carattere
Script | Occidentale, cirillico ecc.

Info Informazioni

L'impostazione concernente il colore non viene adottata. I testi vengono visualizzati in nero, a meno che il colore venga modificato esplicitamente nelle impostazioni. In caso contrario, solo durante in runtime (per esempio in seguito al superamento di un valore limite) si verifica una modifica del colore del testo.

Per quello che concerne i caratteri nel progetto globale, vedi quanto riportato a questo proposito nel capitolo: Gestione di progetto / Progetto globale.

attenzione Attenzione

Tutti i caratteri usati devono essere installati su tutti i computer su cui viene avviato il progetto.
L´installazione può essere effettuata anche mediante Trasporto remoto. Vedi Definisci file (copia&registra)


Denominazione e numerazione di caratteri e liste caratteri

Manuale -> Immagini -> Tipi di carattere -> Denominazione e numerazione di caratteri e liste caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si crea un progetto di zenon, vengono impostati automaticamente 5 caratteri di Default. I nomi della lista carattere e del carattere di Default dipendono dalla lingua in cui l´editor viene avviato. Ciò vale per progetti standard e progetti globali.

I caratteri ricevono dei numeri. Il numero 1 e 2 sono caratteri standard. Questi due numeri non possono essere modificati; tutti gli altri possono essere adattati individualmente. Al momento della creazione di un elemento dinamico, gli viene automaticamente assegnato il carattere con il numero 2.

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Indicazione: un progetto di zenon che è stato creato con la versione 5.50 e viene convertito in un´altra dal numero di serie superiore, non ha una lista caratteri di Default, se il progetto in 5.50 non contiene nessun carattere.

Globalmente e localmente

I caratteri del progetto standard locale hanno un grado di priorità maggiore a quelli del progetto globale.
Ad esempio: nel progetto globale esiste un carattere con il numero 50. Esso può essere usato in ogni progetto standard del workspace, a patto che il progetto locale non contenga un carattere con il numero 50. Se nel progetto standard esiste già un carattere con il numero 50, verrà utilizzato quest´ultimo.

Nel progetto standard non possono essere cancellati i caratteri con il numero 1 e 2. Il che significa: nel progetto globale possono essere modifcati i caratteri con il numero 1 e 2. Ma essi non potranno essere utilizzati nel progetto standard, visto che questi numeri esistono già nel progetto standard e hanno un grado di priorità superiore. Per differenziare i caratteri del progetto globale e standard può essere usato un offset. Il carattere 2 del progetto standard, ad esempio, può diventare nel progetto globale il 2002.

Workaround per usare i caratteri 1 e 2 del progetto globale in progetti standard: cancellare la lista caratteri nel progetto standard e nominare una lista vuota come quella del progetto globale.

Elimina lista caratteri

Se volete utilizzare i caratteri 1 e 2 del progetto globale, deve essere cancellata la lista caratteri del progetto standard. Per far ciò:

  1. create anzitutto un backup di progetto
  2. nel caso in cui debbano essere utilizzati i caratteri adattati di un progetto standard a livello globale:
    1. eseguite un export XML della lista caratteri del progetto standard
    2. eseguite un import in formato XML della lista caratteri nel progetto globale
  3. aprite la cartella SQL relativa al progetto standard

    Un consiglio: evidenziate il progetto in zenon -> premete Ctrl+Alt+E -> l´Explorer apre la cartella di progetto -> portatevi a zenon/system

  4. chiudete il workspace.
  5. cancellata il file fonts.bin
  6. aprite il workspace
  7. denominate adesso la lista caratteri vuota assegnandole lo stesso nome della lista caratteri nel progetto globale

Adesso verrano usati nel progetto standard i caratteri con il numero 1 e 2 del progetto globale. I nuovi elementi useranno il carattere numero 2 del progetto globale, se esso esiste, e il carattere di sistema, nel caso in cui non sia disponibile il progetto globale.

Dinamico e statico

I caratteri per l´elemento vettoriale Testo statico e per gli elementi dinamici vengono salvati in modo diverso. La ragione è la seguente: testo statico può anche avere caratteri in modalità scollegata

in modalità scollegata significa: il carattere, poi, non è più collegato con una lista caratteri, ma viene configurato localmente solamente per questo elemento.

Attenzione: ciò non signigica che il carattere sia connesso in modo scollegato con l´immagine e quindi venga visualizzato sempre in modo corretto. Il carattere deve continuare ad essere disponbile anche sul sistema di visualizzazione.

Import e Export via XML

Effettuando un import e un export via XML, con gli elementi dinamici viene usata la proprietà Nome del carattere a fini di identificazione. Se, ad esempio, è presente nel progetto globale un carattere con il nome "zenon" e nel progetto locale un altro carattere con lo stesso nome "zenon", nell´effettuare l´import o export il sistema usa il carattere del progetto locale.

Interno ID: Denominazione e numerazione di caratteri e liste caratteri

Nome

Denominazione attribuibile liberamente; solo a scopo informativo.
Default: Nuovo carattere x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: i nomi di carattere devono essere univoci sia nel progetto globale che in quello standard. L´editor non effettua un controllo in questo senso.

VBA

VBA usa nel caso degli elementi dinamici la proprietà Numero del carattere. In questo caso può essere utile l´offset per caratteri nel progetto globale e in quello standard.

Interno ID: Denominazione e numerazione di caratteri e liste caratteri

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Indicazione: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ad esempio: Il carattere 2 del progetto standard viene sostituito da quello 2002 del progetto globale. Nel caso degli elementi vettoriali, il numero del carattere viene salvato al secondo posto nella fontstring. Nella fontstring "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial" il numero del carattere è 7 e può essere sostituito semplicemente con quello 2007 del progetto globale.


Collega caratteri a elementi

Manuale -> Immagini -> Tipi di carattere -> Collega caratteri a elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità per collegare un carattere ad un elemento ad immagine dinamico o vettoriale (ad esempio: Testo).

Parametri

Descrizione

Drag&Drop :

La tabella nella sezione lista è organizzata nel modo seguente: numero, lista caratteri e tipo di carattere.

Cliccando sul numero del carattere desiderato, lo si può trascinare per Drag&Drop sull'elemento voluto.

Proprietà

Nelle proprietà dell'elemento selezionato si può collegare il carattere. Mediante la voce "Visualizza / Carattere" si può aprire il dialogo 'Immissione elemento'.


Caratteri separati e collegati

Manuale -> Immagini -> Tipi di carattere -> Collega caratteri a elementi -> Caratteri separati e collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I caratteri possono essere connessi o con elementi separati o collegati.

Parametri

Descrizione

collegato

I caratteri vengono collegati per default.

scollegato

Per l´elemento vettoriale Testo statico esiste la possibilità di impostare un carattere in modo scollegato. Il carattere, poi, non è più collegato con una lista caratteri, ma viene configurato localmente solamente per questo elemento.

Attenzione: ciò non signigica che il carattere sia connesso in modo scollegato con l´immagine e quindi venga visualizzato sempre in modo corretto. Il carattere deve continuare ad essere disponbile anche sul sistema di visualizzazione.

Info Informazioni

Scalare simboli:

se un simbolo contiene un elemento Testo statico e in questo elemento è inserito un carattere in modalità scollegata, questo carattere:

  • viene scalato nell´Editor
  • non viene scalato nel Runtime

Questo vale solamente per i simboli. In tutti gli altri casi, il testo scollegato non viene scalato né nell´Editor, né nel Runtime.


ClearType

Manuale -> Immagini -> Tipi di carattere -> ClearType

Caratteri ClearType possono migliorare la leggibilità di caratteri su monitor LCD con risoluzione nativa. Più adatti a monitor con tubi catodici e LCD con risoluzione interpolata sono spesso caratteri standard di Windows. Se usare caratteri ClearType lo definite nelle proprietà di progetto: nodo Aspetto grafico -> Immagini -> Font ClearType.

Interno ID: ClearType

Font ClearType

Attiva: i caratteri ClearType vengono utilizzati. Può migliorare la leggibilità di caratteri su monitor LCD con risoluzione nativa.

Non attiva: vengono utilizzati i caratteri standard di Windows. Adatta spesso ai monitor con tubo catodico e LCD con risoluzione interpolata.
Indicazione: Se per la proprietà Qualità grafica è stata selezionata l´opzione Windows Basis oppure Windows estese, sotto Windows Vista e Windows 7 si deve disattivare nel sistema operativo l´uso di caratteri cleartype. Se invece si è scelta l´opzione DirectX, cleartype può essere attivato e disattivato indipendentemente dal sistema operativo.

Interno ID: ClearType

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ClearType

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: attiva:

Indicazione: modifiche dell´impostazione diventano effettive per l´editor solo dopo il riavvio dell´editor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: ClearType

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: ClearType

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dipendenza da sistema operativo

Quale effetto ha questa opzione, dipende dal tipo di sistema operativo utilizzato:

  • Windows Vista e Windows 7:
    • Se ClearType è attivo nel sistema operativo, ClearType viene usato indipendentemente dall´impostazione in zenon.
      Eccezione: DirectX può attivare e disattivare direttamente Cleartype.
    • Se ClearType non è attivo nel sistema operativo, diventa decisiva l´impostazione in zenon.
  • Windows XP
    • L´impostazione in zenon decide.
Impostazione | Impostazione della proprietà Qualità grafica | Descrizione
Attivo(Default) |  | I caratteri ClearType vengono utilizzati.
Disattivato | Windows Basis Windows esteso | Vengono utilizzati i caratteri standard di Windows. Sotto Windows Vista e Windows 7, i caratteri ClearType devono essere disattivati anche nel sistema operativo.
 | DirectX Software DirectX Hardware | Cleartype può essere attivato e disattivato indipendentemente dal sistema operativo.

Attenzione: modifiche dell´impostazione diventano effettive per l´editor solo dopo il riavvio dell´editor.


Simboli

Manuale -> Immagini -> Simboli

I simboli sono elementi d'immagine ai quali vengono attribuiti Elementi vettoriali ed Elementi dinamici sotto forma di macro di immagine. Nel funzionamento runtime, l’attributo colore di un simbolo può essere modificato per mezzo di elementi dinamici (elemento di stato, elemento multibinario e elemento combinato)

zenon differenzia fra due tipi diversi di biblioteche di simboli:

Libreria simboli

Proprietà

Libreria simboli globale

I simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli globale si trova nel manager di progetto al di sotto dei progetti caricati attualmente.

I simboli globali vengono salvati nella cartella di programma di zenon e aggiornati solo al momento dell´avvio dell´Editor. Questi simboli non vengono salvati nel caso di un backup di progetto.

Progetto - Libreria di simboli

Simboli sono disponibili solo nel progetto attuale.

I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel progetto attuale nel nodo Immagini e viene salvata in un backup di progetto.

per poter lavorare in parallelo con entrambe le librerie, quella globale e quella di progetto vengono visualizzate in due finestre separate. I nomi delle librerie vengono visualizzati nelle schede che si trovano sul margine inferiore dell´immagine della finestra principale.

I simboli possono essere spostati o copiati da una libreria all'altra tramite Drag&Drop.

Info Informazioni

Scalare simboli:

se un simbolo contiene un elemento Testo statico e in questo elemento è inserito un carattere in modalità scollegata, questo carattere:

  • viene scalato nell´Editor
  • non viene scalato nel Runtime

Questo vale solamente per i simboli. In tutti gli altri casi, il testo scollegato non viene scalato né nell´Editor, né nel Runtime.

I simboli ad immagine e i simboli provenienti dalla libreria simboli globale.

  • I simboli ad immagine vengono creati nell´immagine e possono essere modificati solo lì. Essi vengono collegati nella libreria oppure nelle immagini.
  • I simboli della libreria vengono modificati nella libreria e collegati nell´immagine.

attenzione Attenzione

I simboli della Libreria simboli globale vengono salvati localmente a seconda del gruppo in un file apposito (*.sys) nella cartella di programma zenon. Nel caso di progetti multiuser e della trasmissione di progetti, questi file devono essere sempre aggiunti manualmente al backup di progetto. I simboli della libreria locale del progetto sono sempre contenuti automaticamente nei backup di progetto.

Un consiglio: salvare sempre i simboli nella libreria locale di progetto.

Menu contestuale - Manager di progetto

Punto di menu | Azione
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica dei simboli. (Di default si trova sul margine inferiore dell´editor)
Guida | Attiva la guida online

Controllo di simboli collegati

i simboli collegati vengono controllati in merito alla correttezza:

  • Durante la compilazione dei file del Runtime.
  • ogni volta che vengono generati i nuovi file di runtime quando si chiude l'editor.

I simboli mancanti vengono evidenziati in rosso nella finestra di emissione. La segnalazione di errore nomina i nomi dei relativi simboli ed immagini.

Menu simboli

Non appena un simbolo viene attivato nella libreria globale o nella libreria di progetto, il punto Menu Immagini viene sostituito nella barra simboli con Simbolo.

Sono disponibili le seguenti azioni:

Punto di menu

Azione

Salva simbolo

Salva il simbolo attuale.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre il dialogo per la configurazione della grandezza simbolo e del colore di sfondo.

Indicazione: le modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9
  • il tasto Esc

Ridisegna simbolo

Attualizza la visualizzazione dello schermo.

Mostra la griglia:

Visualizza o nasconde la griglia.

Utilizza griglia

Visualizza o nasconde la griglia.

on: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Usa punti di appiglio

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Sposta successione per focus.

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Successione per sinistra/destra: Stabilisce la successione orizzontale.

Successione per sopra/sotto: Stabilisce la successione verticale.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Stampa screenshot del simbolo attuale.

Il simbolo attuale viene stampata mediante la stampante che è stata selezionata come standard. Proprietà di stampa sotto File -> Configurazione generale -> Standard.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.


Simboli Visualizzazione dettagli barra simboli e menu contestuale

La libreria dei simboli vene gestita facendo uso del menu contestuale oppure della barra simboli:

Comandi nel menu contestaule e della barra simboli.

Barra simboli | Menu contestuale | Funzione
1 | Nuovo simbolo | Viene impostato un nuovo simbolo.
3 | Apri simbolo | Apre il simbolo nell´editor dei simboli per effettuare delle modifiche.
2 | Nuovo gruppo simboli | Viene creato un nuovo gruppo simboli che può essere riempito di simboli selezionati della libreria, oppure con simboli crati ad hoc. (Copiare ed inserire) Disponibile solo nella biblioteca di simboli globale.
4 | Inserisci simbolo nell´immagine in modalità scollegata. | Inserisce il simbolo nell´immagine in modalità scollegata.(per i dettagli vedi il sottocapitolo Simboli separati ).
5 | Inserisci simbolo nell´immagine in modalità collegata. | Inserisci simbolo nell´immagine in modalità collegata. (per i dettagli vedi il sottocapitoloSimboli collegati).
13 | Visualizzazione piatta | Ordina tutti i imboli in una lista piatta. Semplifica la ricerca di un determinato simbolo. Indicazione: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.
14 | Visualizzazione gerarchica | Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.
6 | Copiare | Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).
7 | Incolla | Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).
8 | Elimina | Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica). Attenzione: non si può annullare la cancellazione!
9 | Modifica celle selezionate | Permette la modifica dei contenuti della cella selezionata.
10 | Sostituisci testo nella cella selezionata... | Apre il dialogo che serve alla sostituzione automatica di testi (disponibile solamente se sono selezionate delle celle che possono contenetere del testo).
11 | Proprietà | Apre la finestra Proprietà per il simbolo selezionato.
12 | Ingrandisci / riduci nodo | Nella visualizzazione gerarchica, permette di ingradire o ridurre il nodo selezionato o tutti i nodi.
15 | Esporta selezione in XML | Apre il dialogo per l´export in formato XML dei simboli selezionati. (Per i dettagli vedi capitolo Import / Export Simboli
16 | Importa XML… | Importa simboli da un file XML (vedi capitolo Import/Export Simboli).
18 | Elimina tutti i filtri | Elimina tutti i filtri settati nel titolo della colonna.
19 | Guida | Apre la giuda in linea relativa al menu contestuale.
17 | - | Torna indietro all´elemento di partenza (solo barra simboli).
 | Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Configurare la dimensione e il colore di sfondo

Manuale -> Immagini -> Simboli -> Configurare la dimensione e il colore di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare la dimensione del simbolo e il colore di sfondo:

  1. selezionate nel menu contestuale del simbolo o nel menu Simboli il comando Modifica dimensioni/colore di sfondo...
  2. si apre il dialogo di configurazione

Parametri | Descrizione
Simbolo larghezza/altezza | Indicazione dell´altezza e della larghezza del simboli espressa in pixel.
Colore di sfondo nell'editor simboli | Definisce il colore di sfondo. Cliccando su Colore si apre la tavolozza. Indicazione: le modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.
OK | Riprende e accetta le modifiche e chiude il dialogo.
Annulla | Rifiuta le modifiche e chiude il dialogo.


Separa proprietà dal collegamento

Manuale -> Immagini -> Simboli -> Separa proprietà dal collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter sfruttare al meglio i simboli collegati, qualche volta è necessario attribuire valori individuali a singole proprietà di elementi dei simboli. Ad esempio: se un simbolo motore ha una scritta nella quale è contenuto il nome.

Con questa funzione potete rendere disponibile, per esempio, la proprietà Testo. Se il simbolo viene trascinato nell´immagine, il testo è modificabile individualmente per ogni motore.

Questa funzionalità è a disposizione per tutte le proprietà.

Progettazione

Quando si apre un simbolo, viene aperto l´editor dei simboli. L´editor dei simboli è costituito da una finestra divisa in due settori; essa consente la modifica del simbolo selezionato.

Nel settore in alto viene modificato il simbolo; in quello in basso vengono mostrate in una lista le proprietà rese disponibili degli elementi di questo simbolo. Per rendere disponibili gli elementi, avete a disposizione diverse possibilità:

  1. Drag&Drop :
    1. in primo luogo, trascinate le proprietà desiderate una alla volta per mezzo di Drag&Drop dalla finestra delle proprietà nel settore inferiore dell´editor dei simboli.
    2. Indicazione: dovete cliccare sempre sul nome delle proprietà (non sul valore) e trascinarle per Drag&Drop nell´editor.
  2. Menu contestuale della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. selezionate nel menu contestuale Rilascia [Proprietà]
    3. la proprietà viene inserita nella lista
  3. Barra simboli della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. cliccate nella barra dei simboli sul simbolo che serve a rilasciare (freccia verde verso l´alto sul campo testo)
    3. la proprietà viene inserita nella lista

Indicazione: se l´inserimento non viene offerto, oppure il simbolo viene visualizzato come disattivato, l´elemento non può essere rilasciato. Ragioni possibili:

  • nessun elemento d´immagine selezionato nell´Editor dei simboli
  • la proprietà è stata già rilasciata
  • L´elemento non supporta il rilascio (per es. ActiveX)

Questo settore è una lista sottoponibile a filtro. Se sussiste la necessità, potete effettuare il filtro sulla base di singole proprietà. Per le azioni è disponibile un menu contestuale.

Menu contestuale per lista di rilascio:

Parametri | Descrizione
Cancella proprietà selezionata | Cancella il rilascio dell´elemento.
Annulla | Annulla l´ultima azione.
Guida | Attiva la guida online

Modifica proprietà rilasciate

Se il simbolo viene visualizzato in un´immagine, è a disposizione nelle proprietà l´ulteriore nodo $_Nome elemento. In essa vengono visualizzate una per una tutte le proprietà rese accessibili. Queste ultime sono state sciolte dal principio del collegamento (rese disponibili) e, quando sono modificate, riguardano solo il simbolo in questione. Se nella finestra proprietà di un simbolo viene selezionata una proprietà di uno degli elementi, lampeggia questo elemento nell'immagine.

Le proprietà rilasciate possono essere modificate:

  • con le proprietà nel ramo $_Nome elemento
  • con il Linked Symbol Wizard

Linked Symbol Wizard

Per poter modificare in modo semplice e comodo delle proprietà rilasciate, avete a disposizione uno strumento che si chiama Linked Symbol Wizard:

  1. cliccate due volte all´interno dell´immagine su un simbolo che:
    1. è collegato nell´immagine e
    2. dispone di proprietà rilasciate
  2. si apre il Linked Symbol Wizard
  3. selezionate la proprietà da modificare
  4. inserite il nuovo valore
    Indicazione: Ogni modifica viene ripresa immediatamente!
  5. Chiudete il Wizard cliccando su Exit.

Parametri | Descrizione
Select an element in the symbol: | selezione di un elemento del simbolo fra quelli della lista a cascata.
Select the exported property to | selezione della proprietà rilasciata fra quelle della lista.
Visualizzazione proprietà | Visualizza la proprietà da modificare-
Campo input | Inserimento del nuovo valore della proprietà facendo uso di inserimento testo/inserimento numero, lista a cascata o dialogo di selezione, indipendentemente dalla proprietà.
Exit | Chiude il Wizard

Info Informazioni

Il Wizard non supporta tutte le possibili proprietà del simbolo.


Crea e cancella simboli propri

Manuale -> Immagini -> Simboli -> Crea e cancella simboli propri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Create dei simboli o nell´editor dei simboli, oppure in un´immagine. Gli elementi di un simbolo possono essere:

  • Elemento vettoriale
  • Elementi dinamici
  • Altri simboli: i simboli possono essere aggiunti in altri simboli scollegati.

Info Informazioni

Gli elementi contenuti in un simbolo dovrebbero essere piazzati all´interno dell´area del simbolo e non uscirne. Se gli elementi superano i limiti del simbolo, si possono avere dei problemi di visualizzazione nel runtime. Ciò vale anche per quegli elementi che usano simboli (per esempio l´elemento combinato).

Nell´editor dei simboli:

  1. selezionate nel menu contestuale oppure nella barra dei simboli Nuovo simbolo
  2. Cliccate nella riga del nome elemento e assegnate un nome (non sono ammessi dei punti nel nome simbolo).
  3. Implementate il simbolo nell´editor dei simboli.
  4. Aggiungete eventualmente delle proprietà individuali (vedi sottocapitolo Elimina proprietà dalla trasmissione ereditaria )
  5. Salvate il simbolo

Nell´immagine:

  1. selezionate uno o più elementi nell´immagine.
  2. Selezionate nel menu contestuale Simbolo -> Crea simbolo scollegato (oppure -> aggiungi nel simbolo scollegato esistente)
    oppure nel menu Modifica -> Simbolo -> crea simbolo scollegato
  3. Salvate l´immagine

attenzione Attenzione

Caratteri e grafiche nei simboli per uso in diversi progetti:

Tipi di carattere I caratteri vengono definiti mediante ID. Assicuratevi che in tutti progetti in cui il simbolo viene usato, il carattere desiderato sia assegnato allo stesso ID.

Grafici: i grafici inseriti in un simbolo non vengono salvati con esso. I grafici corrispondenti devono essere copiati manualmente nel percorso delle garfiche del progetto corrispondente.

Inserire in modalità scollegata o collegare dei simboli in simboli.

In modo analogo a quanto detto per le immagini, potete inserire in modalità scollegata oppure collegare dei simboli esistenti al momento di creare dei simboli (vedi Aggiungi simboli nell´immagine). A tal scopo dovete rispettare le seguenti regole:

  • un simbolo non deve contenere alcuna recursione, il che significa che non lo dovete collegare con se stesso!
  • Simboli di progetto non possono essere collegati al di là dei limiti del singolo progetto!
  • Simboli provenienti dalla libreria globale non possono contenere alcun collegamento a simboli di progetto.

Info Informazioni

Potete modificare i contenuti dei simboli solamente nell´editor dei simboli. Se aggiungete un simbolo scollegato in un´immagine, non potete modificare il simbolo nell´editor dei simboli.

attenzione Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo della libreria di un progetto in un altro, potete scollegarlo.

Cancella o scollega simbolo

Per cancellare un simbolo:

  1. selezionate il simbolo nella libreria.
  2. selezionate nel menu contestuale oppure nella barra dei simboli cancella

Per sciogliere un simbolo separato in un´immagine:

  1. selezionate il simbolo nella libreria.
  2. selezionate nel menu contestuale Simbolo -> Sciogliere
  3. Il simbolo verrà separato nei suoi elementi.
  4. Se il simbolo è stato già aggiunto alla libreria dei simboli, esso rimane in quella sede invariato, ma viene cancellato dalla gestione simboli.

Per cancellare un simbolo collegato:

  1. selezionate il simbolo nella libreria.
  2. selezionate nel menu contestuale Cancella
  3. Il simbolo rimane inalterato nella libreria dei simboli, ma viene cancellato nella gestione dei simboli.

Info Informazioni

Per modificare singoli elementi di un simbolo senza annullare l´attribuzione dei simboli, selezionate:

  • Nel caso di simboli collegati: Elabora nell´editor di simboli
  • Nel caso di simboli separati: Modalità di modifica singola simboli / elementi


Trasferire i simboli propri nella libreria

Manuale -> Immagini -> Simboli -> Crea e cancella simboli propri -> Trasferire i simboli propri nella libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I simboli che avete creato in un´immagine, possonoe ssere aggiunti anche una libreria di simboli:

  1. selezionate nel menu contestuale Simbolo -> Aggiungi nelle libreria dei simboli
  2. Si apre il dialogo che serve alla definizione del simbolo.
  3. Selezionate la Vostra libreria di progetto o quella globale e la cartella adatta.
  4. Confermi cliccando su OK.
  5. Passate alla libreria dei simboli selezionata.
  6. Il simbolo è stato inserito con il nome elemento Simbolo scollegato No.
  7. Assegnate il nome desiderato.
  8. Per modificare ulteriormente il simbolo, oppure per assegnargli delle proprietà individuali (vedi Separa proprietà dalla trasmissione ereditaria, aprite il simbolo mediante un doppio clic, oppure il menu contestuale Apri simbolo nell´editor dei simboli.

Info Informazioni

Un simbolo che è stato creato a partire da un elemento e da un simbolo collegato, non può essere ripreso nella libreria dei simboli. Per poter inserire il simbolo:

  • convertite il simbolo collegato in un simbolo scollegato
  • create un nuovo simbolo a partire dall´elemento e dal simbolo scollegato

Questo simbolo può essere adesso inserito nella libreria dei simboli.


Inserisci dei simboli in un'immagine

Manuale -> Immagini -> Simboli -> Inserisci dei simboli in un'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I simboli possono essere aggiunti in due modi in una immagine, come

  • Simboli scollegati: questi non sono più collegati con il simbolo nella libreria; le modifiche apportate al simbolo originario non hanno più alcun effetto sul simbolo scollegato.
  • Simboli collegati: Questi continuano ad essere collegati con il simbolo originario. Le modifiche al simbolo nella libreria cambiano anche il simbolo nell´immagine.

attenzione Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo della libreria di un progetto in un altro, potete scollegarlo.

Info Informazioni

Se avete attivato la proprietà Cornice intorno a elementi dinamici nell´editor, potete distinguere con uno sguardo un simbolo separato dai simboli collegati. Nel caso di simboli collegati, il simbolo di una freccia viene visualizzatio nell´angolo superiore destro. Trovate questa proprietà alla voce Opzioni -> Impostazioni nel settore Impostazioni.


Simboli non collegati

Manuale -> Immagini -> Simboli -> Inserisci dei simboli in un'immagine -> Simboli non collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In tal modo inserite in un´immagine un simbolo in modalità scollegata:

  • tenete premuto il tasto Ctrl e trascinate il simbolo per Drag&Drop all´interno dell´immagine.

    oppure

  • selezionate il menu contestuale del simbolo Aggiungi simbolo nell´immagine in modalità scollegata per inserire il simbolo nell´immagine attuale in modalità scollegata.

I simboli dopo essere stati inseriti possono essere frammentati nei singoli elementi che li compongono, i quali possono essere elaborati. A tal scopo selezionate nel menu contestuale Simbolo ->Passa alla modalità modifica singola oppure nel menu Modifica -> Simbolo -> Modalità modifica singola Simboli/Elementi.

I simboli non non vengono modificati se il simbolo originale viene modificato nella biblioteca, dato che questi quando estratti non saranno più collegati ad esso.

Sostituisci variabili collegate

Nel caso dell´inserimento in modalità scollegata di un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo collegato. Dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici .

Per sostituire delle variabili in simboli già inseriti, selezionate anzitutto nel menu contestuale del simbolo il comando Sostituisi Collega.

Un consiglio: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..


Simboli collegati

Manuale -> Immagini -> Simboli -> Inserisci dei simboli in un'immagine -> Simboli collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I simboli collegati non salvano nella libreria dei simboli nessuna variabile fisica esistente, ma solamente nomi variabili. Quando si inseriscono dei simboli in un´immagine in forma collegata, i nomi variabili depositati nel simbolo possono essere assegnati a variabili del progetto. Se il progetto contiene una variabile che corrisponde ad un nome depositato nel simbolo, essa viene collegata automaticamente (senza bisogno di una regola extra).

Aggiungi simbolo in modo collegato

In tal modo inserite in un´immagine un simbolo collegato:

  • trascinate il simbolo per Drag&Drop nell´imamgine.

    oppure

  • selezionate il menu contestuale del simbolo Aggiungi simbolo nell´immagine in modalità collegata per inserire il simbolo nell´immagine attuale in modalità collegata.

I simboli collegati vengono salvati nell'immagine solo come link. Ogni modifica del simbolo nella libreria ha influenza immediata sul simbolo nell´immagine. Nel caso in cui, per esempio, un elemento dinamico viene aggiunto nel simbolo, esso è presente in tutte le immagini in cui si usa questo simbolo.
Eccezione: le modifiche apportate alla grandezza del simbolo si ripercuotono sull´immagine solo nel caso in cui lí sia stata selezionata nella proprietà del simbolo Dimensione bitmapGrandezza originaria.

Interno ID: Simboli collegati

Dimensione bitmap

Definizione della dimensione bitmap.
Dimensione originale: Dimensione originale bitmap collegata.
Allungato: La dimensione della bitmap viene adattata alla grandezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per quello che concerne i simboli collegati:

  • li potete trasformare in simboli scollegati: menu contestuale Simbolo -> Converti simbolo collegato in simbolo scollegato
  • Modificarli nell´editor del simboli: Simbolo-> Elabora nell´editor dei simboli
  • Inserirli in un simbolo non collegato: Simbolo -> Inserisci in simbolo scollegato esistente

I simboli collegati non possono essere divisi negli elementi che li compongono e tali elementi non possono essere modificati nella modalità Modifica elementi (Menu contestuale -> Simbolo ->Passa alla modalità modifica singola, oppure tramite Menu Modifica-> Simbolo ->Modifica singola Simboli/Elementi ).

attenzione Attenzione

Usate con simboli collegati solo caratteri scollegati, visto che i caratteri collegati non sono scalato con il simbolo. In tal modo si sposterebbe la posizione relativa dei testi rispetto alla grafica nel simbolo.

Sostituisci variabili collegate

Nel caso dell´inserimento in modalità collegata di un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo collegato. Possono essere sostituiti anche ALC Aliase che vengono usati in elementi nel simbolo. Più inserimenti vengono divisi mediante un punto e virgola (;).

Proprietà | Descrizione
Origine | Inserimento della stringa parziale da ricercare; è possibile usare "*" e "?". (wildcard sono ammesse solamente come prefisso o suffisso, dunque *xxx o xxx*.)
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Nomi composti | Consenti nomi composti Non è disponibile per ALC ALiase. Essi vengono sempre usati senza prefisso di simbolo.

Altri dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituisci collegamenti di variabili e funzioni .

Per sostituire delle variabili in simboli già inseriti, selezionate nelle proprietà nel nodo Regola di sostituzione la proprietà Anteprima.

Interno ID: Simboli collegati

Anteprima

È a disposizione solamente se una variabile è collegata al simbolo.

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.

Interno ID: Simboli collegati

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo:
indicate le variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Simboli collegati

Origine

Sostituzione di variabili e/o funzioni in un simbolo:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Beispiel: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Simboli collegati

Regola di sostituzione

Proprietà per la sostituzione della variabile collegata e/o delle funzioni.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..

Esempio:

Sorgente: A;b

Destinazione: C;d

Nomi composti

Se la proprietà Nomi gerarchici nel nodo Regola di sostituzione è attiva, i nomi delle variabili collegate vengono composti dal nome oggetto del simbolo e dalla variabile definite nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile"

Interno ID: Simboli collegati

Nomi gerarchici

Attiva: i nomi delle variabili collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile"
Non attiva: vengono usati i nomi variabili normali.
Default: non attiva
Esempio:
Nome variabile: Motor.Drehzahl
Il nome simbolo è "Motor". L’elemento dinamico che viene utilizzato nel simbolo, ha come variabile collegata il placeholder Speed".
Il placeholder "Speed" può essere facilmente inserito scrivendo il nome direttamente nella proprietà della variabile.
I nomi combinati funzionano anche con i simboli annidati:
se si ha un simbolo con nome "Pump", che a sua volta contiene un simbolo "Motor" e un simbolo "Convertor" con una variabile placeholder"Output", allora il collegamento funzionerà se sono presenti nel progetto le variabili Pump.Motor.Output e Pump.Convertor.Output.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio Esempio

Nome variabile: Motor.Drehzahl
Il nome simbolo è "Motor". L´elemento dinamico che viene utilizzato nel simbolo, ha come variabile collegata il carattere jolly "Drehzahl".
Il carattere jolly "Drehzahl" può essere digitato al momento della creazione del simbolo presso la proprietà della variabile.

I nomi composti funzionano anche con simboli complessi:
Se si ha un simbolo"Pumpe", che a sua volta contiene un simbolo "Motor" e un simbolo "Umrichter" con il carattere jolly di variabile "Leistung", il collegamento funziona se nel progetto esiste una variabile Pumpe.Motor.Leistung e una variabile Pumpe.Umrichter.Leistung.


Selezione dei simboli nell'elemento combinato

Manuale -> Immagini -> Simboli -> Inserisci dei simboli in un'immagine -> Selezione dei simboli nell'elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per collegare un elemento combinato con un simbolo, procedete come segue:

  1. selezionate nelle proprietà dell´elemento combinato nel nodo Visualizzazione nella proprietà Rappresentazione Simbolo della libreria

    Interno ID: Selezione dei simboli nell'elemento combinato

    Rappresentazione

    Bitmap: Per ogni stato si può selezionare un Bitmap.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.
    Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
    Simbolo della libreria: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
    Carattere: Per ogni stato si può definire un carattere (solo SICAM 230).
    Testo di stato & Simbolo ad immagine: Per ogni stato si può definire un testo.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Selezione dei simboli nell'elemento combinato

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. clliccate su Stati e test

    Interno ID: Selezione dei simboli nell'elemento combinato

    Stati e test

    Apre il dialogo per la definizione degli stati.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si apre il dialogo di configurazione:

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri

Descrizione

Elemento di rappresentazione

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di collegamento

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori:

attivo solamente se nel settore Impostazioni specifiche viene disattivata la proprietà Colori simbolo originali.

Colore

Scelta del colore.

Colori di riempimento

Scelta del colore di riempimento

Da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali

attivo: riprende il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Interno ID: Selezione dei simboli nell'elemento combinato

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Lampeggio

attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Lista simboli

Manuale -> Immagini -> Simboli -> Lista simboli

Mediante Modifica -> Simbolo -> Barra simboli... si apre una lista che visualizza tutti i simboli dell´immagine attiva:

titolo | Contenuto
No. | Numero simbolo
Nome | Nome del simbolo

Cliccando sul relativo titolo della colonna, potete ordinare i simboli sulla base di numero o nome. Il simbolo selezionato nella lista simboli nell'immagine è rappresentato in modo lampeggiante.


XML-Export e XML-Import

Manuale -> Immagini -> Simboli -> XML-Export e XML-Import

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menu contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menu contestuale del nodo Libreria simboli - Progetto il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menu contestuale del nodo oppure della visualizzazione dettagli di Libreria simboli - Progetto oppure nella visualizzazione dettagli della Libreria simboli globale il comando Importa file XML..
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

I simboli vengono importati.

Conflitti causati dal nome in caso di import

Quando si importa un simbolo, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione del nuovo simbolo che deve essere impostato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Si | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutte | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono sostituiti.
No tutte | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono mantenuti.

Indicazione: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Livelli di visibilità

Manuale -> Immagini -> Livelli di visibilità

In modo simile a quanto accade nei programmi CAD, si possono definire nell´editor dei livelli di visibilità, che possono essere assegnati poi a singoli elementi. In tal modo è possibile nascondere nel caso di immagini complesse quegli elementi che non sono necessari, che poi, però, possono essere resi di nuovo visibili in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello viene effettutata nella proprietà Livello di visibilità nel nodoGenerale. L´attivazione o la disattivazione dei singoli livelli avviene facendo uso dei pulsanti della barra simboli Livelli di visibilità:

Interno ID: Livelli di visibilità

Generale

Proprietà generali dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Livelli di visibilità

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Simbolo (da sinistra a destra) | Funzione
Mostra tutti i livelli di visibilità | Visualizza tutti i livelli.
Nascondi tutti i livelli di visibilità | Nasconde tutti i livelli.
Livello di visibilità<Nr> | Mostra o nasconde il livello di visibilità corrispondente.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Info Informazioni

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun influsso sul Runtime.

Indicazioni sugli elementi di controllo: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.


Tipi di immagine

Manuale -> Immagini -> Tipi di immagine

Nella loro configurazione di base, le immagini vengono generate facendo ricorso al tipo Standard. Facendo uso di una lista a cascata, si può procedere alla selezione di speciali tipi di immagine fra quelli disponibili nelle proprietà di un´immagine.

Interno ID: Tipi di immagine

Standard

- attivo: Tutti gli apparecchi C su un apparecchio B vengono considerati come cosiddetti "binari C". Gli apparecchi C non vengono più selezionati direttamente, ma i punti di dato vengono trattati sugli apparecchi C come se si trovassero
sull'apparecchio B.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Se si cambia un´immagine del tipo standard in un altro tipo speciale, quest´ultimo è connesso in modo fisso all´immagine e non può essere più modificato.

Tipi di immagine speciali

Per far fronte a compiti speciali, zenon offre una serie di tipi di immagine particolari. Dopo aver selezionato uno speciale tipo d´immagine, avete a disposizione nel menu contestuale Elementi di controllo tutti gli elementi possibili per quel tipo specifico di immagine. Il punto di menu Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita.

Info Informazioni

I tipi di immagini speciali devono essere impostati solamente una volta anche nel caso in cui vengano utilizzati più volte. Con l´aiuto di filtri della funzione Cambio immagine, l´utente può stabilire con quali dati questi tipi di immagine devono essere aperti.

Tipi di immagini speciali come immagine di partenza

Ogni tipo di immagine può essere teoricamente utilizzato anche come immagine di partenza.

Attenzione: sono aperti tipi di immagini speciali con filtro vuoto e, dunque, senza dati.


Tipi di immagine speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tipi di immagini speciali in zenon:

Tipo d'immagine | Descrizione
Lista di informazioni allarmi | Raccoglie le segnalazioni d'allarme e le visualizza sotto forma di una lista.
Lista di informazioni allarmi | Filtro per la Lista di informazioni allarmi.
Elaborazione archivio: | rappresentazione in forma di tabella e ad editare valori di archivio salvati. ATTENZIONE: Disponibile solo con licenza per il Server archivi.
Batch | Crea modelli per ricette Master nel modulo Batch Control. ATTENZIONE: disponibile solo con licenza per il Batch Control.
Comando | Visualizzazione di comandi. ATTENZIONE: disponibile solo con licenza per la Energy Edition.
Lista Eventi Cronologica | Raccoglie gli eventi di processo e di sistema desiderati, nonché le impostazioni user e li visualizza sotto forma di lista.
Lista eventi cronologica Filtro | Filtro per la Lista eventi cronologica
Energy Management System | Progettazione e visualizzazione del management dell´approvvigionamento di energia (elettricità, gas). ATTENZIONE:disponibile solo con licenza per Energy Managment System. Indicazione: non è disponibile sotto Windows CE.
Trend esteso | Visualizza valori online e di archivio in forma di grafici lineari.
Prognosi del carico massimo | Immagine per la visualizzazione della Prognosi del carico massimo ATTENZIONE: disponibile solo con licenza per SICAM 230.
HTML | Permette la visualizzazione di un'immagine in HTML, adattata a Microsoft Internet-Explorer.
Industrial Maintenance Manager | Visualizzazione di informazioni di manutenzione. ATTENZIONE: Disponibile solo con licenza per Industrial Maintainance Manager. Indicazione: non è disponibile sotto Windows CE.
Industrial Performance Analyzer | Analizza gli allarmi al fine di localizzare i punti deboli di un impianto (tempi di interruzione di funzionamento). Indicazione: non è disponibile sotto Windows CE.
Keyboard | Genera una tastiera virtuale configurabile a piacimento.
Login | Impostazione individuale di una finestra di Login.
Message Control | Immagine per la gestoine del Message Queue nel Message Control.
Blocco note | Emette protocolli e file di testo che vengono generati in un'interrogazione della banca dati, oppur che sono disponibili sotto forma di file di testo.
Production & Facility Scheduler | Gestisce orari e profili. ATTENZIONE: Disponibile solo con una licenza per il Production & Facility Scheduler (PFS).
Generatore di rapporti | Per l'emissione di protocolli, che sono stati realizzati attraverso il modulo generatore di report. ATTENZIONE: Disponibile solo con licenza per il Generatore di rapporti. Nel caso in cui i rapporti debbano essere solo visualizzati e non modificati, non è necessaria una licenza per il Runtime.
Report Viewer | Serve a visualizzare i report RDL per valori archivio, AML, CEL e online. ATTENZIONE: disponibile solo con licenza per Reporting.
Manager gruppi ricette | Gestisce ricette e il loro uso all'interno di gruppi ricette. ATTENZIONE: Disponibile solo con licenza per il Manager gruppi ricette (RGM).
S7-Graph | Viene utilizzato per processi sequenziali con successione di passi alternativi o paralleli (Sequential Function Chart ). Visualizza nel runtime lo stato momentaneo della gestione del processo direttamente nel PLC.
Ricette standard | Per la gestione di ricette
Diagnosi variabili | Per la visualizzazione di variabili nel Runtime e il settaggio di valori impostabili. Indicazione: non è disponibile sotto Windows CE.
Video | Serve alla visualizzazione di registrazioni d'immagini online e registrazioni video salvate (*.avi). Indicazione: non è disponibile sotto Windows CE.
visualizzazione globale | Permette di effettuare lo scrollaggio con il mouse di immagini standard che sono più grandi della risoluzione immagine.
Filtro tempo | Permette di effettuare delle impostazioni di filtro generali per delle liste. Nella funzione Cambio immaginesi stabilisce quali liste verranno gestite tramite questo strumento.


Imposta speciali tipi di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Imposta speciali tipi di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare uno speciale tipo di immagine, procedete come segue:

  1. create una nuova immagine, oppure selezionatene una del tipo Standard
  2. nelle proprietà, e più precisamente nel nodo Generale in corrispondenza di Tipo di immagine, dovete cliccare sul tipo predefinito Standard

    Interno ID: Imposta speciali tipi di immagine

    Tipo di immagine

    Standard: tipo di immagine per la creazione di immagini di processo. Possono essere usati tutti gli elementi vettoriali e dinamici.
    Tipi di immagini speciali: Le immagini che non sono del tipo "Standard" devono essere create una sola volta e possono essere aperte mediante speciali impostazioni di filtro della funzione Cambio immagine con diversi dati. Non appena si è scelto uno speciale tipo di immagine, nel menu Elementi di controllo sono a disposizione i corrispondenti elementi di gestione per il tipo di immagine in questione.

    Attenzione: Non appena il tipo d'immagine è stato modificato da 'standard' ad un tipo specifico, è fisso e non può essere modificato.

    Default: Standard

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Imposta speciali tipi di immagine

    Generale

    Proprietà generali dell´immagine.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Alternativa: cliccate nella lista dettagliata Immagini sul tipo dell´immagine e selezionate quello che preferite fra quelli esistenti nella lista a cascata

  3. selezionate il tipo di immagine desiderato fra quelli della lista a cascata.
  4. scegliete nel menu Elementi di controllo gli elementi di controllo desiderati
    • Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita
    • Gli elementi che sono già presenti nell´immagine, vengono visualizzati in color grigio e non possono essere più selezionati

Info Informazioni

Limite concernente l´inserimento automatico di modelli:

se un elemento statico (per es. un elemento di controllo) si trova già nell´immagine, il sistema non crea né una cornice, né didascalie di cornice quando si inseriscono degli elementi di controllo di un modello.

Raccomandazione: dopo aver impostato uno speciale tipo di immagine, inserite anzitutto gli elementi di controllo del modello e, solo in un secondo momento, altri elementi.


Modelli per immagini standard e tipi di immagini speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per speciali tipi di immagine (come immagini standard) si possono usare dei modelli che servono ad inserire e posizionare gli elementi. I modelli possono essere creati direttamente da ogni immagine. Per speciali tipi di immagine, vengono forniti in zenon dei modelli predefiniti.

I modelli vengono salvati in file ZIP compressi, che contengono a loro volta tre altri file:

  • Metadati: file XML con la descrizione del modello (nome, descrizione, grandezza, ecc.).
  • Elementi d´immagine: file XML con gli elementi di un´immagine esportati.
  • Anteprima: file Bitmap con l´anteprima del modello.

Modelli predefiniti

I modelli predefiniti sono a disposizione in diverse risoluzioni, nonché in forma ottimizzata per l´uso con touchscreen. Questi modelli non possono essere né modificati, né cancellati. I modelli COPA-DATA predefiniti vengono salvati nella cartella del programma alla voce: \Templates\ScreenTypes\<Nome per il tipo di immagine>\<Nome file>.zip.

I modelli definiti dagli utenti

Gli utenti possono creare e salvare dei modelli individuali per ogni tipo di immagine. Questi modelli potranno essere in seguito modificati e cancellati.

I modelli definiti dagli utenti vengono salvati nella cartella di dati di zenon alla voce: Templates\ScreenTypes\<Nomer del tipo immagine>\<Nome file>.zip.
Per es.: %ProgramData%\COPA-DATA\zenon700\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Indicazione: il percorso dipende dal fatto se esso è stato registrato al momento dell´installazione, oppure usando lo Startup Tool. Altrimenti il sistema userà la cartella del programma attuale come cartella di dati.


Usare modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Usare modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare un modello per un´immagine:

  1. aprite anzitutto l´immagine;
  2. scegliete nel menu Elementi di controllo il comando Seleziona modello
  3. si apre il dialogo con i modelli predefiniti e quelli definiti dagli utenti

    Indicazione: per le immagini del tipo Standard sono a disposizione solamente modelli definiti dagli utenti

  4. selezionate il modello desiderato
  5. Cliccate su Applica
  6. gli elementi definiti nel modello vengono inseriti nella posizione predefinita

Parametri | Descrizione
Campo liste Modelli (a sinstra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Cancella elementi ad immagine esistenti | Attiva: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Accetta | Inserisce l´elemento del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Crea modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i modelli definiti dagli utenti, si possono creare, cancellare, rinominare e spostare cartelle e modelli. I modelli predifiniti e forniti con il software non possono essere né modificati, né cancellati.

Crea cartelle o modelli

Per creare una cartella, selezionate:

  • il pulsante Nuova cartella nel dialogo
  • oppure il comando Nuova cartella nel menu contestuale
  • oppure usate il tasto Ins.

Per creare un modello:

  1. evidenziate nella lista dettagliata l´immagine desiderata
  2. selezionate nel menu contestuale oppure nella barra dei simboli il comando Crea modello per tipo di immagine
  3. si apre il dialogo che serve a creare dei modelli propri
  4. selezionate una cartella esistente, oppure createne una nuova
  5. assegnate un nome a questo nuovo modello.
  6. se volete, potete aggiungere una descrizione
  7. confermate la selezione cliccando su OK
  8. il modello viene inserito nella cartella evidenziata

Parametri | Descrizione
Campo liste Modelli (a sinstra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente. Consente di cancellare o rinominare cartelle e modelli usando il menu contestuale, oppure di aggiungere altre cartelle.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Nuova cartella | Crea una nuova cartella. Si possono impostare diversi livelli.
Elimina | Cancella dopo una richiesta di conferma da parte del sistema la cartella selezionata con tutte le sottocartelle.
OK | Crea modello e chiude il dialogo.
Esci | Chiude il dialogo senza creare un modello.
Guida | Attiva la guida online

Cancella cartelle

Per cancellare una cartella o un modello:

  1. evidenziate la cartella o i modello
  2. selezionate
    1. il pulsante Cancella nel dialogo
    2. oppure il comando Cancella nel menu contestuale
    3. oppure premete il tasto Canc.

La cartella o il modello verranno cancellati dopo una richiesta di conferma da parte del sistema. Nel caso delle cartelle, verranno cancellate anche le eventuali sottocartelle.

Rinomina cartelle o modelli

Per rinominare una cartella o un modello:

  • selezionate nel menu contestuale il comando Rinomina
  • oppure selezionate l´elemento e aprite con il tasto F2 la descrizione per modificarla
  • oppure modificate nel caso dei modelli il testo nel campo Nome

Sposta cartelle o modelli

Le cartelle e i modelli possono essere spostati in altre cartelle per Drag & Drop usando il mouse.


Menu contestuale Modello per crea tipo di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli -> Menu contestuale Modello per crea tipo di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu contestuale Modello per crea tipo di immagine

Nel dialogo che serve a creare dei nuovi modelli, sono contenuti anche dei menu contestuali.

Menu contestuale per cartella

Parametri | Descrizione
Nuova cartella | Crea una nuova cartella al di sotto del livello evidenziato.
Elimina | Cancella la cartella selezionata dopo che il sistema ha posto una domanda di conferma.
Rinominare | Apre la denominazione della cartella per consentire di rinominarla.
Guida | Attiva la guida online

Menu contestuale per modelli

Parametri | Descrizione
Elimina | Cancella il modello selezionato dopo che il sistema ha posto una domanda di conferma.
Rinominare | Apre la denominazione del modello per consentire di rinominarlo.
Guida | Attiva la guida online


Funzioni specifiche per l´immagine

Manuale -> Immagini -> Tipi di immagine -> Funzioni specifiche per l´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si crea in un´immagine di un tipo speciale un elemento dinamico del tipo pulsante, è a disposizione nelle proprietà al nodo Variabile / funzione l´ulteriore proprietà Funzione specifica per il tipo di immagine. In tal modo è possibile attribuire al pulsante delle funzioni speciali, specifiche per il tipo di immagine in questione.

Interno ID: Funzioni specifiche per l´immagine

Funzione specifica per il tipo di immagine

Solo nelle immagini MDI (Tipo di immagine non "Standard")
Al posto di una funzione generale può essere collegata una funzione specifica del tipo di finestra MDI. Questa funzione viene eseguita a Runtime tramite click del mouse o tramite la combinazione tasti impostata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Funzioni specifiche per l´immagine

Variabile / funzione

Proprietà per la varaibile o funzione collegata con l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per esempio nel Trend esteso:


Filtro immagine

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine

Facendo ricorso alla funzione Cambio immagine che serve a passare ad un´immagine del tipo "Filtro Lista di informazione allarmi", "Filtro Lista eventi cronologica" e "Filtro tempo", verrà visualizzato il dialogo filtro immagine.

Con i filtri immagine, avete la possibilità di gestire in modo individuale le pagine filtro. A questo scopo, non dovete usare necessariamente i dialoghi zenon predefiniti, ma potete anche predisporre dei dialoghi filtro individuali. Potete impostare questo dialoghi sulla base di diversi criteri, come, ad esempio, funzionalità touchscreen, filtro solo per aree speciali, possibilità di cambio lingua, ecc.


Dialogo Filtro immagine

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Dialogo Filtro immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo dialogo provvedete ad effettuare delle impostazioni di base. Queste impostazioni hanno influenza sui valori che vengono visualizzati al momento dell´apertura delle relative immagini filtro nel runtime.

Info Informazioni

Non tutte le schede sono disponibili per tutti i tipi di filtri immagine.


Immagini

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Dialogo Filtro immagine -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Il filtro viene ripreso dalla seguente immagine

Immagine che apre

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Indicazione: le impostazioni nelle schedeGenerale, Testo e Tempo sono bloccate.

Selezione immagini

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Indicazione: ha senso solamente selezionare un´immagine che può riprendere o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Indicazione: non disponibile se avere attivato la checkbox Immagine che apre.

Immagine da attualizzare

Selezione immagini

Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.

Aggiornamento

Aggiorna su tutti i monitor

attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Dialogo Filtro immagine -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa scheda è disponibile solamente per la Lista di informazioni allarmi e per la Lista eventi cronologica, e mostra i filtri standard per le liste corrispondenti. Vedi Lista di informazioni allarmi Filtro oppure Lista eventi cronologica Filtro.

AML

Parametri

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Rispetta minuscolo/maiuscolo

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo allarmi

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi in uscita

attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

solo allarmi in attesa

attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Allarmi devono essere in attesa perlomeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Origine dati

Visualizzazione di alarmi attuali o attuali e storici.

Buffer circolare

attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni runtime

Comportamento della AML durante il runtime.

Apri lista bloccata

attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

Gruppi/classi allarmi/eventi, aree allarmi.

Selezione di gruppi, classi e aree allarmi.

Gruppi allarmi/eventi

Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Classi allarmi/eventi

Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.


Testo

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Dialogo Filtro immagine -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda definite i valori standard per il filtro testo. Disponibile solamente per il filtro lista allarmi e per quello della lista eventi cronologica.

Parametri | Descrizione
Filtra secondo |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo input | Indicate le parole corrispondenti, oppure la catena di caratteri.
Opzioni |
Rispetta minuscolo/maiuscolo | Attivo: per la denominazione, si distingue fra lettere maiuscole e minuscole.
Le paorole non devono essere presenti nel testo nella loro interezza. | Attivo: anche parti di parole vengono tenute in considerazione nell´effettuazione dell´operazione di filtro.
Perlomeno una parole deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto. | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Tempo

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Dialogo Filtro immagine -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definite in questa scheda l´intervallo che deve essere usato all´apertura dell´immagine filtro.

Sono disponibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.


Crea tipo d'immagine lista informazioni d´allarme Filtro

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Crea tipo d'immagine lista informazioni d´allarme Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La Immagine del tipo Filtro Lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo Lista allarmi Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri Lista allarmi Filtri.

attenzione Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse hanno lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea tipo d'immagine lista informazioni d´allarme Filtro

Per creare un tipo di immagine del tipo Lista d´informazioni allarmi Filtri:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. selezionate nella lista a cascata l´inserimento Lista d´informazioni allarmi Filtri.
  4. selezionate un proprio modello
    (AML Filtri non può basarsi sulo stesso modello di altre immagini).
  5. cliccate sull´immagine
  6. selezionate nella barra menu il punto Elementi di controllo
  7. cliccate nella lista a cascata su Inserisci modello
  8. si apre il dialogo per selezionare uno modello
  9. selezionate il modello desiderato
  10. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  11. impostate una Funzione di cambio immagine per poter aprire l´immagine durante il Runtime

Elementi

L´immagine del tipo Lista allarmi Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:

  • Nome variabile

Filtro sulla base del nome delle variabili.

  • Identificazione

Filtro sulla base dell´identificazione delle variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Tipo allarmi

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

solo non ripristinati
  • Solo allarmi in uscita

solo usciti
  • Solo allarmi in attesa

solo in attesa
  • Commento obbligatorio

Allarmi il cui ripristino comporta l´obbligo di scrittura di un commento
  • Tempo minimo per gli allarmi in attesa - giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.

  • Tempo minimo per gli allarmi in attesa - ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.

  • Tempo minimo per gli allarmi in attesa - minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.

  • Tempo minimo per gli allarmi in attesa - secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.

  • Tempo minimo per gli allarmi in attesa - millesecondi

Solo allarmi che sono in attesa perlomeno dal numero di millesecondi indicato.

Origine dati

Da dove provengono i dati:

  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.

  • Didascalia: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi allarmi/eventi

Gruppi allarmi/eventi
  • Classi allarmi/eventi

Classi allarmi/eventi
  • Aree allarmi

Aree allarmi

Filtro tempo

Lista a cascata di diversi Filtri tempo.

Aggiungi tutti gli elementi: Tempo assoluto - Visualiz. classica

Aggiunge tutti gli elementi per la definizione di tempi assoluti: ogni elemento riceve un campo proprio.

Aggiungi tutti gli elementi: Inserisci tutti gli elementi: Tempo assoluto - Piccola visualiz.

Aggiunge elementi per la definizione di tempi assoluti in visualizzazione compatta.

Aggiungi tutti gli elementi: Periodo relativo

Aggiunge tutti gli elementi per la definizione di tempi relativi:

Aggiungi tutti gli elementi: Dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire dal giorno - dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato giorno- ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire da giorno, mese - ore HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato mese-giorno- ore-minuti-secondi.

Didascalia: Tipo filtro tempo

Didascalia del tipo del filtro tempo.

Combobox: Tipo filtro tempo

Combobox Tipo filtro tempo.

Visualizzazione: Tipo filtro tempo

Campo per visualizzazione del tipo filtro tempo.

Tempo da

campi e didascalie per inserimenti di tempi "da".
  • Didascalia: dall´anno

  • Combobox: dall´anno

  • Didascalia: Dal mese

  • Combobox: Dal mese

  • Didascalia: Dal giorno

  • Combobox: Dal giorno

  • Didascalia: Dall´ora

  • Combobox: Dall´ora

  • Didascalia: Dal minuto

  • Combobox: Dal minuto

  • Didascalia: Dal secondo

  • Combobox: Dal secondo

  • Spincontrol: da

Tempo fino a

Campi e didascalie per inserimenti di tempi "fino a".
  • Didascalia: Fino all´anno

  • Combobox: Fino all´anno

  • Didascalia: Fino al mese

  • Combobox: Fino al mese

  • Didascalia: Fino al giorno

  • Combobox: Fino al giorno

  • Didascalia: Fino all´ora

  • Combobox: Fino all´ora

  • Didascalia: Fino al minuto

  • Combobox: Fino al minuto

  • Didascalia: Fino al secondo

  • Combobox: Fino al secondo

  • Spincontrol: Fino a

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.
  • Didascalia: da

  • Visualizzazione calendario: dalla data

  • Visualizzazione data: dalla data

  • Visualizzazione tempo: dal tempo

  • Didascalia: Fino a

  • Visualizzazione calendario: fino alla data

  • Visualizzazione data: fino alla data

  • Visualizzazione tempo: Fino al periodo

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elemetni per filtri testo.

Nessun filtro testo

Pulsante radio per deselezione filtri testo.

Ricerca di (parole separate da spazi vuoti).

Bottone radio per attivazione della ricerca

Didascalia: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.

  • Le paorole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.

  • Perlomeno una parole deve essere presente nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.

  • Tutte le parole devono essere presenti nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.

  • Testo filtro deve essere presente nel testo in modo esatto.

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

OK

Riprendi indicazioni e chiudi l´immagine.

Annulla

Elimina indicazioni e chiudi l´immagine.

Accetta

Accetta le indicazioni e lascia aperta l´immagine per altri inserimenti.

Aggiorna:

aggiorna l´immagine.

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.


Crea un'immagine del tipo filtro CEL

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Crea un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo CEL Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri per cambio immagine CEL Filtri.

attenzione Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse hanno lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea immagine del tipo Lista eventi cronologica Filtro

Per creare un tipo di immagine Lista eventi cronologica Filtro:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. Selezionate nella lista a cascata l´inserimento Lista eventi cronologica Filtro.
  4. selezionate un proprio modello
    (CEL Filtri non può basarsi sulo stesso modello di altre immagini).
  5. cliccate sull´immagine
  6. selezionate nella barra menu il punto Elementi di controllo
  7. cliccate nella lista a cascata su Inserisci modello
  8. si apre il dialogo per selezionare uno modello
  9. selezionate il modello desiderato
  10. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  11. impostate una Funzione di cambio immagine per poter aprire l´immagine durante il Runtime

Elementi

L´immagine del tipo Lista eventi cronologica Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:

  • Nome variabile

Filtro sulla base del nome delle variabili.

  • Identificazione

Filtro sulla base dell´identificazione delle variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Origine dati

Da dove provengono i dati:

  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.

  • Didascalia: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

  • Mostra tempi relativi

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi allarmi/eventi

Gruppi allarmi/eventi
  • Classi allarmi/eventi

Classi allarmi/eventi
  • Aree allarmi

Aree allarmi

Filtro tempo

Lista a cascata di diversi Filtri tempo.

Aggiungi tutti gli elementi: Tempo assoluto - Visualiz. classica

Aggiunge tutti gli elementi per la definizione di tempi assoluti: ogni elemento riceve un campo proprio.

Aggiungi tutti gli elementi: Inserisci tutti gli elementi: Tempo assoluto - Piccola visualiz.

Aggiunge elementi per la definizione di tempi assoluti in visualizzazione compatta.

Aggiungi tutti gli elementi: Periodo relativo

Aggiunge tutti gli elementi per la definizione di tempi relativi:

Aggiungi tutti gli elementi: Dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire dal giorno - dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato giorno- ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire da giorno, mese - ore HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato mese-giorno- ore-minuti-secondi.

Didascalia: Tipo filtro tempo

Didascalia del tipo del filtro tempo.

Combobox: Tipo filtro tempo

Combobox Tipo filtro tempo.

Visualizzazione: Tipo filtro tempo

Campo per visualizzazione del tipo filtro tempo.

Tempo da

campi e didascalie per inserimenti di tempi "da".
  • Didascalia: dall´anno

  • Combobox: dall´anno

  • Didascalia: Dal mese

  • Combobox: Dal mese

  • Didascalia: Dal giorno

  • Combobox: Dal giorno

  • Didascalia: Dall´ora

  • Combobox: Dall´ora

  • Didascalia: Dal minuto

  • Combobox: Dal minuto

  • Didascalia: Dal secondo

  • Combobox: Dal secondo

  • Spincontrol: da

Tempo fino a

Campi e didascalie per inserimenti di tempi "fino a".
  • Didascalia: Fino all´anno

  • Combobox: Fino all´anno

  • Didascalia: Fino al mese

  • Combobox: Fino al mese

  • Didascalia: Fino al giorno

  • Combobox: Fino al giorno

  • Didascalia: Fino all´ora

  • Combobox: Fino all´ora

  • Didascalia: Fino al minuto

  • Combobox: Fino al minuto

  • Didascalia: Fino al secondo

  • Combobox: Fino al secondo

  • Spincontrol: Fino a

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.
  • Didascalia: da

  • Visualizzazione calendario: dalla data

  • Visualizzazione data: dalla data

  • Visualizzazione tempo: dal tempo

  • Didascalia: Fino a

  • Visualizzazione calendario: fino alla data

  • Visualizzazione data: fino alla data

  • Visualizzazione tempo: Fino al periodo

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elemetni per filtri testo.

Nessun filtro testo

Pulsante radio per deselezione filtri testo.

Ricerca di (parole separate da spazi vuoti).

Bottone radio per attivazione della ricerca

Didascalia: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.

  • Le paorole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.

  • Perlomeno una parole deve essere presente nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.

  • Tutte le parole devono essere presenti nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.

  • Testo filtro deve essere presente nel testo in modo esatto.

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

OK

Riprendi indicazioni e chiudi l´immagine.

Annulla

Elimina indicazioni e chiudi l´immagine.

Accetta

Accetta le indicazioni e lascia aperta l´immagine per altri inserimenti.

Aggiorna:

aggiorna l´immagine.

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.


Tipo d'immagine Filtro tempo

Manuale -> Immagini -> Tipi di immagine -> Filtro immagine -> Tipo d'immagine Filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso di un´immagine del tipo Filtro tempo è possibile effettuare delle impostazioni concernenti il filtro tempo durante il runtime. I seguenti tipi di immagine possono essere influenzati facendo uso di filtro tempo:

  • Lista di informazioni allarmi
  • Elaborazione archivio:
  • Lista Eventi Cronologica
  • Trend esteso

Il vantaggio di questo tipo di immagine è rappresentato dal fatto che possono essere configurati solamente gli elementi di filtro veramente necessari. Proprio per questo l´utente non si deve occupare di tutte le possibili impostazioni concernenti il filtro. Vengono visualizzate, infatti, solamente le impostazioni di filtro di cui l´utente ha veramente bisogno. Avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen.

attenzione Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse hanno lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Nell´immagine del tipo "Filtro tempo" potete configurare tutte le impostazioni riguardanti il filtro tempo che sono presenti nel Filtro per la funzione cambio all´immagine corrispondente.

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


HTML

Manuale -> Immagini -> Tipi di immagine -> HTML

Permette la visualizzazione di un´immagine in HTML. Il Microsoft Internet Explorer installato attualmente sul computer viene usato come Rendering Engine.


Crea un'immagine del tipo HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Crea un'immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un tipo di immagine HTML:

  1. impostate una nuova immagine.
  2. Selezionate HMTL come tipo d´immagine.
  3. Viene generata un´immagine vuota.
  4. cliccate nella lista a cascata su Inserisci modello
  5. si apre il dialogo per selezionare uno modello
  6. selezionate il modello desiderato

Indirizzi per navigazione e ricerca vengono definiti al momento di impostare il Cambio immagine.

Info Informazioni

L´opzione Inserisci modello aggiunge elementi di controllo predefiniti in posizioni predefinite nell´immagine. Possono essere integrati tutti gli elementi di controllo, che possono essere anche cancellati e posizionati liberamente. Possono essere aggiunti anche altri elementi dinamici e elementi vettoriali.


Cambio immagine - HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Cambio immagine - HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare una funzione per aprire l´immagine HTML, procedete come segue:

  • scegliete Nuova funzione.
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo HTML
  • Si apre un dialogo per la definizione degli indirizzi per il campo di ricerca e di navigazione.

Parametri | Descrizione
Trova indirizzo | Indirizzo della pagina da visualizzare nel campo di ricerca
Indirizzo navigazione | Indirizzo della pagina da visualizzare nel campo di navigazione
Memorizza ultimi indirizzi |
Cerca | Numero di indirizzi che il sistema deve memorizzare per il campo di ricerca.
Navigazione | Numero di indirizzi che il sistema deve memorizzare per il campo di navigazione.
Proporre questo dialogo nel runtime | Attivo: Il dialogo viene visualizzato all´apertura dell´immagine nel runtime.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> HTML -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Elemento di controllo | Descrizione
Cerca | elemento di ricerca
navigare | Elemento dello spazio di navigazione Cliccando su un link nel campo 'trova', viene visualizzata la pagina corrispondente nel campo "navigare". Così possono essere visualizzati nel campo 'trova', per esempio, una barra di navigazione oppure il risultato di una ricerca del motore di ricerca, senza che il suo contenuto venga modificato se si clicca su un link.
cercare indietro | Sfogliare indietro nel campo di ricerca
Cercare avanti | Sfogliare avanti nel campo di ricerca
interrompere la ricerca | Interrompere la ricerca
cercare inizio | Ritornare all´inizio nella zona di ricerca
Cercare Refresh | Aggiornare nel campo di ricerca
cercare URL | Cercare indirizzi e file
navigare indietro | Sfogliare indietro nel campo di navigazione
navigare avanti | Sfogliare avanti nel campo di navigazione.
navigare interrompere | Navigare interrompere
Navigare inizio | Ritornare alla pagina iniziale nel campo di navigazione.
Navigare refresh | Aaggiornare campo di navigazione
Navigare URL | Navigare secondo indirizzi e file
Filtri | Aprire box filtro


Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note

Il blocco note consente la visualizzazione e (opzionalmente) la modifica di file di testo.


Crea un'immagine del tipo Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Crea un'immagine del tipo Blocco note

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La dimensione di visualizzazione del blocco note liste dipende dalla grandezza del modello associato. Nella definizione del Cambio immagine bisogna stabilire quale file viene aperto.

Per creare un blocco note:

  1. impostate una nuova immagine.
  2. Selezionate Blocco note come tipo d´immagine.
  3. Viene generata un´immagine vuota.
  4. cliccate nella lista a cascata su Inserisci modello
  5. si apre il dialogo per selezionare uno modello
  6. selezionate il modello desiderato

Info Informazioni

L´opzione Inserisci modello aggiunge elementi di controllo predefiniti in posizioni predefinite nell´immagine. Possono essere integrati tutti gli elementi di controllo, che possono essere anche cancellati e posizionati liberamente. Possono essere aggiunti anche altri elementi dinamici e elementi vettoriali.


Funzione Cambio ad un´immagine del tipo Blocco note.

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Funzione Cambio ad un´immagine del tipo Blocco note.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare una funzione per aprire l´immagine blocco note, procedete come segue:

  • scegliete Nuova funzione.
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Blocco note
  • Si apre un dialogo per la definizione del file che deve essere visualizzato.

Parametri | Descrizione
Nome del file | Selezione del file che deve essere visualizzato. Cliccate su ...... e si aprirà il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Blocco note. Nel caso in cui non dovesse essere ancora stato impostato il relativo file, lo si può selezionare nel dialogo facendo uso del simbolo Aggiungi file. Tipi di dato consentiti: TXT, HTM, HTML, FRM.
Solo leggere | Attivo: Il testo può essere letto, ma non editato durante il runtime.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Elemento di controllo | Azione
Pulsante File | Selezione file nel funzionamento online
Pulsante Refresh | Aggiorna la visualizzazione nel funzionamento online
Pulsante Salvare | Salva in un file le modifiche fatte nel funzionamento online
Pulsante Salva con nome | Salva le modifiche fatte nel funzionamento online in un file con un altro nome
Pulsante stampare | Stampa la visualizzazione del funzionamento online
Pulsante Stampa in dialogo | Impostazione stampante
Pulsante Chiudere | Chiude la lista allarmi
Pulsante Colonna destra | Spostarsi di una colonna a destra
Pulsante Colonna sinistra | Spostarsi di una colonna a sinistra
Pulsante Pagina destra | Spostarsi di una pagina a destra
Pulsante Pagina sinistra | Spostarsi di una pagina a sinistra
Pulsante riga su | Passare una riga più in alto
Pulsante riga giù | Passare una riga più in basso
Pulsante Pagina su | Passare alla pagina precedente
Pulsante Pagina giù | Passare alla pagina successiva
Elemento testo | Finestra di visualizzazione della lista testo


Video

Manuale -> Immagini -> Tipi di immagine -> Video

Utilizzando un’immagine per la visualizzazione video si possono visualizzare in zenon riprese online oppure riprese video salvate. Il formato usato è .avi.

Durante il Runtime i video vengono visualizzati centrati nel modello assegnato. La gestione avviene tramite elementi di controllo.

Indicazione: il Codec necessario per riprodurre i video deve essere installato sul calcolatore.


Crea un'immagine del tipo Video

Manuale -> Immagini -> Tipi di immagine -> Video -> Crea un'immagine del tipo Video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un tipo di immagine Video:

  1. impostate una nuova immagine.
  2. Selezionate Video come tipo d´immagine.
  3. Viene generata un´immagine vuota.
  4. cliccate nella lista a cascata su Inserisci modello
  5. si apre il dialogo per selezionare uno modello
  6. selezionate il modello desiderato

Info Informazioni

L´opzione Inserisci modello aggiunge elementi di controllo predefiniti in posizioni predefinite nell´immagine. Possono essere integrati tutti gli elementi di controllo, che possono essere anche cancellati e posizionati liberamente. Possono essere aggiunti anche altri elementi dinamici e elementi vettoriali.


Funzione Cambio immagine - video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con un´immagine del tipo Video possono essere visualizzati due tipi di video durante il runtime:

  1. Video salvati (*.avi)
  2. Video di una camera a circuito chiuso

Quali immagini vengono visualizzate dipende da quale scheda viene mostrata al momento di salvare il dialogo.

Info Informazioni

Se devono essere visualizzati sia file che immagini online, create due funzioni con cambio immagine per l´immagine.

Per impostare una funzione che serve ad aprire l´immagine Video, procedete come segue:

  • scegliete Nuova funzione.
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Video
  • Si apre il box di dialogo per la definizione della fonte immagine.
    • File video
    • Video online


File video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> File video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per guardare i file video salvati, sono:

  • Indicazione del video che deve essere visualizzato.
  • Impostazioni relative a posizione, velocità, volume e fattore di zoom della visualizzazione.

Parametri | Descrizione
File AVI | File video salvato che deve essere visualizzato
Opzioni e parametri |
Playbar | Visualizzazione di un regolatore scorrevole per la visualizzazione video.
Menu | Visualizzazione di un menu per il controllo del video con una barra di scorrimento (Possibile solo a playbar attivata).
Posizione video centrato | Posizione di partenza video quando si usa lo zoom ?attivo: attivo: il video zoomato viene posizionato sempre al centro del modello. Disattivato: la finestra del video viene ingrandita a destra in basso.
Autostart | Il file video viene visualizzato subito all'apertura dell'immagine
Riproduzione continua | Alla fine del video, il file video viene attivato nuovamente
Speed | Velocità di riproduzione in millesimi della velocità originale. Default: 1000 (velocità originale)
Zoom | Fattore zoom per ingradimento o rimpicciolimento in percentuale della grandezza originale. Default: 100 (grandezza originale)
Volume | Volume in millesimi del volume originale. Default: 1000 (volume originale)
Freq.timer | Indicazione: non viene usato al momento. Frequenza timer Default: 500


Video online

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> Video online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per la visualizzazione di una telecamera a circuito chiuso:

  • Indicazione del driver video
  • Impostazioni per le opzioni di registrazione nel caso in cui si vogliano anche registrare dei video.

Parametri | Descrizione
- Driver-Video | Selezione del driver video da utilizzare. Indicazione: il driver dovrebbe supportare Microsoft Capturing.
Opzioni di registrazione | Opzioni per la registrazione e il salvataggio di video come file AVI oppure bitmap. Se devono essere visualizzate solamente delle immagini online, non è necessario effettuare nessuna impostazione in questa sede.
Nome o descrizione breve | Nome del file da salvare
Assegna nome automaticamente | Il nome viene generato a inizio registrazione con l’orologio di sistema.
Attiva limite Cap. tempo | Limite temporale per la registrazione in secondi.
Formato | AVI o BMP
Autostart della registrazione | La registrazione inizia subito all'apertura dell'immagine.
-Usa buffer DOS | Rilevante solamente per sistemi a 16 bit.
Frame rate | Numero di immagini al secondo per la registrazione.
Buffer video | Parte del buffer riservata per la visualizzazione video in MB.
Drop rate MAX | Massimo "Dropped Frames" consentito in percentuale durante la registrazione. Valore: da 0 fino 100 Default: 10
Video | Impostazioni specifiche del driver.
Visualizza… | Impostazione dipendente dal driver selezionato.
Formattare…. | Impostazione dipendente dal driver selezionato.
Comprimere…. | Impostazione dipendente dal driver selezionato.
- Origine…. | Impostazione dipendente dal driver selezionato.
Audio | Impostazioni per la registrazione sonora.
-Acquisisci audio | Attiva registrazione sonora.
Formato audio | Impostazioni specifiche del driver.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> Video -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel modello, i video vengono visualizzati centrati.

Elemento di controllo | Descrizione
Video online | Elementi per la gestione di un video online.
Formato | Formato di emissione.
Origine | Fonte dati.
Visualizzazione | Visualizzazione video.
Compressione. | Compressione dati.
File video | Elemente per la gestione di un file video.
Velocità. | Velocità di riproduzione.
Zoom | Ingrandimento.
Filtri | Impostazioni filtro.
Start | Esegui file video.
Ripetere | Esegui file video un´altra volta.
Registrazione. | Registrare video.
Pause | Fermare il video durante l' esecuzione.
Stopp/Avanti | Stop/riprendi riproduzione.
Eject | Espelli.
>> | Riproduzione rapida.
<< | Arretramento rapido.
Fine | Passare alla fine del video.
Pos1 | Tornare all´inizio.


Funzioni - Immagini

Manuale -> Immagini -> Funzioni - Immagini

Se si crea la funzione standard dal menu contestuale nella sezione lista, zenon genera automaticamente una funzione "cambio immagine" per l'immagine selezionata.


Cambio immagine

Manuale -> Immagini -> Funzioni - Immagini -> Cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Cambio immagine consente di passare durante il runtime da un´immagine di processo all´altra.

Esempio Esempio

In un progetto c`è un´immagine Start e una del tipo Lista di informazione allarmi. Deve essere possibile durante il runtime passare fra queste due immagini. Per poter far ciò, ad esempio, si crea nell'immagine Start un pulsante, nonché una funzione del tipo cambio di immagine per portare all'immagine Lista delle segnalazioni di allarme. Poi si collega la funzione con il pulsante, per esempio, per Drag&Drop. Durante il runtime, poi, si potrà lasciare l´immagine Start e aprire quella Lista delle segnalazioni di allarme clicando su questo pulsante.

Progettare cambio immagine

Per configurare la funzione:

  1. create una nuova funzione.
  2. navigate per raggiungere il nodo Immagini

    Interno ID: Cambio immagine

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  3. selezionate la funzione Cambio immagine

    Interno ID: Cambio immagine

    Cambio immagine

    Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

    Ulteriori informazioni nella guida in linea

  4. si apre il dialogo per selezionare un´immagine
  5. selezionate un´immagine
  6. si aprirà il Dialogo per la sostituzione di variabili e funzioni
  7. chiudete il dialogo cliccando su OK.
  8. assegnate la funzione ad un pulsante

Dialogo Selezione immagini

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Immagini

Scelta dell´immagine

Se selezionate diverse immagini, il sistema usa la prima immagine scelta per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione immagini nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione d´immagine.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
  • opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Cambio immagine con Variabile

Manuale -> Immagini -> Funzioni - Immagini -> Cambio immagine con Variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione nel funzionamento online si può aprire l'immagine, il cui nome è contenuto in una variabile string definita.

Come parametro è da selezionare una variabile string dalla lista delle variabili.

Indicazione relativa a sistemi multimonitor: non è possibile una scelta monitor. La funzione si riferisce sempre al primo monitor.


Immagine: chiudi

Manuale -> Immagini -> Funzioni - Immagini -> Immagine: chiudi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione si chiude durante il Runtime un´immagine definita. Se, nel caso di progetti multimonitor, un´immagine è aperta su diversi monitor, si può scegliere quale immagine deve essere chiusa su quale monitor.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Chiudi immagine

    Interno ID: Immagine: chiudi

    Chiudi immagine

    Questa funzione chiude un'immagine selezionata.

    Ulteriori informazioni nella guida in linea

    Interno ID: Immagine: chiudi

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  2. si apre il dialogo per selezionare un´immagine
  3. selezionate l´immagine desiderata;
  4. nel caso di progetti multimonitor, selezionate fra quelli proposti dalla lista a cascata il monitor virtuale su cui deve essere chiusa l´immagine:
    • Tutti
    • monitor attuale
    • certo monitor virtuale

Dialogo Selezione immagini

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Immagini

Scelta dell´immagine

Se selezionate diverse immagini, il sistema usa la prima immagine scelta per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione immagini nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione d´immagine.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
  • opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Immagine indietro

Manuale -> Immagini -> Funzioni - Immagini -> Immagine indietro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione si può commutare rapidamente su immagini precedentemente aperte nel funzionamento online. La stessa funzione che è stata utilizzata per aprire l´immagine, sarà eseguita un´altra volta. Il che significa che filtri immagine non vengono salvati, ma devono essere creati di nuovo.

Le immagini precedentemente aperte vengono gestite in un buffer. Con l´esecuzione della funzione Cambio immagine vengono inserite nella memoria le immagini dei rispettivi Modelli resi disponibili. Il numero delle immagini gestite nella memoria viene definito nel fileproject.ini.

[FUNKTIONEN]

ZURUECK_ANZAHL=10

Come parametri di trasferimento sono da indicare i modelli da considerare.

Con l'inserimento ZURUECK_ANZAHL= si stabilisce la dimensione della memoria.

Indicazione relativa a sistemi multimonitor: non è possibile una scelta monitor. La funzione si riferisce sempre a tutti i monitor.


Attiva impostazione su elemento focalizzato

Manuale -> Immagini -> Funzioni - Immagini -> Attiva impostazione su elemento focalizzato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione attiva l´elemento che possiede il focus nel modello desiderato.


Focalizzazione sul modello

Manuale -> Immagini -> Funzioni - Immagini -> Focalizzazione sul modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione setta il focus su un modello definito nel caso di una gestione tastiera nel runtime.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Attiva focus sul modello

    Interno ID: Focalizzazione sul modello

    Attiva focus sul modello

    Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

    Ulteriori informazioni nella guida in linea

    Interno ID: Focalizzazione sul modello

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  2. si apre il dialogo per selezionare un modello
  3. Selezionate il modello desiderato.
  4. nel caso di un sistema multi-monitor, selezionate il Monitor virtuale per l´apertura del modello

Nel runtime, il modello su cui è stato settato il focus, viene visualizzato con una cornice. La larghezza della linea e il colore della cornice vengono definite nelle proprietà di progetto nel nodo Aspetto grafico/Immagini.

Interno ID: Focalizzazione sul modello

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Focalizzazione sul modello

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dialogo Selezione modelli

Nel dialogo di selezione Modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Modelli

Selezione dei modelli.

Se selezionate diversi modelli, il sistema usa il primo modello scelto per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione modelli nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione di modelli.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
    opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Sposta focus

Manuale -> Immagini -> Funzioni - Immagini -> Sposta focus

Questa funzione setta il focus su un elemento definito nel caso di una gestione tastiera nel runtime e può essere usato per la navigare all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´editor nel menu contestuale, oppure alla voce Modifica/Sposta successione per focus...-
Sull’elemento | Stabilire l’elemento che deve ricevere il focus. Si deve inserire il nome oggetto dell’elemento


Elimina focalizzazione dal modello

Manuale -> Immagini -> Funzioni - Immagini -> Elimina focalizzazione dal modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione toglie il focus dal modello attuale durante il runtime. Per continuare la gestione con tastiera, il focus deve essere settato di nuovo su un modello.


Visualizza menu

Manuale -> Immagini -> Funzioni - Immagini -> Visualizza menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione gestisce la visualizzazione di menu principali.

  1. Create con Nuova funzione una nuova funzione
  2. selezionate nel nodo Immagini la funzione Visualizza menu
  3. definite l´azione da eseguire e il menu principale

Parametri | Descrizione
Azione | Selezione dell´azione:
Visualizza menu | Il menu selezionato viene visualizzato.
Escludi menu | Il menu selezionato viene nascosto.
Cambia menu | Il menu attuale viene nascosto ed il menu selezionato viene visualizzato.
Se nessun menu è disponibile | Viene visualizzato il menu selezionato qualora attualmente non sia visualizzato nessun altro menu.
Menu | Scelta del menu.
Proporre questo dialogo nel runtime | Attivo: al momento dell´esecuzione della funzione durante il runtime, viene aperto questo dialogo.


Assegna monitor

Manuale -> Immagini -> Funzioni - Immagini -> Assegna monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In un progetto a più monitor si può assegnare con questa funzione ad un singolo monitor reale un determinato monitor virtuale.


Chiudi modello

Manuale -> Immagini -> Funzioni - Immagini -> Chiudi modello

Con questa funzione si chiude durante il Runtime il modello selezionato con tutte le immagini che si basano su di esso. Al contrario della funzione Immagine chiudi non è richiesta l’esatta indicazione del nome immagine. Se, nel caso di progetti multimonitor, un modello è aperto su diversi monitor, si può scegliere quale modello deve essere chiuso su quale monitor.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Chiudi modello

    Interno ID: Chiudi modello

    Chiudi modello

    Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

    Ulteriori informazioni nella guida in linea

    Interno ID: Chiudi modello

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  2. si apre il dialogo per selezionare un modello
  3. Selezionate il modello desiderato.
  4. nel caso di progetti multimonitor, selezionate fra quelli proposti dalla lista a cascata il monitor virtuale su cui deve essere chiuso il modello:
    • Tutti
    • monitor attuale
    • certo monitor virtuale

Dialogo Selezione modelli

Nel dialogo di selezione Modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Modelli

Selezione dei modelli.

Se selezionate diversi modelli, il sistema usa il primo modello scelto per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione modelli nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione di modelli.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
    opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Valore impostabile predefinito per immagine Keyboard

Manuale -> Immagini -> Funzioni - Immagini -> Valore impostabile predefinito per immagine Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Valore impostabile predefinito per immagine Keyboard è disponibile solamente per immagini-keyboard. Inoltre, il campo testo Inserimento valore impostabile deve essere impostato. Esso consente di impostare o di settare uno dei valori definiti in precedenza.

Interno ID: Valore impostabile predefinito per immagine Keyboard

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta per un´immagine del tipo Keyboard un valore predefinito (valore proposto), oppure setta un valore predefinito e chiude l´immagine.

Ulteriori informazioni nella guida in linea

Parametri | Descrizione
Valore impostabile | Inserimento del valore impostabile.
Azione | Selezione dell´azione fra quelle della lista a cascata. (per quello che concerne le azioni possibili, vedi la tabella seguente)
OK | Riprende le indicazioni, chiude il dialogo e crea una funzione con valore e azione.
Annulla | Rifiuta le indicazioni, chiude il dialogo e crea una funzione senza valore impostabile e azione.
Guida | Apre la guida online

Azioni nella lista a cascata:

Azione

Descrizione

Proponi valore

l´impostazione valore viene scritta nell´immagine-keyboard

Accetta valore

Accade quanto segue:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK

RGM: accetta e invia valore

Se l´immagine keyboard viene aperta a partire da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile

RGM: acquisire i valori e salvare la ricetta

Se l´immagine keyboard viene aperta a partire da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • viene salvata la ricetta

RGM: scrivi e invia valore, nonché salva ricetta

Se l´immagine keyboard viene aperta a partire da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile
  • viene salvata la ricetta


Visualizza finestra di controllo

Manuale -> Immagini -> Funzioni - Immagini -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Interno ID: Visualizza finestra di controllo

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo in modo tale da simulare in un sistema con un solo monitor un sistema con più monitor.

Ulteriori informazioni nella guida in linea

Per configurare la funzione:

  1. create una nuova funzione.
  2. navigate per raggiungere il nodo
  3. selezionate la funzione Visualizza finestra di controllo
  4. si apre il dialogo per configurare la finestra di controllo
  5. selezionate la Vostra configurazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Parametri | Descrizione
Impostazioni | Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:
Visualizzazione | La finestra di controllo viene aperta.
Toggel | la visualizzazione passa da aperta a chiusa.
Chiudi | La finestra di controllo viene chiusa.
Visualizzazione di | Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.
Modelli | La finestra di controllo divide lo schermo in modelli.
Monitor | La finestra di controllo divide lo schermo in monitor.
Position | La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra.
Stile finestra |
Con titolo | attivo: la finestra di controllo dispone di una barra titolo Windows
Menu sistema | attivo: inserire il menu sistema Windows a barra titolo attivata
Con cornice | attivo: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:
fine | cornice spessa.
spessa | Cornice fine
Colori: | Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.
Colore sfondo | Colore dello sfondo della finestra
Visuale attuale | Modelli/monitor attualmente visualizzati.
Cornice | Colore della cornice.
Selezionate | Modelli/monitor selezionati
OK | Riprende le impostazioni, chiude il dialogo e crea una funzione con assegnazione.
Annulla | Rifiuta le impostazioni, chiude il dialogo e crea una funzione con impostazioni standard.
Guida | Apre la guida online


Spostare il centro dell'immagine

Manuale -> Immagini -> Funzioni - Immagini -> Spostare il centro dell'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione serve a spostare il centro dell' immagine globale oppure a modificare il livello zoom. L´immagine creata dev´essere più grande della risoluzione dello schermo. Nella definizione dell'immagine si deve perciò disattivare la dimensione impostata del Modelloe difinirla direttamente.

Impostazioni progettabili sono:

Immagine | Selezione dell´immagine per il nuovo centro dell´immagine
Selezionare centro dell´immagine | Definizione del centro dell´immagine
Nome oggetto | Definire centro dell´immagine desiderato tramite un oggetto dalla lista degli oggetto
Coordinate | Determinare le coordinate (x,y) per il centro dell´immagine desiderato.
Impostare livelli zoom | Impostazione dei livelli zoom
in % | Impostare la percentuale dello zoom desiderato
Livello | Selezionare il fattore zoom dai livelli di zoom definiti


Importazione-Esportazione

Manuale -> Importazione-Esportazione

E' possibile importare parti di un progetto (per es. funzioni, variabili, immagini ecc.) in zenon o esportarle da zenon. In tal modo si possono usare tali elementi in altri progetti, li si può salvare oppure modificare esternamente.

tutorial Informazioni sulla licenza

Import e export nella maggior parte dei formati sono contenuti nella licenza standard .

Eccezione: per l´export SQL è necessaria una licenza extra.


Generale

Manuale -> Importazione-Esportazione -> Generale

I dati esportati possono essere elaborati all´esterno per poi essere importati in un altro progetto o all´interno dello stesso progetto.

attenzione Attenzione

Nel caso dell´import/export XML non esiste nessuna forma di compatibilità verso il basso (versioni precedenti). I dati di vecchie versioni di zenon possono essere ripresi. Ma il passaggio di dati da versioni più recenti a quelle precedenti non viene supportato, è dunque impossibile.

In un progetto Sono a disposizione le funzionalità seguenti per l´importazione/esportazione.

  • Definizione di variabili
    • Tipi di dato
    • Matrici di reazione
    • Attribuzioni
  • Immagini
    • Modelli
    • Tipi di carattere
  • Funzioni
    • Script - funzioni
  • Server archivi
  • Ricette standard
  • Manager gruppi ricette
  • Temporizzatori
  • Interblocchi
  • Gestione menu
  • Gestione utenti

E possibile l´esportazione di tutti gli oggetti di un tipo oppure di un oggetto solo.

  • Tutti gli oggetti: Selezionate del ramo del Manager di progetto -> Menu contestuale XML "Esporta tutti...."
  • Singoli oggetti: Selezionate uno o più oggetti nella visuale dettagli -> Menu contestuale XML "esporta.... selezionati"

Gli oggetti nell´esportazione/importazione sono identificati secondo il loro nome e non secondo la loro identificazione interna, cioè se vengono importati dei progetti in un altro progetto, non possiedono la stessa identificazione interna.

Quando si realizza l´importazione di dati, una barra di progresso indica lo stato dell'importazione/esportazione.

attenzione Attenzione

Se al momento di effettuare un import nel progetto dovesse risultare che esiste un elemento dello stesso nome, questo viene sovrascritto tramite l'elemento del file d'importazione. (La sola eccezione sono i tipi di dato).

Le proprietà degli oggetti vengono elencate nel file di esportazione con la loro identificazione interna, la quale viene anche utilizzata in caso di accesso con VBA.

Troverà una descrizione dettagliata delle singole proprietà nell’ Help delle proprietà.

Alle proprietà che non esistono nel file XML (per es. perché sono state cancellate), vengono attribuiti i valori default quando si crea un nuovo elemento. Per gli elementi già presenti nel progetto, le proprietà non esistenti nel file XML non vengono modificate.

Esempio Esempio

Una variabile viene importata la prima volta senza offset. Questo viene inizializzato con il valore default 0. Con l'importazione di S7, l'offset viene modificato portandolo a 100. Più tardi la variabile viene importata una seconda volta; anche in questo caso manca l'offset nel file d'importazione. Viene mantenuto l'offset 100.

attenzione Attenzione

Il file XML da importare deve essere consistente. Al momento dell'import del file, viene effettuato un esame di plausibiltà. Se ci sono degli errori nei dati importati, ci possono essere delle conseguenze indesiderate nel progetto, che potrebbero arrivare fino al non funzionamento dello stesso.

Di ciò si deve tener conto in modo del tutto particolate se nel file XML non sono presenti tutte le propreità, visto che queste potrebbero essere settate con valori default! Una variabile binaria ha un valore limite di 300.


Archivi

Manuale -> Importazione-Esportazione -> Archivi

Il file di esportazione per gli Archivisi suddivide in:

Lista archivi

Quando sono importati/esportati gli archivi, le Variabili o Funzioni interessate non verranno importati/esportati automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione di funzioni e variabili. Si possono importare/esportare tutti gli archivi contemporaneamente oppure archivi selezionati.


Immagini

Manuale -> Importazione-Esportazione -> Immagini

Esporta immagini

Con le immagini vengono esportate anche le variabili e funzioni ivi contenute. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare delle immagini:

  1. selezionate l´immagine desiderata
  2. selezionate nel menu contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menu contestuale del nodo Immagini il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa immagine

Per importare delle immagini:

  1. selezionate nel menu contestuale del nodo Immagini oppure della visualizzazione dettagli Immagini il comando Importa file XML
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

Le immagini vengono importate.

Conflitti causati dal nome in caso di import

Quando si importa un´immagine, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione della nuova immagine che deve essere impostata. Se esiste già un´immagine che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Si | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutte | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono sostituite.
No tutte | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono mantenute.

Indicazione: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Gli Elementi dinamici e i Modelli vengono importati automaticamente con le immagini. Le Variabili e le Funzionidevono essere importate da questo file in maniera separata.

Vengono considerate però solo le variabili e funzioni del primo livello, cioè, le variabili e funzioni che sono collegate direttamente con l´immagine. Siccome da un lato i funzioni si possono riferire su delle variabili (p.e. valore impostabile) e dall´altro lato si possono riferire le variabili su delle funzioni (p.e. funzioni di valore impostabile), potrebbe essere necessario, di importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti vengono assunti nel modo corretto.

Esempio: un'immagine contiene un pulsante collegato con una funzione setta valore impostabile su una variabile. Con l´immagine viene importata la funzione, ma non la variabile.

Info Informazioni

In questo caso si consiglia l´uso del Wizard XML Import.


Modelli

Manuale -> Importazione-Esportazione -> Immagini -> Modelli

I modelli possono essere esportati/importati indipendentemente dalle immagini.

I modelli vengono esportati con le coordinate definite originariamente (in dipendenza della risoluzione del calcolatore sorgente). Al momento di effettuare l'importazione bisogna tenere presente che i modelli non vengono adattati automaticamente alla risoluzione del calcolatore di destinazione.


Tipi di carattere

Manuale -> Importazione-Esportazione -> Immagini -> Tipi di carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´export dei caratteri vengono esportati:

  • Lista carattere
  • Tipi di carattere

Tutti questi dati vengono automaticamente importati insieme ai tipi di carattere.


Simboli

Manuale -> Importazione-Esportazione -> Immagini -> Simboli

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menu contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menu contestuale del nodo Libreria simboli - Progetto il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menu contestuale del nodo oppure della visualizzazione dettagli di Libreria simboli - Progetto oppure nella visualizzazione dettagli della Libreria simboli globale il comando Importa file XML..
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

I simboli vengono importati.

Conflitti causati dal nome in caso di import

Quando si importa un simbolo, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione del nuovo simbolo che deve essere impostato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Si | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutte | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono sostituiti.
No tutte | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono mantenuti.

Indicazione: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Utente

Manuale -> Importazione-Esportazione -> Utente

Il file di esportazione per gli Utentisi suddivide in:

Lista utenti

Utenti impostati localmente nel progetto possono essere esportati/importati.

attenzione Attenzione

Le password degli utenti vengono importate in modo cifrato! Perciò non possono essere direttamente modificate nel file di esportazione.


Tipi di dato

Manuale -> Importazione-Esportazione -> Tipi di dato

Il file di esportazione per i Tipi di datosi suddivide in:

Lista tipi dato

Vedi per ulteriori informazioni la sezione: Import di variabili e tipi di dato .


Creare tipi di dato manualmente

Manuale -> Importazione-Esportazione -> Tipi di dato -> Creare tipi di dato manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

attenzione Attenzione

Solo per esperti

Nel caso in cui si voglia creare manualmente un tipo di dato nel file XML, si dovrebbe usare la seguente definizione:

Info Informazioni

<Apartment ShortName=' zenon(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Si dovrebbe lasciare perdere le restanti proprietà della definizione del tipo di dato.


Funzioni

Manuale -> Importazione-Esportazione -> Funzioni

All´importazione/esportazione di funzioni, le variabili interessate etc. non verranno importate/esportate automaticamente. Nel caso preciso bisogna fare attenzione ad eseguire prima un importazione/esportazione dei relativi oggetti.

Info Informazioni

A partire dalla versione 6.50 di zenon, le informazioni concernenti il tempo sono salvate in una funzione su base XML in UTC (secondi dal 1/1/1970, ore 0:00). Ciò riguarda, per esempio, la funzione Cambio immagine verso i seguenti tipi di immagine:

  • Lista di informazioni allarmi
  • Lista di informazioni allarmi
  • Elaborazione archivio:
  • Lista Eventi Cronologica
  • Lista eventi cronologica Filtro
  • Trend esteso
  • Production & Facility Scheduler
  • Report
  • Filtro tempo

Nelle versioni precedenti di zenon rispetto alla 6.50, questa informazione temporale viene salvata su base string (per esempio 02.01.1970 01:00:00).


Script:

Manuale -> Importazione-Esportazione -> Funzioni -> Script:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il file di esportazione per gli script si suddivide in:

Lista script

Quando sono importati/esportati gli script, le funzioni interessate non verranno importati/esportati automaticamente. Bisogna fare attenzione caso per caso: dev´essere effettuata prima un'importazione/esportazione delle funzioni.

Ogni script appare nel file di esportazione con una sezione propria che contiene il nome dello script e i nomi delle funzioni collegate.


Menu

Manuale -> Importazione-Esportazione -> Menu

Il file di esportazione per i Menusi suddivide in:

Lista Menu

Quando sono importati/esportati i menu, le Variabili, Funzioni, Pagine di help e le macro non vengono esportate/importate automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione di funzioni e variabili.


Matrici di reazione

Manuale -> Importazione-Esportazione -> Matrici di reazione

Il file di esportazione per le Matrici di reazione si suddivide in:

Lista delle matrici di reazione


Ricette standard

Manuale -> Importazione-Esportazione -> Ricette standard

Il file di esportazione per le Ricettesi suddivide in:

lista ricette

Lista variabili

Lista driver

Lista tipi dato

Con le Ricette standard vengono esportate anche le Variabiliivi contenute. Le Ricette vengono importate automaticamente. Le variabili devono essere importate da questo file in maniera separata.

Oltre al XML Import/Export, c'è a disposizione per le Ricette standard anche l'ASCII Import.
Attenzione: Nel caso dell'ASCII-Import, le ricette possono essere importate solo singolarmente.

Per quello che riguarda la ricetta, viene salvato il valore Raw. Questo viene utilizzato attraverso VBA e, nel caso si esportino delle ricette, attraverso XML.


Gruppi ricette

Manuale -> Importazione-Esportazione -> Gruppi ricette

Il file di esportazione per le Ricette Manager gruppi ricettesi suddivide in:

  • Lista dei gruppi ricette

Quando sono importate/esportate i gruppi di ricette e le loro ricette, le interessate Variabili non verranno esportate/importate automaticamente. Caso per caso bisogna fare attenzione che venga effettuata prima un'importazione/esportazione delle variabili.

Il file XML è costruito sulla base di gruppi ricette, il che significa che vengono importati singoli gruppi di ricette (con le loro variabili, ricette e valori delle ricette). Dopo un'importazione, saranno ancora disponibili i valori delle ricette esistenti che non si trovano nel file d'importazione. La stessa cosa vale per le ricette e le variabili collegate.

Quando si importa una singola ricetta di un gruppo, vale quanto segue: il gruppo ricette corrispondente deve essere selezionato. Nella finestra di emissione viene visualizzato il relativo messaggio.

Info Informazioni

Il RGM supporta accanto a XLM anche l'import ASCII delle ricette.
Attenzione: Nel caso dell'ASCII-Import, le ricette possono essere importate solo singolarmente.


Variabili

Manuale -> Importazione-Esportazione -> Variabili

Le variabili possono essere esportate o importate con zenon:

  • XML: Export e import; nel caso dell´import, i dati vengono analizzati e, se ci sono dei conflitti, vengono proposte delle possibilità di soluzione degli stessi.
  • CSV: Export e Import; nel caso dell´import, i dati esistenti vengono sovrascritti.
  • DBF: Export e Import; nel caso dell´import, i dati esistenti vengono sovrascritti.
  • S7: Importazione
  • Progetto TwinCAT: Importazione

Esportazione

Il file di esportazione per le variabili si suddivide in:

  • Lista variabili
  • Lista driver
  • Lista tipi dato

L´esportazione delle variabili include quindi anche i driver e i tipi di dato. Vedi guida sulle Variabili, capitolo Esporta dati.

attenzione Attenzione

Anche nel file XML deve essere assolutamente indicato un driver, altrimenti non viene importata neanche una variabile! Da tenere presente è il fatto che le proprietà del driver nel file XML sono dipendenti dal progetto.

Importazione

Nel processo di import delle variabili,, zenon apre un box di dialogo nel quale può essere assegnato un driver di origine tratto dal file XML ad un driver di destinazione nel progetto. Tutte le variabili del driver di origine vengono importate come variabili per il driver di destinazione. I tipi di dato vengono automaticamente importati assieme alle variabili. I driver devono essere creati nel progetto prima dell'import. Vedi sezione Import di variabili e tipi di dato.

attenzione Attenzione

Le modifiche che interessano le variabili vengono raccolte in una lista senza un ordine determinato. Per questa ragione, per ogni import può essere accettata solamente una modifica pro variabile. Se si vuole che vengano riprese diverse modifiche pro variabile, si può farlo solamente effettuando altrettanti procedimenti di importazione.

Esempio: se una variabile è stata rinominata e cancellata nel corso dello stesso procedimento di import, dopo la fine di quest´ultimo si potrà avere una variabile non cancellata, ma semplicemente rinominata.

Importazione di variabili struttura :

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di esse vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati attraverso il loro nome.
  • Nel caso di elementi di struttura già esistenti, il tipo viene adattato nella misura in cui si differenzia.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo elemento di struttura, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che inattive. Gli elementi esistenti non vengono sovrascritti quando si effettua l´import. Se quindi si importa in un progetto una variabile inattiva e poi la si attiva, essa rimane attiva anche dopo un nuovo import XML.


Import e export di variabili e tipi di dato

Manuale -> Importazione-Esportazione -> Variabili -> Import e export di variabili e tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per quello che concerne l´Import/Export di variabili vale quanto segue:

  • l´Import/Export non può essere avviato dal progetto globale.
  • L´avvio avviene tramite:
    • il menu contestuale di variabili o tipi di dato nella struttura ad albero del progetto
    • oppure il menu contestuale di una variabile oppure di un tipo di dato
    • oppure il simbolo nella barra simboli delle variabili.

attenzione Attenzione

Con l'import / la sostituzione di tipi di dato esistenti, vengono modificate tutte le variabili che si basano su questo tipo esistente tipo di dato.

Esempio:

Esiste un tipo di dato XYZ derivato dal tipo INT con variabili che si basano su questo tipo di dato. Anche il Vostro file XML che deve essere importato contiene un tipo di dato dal nome XYZ, tuttavia derivato dal tipo STRINGA. Se si importa questo tipo di dato, quello esistente viene sovrascritto e viene modificato il tipo di tutte le variabili basate si di esso. Cioè le variabili sono adesso STRINGA- e non c´è più nessuna variabile INT.


XML-Import

Manuale -> Importazione-Esportazione -> Variabili -> XML-Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di import XML di variabili o tipi dato, questi vengono analizzati per verificare la Attribuzione driver da parte zenon. In seguito l'utente ha la possibilità di decidere a che cosa debbono essere destinati i diversi tipi di dato / le diverse variabili:

  • importa
  • sovrascrivi
  • non importare

Il sistema propone solamente delle azioni sensate.

I seguenti conflitti impediscono l'effettuazione dell'import:

  • Il tipo di dato esiste già e le variabili collegate non possono essere convertite al tipo di dato da importare.
  • Il tipo di dato è complesso e gli elementi di quello già esistente si diversificano da quelli di quello da importare per numero o nome.
  • Il tipo di dato è complesso e pur essendo gli elementi uguali, essi si distinguono per i loro tipi di dato, il che rende una conversione delle variabili relative impossibile.
  • La variabile è di un tipo che non può essere importato (vedi sopra).
  • La variabile è di un altro tipo rispetto a quella esistente (semplice/complessa).
  • L'assegnazione del driver alla variabile non è corretta (il driver assegnato non supporta il tipo di dato relativo e/o l´area corrispondente).

Parametri

Descrizione

Elementi da importare

Fa una lista di tutte le variabile e tipi di dato che devono essere importati. Nel caso di variabili complesse, vengono visualizzate le variabili semplici ad esse attribuite. I tipi di dato strutturati possono essere "aperti" e gli elementi che li costituiscono vengono visualizzati a titolo di informazione per l'utente.

Dei simboli mostrano se l´elemento può essere importato (spunto verde), non può essere importato (X rossa), oppure se un conflitto deve essere risolto (simbolo blu).

Dettagli import

Descrive stato dell´import e offre delle possibili soluzioni in caso di conflitti.

Descrizione

Descrive lo stato dell´elemento

Azioni possibili

Spiega le azioni possibili.

Azione

Lista a cascata con tutte le possibili azioni e l'operazione selezionata. Se c'è una sola azione possibile, questa è selezionata in anticipo e non può essere modificata.

Importa nuovo tipo di dato / nuova variabile

La variabile / il tipo di dato non esistono ancora e vengono generate mediante l'import. (Default)

Non modificabile dall'utente.

Non importare nuovo tipo di dato / nuova variabile

La variabile / il tipo di dato esistono già e ci sarebbero problemi di conflittualità.

Non modificabile dall'utente.

Importare tipo di dato / variabile

La variabile / il tipo di dato esistono già, ma non esistono problemi di conflittualità.

L'utente può decidere se la variabile / il tipo di dato debbono essere sovrascritti o non importati. Di default la variabile / il tipo di dato vengono sostituiti (sovrascritti).

Info Informazioni

Un tipo di dato struttura nel progetto è costituito da tre elementi; un tipo di dato dello stesso nome nel file XML ha quattro elementi di struttura. Tutte le variabili basate su questo tipo di dato del file di esportazione non vengono importate nel progetto.


Assegna driver

Manuale -> Importazione-Esportazione -> Variabili -> XML-Import -> Assegna driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso del comando Import, si apre il dialogo che serve all´attribuzione driver:

Parametri | Descrizione
Tabella di attribuzione | Mostra l´attribuzione attuale.
Attribuisce tipo di oggetto driver | Apre il Dialogo per assegnazione del tipo di oggetto driver.
Reimposta assegnazione driver | Elimina le attribuzioni esistenti.
Lista driver | Realizza una lista di tutti i driver esistenti nel progetto.
Crea nuovo driver | Apre il Dialogo che serve a creare un nuovo driver.
Assegna driver | Attribuisce il driver selezionato della lista driver al driver selezionato nella tabella di attribuzione.
OK | Riprende le impostazioni, chiude il dialogo e avvia l´import.
Annulla | Rifiuta le impostazioni e chiude il dialogo senza importare nulla.
Guida | Apre la guida online

Crea un nuovo driver

Durante l´import possono essere creati e attribuiti dei nuovi driver facendo uso del pulsante Nuovo driver. In questo momento viene aperto il dialogo che serve a Creare e a Configurare i nuovi driver.


Attribusci aree

Manuale -> Importazione-Esportazione -> Variabili -> XML-Import -> Attribusci aree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Tabella di attribuzione | Mostra l´attribuzione attuale.
Reimposta | Elimina le attribuzioni esistenti.
Tipi di oggetto driver del driver di destinazione | Lista dei tipi di oggetto driver a disposizione.
Attribuisce tipo di oggetto driver | Attribuisce il tipo di oggetto driver selezionato del driver di destinazione al tipo di oggetto driver selezionato nella tabella di attribuzione.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Trattamento errori Import

Manuale -> Importazione-Esportazione -> Variabili -> XML-Import -> Trattamento errori Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui il sistema importando variabili verifichi l´esistenza di incompatibilità, si aprirà un dialogo che serve a trattare gli errori.

Parametri | Descrizione
Elementi da importare | Lista degli elementi che devono essere importati. Gli elementi errati vengono evidenziati.
Dettagli import | Dettagli concernenti import
Descrizione | Descrizione degli errori
Azioni possibili | Spiegazione delle azioni che possono essere effettuate per questo tipo di errore.
Azioni | Lista a cascata che serve alla selezione dell´azione desiderata.
OK | Accetta le azioni, chiude il dialogo e importa le variabili.
Annulla | Rifiuta gli inserimenti e interrompe l´importazione delle variabili.


Modificare esternamente il file XML

Manuale -> Importazione-Esportazione -> Variabili -> XML-Import -> Modificare esternamente il file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file XML possono essere modificati con un programma esterno dopo l´export o prima dell´import.

attenzione Attenzione

La modifica esterna dei file XML è uno strumento pensatosolamente per gli esperti.
Degli import errati possono danneggiare o distruggere il progetto. Per questo Vi consigliamo di realizzare un backup di progetto prima di ogni modifica.

La definizione header deve contenere i seguenti attributi:

Parametri | Descrizione
ShortName | Nome della variabile
DriverID | ID del driver Vi preghiamo di tener presente che l'identificazione di ogni driver è dipendente dal progetto. L'esatta identificazione del driver la ottenete creando nel Vostro progetto un driver e la variabile corrispondente ed esportandoli mediante XML.
TypeID | ID per il tipo di dato ATTENZIONE: TYPEID è anche dipendente dal progetto. Trovate i dettagli su questo tema alla sezione concernente l'import di tipi di dato.
HWObjectType | Identificazione per il tipo di oggetto driver Qui viene definita l'area sul PLC, ad esempio "area blocco dati", "area merker", "output", "input", e così via. Vi preghiamo di tener presente che non ogni driver supporta tutti i tipi di oggetto. Le informazioni relative a quali tipi di oggetto sono supportati da un determinato driver, le potete trovare nella documentazione del driver stesso. Le esatte identificazione sono elencate nella categoria tpKanaltypes nel catalogo oggetti VBA.
HWObjectName | Nome del tipo di oggetto driver Informazione ridondante su HWObjectType. Questa proprietà serve non solo all'informazione.
IsComplex | TRUE = Variabile strutturata FALSE = variabile semplice
Matrix | Nome della matrice di reazione collegata Questa proprietà è vuota se non c'è una matrice di reazione collegata.

Esempi di sintassi per la modifica del file XML:

No. | Esempio | Stampa | Commento
1. | Creare una nuova variabile importando | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> |
2. | Eliminare una variabile esistente effettuando l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> | Se la variabile è presente nel progetto di zenon essa viene cancellata con l'utilizzo dell´attributo Delete. Vi preghiamo di fare attenzione che l'attributo non sua vuoto. Ciò significa che deve contenere, per esempio, TRUE o FALSE. In questo caso, non si tiene conto del contenuto dell'inserimento.
3. | Rinominare una variabile esistente effettuando l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Quando si rinomina una variabile, essa viene anzitutto importata, e solo in un secondo momento avviene il processo di rinomina. Se lo volete, dunque, potete assegnare alla variabile delle proprietà modificate e rinominarla nello stesso tempo. Se esiste già una variabile con lo stesso nome, l'operazione "rinomina" non può essere eseguita. In questo caso l'utente viene avvertito mediante un messaggio corrispondente visualizzato nella finestra di emissione.


Import CSV

Manuale -> Importazione-Esportazione -> Variabili -> Import CSV

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con zenonle variabili possono essere esportate in file CSV e importate da file CVS per, per esempio, essere modificate con Microsoft Excel. Le variabili esportate in CSV vengono salvate sempre come file TXT in formato Unicode.

Nel caso in cui si sia proceduto ad effettare l´export nonostante siano stati superati i limiti di compatibilità di Microsoft Excel, il file TXT non contiene tutti i dati da esportare

Specificazione del formato

  • Carattere di separazione: Tab
  • Fine del file: .txt
  • Codificazione: il file da esportare ha il codice Unicode. Anche per il file da importare vale la regola che esso deve essere in Unicode.

Compatibilità con Microsoft Excel

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni regionali e linguistiche su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attenzione Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra che pone la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietè statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.


Presupposti minimi

Manuale -> Importazione-Esportazione -> Variabili -> Import CSV -> Presupposti minimi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definizione dei formati

Formato | Contenuto
VariableName | Nome che deve portare la variabile.
DriverName | Denominazione del driver disponibile
DriverType | Tipo del driver disponibile
HWObjectType | Numero del driver Tipo oggetto, visto che il nome è dipendente dalla lingua. Viene denominato anche il Tipo di canale e può essere scoperto sia tramite export di una variabile corrispondente, oppure con l´aiuto della documentazione driver.
TypeName | Nome del Tipo di dato esistente.

Contenuti

  • Driver di DRIVERTYPE importati e DRIVERNAME importato deve esistere:
    Se non si trova nessun driver con DRIVERTYPE e DRIVERNAME, il sistema cerca di collegare la variabile con un driver simile. In un primo momento, il sistema cerca un driver con DRIVERTYPE, poi conDRIVERNAME. Se anche in questo caso la ricerca non dovesse avere successo, il sistema cerca di collegare la variabile con Intern Driver, poi con un driver disponibile. Se non è disponibile nessun driver, oppure se non è possibile attribuire alla variabile nessun driver, la variabile stessa non viene importata. Con il dialogo Attribuzione driver (vedi capitolo Import di variabili e di tipi di dato) si può creare e/o modificare il collegamento corrispondente ancora prima di effettuare l´import. Questo dialogo viene aperto dopo la selezione del file da importare.
  • Tipo di dato semplice con TYPENAME importato e HWOBJECTTYPE: importato
    Se il tipo di dato non è disponibile con il corrispondente TYPENAME, la variabile non viene importata. Dopo che tutte le altre variabili sono state editate oppure importate, nella finestra di emissione appare una segnalazione che riporta quante variabili non sono state importate perché ciò era impossibile a causa della mancanza di tipi di dato.

Header

Deve esistere un header che descrive i valori delle proprietà:
l´header descrive le proprietà sulla base delle colonne. Il primo inserimento nell´header vale sempre per il primo inserimento nei valori, il secondo nell´header vale sempre per il secondo nei valori e così via. Il numero dei campi nell´header deve corrispondere al numero massimo dei campi dell´intero file.

  • L´header
    non deve stare necessariamente nella prima riga del file, ma deve essere la prima oppure la superiore di tutte le righe.
  • Caratteri maiuscoli/minuscoli:
    • nell´header non hanno alcuna importanza.
    • Ne se tiene conto nei valori delle proprietà.
  • L´header deve essere continuo e non deve presentare spazi vuoti.
    Se si trova uno spazio vuoto (area fra caratteri di separazione) nell´header, l´import viene interrotto.
    Definizione campo vuoto: Due caratteri di separazione successivi senza contenuto fra di loro.
  • Segni vuoti all´inizio e alla fine
    all´interno di un campo (non ha importanza se con o senza virgolette) vengono intepretati come tali. Non viene rimosso nessuno spazio vuoto. Per questo motivo il valore oppure il campo devono essere assolutamente esatti.
  • Il segno di separazione
    non dovrebbe più trovarsi alla fine di una riga, a meno che non si tratti di un campo esistente che possiede un valore vuoto.
  • Tutti i campi (area fra segni di separazione) in cui si trova il segno di separazione, devono trovarsi fra virgolette.
    Questo riguarda solamente il campo corrispondente. I restanti campi che non soddisfano questi critri, non devono trovarsi fra virgolette. Segni di separazione tabulatori all´interno di un campo che si trova fra virgolette, vengono rimossi automaticamente.
  • Se le virgolette devono essere utilizzate,
    l´intero campo (area fra i segni di separazione) deve trovarsi fra virgolette e, inoltre, tutte le virgolette colute devono essere direttamente raddoppiate. Il numero delle virgolette, dunque, deve corrispondere sempre a un numero pari.
    Esempio:
    • T"e"st diviene "T""e""st",
    • "AB"C" diviene """AB""C""",
    • AB"C diviene "AB""C"
  • Solo due virgolette in un campo senza testo non sono valide per valori vuoti.
  • Campi lasciati vuoti (2 segni di separazione successivi)
    vengono interpretati come come un non esistente inserimento per questa colonna. Se il campo, di una proprietà esistente per la variabile, è vuoto e dunque non settato, viene usato il valore standard di questa proprietà.
  • Se esistono meno campi per valori di quelli fissati nell´header,
    i restanti campi per valori non esistenti vengono intepretato come campi vuoti.
  • Nel caso in cui il numero di valori oppure di campi
    in una cella è maggiore di quello dei campi fissato nell´header, vengono ignorati gli ultimi valori/campi o quelli interessati.
  • Punto e virgola e virgola
    possono essere usati a piacere in campi (senza le virgolette).
  • I punti
    vengono interpretati sempre come segni di separazione dei valori decimali nel caso di valori numerici.
  • Non devono esistere delle righe vuote.
    Esse vengono ignorate.

Nomi, collegamenti e sostituzioni.

  • Ogni variabile deve avere un nome proprio nel file.
    Nel caso in cui ci dovessero essere più variabili con lo stesso nome, viene importata la prima, mentre tutte le altre vengono ignorate.
  • Devono esistere collegamenti.
    Matrici di reazione, funzioni, variabili, aree allarmi, gruppi allarmi/eventi, classi allarmi/eventi, interblocchi ecc, vengono collegati durante l´import solo nel caso in cui il collegamento esiste anche nel progetto. Se non esiste l´elemento con il nome, non viene collegato nessun elemento. Se una proprietà non può essere collegataa, le restanti proprietà vengono comunque importate.
  • Le proprietà dinamiche (come, ad esempio, valori limite) hanno un´identificazione comune e un numero progressivo.
    Il numero progressivo inizia con0. La denominazione si effettua in modo simile al formato exoprt XML. (Ad es. Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • variabili array e variabili di tipi di dato complessi non vengono né esportati, né importati.
  • Variabili complesse disponibili vengono sovrascritte durante il processo di import.
  • Anche nel caso in cui esista lo stesso nome in un elemento di una variabile complessa, l´import di una variabile viene consentito. Se, ad esempio, il nome della variabile da importare è ABC.DEF, e la variabile DEF è un kind della una variabile ABC nell´editor di zenon, questa variabile viene aggiunta comunque.
  • Tutte le proprietà che vengono importate o esportate, hanno nomi colonne/header simili a quelli del import export XML. Si può risalire a questi nomi nel modo più semplice effettuando l´export di una variabile corrispondente.
  • Nel caso di alcuni driver, ci sono delle proprietà specifiche per i driver stessi. Per risalire ai nomi colonne / header corrispondenti, il metodo migliore è effettuare l´export di una variabile con il driver corrispondente.

Limitazioni

Le proprietà che non vengono esportate o importate:

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Tutte IsLocal oppure proprietà Flag
  • IsSWProtokol, IsSW_Akt e IsSW_VBA


Cancella o rinomina variabili nell´import

Manuale -> Importazione-Esportazione -> Variabili -> Import CSV -> Cancella o rinomina variabili nell´import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´effettuazione dell´import, delle variabili possono essere cancellate o rinominate. La cancellazione avviene per inserimento nel campo KANAL_D, la rinomina per inserimento nel campo KANAL_R. La variabile da cancellare o rinominare viene definita nel campo VariableName.

Cancella variabili

Le variabili vengono cancellate se nel campo KANAL_D e nel campo VariableName del file CSV il sistema riconosce la presenza di inserimenti validi.

Campo | Funzione | valida se
KANAL_D | setta comando di cancellazione. | 1
Nome variabile | Nome della variabile da cancellare | Inserimento che non consiste esclusivamente di caratteri non stampabili

Per cancellare possono essere anche usati dei file CSV che constano solamente di questi due campi (formato short).

Rinomina variabili

Le variabili vengono rinominate se nel campo KANAL_R e nel campo VariableName del file CSV il sistema riconosce la presenza di inserimenti validi.

Campo | Funzione | valida se
KANAL_R | Nome originale della variabile che deve essere sostituito | Inserimento che non consiste esclusivamente di caratteri non stampabili
Nome variabile | Nuovo nome variabile. | Inserimento che non consiste esclusivamente di caratteri non stampabili

Per rinominare delle variabili possono essere anche usati dei file CSV che constano solamente di questi due campi (formato short).

attenzione Attenzione

Se in una riga si scrivono inserimenti validi sia per la cancellazione che per la rinomina, la variabile viene cancellata.

Segnalazioni nella finestra di emissione

Se, nell´ambito dell´import CSV, vengono cancellate o rinominate delle variabili, nella finestra di emissione dell´Editor compaiono delle segnalazioni che indicano se le azioni sono state condotte a termine con successo o no.

Segnalazione

Level

Descrizione

Variabile '%s' da rinominare non esistente.

Warning

La variabile da rinominare, referenziata dal nome indicato nel campo KANAL_R, non esiste.

Variabile '%s' da cancellare non esistente.

Warning

La variabile da cancellare, referenziata dal nome indicato nel campo VariableName, non esiste.

La variabile '%s' è stata rinominata in '%s'.

normale

La variabile è stata rinominata con successo.

La variabile '%s' è stata cancellata.

normale

La variabile è stata cancellata con successo.

%i di %i variabili rinominate

normale

o warning

Questa segnalazione viene emessa solamente se ci sono da eseguire delle rinomine secondo dei campi KANAL_R validi, vale a dire non vuoti. Il primo carattere jolly (%i) corrisponde al numero delle rinomine effettuate con successo, il secondo a quello delle rinomine che sono state "commissionate".

Nel caso in cui non tutte le rinomine siano state condotte a termine con successo, l´emissione viene formattata come warning.

%i di %i variabili eliminate.

normale

o

Warning

Questa segnalazione viene emessa solamente se ci sono da eseguire cancellazioni tramite campi KANAL_D validi (valore numerico 1). Il primo carattere jolly (%i) corrisponde al numero delle cancellazioni effettuate con successo, il secondo a quello delle rinomine che sono state "commissionate".

Nel caso in cui non tutte le cancellazioni siano state condotte a termine con successo, l´emissione viene formattata come warning.


Compatibilità con Microsoft Excel

Manuale -> Importazione-Esportazione -> Variabili -> Import CSV -> Compatibilità con Microsoft Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni regionali e linguistiche su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attenzione Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra che pone la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietè statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.


Esempio per import

Manuale -> Importazione-Esportazione -> Variabili -> Import CSV -> Esempio per import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´import di una variabile, devono essere presenti nel file le seguenti informazioni:

VariableName | DriverName | DriverType | HWObjectType | TypeName
Test | MeinTreiber | Intern | 33 | MeinDatentyp

Prima di procedere all´import di un file, è necessario assicurarsi che sia stato impostato nel progetto un driver dal nome „MeinTreiber" e del tipo Intern. Questo driver deve supportare il tipo di canale oppureHWObjectType. Inoltre, deve esistere anche il tipo di dato „MeinDatentyp". Dopo aver selezionato il file destinato per l´import, appare il dialogo per l´attribuzione driver. In questo dialogo si può procedere a collegare tutte le variabili da importare di un driver impostato nel progetto, con un altro driver. Se si desidera lo stesso driver, potete chiudere il dialogo cliccando direttamente su OK. A questo punto saranno importate le variabili.


Export CSV

Manuale -> Importazione-Esportazione -> Variabili -> Export CSV

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le variabili possono essere esportate con zenon in file CSV, ma possono anche essere importate da file CSV, per esempio, per modificarle con Microsoft Excel.

Eccezione: tipi di dato complessi e variabili array non possono essere esportati.

attenzione Attenzione

L´export viene effettuato in un file di testo Unicode separato con Tab che finisce per .txt invece che con .csv.

Ragione: Microsoft Excel salva file CSV come file di testo ANSI con ; come segno di separazione. Al momento del salvataggio in formato CSV in Excel, Unicode viene eliminato. Ma in tal modo i dati esportati per il progetto sarebbero danneggiati in modo irreparabile.

Opzioni di export

  1. Export di tutte le variabili esportabili nel progetto
  2. Esportare le variabili esportabili selezionate.
    • Disponibile solo se è stata selezionata almeno una delle variabili esportabili.

Quando si esportano delle variabili, si apre un dialogo che serve alla selezione del luogo dove salvare il file e del suo nome. La fine del nome del file è sempre .txt.

Nel caso in cui si dovessero trovare nel file da esportare troppe proprietà per la successiva modifica in Microsoft Excel, si apre una finestra di dialogo che Vi pone la domanda:

  • taglia proprietà o righe:
    solo una parte dei valori limite, per esempio, oppure solo una parte delle variabili viene esportata (dipende dal caso della limitazione). In primo luogo non vengono esportate quelle informazioni che non possono essere editate con le vecchie versioni di Microsoft Excel. Il file da esportare può essere modificato con un programma esterno.
  • Esporta tutte le proprietà
  • Interrompi export

Compatibilità con Microsoft Excel

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni regionali e linguistiche su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attenzione Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra che pone la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietè statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.


Progetto S7

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare progetti S7 in zenon, potete usare l´import automatico. Vengono impostate in zenon le variabili di cui avete bisogno.

È possibile riprendere e utilizzare il nome WinCC. E' possibile scegliere fra nomi zenon, WinCC e combinati. Per il nome WinCC è possibile selezionare livelli tecnologici e indicare il separatore.

Info Informazioni

L'importazione S7 non supporta alcuna struttura. Le definizioni delle strutture del progetto S7 vengono sciolte e importate come liste piatte. Anche altri driver offrono la possibilità di leggere delle variabili dal programma di controllo (per es. OPC, Codesys, Bernecker e Rainer, ...).


Generale

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7 -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Trovate l´import nel menu contestuale del nodo Variabili nel manager di progetto. Cliccate con il tasto destro del mouse sul nodo Variabili per far apparire il menu contestuale. Passate al menu contestuale anche selezionando anzitutto il nodo Variabili e poi cliccando con il tasto destro del mouse nella visualizzazione dettagliata del manager di progetto.

Cliccate su Import/Export esteso -> Importa progetto S7. Nel dialogo che si aprirà, selezionate il driver corrispondente che viene utilizzato per la comunicazione con il PLC; poi confermate la selezione cliccando su OK.

Info Informazioni

Se importate dei progetti PCS7, dovete accertarvi che esista per il progetto in questione il sottopercorso CSV_. In quest´ultimo ci deve essere per ogni stazione del progetto un file CSV_ con lo stesso nome della stazione stessa. Quando viene effettuato l´import, viene usato il nome gerarchico proveniente da questo file.


Importazione progetto S7

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7 -> Importazione progetto S7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter importare un progetto S7, esso deve essere disponibile localmente sul disco fisso oppure in rete. Il progetto non deve essere aperto contemporaneamente da un programma Step7.

attenzione Attenzione

Prima di effettuare l´import, in Step 7 bzw. PC S7 deve essere stato tradotto tutto, in modo tale che tutti gli oggetti possono essere ripresi in zenon.

Dialogo di importazione

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Selezione progetto

File progetto S7

Selezionate il file progetto desiderato (*.s7p).

Driver di destinazione

In questa sede potete vedere ancora una volta il driver che avete selezionato prima. Non è più possibile effettuare una modifica.

Struttura progetto

Non appena avete selezionato un file progetto, la struttura del progetto selezionato viene visualizzata in questa sede.

Opzioni

Usa solo BuB

Attivate queste opzioni se volete importate solamente quelle variabili che sono contraddistinte con Bedienen und Beobachten (BuB).

Denominazione variabili

Il nome si costituisce di livelli tecnici.

Decidete quali livelli tecnici (1 - 5 e cerchio) della programmazione CFC (Continuous Function Chart) volete usare per la denominazione delle variabili.

Carattere di separazione:

Definite in questa sede il segno che deve stare fra i livelli tecnologici.

Nomenclatura interna

Usate la nomenclatura interna per gli oggetti impostati.

Esempio: S0 (per indirizzo rete = 0)

Nomenclatura WinCC

Usate la nomenclatura WinCC per gli oggetti impostati.

Esempio: Programma S7

Combinata

Usate per i nomi degli oggetti impostati sia la nomenclatura interna che quella di WinCC. Come separatore tra le colonne viene utilizzato un punto.

Destinazione import

Lista variabili

Le variabili vengono importate nelle liste variabili di zenon. Quando è in atto il processo di importazione, il sistema verifica se esiste già una variabile con lo stesso nome. In questo caso il sistema conserva gli attributi specifici di zenon, il che significa che si verifica un merging fra la variabile importata e quella esistente.

File

Le variabile vengono importate nel file indicato (*.dbf). Potete modificare questo file e poi importarlo in zenon.

Indicazione: tenete presente che, al momento della creazione del file DFB, possono andare perdute delle informazioni a causa delle grandezze limitate dei campi.

Confermi cliccando su Esegui.

Info Informazioni

Le impostazioni che effettuate in questo dialogo, vengono salvate. Quando riaprite il dialogo, vengono di nuovo visualizzate le impostazioni effettuate per ultime.


Seleziona stazioni

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7 -> Seleziona stazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate la stazione desiderata.

Il dialogo Vi mostra tutte le stazioni disponibili del file progetto selezionato. Con l´aiuto del pulsante Seleziona tutte, scegliete con un solo passaggio tutte le stazioni disponibili. Facendo uso del pulsante Impostazioni passate ad un dialogo di filtro. Se definite un filtro per una stazione, ciò viene visualizzato mediante un simbolo filtro nella stazione corrispondente.

Quando avete selezionato le stazioni desiderate e avete effettuato le impostazioni desiderate, cliccate su OK.

Nel prossimo dialogo verranno visualizzate tutte le variabili che corrispondono alle impostazioni. Questo processo può durare un po´di tempo (dipende dalla dimensione del progetto). Con l´aiuto del pulsante Annulla, potete interrompere tutto l´import, oppure saltare l´area attuale. Se saltate l´area attuale, l´import continua con l´area successiva. Le variabili che si trovano nell´area saltata, non vengono importate.


Impostazioni delle stazioni

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7 -> Seleziona stazioni -> Impostazioni delle stazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo dialogo potete settare il filtro e potete effettuare diverse impostazioni.

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Impostazioni

Indirizzo di rete

Indica l´indirizzo di rete e influenza il nome della stazione.

Avvertenza: inizia sempre con 0.

Pre-filtro

Attiva

Attivate questa proprietà per rendere disponibili le opzioni di filtro.

Blocco dati

Selezionate i blocchi dati dai quali vorreste importate delle variabili. Facendo uso dei tasti Ctrl e Shift potete selezionare più blocchi dati.

Tipi di dato

Selezionate i tipi di dato su cui si basano le variabili che vorreste importare. Facendo uso dei tasti Ctrl e Shift potete selezionare più tipi di dato.

Aree

Selezionate l´area desiderata. Sono a disposizione:

  • tutte le aree
  • Solo blocchi
  • Nessun blocco

Opzioni di modifica

Offri solo variabili non disponibili

Vengono offerte per l´import solamente quelle variabili che non esistono ancora in zenon.

Cerca variabili da eliminare

Dopo la selezione delle variabili, tutte quelle che non esistono nel progetto S7 vengono visualizzate. Esse possono essere cancellate dal progetto zenon.

Non attiva, se attivo (non risulta nessun confronto delle variabili da importare ed esistenti per cancellare!) è settato.

Prefisso

Nessuno

Le variabili importate non ricevono nessun prefisso davanti al nome.

Indirizzo di rete

I nomi importati ricevono per prefisso davanti al nome l´indirizzo di rete seguito da un punto.

Inserimento libero

Digitate il prefisso desiderato nel campo di inserimento. Quando vengono importate delle variabili, il prefisso che avete indicato viene posto davanti al nome della variabile da cui lo separerà un punto.

Avvertenza: fate attenzione di usare in caso di un altro import lo stesso prefisso; altrimenti le variabili verranno create due volte.

Dopo aver effettuato le impostazioni desiderate, confermate il dialogo cliccando su OK.


Seleziona variabili

Manuale -> Importazione-Esportazione -> Variabili -> Progetto S7 -> Seleziona variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutti le variabili disponibili per l´import vengono visualizzate. Per ogni variabile sono disponibili le seguenti informazioni: nome variabile, commento, area dati, tipo dati, blocco dati, offset, bit, attributi e informazione indirizzo. Potete ordinare la lista per ogni colonna in senso ascendente o decrescente, e, volendo, potete digitare un testo di filtro. La colonna Informazione indirizzo contiene le informazioni cumulate della variabile corrispondente.

Nella visione ad albero, potete selezionare o tutto il progetto, oppure le singole stazioni. A seconda della selezione, vengono visualizzate le variabili corrispondenti. Selezionate le variabili desiderate e cliccate sul pulsante Aggiungi per aggiungere le variabili all´import. Le variabili selezionate appaiono nella parte bassa del dialogo. Per cancellare le variabili da lì, selezionate le variabili desiderate e cliccate sul pulsante Rimuovi.

Info Info

Usando Ctrl o Shift, potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più singoli inserimenti.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti

Quando avete aggiunto tutte le variabili desiderate, confermate cliccando su OK. Le variabili vengono impostate inzenon.


Import e export dBase

Manuale -> Importazione-Esportazione -> Variabili -> Import e export dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I dati possono essere esportati in dBase e importati da dBase.

Importazione file DBF

Per avviare l´importazione:

  1. cliccate con il tasto destro del mouse sulla lista variabili.
  2. selezionate nel menu a cascata di Export/Import esteso ... il comando Importa file dBase
  3. seguite le indicazioni dell´assistente di importazione

Il formato del file è descritto nel capitolo Struttura file.

Info Informazioni

Tenete presente:

  • I tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.
  • dBase non supporta nessuna struttura o array (variabili complesse) durante l´operazione di import.

Esportazione file DBF

Per avviare l´export:

  1. cliccate con il tasto destro del mouse sulla lista variabili.
  2. selezionate nel menu a cascata di Export/Import esteso ... il comando Esporta su file dBase
  3. seguite le indicazioni dell´assistente di esportazione

attenzione Attenzione

I file DBF:

  • devono corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • non devono contenere nessun punto (.) nel nome percorso.
    Per es., il percorso C:\users\Max.Mustermann\test.dbf non è valido.
    Sarebbe valido, invece: C:\users\MaxMustermann\test.dbf
  • devono essere depositati vicino alla catella originaria (Root), per soddisfare le eventuali limitazioni concernenti la lunghezza del nome file incluso percorso: al massimo 255 caratteri

Il formato del file è descritto nel capitolo Struttura file.

Info Informazioni

dBase non supporta nessuna struttura o array (variabili complesse) durante l´operazione di export.


dBaseIV file variabile

Manuale -> Importazione-Esportazione -> Variabili -> Import e export dBase -> dBaseIV file variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´importazione e esportazione di variabili il file dBaseIV deve avere la struttura e il contenuto seguente.

attenzione Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

Struttura

Identificazione | Typ | Gr. campo | Nota
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “KANALNAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata coll'inserimento del valore 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dati (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto driver.
HWKANAL | Num | 3 | Indirizzo bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (unicamente variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: Indirizzo bite Per variabili Byte: 0=parte bassa, 8= parte alta? per variabili string: Lunghezza string (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice? ATTENZIONE: Solamente la prima variabile è disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: Settare valore impostabile non permesso? 1: Settare valore impostabile permesso
MIT_ZEIT | L | 1 | Settaggio valore tempo in zenon (solo se supportato dal driver)
OBJEKT | N | 2 | Numero ID specifico per i driver dell´oggetto primitivo Si compone di KANALTYP e DATENART
SIGMIN | Float | 16 | Segnale del valore di origine minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore di origine massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la rappresentazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza update per le variabili matematiche (in sec, una cifra decimale possibile) ? non utilizzato con tutte le altre variabili
MEMTIEFE | N | 7 | Esistente per motivi di compatibilità
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità HD per valori storici (Quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal server standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal server standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJVVBA | L | 1 | Adattamento di valori non-lineari 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJVVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.

attenzione Attenzione

In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Identificazione | Typ | Gr. campo | Nota
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | protocollo in CEL
ALARM1 | L | 1 | Allarm
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite? il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la gestione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata? (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppo-allarmi/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
COLORE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


Interblocchi

Manuale -> Importazione-Esportazione -> Interblocchi

Il file di esportazione per gli Interblocchisi suddivide in:

  • Lista interblocchi

Quando sono importati/esportati gli interblocchi, le Variabili interessate non verranno esportate/importate automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione delle variabili.


Gruppi comandi

Manuale -> Importazione-Esportazione -> Interblocchi -> Gruppi comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esportazione

I gruppi comandi possono essere esportati in modo selettivo o tutti insieme.

Info Informazioni

I gruppi comandi e gli interblocchi generali non possono essere esportati insieme!

Importazione

La relazione fra gruppi comandi esistenti e quelli da importare viene creata mediante il nome. Se esiste già un gruppo comando con un determinato nome, esso viene attualizzato.

Se esiste già un interblocco generale con un determinato nome, viene creato un nuovo gruppo comandi con un nuovo nome.

Vengono creati gruppi comandi non esistenti.

Gli interblocchi generali presenti nel file di importazione non vengono importati.

Delle relazioni di variabili assolute vengono create mediante il nome.

I nuovi gruppi comandi ricevono un ID univoco e non ancora utilizzato.


Temporizzatori

Manuale -> Importazione-Esportazione -> Temporizzatori

Il file di esportazione per i Temporizzatorisi suddivide in:

Lista delle funzioni tempo

Lista funzioni

Con le funzioni tempo vengono esportate anche le Variabili ivi contenute. Le Funzioni tempo vengono importate automaticamente. Le funzioni devono essere importate da questo file in maniera separata.


Attribuzioni

Manuale -> Importazione-Esportazione -> Attribuzioni

Il file di esportazione per le Attribuzionisi suddivide in:

Lista di attribuzioni

Quando sono importate/esportate le attribuzioni, le variabili interessate non verranno esportate/importate automaticamente. Caso per caso bisogna fare attenzione che venga effettuata prima un'importazione/esportazione delle variabili.


Messaggi di errore

Manuale -> Importazione-Esportazione -> Messaggi di errore

Gli errori che si sono verificati durante l´importazione o esportazione vengono visualizzati nella finestra di emissione.

Messaggio di errore | Causa possibile e soluzione
Errore: "Il file non può essere aperto, file in uso da un altro utente." | Questo file è bloccato per ogni forma di modifica. L´utente deve rendere disponibile il file in questione prima che sia possibile eseguire di nuovo l´import/export.
Errore: "Impossibile aprire o raggiungere il database." | Forse mancano i diritti per generare il file, oppure quest´ultimo è difettoso.
Errore: "La variabile non è valida e non verrà salvata." | La variabile non è valida. Controllare tutti i parametri delle variabili.
Errore: "La variabile non può essere trovata nel Database." | Errore nell´accettazione nella banca dati.
Errore: "La variabile contiene un indirizzo Hardware non valido." | Un indirizzo hardware della variabile non è corretto. Correggere l´indirizzo prima di effettuare di nuovo l´importazione.
Errore: "Il driver non ha disponibile nessun oggetto per l'Im-/Export, Im-/Export non verrà eseguito." | Il driver selezionato non dispone di nessun oggetto che possa essere importato o esportato.
Errore: "Impossibile cancellare la variabile. Variabile non disponibile." | Una variabile che è stata selezionata per essere cancellata, non esiste più.
Avviso: "Esiste già una variabile con il nuovo nome; l'import verrà completato con il nome precedente." | Una variabile, che deve essere rinominata effettuando l´import, non viene rinominata, visto che ce n`è già un´altra con lo stesso nome. Essa viene importata con il nome originario.
Avviso: "La variabile non può essere rinominata e verrà ricreata." | Una variabile, che deve essere rinominata, non può essere rinominata. Essa viene

Gli errori che si verificano nel XML-Import vengono trattati e risolti in un dialogo apposito.


Industrial Maintenance Manager (IMM)

Manuale -> Industrial Maintenance Manager (IMM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'Industrial Maintenance Manager (IMM) serve alla cura dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficacie gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Viene protocollato, inoltre, quali lavori di manutenzione sono stati effettuati in passato.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.


Funzionalità

Manuale -> Industrial Maintenance Manager (IMM) -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • Gli apparecchi possono essere copiati e aggiunti; al nome dell'apparecchio viene aggiunto un numero progressivo_#.
  • La visualizzazione della lista può essere modificata e adeguata alle esigenze individuali nel filtro immagine. Possono essere modificati la larghezza della colonna, il nome delle colonne e la loro successione.
  • Ogni lista può essere visualizzata come html via Styleshett e stampata.
  • La denominazione dell'impianto può essere creata mediante l'uso del menu contestuale nella visuale ad albero.
  • Denominazioni di impianto plurigerarchiche.
  • Gli apparecchi possono essere impostati tramite il menu contestuale nella struttura ad albero oppure nella lista, a patto che sia stata selezionato un impanto nella struttura ad albero. Questo impianto, poi, viene inserito automaticamente nell'apparecchio come identificazione impianto.
  • Cliccando sulla testa della colonna, gli elementi vengono ordinati in ordine alfabetico.
  • Capacità multiprogetto
  • Server-Client
  • La cancellazione di apparecchi è soggetta ad un livello utente che prevede due modi di cancellare. In primo luogo una cancellazione nel senso che i dati sono conservati nella banca dati; gli inserimenti storici, quindi, non vanno persi. In questo caso il Flag ACTIVE della banca dati viene settato a 0. Dall'altra parte abbiamo una cancellazione definitiva: tutti i dati della banca dati, inclusi quelli concernenti le operazioni di manutenzione e la storia, vengono cancellati.
  • I Checkbox nella visione ad albero alla voce Identificazioni impianti (AKZ) sono un filtro. Se è stato impostato in tal modo, vengono visualizzati solo gli apparecchi, inserimenti storici e lavori di manutenzione che sono relativi ad una specifica Identificazione impianto.


Limitazioni

Manuale -> Industrial Maintenance Manager (IMM) -> Limitazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il modulo salva i dati in una banca dati Microsoft SQL Server (sono possibili tutte le versioni SQL a cominciare dalla SQL Server 2000). Il server MS SQL non è contenuto nella versione del zenon. Potete utilizzare, però, la "SQL Server Express Edition" che viene installata con l'editor di zenon.

Gli altri server di banca dati, come, ad esempio, Oracle non vengono supportati.


Lavoro di preparazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Database

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Crea una banca dati propria

Avviate una nuova istanza dell'Interpreter comandi (Cmd.exe).

Avviate il programma di servizio osql.exe.

osql.exe -E -S Nome computer/Nome istanza

Indicazioni per la creazione di una banca dati

1> CREATE DATABASE Nome database

2> GO

Nome banca datie

Un qualsiasi nome per la banca dati: per es. Maintenance

Con exit terminate il programma di servizio osql.exe.


Progettazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Vengono generate nella banca dati 4 tabelle. E' possibile scegliere liberamente i nomi delle tabelle.

attenzione Attenzione

Nome tabella al massimo 128 segni,
Il primo segno deve essere uno dei seguenti: a-z, A-Z, lineetta in basso
Di seguito possono essere utilizzati i seguenti segni: a-z, A-Z, numeri decimali, lineetta in basso.

Protocollo di manutenzione banca dati:

Dati master

Lavoro di manutenzione:

Storia:

Documenti:

Connessione a database

Nelle proprietà del progetto, e più precisamente alla voce „Industrial Maintenance Managers“, si può modificare manualmente la stringa ODBC nel campo accanto alla denominazione „Banca dati:“ Se attivate il pulsante della proprietà di progetto, si aprirà la seguente finestra:

Nuovo:

Cliccate su questo pulsante per aggiungere una nuova sorgente di file.

Scegliete nel campo di dialogo crea una nuova sorgente dati il driver SQL Server e poi cliccate su Avanti per indicare il nome o il posto di salvataggio della nuovo file DSN.

Cliccate di nuovo su avanti per visualizzare un riassunto delle nuove informazioni.

Cliccate su Termina per visualizzare il campo di dialogo specifico per il driver.

Se selezionate un nome server della lista, non sono più necessarie ulteriori impostazioni di configurazione.

Cliccate di nuovo su Avanti .

Cliccate di nuovo su avanti.

Adesso potete selezionare la banca dati precedentemente creata.

Cliccate su Termina .

Adesso potete testare la connessione progettata.


Crea un'immagine del tipo IMM

Manuale -> Industrial Maintenance Manager (IMM) -> Crea un'immagine del tipo IMM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un´immagine del tipo IMM:

  1. impostate una nuova immagine.
  2. selezionate fra quelli presenti nella lista a cascata il Tipo d´immagine Industrial Maintenance Manager (IMM)
  3. scegliere nel menu Elementi di controllo il comando Inserisci modello.
  4. verranno aggiunti gli elementi standard
  5. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  6. impostate una Funzione di cambio immagine per poter aprire l´immagine durante il Runtime

Parametri | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Lista | Lista dei procedimenti che devono essere visualizzati durante il Runtime.
Nuova identificazione impianti | Crea una nuova identificazione impianti
Cancella identificazione impianti | Cancella l´identificazione impianti selezionata.
Apparecchio nuovo | Aggiunge un nuovo apparecchio.
Modifica apparecchio | Consente la modifica dell´apparecchio selezionato.
Apparecchio inattivo | Fa passare l´apparecchio alla modalità inattiva.
Elimina apparecchio | Cancella un apparecchio.
Sostituzione apparecchio | Sostituisce un apparecchio.
Sostituzione contatore | Sostituisce un contatore.
Copiare | Copia l´elemento selezionato negli appunti
Incolla | Inserisce l´elemento selezionato proveniente dagli appunti
Edita manutenzione | Consente la modifica di un lavoro di manutenzione.
Esegui manutenzione | Passa ad Esegui manutenzione.
Eseguire una riparazione | Passa ad Esegui riparazione.
Stampa lista | Stampa una lista.
Stampa dettagli | Stampa i dettagli.
Filtri | Utilizza i filtri.
Aggiorna: | Aggiorna la visuale.
Profili filtro | Gestione dei profili filtro.
Selezione profilo | Selezione di un filtro fra quelli della lista a cascata.
Salva | Salva il filtro selezionato.
Elimina | Cancella il filtro selezionato.


Visuale durante il Runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Crea un'immagine del tipo IMM -> Visuale durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando la Immagine del tipo IMM viene aperta durante il Runtime, essa viene visualizzata divisa in due settori:


Lato sinistro: Tree

Manuale -> Industrial Maintenance Manager (IMM) -> Crea un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato sinistro: Tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Dati master | Come sotto-nodi sono utilizzati le identificazioni impianto. Questi sotto-nodi hanno un Checkbox per limitare la scelta. Questa selezione decide l'emissione nella lista. Nei dati master, nei lavori di manutenzione e nella storia vengono visualizzati solo i dati che sono relativi agli impianti selezionati.
Storia | In questa sede vengono filtrati i dati storici sulla base di periodi di tempo. Alla voce Filtro libero viene visualizzato un dialogo che serve a scegliere il periodo desiderato.
Lavori di manutenzione | In questa sede vengono filtrati sulla base di periodi di tempoi lavori di manutenzione da fare. Alla voce Filtro libero viene visualizzato un dialogo che serve a scegliere il periodo desiderato.


Lato destro: Lista Lista

Manuale -> Industrial Maintenance Manager (IMM) -> Crea un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato destro: Lista Lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La selezione della vista ad albero viene visualizzata in forma di lista. La lista può essere ordinata in senso ascendente o discendente per ogni colonna.

In questo tipo di visualizzazione c'è anche un menu contestuale che, a seconda della selezione nella vista ad albero, offre diverse funzioni.

Selezione dei dati master:

Comando

Descrizione

Apparecchio nuovo

Alla voce "Apparecchio nuovo" si possono inserire nuovi dati master. L'immissione dei dati avviene tramite un dialogo con 3 pagine proprietà. Nella prima pagina bisogna inseire i dati relativi all'apparecchio. Nella pagina Lavori di manutenzione si può impostare un numero a piacere di lavori di manutenzione che riguardano l'apparecchio in questione. Per dare una visione d'insieme, in questa pagina i titoli dei lavori di manutenzione vengono visualizzati in una lista. Nell'ultima pagina si può assegnare all'apparecchio anche una quantità a piacere di documenti. Come i lavori di manutenzione, anche questi vengono rappresentati in forma di lista, in modo tale da fornire una visione d'insieme chiara. Cliccando due volte su un documento, questo viene visualizzato, sempre che sia installato il programma relativo.

Modifica apparecchio

Come nel caso di nuovo apparecchio, con la sola differenza che qui i campi sono riempiti con i dati già esistenti. Bisogna naturalmente selezionare un apparecchio.

Sostituzione apparecchio

Qui vengono modificate le variabili per contaimpulsi e contatore di funzionamento! Su di essi si basa il calcolo per stabilire il momento in cui procedere ad eseguire la manutenzione. Se si effettua un cambio di apparecchi, viene generato un relativo inserimento storico. L'intervallo temporale dei lavori di manutenzione, poi, viene resettato ed i nuovi valori della variabile vengono utilizzati come valori di partenza per il calcolo dei lavori di manutenzione successivi.

I dati relativi all'apparecchio rimangono immutati; cambiano solo le variabili collegate. Queste vengono inserite mediante l'utilizzo di un dialogo. Nel caso in cui la variabile non esista, nel dialogo appare un avviso che fa presente che nessuna variabile valida è momentaneamente collegata con l'apparecchio.

Sostituzione contatore

Se si sostituisce un contatore, la variabile rimane la stessa; qui si cambia lo stato del contatore (valore della variabile). Se si effettua un cambio di contatore, viene generato un relativo inserimento storico. Se si vuole, si può resettare in questa sede l'intervallo in cui eseguire i lavori di manutenzione.

Si può impostare un nuovo valore iniziale per l'apparecchio sostituito.

Elimina apparecchio

L'apparecchio selezionato può essere eliminato. Tutti i dati relativi (lavori di manutenzione, dati storici e documenti) vengono cancellati. Per sicurezza, viene visualizzata la domanda se si vuol veramente cancellare i dati.

Indicazione: Create un cambio riga con la combinazione di tasti Ctrl+INV.

Vengono supportate le seguenti possibilità di accesso ai file.

Dischi locali | Disco fisso locale
UNC-Percorso | per es. \\Servername\Freigabename
Dischi collegati | Disco fisso reso disponibile da un computer della rete

attenzione Attenzione

Condizione: Per poter visualizzare i documenti, bisogna aver installato un Viewer corrispondente. per es. Adobe Acrobat Reader per file.pdf

Sostituzione apparecchio

Sostituzione contatore

Selezione lavori di manutenzione

Mediante un doppio clic su un lavoro di manutenzione, vengono visualizzate i dati relativi a quest'ultimo. Ma questi dati non possono essere modificati.

Eseguire una riparazione

Se si effettua una riparazione, viene generato dal sistema in primo luogo un inserimento storico, e, in secondo luogo, il lavoro di manutenzione viene considerato come non! eseguito e rimane così nella lista di quelli da eseguire. Si verfica un inserimento storico.

Come nel caso dell'esecuzione di un lavoro di manutenzione, con la sola differenza che appare in più la domanda se i contatori devono essere attualizzati oppure no.

Stampa lista

La lista visualizzata viene scritta così com'è in un file XML e visualizzata in un Browser-html grazie ad un Stylesheet. A questo punto il file HTML può essere salvato o stampato direttamente.

Stampa dettagli

I dati relativi ai lavori di manutenzione selezionati vengono stampati.

Edita manutenzione

In questa sede si possono modificare i dati relativi ai lavori di manutenzione selezionati.

Esegui manutenzione

Se viene eseguito un lavoro di manutenzione, i contatori vengono attualizzati e viene generato un inserimento storico. Il lavoro di manutenzione, inoltre, viene considerato eseguito per questo intervallo e cancellato dalla lista di quelli da eseguire.

Alla voce "Documenti" vengono visualizzati in una lista i file collegati. Con un doppio clic su un file, questo viene aperto a patto che sia installato il necessario programma.

Selezione storia

Qui c'è un solo punto di menu, e cioè Stampa lista. Stesso procedimento come nel caso dei lavori di manutenzione - Stampa lista.


Lavoro di manutenzione:

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di manutenzione:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Determinare le modalità di un lavoro di manutenzione da effettuare è la funzione fondamentale dell'IMM. Tale lavoro di manutenzione può avere tre diversi intervalli:

- un periodo in giorni

- un contatore delle ore di funzionamento oppure

- un contaimpulsi.

Sulla base di questi intervalli, si determina quando deve essere effettuato un lavoro di manutenzione.

Nel caso in cui si raggiunga il limite di tolleranza, le operazioni di manutenzione da effettuare vengono riportate nella lista con una nota che fa presente che il livello di guardia è stato raggiunto. Quando si raggiunge l'intervallo per l'effettuazione dei lavori di manutenzione, questi ultimi vengono indicati come da effettuare e vengono inseriti nella lista delle operazioni di manutenzione.

La funzione "Rileva lavori di manutenzione"

Mediante la funzione Rileva lavori di manutenzione, viene prelevata dall'IMM la lista di tutte le operazioni di manutenzione da effettuare nel periodo di tempo prescelto. Queste ultime, poi, vengono utilizzate per la determinazione dei valori di stato progettati specifici per un determinato impianto.

Durante questa operazione, vengono scritte sulle variabili di stato relative dei valori impostabili numerici nella dimensione del numero complessivo dei lavori di manutenzione da effettuare, che si trovano negli impianti, che corrispondono al attinente criterio di filtro.

Se create nell'editor una nuova funzione Rileva lavori di manutenzione, compare il seguente dialogo di configurazione:

Periodo | In questa sede si definisce il periodo in cui vengono rilevati i lavori di manutenzione da effettuare (vedi IMM).


Periodo

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di manutenzione: -> Periodo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell'inserimento dei dati relativi ai lavori di manutenzione può essere impostato un intervallo di tempo in giorni. E' possibile, inoltre, impostare una durata di avvertimento proventivo, il che significa: un certo numero di giorni prima della scadenza dell'intervallo di tempo programmato il lavoro di manutenzione viene valutato dal sistema come manutenzione da eseguire e l'utente ne viene avvertito. (messaggio, "manutenzione da realizzare fra xx giorni).

Nel caso in cui sia raggiunto il periodo o lo stato del contatore dell'intervallo di manutenzione, la manutenzione stessa viene registrata con il testo "intervallo di manutenzione superato".

La data dell'ultima manutenzione effettuata viene aggiornata ogni volta che viene realizzato un lavoro di manutenzione. Al primo inserimento di lavori di manutenzione, la data relativa viene messa in quella della messa in opera.


Contatore di ore e contaimpulsi

Per calcolare un lavoro di manutenzione da fare, viene divisa la differenza del vecchio stato del contatore al momento dell'ultima manutenzione e di quello attuale per il numero dei giorni trascorsi dall'ultima manutenzione; questo valore viene poi aggiunto al vecchio. Se questo è maggiore a quello consentito, il sistema considera necessaria una manutenzione e lo indica nella lista.

Nel caso in cui una variabile dovesse avere un valore inferiore rispetto a quello che aveva al momento dell'ultima manutenzione, si riceve un messaggio corrispondente.


Inserimento dati

Manuale -> Industrial Maintenance Manager (IMM) -> Inserimento dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

E' possibile inserire i valori delle variabili nei dati di manutenzione solo se si crea un nuovo lavoro di manutenzione. Altrimenti rimane il vecchio valore.

Nel caso in cui si imposti un apparecchio e non ci sia alcuna variabile collegata, nel lavoro di manutenzione corrispondente rimane il valore iniziale. Anche in questa situazione i valori delle variabili nel lavoro di manutenzione non vengono sovrascritti se le le variabili vengono inserite posteriormente. Appare una comunicazione nel caso in cui la variabile necessaria per il calcolo della manutenzione abbia ancora il valore iniziale. Il valore della variabile può cambiare solo nel caso venga effettuata una riparazione, venga sostituito l'apparecchio o venga realizzato un lavoro di manutenzione.


Integrazione nel processo

Manuale -> Industrial Maintenance Manager (IMM) -> Integrazione nel processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • Segnalazione circa un'operazione di manutenzione eseguita con successo: all'apparecchio può essere assegnata una variabile integer. Si deve, inoltre, definire nelle operazioni di manutenzione il valore di restituzione di questa variabile. Se non si desidera alcuna differenza fra i diversi lavori di manutenzione, si può inserire in questa sede sempre lo stesso valore. Nel caso in cui non si indichi alcun valore, non viene settato alcun valore neppure nella variabile.
  • Segnalazione nel processo: ad ogni lavoro di manutenzione può essere collegata una variabile, che contiene lo stato della manutenzione. (Status Ok 0 e Status da eseguire 1)


Gestione durante il runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le seguenti funzioni sono disponibili:

  • Apparecchio nuovo : creare un nuovo apparecchio. Deve essere selezionata un´identificazione Impianti.
  • Modifica apparecchio : modificare un apparecchio. Bisogna naturalmente selezionare un apparecchio.
  • Apparecchio inattivo : Disattivare un apparecchio, il che significa che i dati non vengono più visualizzati, ma rimangono nella banca dati.
  • Esegui manutenzione: Deve essere selezionata un'operazione di manutenzione per poterla eseguire.
  • Attualizzare: I dati delle banca dati e le variabili vengono lette di nuovo.
  • Filtri : Apre il dialogo delle immagini filtro al fine di modificarne le colonne.
  • Stampa : Genera un html con la visualizzazione di lista desiderata. Viene riprodotta in modo fedele la modalità di visualizzazione attuale. Si può stampare la lista delle operazioni di manutenzione già effettuate e quelle che devono essere ancora esguite.
  • Stampa dettagli : I dettagli concernenti un lavoro di manutenzione visualizzati in formato html. Naturalmente è necessario che si selezioni un'operazione di manutenzione.


Funzioni

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni


Cambio immagine

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si crea una funzione per il cambio immagine verso un´immagine del tipo IMM, il sistema propone il dialogo che serve alla configurazione delle impostazioni delle colonne. Queste ultime possono essere configurate separatemente per:

  • Dati master
  • Lavori di manutenzione
  • Storia


Dati master

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Dati master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dei Data Master da visualizzare:

  • Contatore ore di funzionamento attuale
  • Contatore operazioni correnti
  • Identificazione impianti
  • Identificazione
  • Fabbricato
  • Apparecchio
  • Data di messa in opera
  • Numero di serie
  • Stato
  • Typ
  • Periodo trascorso dall´ultima manutenzione

Parametri | Descrizione
Tipo di colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta l´inserimento selezionato verso l´alto. | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag& Drop.
Sposta l´inserimento selezionato verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag& Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Lavori di manutenzione

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Lavori di manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dei lavori di manutenzione da visualizzare:

  • Contatore ore di funzionamento attuale
  • Contatore operazioni correnti
  • Identificazione impianti
  • Identificazione
  • Scadenza
  • Apparecchio
  • Interno - esterno
  • Commento
  • Stato
  • Lavoro di manutenzione:
  • Periodo trascorso dall´ultima manutenzione

Parametri | Descrizione
Tipo di colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta l´inserimento selezionato verso l´alto. | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag& Drop.
Sposta l´inserimento selezionato verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag& Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Storia

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Storia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione della storia da visualizzare:

  • Identificazione impianti
  • Utente
  • Identificazione
  • Data
  • Apparecchio
  • Commento
  • Lavoro di manutenzione:
  • Contatore di lettura di Manutenzione

Parametri | Descrizione
Tipo di colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta l´inserimento selezionato verso l´alto. | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag& Drop.
Sposta l´inserimento selezionato verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag& Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Determinare le operazioni di manutenzione aperte

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Determinare le operazioni di manutenzione aperte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Determinazione manutenzioni in corso apre la lista di tutte le manutenzioni in corso che si riferisce al periodo di tempo selezionato; il sistema va a procurarsi questa lista dall´IMM. Queste informazioni vengono usate per determinare i valori di stato progettati per l´impianto specifico.

In caso di esecuzione della funzione si verifica quanto segue:

  • vengono settati valori impostabili numerici sulle variabili di stato corrispondenti; questi valori impostabili corrispondono al numero complessivo delle manutenzioni in corso che si trovano nell´impianto e corrispondono all´attribuzione di identificazione impianti a variabili di stato.
  • vengono attualizzate anche le variabili di stato progettate sull´apparecchio e per la manutenzione.

Per configurare la funzione:

  • scegliete Nuova funzione.
  • Apre il ramo Applicazione.
  • selezionate Determinazione manutenzioni in corso
  • si apre il dialogo per la configurazione della funzione

Parametri | Descrizione
Periodo | Periodo di tempo per il quale vengono determinate le manutenzioni in corso. Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.
Identificazione impianto | Inserimento delle identificazioni impianto che devono essere attribuite a una variabile di stato. Forma: le identificazioni impianto vengono inserite in forma di lista, separate da virgole. Le identificazioni impianto possono contenere anche wildcards. (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Variabile di stato | Variabile numerica che, durante l'esecuzione della funzione, riceve come valore impostabile il numero dei lavori di manutenzione da effettuare negli impianti indicati alla voce identificazioni impianto.
Attribuzioni | Lista delle attribuzioni di identificazioni impianto a variabili di stato.
Aggiungi | Aggiunge una riga di attribuzione.
Rimuovi | Cancella l´attribuzione selezionata.

Esempio Esempio

Nell'impianto 1 sono da effettuare 2 lavori di manutenzione e nell'impianto 2 se ne deve effettuare 1.
Impianto 1 e impianto 2 sono gli unici impianti in questo esempio.
La funzione è progettata in modo analogo allo screenshot qui sopra.

Le variabili di stato ricevono i seguenti valori impostabili:

Wartungen_heute_alle = 3

Wartungen_heute_alle2 = 3

Wartungen_heute_Anlage1_2 = 3

Wartungen_heute_Anlag1 = 2

Wartungen_heute_Anlag2 = 1

Info Informazioni

La funzione viene eseguita nel funzionamento di rete sempre solo sul server.


Industrial Performance Analyzer

Manuale -> Industrial Performance Analyzer

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare in diverse liste dati allarmi e, così, a mostrare eventuali tempi di stallo. L´IPA ricorre a una banca dati SQL, nella quale vengono salvati gli allarmi (così come stabilito in fase di progettazione).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Grazie alla diverse impostazioni di filtro, l´IPA mette a disposizione la più grande flessibilità possibile. Potete effettuare un filtro del Vostro impianto, ad esempio, sulla base di singoli settori e far in modo che vengano visualizzati solo gli allarmi che si sono verificati in un particolare settore. L´IPA permette anche di individuare quelli che sono i punti deboli del Vostro impianto. Ciò è di particolare importanza soprattutto al momento della messa in opera dell´impianto stesso, per scoprire le cause di eventuali problemi e per poterli risolvere. In combinazione con il modulo Production & Facility Scheduler (PFS), poi, l´IPA Vi mette in condizione di visualizzare le fasi di stallo cui sono state sottratte le pause. Dalle fasi di stallo effettive, dunque, vengono sottratte i tempi di pausa. In tal modo, avete la possibilità di sapere qual è tempo, per così dire, netto di non funzionamento del Vostro impianto. L´IPA, inoltre, può riprendere dal PFS gli orari turno e i nomi turno. Ciò facilita il processo di progettazione e aiuta a risparmiare tempo. Inoltre si deve effettuare la manutenzione degli orari di turno e dei nomi turno devono solamente in una sede. Un altro vantaggio è che c´è la garanzia che PFS e IPA usino gli stessi dati.

Info Informazioni

L'Industrial Performance Analyzer è concepito per l'uso con il PC e utilizza dunque il mouse e la tastiera come strumenti di inserimento. Non si può garantire un funzionamento pieno con un touchscreen.


Tipo di funzione fondamentale

Manuale -> Industrial Performance Analyzer -> Tipo di funzione fondamentale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutti i dati allarme che vengono progettati in modo corrispondente (vedi Variabili), vengono salvati in una banca dati SQL. Vengono supportate banche dati compatibili con ODBC,come per esempio Oracle SQL Server, Microsoft SQL Server, Microsoft MSDE, MySQL Server ecc. Esse possono essere disponibili sia localmente che in rete.

Nel runtime, i dati allarmi corrispondenti vengono salvati in un buffer e, da lì, vengono scritti ciclicamente nella banca dati indicata. Il tempo del ciclo viene stabilito in fase di progettazione dell´editor (vedi Impostazioni generali).

E´possibile che più progetti runtime scrivano nella stessa banca dati.

Con il salvataggio centrale dei dati allarmi, se ne riesce a garantire una maggiore sicurezza e una grande disponibilità.

Nel runtime di zenon, la visualizzazione dell´analisi viene realizzata mediante un´immagine del tipo Industrial Performance Analyzer.


Progettazione nell'editor

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dovete effettuare le seguenti impostazioni per rappresentare e analizzare nel runtime i dati allarmi con l´Industrial Performance Analyzer.


Impostazioni generali

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Fra le proprietà di progetto, trovate il settore Industrial Performance Analyzer. In questa sede definite le impostazioni di IPA, che riguardano il Vostro intero progetto.

Sono disponibili le seguenti proprietà:

Parametri | Descrizione
IPA attivo | Selezionate questa poprietà per avviare IPA.
Database | Definite la banca dati nella quale IPA deve depositare i dati allarmi (vedi Banca dati)
Nome tabella | Indicate un nome a piacere per la tabella dei Vostri dati IPA. Una tabella con questo nome verrà generata automaticamente nella banca dati al momento in cui il runtime accederà per la prima volta alla banca dati stessa.
Ciclo di memorizzazione | Stabilite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer debbono essere scritti nella banca dati. I valori che trovano riscontro nella pratica comune, si trovano fra i 2 e i 5 minuti.
Dimensione buffer | Indicate quanti allarmi devono essere salvati nel buffer. Alla fine di ogni ciclo, il contenuto del buffer viene salvato nella banca dati. Poi il buffer è vuoto. Nel caso in cui dovesse presentarsi nell´ambito di un solo ciclo un numero superiore di allarmi rispetto a quello impostato, gli allarmi più vecchi sono quelli che vanno perduti per prima.
Turno dal PFS | Selezionato questa proprietà per adottare i tempi per i turni stabiliti che si trovano nel modulo Production & Facility Scheduler. Attivando questa proprietà, è possibile nella valutazione degli allarmi visualizzare i tempi di interruzione senza i tempi di pausa (nell´analisi).
Turno da variabile | Selezionate una variabile del tipo INT. Insieme alla proprietà "Turno dalla lista", potete assegnare ai valori numerici dei nomi turno.
Filtro tempo predefinito | Stabilite i diversi filtri tempo cui potete ricorrere durante il runtime.
Causa di allarme | Stabilite le diverse cause allarmi cui potete ricorrere durante il runtime.
Identificazione impianti | Stabilite le diverse identificazioni impianti cui potete ricorrere durante il runtime.
Identificazione impianti per | Decidete se volete usare l´inizio dell´identificazione di una variabile o l´inizio del nome di una variabile come parte dell´identificazione impianti.
Nome turno dal PFS | Selezionato questa proprietà per adottare i nomi turni per i turni stabiliti che si trovano nel modulo Production & Facility Scheduler.
Turno dalla lista | Stabilite dei nomi turno per valori numerici. Mediante il valore numerico delle variabili, che avete indicato alla voce Nome turno da variabile, viene visualizzato nel runtime per il relativo allarme il nome turno definito in questa sede.
Per cancellare | Selezionate nella lista a cascata il livello di autorizzazione del quale l´utente deve essere in possesso per poter cancellare inserimenti di banca dati dell´Industrial Performance Analyzer.
Per editare | Selezionate nella lista a cascata il livello di autorizzazione del quale l´utente deve essere in possesso per poter modificare inserimenti di banca dati dell´Industrial Performance Analyzer.


Database

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla proprietà Banca dati, cliccate sul pulsante con i tre punti per passare al dialogo di selezione della fonte dati.

  1. Per creare un nuovo file DSN, cliccate su Nuovo....
  2. Selezionate nel seguente dialogo l´inserimento Server SQL e cliccate su Avanti.
  3. Indicate un nome per la fonte dati e cliccate di nuovo su Avanti.
  4. Cliccate suTermina per chiudere il dialogo.
  5. Alla voce Server selezionate Server SQL e cliccate suAvanti.
  6. Nel dialogo che si aprirà, non dovete modificare nulla. Cliccate su Avanti.
  7. Attivate la checkbox Modifica la banca dati standard in: e selezionate la banca dati desiderata. cliccate su Avanti.
  8. In questo dialogo non dovete effettuare alcuna modifica. Cliccate su Termina per chiudere il dialogo.

Il dialogo conclusivo Vi mostra un´altra volta le impostazioni effettuate. In questa sede potete testare la fonte dati. Confermi questo dialogo e il prossimo cliccando su OK.


Predefinisci filtro tempo

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Predefinisci filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando questa impostazione si pare il seguente dialogo.

Parametri | Descrizione
Aggiungi..... | Aggiungete un nuovo tempo filtro. Nel dialogo che apparirà, assegnate un nome univoco e fissate un tempo d´inizio e di fine.
Modifica.... | Attivo solo se avete selezionato un dialogo fra quelli esistenti. Nel dialogo che apparirà, potete modificare il nome, il tempo d´inizio e di fine.
Elimina | Attivo solo se avete selezionato uno o più dialoghi fra quelli esistenti. Cancella i tempi filtro selezionati senza chiedere conferma.

I filtri tempo definiti in questa sede, sono a Vostra disposizione nel runtime. Potete definire in questa sede, per esempio, i tempi dei Vostri turni (turno della mattina, turno di sera ecc.) e potete poi accedere nell´immagine del tipo Industrial Performance Analyzer a questi periodi di tempo al momento di effettuare l´operazione di filtro.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.


Aggiungi filtro tempo predefinito

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Predefinisci filtro tempo -> Aggiungi filtro tempo predefinito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso del dialogo Definizione potete aggiungere nuovi filtri tempo, oppure modificare quelli già esistenti.

Parametri | Descrizione
Nome | Nome univoco del filtro tempo.
Ora di inizio | Momento a partire dal quale è valido il filtro tempo.
Tempo di fine | Momento a partire dal quale finisce il filtro tempo.


Cause allarmi

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando questa impostazione si pare il seguente dialogo.

Parametri | Descrizione
Aggiungi..... | Aggiungete una nuova causa allarmi. Nel dialogo che apparirà, assegnate un numero univoco e un nome univoco.
Modifica.... | Attivo solo se avete selezionato un dialogo fra quelli esistenti. Nel dialogo che apparirà, potete modificare sia il numero che il nome.
Elimina | Attivo solo se avete selezionato uno o più dialoghi fra quelli esistenti. Cancella le cause allarme selzionate senza chiedere conferma.

Le cause allarme definite in questa sede, sono a Vostra disposizione nel runtime. Nell´immagine del tipo Industrial Performance Analyzer, potete assegnare ad ogni allarme una causa. Selezionate le cause allarme fra quelle disponibili in una lista che siete Voi a gestire.


Aggiungi causa allarme

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Cause allarmi -> Aggiungi causa allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso del dialogo Causa allarme, potete aggiungere una nuova causa, oppure modificarne una già esistente.

Parametri | Descrizione
Numero | Numero univoco della causa allarme.
Nome | Causa univoca.


Identificazione impianti

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando questa impostazione si pare il seguente dialogo.

Parametri | Descrizione
Aggiungi..... | Aggiungete una nuova identificazione impianti. Nel dialogo che si aprirà, assegnate un nome alla identificazione impianti.
Modifica.... | Attivo solo se avete selezionato un dialogo fra quelli esistenti. Nel dialogo che si aprirà, potete modificare il nome dell´identificazione impianti.
Elimina | Attivo solo se avete selezionato uno o più dialoghi fra quelli esistenti. Cancella le identificazioni impianti selzionate senza chiedere conferma.

Le identificazioni impianti definite in questa sede, sono a Vostra disposizione nel runtime. L´identificazione impianti può ricorrere in forma di prefisso nel nome delle variabili o nella loro identificazione (vedi proprietà Identificazione impianti per in Impostazioni generali). Il prefisso deve terminare con il carattere _ . Un´assegnazione a un´ identificazione impianti avviene solamente se un´ identificazione impianti corrisponde esattamente al prefisso.

Esempio Esempio

Identificazione impianti:

  • impianto 11

Nome variabile o identificazione variabile:

  • Impianto1_Variabile1
  • Impianto11_Variabile1

Solo la variabile Impianto11_Variabile1 viene assegnata all´ identificazione impianti creata impianto11.

L´identificazione impianti è un efficace strumento per effettuare un filtraggio sulla base degli impianti desiderati.


Aggiungi identificazione impianti

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Identificazione impianti -> Aggiungi identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso del dialogo Identificazione impianti potete aggiungere una nuova identificazione impianti, oppure modificarne una già esistente.

Parametri | Descrizione
Identificazione impianti | Nome della identificazione impianti


Turno dalla lista

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Turno dalla lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando questa impostazione si pare il seguente dialogo.

Parametri | Descrizione
Aggiungi..... | Aggiungete un nuovo nome turno. Nel dialogo che apparirà, assegnate un numero univoco e un nome univoco.
Modifica.... | Attivo solo se avete selezionato un dialogo fra quelli esistenti. Nel dialogo che apparirà, potete modificare sia il numero che il nome.
Elimina | Attivo solo se avete selezionato uno o più dialoghi fra quelli esistenti. Cancella i nomi turno selezionati senza chiedere conferma.

I nomi turno definiti in questa sede, sono a Vostra disposizione nel runtime. Vi aiutano ad effettuare l´operazione di filtro in modo tale che vengano visualizzati solamente gli allarmi che sono ricorsi nel corso del relativo in questione.


Aggiungi nome turno della lista

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Impostazioni generali -> Turno dalla lista -> Aggiungi nome turno della lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Facendo uso del dialogo Nome turno potete aggiungere nuovi turni, oppure modificare quelli già esistenti.

Parametri | Descrizione
Numero | Numero univoco del turno.
Nome | Nome univoco del turno.


Variabili

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se volete che gli allarmi vengano salvati nella banca dati IPA, dovete attivare per ogni variabile in questione la proprietà salva nella banca dati IPA. Solo gli allarmi delle variabili per le quali è stata attivata questa proprietà vengono salvati nella banca dati e possono essere poi visualizzati nell´immagine del tipo Industrial Performance Analyzer e analizzati in questa sede.

attenzione Attenzione

Nel testo valore limite delle variabili e nella loro identificazione possono essere contenuti solo caratteri permessi per SQL-Statements.


Cambio lingua

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´Industrial Performance Analyzer, il cambio lingua è a disposizione per i seguenti settori:

  • Gruppi allarmi/eventi, classi allarmi/eventi
  • Identificazione impianti

    Avvertenza: Visto che l´uso di '@' in nomi variabili non è consentito, il cambio lingua è disponibile per identificazioni impianti solo se avete selezionato identificazione impianti tramite identificazioni variabile .

  • Causa di allarme
  • Nome turno

    Avvertenza: Visto che l´uso di '@' in Production & Facility Manager non è consentito, il cambio lingua è disponibile per nome turno solamente se avete progettato degli inserimenti corrispondenti in Turno dalla lista.

Dovete designare con '@' i concetti che devono essere usati per il cambio lingua. Inoltre dovete assicurarvi che siano presenti nella tabella lingua degli inserimenti corrispondenti.


Immagine del tipo Industrial Performance Analyzer.

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> Immagine del tipo Industrial Performance Analyzer.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per visualizzare e analizzare durante il runtime i dati allarme che l´Industrial Performance Analyzer salva nella banca dati, avete bisogno di un´immagine del tipo Industrial Performance Analyzer.

Create una nuova immagine (vedi Immagini) e selezionate come Tipo immagine Industrial Performance Analyzer. Mediante il menu Elementi di controllo aggiungete gli elementi standard per il tipo di immagineI Industrial Performance Analyze Industrial facendo uso dell´inserimento di menu Inserisci modello. In alternativa, potete inserire gli elementi di cotrollo necessari anche facendo uso del menu Elementi di controllo.

Sono configurabili i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Lista | Rappresentazione in forma tabellare dei dati allarmi. Le informazioni vengono lette dalla tabella nella banca dati e visualizzati in questa sede.
Attualizza banca dati | Legge una seconda volta i dati dalla banca dati.
Filtri .. | Apre il dialogo filtro.
Ripeti indietro | Carica le ultime impostazioni filtro. Vengono salvate le ultime 10 impostazioni.
Reset filtro | Disattiva tutte le impostazioni di filtro
Crea documento | Crea un documento con i dati selezionati e lo apre. I dati vengono visualizzati nella forma di una tabella.
Crea diagramma | Rappresenta i dati selezionati sotto forma di una diagramma.
Impostazioni diagramma | Definizioni riguardanti il layout del diagramma, per es. istogramma o grafica a torta.
Anteprima attuale | Campo di testo che mostra il tipo di lista scelto.
Riga di stato | Campo di testo che mostra le impostazioni di filtro selezionate.
Profili filtro | Salva i filtri e le visualizzazioni impostati online come profili.
Salva profili | Salvare un´impostazione come profilo
cancellare profilo | Cancella il profilo selezionato.
Selezione profilo | Attiva profilo della lista


funzione cambio immagine

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> funzione cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se create una funzione di cambio immagine (vedi Funzioni) che porta ad un´immagine del tipo Industrial Performance Analyzer, si aprirà il dialogo filtro IPA. In questa sede potete settare filtro e impostazioni che devono essere tenuti in considerazione al momento del passaggio all´immagine del tipo Industrial Performance Analyzer.

I dettagli relativi alle impostazioni nel dialogo filtro li trovati nel capitolo Filtro.


La funzione IPA Crea/stampa documento

Manuale -> Industrial Performance Analyzer -> Progettazione nell'editor -> La funzione IPA Crea/stampa documento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione si può creare automaticamente un'analisi IPA e salvarla nella forma di documento HTML, oppure stamparla per mezzo di una stampante standard Windows. Trovate la funzione nel raggruppamento AML e CEL.

Le possibilità di filtro e la sua configurazione corrispondono alla funzione cambio all´immagine del tipo Industrial Performance Analyzer. Nella scheda Documento di destinazione scegliete se l´analisi deve essere stampata sulla stampante standard Windows, oppure deve essere emessa in un file nel percorso di export.

Se volete salvare l´analisi in un file, attivate la Checkbox Su file e indicate un nome.

attenzione Attenzione

Tenete presente che dovete indicare il nome file incluso .html, in modo tale che il Vostro sistema sia in grado di riconoscere senza problemi il file generato e Voi lo possiate aprire subito con un programma adatto.

Esempio di nome file:

IPA_010109.html

Se non attivate la Checkbox, l´analisi viene stampata.


Gestione durante il runtime

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione dell`IPA nel runtime avviene mediante l´immagine del tipo Industrial Performance Analyzer. L´immagine viene aperta con i parametri di fitro e di trasmissione configurati nell´editor. Ottenete dunque la modalità di visualizzazione che avete definito nell´editor.

Ogni visuale ha un ordine di default per quello che concerne le colonne (vedi capitolo Filtro). Potete decidere individualmente di ordinare sulla base di una qualsiasi colonna cliccando con il tasto sinistro del mouse sulla relativa testa della colonna. Se volete ordinare sulla base di più colonne, tenete premuto il tasto Ctrl e cliccate in successione sulle colonne desiderate. Così ottenerrete una classificazione a cascata. Se non volete più utilizzare l´ordine di default, c´è una freccia che si trova vicino al nome colonna e che indica che l´ordine è realizzato secondo questa colonna. L´ordine può essere sia crescente che decrescente. Il primo clic con il tasto sinistro del mouse su una colonna, ordina gli inserimenti in senso decrescente. Con un altro clic del tasto sinistro del mouse, si cambia da una direzione all´altra.

Per consentirvi la gestione dell´Industrial Performance Analyzer e la rappresentazione dei dati allarmi, sono a Vostra disposizione nell´editor degli elementi di controllo progettati (vedi Immagine del tipo Industrial Performance Analyzer).

Elimina inserimento

Potete cancellare degli inserimenti dalla banca dati solamente con l´interno Industrial Performance Analyzer. Per cancellare un inserimento, cliccate con il tasto destro del mouse sull´inserimento in questione. Nel menu contestuale che apparirà, selezionate l´inserimento Cancella riga selezionata dalla banca dati. Se disponete dell´autorizzazione necessaria a cancellare, l´inserimento verrà eliminato (vedi Impostazioni generali).

Causa allarme e commento

Se volete inserire un commento e/o una causa per un determinato allarme, avete due possibilità. cliccate due volte sulla riga desiderata; nel dialogo che apparirà, potete selezionare una causa allarme nella lista dropdown Causa allarme e scrivere un commento a piacere nel campoCommento.

Giungete al dialogo in questione anche cliccando con il tasto destro del mouse sulla riga desiderata e selezionando nel menu contestuale Modifica causa allarme.


Filtri

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Servendovi del dialogo di filtro, stabilite l´aspetto dell´immagine del tipo Industrial Performance Analyzer. Potete decidere quali allarmi volete che siano visualizzati e secondo quali criteri essi debbano essere classificati e ordinati.

Ogni tipo di lista mostra delle determinate colonne e ha una classificazione di default. I tipi di lista sono: Lista somme, Lista statistiche e Lista singola.

Lista totale

Nome lista | Colonne disponibili | Classificazione di Default
Riferita alle classi | Classe allarmi/eventi, Numero, Durata complessiva | Colonna: Numero, a cominciare dal numero più grande.
Riferito ad un singolo allarme: | Variabile, Identificazione, Numero, Durata complessiva, Durata complessiva lorda, Testo valore limite, Classe allarmi/aventi, Gruppo allarmi/eventi, Impianto, Progetto | Colonna: Numero, a cominciare dal numero più grande.
Riferito ai gruppi | Gruppo allarmi/eventi, Numero, Durata complessiva | Colonna: Numero, a cominciare dal numero più grande.
Riferito all’impianto: | Impianto, Numero, Durata complessiva | Colonna: Numero, a cominciare dal numero più grande.

Lista Statistica

Nome lista | Colonne disponibili | Classificazione di Default
Durata totale di interruzione di un impianto | Impianto, Dutata totale | Colonna: Durata totale, a cominciare dall'allarme più lungo.
N allarmi piu brevi: | Stato, Variabile, Identificazione, Inizio, Durata, Durata totale, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più corto.
N allarmi piu frequenti: | Numero, Variabile, Identificazione, Inizio, Durata totale, Durata totale lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Impianto, Progetto, Causa allarme, Commento | Colonna: Numero, a cominciare dal numero più grande.
N allarmi più lunghi: | Stato, Variabile, Identificazione, Inizio, Durata, Durata totale, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più lungo.
N allarmi più recenti: | Stato, Variabile, Identificazione, Inizio, Durata, Durata totale, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.

Il numero desiderato n; inseritelo accanto a n=.

Lista singola

Nome lista | Colonne disponibili | Classificazione di Default
Lista di informazioni allarmi | Stato, Variabile, Identificazione, Inizio, Durata, Durata totale, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.


Banca dati e visualizzazione

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Banca dati e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate la modalità di visualizzazione desiderata alla voce Visuale.

I campi "Nome DSN" e "Tabella", Vi mostrano la connessione con il Server SQL prescelto e il nome della tabella in cui IPA salva i dati allarme. Questi campi hanno solamente una funzione e un carattere informativo. Non potete effettuare in questa sede alcune modifiche (vedi Banca dati). Potere effettuare delle impostazioni tramite queste proprietà:

Parametri | Descrizione
Mostra la griglia: | Mostra una griglia nella rappresentazione dei dati allarme.
n= | Indicate quanti inserimenti devono contenere le visuali n allarmi più brevi, n allarmi più frequenti, n allarmi più lunghi e ultimi allarmi.


Data/tempo

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Data/tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Selezionate nel filtro data Oggi, Ieri, L'altroieri oppure Selezionabile. Se selezionate Selezionabile, indicate un'area data definibile liberamente. Se attivate l'opzione con tempo, indicate per la data di partenza e per quella finale l'orario desiderato. Se non attivate con tempo, l'arco di tempo considerato inizia alla data di partenza alle ore 0 e finisce alla data finale alle 24.

Selezionate nel filtro di tempo Selezionabile o Da definire liberamente. Se selezionate Selezionabile, indicate un'arco di tempo definibile liberamente. Se selezionate Da definire liberamente, scegliete degli archi di tempo che avete impostato precedentemente nell'Editor. Vedi capitolo Predefinire il filtro tempo.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Info Informazioni

Gli archi di tempo alla voce Tempo sono riferiti ai giorni, il che significa che si riferiscono ad ogni giorno, che è stato selezionato alla voce Data. Se avete selezionato alla voce Data il punto Selezionabile, alla voce Start il 01.10.2008 e a quella Fine il 05.10.2008, l'arco di tempo che è stato selezionato alla voce Tempo, si riferisce ad ognuno dei 5 giorni dell'intervallo che va dal primo al 5 Ottobre.


Identificazione impianti

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel filtro dell´identificazione impianti si possono attivare uno o più impianti. Gli inserimenti nella lista di sinistra possono essere evidenziati e spostati con i tasti freccia nella lista di destra.

Gli allarmi dell'impianto sono rappresentati nella lista di destra.

L´identificazione impianti avviene mediante il prefisso nel nome variabile o nell´identificazione variabili, a seconda di cosa abbiate deciso in fase di progettazione (vedi Impostazioni generali). Gestite la lista delle identificazioni impianti nell´editor alla voce Identificazione impianti.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Classi allarmi/eventi

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Classi allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel filtro delle classi allarmi/eventi possono essere attivate uno o più classi allarmi/eventi. Gli inserimenti nella lista di sinistra possono essere evidenziati e spostati con i tasti freccia nella lista di destra.

Gli allarmi delle classi sono rappresentati nella lista di destra.

Info Informazioni

Nella visione durante il Runtime viene visualizzato solamente il nome della classe allarmi/eventi. In tal modo si raggiunge lo scopo di una migliore classificazione degli inserimenti. Il numero della classe allarmi/eventi non viene visualizzato.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Gruppi di allarmi

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Gruppi di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel filtro dei gruppi allarmi/eventi possono essere attivati uno o più gruppi allarmi/eventi. Gli inserimenti nella lista di sinistra possono essere evidenziati e spostati con i tasti freccia nella lista di destra.

Gli allarmi dei gruppi sono rappresentati nella lista di destra.

Info Informazioni

Nella visione durante il Runtime viene visualizzato solamente il nome del gruppo allarmi/eventi. In tal modo si raggiunge lo scopo di una migliore classificazione degli inserimenti. Il numero del gruppo allarmi/eventi non viene visualizzato.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Altro

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Altro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede potete trovare anche alcune altre funzioni.

Parametri | Descrizione
Durata allarme | Filtraggio sulla base della durata dell'allarme. Vengono considerati solo gli allarmi la cui durata rientra in questa finestra tempo.
Frequenza allarme | Filtraggio sulla base della frequenza dell'allarme. Vengono considerati solo gli allarmi la cui frequenza rientra in questo ambito. Questo filtro può essere attivato solo sono stati selezionati nelle opzioni della Visualizzazione liste gli n allarmi più frequenti.
Stato di allarme | Filtraggio sulla base dello stato allarme: Selezionate una di queste possibilità: in attesa, rientrato o entrambi.
Filtro testo valore limite | Filtraggio a seconda del testo valore limite dell'allarme. O normale in base al testo, p.e. “Test” visualizza tutti gli allarmi, che contengono “Test” nel testo allarme (attenzione alla scrittura in minuscolo/maiuscolo) o tramite regular expressions.
Filtro testo identificazione variabile | Filtraggio sulla base del testo identificazione dell'allarme. o tramite il testo e tramite Regular expressions.
Filtro progetto | Filtraggio sulla base del progetto dal quale sono stati scritti gli allarmi nella banca dati. Nel caso in cui si voglia effettuare un filtraggio sulla base di diversi progetti, questi possono essere impostati separatamente con il segno „ , “.


Espressioni regolari

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Altro -> Espressioni regolari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Espressioni regolari rappresenta un modello di testo che consta di caratteri normali (per es. lettere, cifre, ecc) e caratteri speciali, cosiddetti metacaratteri. Durante l´operazione di filtro o l´esame di testi, potete definire in tal modo una determinata successione di caratteri.

Info Informazioni

Espressioni regolari non devono essere confusi con Wildcards – per es. * corrisponde a qualsiasi caratteri. Espressioni regolari sono molto più efficienti e Vi consentono di definire in modo preciso i criteri della Vostra ricerca.

La seguente tabella contiene una lista completa dei metacaratteri e il loro comportamento nel contesto di espressioni regolari:

Metacaratteri | Descrizione
\ | Contrassegna il carattere successivo come carattere speciale, valore letterale, backreference o carattere di escape ottale. n, ad esempio, corrisponde al carattere n. \n corrisponde a un carattere di nuova riga. La sequenza \\ corrisponde a \, e \( corrisponde a (.
^ | Corrisponde alla posizione all'inizio della stringa di input.
$ | Corrisponde alla posizione alla fine della stringa di input.
* | Trova zero o più corrispondenze con la sottoespressione o il carattere precedente. zo*, ad esempio, corrisponde a "z, zo, zoo ecc.
+ | Trova una o più corrispondenze con la sottoespressione o il carattere precedente. zo+, ad esempio, corrisponde a zo, zoo, ecc., ma non a z.
? | Trova zero ‑ o una corrispondenza con la sottoespressione o il carattere precedente. do(es)?, ad esempio, corrisponde a do in do o a does.
{n} | n rappresenta un valore integer non negativo. Trova esattamente n‑corrispondenze. o{2}, ad esempio, non corrisponde alla lettera o in Bob, ma corrisponde alle due lettere o in food.
{n,} | n rappresenta un valore integer non negativo. Trova almeno n‑corrispondenze. o{2,} ad esempio, non corrisponde alla lettera o in Bob, mentre corrisponde a tutte le lettere o in foooood. o{1,}equivale a o+. o{0,} equivale a o*.
{n,m} | m e n sono valori integer non negativi, in cui n <= m. Trova almeno n e al massimo m corrispondenze. o{1,3}, ad esempio, corrisponde alle prime tre lettere o in fooooood. o{0,1}equivale a o?. Indicazione: tra la virgola e i numeri non può essere inserito alcuno spazio.
? | Quando questo carattere si trova subito dopo uno degli altri quantificatori (*, +, ?, {n}, {n,}, {n,m}), il criterio di ricerca è specifico. Un criterio specifico trova il minor numero possibile di corrispondenze con la stringa con cui viene eseguita la ricerca, mentre il criterio generico predefinito trova il maggior numero possibile di corrispondenze con tale stringa. Nella stringa oooo, ad esempio, o+? corrisponde a una singola lettera o, mentre o+ corrisponde a tutte le lettere o.
. | Corrisponde a qualsiasi carattere singolo tranne \n. Per ottenere una corrispondenza con qualsiasi carattere, incluso \n, utilizzare un criterio come [\s\S].
(criterio) | Sottoespressione che corrisponde a criterio e che consente di acquisire la corrispondenza. Per ottenere una corrispondenza con i caratteri di parentesi ( ), utilizzare \( oppure \).
(?:criterio) | Sottoespressione che corrisponde a criterio, ma che non acquisisce la corrispondenza. Rappresenta quindi una corrispondenza di non acquisizione, che non viene memorizzata per un eventuale utilizzo successivo. Si rivela utile per combinare le parti di un criterio con un operatore "or" (|). Ad esempio industr(?:y|ies) è un'espressione più breve rispetto a industry|industries.
(?=criterio) | Sottoespressione che esegue una ricerca look-ahead positiva, con cui viene ottenuta una corrispondenza con la stringa in qualsiasi punto in cui inizia una stringa corrispondente a criterio. Rappresenta una corrispondenza di non acquisizione, che non viene quindi acquisita per un eventuale utilizzo successivo Ad esempio, Windows (?=XP|VISTA) corrisponde a Windows in Windows XP, ma non Windows in Windows 7. Le ricerche look-ahead non consumano caratteri. In altre parole, la ricerca della corrispondenza successiva inizia subito dopo l'ultima corrispondenza e non dopo i caratteri su cui è basata la ricerca look-ahead.
(?!criterio) | Sottoespressione che esegue una ricerca look-ahead negativa, con cui viene ottenuta una corrispondenza con la stringa di ricerca in qualsiasi punto in cui inizia una stringa non corrispondente a criterio. Rappresenta una corrispondenza di non acquisizione, che non viene quindi acquisita per un eventuale utilizzo successivo Ad esempio, Windows (?!=XP|VISTA) corrisponde a Windows in Windows 7, ma non Windows in Windows XP. Le ricerche look-ahead non consumano caratteri. In altre parole, la ricerca della corrispondenza successiva inizia subito dopo l'ultima corrispondenza e non dopo i caratteri su cui è basata la ricerca look-ahead.
x|y | Corrisponde a x o y. Ad esempio, z|food corrisponde a z o food. (z|f)ood corrisponde a zood o food.
[xyz] | Set di caratteri. Corrisponde a qualsiasi carattere incluso. Esempio: [abc], ad esempio, corrisponde alla lettera a in plain.
[^xyz] | Set di caratteri negativo. Corrisponde a qualsiasi carattere non incluso. Esempio: [^abc], ad esempio, corrisponde alla lettera p in plain.
[a-z] | Intervallo di caratteri. Corrisponde a qualsiasi carattere compreso nell'intervallo specificato. Esempio: [a-z] , ad esempio, corrisponde a qualsiasi carattere alfabetico minuscolo compreso nell'intervallo tra a e z.
[^a-z] | Intervallo di caratteri negativo. Corrisponde a qualsiasi carattere non compreso nell'intervallo specificato. Esempio: [a-z], ad esempio, corrisponde a qualsiasi carattere non compreso nell'intervallo tra a e z.
\b | Corrisponde a un inizio o a una fine di parola, ovvero alla posizione tra una parola e uno spazio. Esempio: er\b, ad esempio, corrisponde a er in never, ma non a er in verb.
\B | Corrisponde a caratteri che non costituiscono un inizio o una fine di parola. Esempio: er\B, ad esempio, corrisponde a er in verb, ma non a er in never.
\cx | Corrisponde a un carattere di controllo indicato da x. \cM, ad esempio, corrisponde a un carattere di ritorno a capo o a un caratere Strg+M. Il valore di x deve essere compreso nell'intervallo tra A e Z o tra a e z. In caso contrario, c verrà considerato come valore letterale del carattere c‑.
\d | Corrisponde a una cifra. Equivale a [0-9].
\D | Corrisponde a un carattere diverso da una cifra. Equivale a [^0-9].
\f | Corrisponde a un carattere di avanzamento modulo. Equivale a \x0c e \cL.
\n | Corrisponde a un carattere di nuova riga. Equivale a \x0a e \cJ.
\r | Corrisponde a un carattere di ritorno a capo. Equivale a \x0d e \cM.
\s | Corrisponde a qualsiasi carattere di spazio vuoto, come spazio, tabulazione, avanzamento modulo e così via. Equivale a [ \f\n\r\t\v].
\S | Corrisponde a qualsiasi carattere diverso da uno spazio vuoto. Equivale a [^ \f\n\r\t\v].
\t | Corrisponde a un carattere di tabulazione. Equivale a \x09 e \cI.
\v | Corrisponde a un carattere di tabulazione verticale. Equivale a \x0b e \cK.
\w | Corrisponde a qualsiasi carattere alfanumerico, incluso il carattere di sottolineatura. Equivale a [A-Za-z0-9_].
\W | Corrisponde a qualsiasi carattere non alfabetico. Equivale a [^A-Za-z0-9_].
\xn | Corrisponde a n, dove n rappresenta un valore di escape esadecimale. I valori di escape esadecimali devono avere una lunghezza esatta di due cifre. Esempio: \x41, ad esempio, corrisponde ad A. \x041equivale a \x04 & 1. Consente l'utilizzo dei codici ASCII nelle espressioni regolari.
\num | Corrisponde a num, dove num rappresenta un valore integer positivo Costituisce un riferimento alle corrispondenze acquisite. Esempio: (.)\1, ad esempio, corrisponde a due caratteri identici consecutivi.
\n | Identifica un valore di escape ottale o un backreference. Se \n è preceduto da almeno n sottoespressioni acquisite, n costituisce un backreference. Se n è una cifra ottale (0‑7), rappresenta un valore di escape ottale.
\nm | Identifica un valore di escape ottale o un backreference. Se \nm è preceduto da almeno nm sottoespressioni acquisite, nm costituisce un backreference. Se \nm è preceduto da almeno n sottoespressioni acquisite, n costituisce un backreference seguito dal valore letterale m. Se non si verifica alcuna delle condizioni precedenti e n e m sono cifre ottali (0-7), \nm corrisponde al valore di escape ottale nm.
\nml | Corrisponde al valore di escape ottale nml. se n è una cifra ottale (0‑3) e m e l sono cifre ottali (0‑7).
\un | Corrisponde a n, dove n è un carattere Unicode espresso in quattro cifre esadecimali. Esempio: \u00A9, ad esempio, corrisponde al simbolo di copyright (©).


Inizio turno

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Inizio turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel Filtro fine turno possono essere abilitati uno o più turni. Gli inserimenti nella lista di sinistra possono essere evidenziati e spostati con i tasti freccia nella lista di destra.

Il filtro "Inizio turno" si riferisce al turno che era attivo al momento di allarme entra. Gestite i nomi turno nell´editor alla voce Nome turno dalla lista.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Fine turno

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Fine turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel Filtro fine turno possono essere abilitati uno o più turni. Gli inserimenti nella lista di sinistra possono essere evidenziati e spostati con i tasti freccia nella lista di destra.

Il filtro Fine turno si riferisce al turno che era attivo al momento di allarme entra. Gli allarmi dei turni sono rappresentati nella lista box destra. Gestite i nomi turno nell´editor alla voce Nome turno dalla lista.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Causa di allarme

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Causa di allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per utilizzare questo filtro, attivate la Checkbox attiva. Se poi chiudete il dialogo cliccando su OK, vengono utilizzate le Vostre impostazioni per la visualizzazione. Se disattivate la Checkbox Attivo, vengono mantenute le Vostre impostazioni. Però esse non saranno applicate alla visualizzazione.

Nel filtro "causa allarme" si possono attivare una o più cause allarme. La lista delle cause allarme potete gestirla nell´editor alla voce Cause allarmi.

Info Info

Al momento del filtraggio, possono essere selezionati diversi inserimenti. Ciò accade facendo uso di Ctrl oppure Shift. Tenendo premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Definizione colonne

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Filtri -> Definizione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In corrispondenza di questa voce potete adattare le colonne alle Vostre esigenze.

Parametri | Descrizione
Visuale lista | Selezionate nel menu Dropdown la lista desiderata.
Colonne | In questa lista sono indicate tutte le colonne che sono disponibili per la visuale lista selezionata.
Custom | Attivate questo Checkbox per adattare i valori predefiniti all'intestazione e alla largezza della colonna.
Titolo colonna | Indica nuovo titolo per la colonna selezionata.
Larghezza della colonna | Definite la larghezza per la colonna selezionata in pixel. Se indicate 0 la colonna viene esclusa.


Crea documento

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Crea documento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Oltre alla visualizzazione dei dati allarme, può essere creato anche un documento nel formato HTML. Questi documenti possono essere stampati o salvati.

Dopo aver impostato i filtri e le classificazioni, puo essere generato il documento cliccando con il tasto sinistro del mouse sul pulsante Crea documento.

Il layout del documento viene determinato tramite file XSL (Stylesheet). Sono disponibili i seguenti file predefinti:

File XSL | Descrizione
Single_list.xsl | Rappresentazione allarme singolo
Statistical_duration.xsl | Rappresentazione statica della durata complessiva del malfunzionamento di un impianto.
Statistical_frequency.xsl | per la rappresentazione statica degli allarmi più frequenti, di quelli più brevi, di quelli più lunghi e degli ultimi allarmi.
Sum_list_equipment.xsl | Lista totale del relativo impianto
Sum_list_single_alarm.xsl | Lista totale del relativo guasto singolo
Sum_list_group.xsl | Lista totale del relativo impianto
Sum_list_class.xsl | Lista totale relativa alla classe

Queste stylesheets si trovano nelle relative cartelle:

  • Windows XP C:/Documenti e impostazioni/All Users/Dati di applicazione/COPA-DATA/zenon/ipa
  • Windows Vista\Windows 7: C:\ProgramData\COPA-DATA\zenon650\IPA\

Se si trovano nelle rispettive cartelle più file Stylesheet, si apre un dialogo che chiede quale modello deve essere usato.


Diagramma:

Manuale -> Industrial Performance Analyzer -> Gestione durante il runtime -> Diagramma:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la rappresentazione liste sommate e per la lista statistiche n allarmi più frequenti può essere generato oltre ad un documento anche un diagramma.

Il layout viene definito con le impostazioni del diagramma.

In Diagramma generale si può scegliere fra i seguenti diagrammi:

Tipo di diagramma | Descrizione
Istogramma orizzontale | L'istogramma viene rappresentato in orizzontale
Istogramma verticale | L'istogramma viene rappresentato in verticale.
Diagramma a torta | Nel caso del diagramma a torta, si può scegliere fra la rappresentazione 3D o 2D.

Gli allarmi sommati possono essere rappresentati in riferimento al tempo o alla quantità. Alla voce diversi si può definire il colore delle barre. Si può abilitare anche la visualizzazione della griglia.

Nella scheda Descrizione vengono selezionati font e colore della descrizione del diagramma. Usando Stili , poi, si definisce il testo della descrizione.

Nella scheda Legenda si selezione il font e il colore del carattere. Si possono stabilire le modalità di visualizzazione della legenda e in quale posizione essa deve essere collocata in relazione alla grafica.


Installazione e update

Manuale -> Installazione e update

Nel corso dell´installazione di zenon, come anche nel caso dei Service Packs e Upgrades , si avvia automaticamente la routine di installazione e Vi accompagna per tutta la durata del procedimento. Nel caso in cui abbiate disattivato l´Autostart dei DVD, avviate l´installazione mediante l´esecuzione del filestart.exenel percorso del Vostro DVD zenon.

Per l´installazione del runtime di zenon su sistemi con Windows XP Embedded, tenete presenti le indicazioni fornite a proposito dell´installazione amministrativa nel capitolo Runtime per Windows XP Embedded. L´installazione di zenon per Windows CE viene descritta nel capitolo Runtime per Windows CE.

Info Informazioni

Se durante l´installazione viene visualizzato un messaggio di errore nel quale si dice che non è stato possibile avviare un servizio, allora:

  • riavviate il computer.
  • riavviate poi il setup di zenon


Presupposti di sistema

Manuale -> Installazione e update -> Presupposti di sistema

zenon 7.00 può essere utilizzato su tutti gli attuali sistemi operativi Microsoft. L´hardware che viene utilizzato non ha alcun rilievo. Il sistema operativo astrae le funzioni hardware in tal misura che normalmente è possibile utilizzare zenon senza limitazioni su qualiasi tipo di hardware.

zenon viene testato costantemente per verificarne la compatibilità con le versioni più recenti dei sistemi operativi, nonché con i più recenti Servicepack e Hotfix disponibili. Normalmente, perciò, potete essere sicuri del fatto che zenon è applicabile anche con i più recenti Servicepack e Hotfix.

Purtroppo può accadere che Microsoft introduca delle modifiche in Servicepack, Hotfix oder Patch che provocano dei problemi di incompatibilità e che compromettono la funzionalità del software.

Nel caso in cui dovesse verificarsi qualcosa del genere, sappiate che COPA-DATA è sempre impegnata a mettere a punto una versione attualizzata in grado di ottemperare a questi problemi. In un caso del genere Vi preghiamo di rivolgervi al nostro support: support@copadata.com.


Sistema operativo

Manuale -> Installazione e update -> Presupposti di sistema -> Sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sistemi operativi PC supportati:

  • Windows XP Professional
    • Runtime dal Service Pack 2
      Attenzione: una forte cifratura viene supportata solo a partire dal Service Pack 3
    • Ambiente di sviluppo (versione x86 e x64): a partire da Service Pack 3
  • Windows XP Embedded da Service Pack 2 - solo per il rutime
    Attenzione: l´installazione deve essere effettuata in Windows XP Embedded manualmente a causa di limiti tecnici.
  • Windows Embedded Standard 2009 (a condizione che esistano tutte le componenti necessarie del sistema operativo) - solo Runtime.
  • Windows Embedded Standard 7 (a condizione che esistano tutte le componenti necessarie del sistema operativo) - solo Runtime.
  • Windows Vista (versioni Business, Enterprise e Ultimate, in tutti i casi le versioni x86 e x64)
  • Windows 7 (versioni Professional, Enterprise e Ultimate, in tutti i casi le versioni x86 e x64).
  • Windows Server 2003 da Service Pack 1 (tutte le edizioni, versioni x86 e x64)
  • Windows Server 2008 (tutte le edizioni)
  • Windows Server 2008 R2 (tutte le edizioni)

Attenzione:

  • tutti i sistemi operativi vengono supportati anche nella versione multilingue.
  • I processori Itanium non vengono supportati per nessun sistema operativo.

attenzione Attenzione

Gli update Windows automatici influenzano l´installazione.

Nel caso in cui durante il setup di zenon venga eseguito un update del sistema operativo di Windows, si possono verificare dei problemi nell´installazione di zenon. Per evitare ciò:

  • disattivate gli update automatici di Windows per il periodo dell´installazione
    oppure
  • eseguite tali update prima di avviare l´installazione di zenon

Microsoft .NET Framework

zenon ha bisogno per VSTA e WPF di Microsoft .NET Framework 3.5 (o versione con numero di serie superiore). Nel caso in cui il Framework non dovesse essere già installato, viene installato automaticamente sotto Windows XP, Vista, Server 2003 e Server 2008

Sotto Windows 7 e Windows Server 2008 R2, .NET Framework è una componente del sistema operativo e, perciò, non può essere installato automaticamente. Il setup porta alla comparsa di un messaggio d´errore e si interrompe. Con questo sistema operativo, .NET Framework deve essere attivato manualmente: pannello di controllo -> programmi e funzioni -> attiva o disattiva funzioni Windows.

Sistemi operativi Windows CE supportati:

  • Windows CE 5,0
  • Windows CE 6,0
  • Windows Mobile 5.0
  • Windows Mobile 6,0
  • Windows Mobile 6,1

Quali processori fra i diversi sistemi operativi Windows CE vengano supportati, lo venite a sapere leggendo le informazioni relative contenute nel capitolo Versioni CE / Supporto dei processori . Istruzioni d´installazione per il runtime sotto Windows CE le trovate nel capitolo Runtime.

Visione d´insieme

 | Windows XP Embedded | Windows XP/Server 2003 | Windows Vista/Windows 7/ Server 2008 (R2) | Windows CE
Editor |  | X | X |
Runtime | X | X | X |
Runtime per Windows CE |  |  |  | X
Webserver | X | X | X | X
Webclient | X | X | X |

Info Info

Se usate sempre la versione più attuale (Service Pack) del corrispondente sistema operativo, evitate i problemi di compatibilità e le lacune nel sistema di sicurezza.


Ulteriore software

Manuale -> Installazione e update -> Presupposti di sistema -> Ulteriore software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

SQL Server

L´editor di zenon lavora con una banca dati SQL. Questa viene installata insieme all´Editor di zenon:

  • Fino alla versione 6.20 SP4: SQL-Server 2000 (MSDE)
  • Dalla versione 6.21 SP0: SQL Server 2005 Express
  • Dalla versione 07:00:00 SP0: SQL Server 2008R2 SP1 Express

attenzione Attenzione

Tenete presente nel caso di un cambio della versione del server SQL: si deve realizzare un backup dei progetti nella versione originale e poi essi devono essere esportati e riletti nella nuova versione.

Dongle

  • Il software necessario per la protezione dongle Wibu-Key o CodeMeter viene sempre installato automaticamente; anche le operazioni di update di questo programma sono effettuate automaticamente.


Diritti utente

Manuale -> Installazione e update -> Presupposti di sistema -> Diritti utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´installazione è necessario dispore dei diritti amministratore di Windows.

Per il funzionamento corrente, invece, bisogna disporre dei diritti utente standard di Windows. La gestione contestuale utenti (UAC) può essere attivata con il livello massimo di sicurezza.


Requisiti Software

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La versione PC e quella CE di zenon richiedono delle prestazioni diverse all´hardware. In questo capitolo trovate quelli che sono i requisiti hardware per le singole versioni dell´editor e del runtime, nonché del webserver e del webclient.

L´editor usa come server banca dati un server Microsoft SQL e pone all´hardware delle richieste maggiori del runtime. Se l´editor e il runtime devono funzionare contemporaneamente su un sistema, i requisiti si sommano.

attenzione Attenzione

Vi consigliamo delle schede grafiche con memoria propria. Schede grafiche Shared Memory possono eventualmente consumare troppa memoria e di conseguenza determinare delle riduzioni di efficienza nel funzionamento del sistema.


Editor

I requisiti minimi si riferiscono alla installazione completa dell´editor. Per i progetti di dimensioni più grandi, oppure per progetti caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone.

Hardware | Requisiti minimi | Raccomandato:
CPU: | Pentium IV. | Dual Core.
Memoria di lavoro | Windows XP da 512 MB. Windows Vista/7: da 1024 MB. Indicazione: tanti più progetti tenete contemporaneamente in memoria, tanti più aumenta il fabbisogno di spazio di memorizzazione. | Windows XP 1024 MB. Windows Vista/7: 4096 MB.
Disco fisso: | Perlomeno 2 GB di spazio memoria libero per l´installazione completa più spazio memoria per i progetti. |
Risoluzione di schermo | Extended VGA con 1024 x 768. | Sistema doppio monitor: 2 volte 1680 x 1050.
Scheda grafica | 64 MB memoria decisa. Schede con Shared Memory possono creare delle cadute di prestazione. |
Periferiche di input: | Tastiera standard e mouse standard |
Processore DVD | Consigliato per l´installazione. L´installazione è possibile anche attraverso la rete. |
Porta parallela oppure USB: | Obbligatoria nel caso di licenza dongle per dongle. Con dongle di rete, necessaria solamente per dongle server. |
Accesso rete (opzionale): | Raccomandati 10 Mbit/s con protocollo TCP/IP per il trasporto remoto, Dongle di rete, backup di progetti su server file centrale, editor multiutente ecc. | 100 MBit/s.


Runtime

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del runtime. Per i progetti di dimensioni più grandi, oppure per progetti caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone.

Hardware | Requisiti minimi | Raccomandato:
CPU: | Sistema Pentium con 400 MHz | Dual Core.
Memoria di lavoro | Windows XP da 256 MB. Windows Vista/7: da 512 MB. Indicazione: I progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con funzionamento ridondante hanno bisogno di più spazio di memoria. | Windows XP 2048 MB. Windows Vista/7: 4096 MB.
Disco fisso: | 1 GB di spazio memoria libero per l´installazione runtime, più spazio memoria per i progetti. Attenzione: Se memorizzate dei dati storici (per esempio Dati archivio oppure Allarmi-/Dati CEL), deve essere disponibile sul disco fisso uno spazio memoria; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati. | 80 GB spazio libero di memoria.
Risoluzione di schermo | VGA con 640 x 480. |
Scheda grafica | 64 MB memoria decisa. Schede con Shared Memory possono creare delle cadute di prestazione. |
Periferiche di input: | Tastiera e/o mouse. E´possibile anche un uso mediante touchscreen. Per l´opzione touchscreen, avete a disposizione molti tipi di softkeyboard adattabili alle esigenze individuali. |
Processore DVD (opzione) | Consigliato per l´installazione. E´possibile un´installazione anche via rete, oppure altri supporti dati. |
Interfaccia parallela oppure USB (opzione) | Raccomandato per Dongle. Possibile anche Dongle di rete. |
Accesso rete (opzionale): | 64 kBits/s per Progetti Client/Server standard. 100 Mbit/s Fullduplex per funzionamento ridondante. | 100 Mbit/s Fullduplex per Progetti Client/Serverstandard.
Connessione remota (opzionale) | Requisito minimo necessario: Modem a 9600 bit/s. | 1 MBit/s Fullduplex.
Impiego WAN (opzionale): | Connessione qualsiasi via router, per esempio via ISDN oppure DSL. Per cause tecniche, la trasmissione dati in WAN è più lenta che in una rete locale. Vi invitiamo a tener presente le possibili frequenze di trasmissione dati della tecnica WAN da Voi prescelta già in fase di progettazione. |
Message Control (opzionale): | I requisiti richiesti in questo caso li trovate nel capitolo Message Control. |
Interfacce (opzionale): | Quali interfacce sono necessarie dipende dalle prestazioni richieste al PLC e/o alla connessione bus, ad esempio: interfacce seriali RS232 oppure RS422/485, ISA/PCI, ecc. |


Runtime sotto Windows XP Embedded

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software -> Runtime sotto Windows XP Embedded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione del runtime di proporzioni ridotte perché adattata al sistema operativo Windows XP Embedded. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Visto che sotto Windows XP embedded per lo più è a disposizione meno spazio di memoria, esiste anche la possibilità di installare il runtime zenon senza VSTA e altri software ulteriori non necessariamente necessari. Le istruzioni per effettuare un´installazione ridotta le trovate nel capitolo Runtime sotto Windows XP Embedded.

La tabella presenta solamente i requisiti modificati rispetto all´installazione standard. I restanti parametri sono descritti come in Requisiti hardware per il runtime.

Hardware

Requisiti minimi

Raccomandato:

Memoria di lavoro

256 MB.

Indicazione: I progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con funzionamento ridondante hanno bisogno di più spazio di memoria.

2048 MB.

Mezzo usato per salvare i dati

512 MB spazio libero di memoria per il runtime
più 256 MB sulla ‑Partizione
C più spazio memoria per i progetti.

Installazione: Tenete presenti le istruzioni nel capitolo Runtime sotto Windows XP Embedded.

Attenzione: Se memorizzate dei dati storici (per esempio Dati archivio oppure Allarmi-/Dati CEL), deve essere disponibile sul disco fisso uno spazio memoria; oppure si deve prevedere in fase di progettazione che i dati storici vengano esportati oppure cancellati.

80 GB.


Runtime per Windows CE

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software -> Runtime per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del runtime per Windows CE. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Hardware | Requisiti minimi | Raccomandato:
CPU: | Perlomeno 400 MHz | 1 GHz.
Memoria di lavoro | 64 MB. | 256 MB per Windows CE 5.0. 1024 MB per Windows CE 6.0.
Mezzo usato per salvare i dati | 64 MB spazio libero di memoria. Memoria permanentemente impostata in scrittura rintentiva per dati progetto. | 256 MB di spazio memoria libera o ancora di più.
Accesso rete: | Per Progetti Client/Server standard: 10 Mbit/s Fullduplex. |


Webserver

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software -> Webserver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del Webserver. Per i progetti di dimensioni più grandi, oppure per progetti caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone.

Hardware | Requisiti minimi | Raccomandato:
CPU: | Pentium IV. |
Memoria di lavoro | Windows XP da 512 MB. Windows Vista/7: da 1024 MB. |
Disco fisso: | 256 MB spazio libero di memoria. | 1 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 100 Mbit/s Fullduplex.
Connessione remota (opzionale) | Requisito minimo necessario: Modem a 9600 bit/s. | 1 MBit/s Fullduplex.


Webclient

Manuale -> Installazione e update -> Presupposti di sistema -> Requisiti Software -> Webclient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del Webclient. Per i progetti di dimensioni più grandi, oppure per progetti caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone.

Hardware | Requisiti minimi | Raccomandato:
CPU: | Pentium IV. | Dual Core.
Memoria di lavoro | Windows XP da 512 MB. Windows Vista/7: da 1024 MB. |
Disco fisso: | 64 MB di spazio memoria libero per Webclient, più spazio memoria per i progetti. | 80 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 100 Mbit/s Fullduplex.
Connessione remota (opzionale) | Requisito minimo necessario: Modem a 9600 bit/s. | 1 MBit/s Fullduplex.

attenzione Attenzione

Il webclient ha bisogno di ActiveX e viene supportato ufficialmente solo per Internet Explorer. Non è perciò disponibile per Mozilla/Firefox.

Possibile workaround: Implementazione di Internet Explorer in un Tab di Mozilla/Firefox (Plugin: IE Tab). Informazioni su questo tema le trovate nella corrispondente website di Mozilla/Firefox.


Struttura file

Manuale -> Installazione e update -> Presupposti di sistema -> Struttura file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La struttura file viene generata durante l'installazione.

Qui vengono salvati i file di programma di zenon in una cartella definita in fase di installazione.

Inoltre, sempre durante l’installazione, viene richiesto il percorso dei Database SQL del progetto. Sul supporto su cui viene salvato il progetto (SQL, immagini ecc) deve essere riservato abbastanza spazio, visto che vengono salvati in questa sede tutti i futuri di dati di progetto.

Cartella | Windows XP | Windows Vista/7:
Cartella di programma | C:\Programme\COPA-DATA\zenon6xxx | C:\Program Files\COPA-DATA\zenon6xxx
Cartella idi dati programma, per es. simboli globali, anteprima di stampa, file di Log, ecc., | C:\Documents and settings\All Users\Dari di applicazione\COPA-DATA\zenon6xxx | C:\ProgramData\COPA-DATA\zenon6xxx
Cartella banca dati (SQL) | C:\Documents and Settings\All Users\Dati di applicazione\COPA-DATA\SQL | C:\ProgramData\COPA-DATA\SQL
Cartella di sistema | C:\Documents and Settings\All Users\Dati di applicazione\COPA-DATA\System | C:\ProgramData\COPA-DATA\System
Impostazioni Editor e profili | C:\Documents and settings /UserName\Impostazioni locali\Dati di applicazione\COPA-DATA\zenon\Editor | C:\Users\UserName\AppData\Local\COPA-DATA\zenon\Editor
Impostazioni Diagnose Viewer | C:\Documents and settings /UserName\Impostazioni locali\Dati di applicazione\COPA-DATA\zenon\DiagView | C:\Users\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definition cartella Runtime e cartella dati

Cartella runtime:

L'Editor genera i file Runtime nella cartella Runtime, oppure vengono trasmessi per Remote Transport in questa cartella. La cartella Runtime viene indicata al momento della generazione di progetto e può essere modificata in un secondo momento nelle proprietà di progetto. Nella trasmissione remota, la cartella di Runtime viene fissata nelle proprietà del Remote Transport.

Cartella dati:

Il runtime salva tutti i file dati generati nel runtime (come, per esempio, file di allarme, file di allarme ecc) nella cartella dati. Di default, la cartella dati viene impostata come sottocartella della cartella runtime. Essa riceve automaticamente il nome del computer su cui è attivo il Runtime. Si può modificare il luogo dove salvare i file nelle proprietà di progetto (Generale/Cartella di dati).

Interno ID: Struttura file

Cartella di dati

vuoto. Il percorso standard viene usato per il salvataggio di Lista allarmi, Lista eventi cronologica (CEL), dati harddisk, dati archivio ecc. (Percorso progetto\Nome computer\Nome progetto).
Percorso: il percorso indicato in questa sede viene usato per salvare i dati ("Percorso inserito\Nome computer\Nome progetto").
Attezione: se il percorso indicato non esiste (problemi di rete, supporto dati esterno non esistente), non viene più scritto nessun dato dal Runtime. Il che significa: perdita dati del 100%. si può continuare a lavorare con il Runtime, ma lo si deve riavviare. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile.
Consiglio: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Struttura file

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: non ponete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Attenzione: se il percorso indicato non esiste o non è possibile arrivarci, dal Runtime non viene più scritto nessun dato. Il che significa: perdita dati del 100%. È possibile continuare a gestire il Runtime, ma esso deve essere riavviato appena il percorso è di nuovo disponibile. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile .


Port libere

Manuale -> Installazione e update -> Presupposti di sistema -> Port libere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon e zenon Logic hanno bisogno per la comunicazione in rete di determinate porte. Se altri programmi, per esempio già installati Server SQL, occupano queste porte, ciò può creare problemi alla comunicazione di zenon.

Controllate, dunque, se le porte sono occupate:

  1. Inserite nella riga di comando netstat -a -n -o.

    Per passare la riga comandi sotto Windows:

    • tasto Windows+R
    • inserite cmd e confermate con OK
    • si apre una finestra DOS
    • inserite in questa finestra il comando netstat.
  2. Ricevete una lista con tutte le porte TCP/IP e UDP attive.
  3. Controllate la porta di ascolto (stato: ASCOLTO) e verificate se se per le ports necessarie per zenon e zenon Logic il ID di processo (PID) corrisponnde ai processi di zenon e zenon Logic.

    Trovate questi PID nella finestra Processi del Windows Task Managers; attivate a questo scopo nel menu Opzioni/Seleziona colonnela colonna PID.

  4. Nel caso in cui un alto software dovesse utilizzare queste port, modificate la configurazione. In zenon non possono essere modificate le porte.

    In zenon, le porte possono essere definite liberamente.

Occupazione della porta da parte di zenon e zenon Logic

Applicazione | Descrizione | Port
stratonrt[k].exe | zenon Logic Runtime | 1200-1210 (modificabile) 4500-4510 (modificabile) 7000-7010 (modificabile) 9000-9010 (modificabile)
zennetsrv.exe | Servizio di rete | 1100-1100 (fisso)
zensyssrv.exe | Transportservice | 1101-1101 (fisso)
zendbsrv.exe | Servizio di banca dati | 1103-1103 (fisso)
zenAdminsrv.exe | Servizio amministrazione | 50777-50777 (fisso)
zenvnc.exe | Servizio Remote Desktop | 5600-5600 (fisso) 5610-5610 (fisso)
CodeMeter.exe | Servizio Code Meter Dongel | 22350 (modificabile; però non deve essere cambiato).
WkSvW32.exe | Servizio di rete WibuKey | 22347 (fisso)


Percorsi per setup e in funzione

Manuale -> Installazione e update -> Percorsi per setup e in funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Percorsi per zenon:

  • Setup
  • Editor
  • Runtime

Info Informazioni

Potete far sì che vengano visualizzati molti percorsi standard facendo uso del il comando set:

  • avviate la riga di comando (Invio cmd nell´aria di avvio di Windows)
  • inserite il comando set
  • cliccando sul pulsante Invio verranno visualizzate le cartelle standard di Windows e zenon

Indicazione: visto che i percorsi assoluti possono essere diversi a seconda del sistema operativo, in questo capitolo i percorsi sono visualizzati sempre come variabili di ambienteWindows. Per esempio %ProgramData% invece che C:\ProgramData.

Setup

Con il setup, vengono settati percorsi per:

  • Prerequisits
  • zenon Editor
  • zenon SQL-Ordner

Solo i percorsi per l´Editor di zenon e la cartella SQL di zenon possono essere modificati.
Il setup richiede diritti di amministratore; ciò vale anche per la modifica dei percorsi di installazione.

Prerequisits

I percorsi di installazione dei Prerequisits corrispondono ai percorsi standard del produttore corrispondente e non sono modificabile al momento di effettuare il setup.

Quali Prerequisits vengono installati, dipende dal tipo di installazione:

  • zenon Editor
  • zenon Runtime
  • zenon: Webclient
  • zenon Logic Runtime
Prerequisit | Editor | Runtime | Webclient | zenon Logic Runtime
Microsoft .NET Framework 3.5 Sp1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2008 Redistributables | + | + | + | +
Microsoft SQL-Server 2005 Express (fino a 6.51) | + | - | - | -
Microsoft SQL-Server 2008R2 SP1 Express (a partire da 7.00) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (fino a 6.22 SP1) | + | + | - | -
Wibu key Dongle Software 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
DirectX Redistributables (a partire da 7.00) | + | + | - | -
Report Viewer 10.0 (a partire da 7.00) | + | + | + | -

zenon

L´installazione dell´Editor di zenon imposta due percorsi:

  • zenon Editor:
    • Sistemi 32-Bit: %ProgramFiles%\COPA-DATA\zenon [Version]
    • Sistemi 64-Bit: %ProgramFiles(x86)%\COPA-DATA\zenon [Version]

    Questi percorsi possono essere modificati durante l´installazione.

  • zenon SQL-Ordner:
    • fino alla versione 6.51: %ProgramData%\COPA-DATA\SQL\
    • dalla versione 7:00 %ProgramData%\COPA-DATA\SQL2008R2\

    Questi percorsi possono essere modificati manualmente attraverso zenDB.ini.

zenon Editor

Nell´Editor di zenon vengono usati di norma i seguenti percorsi:

Oggetto | Percorso
Postazione di lavoro | %CD_USERDATA% Ad esempio: C:\Users\Public\Documents\zenon_Projects
Progetti | %CD_USERDATA% Ad esempio: C:\Users\Public\Documents\<CD_zenon_Projects Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+D
Cartella SQL del progetto | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+E
project.ini | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Ad esempio: C:\ProgramData\COPA-DATA\System
Backup | %ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP %ProgramData%\COPA-DATA\[SQL-Ordner\UID]\FILES\[Projekte]
File compilati | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\... Indicazione: impostabili nel progetto mediante la proprietà Percorsi. Interno ID: Percorsi per setup e in funzione Percorsi Si aprirà il dialogo di configurazione per i percorsi di progetto. Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""
File di sistema | Cartella di sistema di Windows.

<CD_PRO DUCTNAME>Runtime

Nell´Editor di zenon vengono usati di norma i seguenti percorsi:

Oggetto | Percorso
Progetti | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\...
Archivi esportati, Lista eventi cronologica e lista allarmi | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\Export Indicazione: viene impostato al momento del primo export.
File di sistema | Cartella di sistema di Windows.

zenon Logic

I percorsi per zenon Logic vengono impostati in modo analogo a quelli per zenon.


zenon: installazione standard

Manuale -> Installazione e update -> zenon: installazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon avvia automaticamente la sua routine di installazione e Vi guida nell´effettuazione dell´intero processo di installazione. In alternativa, potete avviare l´installazione anche mediante l´esecuzione del file start.exe nel percorso del Vostro DVD zenon..

selezionate la versione desiderata e provvista di licenza corrispondente:

  • zenon: Supervisor
  • zenon Energy Edition
  • zenon Pharma Edition
  • zenon Operator

Cliccando sul simbolo aprite il corrispondente dialogo di installazione.

Qui trovate delle opzioni per:

  • zenon: ambiente di sviluppo.

    Installa l´ambiente di sviluppo di zenon (Editor e Runtime) sul Vostro sistema.

  • Runtime zenon

    Installa solamente il runtime di zenon su sistemi che non hanno bisogno di un editor.

  • zenon XPembeded:

    Apre un´introduzione per effettuare l´installazione manuale del Runtime sotto Windows XP embedded

  • zenon: Webserver:

    Installa gli attuali Webserver e Webclient di zenon

  • Documentazione:

    Il manuale completo di zenon come documento PDF.

    Potete aprire la guida in linea sul DVD, oppure copiarla sul Vostro computer. Mediante l´uso del pulsante sel.kopieren copiate tutti i documenti che avete selezionato sull´albero del percorso per mezzo della Checkbox. Non potete copiare o aprire dei singoli file tramite multiselect.

  • Tools:

    Qui trovate PDF Reader, driver di altri produttori, programmi XML, HTML Hilfe Workshop e altri tool, per esempio per l´amministrazione di banche dati.

  • Informazioni:

    Vi mostra gli highlights di zenon, le novità della Vostra versione di zenon, la presentazione della ditta COPA-DATA, la rete di distribuzione di COPA-DATA, informazioni su zenon Logic e una visione d´insieme sulle licenze disponibili.

    Indicazione: le informazioni sono disponibili sotto forma di presentazione powerpoint e vengono visualizzate tramite un viewer integrato sul DVD. Al momento in cui il sistema viene avviato per la prima volta, Vi si chiede di accettare le condizioni d´uso. Vi preghiamo di confermare con Ok; in questo momento non viene installato nessun software sul Vostro computer.


Procedere in caso di errore

Manuale -> Installazione e update -> zenon: installazione standard -> Procedere in caso di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso un cui l´installazione non dovesse svolgersi in modo corretto, il sistema Vi avverte con una segnalazione di errore. Per ottenere il supporto del Technische Consulting di COPA-DATA:

  • create un file zip usando il pulsante corrispondente.
  • create, se possibile, un Screenshot della segnalazione di errore.
  • mandate file e screenshot a support@copadata.com

Nel caso in cui abbiate già chiuso la finestra contenente la segnalazione d´errore, trovate i file di Log con le informazioni di installazione.

  • per 7.00:

    Vista/Windows 7: C:\Users\User.COPA-DATA\AppData\Local\Temp

    XP: C:\Documents and settings\Admin\Impostazioni locali\Temp

  • per SQL-Server:

    Vista/Windows 7: C:\Program Files\Microsoft SQL Server\90\Setup Bootstrap\LOG

    XP: C:\Programme\Microsoft SQL Server\90\Setup Bootstrap\LOG

    Un consiglio: Il file Summary.txt Vi fornisce un´indicazione su dove si potrebbe trovare l´errore.

Info Informazioni

Firewalls: nel corso della installazione, zenon configura automaticamente il Soft-Firewall di Windows. I Firewalls di altri produttori devono essere configurati correttamente dall´utente prima dell´installazione.

Errori ricorrenti nel corso della installazione:

  • Lo scanner per i virus è attivo e blocca l´installazione per l´erronea individuazione di errori. Soluzione: scollegare il computer dalla rete, disattivare lo scanner per i virus, eseguire l´installazione.
  • Il Soft-Firewall non è stato configurato correttamente. Soluzione: scollegare il computer dalla rete, disattivare il firewall, eseguire l´installazione.
  • Installazione non corretta di SQL è già presente nel sistema. Soluzione: Creare backup di progetto nel caso sia ancora possibile, disintallare il server SQL, rinominare il percorso SQL, riavviare l´installazione.


Runtime zenon sotto Windows XP Embedded

Manuale -> Installazione e update -> Runtime zenon sotto Windows XP Embedded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento di installare il runtime di zenon su un sistema con Windows XP Embedded, bisogna tenere presenti i limiti di Windows XP Embedded. Bisogna tener presente soprattutto il fatto che non è possibile installare il .NET Framework e, di conseguenza, anche VISTA su Windows XP Embedded, visto che ciò non viene supportato da Microsoft. Spesso, inoltre, non c´è spazio sufficiente sul supporto di salvataggio nella directory C:\ per eseguire un´installazione standard; ma il Microsoft Installer apre i file di setup sempre nella directory C.

L´installazione di zenon, dunque, deve essere eseguia nella forma della cosidetta "installazione amministrativa".

A tal fine, dovete anzitutto creare un percorso con i necessari file di installazione e poi dovete copiarlo su un supporto dati che può essere letto dal sistema di destinazione, per esempio un CD, una chiavetta USB, Flash Drive ecc.

Preparazione per l´installazione amministrativa.

Trovate tutti i programmi necessari sul DVD di zenon:

  • DVD_ROOT\Setup\Setup_RT.exe
  • DVD_ROOT\Additional_Software\Visual C++ 2005 Redistributables\vcredist_x86.exe
  • DVD_ROOT\Additional_Software\Visual C++ 2008 Redistributables\vcredist_x86.exe
  • DVD_ROOT\Additional_Software\Wibu Key Dongle Software x86\WkRt-Int.exe

Per preparare il supporto dati di installazione:

  • eseguite il file di set-up del runtime sulla barra comandi con il parametro /a.

    Il file si trova nel percorso DVD_ROOT\Setup. Avviate la barra comandi sotto Windows con la combinazione di tasti tasto Windows+R.
    Il comando è il seguente: DVD_ROOT\Setup\Setup_DEV.exe /a
    Esempio: G:\Setup\Setup_DEV.exe /a

  • Un assistente Vi guida nel realizzare il setup: avete la possibilità di scegliere una lingua per effettuare il setup. L´inglese è l´unica lingua disponibile per la successiva installazione sotto Windows XP Embedded.
  • Durante l´effettuazione del setup indicate un percorso di destinazione.
  • In questo percorso vengono aperti tutti i file d´installazione necessari per il runtime di zenon.
  • Copiate il percorso generato su un supporto dati che può essere letto dal sistema di destinazione.
  • Copiate anche i file vcredist_x86.exe e WkRt-Int.exe delle corrispondenti cartelle DVD sul supporto dati per l´installazione.
  • Sul sistema di destinazione devono essere disponibili perlomeno 512 MB di memoria libera per il runtime, più 256 MB sulla partizione C‑, più spazio di memoria per i progetti.

Installazione amministrativa su Windows XP Embedded

Installate i file nella successione seguente sul sistema di destinazione.

  1. Microsoft Visual C++ 2005 Redistributables
  2. Microsoft Visual C++ 2008 Redistributables
  3. WIBU-KEY Dongle Software o Code Meter Dongle Software
  4. 7.00 Runtime

Installazione di Microsoft Visual C++ Redistributables

Eseguite il file vcredist_x86.exe del mezzo di installazione generato e seguite le indicazioni dell´assistente. Nel caso in cui Microsoft Visual C++ Redistributables dovesse essere già presente nel sistema, il sistema stesso Vi chiederà se volete riparare oppure cancellare l´installazione esistente.

Installazione del 'WIBU-KEY' Dongle Software

Eseguite il file WkRt-Int.exe del mezzo di installazione generato e seguite le indicazioni dell´assistente.

Indicazione: nel caso di una pura licenza soft, non è necessario effettuare l´installazione del sofware dongle.

Installazione del runtime zenon.

Per installare zenon, aprite sulla barra comandi il file di installazione SCADA_xxx.msi con i parametri corrispondenti per sorgente e destinazione (xxx si riferisce alla versione corrispondente di zenon):

%SOURCEPATH%\SCADA_xxx.msi SETUPEXEDIR="%SOURCEPATH%" LZ ="1" TYPE="RT" /l*v "%TEMP%\scada.log"

Parametri | Descrizione
%SOURCEPATH% | Sorgente per i file di installazione, come per esempio apparato di rete connesso, chiavetta USB ecc.
SETUPEXEDIR | Cartella che contiene il file di installazione, corrisponde a %SOURCEPATH%
l*v | Attiva il loggin della installazione. Importante per la ricerca degli errori dopo un installazione non completata.
%TEMP% | Percorso temporaneo in cui viene scritto il file di log. Questo deve esistere.
LZ= | Attiva tool licenza 0 = senza tool licenza 1 = con tool licenza Se manca questo inserimento, l´installazione viene avviata senza tool licenza.
TYPE= | RT = Runtime Installation ED = Editor Installation (default)

Esempio Esempio

X:\Setup_RT\SCADA_xxx.msi SETUPEXEDIR="X:\Setup_DEV" /l*v "c:\temp\scada.log"

Parametri | Descrizione
X:\Setup_DEV | Percorso di rete con file di installazione.
scada.log | Nome del file di Log
c:\temp | Nome del percorso in cui è salvato il file di Log

Info Informazioni

Nel caso in cui, durante l´installazione, compare una domanda relativa al file cdprotdrv.sys, la trovate sul supporto dati con i file di installazione nello stesso percorso di SCADA_xxx.msi nel percorso \program files\COPA-DATA\zenonxxx\Profinet\DRV. Inoltre questo file è disponibile sul sistema Windows XP Embedded nello stesso percorso \program files\COPA-DATA\zenonxxx\Profinet\DRV.


zenon per Windows CE

Manuale -> Installazione e update -> zenon per Windows CE

La versione PC per Windows CE viene installata automaticamente con il Runtime di zenon.

Componenti

La versione CE di zenon è composta dalle seguenti componenti:

  • Runtime CE zenon
  • Sprach DLLs
  • Rete DLL
  • Driver DLLs
  • zenon6.ini
  • Transportservice

Presupposti per l´installazione del Runtime su sistemi remoti.

  • Le versioni per PC e Windows CE di zenon devono avere lo stesso numero di versione e lo stesso Service Pack. CE deve essere già installato sul PC.
  • Sul terminal CE deve essere installato il Transportservice (SysSrvCE.exe) di zenon oppure esistere una connessione ActiveSync. Istruzioni per l´installazione manuale mediante supporti dati potete trovarle nel capitolo Installazione manuale e update del Runtime.
  • Per consentire un trasporto corretto, il terminale CE al quale devono essere trasmessi i nuovi dati, deve disporre di almeno 8 megabyte di memoria "Program Memory" . Questo parametro può essere adeguato mediante il pannello di controllo. proprietà di sistema.

Procedura

Dettagli sulla compatibilità e sull´update li potete trovare nei capitoli:

  • Versioni CE / Sostegno processore
  • Update del Runtime Windows CE

Info Informazioni

Il runtime per Windows CE viene registrato con il Remote Transport. Quando create la connessione con il sistema destinatario, potete indicare il numero di serie e il numero di licenza per la versione CE. Nell'apparecchio CE, il numero di serie viene salvato nel file zenon6.ini; il numero di attivazione, invece, nella registry.

Info Info

All'avvio di zenonrce.exe, viene eseguito anche il file syssrvce.exe. In tal modo viene garantito che si deve creare sempre una connessione TCP. Si evita un grande numero di tempi morti ed è necessario solamente un file per la funzionalità autostar.


Versioni CE / Sostegno processore

Manuale -> Installazione e update -> zenon per Windows CE -> Versioni CE / Sostegno processore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella versione attuale di zenon 7.00 vengono supportati le seguenti versioni di Windows CE e i seguenti processori:

  • CE 5.00 per x86
  • CE 5.00 per ARMV4/V5
  • CE 06:00:00 per x86
  • CE 06:00:00 per ARMV4/V5

Info Informazioni

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon le trovate nella documentazione relativa, oppure le potete richiedere al support di COPA-DATA.


File di sistema

Manuale -> Installazione e update -> zenon per Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il runtime per Windows CE presuppone l'esistenza di diversi file di sistema. Nel caso in cui manchi uno di questi file, il sistema operativo genera una segnalazione di errore al momento dell'avvio del runtime che avverte l'utente che una o più componenti non sono state trovate. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio del runtime se questo file non è presente.
msvcr90.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio del runtime se questo file non è presente.
atl90.dll | Non è necessario per avviare il runtime, ma per l'utilizzazione di un driver con connessione di rete o quello di zenon in rete. Se questo file non è disponibile, l'apparecchio non può funzionare da client, oppure non funzionano le connessioni driver TCP/IP.
IMGDECMP.dll | Non è necessario per lo start del runtime, ma per la visualizzazione di Trasparenza, se Alpha Blending non è integrato nel sistema operativo. Non è possibile un´animazione di file GIF sotto Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non è necessario per l'avvio del runtime. Questo file è necessario per la PCE (Process Controll Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE; possono essere trasmessi, per esempio, con l´UpdateCE Tool all´apparecchio CE. Tutti questi file di sistema dovrebbero essere integrati dal produttore dei macchinari nell'immagine sistema operativo del pannello.

attenzione Attenzione

Per i produttori di images per Windows CE:
le versioni di CE precedenti alla 6.0 hanno bisogno del file toolhelp.dll. Per assicurare che il file sia disponibile sull´apparecchio CE e che il Toolhelp.h sia disponibiela inSDK, attivate il seguente inserimento nel Platform Manager : Selezionare
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools>, Toolhelp API >. Adesso è disponibile Toolhelp.dll in Image.
Consiglio: Vi consigliamo vivamente di usare sempre il Servicepack più recente di Platform Builder.

Indicazione: Il file toolhelp.dll non è necessario per Windows CE 6 e non deve essere utilizzato con CE 6.


Update del Runtime Windows CE

Manuale -> Installazione e update -> zenon per Windows CE -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per effettuare un update del runtime Windows CE:

  • assicuratevi che il Transport Service (SysSrvCE.exe) di zenon fsull´apparecchio CE.
  • assicuratevi di non aver instaurato una connessione remota con l´apparecchio per mezzo dell´editor di zenon.
  • selezionate in zenon Menu Opzioni il comando Update Windows CE Runtime
  • Si apre il dialogo che serve alla trasmissione di file runtime.
  • Configurate la connessione.
  • Definite i file che devono essere trasmessi.
  • Selezionate la versione.
  • avviate l´update.

Configurare la connessione.

Configurate la connessione all´apparecchio Windows CE alla voce Connection.

Parametri | Descrizione
Seriale | Impostazione per connessione seriale ad apparecchio Windows CE, deve essere selezionata la port.
TCP/IP | Impostazioni per connessione TCP/IP ad apparecchio Windows CE.
Indirizzo | Indirizzo IP.
Nome | Nome.
Syssrvce.exe starts with these settings | Impostazione per Start der syssrvce.exe.
Seriale | attivo: Connessione seriale viene selezionata, deve essere scelta una port.
TCP/IP | attivo: Connessione TCP/IP viene selezionata.
Connection with MS ActiveSync | Impostazioni per connessione via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: syssrvce.exe viene trasmesso al primo transport via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Definire i file da trasmettere

Parametri | Descrizione
Files to update | File che devono essere trasmessi.
HMI Runtime | Attivo: trasmette file di zenon all´apparecchio di destinazione. Default: Attiva
PLC Runtime | Attivo: trasmette file di zenon all´apparecchio di destinazione. Default: inattivo.
OS system files | Attivo: trasmette i file necessari del sistema operativo. Default: Attiva
Update zenon6.ini | trasmette il file zenon6.ini all´apparecchio di destinazione. In tal modo vengono modificate le informazioni concernenti la licenza sull´apparecchio destinatario.
Options |
Language | lingua desiderata sul sistema destinatario. Default: inglese
HMI drivers | selezione dei driver HMI da trasmettere.
Availabel | Lista dei driver a disposizione.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver evidenziati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver scelti.
Remove | Cancella i driver selezionati dalla lista dei driver scelti.
Remove all | Cancella tutti i driver dalla lista dei driver scelti.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Selezionare versione

Selezionate alla voce Versions la versione adatta se essa non viene riconosciuta automaticamente.

Parametri | Descrizione
WinCE version | Versione del sistema operativo Windows CE sull´apparecchio destinatario. Clic sul pulsante apre la lista dropdown che serve alla selezione.
Processor type | Processore dell´apparecchio:
Source path | Percorso per la cartella che contiene i file. Cliccando sul pulsante si apre il dialogo per selezionare la cartella.
New | Aggiunge un nuovo inserimento vuoto nella lista.
Delete | Cancella l´inserimento selezionato dalla lista,
Test | Controlla le impostazioni.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Avvia update:

Per realizzare la connessione:

  • cliccate alla voce Update su Start.

  • vengono controllati i dati necessari alla trasmissione che vengono visualizzati in una finestra.
  • avviate cliccando sulla superficie Next la trasmissione all´apparecchio di destinazione.

Nel caso in cui la trasmissione non potesse essere avviata per la mancanza di file, sarà visualizzata una segnalazione di errore con la lista dei file mancanti:

  • Se doveste ricevere la segnalazione di errore "The current update was not completed", l'operazione di aggiornamento è stata interrotta, oppure eseguita non correttamente.

Info Informazioni

Se zenVNCServer.exe deve essere sostituito con un update, esso viene chiuso per essere poi riavviato dopo l´update. A tal scopo, il file zenVNCSrvCE.exe

deve essere contenuto in UpdateCE.ini nel settore [SOURCES_FILES_GENERAL]folgende Einträge (impostazione di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installazione manuale e update del runtime.

Manuale -> Installazione e update -> zenon per Windows CE -> Installazione manuale e update del runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Installazione e update sono possibili anche senta Trasporto remoto e ActiveSync. Per far ciò, è necessario anzitutto copiare manualmente i file necessari su una scheda di memoria per l´apparecchio CE. E´ dunque necessario che conosciate la versione CE e il tipo di processore dell´apparecchio CE.

I seguenti file devono essere assolutamente copiati dal percorso corrispondente per la piattaforma corretta sulla scheda di memoria che è destinata ad essere utilizzata per l´apparecchio CE.

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnose dll)
  • zenon6.ini (file di configurazione)
  • Cd_tooCE.dll (Hilfsdll)
  • ZenNetSrvCE.dll (rete)
  • Una delle seguenti Sprach dlls: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (La lingua prescelta viene fissata nel file zenon6.ini.)
  • syssrvce.exe (Transportservice e Server di diagnosi)
  • atl90.dll (File di sistema, eventualmente contenuto nel sistema operativo)
  • mfc90u.dll (File di sistema, eventualmente contenuto nel sistema operativo)
  • msvcr90.dll (File di sistema, eventualmente contenuto nel sistema operativo)

Altri file, come ad esempio i driver oppure il software del desktop remoto (zenVNCCfgCE.exe e zenVNCSrvCE.exe) costituiscono un´opzione.


Pocket PCs (PDA - Handheld PC)

Manuale -> Installazione e update -> zenon per Windows CE -> Pocket PCs (PDA - Handheld PC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Pocket PC non vengono più supportati a partire dalla versione 7.


Procedere in caso di errore

Manuale -> Installazione e update -> zenon per Windows CE -> Procedere in caso di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Possibili errori:

Errore | Possibile soluzione
errore di connessione nel corso di update via COM. | Windows Explorer aperto rallenta il tempo di accesso. Chiudendo Explorer si risolve il problema.
Il servizio di trasporto non funziona. | Controllare la versione del servizio di trasporto. Perlomeno: versione 5.21 SP3 oppure con numero di serie più altro, oppure versione 5.50 SP1 oppure di numero superiore.
Il programma di update runtime non riesce a realizzare una connessione. | Chiudere le connessioni aperte dell´editor con il servizio di trasporto CE.


Runtime zenon Logic per Windows CE

Manuale -> Installazione e update -> Runtime zenon Logic per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'installazione del runtime di zenon Logic (runtime PLC) in un sistema Windows CE si svolge in modo simile a quella del Runtime per Windows CE.

Condizione: transportservice funzionante con CE.

Il runtime zenon Logic per Windows CE è costituito dalle seguenti componenti:

  • zenon Logic Runtime
  • Sprach DLL
  • zenon Logic IO driver
  • zenon6.ini

Installazione

  • selezionate in zenon il menu Opzioni / Update Windows CE Runtime.
  • Si apre il dialogo che serve alla trasmissione di file runtime.
  • Attivate nella finestra "File" la Checkbox PLC Runtime, per copiare i file necessari zenon Logic nel percorso di esecuzione CE.
  • Passate alla scheda Connection.

  • Definite la connessione con l´apparecchio CE. Indicate l´indirizzo IP oppure la porta seriale.
  • Se volete che sia trasmesso anche il file zenon6.ini, selezionate il punto Update zenon6.ini. In tal modo vengono modificate le informazioni concernenti la licenza sull´apparecchio destinatario.
  • Selezionate nella finestra CE Runtime versions la versione giusta, nel caso in cui il sistema non dovesse riconoscerla automaticamente.

Update

Funziona come descritto nel capitolo Update Windows CE Runtime .

Attenzione: alla voce "Files" bisogna attivare l´opzione PLC Runtime!

Info Informazioni

Sotto Windows CE 6.0 vengono trasmessi sempre i file MFC.


zenon: Webserver

Manuale -> Installazione e update -> zenon: Webserver

Per installare il zenon Webserveroppure il Webserver Pro:

  1. Attivate i servizi WWW sul computer.

    La cartella C:\inetpub\wwwroot deve esistere.

  2. Mettete il DVD di zenon nel processore; comparirà la schermata iniziale.

    Se avete disattivato Autostart di CD/DVD, dovete eseguire il start.exe sul CD.

  3. Selezionate il Webserver di zenon.
  4. Seguite la routine di installazione.
  5. Riavviate il computer.

I file di setup per il webclient lo trovate dopo l´installazione nella sottodirectory del percorso di installazione del webserver (xxx si riferisce alla versione relativa di zenon), per esempio.: C:/Programme/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
oppure

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Vengono installate anche le Webseiten che servono da esempio (index*.html und init*.html). Esse si trovano nel sottopercorso zenon del percorso di installazione del Webserver, per esempio:
C:/Programmi/zenonWebServer/zenon/index.htm
oppure
C:/Inetpub/wwwroot/zenon/index.html

Info Informazioni

Il servizio per il zenon Webserver viene avviato automaticamente solamente nella versione per la quale si possiede la licenza. Nella modalità demo, il webserver deve essere avviato manualmente mediante la console webserver nelle proprietà di sistema.

Ulteriori informazioni

Trovate informazioni dettagliate concernenti il webserver nella guida in linea, alla voce Web Server e Web Server Pro; per le licenze, invece, nel capitolo Licenze.


zenon: Webclient

Manuale -> Installazione e update -> zenon: Webclient

Il zenon Webclient consiste soprattutto di un ActiveX Control, che visualizza delle informazioni in un browser. Tale visualizzazione avviene come in un normale client. La connessione al Runtime Server avviene tramite il zenon Webserver tramite la comunicazione TCP/IP.

I file di setup per il webclient lo trovate dopo l´installazione nella sottodirectory del percorso di installazione del webserver (xxx si riferisce alla versione relativa di zenon), per esempio.: C:/Programme/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
oppure

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Tutti i setup webclient sono segnati digitalmente e possono essere resi disponibili su Internet per il download. Altri setup webclient li trovate sul CD zenon Webserver, nella cartella Web Client Versions. Per ogni versione sono disponibili anche corrispondenti versioni linguistiche.

Info Info

Il Web Client invia Error e file di log. Il server di diagnosi viene installato al momento dell'installazione del client Web.


Updates (Build Setups), Service Packs eUpgrades

Manuale -> Installazione e update -> Updates (Build Setups), Service Packs eUpgrades

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Update (Build Setup)

Un update viene installato mediante l´installazione esistente e sostituisce solamente i file modificati nella nuova versione. Tutti i progetti e le impostazioni individuali rimangono inalterati. Vi preghiamo di tener presente che la qualità dei Build Setups non è mai sicura al 100%. Vengono testate solamente le soluzioni degli errori contenute. Nel caso in cui dovessero verificarsi a causa di soluzioni errori degli effetti collaterali, non è detto che questi ultimi siano riconoscibili già al momento dell´effettuazione dei test. COPA-DATA, quindi, consiglia di usare sempre Service Packs. Questi ultimi infatti, sono sempre soggetti ad un approfondito test di qualità.

Service Pack

I Service Packs contengono sempre una versione completa di zenon. Ciò significa che non vengono solamente sostituiti dei file, ma che la routine di installazione cancella la versione esistente e ne installa una nuova. Con l´installazione di un Service Pack rimangono inalterati tutti i Vostri progetti e le Vostre impostazioni individuali. I progetti non vengono convertiti al momento dell´installazione nella nuova versione. Solo al momento della prima apertura dell´editor si verifica la conversione del singolo progetto nella nuova versione. Un box di dialogo Vi avverte del verificarsi di tale processo. La versione esistente fino a quel momento viene salvata automaticamente.

Un Service Pack contiene sempre tutte le soluzioni errori di tutti i precedenti Build Setups.

Upgrade

Se volete installare una nuova versione di zenon, avviate la routine di installazione. La nuova versione viene installata parallelamente alla versione già esistente. Tutti i progetti e le impostazioni individuali rimangono inalterati. I progetti non vengono convertiti al momento dell´installazione nella nuova versione. Solo al momento della prima apertura dell´editor si verifica la conversione del singolo progetto nella nuova versione. Un box di dialogo Vi avverte del verificarsi di tale processo. La versione esistente fino a quel momento viene salvata automaticamente. Nel caso in cui vogliate usare solo la versione più attuale, disinstallate la versione precedente facendo uso della routine corrispondente del pannello di controllo Windows.

attenzione Attenzione

Se un updgrade non comporta un cambio del server SQL (per es. update da zenon 6.51 a zenon 8.2), si deve effettuare prima della installazione un backup di tutti i progetti o del workspace. Questo backup viene caricato dopo l´installazione. I dettagli concernenti questo procedimento li trovate anche nella sezione Progetti-Multiuser/Update con cambio del server SQL.

Se, invece, avete intenzione di usare più versioni di zenon parallelamente, potete farlo facendo uso di Startup Tool. Vi facciamo presente che è possibile avviare solamente una versione alla volta. Quale sia la versione da avviare, lo stabilite in Startup Tool, che realizza tutte le impostazioni necessarie automaticamente. I dettagli relativi li potete trovare nel capitolo Startup Tool.

Info Informazioni

Le nuove versioni (Service Pack, Upgrade) comportano sempre dei cambiamenti strutturali. Al momento dell´installazione, i progetti e le impostazioni rimangono inalterate. Al momento della prima apertura nell´editor, i progetti vengono convertiti nella nuova versione, e, contemporaneamente, viene realizzata una copia di sicurezza della vecchia versione.

I progetti convertiti non possono più essere modificati nelle versioni precedenti. A partire dalla versione 6.2, l´editor può generare dei progetti per diverse versioni del runtime.

Delle importanti indicazioni concernenti la conversione di progetti le trovate nel testo di revisione. Esso viene fornito con il Service Pack/Update sul DVD di installazione e si trova nel settore Informazione ed è a Vostra disposizione anche online.

Progetti multiuser

Per garantire il passaggio ad una nuova versione di zenon in progetti multiuser senza avere una perdita di dati:

  1. su tutti i client settare tutti gli elementi non settati -> Applica modifiche.
    Non ci deve essere niente che non sia settato. Ciò vale per tutti i progetti.
  2. Installare sul computer server la nuova versione di zenon.
  3. Tutti i progetti server devono essere convertiti nella nuova versione: A tal scopo, caricare tutti i progetti nell´Editor del computer che funge da server.
  4. La nuova versione di zenon deve essere installata sui computer che fungono da client.
  5. Caricare i progetti sui client e di nuovo fare check out.

Update con cambio del server SQL

Se un upgrade comporta il cambio del server SQL Servers (per es. upgrade da zenon 6.51 a zenon 8.2), sono necessari ulteriori passi. Questi passi vengono eseguiti:

  • dopo che si è effettuato il check in di tutti i progetti
  • prima di installare la nuova versione

Procedura nel caso di cambio del server SQL:

  1. check in su tutti i client di tutti gli elementi non settati -> Applica modifiche.
  2. aprite sul server multiuser l´Editor nella versione iniziale
  3. create dei backup di tutti i progetti che volete modificare o aprire con la nuova versione.
    • o nella forma di backup di progetto singoli
    • oppure come backup di una completa postazione di lavoro
  4. installate la nuova versione sul server
  5. convertite tutti i progetti server nella nuova versione caricando i backup di progetto prima generati nell´Editor.
  6. installate l´update su ogni client
  7. trasferite i progetti del server multiuser ai client
    (tente presente il nuovo nome dell´istanza SQL)
  8. i progetti sono convertiti, sincronizzati e pronti ad essere utilizzati

Attenzione: assicuratevi che le impostazioni del firewall consentano lo scambio dati dal server multiuser ai clienti e viceversa.


FAQ

Manuale -> Installazione e update -> FAQ

Durante l´installazione si verificano degli errori soprattutto se la sostituzione o la creazione di file vengono impedite a causa di uno scanner virus, oppure processi di installazione già in corso. Di seguito trovate un elenco delle cause più frequenti di errore durante il processo di installazione e la risoluzione dei problemi.

zenon

Problema

Soluzione

L´installazione viene interrotta.

Tipica segnalazione di errore: Error 1304. Error writing to file...

Disattivate lo scanner per i virus e chiudete programmi non necessari al momento.

Rollback secondo OPCenum.exe - errore.

Potrebbe essere che parti già esistenti del server OPC non possano essere sovrascritte.

  • Cancellate i seguenti file:
    - C:\Windows\System32\OPC*.dll
    - C:\Windows\System32\OPCenum.exe
  • Cancellate la cartella:
    C:\Programme\Gemeinsame Dateien\OPC Foundation
  • Cancellate tutte gli inserimenti Registry che contengono opcenum.

Dei progetti demo sono stati installati, ma non vengono visualizzati. Non possono essere creati nuovi progetti.

Controllate il nome computer. Esso:

  • può avere la lunghezza massima di 15 caratteri
  • deve corrispondere alle convenzioni del nome computer NetBIOS

Messaggio di errore: non è stato possibile avviare un servizio.

  • riavviate il computer.
  • riavviate poi il setup di zenon

SQL Server 2008

Problema

Soluzione

Il zenDBSrv non è in grado di realizzare una connessione con la banca dati.

Possibili cause:

  • l´instanza del SQL Server non è corretta o non funziona.
  • Gli inserimenti nel zenDB.ini non sono corretti.
  • Password sbagliata.
  • zenDBCli.dll oppure zenDBSrv non sono stati registrati in modo corretto.

Inserimento Log:

Invalid Connection Configuration: No SQL Server Instance!

Nello zenDB.ini non c´è nessuna istanza SQL Server configurata per la connessione con la banca dati. Senza tale istanza, il zenDBSrv non riesce a connettersi e si chiuderà da solo.

SQL Server 2005

Problema

Soluzione

Non è possibilie installare il SQL Server.

Con il server SQL vengono installate anche le seguenti componenti:

  • Microsoft SQL Server 2005
  • Microsoft SQL Server Native Client
  • Microsoft SQL Server VSS Writer
  • Microsoft SQL Server Setup Suport Files (English)
  • MSXML 6.0 Parser

Se una di queste componenti è già esistente perché già installata, l´installazione può fallire.

Controllate se delle componenti che devono essere installate sono già esistenti, e, se sì, desinstallatele.

Anche il file di Log del server SQL può dare indicazioni per rintracciare cause di errore: Le trovate nella forma di summary.txt nella cartella C:\Programmi\Microsoft SQL Server\90\Setup Bootstrap\LOG.

Segnalazione di errore:
The sa password must meet SQL Server password policy requirements. For strong password guidelines, see Authentication Mode, in SQL Server Books Online.

Disattivate il HP ProtectTool Credential Manager.

Messaggio di errore
l´installazione del Microsoft SQL-Servers 2005 Express Edition + .Net Framework 2.0 è fallita. Il setup viene interrotto.

Controllate i requisiti del server SQL.

  • Memoria:
  • Processore

WebClient 6.22
IPA non trova i file XSL.

Create i seguenti inserimenti mancanti nella registry:

HKLM\SOFTWARE\COPA-DATA\DataDir

  • UserData
  • System
  • ProgramData_6220
  • ProgramDir_6220

Indicazione: risolto a partire dalla versione 6.22 SP1

Non è possibilie installare il SQL Server.

Nel caso in cui sia stato desinstallato zenon, un nuovo tentativo di installazione potrebbe fallire se nella precedente desinstallazione sono rimaste delle cartelle.

Soluzione: cancellate o rinominate le sottocartelle

  • Data
  • Template Data

nella cartella %program files%\Microsoft SQL Server\MSSQL.x\MSSQL.

SQL Server 2005 su computer Toshiba

Problema

Soluzione

nel file di Log SQL (per es. SQLSetup0006_AUTOTRONIC031_SQL.log), che viene creato durante l´installazione, si trovano i seguenti messaggi di errore:

  • Error Code: 1067
    MSI (s) (48!3C) [09:25:30:515]: Product: Microsoft SQL Server 2005 Express Edition --
  • Error 29503. The SQL Server service failed to start. For more information, see the SQL Server Books Online topics, "How to: View SQL Server 2005 Setup Log Files" and "Starting SQL Server Manually."
    The error is (1067) The process terminated unexpectedly.
  • Error 29503. The SQL Server service failed to start. For more information, see the SQL Server Books Online topics, "How to: View SQL Server 2005 Setup Log Files" and "Starting SQL Server Manually."
    The error is (1067) The process terminated unexpectedly.

La causa di questo errore è per lo più una chiave mancante nella Windows Registry.
In questo caso:

  • desinstallate tutti i software rilevanti per SQL, come
    Microsoft SQL Server 2005, Microsoft SQL Server Native Client, Microsoft SQL Server Setup Support Files, Microsoft SQL Server Server VSS Writer, ...
  • aprite regedit
  • portatevi alla chiave:
    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Servi ces\Tcpip\Parameters
  • cliccate poi con il tasto destro del mouse su Parameters
  • selezionateNuova -> Successione caratteri
  • digitate Domain come nuovo valore
  • pigiate il tasto Invio e chiudete Regedit
  • eseguite la installazione separata del SQL Servers 2005 su zenon DVD -> Additional_Software\SQL Server 2005 Express Edition
  • eseguite a questo scopo il file Install.bat
  • dopo aver installatoSQL Server 2005, installate di nuovo zenon


Supporto tecnico

Manuale -> Installazione e update -> Supporto tecnico

Basic Support

Nel caso in cui abbiate bisogno di supporto nella fase di installazione, i nostri collaboratori del Technischen Consulting sono a Vostra disposizione.

Glu utenti con Basic-Support possono contattare la Hotline all´indirizzo E-Mail support@copadata.com.

Advanced e Premium Support

Se disponete di un contratto di manutenzione Advanced o Premium, usate il numero di telefono o l´indirizzo E-Mail indicati nel contratto stesso. Nel caso in cui, invece, vogliate passare da un contratto gratuito Basic al tipo Advanced o Premium, rivolgetevi ai nostri collaboratori del reparto distribuzione (sales@copadata.com).


Interblocchi

Manuale -> Interblocchi

Gli interblocchi consentono di gestire l’accesso a determinati oggetti di zenon durante il Runtime (Runtime) con il supporto di variabili. Sbloccare o bloccare impostazioni d'uso in dipendenza di variabili. Attivare o disattivare impostazioni d'uso in dipendenza di stati del processo.

Nel progetto è possibile inserire e utilizzare quanti interlbocchi si desideri. Per ogni tipo di interblocco è possibile definire parallelamente diverse condizioni di interblocco.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Oggetti interbloccabili

Tutti gli Elementi dinamici fatta eccezione per l´elemento trend e l´elemento di segnalazione.

menu contestuale - manager di progetto

Parametri | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo cher serve alla selezione delle variabili.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Info Informazioni

Le variabili per il blocco possono essere sostituite. I dettagli su questo argomento li trovate nel capitolo Sostituzione di variabili e funzioni in elementi dinamici.

Esempio Esempio

Una macchina funziona in modo completamente automatico e non può, dunque, essere commutata per la gestione manuale. La commutazione è possibile solo nel momento in cui un certo stato viene raggiunto (ad esempio STOP). Mediante l'interblocco è possibile bloccare nell'interfaccia di visualizzazione il bottone di commutazione manuale/automatico finché non sia raggiunto il suddetto stato (per es. STOP). In tal mdo si può evitare che si verifichi un errore di utilizzo del macchinario.


Menu contestuale e Barra simboli Visualizzazione dettagliata

Manuale -> Interblocchi -> Menu contestuale e Barra simboli Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli

Simbolo | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo che serve alla selezione delle variabili.
Nuova condizione blocco | Crea una nuova condizione blocco.
Inserisci Variabile | Apre il dialogo cher serve alla scelta di una variabile.
Copiare | Copia la condizione selezionata.
Incolla | Inserisce una condizione proveniente dagli appunti
Elimina | Cancella la condizione selezionata.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Rinominare | Permette di rinominare un elemento. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menu contestuale Blocchi

Punto di menu | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo cher serve alla selezione delle variabili.
Incolla | Inserisce i blocchi copiati provenienti dagli appunti
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Guida | Attiva la guida online

Menu contestuale Blocco singolo

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di una variabile.
Nuova condizione blocco | Crea una nuova condizione blocco.
Copiare | Copia il blocco selezionato.
Incolla | Inserisce un blocco proveniente dagli appunti
Elimina | Cancella il blocco selezionato.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Rinominare | Permette di rinominare un elemento. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menu contestuale Gruppi variabili

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo cher serve alla scelta di una variabile.
Incolla | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online

Menu contestuale Variabile singola

Punto di menu | Azione
Elementi collegati | Apre la lista a cascata con gli elementi collegati.
Copiare | Copia la variabile selezionata.
Incolla | Inserisce la variabile proveniente dagli appunti
Elimina | Cancella la variabile selezionata.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menu contestuale Condizioni di blocco

Punto di menu | Azione
Nuova condizione blocco | Crea una nuova condizione blocco.
Incolla | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Interblocchi -> Progettazione nell'editor


Eseguire gli interblocchi

Manuale -> Interblocchi -> Progettazione nell'editor -> Eseguire gli interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando Interblocchi nel Manager di progetto, si aprono nella Finestra dettagli del manager di progetto tutti gli interblocchi creati nel progetto. Cliccando con il tasto destro del mouse su Interblocchi generali viene visualizzato un menu a Popup nel quale è possibile creare un nuovo interblocco.

Si può cambiare il nome del nuovo interblocco usando la Finestra di proprietà. Cliccando con il tasto destro del mouse su Variabili viene di nuovo visualizzato un menu a Popup. In tal modo si possono collegare all'interblocco in questione una o più variabili.

Si può fassociare all'interblocco una determinata condizione. A questo scopo bisogna anzitutto definire nella Finestra di proprietà una o più condizioni. Per ogni condizione, poi, può essere inserita una formula nella finestra di proprietà alla voce Collegamento logico.

Info Informazioni

Un elemento della interfaccia di visualizzazione è bloccato se la condizione di bloccaggio è soddisfatta (quindi si verifica il risultato 1 - VERO).

Blocca: Nel caso in cui si siano associate ad un interblocco più condizioni, è sufficiente che una condizione sia soddisfatta per bloccare l'elemento!

Con l'editor per le formule, che si apre cliccando sulla proprietà "collegamento logico" nella Finestra di proprietà, è possibile definire formule booleane ed analogiche da usare come condizioni di blocco. L'editor per le formule consente di creare delle espressioni booleane mediante l'aiuto delle variabili collegate e degli operatori logici e a bit, ma anche degli operatori a confronto. Vedi anche il capitolo "Immagini / Operatori a confronto".

Info Informazioni

Sblocca: ne caso in cui il blocco dipenda da diverse condizioni, ognuna di esse deve venire sbloccata.

vedi anche Vedi per ulteriori informazioni

Potete trovare delle informazioni più dettagliate sull'editor per le formule nel capitolo Editor per le formule.


Editor delle formule

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´editor delle formule supporta nella creazione di formule con operatori logici o di comparazione con l´elemento combinato, con gli interblocchi e i comandi. Se avete bisogno per la formula di ulteriori variabili, createle nell´area Variabili formula della finestra degli stati cliccando sul pulsante Aggiungi. Le formule esistenti vengono visualizzate nella lista degli stati mediante la lettera F .

Creare la formula

Cliccate nella finestra degli stati sul pulsante Formula. Si apre l´editor delle formule.

Nella finestra di sinistra, selezionate i bit per la Vostra formula.

A destra trovate gli operatori per operazioni logiche e di confronto.

Nel settore Formula viene visualizzata la formula impostata.

Info Informazioni

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99. La lunghezza della formula non deve superare i 4096 caratteri.

Il significato dei bit:

Parametri

Descrizione

Bit-valore

Sono a disposizione 32 bit di valore (da 0 a 31). Descrivete il valore variabile in bit. Per variabili BOOL ha significato solo il bit 0, per SINT e UNSINT i bit 0-7 ecc...

Indicazione: Vi preghiamo di tenere presente che la valutazione si riferisce sempre al valore Raw della variabile (risoluzione segnale) e non al valore di misurazione.

Bit di stato

Mette a disposizione i bit di stato più comuni. La definizione esatta e l´uso dei bit di stato, li trovate nella Lista Bit di stato.

- non ripristinato

Non ripristinato viene considerato come un normale bit di stato; ma in questa sede lo si tratta separatamente perché non appartiene ai classici stati delle variabili.

Valore e stato

Tutti i valori (bit di valore e bit di stato) nelle formule vengono presi in considerazione come valori binari e possono poi essere collegati logicamente con UND oppure ODER, nonché mediante espressioni logiche.
un´eccezione è costituita dal valore complessivo e dallo stato complessivo. Per giungere ad un'espressione booleana, è anzitutto necessario collegare con un'operazione OR questo valore generale con una constante a bit . A questo scopo si usa l'operatore &.
Con un risultato 0 (False) del collegamento con operazione OR a bit, si ottiene il valore binario 0 (False), altrimenti 1 (True).

Esempio: vedi capitolo Esempio collegamento OR a bit

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.

Se oltre alla formula ci sono altre impostazioni per lo stato attuale, queste vengono collegate con un AND logico.

Per esempi vedi la sezione Esempi di formule.

Info Informazioni

Formule con valori X binari e collegamento bit possono essere usati con al massimo 2 valori binari. Se si ha bisogno di più valori, il collegamento deve avvenire senza valori binari X.

Esempio:

X01.Value & X02.Value -> funziona

X01.Value & X02.Value & X03.Value ->non funziona

Ma:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> funziona


Lista bit di stato

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Operatori logici

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Collegamenti logici: Le variabili vengono controllate solo sulla base del valore logico '0'; nel caso in cui il valore non sia pari a '0', viene definito con '1'-

A differenza del Bitformel (??) l'area tecnica può essere modificata di un fattore di estensione -> diverso da 0 o 1.

Operatore | Significato
AND | 'AND' logico
NOT | Negazione
OR | 'OR' logico
XOR | 'ESCLUSIVO OR' logico

Gli operatori hanno le seguenti priorità nel calcolo della formula:

Priorità | Operatore
1 | & (operatore per Formula bit)
2 | NOT
3 | AND
4 | XOR/OR

Info Info

Possono essere collegate solo fino a 99 variabili in una formula. Da X01 fino a X99.

Info Info

I bit di stato NORM e N_NORMsono disponibili solo in questa sede, nell'Editor delle formule, e non sono configurabili mediante lo stato.


Formule bit

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Formule bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le formule bit possiedono solamente uno stato logico low e high. A differenza di quanto accade per le formule logiche, il valore raw è predefinito (0,1).

Operatore | Descrizione
& | AND
| | OR


Esempio: collegamento ad "o"

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Formule bit -> Esempio: collegamento ad "o"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Volete sapere se è settato uno stato user bits 1-8 (M1 ... M8) della variabile X01.

Formula normale:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
Questa richiesta può essere facilitata di molto attraverso il collegamento ad "o" a bit dello stato generale.

Collegamento a "o"

X01.Status & 0xFF

La costante può essere indicata in forma esadecimale, come descritto sopra.

0xFF corrisponde al valore decimale 256; sono i primi 8 bit di stato (binario 11111111). Se uno di questi bit è a 1, il risultato del collegamento con operazione OR a bit è 1 (True), altrimenti 0 0 (False).

Se si vuole richiedere, ad esempio, tutti gli stati bit user fatta eccezione per lo status bit user M7, l'espressione binaria corrispondente sarebbe: 10111111. Bit 7 non è interessante, per questo è settato su 0. Ciò corrisponde a 0xBF esadecimale. L'espressione per la formula sarebbe allora: X01.Status & 0xBF.

Invece di collegare con operazione OR a bit con una costante, si può anche confrontare direttamente il valore con un numero decimale. Se il confronto dà un esito sbagliato, ne deriva il valore binario 0 (False), altrimenti 1 (True).

Beispiel:

Volete interrogare se un valore corrisponde alla costante 202. La formula è la seguente: La formula corrispondente è la seguente:

X01.Wert = 202

Se il valore corrisponde alla costante 202, il risultato di questo confronto è 1 (True), altrimenti 0 (False).

Indicazione: il collegamento O in bit funziona con il segno O (|) in modo analogo al questo esempio.


Operatori a confronto

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Operatori a confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli operatori a confronto servono al confronto diretto di due valori numerici. Il risultato di questo confronto viene espresso in forma di uno stato binario. „0“ se la condizione non è soddisfatta e „1“ se invece lo è

Operatore | Descrizione
< | Minore:
> | Maggiore:
<= | ninore uguale
>= | maggiore uguale
= | è uguale
<> | diseguale

A sinistra e a destra di un operatore a confronto deve stare un valore (generale) o uno stato (generale); bit singoli non possono essere utilizzati con questi operatori a confronto.

A destra dell'operatore a confronto ci può essere anche una costante. (le costanti possono essere solo numeri interi; un confronto con numeri con cifre decimali non è possibile)
Nell´elemento combinato queste costanti vengono inserite come valori esadecimali o valori decimali. I numeri esadecimali vengono trasformati automaticamente in numeri decimali cliccando su OK (per es. 0x64 corrisponde al valore numerico 100).

Esempio Esempio

X01.valore >= X02.valore
Il risultato è „1“ se il valore di X01 è più grande o uguale al valore X02

X01.valore = 0x64
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico100 (= Hex 0x64)

(X01.Wert = 0x64) OR (X01.Wert = 0x65)
Il risultato è „1“ se il valore di X01 corrisponde esattamente al valore numerico 100 o 101 (= Hex 0x64 und Hex 0x65)


Esempi di formule

Manuale -> Interblocchi -> Progettazione nell'editor -> Editor delle formule -> Esempi di formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Semplice collegamento AND fra due valori bit.

Esempio Esempio

Formula: X01.03 AND X02.03

Questa formula dà come risultato “VERO” quando il Bit 3 della variabile 1e il Bit 3 della variabile 2 hanno entrambi il valore 1.

Confronta il valore o lo stato di una variabile analogicamente

Esempio Esempio

(X01.Wert> X02.Wert)

Confronta fra di loro comparazioni analogiche su base logica.

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert)

Confronti di bit valore e bit di stato

Esempio Esempio

(X01.Wert> X02.Wert) AND (X01.Wert = X02.Wert) OR (X01.03 = X02.03)

Confronta un valore con uno decimale o esadecimale.

Esempio Esempio

Formula: (X01.Wert = 111)

Formula: (X01.Wert = 0x6F)

Se si usa un valore esadecimale, esso viene trasformato più tardi nella modalità di scrittura decimale cliccando su OK. Se si è indicato e confermato un valore decimale, alla riapertura del valore esso continua ad essere visualizzato in forma decimale.

Info Info

Non è possibile nell'indicazione di numeri usare una virgola o un punto.


Gestione durante il runtime

Manuale -> Interblocchi -> Gestione durante il runtime


Utilizzo interblocchi

Manuale -> Interblocchi -> Gestione durante il runtime -> Utilizzo interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando un interblocco viene associato ad uno degli Elementi dinamici, quest'ultimo viene bloccato o riattivato a seconda del risultato del collegamento logico nelle condizioni impostate per l'interblocco stesso. Se la condizione è soddisfatta (il risultato logico è 1), l'elemento è bloccato.

L’elemento dinamico, che deve essere bloccato, deve essere selezionato. Nella Finestra di proprietà, selezionare alla voce Runtime/ Autorizzazione/ Interblocco uno degli interblocchi generali creati nel progetto.

Info Informazioni

Per poter vedere durante il Runtime se un elemento è bloccato, è possibile abilitare nelle proprietà del progetto la visualizzazione di un simbolo di blocco per gli oggetti bloccati usando l'opzione Login / Visualizza simbolo di serratura Descrizione grafica attiva.

Interno ID: Utilizzo interblocchi

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Inoltre è possibile determinare l´aspetto di un pulsante bloccato anche mediante la proprietà Pulsanti bloccati (Aspetto grafico) oppure Tasti bloccati (Gestione utenti).

Interno ID: Utilizzo interblocchi

Tasti bloccati

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Interno ID: Utilizzo interblocchi

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Utilizzo interblocchi

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Questa proprietà agisce indipendentemente dalla proprietà Descrizione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Keyblock Runtime Start

Manuale -> Keyblock Runtime Start

Keyblock Runtime Start è un programma con il quale non si può solo avviare il Runtime di zenon, ma con il quale si possono bloccare tutti i tasti di sistema di Windows. Le combinazioni di tasti, come ad esempio tasto Windows oppure Ctrl+Alt+Canc, non hanno più alcuna funzione.

Questa funzione è necessaria se il Runtime di zenon deve funzionare come "Shell". Gli utenti non possono più accedere al sistema operativo, ma possono lavorare solo nella superficie di zenon.
Il presupposto è settare la proprietà di progetto Tipo di finestra del Runtime a Nessun titolo (schermo completo). In questo caso zenon lavora a modalità a schermo intero e il Runtime non può essere minimizzato.

Interno ID: Keyblock Runtime Start

Tipo di finestra del Runtime

Visualizzazione della finestra principale del Runtime.

Nessun titolo: mostra superficie completa senza visualizzazione della barra titoli.

Titolo con pulsanti 'Ingrandisci' e 'RIduci a icona': si può modificare la grandezza della finestra e spostarla. Non è possibile chiudere (neanche usando il menu contestuale, la taskbar o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo con pulsanti di sistema, 'Riduci a icona' e 'Ingrandisci': si può modificare la grandezza della finestra e spostarla; inoltre la si può chiudere cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo con menu di sistema: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo senza pulsante: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Default: Nessun titolo:

Attenzione: Se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente effettuare un aggiornamento del progetto, visto che, per riprendere le impostazioni concernenti la finestra principale, il Runtime deve essere chiuso e riaperto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Uso

Manuale -> Keyblock Runtime Start -> Uso

Per usare Keyblock Runtime Start:

  1. aprite nella cartella start di Windows, precisamente alla voce COPA-DATA, i zenon Tools
  2. selezionate Keyblock Runtime Start
  3. il programma si avvia e lancia automaticamente il Runtime
  4. il programma blocca tutti gli accessi sul sistema operativo:
    • combinazioni di tasti bloccate:

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Tasto Windows
      Con il blocco dei tasti di sistema viene bloccata anche la gestione normale con il mouse delle barre di scorrimento durante il runtime. Questo blocco può essere aggirato per mezzo del menu contestuale.

    • Nascondi il pannello di controllo nel menu start
    • Blocco della barra task per la gestione
    • Impedire

      modifica di password

      chiusura di Windows

      Logout

      bloccare calcolatore

      cambiare utente

    • nascondere tutti gli elementi nel taskmanager

Info Informazioni

Se Keyblock Runtime Start viene avviato con il meccanismo autostart del sistema operativo:

  • bisogna tener presente il fatto che il percorso autostart è specifico per l´utente: se un altro utente effettua il Login, il programma non viene eseguito.
  • premendo il tasto SHIFT al momento dell´avvio del sistema operativo si può evitare l´elaborazione dei programmi autostart.

Non è possibile aggirare questo blocco durante il runtime. Quando si termina il runtime in modo normale, anche le restrizioni di sistema sono eliminate. Nel caso in cui si desideri che il runtime funzioni senza queste restrizioni, deve essere iniziato il runtime invece che Keyblock Runtime Start.

attenzione Attenzione

Fatte attenzione che nel progetto sia configurata una possibilità di chiudere il runtime Non esiste la possibilità di terminare regolarmente il Runtime:

  • esso può essere chiuso solamente spegnendo il calcolatore.
  • anche dopo il riavvio rimangono bloccati tutti i tasti di sistema

Per rendere di nuovo disponibili i tasti di sistema anche dopo una chiusura non regolare (per esempio per mancanza improvvisa di energia elettrica):

  • riavviate il Runtime facendo uso di Keyblock Runtime Start
  • chiudete il Runtime in modo regolare facendo uso di un pulsante "chiudi".


Proteggi file runtime

Manuale -> Keyblock Runtime Start -> Proteggi file runtime

L´accesso ai file Runtime può essere limitato in modo notevole e, in tal modo, si può creare un meccanismo di protezione dei file stessi. Si può permettere l´accesso di lettura e scrittura alla cartella Runtime a un solo utente Windows. Tutti gli altri utenti Windows non hanno nessun tipo di diritto nell´ambito della cartella Runtime, neanche diritti di sola lettura. Gli utenti effettuano il login durante il Runtime come user di zenon.

Um den Zugang zum Dateisystem zu beschränken:

  1. Erstellen Sie nur einen einzigen Windows-Benutzer (zum Beispiel: zenon_ADMIN), der zenon starten darf sowie Lese- und Schreibrechte im zenon Runtime-Ordner hat.
  2. Unterbinden Sie für alle anderen Windows-Benutzer den Zugriff auf den zenon Runtime-Ordner - inklusive Leserechte!
  3. Unterbinden Sie jeglichen Remote-Zugriff auf den Benutzer zenon_ADMIN.
  4. Sperren Sie jegliche Software für Fernwartung oder Remote-Zugang wie zenon Remote Desktop.
  5. Stellen Sie sicher, dass zenon nur gestartet werden kann, wenn dieser Benutzer (zenon_ADMIN) eingeloggt ist.
    Da andere Windows-Benutzer keine Leserechte haben, startet die Runtime nur im Kontext dieses Benutzers (zenon_ADMIN).
  6. Stellen Sie sicher, dass zenon als Shell läuft:
    1. erstellen Sie dazu einen zenon Autostart mit Keyblock Runtime Start
    2. aktivieren Sie die Eigenschaft Pulsanti di sistema bloccati in der Gruppe Impostazioni Runtime der Projekteigenschaften

      Interno ID: Proteggi file runtime

      Impostazioni Runtime

      Proprietà di Runtime del progetto.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Proteggi file runtime

      Pulsanti di sistema bloccati

      Attiva: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
      Non attiva: tasti di sistema non vengono bloccati.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Indicazione: possono essere bloccati altri tasti di sistema durante il runtime tramite Keyblock Runtime Start.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    3. starten Sie zenon im Vollbildmodus: Eigenschaft Tipo di finestra del Runtime auf Kein Titel setzen

      Interno ID: Proteggi file runtime

      Tipo di finestra del Runtime

      Visualizzazione della finestra principale del Runtime.

      Nessun titolo: mostra superficie completa senza visualizzazione della barra titoli.

      Titolo con pulsanti 'Ingrandisci' e 'RIduci a icona': si può modificare la grandezza della finestra e spostarla. Non è possibile chiudere (neanche usando il menu contestuale, la taskbar o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

      Titolo con pulsanti di sistema, 'Riduci a icona' e 'Ingrandisci': si può modificare la grandezza della finestra e spostarla; inoltre la si può chiudere cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

      Titolo con menu di sistema: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

      Titolo senza pulsante: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

      Default: Nessun titolo:

      Attenzione: Se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente effettuare un aggiornamento del progetto, visto che, per riprendere le impostazioni concernenti la finestra principale, il Runtime deve essere chiuso e riaperto.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    4. beachten Sie bei der Konfiguration auch Mehrmonitor-Systeme
    5. unterbinden Sie den Explorer-Start
    6. bieten Sie keine Dateiauswahldialoge an
      (in diesem Fall dürfen keine Funktionen, die vom Benutzer zur Runtime Dateiauswahl verlangen, projektiert werden)

Damit ist der Zugang zum zenon Dateisystem geschützt.


Keyboard

Manuale -> Keyboard

In zenon le Keyboard servono da tastiere virtuali, che permettono di effettuare durante il runtime degli inserimenti in apparecchi senza una tastiera hardware. Le Keyboard vengono impostate e configurate mediante un´immagine del tipo Keyboard. zenon mette a disposizione dei suoi utenti delle Keyboard generate automaticamente e altre impostabili dagli utenti stessi.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Keyboard automatica

Keyboard automatiche vengono generate e aperte automaticamente dal sistema, ad esempio, nel caso di settaggio di valori impostabili. Non possono essere modificate dall´utente. Le Keyboard progettate individualmente dall´utente possono essere configurate liberamente.

Ogni elemento dinamico e ogni valore nel manager gruppi ricette è connesso automaticamente ad una keyboard automatica.

Barra task nel runtime

Nel caso in cui una keyboard venga aperta nel runtime, essa rimane aperta anche se il runtime viene ridotto ad icona. Nella barra dei task del sistema di controllo viene visualizzata una lista dropdown per la keyboard.

attenzione Attenzione

Le immagini del tipo Keyboard adattate individualmente possono in alcuni casi non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica delle nuove finestre in background senza dargli il focus. Le immagini keyboard adattate individualmente, però, vengono chiuse non appena perdono il focus.

Soluzione: usate un altro browser, come, ad esempio, Microsoft Internet Explorer, Apple Safari oppure Google Chrome.

La cosa non riguarda le keyboard automatiche!

Tastiere hardware e keyboard virtuali in funzionamento combinato

Le keyboard virtuali si comportano nel sistema operativo come delle tastiere hardware. Se delle keyboard virtuali vengono usate insieme a delle tastiere hardware, esse si influenzano reciprocamente. Le impostazioni riguardanti la tastiera hardware, si ripercuotono sulla keyboard virtuale e viceversa.

Esempi:

  • nel caso in cui si stabilisca che sulla tastiera hardware il tasto caps lock viene premuto per il tasto shift, ciò vale anche per la keyboard virtuale. In questo caso, l´inserimento di cifre viene disattivato anche sulla keyboard automatica.
  • Se si preme sulla tastiera hardware il tasto Num per disattivare il blocco cifre, questo non funzionerà neanche sulla keyboard virtuale.


Crea un'immagine del tipo Keybord

Manuale -> Keyboard -> Crea un'immagine del tipo Keybord

Per creare un tipo di immagine keyboard:

  1. selezionate nel menu contestuale alla voce Immagini del Manager di progetto il comando "Nuova immagine".
  2. Selezionate nella visualizzazione dettagli della nuova immagine nella lista dropdown il tipo di immagine Keyboard.
  3. Selezionate nelle proprietà del gruppo Generale come Nome una Keybord predefinita, oppure attribuite un nome a piacere:

    Interno ID: Crea un'immagine del tipo Keybord

    Nome

    Nome univoco dell'immagine.
    Default: Picture x (x è un numero progressivo).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Crea un'immagine del tipo Keybord

    Generale

    Proprietà generali dell´immagine.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Attenzione: le immagini keyboard con nome riservato hanno la precedenza nei confronti di quelle con nomi definiti autonomamente.

  4. Aggiungete gli elementi della tastiera desiderati facendo uso del menu Elementi di controllo.
  5. Un consiglio: nel caso in cui un´immagine del tipo Keyboard viene aperta invece che Dialogo modale su tutto lo schermo, può accadere che vengano coperti dei menu. In questo caso, impostate una funzione Chiudi modello che Vi consente di chiudere il modello keyboard aperto.

    Interno ID: Crea un'immagine del tipo Keybord

    Chiudi modello

    Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

    Ulteriori informazioni nella guida in linea

    Interno ID: Crea un'immagine del tipo Keybord

    Dialogo modale

    Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
    Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Usate l´elemento di controllo Valore impostabile solamente per Keyboard che vengono create per il presettaggio di valori impostabili (SETVALUEKBD, SETSTRINGKBD). Esso viene automaticamente collegato alla variabile dell´elemento dinamico che deve ricevere il valore impostabile. Nel caso lo si usi con normali keyboard, si possono verificare degli esiti indesiderati.

Per keyboard che devono servire al settaggio del valore impostabile, l´elemento di controllo Presettaggio valore impostabile deve essere progettato assolutamente nell´immagine. In caso contrario, non è possibile settare né un´indicazione di valore, né un valore impostabile.

La denominazione dei tasti

Esiste la possibilità di definire liberamente le denominazioni dei tasti della Keyboard, oppure di adottare quella del sistema operativo. A questo scopo, dovete o attivare o disattivare nelle proprietà dell´immagine Layout tastiera automatica nel nodo Generale. A questo proposito vale quanto segue:

Interno ID: Crea un'immagine del tipo Keybord

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  1. Attivo:
    • le lettere, i numeri e i tasti F non possono essere più modificati nell´editor; tasti di funzione, come Tab, possono ricevere una denominazione definibile individualmente.
    • Durante il runtime, la denominazione dei tasti alfanumerici viene ripresa dalle impostazioni del sistema operativo.
  2. Disattivato:
    • I caratteri sui tasti possono essere modificati nell´Editor.
    • Durante il Runtime vengono visualizzati i caratteri alternativi.
  3. Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione della proprietà Layout tastiera automatica.

Nomi riservati

Per il tipo di immagine Keyboard sono stati riservati i seguenti nomi:

Nome

Descrizione

DIALOGKBD

Nel caso in cui sia già presente un'immagine con tale nome, essa viene aperta nel runtime solo in concomitanza dell'apertura di un dialogo, per esempio, "inserimento di un nuovo nome ricetta" nel Manager gruppi ricette.

Attenzione: non è previsto che il DIALOGKBD venga utilizzato con l´elemento di controllo Valore impostabile e non si presta a questo scopo. L´uso di questa combinazione può portare al verificarsi di errori durante il funzionamento Runtime.

SETBOOLKBD

Se un’immagine di questo nome è presente, si apre nel runtime solo nel caso in cui sia richiesta un’immissione per variabili binarie.

SETSTRINGKBD

Se esiste un'immagine di questo nome, si utilizza nel runtime al posto della maschera di immissione standard per variabili string.

SETVALUEKBD

Se esiste un'immagine di questo nome, si utilizza nel runtime al posto della maschera di immissione standard per variabili numeriche. L´elemento di controllo "Presettaggio valore impostabile" deve essere aggiunto alla tastiera.

Attenzione: Attivando il Caps Lock non può essere effettuato nessun inserimento in una keyboard del tipo SETVALUEKBD; ciò si deve al fatto che, al posto dei numeri, sono stati insieriti i corrispondenti caratteri speciali.
Eccezione: Nel caso delle tastiere francesi, per effettuare l´inserimento dei numeri si ha bisogno del Tasto shift oppure del tasto Caps Lock.

Immagini Keyboard con nomi riservati hanno la precedenza nel runtime rispetto ad altre immagini Keyboard, compresa quella Keyboard automatica nel caso di gestione touch.

attenzione Attenzione

Se nel progetto

  • esiste un´immagine del tipo keyboard con il nome riservato DIALOGKBD
  • e, nello stesso tempo, un´immagine del tipo Login
  • e la proprietà Tastiera automatica del gruppo Gestione touch è attiva

    Interno ID: Crea un'immagine del tipo Keybord

    Gestione touch

    Proprietà per la gestione touch.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Crea un'immagine del tipo Keybord

    Tastiera automatica

    Per progetti con touchscreen.
    Abilitata: Viene aperta automaticamente una tastiera virtuale nel momento in cui ci sia la necessità di effettuare un inserimento (p.e. settaggio di un valore impostabile).
    Per gestire correttamente la tastiera abilitare la seguente proprietà sotto gli elementi dinamici “Settare valore impostabile tramite: Su elemento”.
    DisabilitataSettaggio dati tramite maschera standard.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

queste immagini non possono basarsi sullo stesso modello.

In questo caso, DIALOGKBD verrebbe sempre usato automaticamente.


Tasti per il manager gruppi ricette

Manuale -> Keyboard -> Tasti per il manager gruppi ricette

Alla voce Elementi di controllo -> specifici per RGM , trovate gli elementi di controllo specifici per il Manager gruppi ricette:

Elemento

Descrizione

Settare valore

Il valore impostabile viene settato sulla variabile e poi viene chiusa la Keyboard.

Salva ricetta

La ricetta viene salvata e poi viene chiusa la Keyboard.

Setta il valore e salva la ricetta

Il valore impostabile viene settato sulla variabile, la ricetta viene salvata e poi viene chiusa la Keyboard.

{Visualizza valore come 1} fino {Visualizza valore come 32}

I tasti possono essere collegati ai valori limite di Matrici di reazione. A tal scopo, la variabile in questione

  • deve essere collegata ad una Matrice di reazione numerica oppure una Matrice di reazione stringa e
  • „è uguale " contenere stati.

Durante il runtime vengono visualizzati i tasti già utilizzati. Cliccando sul tasto, il valore collegato viene scritto come proposta di valore ricetta nella finestra d´inserimento.


Keyboard automatica

Manuale -> Keyboard -> Keyboard automatica

Keyboard automatiche vengono generate dal sistema e aperte automaticamente nel caso di inserimenti nel runtime. Non possono essere modificate dall´utente. Nel caso in cui sia presente una keyboard con il nome riservato DIALOGKBD, essa viene aperta al posto di quella aperta automaticamente.

Definisci posizione

Per la keyboard automatica, potete definire una Posizione preferita e, in aggiunta, una Posizione alternativa. Le impostazioni corrispondenti le effettuate nelle proprietà del progetto nell´area Gestione touch.

Interno ID: Keyboard automatica

Gestione touch

Proprietà per la gestione touch.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Keyboard automatica

Posizione alternativa

Proprietà per la posizione alternativa dove sarà aperta la tastiera automatica (relativa all’elemento selezionato),se non è possibile aprirla nella posizione desiderata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Keyboard automatica

Posizione preferita

Proprietà per la posizione desiderata dove sarà aperta la tastiera automatica ( relativa all’elemento selezionato).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se la tastiera non dovesse avere posto sufficiente nella posizione da Voi prediletta, viene visualizzata nella posizione alternativa. Nel caso in cui, poi, anche qui non ci dovesse essere abbastanza spazio, la posizione viene definita dal sistema. Stabilite le posizioni mediante la combinazione di quattro valori.

Proprietà | Descrizione
Orizzontale Interno ID: Keyboard automatica Orizzontale Posizione orizzontale della tastiera automatica per la posizione desiderata. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | A sinistra (Default) posiziona l'angolo sinistro della tastiera in modo relativo all'angolo sinistro superiore o inferiore dell'elemento. A destra posiziona l'angolo destro della tastiera in modo relativo all'angolo destro superiore o inferiore dell'elemento.
Spostamento orizzontale [Pixel] Interno ID: Keyboard automatica Spostamento orizzontale [Pixel] Distanza orizzontale (in pixel) dell’elemento selezionato per la posizione desiderata della tastiera automatica. Default: 2. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica. Dei valori positivi determinano uno spostamento della tastiera verso destra, dei negativi, invece, verso sinistra. Default: 2.
Verticale Interno ID: Keyboard automatica Verticale Posizione verticale della tastiera automatica per la posizione desiderata. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Con su (Default) o giù posizionate la tastiera sopra o sotto l'elemento.
Spostamento verticale [Pixel] Interno ID: Keyboard automatica Spostamento verticale [Pixel] Distanza verticale (in pixel) dell’elemento selezionato per la posizione desiderata della tastiera automatica. Default: 2. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Distanza verticale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica. Dei valori positivi determinano uno spostamento della tastiera verso l'alto, dei negativi, invece, verso il basso. Default: 2.


Licenza

Manuale -> Licenza

Per poter usare zenon come editor/runtime, il prodotto deve essere provvisto di una licenza. Finché non si dispone di una licenza valida per zenon, esso funziona solo nella Modalità Demo.

Per procurarsi una licenza per zenon:

  1. aprite Start -> Tutti i programmi -> COPA-DATA -> Licensing 7.00

    oppure

    aprite nell´Editor di zenon, File ->Configurazione generale -> Registrazione prodotto...

  2. Si apre il dialogo per l´ inserimento dei dati licenza.
  3. selezionate zenon Editor/Runtime
  4. inserite il numero di serie e quello di attivazione

    Trovate i dati relativi:

    • sul Vostro documento di licenza
    • sull´adesivo di licenza
    • nel file di licenza License.txt

      Percorso Vista/7: C:\Users\Public\Documents\zenon_Projects\

      Percorso XP: C:\Documenti e impostazioni/All Users/Dati di applicazione/COPA-DATA/zenon700.

    Indicazione: attenzione alle lettere maiuscole e minuscole quando inserite il numero!

  5. Dopo il riavvio dell´editor/del runtime, usate zenon con la licenza indicata.

Dialogo per effettuare la licenza del prodotto

Parametri | Descrizione
Editor/Runtime | attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Webserver | attivo: la licenza vale per il Webserver di zenon.
Analyzer | attivo: la licenza vale per zenon Analyzer.
Numero di serie | Numero di serie della licenza Nel caso in cui dovesse già esistere una licenza, ne verrà visualizzato il numero.
Numero di attivazione | Numero di attiivazione della licenza Nel caso in cui dovesse già esistere una licenza, ne verrà visualizzato il numero di attivazione
OK | Riprendi dati e avvia zenon la prossima volta con questa licenza.
Annulla | Rifiuta inserimento e usa zenon con la licenza valida finora o senza licenza.
Richiedi licenza soft. | Apre l´assistente per la richiesta di una licenza soft.


Demo Modus

Manuale -> Licenza -> Demo Modus

Se l'Editor non è stato registrato, esso funziona in Demo Modus Se il Runtime non è stato registrato, esso funziona in Demo Modus

Demo Modus

Condizioni

Editor:

Le prime 40 volte in cui lo si lancia, il Demo Modus funziona per 30 minuti con l'avviso che si tratta appunto di un Demo Modus. A partire dalla quarantunesima volta, il tempo viene ridotto a 10 minuti.

Runtime

Un Runtime non provvisto di licenza funziona per 30 giorni o può essere avviato per 40 volte, a seconda di quale sia il limite che viene raggiunto per primo.

A partire dal 31° giorno o dalla 41° volta in cui lo si apre, il Runtime funziona solamente per 10 minuti.

Nella schermata iniziale dell´Editor o del Runtime, appare il numero delle volte in cui sarà ancora possibile avviare il Runtime.


Informazione sulla versione

Manuale -> Licenza -> Informazione sulla versione

Potete verificare quale licenza state usando attualmente e quali moduli sono inclusi in essa nella videata iniziale al momento dello start di zenon, oppure cliccando su Info su... nel menu Guida:

Parametri | Descrizione
Versione editor | Numero di versione dell´editor
Numero di serie | Numero di serie della licenza
Numero di attivazione | Numero di attiivazione della licenza
Tempo di scadenza (opzionale) | Nel caso di licenza limitata nel tempo, informazione a proposito della data di scadenza della licenza.
Campo con moduli: | informazione sui moduli per i quali si dispone di una licenza.

Nel Menu Guida è possibile, selezionando Informazioni su.. aprire una finestra dove vengono riportate le informazioni sulla versione di zenon e sulla licenza.


Scelta della licenza dalla dimensione desiderata

Manuale -> Licenza -> Scelta della licenza dalla dimensione desiderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le licenze per l'Editor e per il Runtime vengono calcolate in base al numero dei TAG o IOs utilizzati

Calcolo sulla base di tags

1 TAG corrisponde a 1 variabile. Per la determinazione dell'ampiezza della licenza viene considerata la somma dei TAG dei seguenti driver.

  • driver PLC e bus.

Nono vengono contate le variabili di:

  • driver interno
  • driver di sistema
  • driver matematico
  • driver di simulazione

Potete ottenere la licenza per Tags per l'Editor e il Runtime secondo i seguenti livelli:

  • 64 TAG
  • 128 TAG
  • 256 TAG
  • 512 TAG
  • 1.024 TAG
  • 2.048 TAG
  • 4.096 TAG
  • 8.192 TAG
  • 16.384 TAG
  • 65536 TAG
  • illimitati.

E' possibile effettuare in ogni momento un update della licenza per avere un numero di tags maggiore.

Calcolo sulla base di IOs

Le licenze possono essere concesse anche sulla base di I/Os. Per la determinazione dell'ampiezza della licenza viene considerata la somma dei IOs dei seguenti driver.

  • driver PLC e bus.

Nono vengono contate le variabili di:

  • driver interno
  • driver di sistema
  • driver matematico
  • driver di simulazione

c

Tipo di dato | Valore bit
1 Bit : | 1 I/Os
1 Byte | 8 I/Os
1 WORD | 16 I/Os
1 DWORD | 16 I/Os
1 Float | 16 I/Os
Lunghezza string (max. 64 caratteri) | 16 I/Os

Nel caso in cui non doveste trovare il tipo di dato desiderato in questa lista, dipende dal tipo di driver prescelto. Alcuni driver, infatti, adottano una denominazione specifica dei tipi di dato. Informazioni più dettagliate su questo argomento le potete trovare nella documentazione del driver che state usando. Quest'ultima la trovate o nella guida in linea alla voce Driver, o nel file pdf sul nostro CD/DVD, o sulla nostra Website www.copadata.com.

Esempio Esempio

96 valori binari e 20 analogici numerici devono essere visualizzati in zenon:

Moltiplicate i 20 valori numerali per 16 e otterrete 320 I/Os. Sommate questi ultimi ai 96 valori binari. Ottenete il risultato 416 I/Os, che è alla base per la scelta della grandezza di licenza.

Visualizzazione in zenon

Nella riga di stato della Sezione lista delle variabili possono essere lette le seguenti informazioni:

  • Quanti I/Os sono utilizzati attualmente
  • Quanto I/Os hanno una licenza

Un esempio:

  • 3799/550/1: 3799/550/1: ci sono 3799 inserimenti; grazie ad un'operazione di filtraggio ne vengono visualizzati solo 550; un inserimento è marcato.
  • Per il progetto 22730 c'è un numero illimitato di variabili con licenza.


Tipi di licenza

Manuale -> Licenza -> Tipi di licenza

Potete ottenere la licenza per zenon in due modi diversi:

  • Licenza soft: Domanda al momento dello start dell´editor o del runtime un numero di identificazone PC univoco.
    Caratteristiche:
    • La licenza non può essere sottratta.
    • La licenza è legata al computer.
    • Un tipo di licenza pratico soprattutto per i computer portatili.
  • Licenza dongle: Domanda al momento dello start dell´editor o del runtime un dongle hardware alle interfacce parallele o USB.

    Dongles sono a Vostra disposizione come:

    • Dongle sul posto di lavoro singolo:
    • Dongle di rete: Su un dongle centrale in rete viene considerato un certo numero di licenze, che possono essere usate nello stesso tempo come licenze concurrent use.

    Caratteri di dongels:

    • Facilità d'uso.
    • La licenza può essere trasmessa da un computer all'altro disconnettendo la componente hardware dongle da un calcolatore e connettendola all'altro o in rete.
    • Non ci sono problemi in caso di un problema che riguarda il disco fisso.

Info Informazioni

Se non esiste una licenza valida oppure sono state assegnate tutte le licenze disponibili in rete, allora l´editor o il runtime si avviano in Modalità Demo.


Licenza soft

Manuale -> Licenza -> Tipi di licenza -> Licenza soft

La licenza soft assegna ad un computer un´identificazione inequivocabile. Determinate componenti del computer vengono sottoposte ad un controllo. Questa licenza funziona sempre solamente su un determinato calcolatore. Nel caso in cui essa debba essere trasmessa ad un altro calcolatore, oppure se vengono modificate troppe componenti del calcolatore provvisto di licenza, essa deve essere emessa di nuovo.

Per ottenere una licenza soft:

  1. selezionate nel menu File: Configurazione generale -> Registrazione prodotto...
  2. Si apre il dialogo che serve alla registrazione
  3. cliccate su Ottieni Licenza Software...
  4. indicate il numero di serie del prodotto
  5. cliccate su Richiesta licenza per registrazione software
  6. indicate i Vostri dati
  7. Avete due possibilità di inviarli:
    1. automaticamente
    • selezionate il pulsante Invia a la desiderata COPA-DATA Organisation
    • cliccando su OK la richiesta di licenza viene inviata attraverso il Vostro programma di posta elettronica.
    • servendovi del pulsante Stampa, potete stampare il Vostro esemplare, oppure mandarlo ad un apparecchio fax collegato
    1. manualmente
    • Cliccate sul pulsante Termina
    • la richiesta di licenza viene salvata come file di testo; una finestra info Vi fornisce le informazioni relative a nome e luogo in cui si trova il file.
    • il file viene aperto automaticamebte nell´Editor dei testi
    • inviate il file per E-Mail oppure per fax al Vostro fornitore.

Non appena avete ricevuto i Vostri dati di licenza, riaprite il dialogo che concerne la licenza e inserite il numero di attivazione.


Licenza dongle

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle

Nel caso della licenza dongle, per una licenza standalone un dongle viene connesso direttamente al calcolatore; per licenze di rete, invece, esso viene connesso ad un computer di rete. zenon usa due tipi di sistemi dongle:

  • Wibu-Key
  • CodeMeter

Entrambi i sistemi vengono installati automaticamente al momento dell´installazione di zenon. Gli utenti che lavorano giá con Wibu-Key, continueranno a ricevere delle nuove licenze per i loro dongle Wibu-Key.

Normalmente, non sono necessarie delle ulteriori impostazioni nel caso di dongle usati localmente. L´uso di dongle di rete può rendere necessarie delle configurazioni individuali. Dovete effettuare queste impostazioni nel relativo software dongle. Potete leggere i dettagli su questo tema nei capitoli Wibu-Key e CodeMeter.


Wibu-Key

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> Wibu-Key

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Wibu-Key può essere utilizzato su postazione singola o in rete. Il dongle deve essere attivo su una port USB oppure port parallela sul computer locale, oppure come server su un computer di rete.

Per controllare le impostazioni dello stick:

  1. aprite il pannello di controllo
  2. aprite WIBU-KEY
  3. selezionate lo stick da controllare sul computer locale o in rete

    per realizzare una lista dei Server-Wibu-Boxen in rete, cliccate sul pulsante Leggi

  4. controllate se il numero nell´ultima colonna della seconda riga è identico con le cifre iniziali dello stick.

Ulteriori informazioni concernenti il funzionamento in rete le potete trovare nel capitolo Dongle di rete.


Dongle di rete

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> Wibu-Key -> Dongle di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare Wibu-Key in rete come dongle, server e client devono essere configurati in modo corrispondente:

  • Configurazione Server
  • Configurazione Client

attenzione Attenzione

WibuyKey usa il Port 22347. Questo Port è impostato in modo fisso e non può essere modificato. Tenete presente:

  • Se viene usato un altro firewall rispetto a quello integrato nel sistema operativo di windows, questa port deve essere reso disponibile, se volete usare Wibu-Key come dongle di rete.


Imposta server

Imposta server

Sul server dongle deve essere attivo il server Wibu-Key. Il server Wibu-Key può essere configurato o come applicazione (per esempio avviare tramite Autostart), oppure come servizio.

Al momento della installazione del software Wibu-Key devono essere selezionate le opzioni

32 Bit WkNet/WkLAN server di rete

Installallare come servizio NT con Autostart

im modo tale che il server Wibu-Key venga installato come servizio (consigliato).

Per avviare il server Wibu-Key-Server come applicazione, deve essere impostata una connessione con il file WkSvW32.exe in AUTOSTART di Windows.

Si trova questo file nel percorso C:/Programme/WIBU-KEY/Server/.


Impostare client

Impostare client

Devono essere effettuate per il client alcune impostazioni di rete nel pannello di controllo. Fra i subsistemi Wibu-Key si procede alla scelta di quale tipo di acceso di rete viene utilizzato. Usiamo WkLan.

Alla voce Nome server/Indirizzo IP viene indicato o il nome del server, il suo indirizzo IP oppure una maschera per l´indirizzo IP. Con "Cerca" la lista viene riempita di tutti i server dongle trovati.

Gli inserimenti vengono esaminati nella successione della lista, e possono essere anche combinati.

Nel caso in cui come primo inserimento ci sia un determinato server, il sistema verifica se su questo computer funziona il servizio server dongle, e se su questo computer c´è un dongle corretto (più veloce!) Nel caso in cui non sia stato trovato nessun dongle, e se come prossimo inserimento c`è una maschera di filtro, vengono esaminati tutti i computer nella rete, il cui indirizzo IP corrisponde alla maschera.

Sulla paginaContenuto dovrebbe (dovrebbero) essere indicato (Indicati) il server (o i server) con i dongle trovati:


CodeMeter

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

CodeMeter può essere utilizzato su postazione singola o in rete. La chiavetta USB CodeMeter deve essere attiva su una port USB sul computer locale, oppure come server su un computer di rete. La Firmware del Dongle deve essere almeno della versione 1.16.

attenzione Attenzione

Se il dongle viene rimosso mentre sta lavorando, l´editor si chiude. L´editor si apre in modalità demo finché non riconosce una licenza valida.

Per la configurazione, avviate l´applicazione Administration CodeMeter Centro di controllo facendo uso di: Windows Desktop -> Start -> Tutti i programmi -> CodeMeter -> CodeMeter Control Center.

Il centro di controllo CodeMeter si apre con tre schede:

Licenza: contiene informazioni sui dongle trovati.

Eventi: Mostra il numero degli stick collegati, degli inserimenti di licenza, dei firm-item trovati e di tutti gli acessi al CodeMeter Runtime-Server. Per protocollare in modo durevole gli inserimenti, attivate nel menu File la voce Salvataggio di.

Prestito: configura il prestito di licenze.

Licenza

Parametri | Descrizione
Licenza | Elenca tutte i CodeMeter Stick attivi
Nome | Nome individuale dello stick selezionato; può essere assegnato facendo uso del pulsante a destra.
Serien-Nr._ | numero di serie dello stick selezionato.
Version | versione del firmenware dello stick selezionato.
Stato | stato del CodeMeter Stick selezionato.
Disattivato | lo stick connesso è disattivato e non può essere usato da nessuna applcazione.
Attivato finché connesso | lo stick è attivato finché è connesso; dopo la rimozione dal PC viene disattivato automaticamente.
Attivato | lo stick è completamente attivo e lo rimane anche dopo la sua rimozione. Sato consigliato: assicura che, nel caso di perdita dello stick, delle persone non autorizzate non abbiano la possibilità di accedere a licenze e dati personali (per esempio: CmPasswordManager).
Attualizzazione della licenza | Avvia l´assistente che serve ad aggiungere, modificare e cancellare delle licenze.
Rimuovi | rende possibile la rimozione dello stick.
Modifica password | Permette la modifica della password
CodeMeter è avviato/CodeMeter è chiuso. | Informazione se il servizio CodeMeter funziona o no. Può essere modificato nel menu Azione.
WebAdmin | Avvia il browser web con la superficie di amministrazione per dongle di rete. A questo scopo deve essere aperta la port 22350; per dettagli vedi Amministrazione Rete.


Aggiorna orario certificato

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Aggiorna orario certificato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete aggiornare l´orario certificato salvato nel dongle facendo uso del server tempo CodeMeter. A questo scopo avete bisogno di un accesso Internet attivo.

Per aggiornare l´orario:

  1. Avviate il CodeMeter WebAdmin
  2. Controllate le Vostre Impostazioni di rete.
    1. Le impostazioni Proxy in CodeMeter Webadmin sono corrette?
    2. I Vostri dati di accesso sono attuali?
  3. Navigate fino a raggiungere il menu Contenuto -> CmStick
  4. Cliccate sul pulsante Aggiorna
  5. Ottenete l´informazione che, in tal modo, tutti gli stick verranno attualizzati.
  6. Cliccate su OK.
  7. Ricevete un´informazione concernente l´attualizzazione effettuata. Nel caso di una Segnalazione di errore controllate soprattutto la correttezza dei Vostri dati di accesso.


Administration Rete

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Administration Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare Administration in rete, avviate la superficie WebAdmin cliccando sul pulsante WebAdmin in CodeMeter centro di controllo. Informazioni dettagliate sulle singole impostazioni le trovate nella guida CodeMeter WebAdmin. La potete raggiungere usando il pulsante Guida in WebAdmin. Le opzioni e le indicazioni più importanti le trovate anche in questo documento:

  • Gestione CodeMeter Sticks
  • Gestione licenze
  • Assicurare dati licenze
  • Impostazioni rete
  • Impostazioni Proxy

attenzione Attenzione

Il CodeMeter WebAdmin usa il port 22350. Tenete presente:

  • se viene usato un altro firewall rispetto a quello integrato nel sistema operativo di windows, questa port deve essere resa disponibile.
  • Se la port viene modificata, la superficie WebAdmin non può essere più avviata, visto che la port è una parte dell´indirizzo, per es.: http://localhost:22350/Content.html?BoxSerial=2-1355435

    In questo caso, potete risalire tramite il corrispondente tool freeware o con Windows Bordmitteln alla port attualmente usata, e poi potete inserire quest´ultima nella riga dell´indirizzo al posto di 22350. Ricambiate poi in WebAdmin la Port inserendo 22350.


CodeMeter Sticks

CodeMeter Sticks

Il WebAdmin si avvia con Contenuto/CmStick.

Qui selezionate in una lista a cascata il dongle desiderato, vedete i suoi dati e lo stato come configurato nel Centro di controllo.

Parametri | Descrizione
CmStick | Lista a cascata dello stick riconosciuto.
Nome | Mostra il nome assegnato nel Centro di controllo.
Hardware | Versione hardware dello stick.
Primo processore | Informazioni sul processore concernenti lo stick; dimensioni del processore solo di stick con memoria flash.
Stato | Stato di attivazione come definito nel Centro di controllo.
Orario certificato | L´orario certificato salvato nello stick. Viene aggiornato per mezzo del pulsante Aggiorna. Indicazione: per aggiornare per mezzo CodeMeter Timeserver, avete bisogno di un accesso Internet attivo. Fate attenzione ad effettuare delle corrette Impostazioni di rete, soprattutto per quello che concerne i dati di accesso attuali.
Tempo box | Tempo interno salvato dello stick.
Sistema tempo | Tempo locale del server runtime CodeMeter.
Memoria libera | Memoria disponibile sullo stick. Per defragmentare la memoria, cliccate sul pulsante Defragmentare.


Licenze

Licenze

Le Vostre licenze le gestite nella scheda Licenze che si trova nel menu Contenuto.

  • selezionate il dongle desiderato fra quelli della lista a cascata.
  • Sotto la dizione Ing. Punzenberger COPA-DATA GmbH trovate le informazioni per le licenze di questo dongle.

Parametri | Descrizione
Product Code | Valore numerico per il prodotto. Cliccando sulla cifra, accedete ai dettagli.
Nome | Ing. Punzenberger COPA-DATA GmbH
Unità d´uso | Quando è il caso, visualizzazione delle unità d´uso rimanenti.
Data di scadenza | Quando è il caso, visualizzazione della data di scadenza. A partire da questo momento, zenon passa in Modalità Demo.
Data di attivazione | Quando è il caso, visualizzazione della data di attivazione. Prima di questo momento, zenon passa in Modalità Demo.
Numero delle licenze | Numero complessivo delle licenze
  • Cliccate sulla cifra nella colonna Product Code per avere dei dettagli.

Parametri | Descrizione
Dongle Number | Deve corrispondere al numero del dongle attivo.

Limiti di durata

Un dongle può essere provvisto anche di un limite di durata:

  • Data di scadenza
  • Periodo d´uso

Data di scadenza

Il dongle viene dotato di una data di scadenza

Nella scheda Licenze che si trova nel menu Contenuto, viene indicata la data di scadenza nella colonna data di scadenza con la data e l´orario in formato UTC.

Periodo d´uso

Il dongle viene dotato di un periodo d´uso. Quest´ultimo inizia a scorrere con il primo uso dell´editor o del runtime di zenon. Per controllare il periodo:

  • passate alla scheda Licenze nel menu Contenuto
  • cliccate sull´inserimento alla voce Ing. Punzenberger COPA-DATA GmbH sulla cofra nella colonna Product Code
  • Si apre la finestra Product Item Details
  • Nella cella Periodo d´uso potete vedere il periodo provvisto di una licenza e la data d´inizio con orario in formato UTC.


Rete e Proxy

Rete e Proxy

Per assicurare una comunicazione priva di errori con un dongle di rete e l´avvio del WebAdmin, è necessario effettuare delle corrette impostazioni di rete.

Parametri

Descrizione

Indirizzo di rete

Selezione di un indirizzo IP con il quale il server runtime CodeMeter si deve collegare.

Standard: Tutti
il collegamento avviene con il primo runtime server Code-Meter trovato.

La scelta di un indirizzo specifico è necessaria soprattutto se il calcolatore funge da server-licenza di rete e dispone di più
tessere di rete.

Port rete

Port per la comunicazione CodeMeter nella rete.

Standard: 22350

Il valore può essere adattato sulla base delle esigenze individuali. In questo caso si deve fare in modo che tutti i CodeMeter Runtime-Server usino la stessa port.

Raccomandazione: non modificare port.

UDP tempo di risposta

Massimo periodo di tempo per la risposta nel corso del quale una richiesta UDP deve ricevere una risposta.

Standard: 1000 millesecondi.

Avvia come server

attivo: Il calcolatore diventa il server di rete CodeMetere mette a disposizione le sue licenze in rete.

Server Lista di ricerca

Qui possono essere definiti determinati server di rete CodeMeter tramite l´inserimento di nomi calcolatori oppure indirizzi IP. Poi il sistema ricerca solamente i server che sono stati definiti nella lista. In tal modo è possibile far pervenire le richieste di client a server di rete CodeMeter definiti.

Indicazione: se un server CodeMeter si trova in un´altra subrete, usate per la lista di ricerca l´indirizzo IP.

Questa lista di ricerca dovrebbe essere usata solamente se non è possibile trovare lo stick CM in rete.

Impostazioni Proxy

Per l´accesso a servizi di CodeMeter in Internet come server tempo, inserite in questa sede i dati di accesso validi per la Vostra impresa.

attenzione Attenzione

CodeMeter memorizza questi dati di accesso. Se modificate regolarmente la password di accesso, dovete modificarla anche nelle impostazioni Proxy del CodeMeter WebAdmin!


Richiedi licenza

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Richiedi licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per richiedere delle licenze per CodeMeter o aggiornare delle licenze, selezionate in CodeMeter Centro di controllo nella scheda Licenze il pulsante Attualizzazione licenza. L´assistente per l´attualizzazione avvia:

Decidete se:

  • richiedere una licenza
  • scaricare un aggiornamento di licenza
  • creare una ricevuta per COPA-DATA

Richiesta licenza

Nel caso di una richiesta di licenza, potete:

  • ampliare una licenza esistente di COPA-DATA
  • procurarsi una nuova licenza di COPA-DATA

  • Per aggiungere una nuova licenza di COPA-DATA:
    • selezionate Ing. Punzenberger COPA-DATA GmbH
  • Per creare una nuova licenza di COPA-DATA:
    • indicate il CodeMeter FirmCode che avete ricevuto con COPA-DATA.
  • Selezionate il posto dove salvare la Vostra richiesta di licenza.


Adatta licenza

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Adatta licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete adattare in qualsiasi momento la Vostra licenza in relazione alla sua ampiezza e al Runtime. Per far ciò:

  1. ordinate a COPA-DATA il cambiamento desiderato
  2. Riceverete un file *.WibuCmRaU per il Vostro dongle
  3. installatelo:
    1. o con un doppio clic sul file
    2. oppure trascinando il file sul CodeMeter Centro di controllo
  4. Riceverete una segnalazione che Vi informerà del fatto che avete aggiornato con successo la Vostra licenza.

    In caso doveste ricevere una Segnalazione di errore 229, ciò significa che la licenza sul dongle è già allo stato attuale.

Se per la Vostra richiesta concernente la licenza dovesse risultare necessario creare un file .WibuCmRaC oppure scaricare manualmente il file .WibuCmRaU con l´update, seguite le indicazioni che trovate nella sezione Aggiorna manualmente la licenza.


Richiedere o aggiornare una licenza

Richiedere o aggiornare una licenza

Per aggiornare manualmente la Vostra licenza:

  1. create un file .WibuCmRaC
  2. inviate il file a COPA-DATA
  3. Riceverete un file .WibuCmRaU aggiornato
  4. caricatelo sul dongle

Creare un file WibuCmRaC

  1. assicuratevi che il CodeMeter-Dongle sia collegato con il Vostro computer
  2. aprite il centro di controllo CodeMeter, per esempio, tramite Start -> Programmi -> CodeMeter -> CodeMeter Control Center
  3. cliccate nella scheda Licenza sul pulsante Aggiorna licenza
  4. l´assistente per l´update si avvia
  5. cliccate su Avanti.

  6. selezionate Crea richiesta licenza e cliccate su Avanti

  7. selezionate Estendi licenza esistente
  8. cliccate su Avanti.

  9. nel seguente dialogo cliccate di nuovo su Avanti
  10. selezionate il luogo di salvataggio desiderato per il file .WibuCmRaC corrispondente
  11. cliccate su Applica.
  12. viene generato il file .WibuCmRaC
  13. inviate il file a sales@copadata.com

installate il file WibuCmRaU

Riceverete da COPA-DATA un file *.WibuCmRaU attualizzato.

Installatelo sul dongle cliccando due volte sul file.

Alternativa:

  1. aprite il centro di controllo CodeMeter
  2. selezionate "Carica update licenza"
  3. seguite le istruzioni dell´assistente di installazione


Correzione errori

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Correzione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Errore

Soluzione

zenon funziona solamente in modalità demo.

Controllate

  • le Vostre licenze
  • la connessione al dongle di rete
  • se le informazioni sulla licenza (SERIAL7= e ACTIVATIONKEY7=) sono state inserite correttamente nello zenon6.ini. Fate attenzione ai possibili spazi vuoti dietro il numero di serie (SERIAL7=), oppure la key di attivazione (ACTIVATIONKEY7=).
    Percorso per zenon6.ini:
    Vista/7: C:\ProgramData\COPA-DATA\System
    XP: C:\Documents and Settings\All Users\Application Data\COPA-DATA\System

Il dongle non viene trovato.
  • Controllate le Impostazioni di rete.
  • Se lo stick si trova in un altro dominio, aggiungetelo alla Lista server.
  • Aumentate il Tempo di risposta UDP.

Orario certificato non può essere aggiornato.

Controllate:

  • Impostazioni Proxy, soprattutto tutti i dati di accesso e la password.
  • Lista dei server tempo alla voce Impostazioni -> Server time
    per es.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us

Segnalazione errore nell´update della licenza:

errore nell´update di CmSticks x-xxxxxxx:
questo update non può essere più caricato. Il contenuto di CmSticks è a un nuovo stato, erorre 229.

L´update per questa licenza è stato già trasmesso al dongle. Il dongle è allo stato più aggiornato.


Parametro riga comando per tool di licenza

Manuale -> Licenza -> Parametro riga comando per tool di licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il tool di licenza può essere gestito tramite la riga comando con i seguenti flag come parametro:

L'assunzione dei parametri avviene mettendo davanti al parametro un '/' oppure un '-'.

Per esempio: /silent oppure -silent

Parametri | Descrizione
request | Costringe il programma a non visualizzare il primo dialogo; al suo posto appare subito il dialogo che richiede l'indicazione della chiave di attivazione (non ha alcuna importanza se è in uso il flag /silent oppure –silent)
sernum:<num> | Costringe il programma a non leggere il Numero di serie dal file zenon6.ini , ma ad usare il <num> indicato per la licenza.
actkey:<key> | indicato per la licenza. Chiave di attivazione dal file zenon6.ini, ma ad usare la<key> indicata per la licenza.
silent | Costringe il programma a non visualizzare alcun dialogo. Tuttavia il file License.txt viene scritto.
mailto:<addr> | Funziona in collegamento con il flag 'silent' e costringe il programma a mandare la richiesta di licenza per E-Mail all'indirizzo <addr> indicato.


Licenza remota

Manuale -> Licenza -> Licenza remota

Per assegnare una licenza ad un calcolatore via collegamento remoto:

  1. selzionate anzitutto nel menu contestuale del progetto Remote-Transport ->Cambia la password e visualizza la licenza
  2. avviate il Remote-Transport
  3. non appena la connessione è instaurata, appare la licenza del calcolatore remoto

  4. inserite il numero di serie e quello di attivazione del Vostro documento di licenza
  5. confermate l´inserimento cliccando su OK


Particolarità concernenti il funzionamento Server-Client.

Manuale -> Licenza -> Particolarità concernenti il funzionamento Server-Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per quanto concerne la licenza di moduli nel funzionamento Server-Client, si fa presente che esistono le seguenti particolarità:

Server archivi

Si distinguno i seguenti casi:

  • licenze per Server e per Client: gli archivi possono essere aperti e ci si può lavorare sul Client.
  • Licenza per il Server, niente licenza per il Client: gli archivi possono essere aperti sul Client, ma non li si può modificare in questa sede.
  • Licenza per il Client e standalone avviato: la finestra archivi può essere aperta, ma non i singoli archivi.

Automatic Line Coloring

Si distinguno i seguenti casi:

  • Licenza per il Server, niente licenza per il Client: la funzionalità ALC è disponibile senza alcun tipo di limitazione.
  • Licenza per il Client e standalone avviato: la funzionalità ALC non è disponibile.

Info Informazioni

Se è disponibile una licenza del Server per la Energy Edition, anche ALC dispone di una licenza.

Energy Management System

Si distinguno i seguenti casi:

  • Licenza per il Server, niente licenza per il Client: la funzionalità EMS è disponibile senza alcun tipo di limitazione.
  • Licenza per il Client e standalone avviato: la funzionalità EMS non è disponibile.


CEL – Lista eventi cronologica.

Manuale -> CEL – Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella Lista eventi cronologica (CEL) possono essere protocollati gli eventi di sistema e gli inserimenti utente, come, ad esempio:

  • ripristino allarmi
  • cancellazione allarmi
  • setta valore impostabile
  • scrivi ricette
  • modifica ricette
  • dati archivio
  • azioni user
  • azioni di rete

Gli inserimenti sono nella lingua impostata nel Runtime di zenon.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Progettare la CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione della Lista eventi cronologica avviene durante il Runtime tramite le immagini del tipo Lista eventi cronologica e Lista eventi cronologica Filtro.

Editor

Per visualizzare degli eventi durante il Runtime, e per poterli filtrare, nell´Editor si deve:

  • progettare un´immagine del tipo Lista eventi cronologica

Potete inoltre:

  • gestire la visualizzazione di eventi mediante Filtri
  • modificare secondo le Vostre esigenze i filtri disponibili nel Runtime con un´immagine del tipo Lista eventi cronologica Filtro

Runtime

Per la Gestione nel Runtime si usano:

  • Modifica immagine CEL
  • Cambio immagine Filtro CEL
  • le zenon Funzioni CEL
  • Usa immagine del tipo CEL Filtro


Crea un'immagine del tipo CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Crea un'immagine del tipo CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un´immagine del tipo Lista eventi cronologica consente di visualizzare e di stilare un protocollo durante il Runtime degli eventi di sistema e delle azioni degli utenti. Definite quali inserimenti devono essere visualizzati in fase di progettazione. La visualizzazione può essere modificata facendo uso di Filtri sia in fase di progettazione che durante il Runtime. Le funzioni consentono l´export e la stampa degli eventi visualizzati.

Crea immagine del tipo Lista eventi cronologica

Per creare un tipo di immagine Lista eventi cronologica:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. Selezionate nella lista a cascata l´inserimento Lista eventi cronologica.
    3. non selezionate il modello principale se volete poi poter chiudere l´immagine durante il Runtime facendo uso del pulsante Chiudi.
  4. cliccate sull´immagine
  5. selezionate nella barra menu il punto Elementi di controllo
  6. cliccate nella lista a cascata su Inserisci modello
  7. verranno aggiunti gli elementi standard
  8. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  9. impostate una Funzione di cambio immagine per poter aprire la CEL durante il Runtime

Parametri

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista Eventi Cronologica

Campo visualizzazione per la lista con i suoi eventi. L´aspetto è impostabile. Le colonne vengono definite tramite il filtro Impostazioni colonna nel cambio immagine; oppure si può utilizzare la proprietà Impostazioni colonne CEL che si trova nelle proprietà di progetto, più precisamente nel gruppo Lista eventi cronologica (CEL).

Interno ID: Crea un'immagine del tipo CEL

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea un'immagine del tipo CEL

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Crea un'immagine del tipo CEL

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visualizzazione: Filtri impostati

Mostra il filtro attualmente selezionato.

Filtri ..

Apre il dialogo filtro.

Ordina

Dopo l´apertura della CEL durante il Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Cliccando sul pulsante fa sì che la lista venga riordinata.

Per distinguere gli inserimenti ordinati da quelli non messi in ordine, si può assegnare ad ogni categoria un colore differente; a tal scopo utilizzate le proprietà Testi ordinati e Testi non ordinati.

Interno ID: Crea un'immagine del tipo CEL

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva e solamente per SICAM 230.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea un'immagine del tipo CEL

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Definisce il colore del testo utilizzato per gli inserimenti nella Lista eventi cronologica (CEL).
Indicazione:

1. Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.

Interno ID: Crea un'immagine del tipo CEL

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
non utilizzare: I colori delle classi allarmi/eventi non vengono usati nella CEL durante il runtime.
Come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.
Come linea di sfondo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti
Default: come colore testo

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

2. Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Mostra tempi relativi

attivo: I tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stopp/Avanti

Gestisce l´accettazione di nuovi eventi nella lista durante la visualizzazione:

Stop: Non vengono più visualizzati nuovi inseimenti nella lista. Il pulsante modifica la sua didascalia in avanti.

Avanti: Possono essere inserite nuove immissioni nella lista. La scritta sul pulsante viene modificata in Stop. Per mettere in ordine cronologico dei nuovi inserimenti, si deve usare il pulsante Ordinamento.

Chiudi

Chiude la visualizzazione della Lista eventi cronologica e chiude l´immagine e il modello.

Per far sì che, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine del tipo CEL con un proprio modello.

Stampa

Stampa la lista nel modo in cui essa viene visualizzata al momento.

Dialogo di stampa

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Didascalia: Quantità totale

Aggiunge durante il Runtime il testo "totale". Deve essere seguito dal campo lista Quantità totale .

Quantità totale

Numero di tutti gli eventi della lista.

Informazioni: Stato CEL

Mostra durante il Runtime lo stato della CEL.

attivo: Gli eventi vengono protocollati nel progetto a seconda delle Impostazioni.

inattivo. Gli eventi non vengono protocollati.

Lo stato viene fissato mediante la proprietà Abilita CEL. Una modifica diviene effettiva solamente dopo che il Runtime è stato riavviato.

Didascalia: campo commento

Aggiunge durante il Runtime il testo "Commento". Deve essere seguito dal campo lista campo commento .

campo commento

Campo lista per l´inserimento da parte dell´utente di un testo a piacere per l´evento selezionato.

Non appena il campo perde il focus, viene ripreso il testo. Per visualizzare il testo anche nella CEL, si deve attivare la colonna Commento nella Definizione colonna.

Pulsante Stop/Avanti

Navigazione

Gestisce gli elementi della lista.

  • Riga in su

Passa alla riga superiore.

  • Riga in giù

Passa alla riga inferiore.

  • Colonna a destra

Passa alla colonna immediatamente a destra.

  • Colonna a sinistra

Passa alla colonna immediatamente a sinistra.

  • Pagina in su

Passa alla pagina superiore.

  • Pagina in giù

Passa alla pagina inferiore.

  • Pagina a destra

Passa alla pagina immediatamente a destra.

  • Pagina a sinistra

Passa alla pagina immediatamente a sinistra.

Profili filtro

Le impostazioni filtro che possono essere salvate dall'utente nel runtime.

  • Selezione profilo

Selezionare un profilo dalla lista.

  • Salva

Salvare un´impostazione come profilo

  • Elimina

Cancella il profilo selezionato.

Info Informazioni

Nell´elemento di controllo Mostra filtro viene visualizzato quello attuale.

Nel caso di un:

  • filtro di testo viene visualizzata la stampa [Txt]
  • fitro di tempo relativo viene visualizzata una stampa secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Adattare l´aspetto della CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Crea un'immagine del tipo CEL -> Adattare l´aspetto della CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La rappresentazione tabellare della Lista eventi cronologica può essere adattata ad esigenze individuali.

Barra di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto della barra di scorrimento, della intestazione e di una griglia per la tabella:

  1. attivate fra le proprietà di progetto nel gruppo Visualizzazione quella Funzionalità grafiche avanzate

    Interno ID: Adattare l´aspetto della CEL

    Funzionalità grafiche avanzate

    Disponibile solo per PC.

    Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista eventi cronologica nell´immagine.

    Interno ID: Adattare l´aspetto della CEL

    Intestazione e griglia

    Proprietà per l´intestazione e per la griglia.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.

Interno ID: Adattare l´aspetto della CEL

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: Adattare l´aspetto della CEL

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: Adattare l´aspetto della CEL

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto della CEL

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: Adattare l´aspetto della CEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto della CEL

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Adattare l´aspetto della CEL

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: Adattare l´aspetto della CEL

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: Adattare l´aspetto della CEL

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto della CEL

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ordina durante il Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente con un file grafico

    Interno ID: Adattare l´aspetto della CEL

    In ordine decrescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Interno ID: Adattare l´aspetto della CEL

    Stile di visualizzazione

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

    Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

    Interno ID: Adattare l´aspetto della CEL

    Angolo [°]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

    Minimo: 0

    Massimo: 360

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Offset [%]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

    Minimo: -100

    Massimo: 100

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Effetto riempimento 3-D

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

    Lineare: effetto omogeneo

    Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

    Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

    Default: Lineare

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Sfumatura colore

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    Colore riempimento

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

    Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

    Default: Standard.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto della CEL

    In ordine crescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. durante il Runtime viene visualizzata nella colonna rilevante per l´ordinamento la grafica selezionata.
  4. Cliccando sulla grafica si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Gestire l´intestazione durante il Runtime

Potete consentire agli utenti di gestire l´intestazione durante il Runtime. In tal modo è possibile un adattamento individuale della visualizzazione nel runtime:

  • Sposta colonne
  • Modifica grandezza
  • Modifica ordine.

Nell´ambito delle impostazioni di progetto passate al gruppo Lista eventi cronologica (CEL) e selezionate in corrispondenza della proprietà Intestazioni CEL il valore Intestazione modificabile . In alternativa, potete far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

Info Informazioni

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista eventi cronologica: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Interno ID: Adattare l´aspetto della CEL

Intestazione utilizzabile

Disponibile solamente se avete selezionato Intestazione modificabile nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.

Disponibile per la lista aspetto cursore nel trend esteso.

Permette di gestire l´intestazione per la lista corrispondente. Durante il funzionamento runtime, potete spostare le singole colonne e potete modificarne la larghezza. Potete ordinare la visualizzazione sulla base di una colonna qualsiasi.

attivo: L´intestazione è gestibile.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Anteprima

Attivando la proprietà Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In tal modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.


Crea un'immagine del tipo filtro CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo CEL Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri per cambio immagine CEL Filtri.

attenzione Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse hanno lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea immagine del tipo Lista eventi cronologica Filtro

Per creare un tipo di immagine Lista eventi cronologica Filtro:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. Selezionate nella lista a cascata l´inserimento Lista eventi cronologica Filtro.
  4. selezionate un proprio modello
    (CEL Filtri non può basarsi sulo stesso modello di altre immagini).
  5. cliccate sull´immagine
  6. selezionate nella barra menu il punto Elementi di controllo
  7. cliccate nella lista a cascata su Inserisci modello
  8. si apre il dialogo per selezionare uno modello
  9. selezionate il modello desiderato
  10. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine
  11. impostate una Funzione di cambio immagine per poter aprire l´immagine durante il Runtime

Elementi

L´immagine del tipo Lista eventi cronologica Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:

  • Nome variabile

Filtro sulla base del nome delle variabili.

  • Identificazione

Filtro sulla base dell´identificazione delle variabili.

  • Rispetta minuscolo/maiuscolo

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Origine dati

Da dove provengono i dati:

  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.

  • Didascalia: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

  • Mostra tempi relativi

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi allarmi/eventi

Gruppi allarmi/eventi
  • Classi allarmi/eventi

Classi allarmi/eventi
  • Aree allarmi

Aree allarmi

Filtro tempo

Lista a cascata di diversi Filtri tempo.

Aggiungi tutti gli elementi: Tempo assoluto - Visualiz. classica

Aggiunge tutti gli elementi per la definizione di tempi assoluti: ogni elemento riceve un campo proprio.

Aggiungi tutti gli elementi: Inserisci tutti gli elementi: Tempo assoluto - Piccola visualiz.

Aggiunge elementi per la definizione di tempi assoluti in visualizzazione compatta.

Aggiungi tutti gli elementi: Periodo relativo

Aggiunge tutti gli elementi per la definizione di tempi relativi:

Aggiungi tutti gli elementi: Dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire dal giorno - dalle HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato giorno- ore-minuti-secondi.

Aggiungi tutti gli elementi: A partire da giorno, mese - ore HH:MM:SS

Aggiunge tutti gli elementi per la definizione del punto temporale a partire dal quale deve accadere qualcosa nel formato mese-giorno- ore-minuti-secondi.

Didascalia: Tipo filtro tempo

Didascalia del tipo del filtro tempo.

Combobox: Tipo filtro tempo

Combobox Tipo filtro tempo.

Visualizzazione: Tipo filtro tempo

Campo per visualizzazione del tipo filtro tempo.

Tempo da

campi e didascalie per inserimenti di tempi "da".
  • Didascalia: dall´anno

  • Combobox: dall´anno

  • Didascalia: Dal mese

  • Combobox: Dal mese

  • Didascalia: Dal giorno

  • Combobox: Dal giorno

  • Didascalia: Dall´ora

  • Combobox: Dall´ora

  • Didascalia: Dal minuto

  • Combobox: Dal minuto

  • Didascalia: Dal secondo

  • Combobox: Dal secondo

  • Spincontrol: da

Tempo fino a

Campi e didascalie per inserimenti di tempi "fino a".
  • Didascalia: Fino all´anno

  • Combobox: Fino all´anno

  • Didascalia: Fino al mese

  • Combobox: Fino al mese

  • Didascalia: Fino al giorno

  • Combobox: Fino al giorno

  • Didascalia: Fino all´ora

  • Combobox: Fino all´ora

  • Didascalia: Fino al minuto

  • Combobox: Fino al minuto

  • Didascalia: Fino al secondo

  • Combobox: Fino al secondo

  • Spincontrol: Fino a

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.
  • Didascalia: da

  • Visualizzazione calendario: dalla data

  • Visualizzazione data: dalla data

  • Visualizzazione tempo: dal tempo

  • Didascalia: Fino a

  • Visualizzazione calendario: fino alla data

  • Visualizzazione data: fino alla data

  • Visualizzazione tempo: Fino al periodo

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elemetni per filtri testo.

Nessun filtro testo

Pulsante radio per deselezione filtri testo.

Ricerca di (parole separate da spazi vuoti).

Bottone radio per attivazione della ricerca

Didascalia: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Rispetta minuscolo/maiuscolo

Si deve tener conto della lettere maiuscole e minuscole.

  • Le paorole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.

  • Perlomeno una parole deve essere presente nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.

  • Tutte le parole devono essere presenti nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.

  • Testo filtro deve essere presente nel testo in modo esatto.

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

OK

Riprendi indicazioni e chiudi l´immagine.

Annulla

Elimina indicazioni e chiudi l´immagine.

Accetta

Accetta le indicazioni e lascia aperta l´immagine per altri inserimenti.

Aggiorna:

aggiorna l´immagine.

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.


Definire eventi per la CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Definire eventi per la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definite quali eventi devono essere messi a protocollo nella Lista eventi cronologia servendovi di:

  1. proprietà del gruppo Salvataggio di nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto

    Interno ID: Definire eventi per la CEL

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Definire eventi per la CEL

    Salvataggio di

    Proprietà generali per la Lista Cronologica Eventi (CEL)

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Elimina Allarme

      Interno ID: Definire eventi per la CEL

      Elimina Allarme

      Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
      Attiva: Se un allarme con obbligo di cancellazione viene effettivamente cancellato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
      Non attiva: Se si cancellano degli allarmi, non si ha nessun inserimento nella CEL.
      Default: non attiva.

      Interno ID: Definire eventi per la CEL

      Lista di informazione allarmi attiva

      Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
      Non attiva: gli allarmi non vengono registrati.
      Default: attiva:

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Ripristino allarmi

      Interno ID: Definire eventi per la CEL

      Ripristino allarmi

      Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
      Attiva: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
      Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
      Default: non attiva.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Funzioni settaggio valore

      Interno ID: Definire eventi per la CEL

      Funzioni settaggio valore

      Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
      Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
      Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
      Default: non attiva
      Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

      Interno ID: Definire eventi per la CEL

      Abilita CEL

      Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
      Non attiva: Non viene registrato nessun evento.
      Default: Attiva

      Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Dichiarazione ricette

      Interno ID: Definire eventi per la CEL

      Dichiarazione ricette

      Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
      Nessun protocollo: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollato nella CEL
      Protocolla ricette: Se si setta una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
      Protocolla ricette e valori: Se si setta una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
      Default: Nessun protocollaggio

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Modifica ricette

      Interno ID: Definire eventi per la CEL

      Modifica ricette

      Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
      Nessun protocollo: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL
      Protocolla ricette: Se si modifica una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
      Protocolla ricette e valori: Se si modifica una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
      Default: Nessun protocollaggio

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Inserimenti nell'archivio

      Interno ID: Definire eventi per la CEL

      Inserimenti nell'archivio

      Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
      Nessun protocollo: Non viene effettuato un protocollo dell´eleborazione di archivi nella CEL.
      Protocolla modifiche: al momento in cui si elabora un archivio, viene messo a protocollo il nome dell´archivio, il nome della variabile, nonchè il valore vecchio e nuovo e il vechio e nuovo timestamp nella CEL.
      Default: Nessun protocollaggio

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Esportazione Archivi [h]

      Interno ID: Definire eventi per la CEL

      Esportazione Archivi [h]

      Tempo in ore per Trattamento errori.

      Se il sistema rileva un errore al momento della dislocazione di archivi, genera un inserimento nella Lista eventi cronologica (CEL) dopo che è trascorso l´intervallo impostato.

      Se non è possibile leggere un file ARX, esso viene rinominato in .ar_ e il sistema usa il prossimo file.
      Default: 12

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Proprietà delle variabili
    • Allarmi/CEL nel gruppo Valori limiti

      Interno ID: Definire eventi per la CEL

      Valori limiti

      Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

      Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

      Interno ID: Definire eventi per la CEL

      Matrice di reazione attiva

      Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
      Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
      Default: Disabilitata (Valori limiti disponibili).

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Definire eventi per la CEL

      Allarmi/CEL

      Proprietà per gli allarmi e per la Lista cronologica eventi (CEL).

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Gruppo Salvataggio in CEL nel nodo Setta valore impostabile

      Interno ID: Definire eventi per la CEL

      Setta valore impostabile

      Proprietà per la definizione dei valori impostabili.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Definire eventi per la CEL

      Salvataggio in CEL

      Proprietà di archiviazione nella Lista Cronologica Eventi (CEL).

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Protocolla modifiche di valori impostabili

È possibile effettuare delle modifiche di valori impostabili usando diversi meccanismi. Essi vengono poi protocollati secondo impostazione e modulo nella CEL.

Parametri

Descrizione

Protocollaggio di Imposta valore impostabile Settare valore impostabile

Per ogni variabile si può definire il protocollaggio di modifiche di valori impostabili. A tal scopo sono a Vostra disposizione nella proprietà Salvataggio di del gruppo Setta valore impostabile le seguente opzioni:

Interno ID: Definire eventi per la CEL

Salvataggio di

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

Tutti: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
Niente: nessun´azione "Set value" viene protocollata nella CEL.
Solo tramite elemento dinamico: Vengono protocollate nella CEL solo le azioni "Set value" eseguite tramite un elemento dinamico.
Default: Solo tramite elemento dinamico

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tutti: Vengono protocollate tutte le modifiche effettuate tramite elementi dinamici e la funzione Settare valore impostabile.

Niente: Le modifiche non vengono protocollate.
Solo tramite elementi dinamici: solo se si setta il valore impostabile tramite elementi dinamici un corrispondente inserimento viene messo a protocollo, non se la modifica avviene attraverso la funzione Settare valore impostabile.

Valore vecchio e nuovo

Grazie alla proprietà Vecchio e nuovo valore si stabilisce se deve essere messo a protocollo solo il nuovo valore o anche il vecchio.

Interno ID: Definire eventi per la CEL

Vecchio e nuovo valore

Attiva: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
Non attiva: viene protocollato solamente il nuovo valore.
Default: inattiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà ha effetto anche su Settare valore impostabile tramite:

  • Elemento dinamico
  • Funzione Setta valore impostabile
  • Settare valore impostabile tramite VBA

Settare valore impostabile tramite VBA

Se si attiva la funzione Settaggio dati tramite VBA, le modifiche apportate al valore impostabile tramite VBA vengono protocollate nella CEL.

Interno ID: Definire eventi per la CEL

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: Attiva

Indicazione: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ricette standard e Manager gruppi ricette

Per quello che concerne le Ricette standard e il Manager gruppi ricette, il protocollaggio viene gestito mediante le proprietà del gruppo Salvataggio di nel nodo Lista eventi cronologica (CEL).

PFS / Schedulatore

Il Production and Facility Scheduler e lo Schedulatore protocollano tutte le modifiche di valori impostabili nella lista eventi cronologica. Questa impostazione non è configurabile.

Indicazione: Viene protocollato solamente il nuovo valore. Non si tiene conto della proprietà Lista eventi cronologica (CEL).


Controlla Scrivi valore impostabile

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Definire eventi per la CEL -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo, non è stato possibile settare il valore.

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di stati permane finchè non viene inviato una nuova modifica di valore. Poi entrambi gli stati vanno a 0, finchè il procedimento di scrittura non è concluso. Come valore in risposta deve essere richiesta nella matrice la seguente combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attenzione Attenzione

Il meccanismo deve solo verificare che il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore è stato modificato nel PLC, poichè esso può rispedire indietro la modifica e sovrascrivere subito il valore. (Per esempio nella scrittura su uscite o bit di appoggio, che vengono settati solamente a breve termine.)

Module

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valori impostabili: Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .

    Interno ID: Controlla Scrivi valore impostabile

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Manager gruppi ricette: Attivare proprietà Scrittura sincrona.

Inserimento nella CEL

  • Setta valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

    Interno ID: Controlla Scrivi valore impostabile

    Funzioni settaggio valore

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
    Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
    Default: non attiva
    Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

    Interno ID: Controlla Scrivi valore impostabile

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Controlla Scrivi valore impostabile

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Lunghezza di testo statico di valore limite CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Definire eventi per la CEL -> Lunghezza di testo statico di valore limite CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´aiuto di questa proprietà Lunghezza testo statico per valori limiti CEL potete stabilire di quanti caratteri può consistere il testo di segnalazione nella CEL. Per ogni file CEL viene memorizzata la lunghezza permessa del testo di segnalazione nell´header. La modifica di questa proprietà avrà effetto solo quando viene generato un nuovo file CEL.

Interno ID: Lunghezza di testo statico di valore limite CEL

Lunghezza testo statico per valori limiti CEL

Lunghezza del testo di valore limite statico nella CEL in caratteri.

Stabilisce qual è il numero massimo di caratteri di cui può constare il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

Minimo: 127

Massimo: 1023

Default: 127

Limitazione: In caso di dBase-Export, la lunghezza è limitata a 256 caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: in caso di dBase-Export, la lunghezza è limitata a 254 caratteri.

CEL.BIN e rete

Nel file CEL.BIN sono salvati dei testi di segnalazione come stringhe dalla lunghezza variabile i quali vengono poi trasmessi in rete. Il che significa che gli inserimenti CEL che provengono dal buffer circolare non sono limitati in quanto alla lunghezza indipendentemente dalla proprietà Lunghezza testo statico per valori limiti CEL.


Progettazione CEL mediante filtri

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Progettate le caratteristiche della visualizzazione degli eventi durante il Runtime servendovi dei filtri. Avete diverse possibilità di farlo:

  1. definire le informazioni che, durante il Runtime, devono essere visualizzate nella CEL:
    in tal modo stabilite quali informazioni devono essere visualizzate in relazione ad un determinato evento.
    Per i dettagli sull´argomento vedi: impostazioni colonna per la Lista eventi cronologica.
  2. filtrare eventi per la CEL quando essa viene aperta e modificarli nel Runtime:
    In tal modo predefinite dei filtri, date all´operatore che lavora con il macchinario la possibilità di definirne dei propri.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine CEL.
  3. Definire in modo fisso filtri per il Runtime:
    In tal modo create dei filtri pensati per rispondere alle esigenze del loro uso concreto e nascondete i criteri di filtro non utili.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine CEL Filtro.


Impostazioni colonna per la Lista eventi cronologica.

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Impostazioni colonna per la Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quali informazioni devono essere visualizzate durante il Runtime nella CEL, lo stabilite nelle impostazioni colonne. Queste ultime le configurate in corrispondenza di una funzione Cambio immagine nei criteri di filtro, oppure direttamente nelle proprietà della lista informazione allarmi nel progetto:

  1. aprite nelle Proprietà di progetto il nodo Lista eventi cronologica (CEL)

    Interno ID: Impostazioni colonna per la Lista eventi cronologica.

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate sulla proprietà Impostazioni colonne CEL

    Interno ID: Impostazioni colonna per la Lista eventi cronologica.

    Impostazioni colonne CEL

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
    Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

    Interno ID: Impostazioni colonna per la Lista eventi cronologica.

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si aprirà il dialogo per le Impostazioni collona
  4. Indicazione: per il calcolo della larghezza delle colonne, il sistema si riferisce alla larghezza media del carattere scelto.

Info Informazioni

Nelle impostazioni di progetto, potete adottare una proprietà di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default. L´impostazione viene salvata nel file project.ini.

Interno ID: Impostazioni colonna per la Lista eventi cronologica.

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Impostazioni colonna per la Lista eventi cronologica.

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.

  • Descrizione

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Indicazione: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza della colonna:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Indicazione: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe-allarmi/eventi
  • Simbolo gruppo-allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta l´inserimento selezionato verso l´alto.

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta l´inserimento selezionato verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni tabelle

Ordina in andamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra la griglia:

mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

  • Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.
  • Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millesecondi.

Indicazione: deve essere attivata se si vuole un´emissione in millesecondi di export o stampe.

Un consiglio: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attenzione Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato. Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate caratteri proporzionali, come, ad es. Courier New.


Filtri per cambio ad immagine CEL.

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con i filtri stabilite quali eventi devono essere visualizzati durante il Runtime e quali devono essere invece nascosti. I filtri possono essere definiti nell´Editor e - a seconda di quanto fissato nell´Editor - nel Runtime.

Per adattare la selezione dei filtri nel Runtime alle esigenze dell´operatore, usate invece che l´immagine Lista eventi cronologica, un´immagine del tipo Lista eventi cronologica Filtro.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica
  2. verrà aperto il dialogo filtro che presenta diverse schede con criteri di filtro:
    • Generale
    • Tempo
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Definizione d´impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamento
    • Sostituisci indice
    • Per i dettagli, Vi invitiamo a leggere nella guida dedicata alle Immagini i capitoli Sostituisci collegamenti di variabili e funzioni e Simbolo collegato.


Generale

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo del filtro generale stabilite quali eventi devono essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli eventi sulla base di:

  • Tipo
  • Origine dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Parametri

Descrizione

Filtro variabili

Limitazione agli eventi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Rispetta minuscolo/maiuscolo

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Origine dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni runtime

Comportamento della CEL durante il runtime.

Apri lista bloccata

attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta CEL.)

Proporre questo dialogo nel runtime

attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate.

Mostra tempo relativo

Tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi/classi allarmi/eventi, aree allarmi.

Selezione di gruppi, classi e aree allarmi.

Gruppi allarmi/eventi

Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Classi allarmi/eventi

Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

attenzione Attenzione

Riguarda zenon sotto Windows CE: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Tempo

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I filtri tempo offrono la possibilità di limitare le date che devono essere visualizzate o esportate. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I meccanimi qui descrutti valgono nel caso del cambio immagine, ma anche in caso di Export per:

  • Lista di informazioni allarmi
  • Lista Eventi Cronologica
  • Elaborazione archivio:
  • Trend esteso
  • Generatore di rapporti
  • Report Viewer

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica ciclo temporale nell´Editor
    Vengono utilizzati intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.

Per l´impostazione Imposta filtro su tipo filtro tempo si può selezionare l´opzione Mostra dialogo filtro nel Runtime, ma essa non è disponibile durante il Runtime.


Filtro tempo modificabile a piacere nell´editor (usa tempi progettati in prcedenza).

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Tempo -> Filtro tempo modificabile a piacere nell´editor (usa tempi progettati in prcedenza).

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Filtro tempo modificabile a piacere nell´editor (usa tempi progettati in prcedenza).

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  3. selzionate nella lista a cascata Selezione intervallo di tempo l´impostazione Imposta filtro su tipo filtro tempo

    Indicazione: l´opzione Mostra dialogo filtro nel Runtime può essere selezionata, ma non è disponibile nel Runtime l´opzione Imposta filtro su tipo filtro tempo per l´impostazione.

  4. selezionate l´intervallo di tempo dalla lista a cascata Tipo filtro tempo

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.

Nel Report Viewer e nella Post-elaborazione archivio con questa impostazione si mostrano tutti gli inserimenti a partire dal 1/ 1/ 2000.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Indicare intervallo nell´editor

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Tempo -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attenzione Attenzione

Se usate questo tipo di filtro, non potete adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.

    Un consiglio: attivate nel dialogo filtro della scheda Generale l´opzione Mostra dialogo filtro nel Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
    Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

  3. selezionate nella lista a cascata Selezione intervallo di tempo il filtro desiderato;
    Eccezione: Imposta filtro su tipo filtro tempo - questo è previsto per l´opzione Filtro tempo adattabile nel Runtime
  4. configurate l´intervallo di tempo selezionato

Parametri

Descrizione

Imposta filtro al tipo filtro tempo

attiva la possibilità di adattare nel Runtime il filtro.

Un giorno

Il filtro avviene per un giorno intero:
dalle 00:00:00 alle 23:59:59.

Una settimana

Il filtro avviene per un´intera settimana:
da lunedì alle 00:00:00 fino a domenica alle 23:59:59.

Due settimane

Il filtro avviene per due settimane intere:
dal lunedì della prima settimana alle 00:00:00 a domenica della seconda settimana alle 23:59:59.

Un mese

Il filtro avviene per un mese intero:
dal primo del mese alle 00:00:00 fino all´ultimo del mese alle 23:59:59.

Un anno

Il filtro avviene per un anno intero:
dal primo gennaio dell´anno alle 00:00:00 fino al 31 dicembre dell´anno alle 23:59:59.

15 minuti

Il filtro viene effettuato per un intervallo di tempo di 15 minuti.

30 minuti

Il filtro viene effettuato per un intervallo di tempo di 30 minuti.

60 minuti

Il filtro viene effettuato per un intervallo di tempo di 60 minuti.

Periodo relativo

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita la funzione, viene visualizzato un dialogo per mezzo del quale si può inserire un intervallo di tempo relativo in giorni, ore (HH), minuti (MM) e secondi (SS).

Attenzione! l´intervallo di tempo selezionato si riferisce al punto di apertura. L´intervallo di tempo filtrato viene stabilito in modo fisso.
Esempio: quando si attiva la funzione sono le 10:23:00. Voi impostate un intervallo di tempo relativo di un´ora. Il filtro viene impostato dalle 9:23:00 alle 10:23:00.

Periodo assoluto

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare un intervallo di tempo assoluto. Definite il punto iniziale e quello finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Charge

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare una charge Il filtro tempo viene impostato sull´intervallo della charge. Potete, ad esempio, effettuare il filtro degli allarmi oppure di tutti gli inserimenti CEL che si verificano durante una charge.

Avvertenza: Il filtro mostra solamente le charge già terminate.

Charge relativo

Solo per Trend esteso.

La rappresentazione parte sempre dal punto zero. Consente un confronto diretto di diversi charge.

Opzioni

Per tutti gli intervalli tempo (fatta eccezione per intervallo tempo assoluto e relativo, nonché charge) sono possibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Usare ultimo intervallo tempo terminato

attivo: Si usa sempre l´intervallo di tempo attuale. Se l´opzione è attiva, invece, viene visualizzato l´intervallo di tempo precedente.

Esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

Sposta intervallo di tempo indietro di

Attivo: l´intero intrevallo di tempo viene spostato indietro del tempo indicato. La lunghezza di periodo di tempo non è influenzata da questa impostazione.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. Nel runtime, il filtro non inizierà allo scoccare dell´ora, ma sempre 5 minuti più tardi, cioè, per esempio, alle 10:05:00, alle 11:05:00 ecc. Ma l´operazione di filtro riguarda sempre 60 minuti, cioè, per esempio, dalle 11:04:59 alle 12:04:59, ecc.

Tempo

Definisce il fuso orario in termini di ore (HH), minuti (MM) e secondi (SS).

Modifica il periodo di tempo di

Attivo: l´intevallo di tempo filtrato viene accorciato o allungato.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. L´opzione conta anche il tempo indicato è settata. Nel runtime

non si filtra solamente il periodo di tempo di 60 minuti, ma 65 minuti, cioè, per esempio, dalle 10:00:00 alle 11:04:59.

Tempo

Definisce il tempo che accorcia o allunga il periodo di tempo preso in considerazione per il filtro. in ore (HH), minuti (MM) e secondi (SS).

conta anche il tempo indicato

L´intervallo di tempo selezionato viene allungato aggiungendo il tempo indicato.

sottrai tempo indicato

L´intervallo di tempo selezionato viene accorciato sottraendo il tempo indicato.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Impostazioni colonne

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo dialogo definirete quali colonne volete che siano visualizzate, in quale forma, successione ed ordine.

Indicazione: tutte le impostazioni che effettuerete in questa cartella valgono come impostazioni di default per:

  • Tipo d'immagine lista informazioni d´allarme
  • Immagine del tipo Filtro Lista di informazione allarmi
  • Riga di stato degli allarmi.
  • Immagine del tipo Lista eventi cronologica
  • Immagine del tipo Lista eventi cronologica Filtro

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni d´allarme/CEL.

Info Informazioni

Nelle impostazioni di progetto, potete adottare una proprietà di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default. L´impostazione viene salvata nel file project.ini.

Interno ID: Impostazioni colonne

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Impostazioni colonne

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Impostazioni colonne

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: Impostazioni colonne

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.

  • Descrizione

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Indicazione: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza della colonna:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Indicazione: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe-allarmi/eventi
  • Simbolo gruppo-allarmi/eventi
  • Stato di allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta l´inserimento selezionato verso l´alto.

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta l´inserimento selezionato verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni tabelle

Ordina in andamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra la griglia:

mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

  • Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.
  • Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millesecondi.

Indicazione: deve essere attivata se si vuole un´emissione in millesecondi di export o stampe.

Un consiglio: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attenzione Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato. Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate caratteri proporzionali, come, ad es. Courier New.

Info Informazioni

Se avete progettato variabili con unità, quest´ultima viene visualizzata quando viene inserita la variabile nella Lista eventi cronologica. Il presupposto perché ciò avvenga è che Vi facciate visualizzare il tipo di colonna Unità.


Testo

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Filtra secondo |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo input | Indicate le parole corrispondenti, oppure la catena di caratteri.
Opzioni |
Rispetta minuscolo/maiuscolo | Attivo: per la denominazione, si distingue fra lettere maiuscole e minuscole.
Le paorole non devono essere presenti nel testo nella loro interezza. | Attivo: anche parti di parole vengono tenute in considerazione nell´effettuazione dell´operazione di filtro.
Perlomeno una parole deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto. | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Stato

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lo stato del checkbox indica se il bit di stato deve essere analizzato.

Stato del checkbox | Descrizione
punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Esempio Esempio

Se il checkbox SPONT è settato su 1, vengono visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Indicazione: Dettagli sui bit di stato li potete trovare nel capitolo Elaborazione stato.


Progetto

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezione dei progetti di cui si deve tener conto per la CEL. Il filtro per la selezione dei sottoprogetti è a disposizione solamente nel Progetto di integrazione della Gestione multiprogetto.

La selezione nell´ambito del progetto di integrazione e di tutti i sottoprogetti avviene per multiselect tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Definizione d´impianto

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Definizione d´impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel filtro vengono visualizzati tutti i Modelli impianto già esistenti. Mediante il menu contestuale o la barra di menu è possibile impostare nuovi modelli e gruppi.

Per aggiungere dei gruppi al filtro:

  1. selezionate l´elemento desiderato
  2. cliccate sul pulsante Aggiungi
  3. ripetete l´operazione finché tutti i gruppi necessari non sono contenuti nella lista
    (non è possibile una selezione multipla)

Per eliminare dei gruppi dal filtro:

  1. selezionate gli elementi desiderati
    (Multiselect: tenere premuto il tasto Ctrl oppure quello Shift e cliccare sull´elemento desiderato).
  2. Cliccate sul pulsante Cancella

Elemento | Descrizione
Modello impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | aggiunge alla lista filtro il gruppo selezionato.
Rimuovi | rimuove dalla lista filtro il gruppo selezionato.


Filtri per cambio ad immagine CEL Filtro.

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per progettare un tipo di immagine Lista eventi cronologica Filtro:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica Filtri
  2. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Tempo


Immagini

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Il filtro viene ripreso dalla seguente immagine

Immagine che apre

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Indicazione: le impostazioni nelle schedeGenerale, Testo e Tempo sono bloccate.

Selezione immagini

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Indicazione: ha senso solamente selezionare un´immagine che può riprendere o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Indicazione: non disponibile se avere attivato la checkbox Immagine che apre.

Immagine da attualizzare

Selezione immagini

Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.

Aggiornamento

Aggiorna su tutti i monitor

attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo del filtro generale stabilite quali eventi devono essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli eventi sulla base di:

  • Tipo
  • Origine dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Parametri

Descrizione

Filtro variabili

Limitazione agli eventi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oder xxx*.

Rispetta minuscolo/maiuscolo

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Origine dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni runtime

Comportamento della CEL durante il runtime.

Apri lista bloccata

attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta CEL.)

Proporre questo dialogo nel runtime

attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate.

Mostra tempo relativo

Tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi/classi allarmi/eventi, aree allarmi.

Selezione di gruppi, classi e aree allarmi.

Gruppi allarmi/eventi

Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Classi allarmi/eventi

Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

attenzione Attenzione

Riguarda zenon sotto Windows CE: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Testo

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Filtra secondo |
Nessun filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo input | Indicate le parole corrispondenti, oppure la catena di caratteri.
Opzioni |
Rispetta minuscolo/maiuscolo | Attivo: per la denominazione, si distingue fra lettere maiuscole e minuscole.
Le paorole non devono essere presenti nel testo nella loro interezza. | Attivo: anche parti di parole vengono tenute in considerazione nell´effettuazione dell´operazione di filtro.
Perlomeno una parole deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto. | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Tempo

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definite in questa scheda l´intervallo che deve essere usato all´apertura dell´immagine filtro.

Sono disponibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.


Buffer circolare CEL

Manuale -> CEL – Lista eventi cronologica. -> Progettare la CEL -> Buffer circolare CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Non appena compaiono, gli eventi vengono salvati in un buffer circolare (cel.bin) e un file eventi (*.cel) nella cartella runtime.

Buffer circolare

Il buffer circolare contiene gli eventi in attesa. Essi vengono gestiti con:

  • tempo entra in millesecondi come firma univoca

Dimensioni del buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.

Interno ID: Buffer circolare CEL

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Interno ID: Buffer circolare CEL

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Durante il Runtime, i vecchi inserimenti vengono lasciati nella lista al momento dell´apertura dell´immagine CEL. Non appena ne vengono aggiunti dei nuovi, il numero degli inserimenti visualizzati può superare la dimensione progettata per il buffer circolare. Quando si apre nuovamente la lista, i vecchi inserimenti verranno cancellati in modo tale da rispettare la dimensione progettata. Questo comportamento serve a far in modo che si possa evitare la perdita di dati a lista aperta.

Attenzione: la visualizzazione di inserimenti in una misura che supera il valore definito, ha la conseguenza di occupare una parte della memoria di lavoro. Essa non viene resa di nuovo disponibile al momento di una riapertura del sistema, ma continua a rimanere occupata.

Salva buffer circolare

Il buffer circolare viene salvato automaticamente alla chiusura del runtime come cel.bin. Se il runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

Interno ID: Buffer circolare CEL

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Attiva: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File eventi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file CEL proprio (*.cel). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati CEL. Il nome del file consta della lettera C, seguita dalla data espressa nella formaJJMMTT e la desinenza.cel, per es. C100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.cel vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Interno ID: Buffer circolare CEL

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Buffer circolare e dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.

Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).
Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file CEL vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file CEL.

Tempi di salvataggio

Il *.cel Lista eventi cronologica viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

    Interno ID: Buffer circolare CEL

    Salva buffer AML-CEL

    Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

    Ulteriori informazioni nella guida in linea

Indicazione: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella CEL e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.


Funzioni

Manuale -> CEL – Lista eventi cronologica. -> Funzioni

Tramite funzioni si può gestire durante il Runtime la visualizzazione e la gestione della CEL.

attenzione Attenzione

Se le funzioni sono usate in rete, tenete presente il loro luogo di esecuzione.


Funzioni nella rete

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni nella rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se delle funzioni devono essere utilizzate in rete, si deve tener conto del loro luogo di esecuzione:

Nel caso di funzioni che vengono usate in rete:

  • il luogo nel quale esse vengono eseguite può essere in alcuni casi configurato liberamente
  • in altri casi tale luogo è definito in modo fisso

Info Informazioni

Gli script legano insieme diverse funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singoli funzioni.

Configura luogo di esecuzione

Nel caso delle funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente ha a disposizione i parametri corrispondenti, che si trovano nelle proprietà della funzione. Per definire il luogo di esecuzione:

  1. Navigate nelle proprietà della funzione fino a giungere al gruppo Esecuzione:

    Interno ID: Funzioni nella rete

    Esecuzione:

    Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione si esegue sul calcolatore attuale.

      Interno ID: Funzioni nella rete

      PC attuale

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul computer sul quale è stata avviata.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Server: la funzione si esegue sul server.

      Interno ID: Funzioni nella rete

      Server

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul server di progetto.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Standby: la funzione si esegue sul server.

      Interno ID: Funzioni nella rete

      Standby

      Disponibile solamente in progetti di rete ridondati:
      La funzione viene eseguita solo sul Server Standby

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Client: la funzione si esegue su tutti i clients.

      Interno ID: Funzioni nella rete

      Client

      Disponibile solamente in progetti di rete:
      la funzione viene eseguita su tutti i client del progetto.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visione generale - Funzioni in rete

La seguente tabella mostra quali funzioni vengono eseguite in quale posto.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Si

    -: No

    O: default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Calcolatore attivo
    • Server
    • standby
    • client

Funzione | Configurabile | PC attuale | Server | Standby | Client
AML e CEL |  |  |  |  |
Ripristino lampeggio allarmi | - | O |  |  |
Cancellazione allarmi | - |  | O | O |
Ripristina allarmi | - |  | O | O |
Attiva_disattiva gruppo allarmi_eventi | - | O |  |  |
Attiva/disattiva lista allarmi/gruppo allarmi/eventi/classi allarmi/eventi. | - |  | O | O |
Lista di informazione allarmi attiva | - |  | O |  |
Lista allarmi attiva/inattiva | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta AML | + | O |  |  |
Lista allarmi e CEL: Salvataggio buffer circolare | - |  | O | O |
Esporta CEL | + | O |  |  |
Stampa AML e CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia stampa online di una nuova pagina | + | O |  |  |
Cambio stampa online | - |  | O |  |
Applicazione |  |  |  |  |
Selezione stampante | + | O |  |  |
Partenza EMS | - |  | O |  |
Stop EMS | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Attiva funzioni per valori limite | - |  | O | O |
Attiva/distattiva funzioni per valori limite | - |  | O | O |
Disattiva funzioni per valori limite | - |  | O | O |
Richiama l’Help | + | O |  |  |
Aggiorna il progetto | + | O |  |  |
Determinare le operazioni di manutenzione aperte | - |  | O |  |
PFS - Attiva evento definito dall´utente | + | O |  |  |
Attivare/disattivare "Setta valore impostabile": | - | O |  |  |
Simulazione click tasto destro | + | O |  |  |
Salva dati ritentivi | + | O |  |  |
Terminare il runtime | + | O |  |  |
Analizzare euristica S7-Graph | + | O |  |  |
SAP-Esegui funzione | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca messa a terra | - |  | O |  |
Topologia - LoadShedding | - |  | O |  |
Server archivi |  |  |  |  |
Terminare archivio | - |  | O | O |
Indicizzare archivio | - |  | O |  |
Partenza archivio | - |  | O | O |
Esporta archivi | - | O |  |  |
Mostra archivi aperti | - |  | O | O |
Gestione utenti |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Logout | + | O |  |  |
Modifica password | - | O |  |  |
Immagini |  |  |  |  |
ALC - Modifica colore fonte | + | O |  |  |
Cambio immagine con Variabile | - | O |  |  |
Immagine: chiudi | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Attiva impostazione su elemento focalizzato | +- | O |  |  |
Focalizzazione sul modello | + | O |  |  |
Sposta focus | - | O |  |  |
Elimina focalizzazione dal modello | + | O |  |  |
Visualizza menu | + | O |  |  |
Assegna monitor | + | O |  |  |
Profili runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Ricerca errori in reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control Indicazione: teoricamente, i luoghi di esecuzione possono essere configurati a piacere. Le modifiche non hanno nessun effetto. Message Control viene eseguito sempre sul server. |  |  |  |  |
Visualizza banca dati dei destinatari | + | O |  |  |
Invia messaggio | + | O |  |  |
Messaggio invia: attivare | + | O |  |  |
Messaggio invia: disattivare. | + | O |  |  |
Rete |  |  |  |  |
Autorizzazione in rete | + | O |  |  |
Commutazione ridondanza | - |  |  | O |
Generatore di rapporti |  |  |  |  |
Stampare report | + |  |  |  |
Eseguire report | + |  |  |  |
Esporta report | + |  |  |  |
Ricette |  |  |  |  |
Manager gruppi ricette | - | O |  |  |
Ricette Standard | - | O |  |  |
Richiamo diretto ricetta standard | + | O | O | O | O
Richiamo ricetta singola con selezione | - | O |  |  |
Ricetta standard con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script. | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esportazione Dati | - |  | O |  |
Leggere file dBase | + | O |  |  |
Stampa valori momentanei | + | O |  |  |
Cambio unità | + | O |  |  |
Gestione HD on | - |  | O | O |
Gestione HD off | - |  | O | O |
Gestione HD off/active | - |  | O | O |
Setta valori impostabili | - |  | O |  |
Comandi driver | - | O |  |  |
Funzione Trasmetti driver-immagine di simulazione allo standby | - |  |  |  | O
Scrivere ora nella variabile | + | O |  |  |
Leggere ora da variabile | + | O |  |  |
VBA |  |  |  |  |
Aprire l’editor PCE | - |  | O |  |
Aprire l’editor VBA | + | O |  |  |
Esegui macro VBA | + | O |  |  |
VBA macro - Visualizza il dialogo | + | O |  |  |
VSTA |  |  |  |  |
Aprire l’editor VSTA | + | O |  |  |
Esegui macro VSTA | + | O |  |  |
Visualizza dialogo delle macro VSTA | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Start file audio continuo | + | O |  |  |
Stop file audio continuo | + | O |  |  |
Sullo sfondo | - | O |  |  |
In primo piano | - | O |  |  |
Stampa Screenshot | + | O |  |  |
Lancia programma | + | O |  |  |


Modifica immagine CEL

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Modifica immagine CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aprire un´immagine del tipo Lista eventi cronologica durante il Runtime:

  1. impostate un´Immagine del tipo Lista eventi cronologica
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

È possibile modificare queste proprietà di filtro durante il Runtime. Eccezione: Nell´Editor sono stati definiti filtri di tempo fissi.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo CEL:

  1. selezionate nel menu contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo CEL
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Generale
    • Tempo
    • Impostazioni colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Definizione d´impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamento
    • Sostituisci indice

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.


Cambio immagine Filtro CEL

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Cambio immagine Filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aprire un´immagine del tipo Lista eventi cronologica Filtro durante il Runtime:

  1. impostate una Immagine del tipo Lista eventi cronologica Filtro
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

Le proprietà di filtro possono essere gestite durante il Runtime solamente tramite i pulsanti definiti nell´immagine.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica Filtro:

  1. selezionate nel menu contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Lista eventi cronologica Filtro
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Tempo

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.


Funzioni per la Lista eventi cronologica.

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Diverse funzioni consentono la gestione di eventi durante il Runtime.

Per creare una funzione per la Lista eventi cronologica:

  1. navigate per raggiungere il nodoFunzioni
  2. selezionate nel menu contestuale oppure nella barra dei simboli il comando Nuova funzione
  3. si apre il dialogo per selezionare le funzioni
  4. navigate per raggiungere il nodoAML/CEL

  5. Selezionate la funzione desiderata.
  6. configurate la funzione, se necessario
  7. collegate la funzione ad un bottone


Lista allarmi e CEL: Salvataggio buffer circolare

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Lista allarmi e CEL: Salvataggio buffer circolare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo di questa funzione, il contenuto del buffer circolare per allarmi e eventi, nonché i valori delle variabili matematiche possono essere salvati durante il Runtime. Gli inserimenti vengono salvati nei seguenti file:

File

Contenuto

Grandezza impostabile mediante la proprietà

ALARM.BIN

Allarmi

Dimensione buffer circolare

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

CEL.BIN

Inserimenti della lista eventi cronologica

Dimensione buffer circolare

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Interno ID: Lista allarmi e CEL: Salvataggio buffer circolare

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SY_MA32.BIN

Valori di variabili matematiche (p.e. contatori)

Per salvare il buffer circolare AML:

  1. create una nuova funzione.
  2. selezionate Lista allarmi e CEL: Salvataggio buffer circolare
  3. collegate la funzione ad un bottone


Esporta CEL

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per mezzo di questa funzione, gli eventi salvati con criteri di filtro possono essere esportati durante il Runtime in un file o in una banca dati.

Per esportare degli inserimenti CEL:

  1. create una nuova funzione.
  2. selezionate esporta CEL
  3. si apre il dialogo per la selezione dei criteri di filtro
  4. definite i criteri per:
    • Formato di export
    • Generale
    • Tempo
    • Progetto
  5. collegate la funzione ad un bottone


Formato di export

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta CEL -> Formato di export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esportare è possibile in differenti formati:

  • dBase
  • CSV
  • XML
  • SQL

Info Informazioni

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.

Parametri

Descrizione

Formato di export

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Da tenere presente per dBase:

  • i nomi file non possono essere piú lunghi di 8 caratteri.
  • La larghezza colonna progettata viene usata per l´export. Se, per esempio, è impostato alla voce Impostazioni colonna un valore di 40 caratteri, verranno esportati al massimo solo 40 caratteri.
  • Vengono impostati al massimo255 caratteri.

Opzioni

Esporta in formato Unicode

Esportazione in ASCII effettuata in Unicode.

Esportare in modo incrementale

Vengono esportate solamente le differenze rispetto all´export precedente.

Export in file

Decisione di in quale file deve essere salvato l´export.

Nome del file

Imposta il nome file individualmente.

Al massimo 32 caratteri alfanumerici, inclusa fine nome file.

Indicazione: i file esistenti che portano lo stesso nome vengono sovrascritti.

Genera automaticamente nome file

attivo: Il nome file si genera automaticamente da una breve identificazione,da una chiave giornaliera e da un postfix.
Disattivato: Il nome file viene indicato dall´utente alla voce Nome file .

(File esistenti non vengono sovrascritti.)

Per i dettagli, vedi prossima tabella: Codificazione nome per assegnazione nome automatica

Postfix

Identificazione libera, individuale. È a disposizione solamente per Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

Esempio

Visualizzazione del nome file completo nel caso di generazione automatica.

Cartella di export impostata

Visualizzazione del percorso di esportazione attualmente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Interno ID: Formato di export

Nome/Cartella

Proprietà del nome e della cartella di salvataggio del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Formato di export

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Formato di export

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esportazione in banca dati SQL

Parametri per l´export in una banca dati SQL

Connessione a database

Configurazione della connessione alla banca dati. Un clic sul comando ... apre il dialogo di configurazione.

Tabella

Selezione della tabella in cui si deve scrivere.

Scheda Generale

Filtri generali. Vedi capitolo Progettazione allarmi tramite filtri, sezione Generale.

Scheda Tempo

Filtro tempo. Vedi capitolo Progettazione allarmi tramite filtri, sezione Tempo.

Progetto

Filtro progetto. Disponibile solamente nel Progetto di integrazione della Gestione multi-progetto.

Per la configurazione vedi capitolo Progettazione allarmi tramite filtri, sezione Progetto.

Codificazione nome per assegnazione nome automatica

Nome

AJJMMTTP.XXX

A

Identificazione breve della Lista allarmi

AAMMGG

Indicazione della data:

  • JJ: anno, a due cifre
  • MM: mese, a due cifre
  • TT: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

XXX

Fine del file:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formale

  • Formato degli inserimenti di riga: viene ripreso dalle impostazioni della proprietà Impostazione colonne AML o.Impostazioni colonne CEL.

    Interno ID: Formato di export

    Impostazioni colonne CEL

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
    Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

    Interno ID: Formato di export

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Formato di export

    Impostazione colonne AML

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
    Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

    Interno ID: Formato di export

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Separatore di colonne: punto e virgola (;)

attenzione Attenzione

Millesecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL, il tempo debba essere indicato in millesecondi, la proprietà Dialogo per le Impostazioni colonna deve essere attivato. Per far ciò:

  • passate alle proprietà di progetto, in particolare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)

    Interno ID: Formato di export

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Formato di export

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate sul pulsante ... della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL
  • si aprirà il dialogo per la impostazione collona
  • attivate la checkbox della proprietà millesecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Stampa AML e CEL

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Stampa AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione, gli eventi salvati con condizioni di filtro possono essere emessi tramite una stampante durante il Runtime.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Stampa AML o CEL
  3. si apre il dialogo per la selezione della lista

  4. selezionate Lista eventi cronologica
  5. si apre il dialogo per la selezione dei criteri di filtro
  6. definite i criteri per:
    • Generale
    • Tempo
    • Carattere: selezione fra i caratteri definiti inzenon
  7. collegate la funzione ad un bottone

Info Informazioni

Durante il Runtime non si può passare fra CEL e AML. Per poter stampare entrambe le liste, si deve procedere a progettare due funzioni.

struttura riga

Data/Ora ingresso | Data/ora uscita | Data/ora tacitato | Testo lungo | Testo di stato

La parole chiave a disposizione per il file di formattazione (BTB.FRM per stampa online e BTB_G.FRM per stampa offline) ed esempi del loro uso, li trovate nel capitolo File di configurazione FRM nella sezione Gestione durante il Runtime.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: Piè di pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progettoalla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Interno ID: Stampa AML e CEL

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..

    Interno ID: Stampa AML e CEL

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Interno ID: Stampa AML e CEL

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella gestione allarmi.

    Interno ID: Stampa AML e CEL

    Utilizza tempo di riattivazione

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Attiva: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
    Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
    Default: non attiva.

    Interno ID: Stampa AML e CEL

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

tedesco

Inglese

AML Offline

CEL Offline

AML Online

CEL Online

Descrizione

Parole chiave per la parte liste

@DATZEITKOMMT

@DTRECEIVED

X

X

X

X

Data e momento della comparsa dell´allarme

@DATZEITGEHT

@DTCLEARED

X

-

X

-

Data e momento della fine dell´allarme

@DATZEITOK

@DTACK

X

-

X

-

Data e momento del ripristino dell´allarme

@DATZEITREAKT

@DTREACTIVATE

X

-

X

-

Data e momento della riattivazione:

La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.

@DATZEIT

@DTLASTEVENT

-

-

X

-

Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEIT

@TLASTEVENT

-

-

X

X

Ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEITOK

@TACK

X

-

X

-

indica solamente il momento del ripristino

@ZTKOMMT

@TRECEIVED

X

X

X

X

indica solamente il momento della comparsa dell´allarme

@ZTGEHT

@TCLEARED

X

-

X

-

indica solamente il momento della fine dell´allarme

@ZTREAKT

@TREACTIVATE

X

-

X

-

indica solamente il momento della riattivazione

@TIMELASTING

@TACTIVE

X

-

X

-

Tempo di attesa (differenza fra Entra - Esce)

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@KANALNAME

@VARNAME

X

X

X

X

Nome variabile
CEL: solo inserimenti con variabili

@AK

@ACLASSNR

X

X

X

X

Nome classi allarmi/eventi

@AG

@AGROUPNR

X

X

X

X

Numero gruppi allarmi/eventi

@AGNAME

@AGROUPNAME

X

X

X

X

Nome del gruppo-allarmi/eventi

@AKNAME

ACLASSNAME

X

X

X

X

Nome della classe-allarmi/eventi

@TAGNR

@IDENTIFICATION

X

X

X

X

Identificazione (denominazione propria della ditta)

@AMELDUNG

@TEXT

X

X

X

X

Testo messaggio allarme

@REAKTANZ

@NRREACTIVATE

X

-

X

-

Numero di riattivazioni

@STATUS

@STATUS

X

X

X

X

Informazioni di stato come nella lista allarmi

@WERT

@VALUE

X

X

X

X

Valore variabile dell´allarme

@REAKTIONSTEXT

@COMMENT

X

X

X

X

Commento dalla lista allarmi

Nel caso si usi dei testi di valore limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attivi.

Interno ID: Stampa AML e CEL

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Stampa AML e CEL

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

@USER

@USERID

X

X

X

X

AML: Utente che ha confermato l´allarme

@RECHNER

@COMPUTER

X

X

X

X

AML: Calcolatore su cui l´allarme è stato confermato

Parole chiave per l´intestazione e il pie´ di pagina

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@SEITE

@PAGE

X

X

X

X

Numero di pagine

@HEADDATZEIT

@DTSYSTEM

X

X

X

X

Data sistema e ora sistema

@HEADDATUM

@DSYSTEM

X

X

X

X

Data sistema

@HEADZEIT

@TSYSTEM

X

X

X

X

Ora sistema

@USER

@USERID

X

X

X

X

Utente che stampa

@USERNAME

@USERNAME

X

X

X

X

Nome completo dell´utente che ha iniziato l´attività

@RECHNER

@COMPUTER

X

X

X

X

Calcolatore dal quale viene lanciata la stampa

[Testo]

[Testo]

Testo preferito nella riga di emissione nella stampante

attenzione Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millesecondi

attenzione Attenzione

Millesecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL, il tempo debba essere indicato in millesecondi, la proprietà Dialogo per le Impostazioni colonna deve essere attivato. Per far ciò:

  • passate alle proprietà di progetto, in particolare al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)

    Interno ID: Stampa AML e CEL

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stampa AML e CEL

    Lista di informazione allarmi

    Impostazione per la gestione di allarmi.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate sul pulsante ... della proprietà Impostazione colonne AML oppure Impostazioni colonne CEL

    Interno ID: Stampa AML e CEL

    Impostazioni colonne CEL

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
    Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

    Interno ID: Stampa AML e CEL

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stampa AML e CEL

    Impostazione colonne AML

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
    Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • si aprirà il dialogo per la impostazione collona
  • attivate la checkbox della proprietà millesecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Stampa online on/off

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´uso di questa funzione, la stampa online viene settata su uno stato:

  • on: avvia la stampa-online
  • off: termina la stampa-online
  • attivo/inattivo: cambia la stampa-online

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Cambio stampante-online
  3. si apre il dialogo per la selezione della lista

  4. Selezionate la funzione desiderata.
  5. collegate la funzione ad un bottone


Inizia stampa online di una nuova pagina

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Inizia stampa online di una nuova pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione gestite durante il Runtime il cambio pagina nel caso della stampa online:

La pagina attuale della stampa ottiene il piè di pagina progettato e un avanzamento pagina. Il contatore pagina viene rimesso a 1 e si stampa l'intestazione.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Inizia stampa online di una nuova pagina
  3. collegate la funzione ad un bottone


Cambio stampa online

Manuale -> CEL – Lista eventi cronologica. -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Cambio stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione permette di cambiare durante il funzionamento online la stampante.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate Cambio stampante-online
  3. si apre il dialogo per la selezione della stampante
  4. selezionate la stampante desiderata fra quelle presenti nella lista a cascata.
  5. collegate la funzione ad un bottone

Parametri | Descrizione
selezione stampante | Selezione della stampante desiderata fra quelle della lista a cascata.
Proporre questo dialogo nel runtime | attivo: In caso che la funzione venga eseguita, il dialogo viene aperto e la stampante può essere definita durante il Runtime.


Gestione durante il runtime

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime, la Lista eventi cronologica viene aperta mediante una Funzione di cambio immagine.

Gli elementi di controllo a disposizione e l´aspetto vengono progettati nell´Editor.

Parametri

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista Eventi Cronologica

Campo visualizzazione per la lista con i suoi eventi. L´aspetto è impostabile. Le colonne vengono definite tramite il filtro Impostazioni colonna nel cambio immagine; oppure si può utilizzare la proprietà Impostazioni colonne CEL che si trova nelle proprietà di progetto, più precisamente nel gruppo Lista eventi cronologica (CEL).

Interno ID: Gestione durante il runtime

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: Gestione durante il runtime

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visualizzazione: Filtri impostati

Mostra il filtro attualmente selezionato.

Filtri ..

Apre il dialogo filtro.

Ordina

Dopo l´apertura della CEL durante il Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Cliccando sul pulsante fa sì che la lista venga riordinata.

Per distinguere gli inserimenti ordinati da quelli non messi in ordine, si può assegnare ad ogni categoria un colore differente; a tal scopo utilizzate le proprietà Testi ordinati e Testi non ordinati.

Interno ID: Gestione durante il runtime

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva e solamente per SICAM 230.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Definisce il colore del testo utilizzato per gli inserimenti nella Lista eventi cronologica (CEL).
Indicazione:

1. Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.

Interno ID: Gestione durante il runtime

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
non utilizzare: I colori delle classi allarmi/eventi non vengono usati nella CEL durante il runtime.
Come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.
Come linea di sfondo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti
Default: come colore testo

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

2. Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Mostra tempi relativi

attivo: I tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stopp/Avanti

Gestisce l´accettazione di nuovi eventi nella lista durante la visualizzazione:

Stop: Non vengono più visualizzati nuovi inseimenti nella lista. Il pulsante modifica la sua didascalia in avanti.

Avanti: Possono essere inserite nuove immissioni nella lista. La scritta sul pulsante viene modificata in Stop. Per mettere in ordine cronologico dei nuovi inserimenti, si deve usare il pulsante Ordinamento.

Chiudi

Chiude la visualizzazione della Lista eventi cronologica e chiude l´immagine e il modello.

Per far sì che, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine del tipo CEL con un proprio modello.

Stampa

Stampa la lista nel modo in cui essa viene visualizzata al momento.

Dialogo di stampa

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Didascalia: Quantità totale

Aggiunge durante il Runtime il testo "totale". Deve essere seguito dal campo lista Quantità totale .

Quantità totale

Numero di tutti gli eventi della lista.

Informazioni: Stato CEL

Mostra durante il Runtime lo stato della CEL.

attivo: Gli eventi vengono protocollati nel progetto a seconda delle Impostazioni.

inattivo. Gli eventi non vengono protocollati.

Lo stato viene fissato mediante la proprietà Abilita CEL. Una modifica diviene effettiva solamente dopo che il Runtime è stato riavviato.

Didascalia: campo commento

Aggiunge durante il Runtime il testo "Commento". Deve essere seguito dal campo lista campo commento .

campo commento

Campo lista per l´inserimento da parte dell´utente di un testo a piacere per l´evento selezionato.

Non appena il campo perde il focus, viene ripreso il testo. Per visualizzare il testo anche nella CEL, si deve attivare la colonna Commento nella Definizione colonna.

Pulsante Stop/Avanti

Navigazione

Gestisce gli elementi della lista.

  • Riga in su

Passa alla riga superiore.

  • Riga in giù

Passa alla riga inferiore.

  • Colonna a destra

Passa alla colonna immediatamente a destra.

  • Colonna a sinistra

Passa alla colonna immediatamente a sinistra.

  • Pagina in su

Passa alla pagina superiore.

  • Pagina in giù

Passa alla pagina inferiore.

  • Pagina a destra

Passa alla pagina immediatamente a destra.

  • Pagina a sinistra

Passa alla pagina immediatamente a sinistra.

Profili filtro

Le impostazioni filtro che possono essere salvate dall'utente nel runtime.

  • Selezione profilo

Selezionare un profilo dalla lista.

  • Salva

Salvare un´impostazione come profilo

  • Elimina

Cancella il profilo selezionato.

Info Informazioni

Nell´elemento di controllo Mostra filtro viene visualizzato quello attuale.

Nel caso di un:

  • filtro di testo viene visualizzata la stampa [Txt]
  • fitro di tempo relativo viene visualizzata una stampa secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.

Configurazione della visualizzazione

Stabilite quali informazioni della CEL debbano essere visualizzate nelle Impostazioni colonna della progettazione CEL. Potete passare alle impostazioni colonna attraverso:

  • Proprietà di progetto -> Lista eventi cronologica (CEL) -> Impostazioni colonne CEL (solo scheda Impostazioni colonna )

    oppure

  • Funzione cambio ad un´immagine del tipo AML ( Tutte le schede)


Filtrare CEL

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Filtrare CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli eventi possono essere visualizzati durante il Runtime nei seguenti modi:

  • applicazione filtro durante il Runtime
  • cambio immagine con filtro predefinito per passare ad un´ immagine del tipo CEL

cambio immagine con filtro in concomitanza con l´apertura di un´immagine del tipo CEL

  • cambio ad un´immagine del tipo Lista eventi cronologica Filtro

Filtro durante il runtime

Nell´immagine del tipo CEL, si possono usare dei filtri durante il funzionamento Runtime. Al fine di filtrare gli eventi visualizzati nella CEL:

  1. deve essere stato progettato il pulsante Filtro
  2. cliccate sul pulsante
  3. si apre il Dialogo filtro della CEL

I filtri già impostati possono essere salvati nei Profili.

cambio ad un´immagine del tipo Lista eventi cronologica

Gli eventi possono essere visualizzati essendo già stati sottoposti ad un´operazione di filtro. Per far ciò:

  1. configurate un Filter per la funzione Cambio ad un´immagine del tipo CEL
  2. quando la si apre, la CEL viene visualizzata già filtrata
  3. nel caso in cui per la funzione sia stata attivata l´opzione Proponi dialogo a Runtime, il filtro può essere definito nuovamente prima della visualizzazione
  4. è poi possibile definire altre impostazioni di filtro durante il Runtime servendosi del pulsante Filtro

Cambio ad un´immagine del tipo Lista allarmi-Filtro

Al fine di rendere disponibili all´utente durante il Runtime solamente quei filtri di cui ha bisogno, usate l´immagine del tipo Lista eventi cronologica Filtro. Per far ciò:

  1. progettate un Cambio ad un´immagine del tipo Lista eventi cronologica Filtro
  2. servendovi di questa funzione, aprite la CEL durante il Runtime
  3. l´utente avrà una lista allarmi adattata alle sue esigenze personali


Profili filtro

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Filtrare CEL -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime.

Per poter utilizzare dei profili filtro, si devono progettare i seguenti elementi di controllo:

Parametri | Descrizione
Profili filtro | Gestione profilo
Selezione profilo | selezionare profilo salvato (lista a cascata).
Salva | Salvare impostazioni come profilo (pulsante)
Elimina | Cancellare profilo (pulsante X)

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

salvare profili filtro

Per creare un profilo filtro:

  1. definite delle condizioni di filtro durante il Runtime
  2. assegnate un nome nella proprietà Profili filtro
  3. cliccate su Salva.

Usare profili filtro

Per usare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. il filtro viene usato subito

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. Cliccate sul pulsante X
  3. il profilo viene cancellato
  4. si può continuare ad usare il filtro cancellato finché un nuovo filtro viene definto o selezionato


Usa filtro CEL

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Filtrare CEL -> Usa filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo CE.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicuare in tal modo una facile gestione mediante un touchscreen

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinto da un´immagine ad un´altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Elaborazione archivio: | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Lista di informazioni allarmi | X | C | T
Lista eventi cronologica Filtro | C | X | T
Lista di informazioni allarmi | X | C | T
Lista Eventi Cronologica | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

Info Informazioni

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


Stampa e esporta eventi

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Stampa e esporta eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli inserimenti della CEL possono essere documentati e archiviati come segue:

  • CEL stampa online: quando viene visualizzato nella lista, ogni evento viene emesso su un line printer
  • CEL stampa Offline: La CEL viene stampata allo stato attuale, come se fosse una lista completata
  • Esporta contenuti della CEL (filtrati)

La stampante da usare viene definita tramite File -> Configurazione generale -> Standard .

attenzione Attenzione

Per la stampa il sistema usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel settore File, nella cartella Testi e formati.

Dei modelli per il file FRM li trovate nella cartella di installazione di zenon, più precisamente nella sottocartella FRM_QRF. Essi possono essere inseriti nel settore Testi e formati e modificati in questa sede.

Le parole chiave per i file FRM le trovate nel capitolo FRM-File di configurazione.


Stampa online

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Stampa e esporta eventi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso della stampa Online, ogni evento con inserimento nella CEL viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente a ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per stampare online inserimenti della CEL:

  1. definite anzitutto una Stampante
  2. passate alla proprietà di progetto, in particolare al nodo AML e CEL

    Interno ID: Stampa online

    AML e CEL

    Proprietà per allarmi e Lista Eventi Cronologica (CEL).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate la proprietà Stampa attiva

    Interno ID: Stampa online

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selzionate in corrispondenza della proprietà Stampa per nella lista a cascata, la voce Lista eventi cronologica

    Interno ID: Stampa online

    Stampa per

    Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
    Consente di decidere se AML oppure CEL devono essere stampate online. Può essere stampata solamente una sola delle due liste.

    Lista allarmi: La Lista allarmi (AML) viene stampata online.
    Lista eventi cronologica: La Lista eventi cronologica(CEL) viene stampata online.
    Default: Lista di informazioni allarmi

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. fissate con la proprietàRighe per pagina il numero delle righe (Default: 72)

    Interno ID: Stampa online

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  6. configurate il file BTB.frm
  7. aggiungete il BTB.frm al nodo File/Testi e formati

Gestire stampa e stampante durante il Runtime

Cambio pagina

Si verifica un cambio pagina se:

  • una pagina è stata riempita nella sua interezza
  • nel caso della stampa online, se il Runtime viene chiuso
  • viene eseguita la funzione Stampa online Inizia nuova pagina

Interrompi stampa

Per interrompere la stampa online o per riprenderla:

  • eseguite la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in BTB.FRM:

Data: @DSYSTEM | lista allarmi progetto Demo | Tempo @TSYSTEM Ora | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | lista allarmi progetto Demo | Ora: ore 12 | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Stampa e esporta eventi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stampa offline significa che la CEL viene stampata nella forma in cui viene visualizzata al momento durante il Runtime. Questa stampa è l´immagine di un momento, compresi tutti i filtri settati e le loro limitazioni. La stampa avviene indipendentemente dal fatto se le variabili possiedono l´opzione Stampa .

Stampa

Per stampare la CEL offline:

  1. definite anzitutto una Stampante
  2. configurate il file BTB_G.frm
  3. aggiungete il BTB_G.frm al nodo File/Testi e formati
  4. cliccate durante il Runtime sul pulsante Stampa o Dialogo stampa

Cambiare e impostare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in BTB_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Ora: ore 12 | Testo
data-ora in entrata | Tempo di uscita | Testo messaggio | Testo di stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Stampa e esporta eventi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: Piè di pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progettoalla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Interno ID: File di configurazione FRM

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..

    Interno ID: File di configurazione FRM

    Righe per pagina

    Disponibile solamente se la proprietà Stampa attiva è attiva.
    Numero delle righe per pagina che vengono stampate con la stampa online.
    Minimo: 0

    Interno ID: File di configurazione FRM

    Stampa attiva

    Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
    Non attiva: non ha luogo nessuna stampa online.
    Default: Attiva

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Massimo: 65535
    Default: 72

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella gestione allarmi.

    Interno ID: File di configurazione FRM

    Utilizza tempo di riattivazione

    Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
    Attiva: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
    Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
    Default: non attiva.

    Interno ID: File di configurazione FRM

    Lista di informazione allarmi attiva

    Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
    Non attiva: gli allarmi non vengono registrati.
    Default: attiva:

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

tedesco

Inglese

AML Offline

CEL Offline

AML Online

CEL Online

Descrizione

Parole chiave per la parte liste

@DATZEITKOMMT

@DTRECEIVED

X

X

X

X

Data e momento della comparsa dell´allarme

@DATZEITGEHT

@DTCLEARED

X

-

X

-

Data e momento della fine dell´allarme

@DATZEITOK

@DTACK

X

-

X

-

Data e momento del ripristino dell´allarme

@DATZEITREAKT

@DTREACTIVATE

X

-

X

-

Data e momento della riattivazione:

La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.

@DATZEIT

@DTLASTEVENT

-

-

X

-

Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEIT

@TLASTEVENT

-

-

X

X

Ora di allarme in entrata o cancellato, o ripristinato o riattivato.

@ZEITOK

@TACK

X

-

X

-

indica solamente il momento del ripristino

@ZTKOMMT

@TRECEIVED

X

X

X

X

indica solamente il momento della comparsa dell´allarme

@ZTGEHT

@TCLEARED

X

-

X

-

indica solamente il momento della fine dell´allarme

@ZTREAKT

@TREACTIVATE

X

-

X

-

indica solamente il momento della riattivazione

@TIMELASTING

@TACTIVE

X

-

X

-

Tempo di attesa (differenza fra Entra - Esce)

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@KANALNAME

@VARNAME

X

X

X

X

Nome variabile
CEL: solo inserimenti con variabili

@AK

@ACLASSNR

X

X

X

X

Nome classi allarmi/eventi

@AG

@AGROUPNR

X

X

X

X

Numero gruppi allarmi/eventi

@AGNAME

@AGROUPNAME

X

X

X

X

Nome del gruppo-allarmi/eventi

@AKNAME

ACLASSNAME

X

X

X

X

Nome della classe-allarmi/eventi

@TAGNR

@IDENTIFICATION

X

X

X

X

Identificazione (denominazione propria della ditta)

@AMELDUNG

@TEXT

X

X

X

X

Testo messaggio allarme

@REAKTANZ

@NRREACTIVATE

X

-

X

-

Numero di riattivazioni

@STATUS

@STATUS

X

X

X

X

Informazioni di stato come nella lista allarmi

@WERT

@VALUE

X

X

X

X

Valore variabile dell´allarme

@REAKTIONSTEXT

@COMMENT

X

X

X

X

Commento dalla lista allarmi

Nel caso si usi dei testi di valore limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attivi.

Interno ID: File di configurazione FRM

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: File di configurazione FRM

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

@USER

@USERID

X

X

X

X

AML: Utente che ha confermato l´allarme

@RECHNER

@COMPUTER

X

X

X

X

AML: Calcolatore su cui l´allarme è stato confermato

Parole chiave per l´intestazione e il pie´ di pagina

@ANWENDUNG

@PROJECTNAME

X

X

X

X

Nome del progetto

@SEITE

@PAGE

X

X

X

X

Numero di pagine

@HEADDATZEIT

@DTSYSTEM

X

X

X

X

Data sistema e ora sistema

@HEADDATUM

@DSYSTEM

X

X

X

X

Data sistema

@HEADZEIT

@TSYSTEM

X

X

X

X

Ora sistema

@USER

@USERID

X

X

X

X

Utente che stampa

@USERNAME

@USERNAME

X

X

X

X

Nome completo dell´utente che ha iniziato l´attività

@RECHNER

@COMPUTER

X

X

X

X

Calcolatore dal quale viene lanciata la stampa

[Testo]

[Testo]

Testo preferito nella riga di emissione nella stampante

attenzione Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esporta eventi

Manuale -> CEL – Lista eventi cronologica. -> Gestione durante il runtime -> Stampa e esporta eventi -> Esporta eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono differenti formati per esportare gli inserimenti della CEL:

  • dBase
  • CSV
  • XML
  • SQL

Esportazione

Per esportare degli inserimenti CEL:

  1. impostate una funzione Esporta CEL
  2. collegate la funzione ad un bottone
  3. eseguite la funzione durante il Runtime

Info Informazioni

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.


Log modifiche progetto

Manuale -> Log modifiche progetto

Questa funzionalità offre la documentazione completa della progettazione. Tutti gli interventi in un progetto, come, ad esempio, modificare, cancellare, creare ecc, possono essere registrati in protocolli. Di default, il log delle modifiche di progetto è disattivato e deve essere attivato nell´editor.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Esporta tutti in CSV... | Esporta tutti gli inserimenti in un file CSV.
Attiva filtro avanzato | Apre il dialogo per la progettazione di impostazioni di filtro estese.
Disattiva filtri estesi. | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la progettazione di impostazioni di filtro esteso.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Log modifiche progetto -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il log delle modifiche deve essere attivato nell´editor. Per far ciò:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Log delle modifiche

    Interno ID: Progettazione nell'editor

    Log delle modifiche

    Proprietà per il log delle modifiche.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la proprietà Log delle modifiche attivo

    Interno ID: Progettazione nell'editor

    Log delle modifiche attivo

    Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
    Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate tramite la proprietà Livelli di dettaglio i dettagli che devono essere visualizzati:

    Interno ID: Progettazione nell'editor

    Livelli di dettaglio

    Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

    Selezione del livello di dettaglio fra quelli della lista a cascata.

    • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
    • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
    • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

    Default: Proprietà

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • oggetto: Vengono visualizzati solamente i nomi per gli oggetti modificati.
    • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
    • Cambio valori: In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il vecchio. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori. Questa impostazione consente il piu alto livello di dettaglio possibile.
  4. Nel caso di progetti multiuser, grazie alla proprietà Consenti modifiche automatiche, si può inoltre rendere disponibile automaticamente l´inserimento di un commento per l´accesso di scrittura;
    di default questa impostazione è disattivata, visto che essa può ridurre le performance del sistema.

    Interno ID: Progettazione nell'editor

    Consenti modifiche automatiche

    Disponibile solo in progetti Multi-utente e se il Log Modifiche è attivo
    Abilitata: Inserimento della lista vengono caricati automaticamente se vengono aggiunti dei commenti. Le modifiche devono essere accettate e mano.
    Disabilitata Default: Disabilitata.
    : I commenti possono essere aggiunti solamente dopo aver abilitato le modifiche per l’elemento.
    ATTENZIONE: Una volta attivata, questa funzionalità richiede molte risorse di sistema.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Protezione del log delle modifiche

L´attivazione/disattivazione del log delle modifiche possono essere protetti nei confronti dell´effettuazione di modifiche da parte di user non autorizzati. Per far ciò:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Gestione user

    Interno ID: Progettazione nell'editor

    Gestione user

    Impostazioni specifiche di progetto per l’amministrazione degli utenti.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. cliccate nel campo della proprietà Autorizz. Funz.

    Interno ID: Progettazione nell'editor

    Autorizz. Funz.

    Determinate funzioni di sistema (per esempio: carica progetto) possono essere bloccate facendo uso dei livelli di autorizzazione, rendendole inaccessibili ad utenti non autorizzati.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. si apre il Dialogo per la modifica della autorizzazione funzioni
  4. selezionate per attiva/disattiva log delle modifiche il livello di autorizzazione desiderato.


Log di modifiche progetto Visualizzazione dettagli Barra simboli e Menu contestuale

Manuale -> Log modifiche progetto -> Progettazione nell'editor -> Log di modifiche progetto Visualizzazione dettagli Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Filtro Moduli | Setta il filtro sul modulo dell´inserimento selezionato.
Filtro Oggetto | Setta il filtro sull´oggetto dell´inserimento selezionato.
Attiva filtro esteso | Attiva le proprietà per la configurazione di impostazioni di filtro esteso.
Disattiva filtro esteso | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la progettazione di impostazioni di filtro esteso.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Copiare | Copia l´inserimento selezionato negli appunti
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Esporta selezione in CSV | Esporta gli inserimenti selezionati in un file CSV.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Dati archiviati

Manuale -> Log modifiche progetto -> Dati archiviati

Quando il log delle modifiche di progetto è attivo, le modifiche vengono visualizzate sulla base delle impostazioni selezionate nella lista dettagliata del manager di progetto. Il primo inserimento documentato è l’attivazione del Log delle modifiche. Quando si disattiva il log delle modifiche, la disattivazione viene registrata come ultimo inserimento.

Inserimento

Descrizione

Stato

Stato dell´oggetto in progetti multiuser.

verde: L´oggetto ha lo stato Consenti modifiche

vuoto. L´oggetto ha lo stato Riprendi modifiche

data e ora

Data ed ora.

Azione

Tipo di intervento. Possibili valori:

  • Nuovo
  • Modificato
  • Cancellato
  • Nuovo - VBA
  • Modificato - VBA
  • Cancellato -VBA

Modulo

Il modulo (p.e. PFS, archivio, report) nel quale sono stati eseguiti i cambiamenti.

Oggetto

l´oggetto che è stato modificato.

Elemento

L´elemento che è stato modificato. Viene registrato il nome come fissato nella proprietà Nome elemento.

Interno ID: Dati archiviati

Nome elemento

Il nome elemento deve essere assegnato per l’accesso via VBA.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà

La proprietà dell’oggetto/elemento, che è stata modificata.

Valore vecchio

Viene indicato il valore della proprietà prima dell'effettuazione delle modifiche.

Disponibile solo se nelle proprietà di progetto, alla voce Livelli di dettaglio è stata selezionata l´opzione Modifiche di valori .

Interno ID: Dati archiviati

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Interno ID: Dati archiviati

Log delle modifiche attivo

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Valore nuovo

Valore della proprietà dopo la modifica.

Disponibile solamente se è stata selezionata nelle proprietà del progetto, alla voce Livelli di dettaglio,

l´opzione Proprietà oppure Modifiche di valore.

Utente

L´utente che ha effettuato la modifica. Se la gestione utenti non è attiva oppure nessun user ha effettuato il loggin, viene letto e inserito l´utente Windows.

Calcolatore

Il nome del computer sul quale è stata effettuata la modifica.

Commento

Testo a disposizione.

Le colonne possono essere ordinate facendo uso del mouse per Drag&Drop.. Ogni colonna può essere filtrata sulla base di determinati criteri.


Filtra dati

Manuale -> Log modifiche progetto -> Dati archiviati -> Filtra dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità di filtrare la lista visualizzata nel log delle modifiche:

  1. Filtro esteso del log delle modifiche
  2. Filtra la visuale a lista

Filtro esteso del log delle modifiche

Potete passare al filtro esteso facendo uso del menu contestuale nel manager di progetto, nonchè nella visione dettagliata.

Parametri

Descrizione

Numero massimo degli inserimenti

Imposta il numero massimo di record da visualizzare nella lista.

0: numero illimitato.

Default: 1000

Periodo di tempo

Consente di filtrare in base ad un determinato intervallo di tempo, nello specifico, da un tempo ad un altro.

attivo: Vengono visualizzati solamente gli inserimenti di un determinato intervallo di tempo.
Default: disattivato

Da

Data e ora a partire dalle quali le modifiche devono essere visualizzate.

Fino a

Data e ora fino alle quali le modifiche devono essere visualizzate.


Operazioni archiviabili

Manuale -> Log modifiche progetto -> Operazioni archiviabili

Nel log delle modifiche di progetto vengono protocollati:

Oggetto

Modifiche

zenon Logic
  • zenon Logic nuovo progetto
  • zenon Logic Cancella progetto
  • zenon Logic Modifica progetto

Archivi
  • Nuovo archivio
  • Elimina archivio
  • Modifica archivio
  • Inserisci Variabile
  • Cancella variabile

utente
  • Nuovo utente
  • Elimina utente
  • Modifica utente

Immagini
  • Nuova immagine
  • Cancella immagine
  • Modifica immagine

File
  • Inserisci file
  • Elimina file
  • Modifica file

Tipi di dato
  • Nuovo tipo di dato
  • Cancellazione tipo di dato
  • Modifica tipo di dato

Elementi dinamici/ Elementi vettoriali
  • Nuovo elemento
  • Cancella elemento
  • Modifica elemento

Funzioni
  • Nuova funzione
  • Elimina funzione
  • Modifica funzione

Menu
  • Nuovo menu principale
  • Elimina menu principale
  • Modifica menu principale
  • Nuovo menu contestuale
  • Elimina menu contestuale
  • Modifica menu contestuale

Message Control
  • Al momento di salvare le modifiche

Process Control Engine
  • Al momento di salvare le modifiche

Progetto
  • Spostare un progetto nella struttura ad albero.

Backup di progetto
  • Creazione di un backup di progetto con numero di versione

Matrici di reazione
  • Nuova matrice di reazione
  • Cancellazione matrice di reazione
  • Modifica matrice di reazione.

Report
  • Nuovo report
  • Elimina report
  • Modifica report – al momento di salvare

Ricetta
  • Nuova ricetta
  • Elimina ricetta
  • Modifica ricetta
  • Inserisci Variabile
  • Cancella variabile
  • Modifica valore

Gruppi ricette
  • Nuovo Gruppo di ricette
  • Elimina gruppo ricette
  • Modifica gruppo di ricette
  • Nuova ricetta
  • Modifica ricetta
  • Elimina ricetta
  • Inserisci Variabile
  • Cancella variabile
  • Modifica valore
  • Modifica origine
  • Modifica di tipo sorgente

Modelli
  • Nuovo modello
  • Elimina modello
  • Modifica modello

Schedulatore
  • Al momento di salvare le modifiche

Tipi di carattere
  • Nuovo Carattere
  • Elimina carattere
  • Modifica carattere

Script:
  • Nuovo script
  • Cancella script
  • Modifica script

Tabella lingua
  • Nuovo Inserimento
  • Elimina inserimento
  • Modifica inserimento

Driver
  • Driver nuovo
  • Eliminazione driver
  • Cambio driver

VBA
  • Al momento di salvare le modifiche nell'editor VBA, viene generato un record nel Log.

Variabili
  • Nuova Variabile
  • Cancella variabile
  • Modificare una variabile

Interblocchi
  • Nuovo Interblocco
  • Modifica interblocco
  • Elimina interblocco
  • Nuova Variabile
  • Cancella variabile

Temporizzatori
  • Nuovo temporizzatore
  • Elimina temporizztore
  • Modifica temporizzatore


Esportazione Dati

Manuale -> Log modifiche progetto -> Esportazione Dati

I dati del log delle modifiche possono essere esportati nei formato XML e CSV.

Per esportare dei dati:

  1. evidenziate gli inserimenti desiderati
    (multiselect è possibile mediante combinazoni di tasti Ctrl+ tasto sinistro del mouse, Shift+tasto sinistro del mouse, Ctrl+a)
  2. selezionate nel menu contestuale la forma di export desiderata (XML, CSV).
  3. si apre il dialogo per selezionare il posto in cui salvare il file.
  4. assegnate un nome e confermate l´inserimento cliccando su Salva

Indicazione: i titoli degli inserimenti nei dati esportati sono in inglese.


Manager gruppi ricette

Manuale -> Manager gruppi ricette

Il Manager gruppi ricette offre delle altre possibilità oltre a quelle messe a disposizione dalle Ricette:

Generazione di layout tabellare (formato standard oppure definibile liberamente con il Generatore di Report), generazione libera di layout con elementi dinamici, ricette richiamabile per OLE, apertura indiretta di ricette (per es.: in dipendenza di una variabile in caso di apertura di immagine, libera divisione in gruppi.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Senza licenza è possibile durante il runtime un accesso di lettura. Senza licenza, non sono disponibili i seguenti comandi:

  • Salva
  • Salva con nome
  • Nuovo
  • Esportazione/Importazione


Progettazione nell'editor

Manuale -> Manager gruppi ricette -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per progettare il RGM avete bisogno di regola di:

  • una Immagine del tipo Manager gruppi ricette
  • Gruppi ricette e Ricette
  • Funzioni per la gestione del Manager gruppi ricette durante il Runtime

Indicazioni sulla convenzione nomi: per le ricette sono consentiti caratteri alfanumerici. I seguenti caratteri non sono validi (\"'./*?<>!|).


menu contestuale - manager di progetto

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> menu contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Punto di menu | Azione
Nuovo Gruppo di ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Profil | Apre la lista a cascata per l´attribuzione di un Profilo editor.
Guida | Attiva la guida online


Menu contestuali Visualizzazione dettagliata

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Menu contestuali Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli

Parametri | Descrizione
Nuovo Gruppo di ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Modifica ricetta | Apre il dialogo con le ricette
Modifica parametri variabili | Apre il dialogo con le ricette
Crea funzione standard | Apre il dialogo che serve alla selezione di una ricetta e alla definizione di un´azione.
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elimina variabile | Cancella una variabile selezionata dalla lista.
Spostare in giù | Sposta la variabile selezionata verso l´alto.
Spostare in giù | Sposta la variabile selezionata verso il basso
Duplicare | Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+0; Default10 diviene Default100.
Elimina | Cancella un inserimento selezionato.
Esporta gruppi ricette selezionati in XML | Esporta tutti i gruppi ricette selezionati in un file XML.
Importa XML… | Importa da file XML.
Importa ASCII | Importa da file ASCII.
Rinominare | Consente di rinominare l´oggetto selezionato.
Guida | Apre la guida online

Menu contestuale Gruppi ricette

Punto di menu | Azione
Nuovo Gruppo di ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa la ricetta e il gruppo ricette da un file XML.
Guida | Attiva la guida online

Menu contestuale Gruppo ricette selezionato

Punto di menu

Azione

Duplicare

Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Indicazione: le variabili di ricetta collegate al gruppo vengono sostituite in base alle regole al momento di effettuare la duplicazione del gruppo ricette.

Elimina

Elimina i gruppi ricette selezionati dopo una richiesta di conferma per ragioni di sicurezza.

Gruppi di impianti...

Apre il dialogo che serve alla scelta di Gruppo di impianti.

Esporta gruppi ricette selezionati in XML

Esporta tutti i gruppi ricette selezionati in un file XML.

Importa XML…

Importa da file XML.

Rinominare

Apre la cella contenente il nome del gruppo ricette per consentirne la modifica.

Guida

Attiva la guida online

Menu contestuale Variabili

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Modifica parametri variabili | Apre il dialogo con le ricette
Guida | Attiva la guida online

Menu contestuale Variabile selezionata

Punto di menu | Azione
Elimina variabile | Cancella variabile dalla lista.
Spostare in giù | Sposta la variabile di un posto in sù nell´ambito della lista.
Spostare in giù | sposta la variabile di un posto in giù nell´ambito della lista.
Guida | Attiva la guida online

Menu contestuale ricette

Punto di menu | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Importa ASCII | Importa da file ASCII.
Guida | Attiva la guida online

Menu contestuale Ricetta selezionata

Punto di menu

Azione

Modifica ricetta

Apre il dialogo con le ricette

Imposta una nuova versione ricetta

Crea una nuova versione della ricetta.

Crea funzione standard

Apre il dialogo che serve alla selezione di una ricetta e alla definizione di un´azione.

Duplica come versione ricetta

Crea una nuova versione della ricetta selezionata.

Duplicare

Crea una nuova ricetta con i contenuti della ricetta selezionata e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Indicazione: le variabili sorgente per il tipo di azione Collega a variabile possono essere sostituite duplicando la ricetta.

Elimina

Elimina la ricetta selezionata dopo una richiesta di conferma per ragioni di sicurezza.

Esporta ricetta selezionata in formato XML

Esporta la ricetta selezionata in un file XML.

Rinominare

Apre la cella contenente il nome della ricetta per consentirne la modifica.

Guida

Attiva la guida online


Crea immagine del tipo "Manager gruppi ricette"

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´uso di un´immagine per il Manager gruppi ricette, le ricette vengono gestite nel runtime in modo singolo e riunite in gruppi.

La creazione dell´immagine del tipo Manager gruppi ricette si effettua nell´editor attraverso la definizione di una nuova immagine del tipo Manager gruppi ricette.(Delle informazioni più precise concernenti i tipi di immagine predefiniti, le trovate nel capitolo Immagini->Forme di tipi di immagine.) Per creare un´immagine del tipo Manager gruppi ricette:

  • impostate una nuova immagine.
  • selezionate nella lista a cascata come tipo di immagine Manager gruppi ricette
  • aprite anzitutto l´immagine;
  • selezionate nel menu Elementi di controllo il comando Inserisci modello, oppure selezionate singoli elementi di controllo
  • Configurate l´immagine

Con l´aiuto degli elementi di controllo, eseguite delle azioni nel runtime.

Info Informazioni

Quando leggete, esportate, importate e salvate delle ricette durante il runtime, una barra di progresso Vi informa sullo stato di avanzamento dell´esecuzione dell´azione. Dettagli su questo tema lo trovate nel capitolo Creazione di variabili di sistema per ricette standard e Manager gruppi ricette

Elementi di controllo

Elemento di controllo

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Informazione

Informazioni su ricette, utenti e modifiche

Nome gruppo ricette

Nome del gruppo ricette attualmente selezionato.

lista ricette

Visualizza tutte le ricette/versioni ricetta della lista. La selezione contiene solamente ricette che sono contenute al momento dell´apertura dell´immagine nel Filtro di ricetta della Funzione Cambio immagine.

Durante il runtime può essere selezionato solamente un inserimento alla volta. La ricetta selezionata viene visualizzata nell´immagine e può essere poi modificata.

Se si usano anche gli elementi di controllo Nome ricetta e/o Versione ricetta, la selezione viene sempre sincronizzata. Se dunque si modifica la selezione in un elemento di controllo, cambia anche quella nella lista e viceversa. Se un criterio di filtro dovesse escludere l´inserimento scelto nella lista, in essa non sarà selezionato nulla.

Avvertenza:

  • le nuove ricette vengono aggiunte sempre alla fine della lista indipendentemente dai criteri di filtro.
  • Le modifiche dei dati ricette vengono visualizzati solo dopo che la ricetta è stata salvata.
  • Per quello che concerne i contenuti della lista, sono traducibili le seguenti cose:
    - Titoli nelle intestazioni
    - Testi di commenti
    - Testo dello stato ricetta

Nome ricetta

Nome della ricetta attualmente selezionata.

Default: Combobox (vedi anche Visualizzazione dei nomi ricetta)

Numero ricetta

Numero di ricetta cercata dopo aver premuto il pulsante Cerco numero ricetta.

Versione ricetta

Imposta una lista a cascata che contiene durante il Runtime tutti i numeri di versione della ricetta selezionata.

Stato ricetta

Imposta una lista a cascata che contiene durante il Runtime tutti gli stati progettati. Viene visualizzato lo stato attuale della versione ricetta selezionata.

Durante il runtime, lo stato può essere modificato in questa sede. Esso verrà accettato solo dopo che la ricetta sarà stata salvata.

Un consiglio: con il VBA Event StatusChange la modifica dello stato può essere controllata e/o interrotta durante il runtime.

Tabella valori ricette

Rappresentazione della ricetta selezionata in forma tabellare.

Filtro ricetta

Lista a cascata con filtro ricetta .

nome utente

Nome dell´ utente che ha modificato per ultimo la ricetta

Ultima ora di modifica

Data e ora dell´ ultima modifica della ricetta attuale

Stato di avanzamento

Visualizzazione grafica della durata del settaggio delle ricette.

Modifica

Filtri

Definire o modificare le opzioni per la finestra delle ricette

Leggi valori selezionati

I valori delle variabili selezionati nella tabella vengono letti dal PLC e inseriti nella tabella. Le modifiche devono essere salvate!

Scrivi valori selezionati

I valori delle variabili selezionati nella tabella vengono scritti nel PLC nella stessa maniera come rappresentati nella tabella.

Leggere tutti i valori

I valori di tutte le variabili selezionate nella ricetta sono letti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Leggi e salva tutti i valori

Scrivere valori direttamente dal PLC nella ricetta e salvare immediatamente.

Scrivi tutti i valori

I valori di tutte le variabili che si trovano nella ricetta selezionata sono scritti nel PLC nella stessa maniera di come sono rappresentati nella tabella.

tutti valori++

Tutti valori della ricetta selezionata vengono aumentati di 1.

tutti valori –

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

Modifica tutti i valori %

Se si utilizza questo bottone durante il runtime, tutti i valori della ricetta selezionata vengono modificati in corrispondenza del valore percentuale indicato nella finestra Valori % modifica, in dipendenza del segno posto di fronte a quello percentuale:

  • segno più (+): il valore viene aumentato corrispondentemente
    Es.: +20% -> 100 diviene 120
  • segno meno (-): il valore viene diminuito corrispondentemente
    Es.: -20% -> 100 diviene 80
  • nessun segno: il valore percentuale del valore attuale diventa il nuovo valore
    Es: 20% -> 100 diviene 20

Campo %

Premendo questo pulsante, tutti i valori della ricetta selezionata sono aumentati (+) o diminuiti (-) della percentuale indicata.

Modifica tutti i valori tramite formula

Tutti valori della ricetta selezionata sono modificati tramite la funzione matematica indicata nell´ editor “tutti valori matematici”.

Campo Formula

Funzione matematica, tramite la quale il valore di tutte le variabili nella ricetta attuale deve essere modificato, appena premuto il pulsante “tutti valori matematici”.

Stampa tabella

La tabella viene stampata.

Navigazione

Gruppo ricette <

Sfogliare indietro di un gruppo di ricetta.

Gruppo ricette >

Sfogliare avanti di un gruppo ricette.

Gruppi ricette <<

Sfogliare al primo gruppo di ricette.

Gruppi ricette >>

Sfogliare all´ ultimo gruppo di ricette.

Ricetta <

Sfogliare una ricetta indietro nel gruppo di ricetta attuale.

Ricetta >

Sfogliare una ricetta in avanti nel gruppo ricette attuale.

Ricetta <<

Sfogliare alla prima ricetta nel gruppo di ricette attuale

Ricetta >>

Sfogliare all´ ultima ricetta nel gruppo ricette attuale

Cerca numero di ricetta

Cercare e visualizzare la prima ricetta con il numero indicato nella finestra dell’ editor “numero fonte ricetta”.

Version <

Alla versione precedente.

Version >

Alla versione successiva.

Version <<

Alla prima versione.

Version >>

All´ultima versione.

Sfogliare colonna a sinistra

Sfogliare nella tabella una colonna a sinistra.

Sfogliare colonna a destra

Sfogliare nella tabella una colonna a destra.

Sfogliare riga in su

Sfogliare nella tabella una riga in su.

Sfogliare riga in giù

Sfogliare nella tabella una riga in giù.

Sfogliare pagina sinistra

Sfogliare nella tabella una pagina a sinistra.

Sfogliare pagina destra

Sfogliare nella tabella una colonna a destra.

Sfogliare pagina in su

Sfogliare nella tabella una pagina in su.

Sfogliare pagina in giù

Sfogliare nella tabella una pagina in giù.

Esportazione/Importazione

Esporta ricetta (txt)

Esporta la ricetta attuale in un file TXT.

Importa ricetta (txt)

Importa la ricetta attuale in un file TXT.

Esporta gruppi ricette (XML)

Esporta il gruppo ricette in un file XML.

Esporta ricetta (XML)

Esporta la ricetta attuale in un file XML.

Importare da un file XML.

Importa la ricetta o il gruppo ricette da un file XML.

Se il file dispone di singole ricette, deve essere selezionato un gruppo ricette per l´import.

Gestione ricette

Nuova ricetta

Creare una nuova ricetta

Rinomina ricetta

Rinominare la ricetta attuale

Salva ricetta

Salvare la ricetta attuale con lo stesso nome

Salva ricetta con nome

Salva la ricetta attuale con un altro nome

Elimina ricetta

Cancellare la ricetta attuale

Nuova versione ricetta

Crea una nuova versione della ricetta. I valori della versione ricetta che è stata creata ricevono i valori di sostituzione.

Un consiglio: con il VBA Event VersionCreate si può controllare questa azione.

Duplica versione ricetta

Duplica la versione ricetta selezionata. Viene creata una nuova versione e i valori ricetta ricevono quelli della versione selezionata precedentemente.

Un consiglio: con il VBA Event VersionDuplicate si può controllare questa azione.

Duplicare e leggere versione ricetta

Duplica la versione ricetta selezionata e poi la legge.

Prima viene impostata una nuova versione della ricetta selezionata. I valori della ricetta ricevono quelli della versione scelta. In seguito vengono letti i valori per la nuova versione dal PLC.

Un consiglio: con il VBA Event VersionDuplicateRead si può controllare questa azione.

Cancella versione ricette

Cancella la versione ricetta selezionata. Se la versione ricetta selezionata è l´ultima versione rimasta di questa ricetta, verrà cancellata l´intera ricetta.

Un consiglio: con il VBA Event VersionDelete si può controllare questa azione.

Setta stato 1 - 10

Setta uno fra dieci possibili stati.

La funzione setta il valore di stato (1-10) sulla ricetta attualmente selezionata nell´immagine. Per accettare lo stato per la ricetta, si deve salvare la ricetta stessa.

Vengono settati solamemte stati che sono stati progettati nel Manager gruppi ricette. Se si utilizza un valore di stato non disponibile, la variabile del driver di sistema per Funzione di ricetta/RGM in esecuzione viene settata su errore, e il sistema genera un inserimento nella CEL.

Indicazione: lo stato selezionato con questo pulsante viene visualizzato nella lista a cascata Stato ricetta. La Lista delle ricetta mostra invece sempre lo stato della ricetta come nel formato dati. Solo dopo il salvataggio la modifica dello stato viene veramente ripresa e poi visualizzata nella Lista delle ricette.

Controlla ricette

Per valutare i valori ricetta, tutte le variabili collegate con la ricetta vengono lette e i valori momentanei vengono confrontati con quelli della ricetta.
I risultati sono visualizzati a colori nella colonna valore attuale. Se i valori coincidono, la cella corrispondente viene visualizzata in verde; nel caso ci siano delle diversità in rosso.

Attenzione: la funzione dell´elemento di controllo utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti.

Interno ID: Crea immagine del tipo "Manager gruppi ricette"

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 5
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Gruppo ricette

Nuovo Gruppo di ricette

Crea un nuovo gruppo di ricette.

Elabora gruppo di ricette

Aggiunge nuove variabili al gruppo di ricette

Rinomina gruppo ricette

Rinomina il gruppo ricette attuale.

Salva gruppo di ricette

Salvare il gruppo ricette atuale con lo stesso nome

Salva gruppo ricette con nome

Salva il gruppo ricette attuale con un altro nome

Elimina gruppo ricette

Cancella il gruppo ricette attuale.

Commento

Commento 1 - 8

Righe di commento per la ricetta attuale

E' possibile un numero massimo di 8 valori commenti.

I campi commento dispongono di una proprietà Visualizzazione/Tradurre testo .

Interno ID: Crea immagine del tipo "Manager gruppi ricette"

Tradurre testo

Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea immagine del tipo "Manager gruppi ricette"

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I campi commento vengono scritti anche nel caso di export XML e vengono letti nel corso dell´import.

In VBA, i campi commento possono essere letti e scritti tramite le DynProperties (Nome „Commentn", n=1 fino a 8) nell´oggetto „Recipes".

Info Informazioni

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.

Filtri

Tramite Elementi di controllo -> Generale -> Informazione, viene aggiunta all´immagine la lista a cascata Filtri ricette. Durante il runtime, usate la lista a cascata per filtrare le variabili visualizzate sulla base dei Testi filtro fissati in precedenza.


Aspetto della lista ricette

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette" -> Aspetto della lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La rappresentazione tabellare della Lista ricette può essere adattata ad esigenze individuali:

Impostazioni colonne

Le impostazioni colonne per la visualizzazione durante il runtime si effettuano al momento della configurazione del cambio immagine. Per i dettagli vedi la sezione Impostazioni colonne Lista ricette.

Barre di scorrimento

Per definire la dimensione e l´aspetto delle barre di scorrimento per le tabelle:

  1. attivate fra le proprietà di progetto nel gruppo Visualizzazione quella Funzionalità grafiche avanzate

    Interno ID: Aspetto della lista ricette

    Funzionalità grafiche avanzate

    Disponibile solo per PC.

    Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Aspetto della lista ricette

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista allarmi nell´immagine.

    Interno ID: Aspetto della lista ricette

    Intestazione e griglia

    Proprietà per l´intestazione e per la griglia.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Aspetto della lista ricette

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.

Interno ID: Aspetto della lista ricette

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: Aspetto della lista ricette

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: Aspetto della lista ricette

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: Aspetto della lista ricette

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: Aspetto della lista ricette

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: Aspetto della lista ricette

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Aspetto della lista ricette

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: Aspetto della lista ricette

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: Aspetto della lista ricette

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Aspetto della lista ricette

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Altezza delle righe

Tramite la proprietà Visualizzazione/Zeilenhöhe [Pixel] si può definire l´altezza delle righe indipendentemente dalla dimensione del carattere.

Interno ID: Aspetto della lista ricette

Zeilenhöhe [Pixel]

Disponibile solo se la proprietà Funzionalità grafiche avanzate è attivata.

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 4294967295 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il valore di default è 0 Pixel. In tal modo l´altezza delle righe viene impostata indipendentemente dalla dimensione del carattere. Ogni valore superiore a 0 stabilisce un valore fisso in pixel per l´altezza delle righe.

Attenzione: se si seleziona un´altezza delle righe troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.

Anteprima

Attivando la proprietà Visualizzazione/Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In tal modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.


Visualizzazione dei nomi ricetta

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette" -> Visualizzazione dei nomi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Secondo l´impostazione di default, i nomi di ricetta vengono visualizzati in un combobox. Viene visualizzata la ricetta selezionata. Potete selezionare le altre ricette disponibili mediante la lista a cascata.

Modificate il tipo di visualizzazione da Combobox a Listbox modificando nelle impostazioni di visualizzazione dell´elemento corrispondente il valore della proprietà Stile L portandolo da 322 a 321. In tal modo, viene visualizzata nel runtime una listbox della grandezza progettata.

Interno ID: Visualizzazione dei nomi ricetta

Stile L

Style Windows dell’elemento, solo per uso interno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se modificate la proprietà Stile L portandola a 321, garantite che la listbox appena progettata non coprirà nessun altro elemento. Gli elementi coperti non possono essere usati nel runtime.

Nella rappresentazione come listbox, indicando il carattere corrispondente, potete passare al posto relativo. Potete anche scrollare la lista facendo uso della barra laterale.

La ricetta che avete selezionato, viene visualizzata sempre direttamente al di sopra della lista.

Info Informazioni

Questa possibilità della differente visualizzazione non è disponibile sotto Windows CE.


Creazione di un gruppo di ricette

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Creazione di un gruppo di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare un nuovo gruppo ricette ci sono due possibilità:

  1. Nodo Ricette/Manager gruppi ricette -> Menu contestuale -> Nuovo gruppo ricette
  2. Visuale dettagliata Manager gruppi ricette -> Menu contestuale -> Nuovo gruppo ricette

In entrambi casi il sistema genera un nuovo gruppo ricette con un nome standard. Il nome è già evidenziato in modo da facilitare le ulteriori modifiche del nuovo gruppo.

Info Informazioni

Se il gruppo ricette deve essere utilizzato come file binario, il nome deve contenere solamente caratteri alfanumerici.

Ad ogni gruppo ricette devono essere aggiunte Variabili e Ricette.


Variabili per gruppi ricette

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un gruppo di ricette consiste nelle variabili di processo selezionate e nelle ricette generate. Tutte le variabili di processo necessarie nelle ricette devono essere innanzitutto inserite nel sottomenu variabile facendo uso del menu contestuale.

Per impostare delle variabili:

  1. cliccate con il tasto destro del mouse su Variabile
  2. selezionate nel menu contestuale il comando Inserire variabile
  3. si apre il dialogo per selezionare più variabili
  4. selezionate le variabili desiderate
    Indicazione: possono essere utilizzate anche variabili provenienti da altri progetti attivi.
  5. confermate cliccando sul pulsante OK

Per le singole variabili può essere configurato un limite di valore minimo e massimo valido per il gruppo di ricette corrispondente.

Info Informazioni

Come segni di separazione decimale si possono usare sia la virgola che il punto. Il carattere decimale viene trasformato automaticamente in un punto.

Smista variabili

Potete smistare le variabili a piacere nelManager gruppi ricette:

Selezionate la variabile la cui posizione nella successione deve essere modificata e scegliete una delle seguenti azioni:

- scegliete su o giù nel menu contestuale
- spostate la variabile per Drag&Drop

In via alternativa, potete spostare le variabili al margine inferiore destro anche nel dialogo di selezione delle stesse usando i tasti con le frecce.

Elimina variabili

Per eliminare delle variabili, procedete come segue:

  1. selezionate le variabili desiderate
    (multiselect possibile))
  2. cliccate con il tasto destro del mouse sulle variabili selezionate
  3. selezionate nel menu contestuale il comando Cancella variabile
  4. le variabili verrano eliminate dopo che il sistema avrà posto una richiesta di conferma.
    Indicazione: Le variabili vengono cancellate dal gruppo ricette, ma rimangono nel progetto.


Modifica parametri variabili

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel menu contestuale di Variabile, selezionate il punto Modifica parametri variabile.

Nel dialogo che si apre, procedete ad effettuare numerose impostazioni.

Parametri | Descrizione
Nome variabile | In questa colonna compaiono tutte le variabili che vengono utilizzate in questo gruppo ricette.
Valore min. | Definite il valore minimo che la variabile può assumere. Indicazione: Le variabili binarie hanno come Valore min. 0. Questo valore non può essere cambiato.
Valore max. | Definite il valore massimo che la variabile può assumere. Indicazione: le variabili binarie hanno come Valore max. 1. Questo valore non può essere modificato.
Interblocchi | Facendo uso della lista a cascata, selezionate l´interblocco desiderato. (Vedi Interblocchi e visibilità)
Livelli Visibilità | Selezionate una variabile adatta mediante un clic con il tasto destro del mouse e selezionate il punto menu Scelta variabili. In alternativa potete inserire direttamente il nome della variabile desiderata. (Vedi Interblocchi e visibilità)
Filtri | Inserite un testo filtro. (Vedi Filtro.)
Keyboard | Selezionate un'immagine adatta mediante un clic con il tasto destro del mouse e selezionate il punto meni Scelta immagine. In alternativa potete inserire direttamente il nome dell'immagine desiderata. (Vedi Keyboard.)

Info Informazioni

Gestire la visibilità di variabili

Per gestire la visibilità e l´uso di variabili, sono a Vostra disposizione:

  • Filtro: definisce delle espressioni sulla base delle quali si può effettuare un filtro delle variabili Quelle variabili che non rispondono ai criteri di filtro, non verranno visualizzate. I filtri vengono gestiti dall´utente.
  • Visibilità: gestisce la visualizzazione delle variabili nella lista facendo uso del valore limite di una variabile. Quelle variabil che sono state settate su "non visibile", non verranno visualizzate. La visibilità viene gestita dal processo.
  • Diritti di accesso: definiscono con quale autorizzazione si può accedere alla gestione di una variabile. Quelle variabili per le quali l´utente non possiede i diritti di accesso necessari, verranno visualizzate, ma non potranno essere utilizzate. I diritti di accesso vengono gestiti dal progettista e dell´amministratore.

Tasti keyboard per RGM

In zenon le Keyboard servono da tastiere virtuali, che permettono di effettuare durante il runtime degli inserimenti in apparecchi senza una tastiera hardware. Le Keyboard vengono impostate e configurate mediante un´immagine del tipo Keyboard. zenon mette a disposizione dei suoi utenti delle Keyboard generate automaticamente e altre impostabili dagli utenti stessi.

Alla voce Elementi di controllo -> specifici per RGM , trovate gli elementi di controllo specifici per il Manager gruppi ricette:

Elemento

Descrizione

Settare valore

Il valore impostabile viene settato sulla variabile e poi viene chiusa la Keyboard.

Salva ricetta

La ricetta viene salvata e poi viene chiusa la Keyboard.

Setta il valore e salva la ricetta

Il valore impostabile viene settato sulla variabile, la ricetta viene salvata e poi viene chiusa la Keyboard.

{Visualizza valore come 1} fino {Visualizza valore come 32}

I tasti possono essere collegati ai valori limite di Matrici di reazione. A tal scopo, la variabile in questione

  • deve essere collegata ad una Matrice di reazione numerica oppure una Matrice di reazione stringa e
  • „è uguale " contenere stati.

Durante il runtime vengono visualizzati i tasti già utilizzati. Cliccando sul tasto, il valore collegato viene scritto come proposta di valore ricetta nella finestra d´inserimento.


Interblocchi e visibilità

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili -> Interblocchi e visibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

E' possibile sia tramite interblocchi che tramite la visibilità impedire all'utente di avere accesso a determinati settori della tabella ricette. La differenza consiste nel fatto che, nel caso si scelgano gli interblocchi, i settori in questione diventano di colore grigio; nel caso della visibilità, invece, essi non vengono affatto visualizzati.

Interblocchi

Nella colonna Interblocchi, assegnate ad ogni variabile un interblocco. La lista Dropdown Vi mostra quelli che sono gli interblocchi disponibili. Durante il funzionamento Runtime, una riga viene visualizzata in modo normale o in colore grigio a seconda dello stato dell'interblocco. Ulteriori informazioni su questo tema le trovate al capitolo Blocco.

Info Informazioni

Visualizzazione delle funzioni di report

Nel runtime, i nomi dell´interblocco non sono disponibili. Ciò fa sì che vengano visualizzate solamente Interblocchi ID nella tabella ricette se l´interblocco viene visualizzato per mezzo delle funzioni recipew o.recipef

Livelli Visibilità

Nella colonna visibilità, assegnate ad ogni variabile una variabile visibilità. Per far ciò:

  1. cliccate con il tasto destro del mouse all´interno della cella e selezionate la variabile che deve gestire la visibilità, oppure scrivete direttamente il nome di essa nella cella.
  2. fissate un valore limite per la variabile

Non appena la variabile supera il valore limite stabilito, viene nascosta la variabile assegnata nella tabella delle ricette.

Info Informazioni

La tabella ricette viene ripristinata in seguito ad ogni modifica di uno stato assegnato. Tenete presente al momento della progettazione che un cambio molto frequente degli stati potrebbe creare dei problemi nella gestione del sistema.


Filtri

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili -> Filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I filtri consentono di escludere delle ricette dalla visualizzazione a livello utente.

I filtri vengono definiti tramite la proprietà Testo filtro delle variabili nella visione dettagliata del RGM. Alla variabile viene assegnato un criterio filtro selezionabile a piacere. Questo testo filtro viene utilizzato per limitare la visualizzazione nell'ambito dell'immagine del tipo Manager gruppi ricette. Questo filtro può essere settato:

Interno ID: Filtri

Testo filtro

Definisce filtro per variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • durante il runtime nell´immagine Manager gruppi ricette tramite la lista a cascata Filtro di ricetta.
  • durante il Cambio immagine per passare all´immagine del Manager gruppi ricette

Se non è stato selezionato in modo esplicito nessun filtro, vengono visualizzate tutte le variabili cui non è stato associato un testo filtro.

Info Informazioni

Il filtraggio si riferisce solamente alla visualizzazione nella tabella ricette. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.


Keyboard

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili -> Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa colonna potete collegare ad ogni variabile una Immagine del tipo keyboard. Durante il funzionamento Runtime, viene aperta la finestra tastiera connessa se si clicca con il tasto sinistro del mouse sul valore della variabile. Non è più possibile effettuare un inserimento diretto. Dopo aver abbandonato la finestra tastiera cliccando su OK, il nuovo valore viene inserito nella tabella ricette. Inoltre avete a disposizione la nuova funzione immagine Presettaggio valore impostabile. Essa permette di trasmettere un valore impostabile precedentemente definito mediante un clic del mouse.


Variabile di riconoscimento

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Variabile di riconoscimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ad ogni gruppo ricette possono essere collegate delle variabili, che ricevono i dati ricetta per le azioni Scrivere, Leggere, Controllare e import XML. Queste variabili di responso specifiche per RGM si comportano come le globali Variabili del driver di sistema, ma vengono assegnate a singoli gruppi ricetta. In tal modo, è possibile analizzare parallelamente più gruppi ricette.

Può essere collegato un numero qualsiasi di variabili. Se è stata settata la proprietà RGM formato dati su MS ACcess, la lunghezza del testo può essere al massimo di 300 caratteri. I seguenti dati ricetta possono essere settati su variabili:

Interno ID: Variabile di riconoscimento

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nome ricetta
  • Numero ricetta
  • Versione ricetta
  • Stato ricetta come testo
    (nella forma „1 - testo", con il testo che non viene tradotto, problema che può essere risolto tramite l´elemento di visualizzazione)
  • Stato ricetta come numero
  • Livello di autorizzazione gestione della ricetta
  • Tempo dell´ultima modifica
  • Utente dell´ultima modifica
  • Commento 1-8

Crea variabile di responso

Per creare una variabile di responso:

  1. selezionate il gruppo ricette
  2. navigate per raggiungere il nodo desiderato
    • Feedback scrittura ricetta

      Interno ID: Variabile di riconoscimento

      Feedback scrittura ricetta

      Variabile di responso per Esegui ricetta.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Feedback lettura ricetta

      Interno ID: Variabile di riconoscimento

      Feedback lettura ricetta

      Variabile di responso per Leggi ricetta.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Feedback verifica valori ricetta

      Interno ID: Variabile di riconoscimento

      Feedback verifica valori ricetta

      Variabile di responso per Controlla valore di ricetta.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Feedback Import XML

      Interno ID: Variabile di riconoscimento

      Feedback Import XML

      Variabile di responso per import XML.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. cliccate sul pulsante ... accanto alla proprietà desiderata
  4. si apre il dialogo per collegare le variabili

Indicazioni sulle singole proprietà le trovate nella Guida proprietà. Il risultato di tutte le azioni viene reso disponibile localmente e per la rete mediante variabili del driver di sistema.

Info Informazioni

Le modifiche effettuate con VBA divengono visibili solamente dopo la riapertura del RGM.


Aggiungi ricette al gruppo ricette

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aggiungere una ricetta ad un gruppo ricette:

  1. cliccate con il tasto destro del mouse sul nodo Ricette nel gruppo ricette desiderato
  2. Selezionate nel menu contestuale Nuova ricetta
  3. viene impostata una nuova ricetta con un nome standard; il nome viene già messo in evidenza per consentire l´ulteriore eleborazione della ricetta.
  4. assegnate le proprietà desiderate per nome, numero, versione, autorizzazione e commenti

Info Informazioni

Se la ricetta viene utilizzata come file binario, il nome deve contenere solamente caratteri alfanumerici.

Assegnazione del nome al momento dell´impostazione

Le nuove ricette vengono create con un nome di default, per es. Rezept_0. Inoltre viene assegnato ad ogni ricetta un numero. Esso aumenta in modo incrementale per ogni nuova ricetta.

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Esempio Esempio

Esistono già una Ricetta_0 con il numero ricetta 0 e una Ricetta_2 con il numero ricetta 2. Quando si crea una nuova ricetta, essa viene impostata con il nome Ricetta_1 e il numero ricetta 3.


Modifica di una ricetta del gruppo ricette

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per modificare una ricetta appartenente ad un gruppo ricette, procedete come segue:

  • cliccate con il tasto destro del mouse su una ricetta.
  • Selezionate il comando Modifica ricetta
  • Si apre il dialogo Gruppi ricette

Inserimento

Descrizione

Generale

Numero ricetta

Numero della ricetta

Scrivere simultaneamente:

Attivo: alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout .

Disattivata: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.
Avvertenza:

  • Questa impostazione può essere modificata nel runtime nella finestra manager gruppi ricette alla voce rinomina ricetta .
  • L´indicazione dello stato di avanzamento funziona solamente se questa proprietà è attiva.

Timeout [ms]

Se in una ricetta è stata attivata l’opzionescrittura sincr., può essere inserito qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout.
Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue:
30000+(100* Numero di punti dati)
Indicazione: Questa impostazione può essere modificata nel runtime nella finestra manager gruppi ricette alla voce rinomina ricetta .

Livelli autorizzazioni

Solo utenti, che hanno abilitato qui il loro livello di autorizzazione, possono modificare la ricetta nel runtime. Ciò non significa solo l’ editazione manuale della ricetta nell’ immagine del Manager gruppi ricette, ma anche la cancellazione o la rinomina della ricetta così come la lettura dall’ Hardware dei valori della ricetta.
Indicazione: i gruppi ricette possono essere modificati solo da un utente che possiede anche tutti i diritti di accesso per tutte le singole ricette contenute nel gruppo selezionato.

Inserimenti della lista

Nome variabile

Nome di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Valore min.

Valore minimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Valore max.

Valore massimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Azione

Funzione che viene eseguita su variabili.

Inserimento lista è modificabile. Per i dettagli vedi capitolo Azioni.

Valore o variabile

Valore che viene trasmesso al PLC all´ esecuzione della ricetta

Valore dipendente da Azione modificabile nella lista.

Unità di misura

Unità di misura di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Info Informazioni

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.


Azioni

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette -> Azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per definire un´azione, cliccate nella cella Azione della variabile corrispondente, e poi sul simbolo con la freccia. Dopo selezionate l´azione desiderata fra quelle proposte dalla lista a cascata. Nel caso in cui si rendano necessari degli inserimenti nella cella Valore o variabile, cliccate su di essa e digitate il valore. Al fine di selezionare le variabili, cliccate con il tasto destro sulla cella per aprire l´apposito dialogo.

Azione | Descrizione | Inserimento in Valore o variabile
Nessuna azione | Disattiva variabile in questa ricetta. | Nessun inserimento.
Commutare su valore spontaneo | Cambia da Valore di sostituzione a Valore spontaneo | Nessun inserimento.
Modifica valore spontaneo | Setta il Valore spontaneo sul valore che viene indicato alla voce Valore o variabile. | Inserire valore impostabile.
Passaggio u. modi.Spontanwert | Passa dal Valore di sostituzione al Valore spontaneo e setta quest´ultimo sul valore che è indicato in Valore o variabile. | Inserire valore impostabile.
Commutare su valore di riserva | Cambia da Valore spontaneo a Valore di sostituzione | Nessun inserimento.
Modficare valore di riserva | Setta il valore di sostituzione sul valore che viene indicato alla voce Valore o variabile. | Inserire valore di riserva.
Commutare e modificare valore di riserva | Passa dal Valore spontaneo al Valore di sostituzione e setta quest´ultimo sul valore che è indicato in Valore e variabile. | Inserire valore di riserva.
Disattivare valore spontaneo | Spegne il valore spontaneo settando il bit di stato OFF (Bit 20). | Nessun inserimento.
Attivare valore spontaneo | Attiva il valore spontaneo resettando il bit OFF. | Nessun inserimento.
Stato utente | Informazione di stato. Setta il corrispondente bit di stato della variabile Indicazione: possono essere settati solo bit di stato che sono evidenziati come settati dall´utente. I bit di stato settati automaticamente dal sistema non sono modificabili. | Indicare la Denominazione breve dello stato con: =1 per settare e =0 per resettare. Si possono inserire diversi stati separandoli con un punto e virgola ( ;). Per esempio: M1=1; M5=0
Collegare con variabile | Collega una variabile con un´altra. | Nome di una variabile. Cliccando con il tasto destro del mouse nel campo si apre il dialogo che serve alla selezione delle variabili. Il valore della variabile viene trasmesso alla variabile selezionata della ricetta. E' possibile usare anche variabili di altri progetti caricati.

attenzione Attenzione

Se in una ricetta si usa la funzionalità Leggi tutti i valori con l´azione Collega con variabile, non vengono né interrogate le autorizzazioni, né viene protocollata l´azione. Nel caso si desideri esplicitamente il protocollaggio, quest´ultimo deve essere creato manualmente, per esempio tramite una macro VBA.

Indicazione concernente FDA: questa funzionalità, perciò, non può essere utilizzata per progetti che debbono soddisfare le rigide norme FDA.


Controlla Scrivi valore impostabile

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette -> Azioni -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Controlla Scrivi valore impostabile

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo, non è stato possibile settare il valore.

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di stati permane finchè non viene inviato una nuova modifica di valore. Poi entrambi gli stati vanno a 0, finchè il procedimento di scrittura non è concluso. Come valore in risposta deve essere richiesta nella matrice la seguente combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attenzione Attenzione

Il meccanismo deve solo verificare che il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore è stato modificato nel PLC, poichè esso può rispedire indietro la modifica e sovrascrivere subito il valore. (Per esempio nella scrittura su uscite o bit di appoggio, che vengono settati solamente a breve termine.)

Module

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valori impostabili: Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .

    Interno ID: Controlla Scrivi valore impostabile

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Manager gruppi ricette: Attivare proprietà Scrittura sincrona.

Inserimento nella CEL

  • Setta valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

    Interno ID: Controlla Scrivi valore impostabile

    Funzioni settaggio valore

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
    Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
    Default: non attiva
    Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

    Interno ID: Controlla Scrivi valore impostabile

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Controlla Scrivi valore impostabile

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Versione ricetta

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le ricette possono essere versionate. Le versioni vengono gestite tramite impostazioni nell´editor, nonché funzioni ed elementi di controllo durante il runtime.

Per creare una nuova versione ricetta nell´Editor, avete due possibilità:

  1. Nuova versione di ricetta: crea una nuova versione della ricetta selezionata.
    A tal scopo:
    1. selezionate la ricetta nella visione dettagliata del RGM
    2. selezionate nel menu contestuale il comando Crea nuova versione di ricetta

    oppure

  2. Duplica versione ricetta: crea una copia della versione di ricetta selezionata come nuova versione.
    A tale scopo:
    1. selezionate la versione di ricetta nella visione dettagliata del RGM
    2. selezionate nel menu contestuale il comando Duplica come versione ricetta

Una nuova versione della ricetta viene impostata sotto la ricetta stessa. Il numero versione viene assegnato automaticamente nella proprietà Versione Ricetta. A destra della ricetta originale viene visualizzato il numero delle versioni disponibili.

Interno ID: Versione ricetta

Versione Ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per creare una nuova versione ricetta nel runtime, usate la funzione Crea nuova versione di ricetta.

Info Informazioni

Può essere impostato un massimo di 89999 versioni ricetta.


Stato ricetta

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lo stato ricetta viene usato per l´identificazione e il filtro di una ricetta nel caso di:

  • proprietà Stato per ricetta

    Interno ID: Stato ricetta

    Stato

    Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Gruppi di ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione Ricetta. Questa proprietà può essere modificata nel Runtime.

    Interno ID: Stato ricetta

    Versione Ricetta

    Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stato ricetta

    Identificatore stato ricetta

    Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Stato ricetta

    Gruppi di ricette

    Definite il sito per salvare i file per il Manager dei gruppi ricette.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • immagine del tipo RGM
  • Funzione Cambio ad un´immagine del tipo RGM
  • Funzione Manager gruppi ricette

Consiste di un indice assegnato da zenon e di un testo di stato individuale. Lo stato ricetta può essere impostato diversamente pro versione ricetta. Questa proprietà può essere modificata nell´immagine durante il runtime tramite funzioni e elementi di controllo.

Per creare uno stato ricetta:

  1. selezionate l´identificatore gruppi ricette nella visione dettagliata del RGM
  2. cliccate sulla proprietà Identificatore stato ricetta
  3. si aprirà il dialogo per progettare lo stato ricetta

Parametri

Descrizione

Identificatore stato ricetta

Creazione e gestione dell´identificatore stato ricetta

#

Indice dello stato. Questo viene assegnato automaticamente.

Testo di stato

Testo di stato come stabilito in questo dialogo:

  • creazione: cliccare sul pulsante Nuovo.
  • Modifica: cliccare sul testo consente di effettuare delle modifiche.

Questo testo può contenere anche parole chiave (con prefisso @) per il cambio lingua.

Nuovo

Crea un nuovo stato in fondo alla lista.

Elimina

Cancella il testo di stato selezionato.

Se lo stato da cancellare si trova in fondo alla lista, vengono cancellati testo di stato e numero d´indice.

Se lo stato da cancellare non si trova in fondo alla lista, viene cancellato il testo, ma viene mantenuto l´indice. In tal modo è possibile riempire le lacune in un secondo momento.

OK

Riprende inserimenti e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Apre la guida online


Lista bit di stato

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Windows CE

Manuale -> Manager gruppi ricette -> Progettazione nell'editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per assicurare che il Manager gruppi ricette sia utilizzabile sotto Windows CE, i file RGM vengono salvati negli appunti alternativi della banca dati MS Access. Per Windows CE vengono impostati i dati binari nella struttuta file.

Se attivate alla voce Proprietà di progetto -> Generale la Checkbox Progetto WindowsCE, i dati RGM vengono impostati automaticamente in modo binario.
Potete impostare manualmente il salvataggio binario dei dati anche indipendentemente da progetti CE; lo fate nel modo seguente:
Proprietà Gruppi ricette -> Gruppi di ricette -> RGM formato dati -> Dati Binari Compatibili con CE).

Interno ID: Windows CE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Windows CE

Gruppi di ricette

Definite il sito per salvare i file per il Manager dei gruppi ricette.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Windows CE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Windows CE

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Una conversione della banca dati MS Access dopo la forma binaria o viceversa non è prevista.

I dati RGM già esistenti non vengono convertiti! Se necessario, dovete esportare i dati in XML prima di effettuare il cambiamento. In seguito potete cambiare il progetto e importare i dati nel nuovo formato.

Cambio della banca dati

Se avete selezionato nella proprietà RGM formato datiMS ACCESS DB come banca dati e avete poi attivato la checkbox Progetto WindowsCE, il sistema visualizzerà un´indicazione per effettuare la conversione:

Per mantenere i dati della banca dati usata finora:

  1. esportate i dati in XML
  2. cambiate la banca dati
  3. importate il file XML

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.

Progetti multiuser

Nei Progetti multiuser file binari e la banca dati MS Access possono essere presi in considerazione indipendentemente gli uni dall´altra.

Nella finestra In costruzione viene rappresentato localmente sempre solo lo stato del tipo di salvataggio impostato su questo calcolatore. Utilizzando file Binari, non è visibile che i Database Access siano ancora abilitati per le modifiche.

Perciò è possibile il verificarsi della seguente situazione:

  • sul PC A la Database Access è di nuovo abilitata per le modifiche
  • sul PC B viene attivato il processo CE e si passa in tal modo a file binari
  • sul PC B i file binari vengono resi disponibili
  • sul PC B vengono accettate le modifiche e poi si effettua una sincronizzazione dei dati con il PC A
  • in tal modo si passa anche sul PC A a file binari
  • la banca dati Access continua ad essere abilitata alle modifiche sul PC A
  • solo quando sul PC B si passa di nuovo a Database Access diventa evidente che sul PC A la Database Access è abilitata alle modifiche.


Funzioni

Manuale -> Manager gruppi ricette -> Funzioni

Se si crea la funzione standard dal menu contestuale nella sezione lista, zenon genera automaticamente una funzioneManager gruppi ricette per la ricetta selezionata.


Funzione Cambio immagine Manager dei gruppi di ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il cambio ad un´immagine del tipo RGM definite una ricetta che deve essere eseguita al momento del cambio. Queste impostazioni possono essere adottate anche durante il runtime, sempre che sia attiva l´opzione Proponi dialogo a Runtime.

Per progettare il cambio immagine:

  1. create una nuova funzione.
  2. selezionate Cambio immagine

    Interno ID: Funzione Cambio immagine Manager dei gruppi di ricette

    Cambio immagine

    Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

    Ulteriori informazioni nella guida in linea

  3. scegliete l´immagine del tipo RGM
  4. selezionate le Vostre impostazione nelle singole schede
    • Tabella valori ricette: impostazioni per la ricetta.
    • Impostazioni colonne Tabella valori ricette: impostazioni per la visualizzazione durante il Runtime.
    • Filtro ricetta: definizione di quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette.
    • Impostazioni colonne Lista ricette: Impostazioni per la visualizzazione della lista ricette.
    • Definizione d´impianto: selezione di modelli di impianti.

Info Informazioni

Potete effettuare le impostazioni per la visibilità di variabili durante il runtime in:

  • Modifica parametri variabili: Filtri , Visibilità
  • Modifica di una ricetta del gruppo ricette: Livelli di autorizzazione

Queste impostazioni si riferiscono solamente alla visualizzazione nella tabella ricette. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.


Tabella valori ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda viene selezionata la ricetta che deve essere eseguita.

Parametri

Descrizione

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • da un file

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Indicazione: Se la selezione ricetta provoca un errore durante il runtime (ricetta non disponibile nel runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione della lista a cascata Ricetta rimane vuota.

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più grande oppure Vesione più piccola, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato rilasciato.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Formattazione della Tabella valori ricette

Impostazioni per la formattazione della tabella valori ricette

Tabella

Selezione del file report. Clic sul pulsante apre la lista dropdown che serve alla selezione:

  • Usa tabella standard
  • Utilizza file di formattazione per la tabella

Usa tabella standard:

i valori ricetta vengono visualizzati durante il runtime in una semplice tabella nell´immagine del tipo RGM. Le colonne di questa tabella possono essere impostate facendo uso della scheda Impostazione colonne Tabella valori ricette.

Utilizza file di formattazione per la tabella:

Consente l´uso di un file di report (*.xrs) per la visualizzazione dei valori ricetta. Questo file deve essere stato prima creato nel generatore di report. Un clic sul comando ... apre il dialogo che serve alla selezione del file.

Filtro per la rappresentazione dati

Selezione del Filtro che deve essere attivo al momento del cambio per limitare la lista dei valori ricetta visualizzati.

Criteri di filtraggio

Scelta del filtro. Clicando sull´intestazione, si apre la lista a cascata che serve alla selezione del filtro.

  • Criterio filtro statico
  • Criterio filtro da variabile

Criterio filtro statico:

selezione di un filtro che è stato definito presso la proprietà delle variabili Testo filtro.

Interno ID: Tabella valori ricette

Testo filtro

Definisce filtro per variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Criterio filtro da variabile :

il criterio filtro viene ripreso da una variabile stringa.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Indicazione: sotto Windows CE e con l´apertura tramite pulsante Filtro nell´immagine RGM, c´è a disposizione solamente un numero limitato di funzioni:

  • Filtro ricetta
  • Impostazioni colonne (per tabella ricette)

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Blocca elaborazione in pagina

Blocca tutti gli elementi di controllo nell´immagine del tipo RGM. L´utente non può effettuare nessuna modifica al Manager gruppi ricette.

OK

Riprende le impostazioni di tutte le schede e chiude il dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.

Guida

Apre la guida online

Info Informazioni

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, CD_PRODUCTNAME> usa la ricetta che trova per prima.


Impostazioni colonne Tabella valori ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutte le colonne della tabella ricette sono configurabili a piacere. Le colonne possono essere visualizzate, ordinate e fornite di una denominazione come si vuole. Inoltre, si può nascondere la numerazione delle righe.

Parametri | Descrizione
Tipo di colonne | Tipo di colonna. Non modificabile. La visualizzazione durante il runtime viene attivata o disattivata tramite checkbox.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | definisce la larghezza della colonna in caratteri. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta l´inserimento selezionato verso l´alto. | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag& Drop.
Sposta l´inserimento selezionato verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag& Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.
Visualizza numerazione delle colonne | Attiva: la prima colonna della tabella viene visualizzata con un numero di riga.
OK | Riprende le impostazioni di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.
Guida | Apre la guida online


Filtro ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Filtro ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab definite quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette. Vengono visualizzate solamente le ricette che vengono accettate nel filtro ricette del cambio immagine. L´operazione di filtro si basa sui nomi ricetta.

Info Informazioni

Se la selezione ricetta provoca un errore durante il runtime (ricetta non disponibile nel runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione della lista a cascata Ricetta rimane vuota.

Parametri

Descrizione

Filtro testo

Definisce criteri di filtro.

Nessun filtro testo

Attivo: Il filtro di testo non viene utilizzato.

Ricerca di (parole separate da spazi vuoti).

Attivo: Il filtro ricetta viene utilizzato. Le ulteriori possibilità di impostazione sono accessibili.

Campo input

Indicate le parole corrispondenti, oppure la catena di caratteri.

Rispetta minuscolo/maiuscolo

Attivo: Il sistema tiene conto della scrittura in lettere maiuscole e minuscole nell´effettuare il filtro.

Le parole non devono essere presenti nel nome ricetta nella loro interezza.

Attivo: Il sistema tiene conto delle espressioni indicate nel Campo di inserimento anche se esse ricorrono nel nome ricetta solamente come parti di parola.

Perlomeno una parole deve essere presente nel nome ricetta

Attivo: Almeno una parola della stringa di ricerca deve figurare nel nome ricetta.

Tutte le parole devono essere presenti nel nome ricetta

Attivo: Tutte le parole della stringa di ricerca devono esistere nel nome ricetta; l´ordine non verrà considerato.

Testo filtro deve essere presente nel nome ricetta in modo esatto.

Attivo: Tutti i termini della stringa di ricerca devono essere presenti nel nome ricetta, rispettando lo stesso ordine.

Filtri estesi

Impostazioni di filtro per versione e stato.

Version

Filtro versione: selezione dalla lista a cascata oppure inserimento diretto.

Lista a cascata:

  • Versione più bassa
  • Versione più alta
  • Tutti

Questa impostazioni vengono combinate sempre con lo stato.

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Per esempio: 1, 2, 6

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti non corretti vengono messi in evidenza dal sistema al momento della conferma del dialogo con OK, oppure quando si passa da una scheda all´altra. Il dialogo rimane aperto con focus sulla combobox che contiene l´inserimento errato.

Stato

Criterio di filtro per lo stato. Selezione:

Lista a cascata:

  • Tutti
  • stato già progettato

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Per esempio: 1, 2, 6

I testi di stato sono convertibili per quello che concerne la lingua.

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti scorretti (per es.delle lettere) vengono messi in evidenza al momento della conferma del dialogo con OK. Il dialogo rimane aperto con focus sulla combobox che contiene l´inserimento errato.

OK

Riprende le impostazioni di tutte le schede e chiude il dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.

Guida

Apre la guida online

Possibili combinazioni del filtro versione con il filtro di stato

Filtro versione | Filtro stato | Risultato
Versione più bassa | Tutte | Di tutte le ricette viene visualizzata solamente la rispettiva versione più bassa.
Versione più bassa | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più bassa.
Versione più alta | Tutte | Di tutte le ricette viene visualizzata solamente la rispettiva versione più alta.
Versione più alta | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più alta.
Tutte | Tutte | Vengono visualizzate tutte le versioni ricette.
Tutte | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Tutti | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se queste hanno o lo stato 1 oppure 2.


Impostazioni colonne Lista ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda vengono configurate le impostazioni colonne per la visualizzazione della Lista ricette durante il runtime.

Attenzione: le impostazioni colonne per la lista ricette non sono disponibili per progetto CE.

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
OK | Riprende e accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online

ulteriori impostazioni, come barre di scorrimento, vengono configurate nelle proprietà del campo lista. per i dettagli vedi sezione Aspetto della lista ricette.


Selezione colonne

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Lista ricette -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede configurate durante il Runtime le colonne che andranno visualizzate.

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Formato colonne

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Lista ricette -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede si formattano le colonne.

Parametri

Descrizione

Colonne disponibili

Lista delle colonne disponibili facendo uso della Selezione colonne. La colonna selezionata in questa sede viene configurata mediante le proprietà della sezione Parametri.

Parametri

Impostazioni per colonna selezionata.

Descrizione

Nome del titolo della colonna Il titolo colonna è traducibile online. A tal scopo dovete inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo a riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo a riferimento il bordo destro.

Blocca il filtro colonna nell´immagine di processo

attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Indicazione: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Message Control
  • Manager gruppi ricette

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Definizione d´impianto

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Definizione d´impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede assegnate modelli di impianto e livelli:

Proprietà | Descrizione
Barra simboli | Vei capitolo Barra dei simboli e Menu contestuale Visuale dettagliata..
Aggiungi | Aggiunge i gruppi e livelli selezionati per mettervi in condizione di effettuare una scelta.
Rimuovi | Cancella gli elementi selezionati dalla lista di quelli fra cui potete effettuare la scelta.
OK | Riprende le impostazioni di tutte le schede e chiude il dialogo.
Annulla | Non viene selezionato nessun elemento.
Guida | Apre la guida online

Aggiungi gruppi

  • selezionate il modello impianti desiderato;
  • selezionate un gruppo impianti oppure un livello; elementi che si trovano allo stesso livello gerarchico possono essere selezionati mediante multiselect (tenendo premuto il tasto Ctrl)
  • aggiungeteli facendo uso del pulsante Incolla alla lista che si trova in basso nel dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionate l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo.
  • Cliccate sul pulsante Cancella

Indicazione: le modifiche in un elemento dell´albero rimangono, indipendentemente dal fatto se si fa uso del pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.


Funzione Manager gruppi ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel runtime, questa funzione esegue delle azioni definite per ua ricetta selezionata del manager gruppi ricette.

Parametri

Descrizione

Azione

Selezione della funzione desiderata fra quelle della lista a cascata. La selezione non può essere più modificata in un secondo momento. Possibili funzioni:

  • Scrivi ricetta
  • Leggi ricetta
  • Controlla valore ricetta
  • Rinomina ricetta
  • Modifica stato ricetta
  • Crea nuova ricetta
  • Elimina ricetta
  • Duplicare
  • Duplica e leggi
  • Crea nuova versione ricetta
  • Cancella versione ricette
  • Duplica come nuova versione ricetta
  • Duplica e leggi come nuova versione ricetta
  • Scrivi valori ricette su variabili d´appoggio
  • Scrivi variabili d´appoggio su valori ricette
  • Esporta tutto in XML
  • Esporta gruppi ricette in XML
  • Esporta ricetta in XML
  • Importa XML…
  • Salva dati ricette dettagliati sulla documentazione in XML
  • Esporta ricetta in file testo
  • Importa ricetta in file testo

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza azione.

Guida

Apre la guida online

Info Informazioni

Il nome ricetta deve essere univoco per tutte le funzioni. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.


Scrivi ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Scrivi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione setta la ricetta selezionata durante il runtime.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Leggi ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Leggi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I valori attuali delle rispettive variabili vengono letti e scritti nella ricetta selezionata (teaching).

Durante la lettura il sistema controlla se i valori delle Proprietà Valore min. e Valore max sono rispettati. Se i valori sono superati verso l´alto o verso il basso, oppure se lo stato della variabile è INVALID, i valori non vengono scritti nella ricetta. Gli errori possono essere analizzati tramite le variabili di sistema.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Controlla valore ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Controlla valore ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esegue un controllo della ricetta. A tal scopo, si comparano valore ricetta e valore attuale e il risultato viene trasmesso alla variabile di sistema corrispondente.

I valori ricetta possono essere controllati tramite la funzione Manager gruppi di ricette, oppure via VBA.

Interno ID: Controlla valore ricetta

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

Manager gruppi ricette

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

attenzione Attenzione

La funzione utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti.

Interno ID: Controlla valore ricetta

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 5
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

VBA

I valori ricetta possono essere eseguiti anche automaticamente tramite VBA. A tal scopo si usa la funzione (Check()). Essa riprende i seguenti parametri e fornisce i seguenti valori di risposta:

Check(ByRef vList As Variant)as Long

  • Valore di risposta: corrisponde ai valori della variabile di sistema RGM Verifica valori ricetta - Risultato
  • vList: corrisponde ai valori delle variabili di sistema RGM Verifica valori ricetta - Differenze
    Per ogni inserimento si usa un nuovo indice array (nessun spostamento riga).

Variabili di sistema

Questa funzione esegue un controllo della ricetta. A tal scopo, si comparano valore ricetta e valore attuale e il risultato viene trasmesso alla variabile di sistema corrispondente. Le variabili possono essere selezionate e analizzate localmente o globalmente. Le variabili che non possono essere controllate a causa di errori nella comunicazione con il PLC (stato INVALID), vengono evidenziate tramite uno sfondo colorato (rosso).

Variable

Data type

Description

RGM recipe values check - deviations (global/local)

STRING

List all variable differences in the following order:

[Variable name; recipe value; variable value; unit]

each entry is written in a new line.

Requirement: Variable RGM recipe value check - result has the value 1.

Attention: Variable can either be created and evaluated globally or locally.

Check RGM recipe values - authorization (global/local)

DINT

Authorization level of the last recipe checked.

Check RGM recipe values - last user change (global/local)

STRING

Name of the user who was logged in when the last change was made to the last recipe checked.

RGM recipe values check - result (global/local)

DINT

Result of the check:

  • 0: All value match.
  • 1: At least one variable value deviates from the recipe value.
  • 2: At least one variable is faulty (INVALID).

Error messages:

  • -1: En error while reading the variable value occurred.
  • -2: The recipe group could not be opened.
  • -3: The recipe could not be opened.

Attention: Variable can either be created and evaluated globally or locally.

Check RGM recipe values - comment 1 to 8 (global/local)

STRING

Eight comments can be added to a recipe. The variable contains the comment of the respective number for the last recipe checked.

Check RGM recipe values - recipe group name (global/local)

STRING

Name of the recipe group of the recipe checked last.

Requirement: Variable RGM recipe value check - result has a value >= -1.

Attention: Variable can either be created and evaluated globally or locally.

RGM recipe values check - recipe name (global/local)

STRING

Name of the recipe checked last.

Requirement: Variable RGM recipe value check - result has a value >= -1.

Attention: Variable can either be created and evaluated globally or locally.

RGM recipe values check - recipe number (global/local)

UDINT

Number of the recipe checked last.

Requirement: Variable RGM recipe value check - result has a value >= -1.

Attention: Variable can either be created and evaluated globally or locally.

Check RGM recipe values - recipe status (global/local)

DINT

Status of the last recipe checked as a number.

Check RGM recipe values - recipe status text (global/local)

STRING

Status of the last recipe checked as text in the format: 1 - @Text

Check RGM recipe values - recipe version (global/local)

DINT

Version of the last recipe checked.

Check RGM recipe values - time of last user change (global/local)

STRING

Time of the last recipe change of the last recipe checked.


Rinomina ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Rinomina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione rinomina la ricetta selezionata e tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta di destinazione

Selezione della modalità in cui la ricetta di destinazione della rinomina viene creata:

  • Nome ricetta destinataria statico
  • Crea nuova ricetta di destinazione
  • Nome di ricetta di destinataria da variabile

Nome ricetta destinataria statico:

selezione di una ricetta esistente fra quelle proposte dalla lista a cascata.

Crea nuovo nome della ricetta di destinazione

Viene creata una nuova ricetta con un nome generato automaticamente.

Nome di ricetta di destinataria da variabile:

il nome della ricetta destinataria viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, la ricetta non verrà rinominata.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Modifica stato ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Modifica stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione modifica lo stato di una ricetta.

Il sistema cerca di settare il valore di stato sulla ricetta selezionata, che viene poi salvata. Nel caso in cui il valore di stato indicato non dovesse essere valido (0 oppure un valore di stato non progettato), la ricetta rimane invariata e viene generato un inserimento CEL. La variabile Funzione di ricetta/RGM in esecuzione mostra in questo caso un errore (4).

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione

Definizione di stato per ricetta di destinazione.

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile:

lo stato ricetta viene ripreso come valore numerico da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Crea nuova ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Crea nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione imposta una nuova ricetta nel gruppo ricette selezionato.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Elimina ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Elimina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione cancella la ricetta selezionata con tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplicare

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Duplicare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori attuali delle rispettive variabili vengono scritti nella nuova ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione

Definizione di stato per ricetta di destinazione.

Crea ricetta di destinazione

Impostazioni per denominazione ricetta. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome ricetta destinataria statico
  • Crea nuova ricetta di destinazione
  • Nome di ricetta di destinataria da variabile

Nome ricetta destinataria statico

Riprendere un nome esistente da quelli della lista a cascata.

Crea nuova ricetta di destinazione

Il nome viene creato e assegnato dal sistema.

Nome di ricetta di destinataria da variabile

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta di destinazione da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplica e leggi

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Duplica e leggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori attuali delle rispettive variabili vengono scritti nella nuova ricetta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione

Definizione di stato per ricetta di destinazione.

Crea ricetta di destinazione

Impostazioni per denominazione ricetta. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome ricetta destinataria statico
  • Crea nuova ricetta di destinazione
  • Nome di ricetta di destinataria da variabile

Nome ricetta destinataria statico

Riprendere un nome esistente da quelli della lista a cascata.

Crea nuova ricetta di destinazione

Il nome viene creato e assegnato dal sistema.

Nome di ricetta di destinataria da variabile

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta di destinazione da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Crea nuova versione ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Crea nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli di sostituzione della variabile. Può essere impostato un massimo di 89999 versioni ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Cancella versione ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Cancella versione ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione cancella la versione ricetta selezionata. Se è disponibile solamente una versione ricetta, verrà cancellata l´intera ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplica come nuova versione ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Duplica come nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli della ricetta scelta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplica e leggi come nuova versione ricetta

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Duplica e leggi come nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli della ricetta scelta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Scrivi valori ricette su variabili d´appoggio

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Scrivi valori ricette su variabili d´appoggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione scrive valori ricetta su una variabile d´appoggio.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Scrivi variabili d´appoggio su valori ricette

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Scrivi variabili d´appoggio su valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione scrive dei valori delle variabili d´appoggio su valori ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Esporta tutto in XML

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Esporta tutto in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esporta l´intero contenuto del RGM in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

selezione file

Impostazioni per l´assegnazione del nome file nel file di export. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera automaticamente nome file

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <DateTime>.

Ad esempio: RGM 10_11_2011 10_42_29.xml

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Disattivata: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: non attiva.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Carattere jolly per percorsi dinamici

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Esporta tutto in XML -> Carattere jolly per percorsi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Caratteri simbolici

Condizione:

Risultato

<ProjectName>
  • Sempre

Nome del progetto

<DateTime>
  • Sempre

Date e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Per il tedesco(Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Export di un gruppo
  • Export di una ricetta
  • Import con selezione gruppo

Nome del gruppo ricette selezionato.

<RGMRecipeName>
  • Export di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Export di una ricetta

Numero di versione della ricetta selezionata.


Esporta gruppi ricette in XML

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Esporta gruppi ricette in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esporta il gruppo ricette selezionato con il contenuto in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

selezione file

Impostazioni per l´assegnazione del nome file nel file di export. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera automaticamente nome file

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <RGMGroupName>.

Ad esempio: <RGM GroupName>.xml da come risultato per il Gruppo 1: Gruppe 1.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Disattivata: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: non attiva.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

Carattere jolly per percorsi dinamici

Caratteri simbolici

Condizione:

Risultato

<ProjectName>
  • Sempre

Nome del progetto

<DateTime>
  • Sempre

Date e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Per il tedesco(Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Export di un gruppo
  • Export di una ricetta
  • Import con selezione gruppo

Nome del gruppo ricette selezionato.

<RGMRecipeName>
  • Export di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Export di una ricetta

Numero di versione della ricetta selezionata.


Esporta ricetta in XML

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Esporta ricetta in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file XML. Anche il nome del gruppo ricette viene esportato. Se si rinominano i gruppi ricette dopo l´export, questa assegnazione andrà persa al momento dell´import.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

selezione file

Impostazioni per l´assegnazione del nome file nel file di export. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera automaticamente nome file

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <RGMRecipeName>.<RGMRecipeVersion>.

Ad esempio: <RGMRecipeName>.<RGMRecipeVersion> dà come risultato per la ricetta Ricetta 1 con la Versione 3: Rezept 1.3.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Disattivata: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: non attiva.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Importa XML…

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Importa XML…

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione importa il contenuto del file XML indicato. Se in esso sono contenute delle singole ricette senza appartenenza ad un determinato gruppo, queste ricette vengono importate nel gruppo selezionato; in caso contrario la selezione del gruppo viene ignorata:

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette in cui le ricette senza appartenenza ad un gruppo devono essere importate. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • tramite file di importazione

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Se il file XML contiene già dei gruppi ricette, questa impostazione verrà ignorata.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

selezione file

Impostazioni per la selezione del file da cui viene effettuato l´import. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

il nome del file di import viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Sovrascrivi le ricette esistenti

Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.

Disattivata: Le ricette già esistente non vengono sovrascritte. Vengono impostate solamente le nuove ricette.

Default: non attiva.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Salva dati ricette dettagliati sulla documentazione in XML

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Salva dati ricette dettagliati sulla documentazione in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esporta dati ricette dettagliati sulla documentazione in un file XML.

Indicazione: questi dati non possono essere più importati. Essi costituiscono la base per l´esatta documentazione.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta


Esporta ricetta in file testo

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Esporta ricetta in file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ricetta

Impostazioni per la selezione ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Tutti

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Indicazione: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

selezione file

Impostazioni per l´assegnazione del nome file nel file di export. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera automaticamente nome file

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più data e ora.

Ad esempio: RGM 10_11_2011 10_42_29.txt

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Importa ricetta in file testo

Manuale -> Manager gruppi ricette -> Funzioni -> Funzione Manager gruppi ricette -> Importa ricetta in file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione importa dati da un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Gruppi ricette-/
Selezione ricette

Selezione del gruppo ricette in cui si deve importare. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • tramite file di importazione

Clicando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo ricette

Impostazioni per la selezione gruppi ricette. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo ricette statico
  • Nome gruppo ricette da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

selezione file

Impostazioni per la selezione del file da cui viene effettuato l´import. Clicando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

il nome del file di import viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile.

Sovrascrivi le ricette esistenti

Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.

Impostazioni runtime

Impostazioni per la gestione durante il Runtime

Proporre questo dialogo nel runtime

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Gestione durante il runtime

Manuale -> Manager gruppi ricette -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel runtime è disponibile mediante un cambio immagine la immagine progettata nell´editor.

Progettazione: vedi sezione Imposta immagine del tipo Manager gruppi ricette.

lista ricette

Nella lista può essere selezionato sempre un solo inserimento. La ricetta selezionata viene visualizzata nella Tabella valori ricette dell´immagine e può essere modificata facendo uso dei pulsanti (rinomina, cancella...).

Se la lista viene utilizzata insieme alle liste a cascata Nome ricette e/o Versione ricette, la selezione viene sincronizzata. Se dunque si modifica la selezione in una lista a cascata, cambia anche quella nella lista ricette e viceversa. Se l´inserimento selezionato nella lista non dovesse essere visibile come conseguenza di un criterio di filtro, nella lista non verrà selezionato nulla.

Nuove ricette e nuove versioni ricette vengono aggiunte alla fine della lista indipendentemente dai criteri di filtro: dati ricetta modificati, come, ad esempio, il testo di un commento o lo stato, vengono visualizzati solamente dopo che la ricetta è stata salvata. I testi dei commenti e i titoli delle colonne vengono tradotti.

Aspetto della lista ricette: vedi sezione Aspetto della lista ricette.

Modifica nome ricetta o numero ricetta

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Attualità delle informazioni visualizzate

L´immagine RGM lavora durante il runtime con una copia della banca dati RGM.

Al momento dell´apertura dell´immagine RGM durante il runtime, viene visualizzata l´informazione attuale della banca dati. Questa visualizzazione non viene aggiornata automaticamente.

Le modifiche vengono aggiornate nel modo seguente:

  • se cambia il contenuto in un client a causa dell´esecuzione di una funzione (per es. Manager gruppi ricette - Leggi tutti i valori), oppure a causa dell´elaborazione dell´immagine, la modifica non viene visualizzata nell´immagine aperta attualmente. Perché le modifiche vengano visualizzate, l´immagine deve essere chiusa e riaperta. In tal modo la banca dati viene letta di nuovo e il sistema visualizza poi lo stato attuale.
  • Nuovi gruppi ricette vengono visualizzati appena l´immagine viene riaperta, le variabili eventualmente solo dopo un reload.
  • Le ricette o i gruppi ricette modificati vengono visualizzati nell´Editor solo dopo un reload.

attenzione Attenzione

Se la variabile per la visibilità (proprietà Visibilità/Variabile) modifica il suo valore mentre è aperta un´immagine RGM che la contiene, viene riaperta l´immagine RGM. Le modifiche non salvate nell´immagine andranno perdute.

Interno ID: Gestione durante il runtime

Variabile

Nome delle variabili il cui valore influenza la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Cliccando sulla superficie si apre il dialogo che serve alla selezione delle variabili. Il nomer può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Interno ID: Gestione durante il runtime

A

Disponibile solo dopo aver selezionato una variabile e quando la visibilità non è ripresa dal valore limite:
Valore più alto della variabile con il quale l´elemento è visibile.
Minimo: minor possibile valore della variabile collegata.
Maximum: maggior possibile valore della variabile collegata.
Default: maggior valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Da

Disponibile solo dopo aver selezionato una variabile e se la visibilità non è collegata con il valore limite:
Valore minimo della variabile con il quale l´elemento è visibile.
Minimo: minor valore possibile della variabile collegata.
Massimo: maggior valore possibile della variabile collegata.
Default: minor valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Gestione durante il runtime

Visibilità

Proprietà per la visibilità degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Visualizzazione valore come testo

Manuale -> Manager gruppi ricette -> Gestione durante il runtime -> Visualizzazione valore come testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Condizione:

Se volete visualizzare nel runtime il significato particolare di un valore all´interno di una ricetta, dovete soddisfare alcuni presupposti.

Impostate per le variabili che usate nella ricetta una matrice di reazione del tipo numerico o stringa (il tipo della matrice di reazione deve essere adatto a quello della variabile utilizzata). Nella matrice di reazione, definite gli stati "è uguale" e indicate il significato desiderato - il testo da visualizzare.
Per far sì che questi testi siano visualizzati, potete usare anche valori limite oppure matrici di reazione del tipo binario con altri stati "è uguale". Se procedete in questo modo, però, non potete usare la funzione Immagine del tipo Keyboard.

Visualizzazione nel runtime

La tabella ricette nell´immagine del tipo Manager gruppi ricette, mostra nella colonna Visualizzazione valore come testo i testi di valore limite collegati o dalla matrice di reazione, oppure dal valore limite che sono violati dal valore della ricetta.

In tabelle RGM di progettazione propria, potete arrivare alla stessa funzionalità con l´aiuto delle funzioni recipew e recipef con il parametro symbolik.

Se viene modificata una ricetta e, di conseguenza, viene violato uno stato o un valore limite, segue subito il testo di valore limite visualizzato.

Inserimenti nella Lista eventi cronologica.

Nel caso di modifiche a valori delle ricette o nel caso di impostazione di una ricetta (valore ricette), non solamente i valori, ma anche i corrispondenti testi di valore limite vengono riportati nell´inserimento destinato alla CEL. Se non viene violato né uno stato, né un valore limite, viene inserito solamente il valore.


Informazioni di stato nel caso di ricette e manager gruppi ricette

Manuale -> Manager gruppi ricette -> Gestione durante il runtime -> Informazioni di stato nel caso di ricette e manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il runtime, le informazioni di stato vengono rese disponibili nel caso di

  • Lettura / Scrittura
  • Esportare/importare
  • e salvare

Quando si scrive una ricetta, questa variabile contiene il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente (globale)

Valore | Risultato
0 | Setta valore di inizializzazione prima della ricetta
1 | Scrittura eseguita con successo
2 | Scrittura non eseguita perché esiste un errore di parametro
3 | Scrittura non eseguita con successo.
4 | Attendo "conclusione".
5 | Scrittura interrotta visto che si è terminato il Runtime.
6 | Intervenuto Timeout.

Avvertenza: Se nel progetto è attivata la funzionalità di rete, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale. .

Info Informazioni

Quando si parla di "scrittura" si intende la scrittura sul driver. Questo trasmette poi la ricetta al PLC. Il che significa:

  • proprietà Scrittura sincrona disattivata: Il valore 1 per Ricetta standard/RGM-Ricetta scritta completamente non significa che i valori sono sul PLC. Significa solamente che essi sono stati scritti sul driver.

    Interno ID: Informazioni di stato nel caso di ricette e manager gruppi ricette

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Proprietà Scrittura sincrona attiva: La modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Avvertenza: la visualizzazione dello stato di avanzamento della scrittura avviene solamente se Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

viene eseguito

0

Valore di inizializzazione, letto con successo

1

L'utente non ha l'autorizzazione comando

2

Nessuna autorizzazione in rete

3

Annullamento per opera dell'utente

4

Errore - non è stato possibile leggere tutto con successo per es.

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione

5

Errore nel salvataggio del file ricetta

Tipo immagine Funzioni specifiche

Al momento di

  • leggere (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportare/importare e
  • salvare

una ricetta per mezzo di una funzione specifica per tipo di immagine; sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

letto con successo

2

Errore nella lettura, esporta/importa oppure salva:

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione


Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Manuale -> Manager gruppi ricette -> Gestione durante il runtime -> Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il runtime, è possibile modificare dei valori direttamente tramite immagini. A tal scopo si usano delle cosiddette variabili d´appoggio, che possono essere scritte e lette nel RGM mediante la funzione Manager gruppi di ricette.

Interno ID: Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

Definire delle variabili d´appoggio

Per ogni variabile esistente in un gruppo ricette, si può definire una variabile d´appoggio. Ogni variabile d´appoggio può essere usata solamente una volta per gruppo ricetta. Non ogni variabile del gruppo ricette deve disporre di una variabile d´appoggio. Per definire una variabile d´appoggio:

  1. evidenziate la variabile del gruppo ricette
  2. navigate nelle proprietà fino a giungere al gruppo Generale

    Interno ID: Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

    Generale

    Proprietà generali per variabili nel gruppo ricette.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. cliccate sulla proprietà Variabile d'appoggio

    Interno ID: Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

    Variabile d'appoggio

    Nel Runtime, le variabili di appoggio consentono di modificare tramite un´immagine un valore ricetta RGM. Per ogni variabile esistente in un gruppo ricette, si può definire una variabile d´appoggio. Nel Runtime, la variabile RGM viene sostituita con una variabile d´appoggio mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili di appoggio; essa viene riscritta nel RGM dopo una modifica mediante l´azione Scrivi variabili di appoggio sui valori di ricetta.

    Cliccando sul pulsante si apre il dialogo per selezionare la variabile d´appoggio. Una variabile d´appoggio può essere usata una sola volta per ogni gruppo ricette.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. si apre il dialogo per selezionare una variabile
  5. selezionate la variabile d´appoggio desiderata
  6. confermate cliccando su OK.

Procedura progettazione

  1. Per ogni variabile i cui valori devono essere modificabili durante il runtime mediante un´immagine, definite in fase di progettazione una variabile d´appoggio.
    Impostate quest´ultima nella proprietà Generale/Variabile d'appoggio.
  2. Progettate un´immagine che rappresenta i valori ricetta modificabili, per esempio un serbatoio.
  3. Collegate l´immagine ad una Funzione Manager gruppi di ricette e selezionate l´azione Scrivi valori ricetta su variabili di appoggio.
  4. Progettare un pulsante nell´immagine.
  5. Collegate il pulsante alla funzione Manager gruppi di ricette e selezionate l´azione Scrivi variabili di appoggio sui valori di ricetta.

Sequenza runtime

  1. Viene aperta l´immagine che serve a settare i valori per il RGM.
  2. Le variabili verranno sostituite con le variabili d´appoggio.
  3. Quando si apre l´immagine, si attiva la funzione Manager gruppi di ricette con l´azione Scrivi valori ricetta su variabili di appoggio.
  4. I valori ricetta vengono visualizzati nell´immagine e possono essere modificati.
  5. I valori modificati vengono scritti nella ricetta mediante il pulsante con la funzione Manager gruppi di ricette/Scrivi variabili di appoggio sui valori di ricetta.
  6. Se dovesse verficarsi un errore, si può analizzarlo tramite le variabili del driver di sistema. e gli inserimenti in file LOG.


Trattamento degli errori

Manuale -> Manager gruppi ricette -> Trattamento degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori possono essere analizzati sia tramite le variabili del driver di sistema che le segnalazioni di errore. Le segnalazioni e le variabili del driver di sistema le trovate nel capitolo Guida Variabili del driver di sistema, Sezione Tema RGM.

File Log

Inserimento

Livello

Significato

COM Events

COM Event "RecipeCreate" returned with "bCancel == TRUE"

logLe_DEBUG

Segnalazione per COM Events, se l´azione in questione è stata interrotta tramite il parametro funzione bCancel:

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Se l´azione non è stata terminata nella funzione evento, non viene visualizzato nessun specifico inserimento log.

Variabili d´appoggio

RGM: Teached value out of min max range. Variabile: "x1", Value: x2, FromShadow: x3

FAILED

Un valore letto viola il Valore min. oppure il Valore max. dei limiti di valori impostabili della ricetta.

  • x1: nome della variabile
  • x2: valore nominato della variabile
  • x3: indicazione valore di processo o valore di una variabile d´appoggio

Error while reading current value for CEL logging.

INTERNAL

Si è verificato un errore durante la lettura dei valori momentanei per il logging CEL (Esegui ricetta). Possibili cause:

  • un valore è al di fuori dei limiti di Valore min. e Valore max.
    -> ulteriore inserimento RGM: Teached value out of min max range. Variabile: "x1", Value: x2, FromShadow: x3
  • un valore ha lo stato INVALID
  • il timeout è stato raggiunto

Segnalazioni pop-up

Segnalazione | Significato
Il nome "Rezept\Test" contiene caratteri non consentiti (\"'./*?<>!|). | Il nome del gruppo ricette o il nome ricetta inseriti non sono conformi alle regole per l´assegnazione del nome. Fra parentesi ci sono dei caratteri non consentiti.
Cancellare versione "7" della ricetta "Ricetta1"? | Richiesta di conferma posta del sistema prima di cancellare una versione ricetta nell´immagine Manager gruppi ricette durante il runtime.


Esempi

Manuale -> Manager gruppi ricette -> Esempi

Qui trovate degli esempi di progettazione:


Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Manuale -> Manager gruppi ricette -> Esempi -> Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per scrivere durante il runtime la versione ricetta più grande con lo stato rilasciato sul PLC:

  1. impostare testi di stato per gli stati ricetta:
    1. aprite la proprietà Identificatore stato ricetta in Gruppi di ricette

      Interno ID: Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

      Gruppi di ricette

      Definite il sito per salvare i file per il Manager dei gruppi ricette.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

      Identificatore stato ricetta

      Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    2. create nel dialogo lo stato:

      - 1 bozza

      - 2 controllato

      - 3 rilasciato

      - 4 bloccato

      - 5 cancellato

    Un consiglio: in questa sede potete definire i testi di stato anche come parole chiave per il cambio lingua mettendogli davanti il simbolo @ (per es.: @rilasciato).

  2. Impostazione di più versioni ricetta:
    1. impostate un nuovo gruppo ricetta facendo uso del menu contestuale
    2. collegate variabili con il gruppo ricette
    3. impostate una nuova ricetta
    4. impostate una nuova versione per la ricetta
    5. cambiate lo stato nella seconda versione della ricetta portandolo a 3 rilasciato
  3. Impostazione della funzione:
    1. selezionate la ricetta e scegliete nel menu contestuale o nella barra simboli Crea funzione standard
    2. si apre il dialogo di configurazione
    3. selezionate Setta ricetta
    4. settate Versione ricetta su >
    5. selezionate in corrispondenza di Stato ricetta statico l´inserimento 3 rilasciato

Quando viene eseguita la funzione nel runtime, viene scritta sul PLC la versione più grande esistente della ricetta con lo stato 3 - rilasciato. Se adesso, per esempio, si imposta una nuova versione ricetta ed essa riceve lo stato 3 - rilasciato, alla prossima apertura della funzione questa nuova versione viene scritta sul PLC.


Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Manuale -> Manager gruppi ricette -> Esempi -> Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare il cambio lingua per un elemento del tipo Collega testo, innanzitutto impostate quest´ultimo nell´editor e cambiatelo poi nel runtime.

Nell’Editor

Per impostare un elemento dinamico del tipo Collega testo e per configurarlo:

  1. cliccate nella barra dei simboli degli elementi sul simbolo Collega testo e impostate l´elemento all´interno dell´immagine.
  2. Selezionate una variabile stringa.
  3. Attivate la proprietà Tradurre testo

    Interno ID: Cambio lingua del testo di visualizzazione nell´elemento Collega testo

    Tradurre testo

    Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nel runtime

Il valore proposto mostra un testo di default. Il testo è modificabile:

al momento di essere visualizzato, il testo viene modificato mediante il cambio lingua:


Menu

Manuale -> Menu

L'editor dei menu permette di creare dei menu conformi a Windows. Ci ne sono di due tipi:

  • Menù principali
  • Menu contestuali

Indicazione: Il sistema operativo non permette un menu proprio per singole Immagini oppure Modelli.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuovo menu principale | Aggiunge un nuovo menu principale nella lista menu della visualizzazione dettagliata.
Nuovo menu contestuale | Aggiunge un nuovo menu contestuale nella lista menu della visualizzazione dettagliata.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Profil | Apre la lista a cascata con i Profili predefiniti.
Help | Attiva la guida online


Progettazione nell'editor

Manuale -> Menu -> Progettazione nell'editor

Selezionate la voce menu Manager di progetto per aprire l'Editor dei menu nella sezione lista. Potete scegliere fra diversi menu principali e contestuali. Potete creare nuovi menu utilizzando il menu contestuale (voce Nuovo menu principale o Nuovo menu contestuale). Essi vengono poi visualizzati nella parte destra della sezione lista. E' naturalmente possibile esportare ed importare dei menu. Ulteriori informazioni su questo tema le potete trovare nel capitolo "Importazione/esportazione /Menu".

attenzione Attenzione

Il presupposto perché i menu principali vengano visualizzati durante il runtime è il seguente: Nelle proprietà di progetto deve essere attivata la proprietà Attiva menu principali (nodo Aspetto grafico).

Interno ID: Progettazione nell'editor

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Progettazione nell'editor

Attiva menu principali

Questa opzione deve essere attivata nel caso si utilizzino i menù principali.
Abilitata: Viene riservata una barra nella parte superiore dell’immagine per la visualizzazione dei menù.
Disabilitata: Nessun menù di sistema viene visualizzato a Runtime.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Impostare un nuovo inserimento di menu

Per creare un nuovo inserimento di menu:

  1. selezionate l´ultimo inserimento
  2. confermate con il tasto Invio
  3. viene creato un nuovo campo di inserimento vuoto

Impostare un nuovo sottomenu

Per impostare un nuovo sottomenu dovete attivare nell´inserimento di menu sovraordinato la proprietà Sottomenù. Si aprirà un nuovo campo di inserimento per il sottomenu.

Interno ID: Progettazione nell'editor

Sottomenù

L´inserimento di menu non esegue nessuna azione, ma apre un sottomenu.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Spostare un inserimento di menu

  1. selezionate l´inserimento desiderato (multiselect possibile).
  2. trascinatelo nella nuova posizione tenendo premuto il tasto sinistro del mouse
  3. Avvertenza: Se spostate dei sottomenu su un inserimento di menu, che non è definito come sottomenu, gli inserimenti vengono impostati come menu principali
    Se spostate l´inserimento superiore, verrano spostati anche tutti i sottomenu.

Copiare un inserimento di menu

  1. selezionate l´inserimento desiderato (multiselect possibile).
  2. selezionate nel menu contestuale oppure nella barra dei simboli Copia
  3. selezionate il posto in cui la copia sarà salvata

    Avvertenza: Se copiate dei sottomenu su un inserimento di menu, che non è definito come sottomenu, gli inserimenti vengono impostati come menu principali
    Se copiate l´inserimento superiore, verrano copiati anche tutti i sottomenu.

  4. selezionate nel menu contestuale oppure nella barra dei simboli Aggiungi
  5. trascinatelo nella nuova posizione tenendo premuto il tasto sinistro del mouse

Rinominare un inserimento di menu

  1. selezionate l´inserimento di menu e modificatelo nel modo seguente:
    • cliccando due volte oppure con un doppio clic ritardato sull´inserimento
      oppure
    • premete il tasto F2 oppure il tasto Invio con l´inserimento selezionato
      oppure
    • selezionate il comando Rinominare nel menu contestuale oppure nella barra dei simboli
  2. l´inserimento attuale viene evidenziato
  3. inserite il nuovo nome
  4. confermate le modifiche nel modo seguente:
    • premendo il tasto Invio
    • passando ad un altro inserimento di menu
  5. oppure rifiutate la modifica premendo il tasto Esc

Selezione multipla

Per modificare contemporaneamente più inserimenti

  • tenete premuto il tasto Ctrl e cliccate sugli inserimenti

    oppure

  • tenete premuto il tasto Shift e cliccate sugli inserimenti

    oppure

  • tenete premuto il tasto Shift e cliccate e usate i tasti con le frecce della tastiera

Per deselezionare un inserimento, cliccate sull´inserimento tenendo premuto il tasto Ctrl oppure Shift.

Per deselezionare tutti e attivare solamente un inserimento, cliccate sull´inserimento desiderato.


Menu Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Menu -> Progettazione nell'editor -> Menu Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli

Punto di menu | Azione
Nuovo menu principale | Aggiunge un nuovo menu principale nella lista menu della visualizzazione dettagliata.
Nuovo menu contestuale | Aggiunge un nuovo menu contestuale nella lista menu della visualizzazione dettagliata.
Crea una funzione standard | Apre il dialogo che serve alla selezione di una azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copiare | Copia l´inserimento selezionato negli appunti
Incolla | Aggiunge il contenuto degli appunti.
Elimina | Cancella l´inserimento selezionato senza un´ulteriore controllo di sicurezza.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da file XML.
Rinomina | Apre l´inserimento di menu in modo tale che lo si possa rinominare.
Proprietà | Apre la finestra delle proprietà per l´inserimento.
Guida | Attiva la guida online

Menu contestuale Menu runtime

Punto di menu | Azione
Nuovo menu principale | Aggiunge un nuovo menu principale nella lista menu della visualizzazione dettagliata.
Nuovo menu contestuale | Aggiunge un nuovo menu contestuale nella lista menu della visualizzazione dettagliata.
Help | Attiva la guida online

Menu contestuale Menu principale

Punto di menu | Azione
Nuovo menu principale | Aggiunge un nuovo menu principale nella lista menu della visualizzazione dettagliata.
Help | Attiva la guida online

Menu contestuale Menu contestuali

Punto di menu | Azione
Nuovo menu contestuale | Aggiunge un nuovo menu contestuale nella lista menu della visualizzazione dettagliata.
Help | Attiva la guida online

Menu contestuale Menu

Punto di menu | Azione
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da file XML.
Elimina | Cancella l´inserimento selezionato senza un´ulteriore controllo di sicurezza.
Crea una funzione standard | Apre il dialogo che serve alla selezione di una azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Proprietà | Apre la finestra delle proprietà per l´inserimento.
Guida | Attiva la guida online


Definire inserimenti

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una voce di menu può avere sostanzialmente tre contenuti differenti:

Parametri

Descrizione

Tipo di azione

Interno ID: Definire inserimenti

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce quale tipo di azione deve essere eseguita nel Runtime mediante il corrispondente inserimento di menu. Non tutti i tipi di azione sono disponibili nel Menu principale; alcuni sono progettabili solamente tramite il Menu contestuale.

  • Ripristinare allarmi (solo menu contestuale)
  • Comandi (solo menu contestuale)
  • Ripristinare lampeggio (solo menu contestuale)
  • Funzione
  • Guida
  • Nessuna azione
  • Setta valori impostabili
  • Macro VBA (solo menu contestuale)

Sottomenù

Interno ID: Definire inserimenti

Sottomenù

L´inserimento di menu non esegue nessuna azione, ma apre un sottomenu.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Apre nel Runtime un sottomenu.

Linea di separazione

Una linea orizzontale separa gli inserimenti di menu.

Sottolineare testo: l´inserimento di un & fa sì che il successivo carattere venga sottolineato.

Progettare inserimenti

Per progettare un inserimento nel menu principale o contestuale:

  1. attivate anzitutto la cella di menu corrispondente
  2. selezionate nelle proprietà:
    • Tipo di azione: dipendente dal tipo di menu
      vedi anche: Tipi di azioni Menu principale eTipi di azioni Menu contestuale
    • ID menù: ID dell´inserimento
      Indicazione: Alla voce Comandi, sono disponibili per dei tipi predefiniti con ID fissa.

      Interno ID: Definire inserimenti

      ID menù

      Nome dell´inserimento menu.

      In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Testo: denominazione univoca della cella menu.

      Interno ID: Definire inserimenti

      Testo

      Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

La denominazione nella proprietà Testo deve essere univoca. Se si assegna la stessa denominazione più volte, altri punti di menu recanti la stessa denominazione non verranno visualizzati.


Tipi di azione Menu principale

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti -> Tipi di azione Menu principale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita tramite selezione della voce di menu nel runtime.
Guida | Visualizzazione di una pagina di help da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Valore impostabile | Mediante la selezione della voce di menu Setta valore impostabile, si può settare durante il Runtime un valore fisso oppure si può aumentare o diminuire il valore di una variabile in una determinata misura. L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se esiste nel progetto una delle tre immagini keybord (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), essa viene utilizzata automaticamente. Per questa azione una variabile può essere definita direttamente oppure può, nell'utilizzo come voce di menu contestuale, essere ripresa tramite clic su un elemento.


Tipi di azione Menu contestuale

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti -> Tipi di azione Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita tramite selezione della voce di menu nel runtime.
Guida | Visualizzazione di una pagina di help da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Valore impostabile | Mediante la selezione della voce di menu Setta valore impostabile, si può settare durante il Runtime un valore fisso oppure si può aumentare o diminuire il valore di una variabile in una determinata misura. L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se esiste nel progetto una delle tre immagini keybord (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), essa viene utilizzata automaticamente. Per questa azione una variabile può essere definita direttamente oppure può, nell'utilizzo come voce di menu contestuale, essere ripresa tramite clic su un elemento.
Macro VBA | La selezione di questa voce di menù permette l´esecuzione di una macro VBA nel runtime. Potete selezionare solamemente le macro VBA che sono dicharate come Init-Event.
Ripristina allarmi | Gli allarmi di tutte le variabili che sono collegate all'elemento dinamico, cui si riferisce il menu contestuale, vengono ripristinati.
Ripristina lampeggio | Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comando | Apre la finestra di comando definita (solo nel caso si disponga di una licenza Energy).


Comando

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti -> Tipi di azione Menu contestuale -> Comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si crea una nuova azione nei Comandi, viene impostato un Menu-ID corrispondente al tipo di azione e alla direzione di switch per la proprietà Tipo di azione e viene poi offerto nella lista a cascata. Se il contenuto corrisponde a un ID definito come testo standard per il tipo di azione e la direzione di switch, il contenuto verrà adattato quando cambia il tipo di azione o la direzione di switch.

Interno ID: Comando

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per creare un menu contestuale per i comandi:

  1. create nei Comandi le azioni desiderate
  2. selezionate nelle proprietà dell´inserimento Menu contestuale come Tipo di azione Comandi
  3. selezionate con la proprietà ID menù l´azione desiderata e la direzione switch facendo uso della lista a cascata

    Interno ID: Comando

    ID menù

    Nome dell´inserimento menu.

    In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. assegnate nella proprietà Testo una denominazione univoca
    Indicazione: se non si definisce per Testo nessun inserimento, il campo verrà automaticamente riempito con la denominazione "Comandi".

    Interno ID: Comando

    Testo

    Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

La denominazione nella proprietà Testo deve essere univoca. Se si assegna la stessa denominazione più volte, altri punti di menu recanti la stessa denominazione non verranno visualizzati.

Visto che i punti di menu creati automaticamente con la stessa azione danno lo stesso testo, per essi sono disponibili delle Macro.

La successione di caratteri ID_CMD_AUTO è riservata per i punti di menu generati automaticamente. Esse devono essere usate sempre con macro, visto che altrimenti viene inserito solamente il punto di menu.

Azioni per Tipo di azione Comandi

Azione | Direzione di commutazione | Menu-ID
ID_CMD_AUTO |  | Questo punto di menu mostra automaticamente tutte le possibili azioni per un elemento, nel caso in cui non venga già usato un punto di menu diretto della lista.
Comando unico | ON (1) | ID_CMD_EBEF_ON
Comando unico | OFF (1) | ID_CMD_EBEF_OFF
Comando unico | NESSUNA | ID_CMD_EBEF_NONE
Comando doppio | ON (1) | ID_CMD_DBEF_ON
Comando doppio | OFF (2) | ID_CMD_DBEF_OFF
Comando doppio | NESSUNA | ID_CMD_DBEF_NONE
valore impostabile | NESSUNA | ID_CMD_SVALUE
valore impostabile | DIRECT | ID_CMD_SVALUE_DIR
Impostazione stato | NESSUNA | ID_CMD_STATE
Impostazione stato | ON (1) | ID_CMD_STATE_ON
Impostazione stato | OFF (0) | ID_CMD_STATE_OFF
sostituisci | NESSUNA | ID_CMD_REPL_NONE
sostituisci | ON (1) | ID_CMD_REPL_ON
sostituisci | OFF (0) | ID_CMD_REPL_OFF
sostituisci | DIST | ID_CMD_REPL_DEF
sostituisci | DIFF | ID_CMD_REPL_DIFF
Aggiorna | NESSUNA | ID_CMD_UPD_NONE
Aggiorna | ON (1) | ID_CMD_UPD_ON
Aggiorna | OFF (0) | ID_CMD_UPD_OFF
Aggiorna | DIFF | ID_CMD_UPD_DIFF
Aggiorna | DIST | ID_CMD_UPD_DEF
Aggiorna | DIRECT | ID_CMD_UPD_DIR
Blocca | NESSUNA | ID_CMD_BLOCK
Rilascia | NESSUNA | ID_CMD_UNLOCK
Bloccare | NESSUNA | ID_CMD_LOCK
Revisione | OFF (0) | ID_CMD_REV_OFF
Revisione | ON (1) | ID_CMD_REV_ON
Info Informazioni
Ulteriori informazioni sull´uso di menu contestuali nei comandi, le trovate nella guida relativa alla Energy Edition nella sezione Menu contestuale Comandi.


Macro per menu contestuale

Macro per menu contestuale

Una macro è una definita successione di caratteri che Quasi tutte le macro possono ricorrere più volte per punto di menu. Possono anche contenere come risultato ulteriori macro. Si deve tenere conto della successione di espansione. Nella progettazione dei menu, le macro sono case insensitive. Se le macro contengono una macro come risultato, essa deve essere scritta nel risultato in lettere maiuscole. L´inserimento avviene con $ come prefisso e suffisso.

La successione dell´espansione avviene da sinistra a destra con la seguente priorità:

  1. $NOTE$
  2. $TAG$
  3. $REMA<Zustand>$
  4. $RDIR$
  5. $ALL$
  6. $DIR$
  7. $ACT$
  8. $NOTE$

Macro

Descrizione

$NOTE$

L´intero testo inclusa la macro viene interpretato come commento. Se il testo risultante è vuoto, viene utilizzata la macro $ALL$.

$TAG$

Viene sostituita con la Identificazione corrente.

L´identificazione può essere tradotta facendo uso del meccanismo di traduzione online. In assenza di un carattere di traduzione (@), tutta l´identificazione viene selezionata automaticamente per effettuarne la traduzione.

$REMA<Zustand>$

<Stato> è uno stato di matrice di reazione o di valore limite, il cui testo viene usato per la sostituzione.

Se questo stato non esiste, il punto di menu non verrà visualizzato.

Il testo di valore limite viene tradotto prima della espansione macro in dipendenza della posizione di @ .

Stato può essere un numero fra -231 e 231-1. Sono ammessi un segno e gli spazi iniziali. Se sono contenuti dei caratteri non convertibili in un numero, oppure il numero si trova al di fuori dell´area indicata, la voce di menu non verrà visualizzata.

$RDIR$

Il testo per la direzione di switch viene ricavato dalla matrice di reazione/valore limite come nella macro $DIR$:

  • azione Imposta valore direttamente
    Il testo viene ripreso da matrice di reazione/valore limite dello stato che corrisponde al valore del valore impostabile da settare.
  • Azione Status On e Status Off
    Il testo viene ricavato dalla matrice di reazione/valore limiti per gli stati On e Off.
  • Azione Correzione manuale diretta“
    il testo viene ricavato dalla matrice di reazione/valore limite dello stato, corrispondente al valore della variabile che deve essere impostata.

$ALL$

Ne risulta denominazione azione: direzione switch.

Corrisponde alla combinazione delle macro $ACT$: $DIR$

$DIR$

Direzione switch dell´azione.

$ACT$

Descrizione dell´azione.

$NOTE$

Per l‘ultima macro, la macro nota viene nuovamente controllata e il testo a destra di questa macro inclusiva viene cancellato.

Se il testo che ne risulta è vuoto, oppure consta solamante di spazi vuoti, il punto di menu non verrà inserito.

Punti di menu generati automaticamente

I punti di menu generati automaticamente vengono creati in ID_CMD_AUTO come ID menu. In questo caso devono essere usate sempre delle macro, visto che, in caso contraria, viene inserito solamente un punto di menu.

Compatibilità:

Nelle versioni precedenti alla 6.51, il testo era ignorato con i punti di menu automatici. Nel caso della conversione di progetti che sono stati realizzati usando versioni precedenti alla 6.51, prima del testo progettato vengono inserite le macro $ALL$$NOTE$. In tal modo, questi punti di menu si comportano esattamente come accadeva finora.

Cambio lingua online

La didascalia del punto di menu nella proprietà Testo viene tradotta prima dell´espansione macro a partire dal carattere @.

Interno ID: Macro per menu contestuale

Testo

Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: se nella macro $TAGS$ non si trova il carattere (@), verrà tradotto tutto il testo.


Modi di rappresentazione grafici

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti -> Modi di rappresentazione grafici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I menu possono essere influenzati dal punto di vista grafico mediante le seguenti proprietà.

Parametri

Descrizione

File grafico

Interno ID: Modi di rappresentazione grafici

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Mostra in tutto il settore sinistro un file grafico.

Immagine di sfondo

Interno ID: Modi di rappresentazione grafici

Immagine di sfondo

Proprietà per la grafica di sfondo dell´inserimento di menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Imposta un file grafico dietro l´inserimento di menu. La disposizione può essere in grandezza orginale oppure allungata.

Checkmark

Interno ID: Modi di rappresentazione grafici

Checkmark

Davanti all´inserimento di menu viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Mostra in tutto il settore sinistro un simbolo di spunta. Questo simbolo di spunta non ha nessun effetto sulla disponibilità della funzionalità collegata, ma serve solamente alla visualizzazione. Una gestione della visualizzazione e della funzionalità nel runtime può avvenire solamente mediante VBA/VSTA.

Visibile

Interno ID: Modi di rappresentazione grafici

Visibile

Stabilisce se l´inserimento di menu viene visualizzato nel runtime.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attivato: L´inserimento di menu viene visualizzato nel runtime e la funzionalità collegata è a disposizione. Una gestione della visibilità nel runtime può avvenire solamente mediante VBA/VSTA.

Separatore attivo

Interno ID: Modi di rappresentazione grafici

Separatore attivo

attivo: Al posto di un inserimento menu, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Mostra al posto dell´inserimento di menu una linea di separazione orizzontale per una suddivisione logica del menu.

La larghezza della linea di separazione può variare fra 0 e50 pixel e se ne può definire liberamente il colore.


Sotto-menu

Manuale -> Menu -> Progettazione nell'editor -> Definire inserimenti -> Sotto-menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare dei sottomenu:

  1. attivate la proprietà Sottomenù

    Interno ID: Sotto-menu

    Sottomenù

    L´inserimento di menu non esegue nessuna azione, ma apre un sottomenu.

    Default: inattivo.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. a destra verrà creato un nuovo campo di menu vuoto
  3. definite gli inserimenti per il sottomenu oppure ulteriori sottomenu

I sottomenu vengono messi in evidenza mediante una freccia a destra. I sottomenu possono essere realizzati in forma " a scatole".


Gestione durante il runtime

Manuale -> Menu -> Gestione durante il runtime

La gestione dei menu dell´Editor dei menu corrisponde a quella delle ben note funzionalità delle applicazioni Windows.

Nel Runtime, i menu sono collocati in un posto fisso che si trova nell´angolo in alto a sinistra dello schermo.

Indicazione: nel caso di allarmi in attesa, può essere che la barra allarmi copra i menu. In questo caso i menu possono essere gestiti solamente quando l´allarme in questione sarà stato ripristinato. Per evitare il verificarsi di questa evenienza, progettate il posizionamento della Barra stato allarmi in un altro posto, oppure attivate Cornice per il modello.


Visualizzare menu nel runtime

Manuale -> Menu -> Gestione durante il runtime -> Visualizzare menu nel runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per visualizzare Menu principali nel runtime, si deve impostare una funzione corrispondente e la si deve collegare.

Menu principali vengono definiti nelle proprietà degli elementi dinamici relativi.


Visualizzazione di menu principali

Manuale -> Menu -> Gestione durante il runtime -> Visualizzare menu nel runtime -> Visualizzazione di menu principali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione gestisce la visualizzazione di menu principali.

  1. Create con Nuova funzione una nuova funzione
  2. selezionate nel nodo Immagini la funzione Visualizza menu
  3. definite l´azione da eseguire e il menu principale

Parametri | Descrizione
Azione | Selezione dell´azione:
Visualizza menu | Il menu selezionato viene visualizzato.
Escludi menu | Il menu selezionato viene nascosto.
Cambia menu | Il menu attuale viene nascosto ed il menu selezionato viene visualizzato.
Se nessun menu è disponibile | Viene visualizzato il menu selezionato qualora attualmente non sia visualizzato nessun altro menu.
Menu | Scelta del menu.
Proporre questo dialogo nel runtime | Attivo: al momento dell´esecuzione della funzione durante il runtime, viene aperto questo dialogo.
Info Informazioni
Nel Web Client di zenon (Web Server e Web Server Pro) non vengono visualizzati i menu principali. Sotto CE (zenon sotto Windows CE) i menu possono essere visualizzati solo negli standard che supporta Windows CE. Altri colori e caratteri rispetto a quelli Windows non possono essere selezionati esplicitamente nei menu con CE.

Se si crea la funzione standard dal menu contestuale nella sezione lista, zenon genera automaticamente una funzione "Visualizza menu" per il menu selezionato.


Visualizzare menu contestuali

Manuale -> Menu -> Gestione durante il runtime -> Visualizzare menu nel runtime -> Visualizzare menu contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I menu contestuali possono essere utilizzati nel runtime per gli elementi dinamici. Per visualizzare un menu contestuale nel runtime, collegate il menu con l´Elemento dinamico desiderato.

Per far ciò:

  1. navigate nelle proprietà dell´elemento dinamico fino a raggiungere il nodo Runtime

    Interno ID: Visualizzare menu contestuali

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. selezionate la proprietà Menu

    Interno ID: Visualizzare menu contestuali

    Menu

    Menù contestuale dell’elemento.
    Un click del tasto destro del Mouse sull’elemento apre questo Menu contestuale durante il Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. selezionate il menu contestuale desiderato fra quelli offerti dalla lista a cascata

attenzione Attenzione

I menu contestuali vengono referenziati in relazione al nome. Ciò significa: se si rinomina un menu contestuale, andrà perso il collegamento con l´elemento dinamico, collegamento che dovrà essere creato di nuovo.


Message Control

Manuale -> Message Control

Il modulo opzionale Message Control consente l´invio automatico di messaggi e il loro ripristino. L´invio viene provocato da una funzione che può essere collegata da un evento. I mezzi disponibili per l´invio sono i seguenti:

  • E-Mail via Microsoft Outlook
  • E-Mail via SMTP
  • SMS via modem GSM
  • SMS via un SMS-Gateway
  • Messaggio vocale con file audio via modem a telefono
  • Messaggio vocale Text-to-Speech via modem a telefono

Lo stato della trasmissione può essere protocollato nella Lista eventi cronologica (CEL):

La configurazione avviene in due sezioni:

  • Impostazioni generali concernenti l´invio: nella proprietà del gruppo Message-Control del workspace.

    Interno ID: Message Control

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Interno ID: Message Control

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Impostazioni specifiche del progetto: nelle proprietà del nodo Message Control nel relativo progetto.

tutorial Informazioni sulla licenza

Per l´Editor e il Runtime (standalone, server, standby) è necessaria una licenza. Non è disponibile per i client.

Menu contestuale Impostazioni specifiche del progetto nel Manager di progetto

Punto di menu | Azione
Guida | Attiva la guida online


Compatibilità con la versione 6.xx

Manuale -> Message Control -> Compatibilità con la versione 6.xx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le differenze della versione 7 rispetto alle versioni precedenti.

Nella versione 7.00 SP0 di zenon il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti sia per quello che concerne la configurazione che per quello che riguarda la tecnica.

Di seguito un elenco delle modifiche tecniche di rilievo:

  • non si usa più un server COM
  • non viene più utilizzata la componente ulteriore della ditta DerDack
  • la ZenMsgQueue viene sostituita mediante un´immagine propria del tipo Message Control
  • la configurazione avviene nelle proprietà Message-Control del workspace (invio) e nelle proprietà Proprietà specifiche di progetto per il modulo Message Control nel progetto (legata al progetto)

    Interno ID: Compatibilità con la versione 6.xx

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Compatibilità con la versione 6.xx

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • non c´è più una lista dettagliata
  • sono stati eliminati il modello turni e la funzionalità calendario
  • non ci sono più "Runtime dati modificabili"
  • l´invio di E-Mail è possibile sia tramite Outlook che un server SMTP; quest´ultimo tipo consente l´invio di allegati
  • la configurazione dei tipi di invio non viene più salvata in un apposito messag32.ini, ma nello zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo Message Control era differente da quella di testi di valore limite standard. A partire dalla versione 7.00 tali differenze non esistono più. @StringTabelle+%var1

I dettagli concernenti la configurazione li trovate nel capitolo Configurare il Message Control.

attenzione Attenzione

Solo i progetti realizzati con le versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate al software non è possibile garantire una compatibilità del 100% quando si converte un progetto nella nuova versione. Ciò vale anche per la compilazione di file RT per versioni precedenti. Quando effettuate una conversione, tenete presente soprattutto quanto segue:

  • Utente:
    • esiste un utente con lo stesso nome (nome di battesimo e cognome): viene usato questo utente e le informazioni vengono completate.
    • Non esiste nessun utente corrispondente: il sistema imposta un nuovo utente, il collegamento con la persona di riserva e con il gruppo utenti viene eliminato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono completate le informazioni .
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    la funzione Esegui Database destinatari è stata eliminata:
    questa funzione non può più essere creata con l´Editor. Essa però non viene cancellata quando si effettua una conversione. Il suo richiamo nel Runtime non ha alcun effetto e genera un inserimento LOG.

  • Paging:
    il paging non è più disponibile come forma di invio. Alle funzioni esistenti per cui è prevista la modalità di invio Paging il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che fa presente questa modifica, appare nella finestra di emissione. Dopo la conversione le impostazioni della funzione devono essere sottoposte ad un controllo.
  • RT file modificabili:
    visto che la gestione utenti è stata modificata, non c`è più bisogno di RT file modificabili per il Message Control. Nella versione 7 non è prevista neanche una possibilità di importare vecchi dati Runtime. Se si ha bisogno dei file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima importare in un Editor precedente alla versione 7 di zenon; solo poi li si potrà convertire.
  • Turni e calendario:
    la funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Paging il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che fa presente questa modifica, appare nella finestra di emissione. Dopo la conversione le impostazioni della funzione devono essere sottoposte ad un controllo.
  • SMS-Gateway:
    visto che la semplice interfaccia non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Effettuando la conversione, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.

Import e Export

Le versioni precedenti del Message Control e quelle a partire da zenon 7.00 SP0 salvano le loro impostazioni in diversi file:

  • fino alla versione 6.51 SPO inclusa: message32.ini
  • dalla versione 7:00 SP0: zenon6.ini

Importa impostazioni

Se si apre una versione precedente di zenon nella versione 7, oppure in una versione dal numero di serie superiore, le impostazioni del message32.ini vengono riprese e, nel limite del possibile, adattate. La progettazione deve essere sempre controllata manualmente, visto che non tutte le impostazioni possono essere convertite al 100% in modo corretto. Così, ad esempio, dei piani di turni vengono assegnati a gruppi la cui configurazione non è completa.

Esporta impostazioni

La configurazione può essere scritta dalla versione 7 nel message32.ini per versioni precedenti. A tal scopo cliccate sulla proprietà-workspace globale Message-Control/Esportazione impostazioni su Messag32.ini (v6.XX) e confermate la selezione quando il sistema lo richiede.

Interno ID: Compatibilità con la versione 6.xx

Esportazione impostazioni su Messag32.ini (v6.XX)

Salva le impostazioni che vengono effettuate a partire dalla versione 7, per la versione 6.xx nel messag32.ini. Cliccando sul pulsante si avvia l´operazione di export. Le impostazioni attuali del messag32.ini vengono sovrascritte dopo una richiesta di conferma da parte del sistema. Le impostazioni del messag32.ini servono a garantire la compatibilità e riguardano solamente le versioni 6.xx. di zenon A partire dalla versione 7, le impostazioni vengono salvate nello zenon6.ini .

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione: con l´esecuzione della proprietà Esportazione impostazioni su Messag32.ini (v6.XX), vengono sovrascritti tutti gli inserimenti corrispondenti del message32.ini. Il file INI, dunque, può contenere degli inserimenti che non possono essere eseguiti nel modulo Message Control così come esso si presentava nelle versioni precedenti all´ultima, oppure degli inserimenti che rendono inutili delle configurazioni.


Requisiti

Manuale -> Message Control -> Requisiti

I presupposti per usare il Message Control dipendono dal tipo di mezzi di comunicazione che si intende utilizzare:

Modalità di trasporto

Condizione:

E-Mail via Microsoft Outlook:

un´iIstanza funzionante di Microsoft Outlook.

E-Mail via SMTP:

Il server Runtime che esegue l´operazione di invio, deve essere connesso ad una rete.

Deve esistere un E-Mail account. I server con accesso all´account devono essere raggiungibili.

SMS via GSM:

un modem GSM deve essere connesso al calcolatore e deve essere raggiungibile mediante un´interfaccia seriale (COM-Port). quando vengono installati, i modem USB impostano di regola una porta COM virtuale, attraverso cui li si può raggiungere.

SMS via SMS-Gateway:

SMS Server della ditta DIALOGS Software GmbH

Messaggio vocale

Modem vocale con funzionalità DTMF.

Text to speech Engine. (In alcuni casi contenuto nei sistemi operativi. Può essere esteso mediante un pacchetto Text-To-Speech proprio di COPA-DATA.)

Telefono:

Modem vocale con funzionalità DTMF.

Se si usa un adattatore ISDN, esso deve supportare le seguenti funzoni:

  • Supporto di messaggi vocali (LINEMEDIAMODE_AUTOMATEDVOICE
  • Supporto di segnali DTMF (per accettare il codice PIN al ripristino di un messaggio)
  • Supporto del Telephony Application Programming Interface (TAPI)

Limitazioni

  • Il modulo non è disponibile con Windows CE.


Configurare il Message Control

Manuale -> Message Control -> Configurare il Message Control

Si configura il Message Control attraverso:

  • le proprietà globali dei mezzi per l´invio dei messaggi
  • proprietà specifiche di progetto per il messaggio
  • Funzioni che vengono eseguite nel Runtime per l´invio e la gestione messaggi

I messaggi possono essere inviati e ripristinati come:

  • E‑Mail
  • SMS
  • Messaggi vocali

Configurare invio messaggi

Per configurare l´invio di un messaggio:

  1. selezionate il mezzo con cui effettuare l´invio
  2. attivate per questo mezzo la proprietà Invio attivo

    Interno ID: Configurare il Message Control

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. configurate il mezzo
  4. configurate le proprietà specifiche di progetto
  5. configurate gli utenti o i gruppi utenti da raggiungere attraverso questi mezzi di comunicazione.
  6. create una funzione Invia messaggio e

    collegatela

    1. a un pulsante o
    2. alla proprietà Funzione nel caso di quei valori limite che, se violati, devono inviare il messaggio

      Interno ID: Configurare il Message Control

      Funzione

      Funzione che viene lanciata automaticamente quando il limite viene violato.
      Se lo stato è definito come allarme si può impedire l'esecuzione automatica della funzione. In questo modo la funzione può essere lanciata dalla pagina allarmi con il pulsante MDI ‘Funzione’ ad allarme selezionata nella lista (Opzione "Chiamata attraverso la gestione allarmi ")
      Se si vuole eseguire piu di una funzione, deve essere creato uno script con tutte le funzioni desiderate e bisogna inserire qui la funzione di esecuzione dello script.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Configurazione del messaggio

Un messaggio si compone di diverse parti:

  • Oggetto: per le E-Mail, esso viene definito tramite:
    • Oggetto (ID) nelle impostazioni globali per Outlook

      Interno ID: Configurare il Message Control

      Oggetto (ID)

      Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

      Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

      Lunghezza minima: 4 caratteri

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Soggetto per E-Mail nelle impostazioni globali per E‑Mail via SMTP

      Interno ID: Configurare il Message Control

      Soggetto per E-Mail

      Inserimento dell´oggetto per le E-Mail in uscita.

      Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • proprietà Parte dinamica del soggetto impostazioni specifiche di progetto per E‑Mail via SMTP o Outlook

      Interno ID: Configurare il Message Control

      Parte dinamica del soggetto

      Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

      Interno ID: Configurare il Message Control

      Message-Control

      Gruppo per impostazioni che concernono più progetti nel Message Control.

      Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

      Interno ID: Configurare il Message Control

      Proprietà specifiche di progetto

      Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

      Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Configurare il Message Control

      Messaggio E-Mail (SMTP)

      Impostazioni per l´invio di E-Mail via SMTP.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Configurare il Message Control

      Messaggio E-Mail (Outlook)

      Gruppo per le impostazioni del tipo di invio Outlook.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Il testo può contenere caratteri jolly per:

      • chiavi dalla tabella lingua.
      • Nome di una variabile
      • inserimento composto nella tabella lingua

      Sintassi $ individua un testo; le parti in cui si articola il testo sono separate da punti e virgola (;); il testo deve finire con un punto e virgola (;).
      Per es.: $@Achtung;%Var1;

      Trovate una lista dei parametri nel capitolo Testo valore limite Parametri.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Saluto e Codice errato: per i messaggi vocali definiti attraverso:
    • Messaggio vocale Text-to-Speech via modem

      o

    • Messaggio vocale con file audio via modem
  • Testo del messaggio: viene definito per E-Mail, SMS e messaggi vocali:
    • nella opzione Testo costante

Configurare la coda messaggi Message Queue

Per gestire i messaggi durante il Runtime:

  1. create un´immagine del tipo Message Control
  2. create e configurate una funzione Cambio immagine per questa immagine
  3. collegate la funzione ad un bottone

In tal modo, è possibile effettuare durante il Runtime un controllo dello stato dei messaggi e della coda messaggi (Message Queue).

Message Control nel Runtime

Per usare il Message Control nel Runtime:

  1. attivate anzitutto il modulo Message Control attraverso
    • la proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si avvia automaticamente insieme al Runtime.

      Interno ID: Configurare il Message Control

      Attivo all'avvio del Runtime

      Attiva: Il Message Control viene avviato con il Runtime.

      Default: Attiva

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • la funzione Attiva invio messaggio: attivando questa funzione si avvia il Message Control. I messaggi vengono elaborati solo a partire da questo momento.

Quando si chiude il Runtime normalmente, viene salvata un´immagine della coda messaggi attuale. Quest´immagine può essere creata in qualsiasi momento anche durante il funzionamento Runtime facendo uso della funzione Salva attuale coda messaggi. Il Message Control può essere chiuso nel Runtime tramite la funzione Disattiva invio messaggio.

Sopprimi messaggio

Il Message Control tiene una lista contenente elementi disattivati. Disattivato significa che gli allarmi dell´elemento non provocano nessun messaggio.

Se a una violazione di valore limite è connessa una funzione Invia messaggio, vengono generati e inviati dei messaggi solo se né la variabile, né l´allarme sono soppressi.

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati è presente nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi è presente nella lista degli elementi soppressi.

Questa lista può essere modificata nel Runtime mediante la funzione Sopprimi Gruppi/Classi/Aree/Strutture. Possono essere attivati e disattivati sia allarmi che impianti. Gli inserimenti soppressi vengono documentati nella CEL, a patto che si sia selezionato per la proprietà Salva nella CEL Tutte le conferme o Solo le conferme negative.

Interno ID: Configurare il Message Control

Salva nella CEL

Stabilisce quali eventi vengono procollati nella CEL. Selezione dalla lista a cascata:

- tutte conferme

- nessuna conferma

- solo conferme negative

- solo conferme positive

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In rete, l´attivazione o disattivazione di inserimenti avviene in modo ritentivo. Se, per esempio, si spengono gli allarmi di una parte d´impianto per effettuare dei lavori di manutenzione, questa impostazione rimane attiva anche dopo la chiusura del Runtime e viene riutilizzata al riavvio del sistema.


Impostazioni generali concernenti l´invio

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I mezzi utilizzati per l´invio di messaggi vengono definiti a livello globale e possono essere poi usati da ogni progetto e ogni worspace.

I mezzi disponibili per l´invio sono i seguenti:

  • messaggio E-Mail via Outlook
  • messaggio E-Mail via SMTP
  • messaggio SMS via modem GSM
  • messaggio SMS via SMS-Gateway
  • Messaggio vocale File audio via modem
  • Messaggio vocale Text-to-Speech via modem

Per configurare le proprietà:

  1. selezionate il workspace
  2. selezionate nelle proprietà il gruppo Message-Control

    Interno ID: Impostazioni generali concernenti l´invio

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Interno ID: Impostazioni generali concernenti l´invio

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate e configurate il tipo di mezzo desiderato

Le impostazioni vengono salvate nello zenon6.ini nella sezione [Message Control].


messaggio E-Mail via Outlook

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> messaggio E-Mail via Outlook

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio come E-Mail tramite Microsoft Outlook, si deve:

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: messaggio E-Mail via Outlook

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • verificare che sul calcolatore che esegue il processo sia presente un´istanza funzionante di Microsoft Outlook con connessione alla rete/Internet

Se i messaggi sono con obbligo di ripristino, si deve far sì che la casella postale venga controllata nell´ambito dell´intervallo di tempo che è a disposizione per il ripristino. Questo intervallo di tempo viene fissato mediante la funzione Invia messaggio (tab Avviso di ricezione).

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Definite attraverso la proprietà Profilo il nome del profilo Outlook che deve essere utilizzato.

    Interno ID: messaggio E-Mail via Outlook

    Profilo

    Nome del profilo Outlook che deve essere utilizzato per l´invio. Selezione dalla lista a cascata

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Stabilite attraverso la proprietà Oggetto (ID) un oggetto univoco.
    Questo oggetto serve da criterio per inoltrare i messaggi in arrivo al modulo Message Control. Le E-Mail che non contengono questo ID, non verranno inoltrate al Message Control. Esso deve:

    Interno ID: messaggio E-Mail via Outlook

    Oggetto (ID)

    Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

    Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

    Lunghezza minima: 4 caratteri

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • avere una lunghezza di almeno quattro caratteri
    • essere lasciato immutato alla risposta
  4. Configurate le proprietà per Proprietà specifiche di progetto.

    Interno ID: messaggio E-Mail via Outlook

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Interno ID: messaggio E-Mail via Outlook

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Configurate utenti e gruppi utenti.
  6. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.

Comportamento durante il Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita la funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.


messaggio E-Mail via SMTP

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> messaggio E-Mail via SMTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio come E-Mail tramite un server SMTP, si deve:

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: messaggio E-Mail via SMTP

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • verificare che sul calcolatore che esegue il processo sia presente una connessione al server E-Mail
  • verificare che sia definito un E-Mail account
  • verificare che il server Mail sia configurato con i suoi dati di accesso

Se i messaggi sono con obbligo di ripristino, si deve far sì che la casella postale venga controllata nell´ambito dell´intervallo di tempo che è a disposizione per il ripristino. Questo intervallo di tempo viene fissato mediante la funzione Invia messaggio (tab Avviso di ricezione).

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Configurate le proprietà per:
    • Server di posta in arrivo

      Interno ID: messaggio E-Mail via SMTP

      Server di posta in arrivo

      Proprietà per la configurazione del server POP3 della posta in entrata.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Server posta in uscita

      Interno ID: messaggio E-Mail via SMTP

      Server posta in uscita

      Proprietà per la configurazione del server SMTP della posta in uscita.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Configurate le proprietà per le impostazioni specifiche del progetto.
  4. Configurate utenti e gruppi utenti.
  5. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.

Comportamento durante il Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita la funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.

Esso può aprire sempre solo una connessione thread. Viene sempre aperta una connessione per il thread, che ne ha bisogno; subito dopo la fine dello scambio dati, essa viene poi chiusa. Mentre viene inviato un messaggio, nessun altro thread può scaricare messaggi dalla posta in entrata, o inviarne uno. Quando vengono scaricati i messaggi della posta in arrivo, nessun altro thread può avviare un download della posta in arrivo, né inviare messaggi.

Se si verifica un errore nell´esecuzione di una di queste operazioni (come autenticazione fallita oppure comando non supportato), tutte le connessioni attive vengono chiuse.

Le impostazioni corrette per la configurazione vanno richieste ai provider dell´E-Mail-Account utilizzato.

Procedimenti

Scaricare le Mail in arrivo

  1. Instaurazione di una connessione al server di posta in arrivo parametrizzato e alla corrispondente port.
    Se la connessione è protetta da un meccanismo di sicurezza o no, dipende dalle impostazioni della proprietàCodifica.

    Interno ID: messaggio E-Mail via SMTP

    Codifica

    Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

    nessuna: viene instaurata una connessione non crittografata.

    SSL versione 2 e 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

    TLS versione 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

    Default: SSL versione 2 e 3

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Tutte le E-Mail nella posta in arrivo vengono scaricate attraverso i comandi STAT e RETR. Sulla base dell´oggetto, il sistema decide se una E‑Mail è rilevante. Il sistema salta i messaggi non rilevanti. I messaggi rilevanti vengono inoltrati al Message Control e - finché la proprietà Lascia sul server le E-Mail già lette è disattivata - cancellate con il comando DELE dal server.

    Interno ID: messaggio E-Mail via SMTP

    Lascia sul server le E-Mail già lette

    Attiva: Le E-Mail non vengono cancellate dopo essere state caricate sul server.

    Default: non attiva.

    Indicazione: : visto che POP3 non prevede nessuna possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in entrata. Se questa proprietà è attiva, aumenta lo spazio di memoria richiesto sul server e la performance nell´operazione di carico dei messaggi può ridursi.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. La connessione viene terminata con l´invio del comando QUIT e successivamente Chiudi connessione.

Invio di una E-Mail

  1. A seconda delle impostazioni, il sistema instaura una connessione protetta o non protetta con il server SMTP.
  2. Se lo si è stabilito in fase di configurazione, viene effettuata un´autenticazione SMTP mediante il comando AUTH.
  3. Il messaggio da inviare viene trasmesso in formato MIME con i comandi-SMTP MAIL, RCPT e DATA
  4. La connessione SMTP viene terminata con l´invio del comando QUIT e successivamente Chiudi connessione.
  5. Se esiste una connessione POP3, anche essa verrà chiusa.


messaggio SMS via modem GSM

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> messaggio SMS via modem GSM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio come SMS via modem GSM:

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: messaggio SMS via modem GSM

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • un modem GSM deve essere connesso al calcotore che effettua l´invio e deve essere raggiungibile mediante un´interfaccia seriale (COM-Port)
    Indicazione: quando vengono installati, i modem USB impostano di regola una porta COM virtuale, attraverso cui li si può raggiungere.
  • è possibile che si debba usare il software del produttore per inizializzare il modem GSM, in modo tale che esso possa connettersi alla rete GSM.

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Selezionate con la proprietà Porta modem (seriale) la COM-Port del modem fra quelle offerte nella lista a cascata.
    La porta corretta è indicata nelle proprietà del sistema del modem.
    Indicazione: dopo una riconnessione del modem o un riavvio del computer, è possibile che sia necessario inizializzare il modem un´altra volta usando il software del produttore, prima di poterlo usare con il Message Control. La COM-Port può cambiare con una riconnessione del modem o un riavvio del computer.

    Interno ID: messaggio SMS via modem GSM

    Porta modem (seriale)

    Selezione della porta COM tramite la quale il modem è raggiungibile. Con un clic del mouse aprite la lista a cascata per la selezione. Qual è la porta corretta, lo si può vedere nel pannello di controllo, nel gruppo Telefono e Modem.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Se necessario, inserite nella proprietà Codice PIN il PIN per il modem.

    Interno ID: messaggio SMS via modem GSM

    Codice PIN

    Inserimento del PIN per il modem. Esso deve constare solamente di cifre. Se non è necessario inserire un codice PIN per usare il modem, il valore di questa proprietà viene ignorato.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Controllate la connessione cliccando su Verifica connessione.

    Interno ID: messaggio SMS via modem GSM

    Verifica connessione

    Se si clicca sul pulsante, il sistema testa la connessione con il modem. Il test riguarda:

    1. apertura e preparazione della porta COM definita nella proprietà Porta modem (seriale).

    2. Risposta del modem.

    3. Autenticazione PIN, se necessario.

    4. Configurazione del modem. Per la configurazione di Numero centro messaggi si usa un inserimento Dummy, visto che la validità di questo numero di telefono può essere controllata solamente con l´invio di un SMS.

    Interno ID: messaggio SMS via modem GSM

    Numero centro messaggi

    Indicazione del numero di telefono del SMSC (short message service center) del provider GSM utilizzato. Inserimento deve essere un numero di telefono valido e deve constare solamemte di cifre. È consentito inserire il carattere + all´inizio del numero, che sta ad indicare un prefisso internazionale.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Un messaggio avverte se il test ha avuto successo o è fallito. Le informazioni concernenti gli errori vengono scritte nel file LOG.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Inserite nel campo proprietà Numero centro messaggi il numero di telefono dello short message service center.
  6. Configurate le proprietà per Proprietà specifiche di progetto.

    Interno ID: messaggio SMS via modem GSM

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Interno ID: messaggio SMS via modem GSM

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  7. Configurate utenti e gruppi utenti.
  8. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.

Comportamento durante il Runtime

  1. Non appena si avvia il Runtime, il sistema instaura e configura la connessione con il modem.
  2. Vengono caricati i messaggi.
  3. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita la funzione corrispondente.
  4. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  5. Questo modulo esegue il ripristino.
  6. Se dopo il recupero non esistono più messaggi multi-parte incompleti, i messaggi già letti vengono cancellati dal modem.
  7. Quando si chiude il Runtime, la connessione con il modem viene interrotta.

Info Informazioni

Se si riconnette il modem oppure si riavvia il modem, è consigliabile:

  • eseguire il software di configurazione fornito dal provider GSM, in modo tale che il modem venga inizializzato e si connetta alla rete.
  • Verificate nel pannello di controllo se il modem, dopo essere stato riconnesso, continua ad usare la stessa COM-Port.

Costanti, timeout e parametri

Inserimento

Valore

Descrizione

Timeout per comandi AT

10000 ms

Il modem ha 10 secondi di tempo per rispondere alla trasmissione di un comando AT.

SMS intervallo Polling

20000 ms

Ogni 20 secondi il sistema controlla se sono arrivati nuovi SMS e se questi sono stati letti. Se dopo il recupero non esistono più messaggi multi-parte incompleti, tutti i messaggi già letti vengono cancellati.

COM-Timeout

scrittura: 5 secondi

lettura: risposta immediata

Ci sono 5 secondi a disposizione per scrivere i byte sulla COM-Port (al massimo 400 con SMS-PDU di grandezza massima).

Durante la lettura della porta COM il contenuto corrente del buffer di ricezione viene letto e restituito immediatamente.

Configurazione COM-State
  • Baud: 9600
  • modo binario
  • Check bit di parità: non attiva.
  • Clear-to-Send e Data-Set-Ready: non monitorato
  • Data-Terminal-Ready e Request-To-Send Flow Control: attivato
  • Bit pro Byte: 8
  • Parità: nessuno
  • Stop Bit:1

Configurazione standard di un´interfaccia seriale.

Buffer

Limite

Valore massimo

Descrizione

Grandezza del buffer di invio e grandezza del buffer di ricezione per l´interfaccia seriale in byte

4096

Le singole PDU hanno una grandezza massima di 400 byte. Quando si invia un SMS, le PDU vengono spedite singolarmente una dopo l´altra.

Al momento della ricezione, il sistema interroga tutti gli SMS arrivati dall´ultimo intervallo Polling come blocco. Il modem può cosi inviare almeno 10PDUs alla volta nel buffer di ricezione della porta seriale.

Grandezza del buffer generale per conversioni e SMS in arrivo in byte

12288

Visto che una SMS-PDU occupa al massimo 400 byte nel buffer di ricezione, con questo buffer si possono ricevere al massimo 30 parti di SMS di grandezza massima nell´arco di un intervallo Polling di 20 secondi.

La grandezza massima di un SMS da inviare è pari a 6144 caratteri Unicode.


messaggio SMS via SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> messaggio SMS via SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio come SMS via modem SMS-Gateway :

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: messaggio SMS via SMS-Gateway

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • deve essere disponibile e configurato un server SMS della Ditta DIALOGS srl

Procedura

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Configurate Cartella in uscita, Cartella in entrata e Cartella di stato.

    Interno ID: messaggio SMS via SMS-Gateway

    Cartella di stato

    Cartella del server SMS per la segnalazione di stato in caso di invio di SMS.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: messaggio SMS via SMS-Gateway

    Cartella in entrata

    Cartella dei messaggi in entrata del server SMS per l´invio di SMS.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: messaggio SMS via SMS-Gateway

    Cartella in uscita

    Cartella dei messaggi in uscita del server SMS per l´invio di SMS.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Configurate Carrattere iniziale del file messaggi.
    Questa lettera iniziale è un riferimento inequivocabile per il progetto. Se il SMS-Gateway viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.

    Interno ID: messaggio SMS via SMS-Gateway

    Carrattere iniziale del file messaggi

    Lettera iniziale dei file SMS. Deve essere univoca per ogni singolo progetto.

    Lunghezza: 1 caratteri

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Configurare Prima lettera del file di blocco/semaforo: Stabilisce la lettera iniziale per i file blocco/semaforo. Questa lettera iniziale è un riferimento inequivocabile al progetto. Se il SMS-Gateway viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.

    Interno ID: messaggio SMS via SMS-Gateway

    Prima lettera del file di blocco/semaforo

    Lettera iniziale del file semaforo. Deve essere univoca per ogni singolo progetto.

    Lunghezza: 1 caratteri

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Configurate le proprietà Allarmi intelligenti.
    Se la proprietà viene attivata, gli SMS vengono trattati nel modo seguente:

    Interno ID: messaggio SMS via SMS-Gateway

    Allarmi intelligenti

    Attiva: Viene usato smartalarming.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • tutti i messaggi in uscita vengono controllati. Se un messaggio inizia con il testo ALARM!, esso non viene inviato nel formato normale (ID; messaggio), ma nel formato seguente: ALARM! ID; messagge.
    • Se viene inviato un messaggio che inizia con ALARM!, il cellulare del ricevente passa automaticamente alla modalità "molto forte", sempre che questa modalità sia supportata dal telefono stesso.
    • Anche i messaggi in arrivo vengono controllati per verificare la presenza di questa successione di caratteri.
      Se in sesta posizione si trova un punto esclamativo (!), vengono eliminati i primi 6 caratteri e il messaggio viene inoltrato attraverso il modulo Message Control.
  6. Configurate le proprietà per Proprietà specifiche di progetto.

    Interno ID: messaggio SMS via SMS-Gateway

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Interno ID: messaggio SMS via SMS-Gateway

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  7. Configurate utenti e gruppi utenti.
  8. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.

Comportamento durante il Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita la funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  4. Questo modulo esegue il ripristino.


Messaggio vocale File audio via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> Messaggio vocale File audio via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio vocale come file audio:

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: Messaggio vocale File audio via modem

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • si deve depositare nel nodo File/Multimedia File audio rispettivamente un file audio per:
    • Saluto
    • Messaggio
    • Codice errato
  • un modem deve essere connesso al calcolatore che invia il messaggio e configurato
  • l´apparecchio telefonico del destinatario deve disporre delle proprietà DTMF

Procedura

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Configurate le impostazioni per Timeout e Ripeti testo di benvenuto.

    Interno ID: Messaggio vocale File audio via modem

    Ripeti testo di benvenuto

    Quantità delle ripetizioni per il testo di benvenuto.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Messaggio vocale File audio via modem

    Timeout

    Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Selezionate tramite la proprietà Nome linea il modem per l´invio.
    la selezione avviene tramite una lista a cascata che propone una lista di tutti i modem configurati nel pannello di controllo.

    Interno ID: Messaggio vocale File audio via modem

    Nome linea

    Selezione del modem da usare fra quelli della lista a cascata.

    Se non viene visualizzata nessuna lista a cascata, significa che non è stato configurato nessun modem per il calcolatore in questione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Configurate le proprietà per Proprietà specifiche di progetto.

    Interno ID: Messaggio vocale File audio via modem

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Interno ID: Messaggio vocale File audio via modem

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Configurate utenti e gruppi utenti.
  6. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.
  7. Questo metodo è con obbligo di ripristino.

Comportamento durante il Runtime

  1. Non appena una funzione richiama il metodo di invio, il modem inizia ad instaurare una comunicazione telefonica.
  2. Non appena c´è una risposta alla chiamata, vengono riprodotti il saluto ed il messaggio.
  3. Il messaggio deve essere ripristinato dal ricevente con il codice valido:
    • Codice PIN per la conferma

      Interno ID: Messaggio vocale File audio via modem

      Codice PIN

      Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

      Interno ID: Messaggio vocale File audio via modem

      Codice-NA

      Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Codice-NA per il rifiuto

    Il ricevente può anche fare quanto segue:

    • può riascoltare il file appena udito premendo il tasto (#) sulla tastiera del telefono
    • può annullare un inserimento premendo il tasto (*); in questo caso verrà ripetuto il saluto


Messaggio vocale Text-to-Speech via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> Messaggio vocale Text-to-Speech via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per inviare un messaggio vocale per Text-to-Speech:

  • si deve attivare il tipo di invio tramite la proprietà Invio attivo

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • un modem deve essere connesso al calcolatore che invia il messaggio e configurato
  • l´apparecchio telefonico del destinatario deve disporre delle proprietà DTMF
  • Deve essere installato un Text to speech (TTS) Engine

Procedura

Configurazione

  1. Attivate il tipo di invio attraverso la proprietà Invio attivo.
  2. Configurate le impostazioni per Timeout e Ripeti testo di benvenuto

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Ripeti testo di benvenuto

    Quantità delle ripetizioni per il testo di benvenuto.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Timeout

    Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Selezionate tramite la proprietà Nome linea il modem per l´invio.
    la selezione avviene tramite una lista a cascata che propone una lista di tutti i modem configurati nel pannello di controllo.

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Nome linea

    Selezione del modem da usare fra quelli della lista a cascata.

    Se non viene visualizzata nessuna lista a cascata, significa che non è stato configurato nessun modem per il calcolatore in questione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Definite mediante la proprietà Voce la lingua e la voce.
    Indicazione: altre voci e lingue le potete ottenere rivolgendovi al Vostro distributore di COPA-DATA.

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Voce

    Selezione della voce e della lingua fra le opzioni offerte dalla lista a cascata.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Configurate le proprietà per Proprietà specifiche di progetto.

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Proprietà specifiche di progetto

    Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

    Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

    Interno ID: Messaggio vocale Text-to-Speech via modem

    Message-Control

    Gruppo per impostazioni che concernono più progetti nel Message Control.

    Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  6. Configurate utenti e gruppi utenti.
  7. Impostate le Funzioni necessarie e collegatele a pulsanti o eventi.
  8. Questo metodo è con obbligo di ripristino.

Comportamento durante il Runtime

  1. Non appena una funzione richiama il metodo di invio, il modem inizia ad instaurare una comunicazione telefonica.
  2. Non appena c´è una risposta alla chiamata, vengono riprodotti il saluto ed il messaggio.
  3. Il messaggio deve essere ripristinato oppure rifiutato dal ricevente con il codice valido:
    • Codice PIN per la conferma

      Interno ID: Messaggio vocale Text-to-Speech via modem

      Codice PIN

      Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

      Interno ID: Messaggio vocale Text-to-Speech via modem

      Codice-NA

      Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Codice-NA per il rifiuto

    Il ricevente può anche fare quanto segue:

    • può riascoltare il file appena udito premendo il tasto (#) sulla tastiera del telefono
    • può annullare un inserimento premendo il tasto (*); in questo caso verrà ripetuto il saluto

Info Informazioni

A seconda del sistema operativo e del software installato, sono già disponibili delle voci e delle lingue a cui può ricorrere zenon. Altre voci e lingue le potete ottenere rivolgendovi al Vostro distributore di COPA-DATA. Attualmente sono disponibili: tedesco, inglese (US, UK e indiano), francese e spagnolo.


Inserimenti nello zenon6.ini

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali concernenti l´invio -> Inserimenti nello zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Message Control viene configurato soprattutto tramite proprietà globali e specifiche del progetto. Nello zenon6.ini, le proprietà globali dei mezzi di comunicazione vengono visualizzate nella sezione [Message Control]:

Inserimento | Descrizione
[MESSAGE CONTROL] | Sezione nello zenon6.ini
Outlook_Profile= | Nome del profilo Outlook che deve essere utilizzato per l´invio. Default: vuoto
Outlook= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Subject= | ID univoco che le mail in entrata devono contenere per poter essere elaborate nel modulo Message Control. Default: vuoto
Telephone_Timeout= | Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio. Default: 1
Telephone_WelcomeMessageCount= | Quantità delle ripetizioni per il testo di benvenuto. Default: 5
Telephone_IgnoreDisconnect= | 1: l´interruzione della connessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta. 0: il messaggio viene interotto quando si interrompe la comunicazione. Default: 0
Telephone= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Speech= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Speech_Rate= | Velocità della voce. Minimo: -10 Massimo: 10 Default: 0
Speech_Volume= | Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata. Massimo: 100 Minimo: 1 0: viene ripreso il valore dal sistema operativo senza alcuna modifica. Default: 0
Speech_Name= | selezione della voce e della lingua Default: vuoto
SMSGateway= | Invio attivo? 0: disattivato. 1: attivo Default: 0
SMSGateway_Inbox= | Cartella in entrata per invio di SMS. Default: vuoto
SMSGateway_Outbox= | Cartella in uscita per invio di SMS. Default: vuoto
SMSGateway_Statusbox= | Cartella per segnalazione di stato nel caso di invio di SMS. Default: vuoto
SMSGateway_Prefix= | Lettera iniziale dei file SMS. Lunghezza: 1 caratteri Default: F
SMSGateway_SemaphorPrefix= | Lettera iniziale del file semaforo. Lunghezza: 1 caratteri Default: S
SMSGateway_OriginId= | Identificazione mittente per invio di SMS. Default: vuoto
SMSGateway_TimeOut= | Tempo di timeout espresso in minuti per messaggi in uscita. Stablisce alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo". Default: 60
SMSGateway_SmartAlarm= | Viene usato smartalarming. Default: 0
SMTP_POP_MAIL= | L´inserimento stabilisce se la modalità d´nvio è attivo. 1: attivo 0: disattivato. Default: 0
SMTP_SRV_IS_POP= | L´inserimento stabilisce se il server POP3 viene usato come server SMTP. 1: POP 3 è SMTP 0: POP3 e SMTP sono server differenti Default: 0
SMTP_SERVER= | Il server SMTP indicato dall´utente. Default: vuoto
SMTP_PORT= | Definisce la port usata dal server SMTP. Default: 25
SMTP_SECURITY= | Tipo di meccanismo di sicurezza della connessione con il server SMTP. 0: nessun meccanismo di sicurezza. 1: SSLv2 e SSLv3 2: TLSv1 Default: 0
SMTP_AUTH= | autenticazione sul server di posta in uscita. 0: nessun meccanismo di sicurezza. 1: prima dell´invio registrare sul server POP3 2: SMTP AUTH Default: 0
SMTP_OTHER_CREDS= | Stabilisce se il server di posta in uscita utilizza altri dati di registrazione di quelli del server di posta in entrata. 0: disattivato. 1: attivo Default: 0
SMTP_USER= | Nome user per il server di posta in uscita salvato. Default: vuoto
SMTP_PASSWORD= | Hex-Dump della password crittografata per l´autenticazione sul server di posta in uscita. Default: vuoto
SMTP_SUBJECT= | Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio. Default: MsgCtrl_Alert
SMTP_USER_IS_ADDR= | Definisce se il nome utente viene usato come indirizzo mittente per messaggi in uscita per l´autenticazione nei confronti del server di posta in uscita. 1: attivo 0: disattivato. Default: 0
SMTP_OUT_ADDR= | Indirizzo per le E-Mail in uscita. Default: vuoto
POP_SERVER= | Server POP3 salvato. Default: vuoto
POP_PORT= | Definisce la port usata sul server POP3 . Default: 110
POP_SECURITY= | Tipo di meccanismo di sicurezza della connessione con il server POP3. 0: nessun meccanismo di sicurezza. 1: SSLv2 e SSLv3 2: TLSv1 Default: 0
POP_APOP= | Stabilisce se si deve usare il comando APOP. 1: attivo 0: disattivato. Default: 0
POP_KEEP_MAILS= | Stabilisce se le E-Mail lette devono rimanere sul server. 1: le E-Mail non vengono cancellate dopo essere state aperte sul server. 0: le E-Mail vengono cancellate dopo essere state aperte sul server. Default: 0
POP_USER= | Nome user per il server di posta in uscita. Default: vuoto
POP_PASSWORD= | Hex-Dump della password crittografata per l´autenticazione sul server di posta in uscita salvato. Default: vuoto
POP_POLL_INTERVALL= | Intervallo minimo fra due richieste POP3 espresso in secondi. Minimo: 10 Default: 60
GSM_SMS= | Attivazione di SMS tramite GMS come tipo di invio. 0: attiva non 0: non attiva. Default: 0 L´inserimento corrisponde nel Message32.ini all´inserimento [GSM] a On e il sistema ne tiene conto quando vengono importate/esportate le impostazioni INI.
GSM_SMS_COM= | La porta COM che viene usata per la connessione con il modem. Default: vuoto
GSM_SMS_SMSC= | Numero di telefono del Short Message Service Centre del provider GSM. Default: vuoto
GSM_SMS_PIN= | Codice PIN che viene usato per l´autenticazione nei confronti del modem. Default: vuoto

Info Informazioni

Visto che alcune proprietà possono riprendere i valori di altre e memorizzano i valori inseriti per ultimi, i valori degli inserimenti INI non devono corrispondere sempre a quelli delle proprietà visualizzati nell´Editor. Ciò riguarda le seguenti proprietà quando esse vengono rappresentate come non disponibili:

SMTP_SERVER -> Indirizzo server

Interno ID: Inserimenti nello zenon6.ini

Indirizzo server

Disponibile solo se Utilizza server di posta in arrivo per le E-Mail in uscita è disattivato.

Interno ID: Inserimenti nello zenon6.ini

Utilizza server di posta in arrivo per le E-Mail in uscita

Attiva: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indirizzo completo del server SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_USER -> Nome user

Interno ID: Inserimenti nello zenon6.ini

Nome user

Nome user per il server di posta in uscita.

Disponibile solo se Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà non è attiva, viene visualizzato il nome utente dalla proprietà Nome user del gruppo Server di posta in arrivo. Altrimenti viene visualizzato il nome utente inserito per ultimo per il server di posta in uscita.

Interno ID: Inserimenti nello zenon6.ini

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Inserimenti nello zenon6.ini

Nome user

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Inserimenti nello zenon6.ini

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Interno ID: Inserimenti nello zenon6.ini

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Disattivata: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_PASSWORD -> Password

Interno ID: Inserimenti nello zenon6.ini

Password

Password per il server di posta in uscita.

Disponibile solo se la proprietà Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà è disattivata, è salvata la password definita nella proprietà Password del gruppo Server di posta in arrivo.

Interno ID: Inserimenti nello zenon6.ini

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_OUT_ADDR -> Indirizzo delle E-Mail in uscita

Interno ID: Inserimenti nello zenon6.ini

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Interno ID: Inserimenti nello zenon6.ini

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autentificazione.

Attiva: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.

Non attiva: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Impostazioni specifiche del progetto

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni specifiche del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Giungete alle impostazioni specifiche del progetto tramite le proprietà del nodo Message Control del progetto in questione. Esse contengono proprietà per la configurazione dei messaggio e del loro invio. Le proprietà generali concernenti i mezzi di trasmissione vanno configurate nelle proprietà Message-Control del workspace.

Interno ID: Impostazioni specifiche del progetto

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Interno ID: Impostazioni specifiche del progetto

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attivazione del Message Control per il progetto

Il Message Control può essere attivato durante il Runtime tramite:

  • la proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si avvia automaticamente insieme al Runtime.

    Interno ID: Impostazioni specifiche del progetto

    Attivo all'avvio del Runtime

    Attiva: Il Message Control viene avviato con il Runtime.

    Default: Attiva

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • la funzione Attiva invio messaggio: attivando questa funzione, si avvia il Message Control. I messaggi vengono elaborati solo a partire da questo momento.

Il Message Control può essere chiuso nel Runtime tramite la funzione Disattiva invio messaggio.

Proprietà specifiche del progetto

Usate le proprietà specifiche del progetto per definire:

  • la parte dinamica dell´oggetto usando la proprietà Parte dinamica del soggetto: I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

    Interno ID: Impostazioni specifiche del progetto

    Parte dinamica del soggetto

    Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

    Interno ID: Impostazioni specifiche del progetto

    Soggetto per E-Mail

    Inserimento dell´oggetto per le E-Mail in uscita.

    Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Impostazioni specifiche del progetto

    Messaggio E-Mail (SMTP)

    Impostazioni per l´invio di E-Mail via SMTP.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Impostazioni specifiche del progetto

    Oggetto (ID)

    Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

    Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

    Lunghezza minima: 4 caratteri

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Impostazioni specifiche del progetto

    Messaggio E-Mail (Outlook)

    Gruppo per le impostazioni del tipo di invio Outlook.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Il testo può contenere caratteri jolly per:

    • chiavi dalla tabella lingua.
    • Nome di una variabile
    • inserimento composto nella tabella lingua

    Sintassi $ individua un testo; le parti in cui si articola il testo sono separate da punti e virgola (;); il testo deve finire con un punto e virgola (;).
    Per es.: $@Achtung;%Var1;

    Trovate una lista dei parametri nel capitolo Testo valore limite Parametri.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Protocollaggio del messaggio mediante la proprietà Salva nella CEL: Nella Lista eventi cronologica, i messaggi possono essere protocollati sulla base di diversi criteri:

    Interno ID: Impostazioni specifiche del progetto

    Salva nella CEL

    Stabilisce quali eventi vengono procollati nella CEL. Selezione dalla lista a cascata:

    - tutte conferme

    - nessuna conferma

    - solo conferme negative

    - solo conferme positive

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • tutti i messaggi
    • nessuno
    • solo messaggi che sono stati rifiutati o a cui non si è risposto
    • solo messaggi che sono stati ripristinati
  • Identificazipne dello stato del messaggio mediante colore e grafica: La colonna Stato dell´immagine Message Control può mostrare lo stato di un messaggio mediante una grafica e un colore.

Configurazione del messaggio

Esso si compone di:

  1. parte statica: oggetto non modificabile, che viene definito per le E-Mail nelle impostazioni globali.
  2. Parte dinamica: parte dell´oggetto specifica per un progetto. viene definito con la proprietà Parte dinamica del soggetto.

Struttura della parte dinamica dell´oggetto:

  • $: sta per testo "formattato".
  • Le parti di testo vengono considerate parametri se esse
    • sono separate da un punto e virgola (;)dal resto del testo e
    • terminato con un punto e virgola (;).

Un Parametro può essere:
- Chiave dalla tabella lingua
- Nome di una variabile
- inserimento composto nella tabella lingua

Parametri

Durante il runtime

Azione

Chiave:

@MyText

Il sistema controlla se per la lingua attuale esiste nella tabella lingua un inserimento per @MyText.

  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizzare parole chiave non tradotte, viene inserito nel messaggio o @MyText oppure MyText.

    Interno ID: Impostazioni specifiche del progetto

    Visualizzare parole chiave non tradotte

    Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

    Attiva: visualizzazione nel Runtime come parola chiave, per es.: @Text.
    Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

    Indicazione: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile:

%Var1

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste nella tabella lingua un inserimento

  • Variabile e testo eistenti:
    il testo viene aggiunto al messaggio.
    Esempio: valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizzare parole chiave non tradotte, viene inserito nel messaggio o @MyText oppure MyText.

Esempio: $@Achtung;%Var1;


Crea immagine del tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Crea immagine del tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con un´immagine del tipo Message Control gestite nel Runtime la coda (Message-Queue) di un progetto.

Per creare un tipo di immagine del tipo Message Control:

  1. impostate una nuova immagine.
  2. selezionate nella lista a cascata il tipo Message Control
  3. cliccate sull´immagine
  4. selezionate Menu Elementi di controllo -> Inserisci modello
  5. gli elementi di controllo vengono inseriti nell´immagine
  6. create una funzione per il Cambio immagine e collegatela ad un pulsante per poter aprire l´immagine durante il Runtime

Elementi di controllo | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Pulsanti | Pulsanti per azioni durante il Runtime.
Aggiorna: | Aggiorna la visuale. I dati attuali vengono caricati nell´immagine dalla coda (Message Queue). Il momento in cui è avvenuto l´ultimo aggiornamento può essere visualizzato mediante il campo Ultimo aggiornamento.
Elimina | Cancella l´inserimento selezionato dalla lista, Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.
Filtri | Apre il Dialogo che serve alla configurazione del filtro per la visuale.
Stopp/Avanti | Avvia e termina l´aggiornamento ciclico della lista.
Finestra | Liste e campi che possono essere visualizzati durante il Runtime.
Numero dei messaggi | Numero dei messaggi esistenti attualmente.
Ultimo aggiornamento | Momento dell´ultimo aggiornamento.
Gruppi allarmi/eventi sopressi | Gruppi allarmi/eventi per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Classi allarmi/eventi sopresse | Classi allarmi/eventi sopresse per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Aree allarmi/eventi sopresse | Aree allarmi/eventi sopresse per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Impianti soppressi | Impianti per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Messaggi-Lista di attesa | Lista dei messaggi. Contiene i messaggi che sono stati inviati, confermati o cancellati, oppure sono ancora da inviare. I messaggi vengono solamente visualizzati e non possono essere più modificati. I titoli colonne possono essere nominati individualmente e, se gli si pone davanti il carattere @, sono traducibili .
Profili filtro | Gestione profilo
Selezione profilo | Apre il dialogo che serve alla selezione di un profilo.
Salva | Salva le impostazioni attuali come profilo.
Elimina | Cancella profilo.
Importazione | Apre il dialogo per importare dei profili dal file.
Esportazione | Apre il dialogo per esportare dei profili dal file.
Info Informazioni
Le colonne della lista possono essere configurate nell´Editor tramite i Filtri per la funzione Cambio immagine, e durante il Runtime tramite Cambio immagine -> Mostra dialogo in RT oppure il pulsante Filtro. Le colonne della lista possono essere dotate di didascalie individuali e sono traducibili.


gestione utenti

Manuale -> Message Control -> Configurare il Message Control -> gestione utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli utenti e i gruppi utenti per il Message Control vengono creati e gestiti nella gestione utenti di zenon. Affinchè un utente possa utilizzare il Message Control, nella gestione utenti deve essere attiva la proprietà Utente Message Control o Gruppo Message Control.

Interno ID: gestione utenti

Gruppo Message Control

Attiva: Il gruppo utenti viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: gestione utenti

Utente Message Control

Attiva: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Gli utenti e i gruppi utenti vengono referenziati attraverso il nome.

utente

Parametri | Descrizione
Utente Message Control | Attiva: l´utente viene usato dal modulo Message Control.
Telefono | Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech. Inserimento in cifre. È consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.
Telefono cellulare | Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.
E-Mail | Indirizzo E-Mail dell´utente.
Persona di riserva | Selezione della persona di riserva cui deve essere inviato il messaggio nel caso in cui l´utente non sia raggiungibile, oppure egli rifiuti di ricevere il messaggio. Un clic sul comando ... apre il dialogo che serve alla selezione.
Code PIN | Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.
Codice NA | Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (not available). Il messaggio verrà poi inviato al prossimo utente della lista.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

attenzione Attenzione

I codici di ripristino per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili.

Se i codici sono identici, il codice viene interpretato come PIN e, dunque, come conferma del ricevimento del messaggio.

Se il sistema riceve un codice sconosciuto, il messaggio verrà inviato alla persona di riserva nel caso di SMS e E‑Mail; nel caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.

Successione all´interno del gruppo utenti

Gli utenti possono essere ordinati all´interno di un gruppo attraverso la proprietà Ordinamento utenti.

Interno ID: gestione utenti

Ordinamento utenti

Definisce la successione degli utenti all´interno del gruppo. Cliccando sul pulsante ....... si apre il dialogo che serve a configurare la successione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
utente | Lista di tutti gli utenti disponibili.
In sù | Sposta l´utente selezionato di una posizione in sù.
In giù | Sposta l´utente selezionato di una posizione in giù.
OK | Riprende le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta le modifiche di tutte le schede e chiude il dialogo.
Guida | Attiva la guida online

Durante il Runtime, la successione degli utenti della gestione utenti globale viene aggiunta alla quella definita in questa proprietà. Gli utenti locali, dunque, sono visualizzati sempre prima di quelli globali.

Info Informazioni

I dettagli sulla gestione utenti in zenon li trovate nella guida concernente la Gestione user.


Funzioni

Manuale -> Message Control -> Configurare il Message Control -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Delle funzioni gestiscono l´uso del Message Control durante il Runtime.

In tal modo:

  • il Message Control viene acceso e spento
  • i messaggi vengono inviati
  • viene aperta l´immagine del tipo Message Control per gestire la coda messaggi
  • viene salvata la coda messaggi
  • vengono soppressi degli elementi per i messaggi


Cambio ad un´immagine del tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine del tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il cambio ad un´immagine del tipo Message Control, aprite nel Runtime l´immagine che serve a controllare la coda (Message Queue). Per progettare il cambio immagine:

  1. create una nuova funzione.
  2. selezionate Cambio immagine

    Interno ID: Cambio ad un´immagine del tipo Message Control

    Cambio immagine

    Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

    Ulteriori informazioni nella guida in linea

  3. si apre il dialogo di selezione dell´immagine
  4. selezionate l´immagine desiderata del tipo Message Control
  5. si apre il dialogo per configurare le Impostazioni colonne
  6. configurate le colonne
  7. terminate la configurazione cliccando su OK.
  8. collegeta la funzione con un pulsante per poterla aprire durante il Runtime


Impostazioni colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine del tipo Message Control -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostazioni per il filtro dei messaggi

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
OK | Riprende e accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online


Selezione colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine del tipo Message Control -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Selezione colonne

Configurazione delle colonne da visualizzare nel runtime.

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Formato colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine del tipo Message Control -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Formato colonne

Formattazione delle colonne.

Parametri

Descrizione

Colonne disponibili

Lista delle colonne disponibili facendo uso della Selezione colonne. La colonna selezionata in questa sede viene configurata mediante le proprietà della sezione Parametri.

Parametri

Impostazioni per colonna selezionata.

Descrizione

Nome del titolo della colonna Il titolo colonna è traducibile online. A tal scopo dovete inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo a riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo a riferimento il bordo destro.

Blocca il filtro colonna nell´immagine di processo

attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Indicazione: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Message Control
  • Manager gruppi ricette

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Salvare coda attuale

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Salvare coda attuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione salva un´immagine della coda attuale. Se si chiude il Runtime in modo normale, quest´immagine viene sostituita da un´immagine valida della coda al momento della chiusura del Runtime. Per progettare questa funzione:

  1. create una nuova funzione.
  2. selezionate nel gruppo Message Control la funzione Salvare coda attuale

    Interno ID: Salvare coda attuale

    Message Control

    Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

    Ulteriori informazioni nella guida in linea

  3. collegeta la funzione con un pulsante per poterla aprire durante il Runtime

Questa funzione viene sempre eseguita sul computer che ha avviato il processo.


Sopprimi Gruppi/Classi/Aree/Strutture

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Message Control tiene una lista contenente elementi disattivati. Disattivato significa che gli allarmi dell´elemento non provocano nessun messaggio. Questa lista può essere modificata con questa funzione. Possono essere attivati e disattivati sia allarmi che impianti. La progettazione avviene nell´Editor e può essere rilasciata nel Runtime in modo tale che si possano apportare delle modifiche.

Se in un Valori limiti è connessa una funzione Invia messaggio, vengono generati e inviati dei messaggi solo se né la variabile, né l´allarme sono soppressi.

Interno ID: Sopprimi Gruppi/Classi/Aree/Strutture

Invia messaggio

Questa funzione manda un messaggio del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea

Interno ID: Sopprimi Gruppi/Classi/Aree/Strutture

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: Sopprimi Gruppi/Classi/Aree/Strutture

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati è presente nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi è presente nella lista degli elementi soppressi.

Gli inserimenti soppressi vengono documentati nella CEL, a patto che si sia selezionato per la proprietà Salva nella CEL Tutte le conferme o Solo le conferme negative.

Interno ID: Sopprimi Gruppi/Classi/Aree/Strutture

Salva nella CEL

Stabilisce quali eventi vengono procollati nella CEL. Selezione dalla lista a cascata:

- tutte conferme

- nessuna conferma

- solo conferme negative

- solo conferme positive

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Progettare una funzione

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nel gruppo Message Control la funzione Sopprimi Gruppi/Classi/Aree/Strutture

    Interno ID: Sopprimi Gruppi/Classi/Aree/Strutture

    Message Control

    Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

    Ulteriori informazioni nella guida in linea

  3. si apre il dialogo per la configurazione degli elementi da sopprimere o da attivare
  4. configurate gli elementi
  5. chiudete il dialogo cliccando su OK.
  6. collegeta la funzione con un pulsante per poterla aprire durante il Runtime

Scheda Generale

Parametri

Descrizione

Gruppi allarmi/eventi

Lista dei gruppi allarmi/eventi configurati.

Aree allarmi

Lista delle aree allarmi configurate.

Classi allarmi/eventi

Lista delle classi allarmi/eventi configurate.

Attiva

Attiva: Al momento della chiamata della funzione, gli elementi selezionati vengono inseriti nella lista degli elementi soppressi.

Disattiva

Attiva: Al momento della chiamata della funzione, gli elementi selezionati vengono cancellati dalla lista degli elementi soppressi.

Visualizzare dialogo nel runtime

Al momento della chiamata della funzione, si apre questo dialogo e l´utente può adattare la configurazione prima dell´esecuzione della funzione.

I dialoghi vengono aperti nel Runtime sul computer attuale. Nel funzionamento di rete, il dialogo viene aperto sul client se la funzione viene richiamata sul client.

OK

Riprende le impostazioni di tutte le schede e chiude il dialogo.

Annulla

Rifiuta le impostazioni di tutte le tab e chiude il dialogo.

Guida

Apre la guida online

La selezione di elementi della lista avviene cliccando con il mouse. E' possibile una selezione multipla. È sufficiente un altro clic del mouse; non è necessario premere altri tasti. Con un altro clic del mouse su un elemento selezionato, si annulla la selezione dello stesso elemento.

Tab Progettazione impianto

Proprietà | Descrizione
Barra simboli | Vei capitolo Barra dei simboli e Menu contestuale Visuale dettagliata..
Aggiungi | Aggiunge i gruppi e livelli selezionati per mettervi in condizione di effettuare una scelta.
Rimuovi | Cancella gli elementi selezionati dalla lista di quelli fra cui potete effettuare la scelta.
OK | Riprende le impostazioni di tutte le schede e chiude il dialogo.
Annulla | Non viene selezionato nessun elemento.
Guida | Apre la guida online

Aggiungi gruppi

  • selezionate il modello impianti desiderato;
  • selezionate un gruppo impianti oppure un livello; elementi che si trovano allo stesso livello gerarchico possono essere selezionati mediante multiselect (tenendo premuto il tasto Ctrl)
  • aggiungeteli facendo uso del pulsante Incolla alla lista che si trova in basso nel dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionate l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo.
  • Cliccate sul pulsante Cancella

Indicazione: le modifiche in un elemento dell´albero rimangono, indipendentemente dal fatto se si fa uso del pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

Durante il runtime

Quando viene eseguita la funzione, l´impostazione configurata nel dialogo viene inviata come request al computer che ha avviato il processo. Essa viene analizzata in questa sede.


Invia messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione permette l´invio di messaggi nel Runtime. A questo scopo, collegate la funzione con:

  • un Allarme (funzione per gruppo, classe o area)
  • un Valore limite (proprietà Valori limiti/Funzione),

    Interno ID: Invia messaggio

    Funzione

    Funzione che viene lanciata automaticamente quando il limite viene violato.
    Se lo stato è definito come allarme si può impedire l'esecuzione automatica della funzione. In questo modo la funzione può essere lanciata dalla pagina allarmi con il pulsante MDI ‘Funzione’ ad allarme selezionata nella lista (Opzione "Chiamata attraverso la gestione allarmi ")
    Se si vuole eseguire piu di una funzione, deve essere creato uno script con tutte le funzioni desiderate e bisogna inserire qui la funzione di esecuzione dello script.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Invia messaggio

    Valori limiti

    Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

    Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

    Interno ID: Invia messaggio

    Matrice di reazione attiva

    Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
    Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
    Default: Disabilitata (Valori limiti disponibili).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • una Matrice di reazione (funzione)
  • ai Temporizzatori (mediante il pulsante o PFS)

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nel gruppo Message Control la funzione Invia messaggio

    Interno ID: Invia messaggio

    Invia messaggio

    Questa funzione manda un messaggio del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea

    Interno ID: Invia messaggio

    Message Control

    Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

    Ulteriori informazioni nella guida in linea

  3. si apre il dialogo di configurazione

  4. configurate
    • Invio
    • Messaggio
    • Avviso di ricezione
  5. chiudete il dialogo cliccando su OK.
  6. collegate la funzione

Info Informazioni

Nel Runtime, la funzione Invia messaggio viene sempre eseguita sul computer che ha avviato il processo.


Invio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si configurano tipo di invio, ricevente e metodo.

Parametri

Descrizione

Invio

Selezione del tipo di invio fra quelli della lista a cascata. Nella lista sono visualizzati solamente i mezzi di trasmissione la cui proprietà Invio attivo è stata attivata nelle Proprietà Message Control del workspace.

Interno ID: Invio

Invio attivo

Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Destinatario

Impostazioni concernenti il ricevente.

Typ

Selezione del tipo di ricevente fra quelle della lista a cascata. Possibile selezione:

  • Gruppo utenti: invio ad un gruppo.
    selezione di un gruppo tramite cambio opzione o usando l´opzione Destinatario.
    L´opzione Methode dà la possibilità di definire il metodo di invio al gruppo.
  • Utente: invio ad un singolo utente (e alle persone definite nel suo profilo). Selezione dellß utente tramite cambio opzione o usando la proprietà Destinatario.

Methode

Disponibile solo se per l´opzione Tipo si è selezionato Gruppo utenti.

Selezione del metodo di invio fra quelli della lista a cascata. Metodi possibili:

  • Chiamata di gruppo: tutti gli utenti del gruppo ricevono il messaggio parallelamente.
    (Indicazione: nella versione 7.00 di zenon, questo metodo corrisponde al tipo di invio Invio-gruppo.)
  • Richiamata: il messaggio viene inviato ai singoli utenti nella successione definita nel gruppo, finché uno di loro non lo ripristina positivamente. Il gruppo viene passato in rassegna solamente una sola volta. Se nessuno degli utenti del gruppo ripristina il messaggio, l´operazione di invio termina.
  • Richiamata continua: Corrisponde in linea di principio alla Richiamata, ma con la possibilità di ripetere l´operazione di invio: dopo l´ultimo ricevente, il gruppo viene passato in rassegna di nuovo cominciando dall´alto. L´operazione di invio continua fino al primo ripristino positivo del messaggio.

Destinatario

Disponibile solamente se l´opzione Nome da variabile è disattivata.

Apre il dialogo che serve alla scelta di un ricevente o di un gruppo di riceventi - a seconda della selezione effettuate nell´opzione Tipo.

Nome da variabile

Attiva: nel Runtime viene letta la variabile e, tramite il valore di essa, viene letto un utente o un gruppo utenti dalla gestione user. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


Messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si definisce il contenuto del messaggio. Le opzioni offerte da questa tab, nonché la configurazione, dipendono dal mezzo di trasmissione scelto nell´opzione Invio della tab Invio.

La configurazione dei messaggi è individuale per:

  • E-Mail via Outlook e SMS via GMS o SMS-Gateway
  • E-Mail via SMTP
  • Messaggio vocale con file audio via modem
  • Messaggio vocale via modem con Text-to-Speech

Info Informazioni

Se dei parametri o valori di ulteriori variabili sono inclusi nel messaggio, queste variabili non sono registrate automaticamente sul driver. Se una variabile non è registrata nel momento in cui viene eseguita la funzione, se ne deve effettuare la registrazione durante l´azione. In alcuni casi (per esempio nel caso di una lenta comunicazione seriale con l´hardware) ciò può provocare dei ritardi e rallentamenti, visto che il sistema deve attendere finché non giunge il primo valore dal driver per poter essere analizzato dalla funzione.


E-Mail via Outlook e SMS via GSM o SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Messaggio -> E-Mail via Outlook e SMS via GSM o SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
E-Mail via Outlook e SMS via GSM o SMS-Gateway

Configurazione del testo di messaggio per:

  • E-Mail via Outlook
  • SMS via modem GSM
  • SMS via SMS-Gateway

Parametri

Descrizione

Testo di messaggio libero

Fissa componente del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene trattato come parametro.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo mediante un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un Parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla Lista di Parametro testo dinamico valore limite.

Testo da valore limite

Proprietà per ulteriori parametri da valori limite.

Attiva

Attiva: Aggiunge al testo costante ulteriori parametri dal valore limite La configurazione avviene tramite opzioni:

  • Da variabile
  • Da variabile modificata
  • LIsta di parametri testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere attivata solamente da violazioni di valori limite.

Da variabile

I parametri vengono ripresi dalla variabile definita. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Da variabile modificata

I parametri vengono ripresi dalla variabile il cui valore limite è stato violato.

LIsta di parametri testo dinamico valore limite

Selezione del parametro della lista mediante attivazione del checkbox relativo. La successione viene fissata mediante Drag & Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna Caratteri jolly:
mostra i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si modifica l´opzione Da variabile o Da variabile modificata, oppure la selezione variabili, l´esempio di inserimento viene adattato. I caratteri jolly possono essere copiati.

Struttura: %Variable%Parameter; (Herkunft)

  • %: segno di percentuale come prefisso per variabili e parametri
  • Variabili: Variabile Se non viene indicata alcuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametri: Parametri
  • ;: Il punto e virgola termina la successione di caratteri
  • Sorgente: solo informazione, non viene utilizzata per il testo libero. Mostra con quale variabile può essere usato il parametro :
    Variabile principale attraverso valore limite
    Variabile principale attraverso AML
    Variabile aggiuntiva attraverso valore limite o AML

Per i dettagli vedi la sezione Parametro testo dinamico valore limite.

Se si usano dei parametri non validi, nel messaggio viene emesso l´avviso di errore corrispondente.
<Parametri non validi: 'Parametri'>.

Sposta l´inserimento verso l´alto.

Sposta l´elemento selezionato al livello immediatamente superiore.

Sposta l´inserimento verso il basso

Sposta l´elemento selezionato al livello immediatamente inferiore.

Proporre questo dialogo nel runtime

Attiva: Durante il Runtime, questo dialogo viene aperto immediatamente prima dell´esecuzione della funzione.

Attenzione - Comportamento durante il Runtime:

  • Nel Runtime, la funzione viene sempre eseguita sul computer che ha avviato il processo. Se la funzione viene avviata su un client, il sistema provvederà a visualizzare il dialogo sul computer che ha avviato il processo.
  • Se non viene effettuato nessun inserimento, il dialogo sarà chiuso automaticamente dopo 30 secondi e la funzione verrè eseguita.
  • Se si effettuano delle modifiche nel dialogo e le si conferma poi cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionato per la proprietà Salva nella CEL Tutte le confermeoppure Solo le conferme negative.

    Interno ID: E-Mail via Outlook e SMS via GSM o SMS-Gateway

    Salva nella CEL

    Stabilisce quali eventi vengono procollati nella CEL. Selezione dalla lista a cascata:

    - tutte conferme

    - nessuna conferma

    - solo conferme negative

    - solo conferme positive

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


E-Mail via SMTP

E-Mail via SMTP

E-Mail via SMTP

Configurazione del testo di messaggio per:

  • E-Mail via SMTP

Parametri

Descrizione

Testo di messaggio libero

Fissa componente del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene trattato come parametro.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo mediante un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un Parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla Lista di Parametro testo dinamico valore limite.

Appendice

Configurazione di un allegato per l`E-Mail. Possono essere inviati in allegato file d´immagine (Screenshots). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di file. Esso deve essere depositato nel nodo File/Grafica.

Quando si invia il messaggio, il file selezionato viene aggiunto all E-Mail come allegato.

Da variabile

Attiva: Selezione di una variabile stringa. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Durante il Runtime, il valore della variabile stringa viene ripreso e il sistema controlla se la cartella Grafica contiene un file il cui nome corrisponde al valore stringa.

Testo da valore limite

Proprietà per ulteriori parametri da valori limite.

Attiva

Attiva: Aggiunge al testo costante ulteriori parametri dal valore limite La configurazione avviene tramite opzioni:

  • Da variabile
  • Da variabile modificata
  • LIsta di parametri testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere attivata solamente da violazioni di valori limite.

Da variabile

I parametri vengono ripresi dalla variabile definita. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Da variabile modificata

I parametri vengono ripresi dalla variabile il cui valore limite è stato violato.

LIsta di parametri testo dinamico valore limite

Selezione del parametro della lista mediante attivazione del checkbox relativo. La successione viene fissata mediante Drag & Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna Caratteri jolly:
mostra i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si modifica l´opzione Da variabile o Da variabile modificata, oppure la selezione variabili, l´esempio di inserimento viene adattato. I caratteri jolly possono essere copiati.

Struttura: %Variable%Parameter; (Herkunft)

  • %: segno di percentuale come prefisso per variabili e parametri
  • Variabili: Variabile Se non viene indicata alcuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametri: Parametri
  • ;: Il punto e virgola termina la successione di caratteri
  • Sorgente: solo informazione, non viene utilizzata per il testo libero. Mostra con quale variabile può essere usato il parametro :
    Variabile principale attraverso valore limite
    Variabile principale attraverso AML
    Variabile aggiuntiva attraverso valore limite o AML

Per i dettagli vedi la sezione Parametro testo dinamico valore limite.

Se si usano dei parametri non validi, nel messaggio viene emesso l´avviso di errore corrispondente.
<Parametri non validi: 'Parametri'>.

Sposta l´inserimento verso l´alto.

Sposta l´elemento selezionato al livello immediatamente superiore.

Sposta l´inserimento verso il basso

Sposta l´elemento selezionato al livello immediatamente inferiore.

Proporre questo dialogo nel runtime

Attiva: Durante il Runtime, questo dialogo viene aperto immediatamente prima dell´esecuzione della funzione.

Attenzione - Comportamento durante il Runtime:

  • Nel Runtime, la funzione viene sempre eseguita sul computer che ha avviato il processo. Se la funzione viene avviata su un client, il sistema provvederà a visualizzare il dialogo sul computer che ha avviato il processo.
  • Se non viene effettuato nessun inserimento, il dialogo sarà chiuso automaticamente dopo 30 secondi e la funzione verrè eseguita.
  • Se si effettuano delle modifiche nel dialogo e le si conferma poi cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionato per la proprietà Inserimenti nella CEL Tutte le conferme oppure Solo le conferme negative.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


Messaggio vocale con file audio via modem

Messaggio vocale con file audio via modem

Configurazione del testo di messaggio per:

  • Messaggio vocale via modem con un file audio

Parametri

Descrizione

Saluto

Selezione del file che contiene il testo del saluto.

Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di file. Esso deve essere depositato nel nodo File/Multimedia.

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Messaggio

Selezione del file che contiene il testo del messaggio.

Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di file. Esso deve essere depositato nel nodo File/Multimedia.

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Codice errato

Selezione del file che contiene il testo da riprodurre nel caso di inserimento sbagliato del codice da parte del ricevente.

Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di file. Esso deve essere depositato nel nodo File/Multimedia.

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Proporre questo dialogo nel runtime

Attiva: Durante il Runtime, questo dialogo viene aperto immediatamente prima dell´esecuzione della funzione.

Attenzione - Comportamento durante il Runtime:

  • Nel Runtime, la funzione viene sempre eseguita sul computer che ha avviato il processo. Se la funzione viene avviata su un client, il sistema provvederà a visualizzare il dialogo sul computer che ha avviato il processo.
  • Se non viene effettuato nessun inserimento, il dialogo sarà chiuso automaticamente dopo 30 secondi e la funzione verrè eseguita.
  • Se si effettuano delle modifiche nel dialogo e le si conferma poi cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionato per la proprietà Inserimenti nella CEL Tutte le conferme oppure Solo le conferme negative.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


Messaggio vocale Text-to-Speech via modem

Messaggio vocale Text-to-Speech via modem

Configurazione del testo di messaggio per:

  • Messaggio vocale via modem con Text-to-Speech.

Parametri

Descrizione

Saluto

Inserimento del testo che deve essere riprodotto tramite Text-to-Speech Engine. .

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Messaggio

Inserimento del testo che deve essere riprodotto come messaggio tramite Text-to-Speech Engine.

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Codice errato

Inserimento del testo che deve essere riprodotto tramite Text-to-Speech Engine nel caso di inserimento del codice sbagliato da parte del ricevente.

Se volete ascoltare il testo prima di sceglierlo, dovete cliccare sul pulsante Esegui.

Proporre questo dialogo nel runtime

Attiva: Durante il Runtime, questo dialogo viene aperto immediatamente prima dell´esecuzione della funzione.

Attenzione - Comportamento durante il Runtime:

  • Nel Runtime, la funzione viene sempre eseguita sul computer che ha avviato il processo. Se la funzione viene avviata su un client, il sistema provvederà a visualizzare il dialogo sul computer che ha avviato il processo.
  • Se non viene effettuato nessun inserimento, il dialogo sarà chiuso automaticamente dopo 30 secondi e la funzione verrè eseguita.
  • Se si effettuano delle modifiche nel dialogo e le si conferma poi cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionato per la proprietà Inserimenti nella CEL Tutte le conferme oppure Solo le conferme negative.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


Parametro testo dinamico valore limite

Parametro testo dinamico valore limite

parametri che possono essere usati con i tipi di invio E-Mail via Outlook e SMS via GSM o SMS-Gateway e E-Mail via SMTP, nonché per la proprietà Parte dinamica del soggetto.

Interno ID: Parametro testo dinamico valore limite

Parte dinamica del soggetto

Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Interno ID: Parametro testo dinamico valore limite

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Interno ID: Parametro testo dinamico valore limite

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parametro testo dinamico valore limite

Soggetto per E-Mail

Inserimento dell´oggetto per le E-Mail in uscita.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parametro testo dinamico valore limite

Messaggio E-Mail (SMTP)

Impostazioni per l´invio di E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parametro testo dinamico valore limite

Oggetto (ID)

Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

Lunghezza minima: 4 caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parametro testo dinamico valore limite

Messaggio E-Mail (Outlook)

Gruppo per le impostazioni del tipo di invio Outlook.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Il testo può contenere caratteri jolly per:

  • chiavi dalla tabella lingua.
  • Nome di una variabile
  • inserimento composto nella tabella lingua

Sintassi $ individua un testo; le parti in cui si articola il testo sono separate da punti e virgola (;); il testo deve finire con un punto e virgola (;).
Per es.: $@Achtung;%Var1;

Trovate una lista dei parametri nel capitolo Testo valore limite Parametri.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I parametri possono essere usati con:

  • Variabili:
    • Variabili principali
    • Variabili aggiuntive
  • In caso di esecuzione della funzione attraverso:
    • AML
    • Violazione di valore limite

Sono a disposizione in parte diversi parametri per variabili principali, variabili aggiuntive e a seconda del tipo della chiamata funzione.

Attenzione: Se si aggiungono delle ulteriori variabili con l´aiuto di un carattere jolly, esse devono essere prima abilitate, se non lo sono al momento dell´esecuzione della funzione, e poi devono essere lette. In tal modo l´invio viene ritardato. Ulteriori variabili, quindi, dovrebbero essere usate solamente con precauzione.

Struttura e significato dei parametri

Struttura

%Variable%Parameter; (Herkunft)

  • %: segno di percentuale come prefisso per variabili
  • Variabili: Variabile (opzionale)
    Se non viene indicata nessuna variabile, il seguente parametro si riferisce alla variabile principale.
  • %: segno di percentuale come prefisso per parametro
  • Parametri: Parametri
  • ;: Il punto e virgola termina la successione di caratteri

Per es.: %S7TCP-IP_LineStateBusy%UserId;

Parametri

Parametri

Variabile principale - Chiamata attraverso valore limite

Variabile principale - Chiamata attraverso AML

Variabile aggiuntiva AML/Valore limite

%Name

(Nome variabile:)

Nome della variabile, corrisponde alla proprietà Nome.

Interno ID: Parametro testo dinamico valore limite

Nome

Nome univoco della variabile. Il carattere # non è consentito.
Indicazione: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione:questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome della variabile, corrisponde alla proprietà Nome.

Nome della variabile, corrisponde alla proprietà Nome.

%Identification

(Identificazione)

Descrizione della variabile, corrisponde alla proprietà Identificazione.

Interno ID: Parametro testo dinamico valore limite

Identificazione

Sequenza di caratteri liberamente definibile per l’identificazione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Descrizione della variabile, corrisponde alla proprietà Identificazione.

Descrizione della variabile, corrisponde alla proprietà Identificazione.

%LimitText

(Testo valore limite)

Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico.

Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico.

Testo dello stato come definito nella proprietà Testo valore limite.

Testo valore limite

Questo testo viene emesso in caso di violazione di valori limite; esso viene emesso a seconda dell'impostazione assunta nella lista allarmi, nella lista eventi cronologica e/o nella riga di stato allarmi.

Testo dinamico con valore limite: permette di inserire nel testo del valore limite di una variabile e di matrici di reazioni valori attuali di altre variabili. E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua. Ciò porta a alcune limitazioni:
testo statico viene depositato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 128 segni. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:al massimo 80 caratteri.

Le limitazioni possono essere aggirate grazie all'estensione per testi di valore limite dinamici lunghi. Attivate a questo scopo Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio. Attenzione: Non può essere impostato con l'utilizzo di valori limiti dinamici nessun commento.

Interno ID: Parametro testo dinamico valore limite

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Parametro testo dinamico valore limite

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

%MessageCreateTimeStamp

(Data/ora del messaggio)

Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio.)

Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio.)

Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio.)

%ResourceLabel

(Identificazione servizio)

Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio.

Interno ID: Parametro testo dinamico valore limite

Identificazione servizio

Stringa liberamente definibile.
Non viene utilizzata nello scada, ma è disponibile nei file di esportazione dati in modo da permettere un identificazione dei valori per sistemi di management esterni (p.e. ERP).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio.

Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio.

%LimitTimeReceived

(tempo Allarme in entrata)

Data/ora dell´oggetto allarme.

Data/ora dell´oggetto allarme.

-

%%

(Valore attuale)

Nessun parametro. Valore delle variabili al momento della chiamata funzione (senza unità).

Nessun parametro. Valore delle variabili al momento della chiamata funzione (senza unità)

Nessun parametro. Valore delle variabili al momento della chiamata funzione (senza unità)

%VariableStatus

(Stato)

Stato delle variabili come stringa (al momento della chiamata funzione).

Stato delle variabili come stringa (al momento della chiamata funzione).

Stato delle variabili come stringa (al momento della chiamata funzione).

%VariableTimeStamp

(Data/ora della variabile)

Data/ora della variabile (al momento della chiamata funzione).

Data/ora della variabile (al momento della chiamata funzione).

Data/ora della variabile (al momento della chiamata funzione).

%MessageTimeAcknowledge

(Tempo rimanente per confermare il messaggio)

Tempo disponibile espresso in minuti per effettuare il ripristino. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata.

Tempo disponibile espresso in minuti per effettuare il ripristino. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata.

Tempo disponibile espresso in minuti per effettuare il ripristino. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata.

%Address

(Indirizzo)

Indirizzo.

Indirizzo.

Indirizzo.

%Unit

(Unità)

Unità tecnica corrispondente alla proprietà Unità di misura.

Interno ID: Parametro testo dinamico valore limite

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri.
Default: vuoto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Unità tecnica corrispondente alla proprietà Unità di misura.

Unità tecnica corrispondente alla proprietà Unità di misura.

%AlarmArea

(Area allarme)

Area allarme della variabile principale.

Area allarme della variabile principale.

Area allarme della variabile aggiuntiva.

%LimitTimeAcknowledged

(tempo Allarme ripristinato)

-

Data/ora dell´oggetto allarme.

-

%UserId

(Identificazione utente)

-

Identificazione dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Autorizzazione utente.

Interno ID: Parametro testo dinamico valore limite

Autorizzazione utente

Identificazione univoca con la quale l´utente deve effettuare il loggin.
Nel caso di diverse azioni dell´utente, questa successione di segni può essere visualizzata nella Lista eventi cronologica (CEL). Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Massimo: 20 caratteri.
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

-

%UserName

(Nome utente)

-

Nome completo dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Nome completo.

Interno ID: Parametro testo dinamico valore limite

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.

ATTENZIONE: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

-

%ComputerName

(Nome computer)

-

Il nome del computer sul quale è stata iniziata l´azione.

-

%Comment

(Commento)

-

Commento dell´oggetto allarme.

-

%AlarmGroup

(Gruppo di allarmi)

Gruppo allarmi dell´oggetto allarme (come testo).

Gruppo allarmi dell´oggetto allarme (come testo).

Gruppo allarmi dell´oggetto allarme (come testo).

%AlarmClass

(Classe di allarmi)

Classe allarmi dell´oggetto allarme (come testo).

Classe allarmi dell´oggetto allarme (come testo).

Classe allarmi dell´oggetto allarme (come testo).

%AlarmTimeActive

(tempo Allarme in attesa)

-

Tempo per il quale l´allarme è in attesa.

-

Trattamento degli errori

Se si usano dei parametri non validi, nel messaggio viene emesso l´avviso di errore corrispondente.
<Parametri non validi: 'Parametri'>.

Questo testo può essere modificato e tradotto con l´aiuto del cambio lingua. A tale scopo devono essere impostate due parole chiave:

  • <Parametri non validi:
  • >

Se i parametri vengono usati in un contesto sbagliato, o se è impossibile leggere un parametro (per es. perché una variabile non esiste), viene inserita nel messaggio la successione di caratteri IDS_STRING2501 (---) invece del valore. Questo testo può essere modificato anche con l´aiuto del cambio lingua.


Parametri per testo formattato

Parametri per testo formattato

Il testo di un messaggio viene controllato per verificare la presenza di caratteri jolly e parametri.

  • $: sta per testo "formattato".
  • Le parti di testo vengono considerate parametri se esse
    • sono separate da un punto e virgola (;)dal resto del testo e
    • terminato con un punto e virgola (;).
  • Un Parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

Parametri

Durante il runtime

Azione

Chiave:

@MyText

Il sistema controlla se per la lingua attuale esiste nella tabella lingua un inserimento per @MyText.

  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizzare parole chiave non tradotte, viene inserito nel messaggio o @MyText oppure MyText.

    Interno ID: Parametri per testo formattato

    Visualizzare parole chiave non tradotte

    Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

    Attiva: visualizzazione nel Runtime come parola chiave, per es.: @Text.
    Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

    Indicazione: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Variabile:

%Var1

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste nella tabella lingua un inserimento

  • Variabile e testo eistenti:
    il testo viene aggiunto al messaggio.
    Esempio: valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizzare parole chiave non tradotte, viene inserito nel messaggio o @MyText oppure MyText.

Esempio: $@Achtung;%Var1;


Avviso di ricezione

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Avviso di ricezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si definiscono le conferme necessarie e la reazione ad esse.

Parametri

Descrizione

Avviso di ricezione

Impostazioni per il ripristino.

Conferma di ricezione necessaria

Attiva: il messaggio viene cancellata dalla coda (Message-Queue) solo quando è giunto un avviso di ricezione prima dello scadere del tempo di attesa, oppure quando il tempo di attesa è scaduto.

Per i messaggi vocali questa opzione è sempre attiva e non può essere disattivata.

Tempo di attesa

Tempo espresso in minuti entro il quale deve giungere un avviso di ricezione prima che il messaggio venga inoltrato ad una persona di riserva.

Codici di conferma

Impostazioni per i codici di ripristino.

Usare i codici specifici per il messaggio

Disattivata: vengono usati i codici fissati nelle proprietà della gestione user per Utente Message Control/Codice PIN e Utente Message Control/Codice-NA.

Interno ID: Avviso di ricezione

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Avviso di ricezione

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Avviso di ricezione

Utente Message Control

Attiva: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: i codici definiti nelle seguenti opzioni codice PIN e codice NA, vengono usati per la conferma.

Code PIN

Codice individuale usato per confermare il messaggio.

Codice NA

Codice individuale usato per rifiutare il messaggio.

Esecuzione di funzione

Selezione delle funzioni che devono essere eseguite dopo che un messaggio è stato confermato, rifiutato o non ancora ripristinato.

In caso di conferma

Funzioni che sono eseguite quando un messaggio viene confermato.

Cliccate sul pulsante Selezionare e si apre il dialogo che serve alla selezione delle funzioni.

In caso di assenza di conferma

Funzioni che vengono eseguite se non c´è alcuna reazione al messaggio.

Cliccate sul pulsante Selezionare e si apre il dialogo che serve alla selezione delle funzioni.

In caso di conferma negativa

Funzioni che sono eseguite di fronte ad un rifiuto di ricevere il messaggio.

Cliccate sul pulsante Selezionare e si apre il dialogo che serve alla selezione delle funzioni.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Adesso si può chiudere il dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche e chiude il dialogo. La funzione viene creata senza destinazione.

Guida

Apre la guida online


Messaggio invia: attivare

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Messaggio invia: attivare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione attiva il Message Control per il progetto in cui essa si trova. Quando si richiama la funzione, il progetto viene registrato nel Message Control. A partire da questo momento, vengono generati e trasmessi messaggi.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nel gruppo Message Control la funzione Attiva invio messaggio

    Interno ID: Messaggio invia: attivare

    Attiva invio messaggio

    Questa funzione attiva la trasmissione di messaggi del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea.

  3. la funzione viene impostata

Indicazione: per registrare un progetto in modo sicuro al momento dell´avvio del Runtime, attivate la proprietà Attivo all'avvio del Runtime nel gruppo Proprietà specifiche di progetto per il Message Control.

Interno ID: Messaggio invia: attivare

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Interno ID: Messaggio invia: attivare

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Messaggio invia: attivare

Attivo all'avvio del Runtime

Attiva: Il Message Control viene avviato con il Runtime.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Messaggio invia: disattivare.

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Messaggio invia: disattivare.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione disattiva il Message Control per il progetto in cui essa si trova. Quando si richiama questa funzione, tutti i messaggi del progetto vengono eliminati dalla Message-Queue e il progetto viene disattivato nel Message Control. Poi il sistema procede a vuotare la coda messaggi del progetto. Finché il Message Control è disattivato per un progetto, nessun nuovo messaggio potrà essere generato o trasmesso.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nel gruppo Message Control la funzione Disattiva invio messaggio

    Interno ID: Messaggio invia: disattivare.

    Disattiva invio messaggio

    Questa funzione disattiva la trasmissione di messaggi del modulo opzionale Message Control.

    Ulteriori informazioni nella guida in linea

  3. la funzione viene impostata


Message Control nel Runtime

Manuale -> Message Control -> Message Control nel Runtime

Nel Runtime, il Message Control viene avviato o automaticamente (proprietà Attivo all'avvio del Runtime attiva), oppure tramite la funzione Attiva invio messaggio.

Interno ID: Message Control nel Runtime

Attivo all'avvio del Runtime

Attiva: Il Message Control viene avviato con il Runtime.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se il Message Control è attivo e si verifica un evento per il quale è stato previsto l´invio di un messaggio:

  • viene inviato un messaggio configurato per il caso in questione
  • viene controllato il suo ripristino
  • vengono eseguite le funzioni usate per il ripristino

attenzione Attenzione

Durante l’analisi dei messaggi nella cartella E-Mail, tutti i messaggi con il soggetto coincidente verranno interpretati e impostati come già "letti". Se nella casella del Message Control arrivano anche altri messaggi, questi ultimi potranno eventualmente essere settati sullo stato "letto".

Gestione nel Runtime

La coda messaggi (Message Queue) può essere gestita mediante una Immagine del tipo Message Control.

Si chiude il Message Control chiudendo il Runtime, oppure tramite la funzione Disattiva invio messaggio.

Il timestamp nella gestione allarmi e Message Control

Quando si richiama la funzione Invia messaggio, una copia dell´oggetto allarme viene trasmessa alla funzione. Il testo del messaggio viene generato e tradotto al momento del richiamo della funzione. Quando si richiama la funzione via AML, essa usa una copia dell´oggetto allarme dalla AML. Il contenuto corrisponde sempre ad una combinazione attuale di processo e stato allarme.

Message Queue Ritenzione

Quando si chiude il Runtime in modo normale, viene generata e salvata un´Image della coda messaggi attuale. Quando poi si riavvia il Runtime, il sistema carica questa Image, che viene poi elaborata dal Message Control. I dati vengono sono salvati in un file dal nome MessageRT_Image.bin. Vengono salvati i seguenti dati:

  • messaggi attuali nella Queue
  • gruppi allarmi soppressi
  • classi allarmi soppresse
  • aree soppresse
  • impianti soppressi

Rete

Le informazioni sul comportamento nella rete, le trovate nel capitolo Rete.

Ripristino

Ogni messaggio è identificabile in modo univoco mediante un GUID. A seconda dei mezzi di trasmissione e del tipo di invio configurati, i messaggi possono essere ripristinati anche tramite altri mezzi di trasmissione da quelli usati per inviarli. I dettagli concernenti il ripristino di messaggi li trovate nel capitolo Ripristina messaggi.

Cambio lingua

I testi contenuti nei messaggi possono essere tradotti completamente. A questo scopo, il sistema prende in considerazione:

  • l´area Testo costante
  • il parametro Valore limite variabile Testo
  • Testo di un valore limite nella AML/CEL

Le colonne selezionabili nell´immagine del tipo Message Control sono traducibili se configurate in modo corrispondente.


Apri immagine del tipo Message Control

Manuale -> Message Control -> Message Control nel Runtime -> Apri immagine del tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´immagine del tipo Message Control mette a disposizione nel Runtime una copia dell´attuale coda (Message Queue) e degli elementi di controllo che servono per l´analisi e il filtraggio. Il contenuto degli elementi visualizzati nel campo Lista messaggi corrisponde al momento dell´apertura dell´immagine e non viene aggiornato automaticamente. La visualizzazione può essere aggiornata in qualsiasi momento cliccando sul pulsante Aggiornare. Il pulsante Stop/Avanti consente di realizzare un aggiornamento ciclico. Un campo di testo mostra il momento in cui è stato effettuato l´ultimo aggiornamento.

La Lista messaggi contiene i messaggi che

  • attendono di essere inviati
  • vengono inviati al momento
  • sono stati già inviati
  • sono stati confermati
  • sono stati eliminati

Gruppi, classi, aree e impianti soppressi, i cui allarmi, cioè, non vengono mostrati nella lista, vengono visualizzati in campi lista propri.

Le colonne della Lista messaggi possono essere configurate individualmente (vedi Filtri) e dotate di una propria didascalia. Queste didascalie sono traducibili.

Elementi di controllo | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Pulsanti | Pulsanti per azioni durante il Runtime.
Aggiorna: | Aggiorna la visuale. I dati attuali vengono caricati nell´immagine dalla coda (Message Queue). Il momento in cui è avvenuto l´ultimo aggiornamento può essere visualizzato mediante il campo Ultimo aggiornamento.
Elimina | Cancella l´inserimento selezionato dalla lista, Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.
Filtri | Apre il Dialogo che serve alla configurazione del filtro per la visuale.
Stopp/Avanti | Avvia e termina l´aggiornamento ciclico della lista.
Finestra | Liste e campi che possono essere visualizzati durante il Runtime.
Numero dei messaggi | Numero dei messaggi esistenti attualmente.
Ultimo aggiornamento | Momento dell´ultimo aggiornamento.
Gruppi allarmi/eventi sopressi | Gruppi allarmi/eventi per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Classi allarmi/eventi sopresse | Classi allarmi/eventi sopresse per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Aree allarmi/eventi sopresse | Aree allarmi/eventi sopresse per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Impianti soppressi | Impianti per cui i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda (Message Queue).
Messaggi-Lista di attesa | Lista dei messaggi. Contiene i messaggi che sono stati inviati, confermati o cancellati, oppure sono ancora da inviare. I messaggi vengono solamente visualizzati e non possono essere più modificati. I titoli colonne possono essere nominati individualmente e, se gli si pone davanti il carattere @, sono traducibili .
Profili filtro | Gestione profilo
Selezione profilo | Apre il dialogo che serve alla selezione di un profilo.
Salva | Salva le impostazioni attuali come profilo.
Elimina | Cancella profilo.
Importazione | Apre il dialogo per importare dei profili dal file.
Esportazione | Apre il dialogo per esportare dei profili dal file.


Ripristino dei messaggi

Manuale -> Message Control -> Message Control nel Runtime -> Ripristino dei messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I messaggi possono essere confermati o rifiutati dal ricevente. A seconda del mezzo di trasmissione scelto, il ripristino dei messaggi è sempre obbligatorio, oppure opzionale.

Modalità di trasporto

Con ripristino

  • -: no
  • +: sì

messaggio E-Mail via Outlook

-

messaggio E-Mail via SMTP

-

messaggio SMS via modem GSM

-

messaggio SMS via SMS-Gateway

-

Messaggio vocale File audio via modem

+

Messaggio vocale Text-to-Speech via modem

+

Quando un messaggio non viene ripristinato, oppure lo si ripristina in modo sbagliato o rifiutandolo, esso viene inviato alla prima persona definita come sostituto. Al momento del ripristino di messaggi possono essere eseguite delle funzioni collegate.

Progettare la conferma

Per configurare la conferma o il rifiuto di messaggi:

  1. aprite nella funzione Invia messaggio la tab Conferma di ricezione.
  2. Attivate la checkbox Conferma di ricezione necessaria (sempre attiva nel caso di messaggi vocali).
  3. Definite il tempo di attesa (Timeout) prima della scadenza del quale il messaggio deve essere ripristinato.
    Dopo la scadenza del tempo di attesa, il messaggio viene inviato alla prossima persona definita come sostituto.
  4. Configurate i codici per la conferma (PIN) e il rifiuto (codice NA) usando:
    1. le proprietà dell´utente:
      Utente Message Control -> Codice PIN e Codice-NA

      Interno ID: Ripristino dei messaggi

      Codice-NA

      Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Ripristino dei messaggi

      Codice PIN

      Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

      Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Interno ID: Ripristino dei messaggi

      Utente Message Control

      Attiva: L´utente viene usato dal Message Control.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      oppure

    2. nella funzione tramite:
      Checkbox Usa codici specifici per il messaggio -> Codice PIN e Codice NA

    Se si configurano i codici sia usando le proprietà che tramite la funzione, valgono quelli definiti mediante la funzione.
    Un consiglio: quando si decide di settare i codici tramite la funzione, è consigliabile farne cenno nel testo del messaggio in modo tale che il ricevente possa usare il codice giusto per la conferma o il rifiuto.

  5. Definite le funzioni che devono essere eseguite dopo la ricezione dei codici per:
    1. il messaggio è stato confermato
    2. il messaggio non è stato né confermato, né rifiutato
    3. il messaggio è stato rifiutato
  6. Chiudete il dialogo cliccando sul pulsante OK

Ripristino nel Runtime

Quando viene inviato, ogni messaggio per cui è previsto il ripristino obbligatorio riceve un´identificazione propria e univoca (GUID). Tutte le azioni del messaggio vengono assegnate sulla base di questa identificazione. Se per un messaggio è previsto il ripristino obbligatorio, al testo viene aggiunta automaticamente l´identificazione.

Per ripristinare un messaggio, il ricevente deve inviare, a seconda del mezzo di trasmissione, il numero del messaggio e il PIN in un formato definito.

È dunque possibile ripristinare i messaggi scritti anche attraverso canali di comunicazione diversi da quelli progettati. A tal scopo:

  • il messaggio deve essere stato inviato come E-Mail o SMS
  • la risposta deve essere in forma di E-Mail o SMS
  • il GUID deve essere contenuto nella risposta
  • la risposta deve contenere il codice per il ripristino
  • il mezzo di trasmissione per la risposta deve essere configurato

Ripristinare E‑Mail

Le E-Mail vengono ripristinate nel modo seguente:

  • l´utente rispedisce il messaggio usando la funzione "Rispondi" del suo programma di posta elettronica.
  • L´oggetto della E-Mail non deve essere modificato, ma deve essere preceduto da due lettere, per es. RE: oppure AW:, in modo tale che sia chiaro che la Mail è una risposta.
    I contenuti definiti per Outlook in Oggetto (ID) e per SMTP in Soggetto per E-Mail, devono rimanere inalterati. In zenon, infatti, un messaggio viene identificato e assegnato tramite questi contenuti.

    Interno ID: Ripristino dei messaggi

    Soggetto per E-Mail

    Inserimento dell´oggetto per le E-Mail in uscita.

    Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Ripristino dei messaggi

    Oggetto (ID)

    Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

    Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

    Lunghezza minima: 4 caratteri

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Il testo di risposta deve contenere:
    • GUID
    • un punto e virgola (;) come separatore
    • codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control identifica le E-Mail ad esso destinate sulla base dell´oggetto.
    Attenzione: se si tratta di una risposta, ciò deve essere visibile dall´oggetto. Quando arriva un messaggio, infatti, il sistema controlla se l´oggetto inizia con due lettere come RE: oppure AW:.
  • Il Message Control analizza GUID e codici ed esegue poi le funzioni configurate in Invia messaggio.

Indicazione: nel caso in cui sia stato configurato il mezzo di trasmissione SMS, un messaggio inviato via E-Mail può essere ripristinato anche tramite SMS.

Ripristino SMS

Un SMS viene ripristinato nel modo seguente:

  • l´utente rispedisce il messaggio usando la funzione "Rispondi" del suo cellulare.
  • Il testo di risposta deve contenere:
    • GUID
    • un punto e virgola (;) come separatore
    • codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control analizza GUID e codici ed esegue poi le funzioni configurate in Invia messaggio.

Indicazione: nel caso in cui sia stato configurato il mezzo di trasmissione E-Mail, un messaggio inviato via SMS può essere ripristinato anche con un´E-Mail.

Messaggi vocali

I messaggi vocali sono sempre soggetti a ripristino. Si ripristina un messaggio vocale nel modo seguente:

  • L´apparecchio telefonico del destinatario deve disporre delle proprietà DTMF.
  • Il modem che riceve il messaggio deve disporre delle proprietà DTMF.
  • Il messaggio viene letto al ricevente con saluto e testo.
  • Il ricevente ripristina il messaggio inserendo il PIN-Code o il NA-Code con i tasti numerici del suo telefono.
  • Il ricevente può:
    • far ripetere dei messaggi.
      A questo scopo deve premere il tasto #. Il messaggio inviato prima (saluto, messaggio o messaggio di errore) verrà ripetuto.
    • Resettare codice inviato:
      per far ciò deve premere il tasto *. Il codice da lui precedentemente inviato (PIN o NA) viene annullato. La riproduzione del messaggio inizia di nuovo con il saluto.
  • Il Message Control analizza il codice ed esegue poi le funzioni configurate in Invia messaggio.

Indicazione: i messaggi vocali devono essere sempre ripristinati via telefono.


Rete

Manuale -> Message Control -> Message Control nel Runtime -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella rete, la coda messaggi (Message Queue) viene permanentemente sincronizzata fra server e server in standby. I nuovi messaggi generati sul server vengono trasmessi al server in standby. Quando si avviano il server o il server in standby, la coda messaggi viene sincronizzata con il server o il server in standby che gestiscono il processo. Visto che server e server in standby usano differenti risorse, i messaggi possono essere ripristinati solamente sul calcolatore che li invia.

Allo stesso modo, la lista degli Elementi soppressi viene sincronizzata e salvata in modo ritentivo.

La funzione Invia messaggio viene eseguita solamente sul calcolatore che gestisce il processo. L´invio dal client non viene supportato.

utente

Gli user vengono gestiti tramite la gestione utenti di zenon. Gli utenti possono essere dunque gestiti sia sul server, che sul server di standby e client. È possibile anche la gestione tramite webserver e webclient.

Nessuna divisione delle risorse

Server e server in standby non possono condividere nessuna risorsa. Non è neppure possibile usare delle identiche risorse per diversi mezzi di trasmissione sullo stesso calcolatore. Il che significa:

  • E-Mail (SMTP): server e server in standby usano diversi E-Mail-account.
  • E-Mail (Outlook): server e server di standby usano diversi profili Outlook.
  • GSM: server e server di standby usano diversi modem e schede SIM con differenti numeri di telefono.
  • SMS (SMS-Gateway): server e server di standby usano diversi modem e differenti numeri di telefono.
  • Messaggi vocali: server e server di standby usano diversi modem e differenti numeri di telefono.
  • Ogni calcolatore:

    usa un modem proprio e un numero di telefono proprio per:

    • SMS via GSM
    • SMS via SMS-Gateway
    • messaggio vocale con file audio
    • mesaggio vocale Text-to-Speech

    usa diversi account per:

    • Outlook
    • E-Mail via SMTP

Comportamento nel caso di interruzione del funzionamento del server

Se il server smette di funzionare, quello in standby, dopo essere passato al ruolo di server, invia di nuovo tutti i messaggi con obbligo di ripristino che si trovano nella Message-Queue. Ciò può provocare un doppio invio di messaggi, ma è garanzia del fatto che questi ultimi vengano correttamente ripristinati, visto che il ripristino può avvenire solamente su calcolatore che invia.

Dopo un´interruzione di funzionamento e un riavvio del computer, è possibile che sia necessario installare di nuovo i modem GMS e controllare le loro COM-Port.


Segnalazioni e trattamento degli errori

Manuale -> Message Control -> Segnalazioni e trattamento degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Messaggi, indicazioni ed errori possono essere loggati e visualizzati con il Diagnose Viewer in un modulo apposito [Message Control]. I dettagli sui messaggi li trovate nella sezione Inserimenti LOG.

Rete

Il traffico di rete può essere letto tramite un software wireshark. Se la trasmissione avviene in modo non criptato, in capture si vedranno tutti i comandi inviati al server e le sue risposte in chiaro. Nel caso di connessioni cifrate del SSL / TLS Handshake può essere verificata, tuttavia, lo scambio di dati dell'utente non possono essere controllati.

Server

Per controllare se un server supporta determinati comandi, si può instaurare una sessione Telnet con il server.

Sotto Windows 7 si installa il client Telnet nel modo seguente:

  1. aprire il pannello di controllo.
  2. Aprire Programmi e funzioni.
  3. aprire Attiva o disattiva delle funzionalità Windows.
  4. Selezionare la casella di controllo Telnet-Client.
  5. Chiudere il dialogo cliccando su OK .
  6. Il client Telnet viene adesso installato.

La connessione può essere ora aperta nella riga di comandi usando il comando telnet [Nome server o indirizzo IP] [Port p.es. 25 o 110].

Server Mail

La connessione con il server Mail può essere controllata mediante un client di posta (per es. Outlook). Nel caso in cui si usi una connessione non crittografata, si può determinare quali sono i comandi SMTP e POP3 supportati effettuando un´analisi tramite wireshark.

DNS

nslookup consente di effettuare delle query ad un server DNS per la risoluzione di indirizzi IP o Hostname. nslookup può essere usato per ottenere da un dominio il relativo indirizzo IP o nome host o viceversa. Presupposto di ciò, è che nella configurazione IP del calcolatore sia inserito un server DNS valido.

GSM

Per analizzare problemi concernenti GSM (Global System for Mobile Communication) è possibile usare, ad esempio:

  • Serial Port Monitoring:
    può monitorare la comunicazione fra zenon e il modem GSM.
  • HyperTerminal:
    consente di inviare dei comandi AT al modem.
    Indicazione: l´ultimo sistema operativo di Microsoft con cui è fornito è Windows XP. Può però essere copiato manualmente per altri sistemi operativi, oppure sostituito da altri tool.


Lista di check

Manuale -> Message Control -> Segnalazioni e trattamento degli errori -> Lista di check

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si verificano dei problemi, controllate:

Problema

Possibili cause

Soluzione

SMTP-Mail

Le E-Mail in uscita non vengono inviate, quelle in entrata non vengono ricevute.

Il tipo di invio non è configurato in modo corretto. Un´indicazione in questo senso sono le segnalazioni LOG del tipo "invio non attivo", "impossibile raggiungere il server", "autenticazione SMTP / POP3 fallita!".

  • La proprietà Invio attivo è attiva?

    Interno ID: Lista di check

    Invio attivo

    Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • L´utente a cui è destinata la E-Mail, è settato come "Utente Message Control" gesetzt (proprietà Utente Message Control attivata)?

    Interno ID: Lista di check

    Utente Message Control

    Attiva: L´utente viene usato dal Message Control.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • È stato configurato un indirizzo E-Mail per l´utente?
  • I dati utente vengono trasmessi dopo ogni modifica durante il Runtime (proprietà RT dati modificabili)?

    Interno ID: Lista di check

    RT dati modificabili

    Viene aperto il dialogo di configurazione per " RT dati modificabili".
    Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • La configurazione del tipo di invio è corretta? Confronta con i dati del provider E-Mail.

Il server è inserito in modo corretto, ma non è possibile raggiungerlo (messaggi di errore al momento dell´instaurazione della connessione).

  • Funziona la risoluzione del nome?
  • È possibile raggiungere il server (ping)?
  • Il firewall consente l´instaurazione di una connessione con la port impostata? Sia il firewall del compouter che quello del domain possono bloccare l´instaurazione della connessione. Controllare con Telnet.

Il server non supporta un comando (messaggio di errore con „Command not Supported", oppure qualcosa di simile nel file LOG).

  • Controllare se il server supporta il comando (per es. con Thunderbird o Telnet).
  • Se è possibile, selezionare un´altra configurazione (per es. i comandi SMTP AUTH possono essere evitati mediante "prima di inviare l'e-mail accedere al server di posta in entrata"). APOP può essere disattivato e sostituito con utente e password.

Il server richiede una connessione crittografata. Visto che l´invio avviene in modalità non crittografata, il server interrompe l´operazione di invio.
  • In questo caso l´analisi con Wireshark mostra che il server invia "STARTTLS". Visto che questo comando non viene supportato, la connessione dovrebbe essere assicurata mediante SSL o TLS.

Il server non supporta il meccanismo di sicurezza (messaggi di errore al momento dell´instaurazione di una connessione crittografata).

  • Selezionare altre configurazioni di sicurezza oppure trasmissione non cifrata del testo.

SMS-GMS

zenon non può instaurare una connessione con il modem.

  • COM-Port sbagliata (errore File-Not-Found al momento di aprire la COM-Port).
  • La COM-Port è occupata (per es. dal software di configurazione del produttore, errore Access-Denied al momento dell´apertura della COM-Port).
  • Errore nella configurazione della COM-Port/il modem non risponde.
  • Il modem non supporta il modo SMS-PDU (messaggio di errore AT+CMGF, oppure messaggio di errore PDU-Mode nel Log)
  • Il modem ha forse bisogno di un PIN/questo PIN non è corretto? (messaggio di errore PIN in LOG)
  • Si è cercato troppo frequentemente di registrarsi inserendo un PIN sbagliato? (messaggio di errore PUK in LOG) In questo caso la connessione fra zenon e il modem ritorna ad essere possibile quando il PUK viene inserito manualmente e, in tal modo, viene rimosso il blocco.
  • Controllare la COM-Port e la configurazione del modem.
  • Controllare il PIN, eventualmente rilasciare manualmente il PUK.

La connessione viene instaurata, ma è impossibile inviare e ricevere messaggi
  • È stata instaurata in primo luogo con il software del produttore una connessione fra modem e rete GSM? La connessione alla rete viene instaurata per lo più solo dopo l´apertura del software del produttore!
  • Il modem, tuttavia, non ha nessun contatto con la rete (controllare con il software del produttore): cercare posto con migliore ricezione.
  • Il numero di telefono SMSC inserito non è corretto (prima dell´inserimento in zenon / prima dell´instaurazione della connessione (controllare anche attraverso „Modem!!) caricare il SMSC con HyperTerminal dal modem e annotarlo)
  • Guardare i messaggi di errore in LOG.
  • Connettere il modem in primo luogo tramite software del produttore alla rete GSM.
  • Selezionare un altro sito per il modem.
  • Controllare numero di telefono.


Inserimenti LOG.

Manuale -> Message Control -> Segnalazioni e trattamento degli errori -> Inserimenti LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Inserimenti nel file LOG del Diagnose Viewer.

Diversi messaggi

Livello | Inserimento | Descrizione
ERRORS | Error while initializing the profile list. | Durante la verifica dei profili Outlook a disposizione, è emerso un errore.
logLe_MSG | Logging on to default mapi profile %s | Quando non è stato selezionato nessun profilo, il tipo di invio individua il primo profilo e con esso effettua il loggin.
ERRORS | The default profile could not be determined. | Mentre il sistema verificava il primo profilo Outlook a disposizione, si è verificato un errore.
ERRORS | Logon to mapi profile(%s) failed. Error code = %d | Non è stato possibile registrarsi sul profilo indicato.
MSG | Logging on to mapi profile %s | Login su profilo [Nome].
ERRORS | An error occured while initialising the MAPI. | Si è verificato un errore in concomitanza dell´inizializzazione di MAPI.
MSG | Loggin off of MAPI profile %s. | Logout da profilo [Nome].
ERRORS | An error occured while uninitialising the MAPI. | Si è verificato un errore durante la de-inizializzazione dell’interfaccia MAPI.
ERRORS | The Message '%s' could not be send, no connection to Outlook present: make sure it's running and a valid profile has been set. | Non è stato possibile inviare il messaggio [Nome] perché non esiste una connessione con Outlook. Assicuratevi che sia funzionante un´istanza Outlook e che sia stato inserito un profilo valido.
DEBUG | Sending mail to user '%s' using address: %s. | Viene preparato un messaggio per l´utente [Nome] e [ inviato] all´indirizzo.
DEBUG | Current Message %Nachricht Inhalt% | La notizia corrente (contenuto, impostazioni ecc.) verrà tracciata (registrata) nei Log.
DEBUG | Mail to user '%s' was successfully added to the outbox. | Il messaggio all´utente [Nome] è stato trasferito con successo nell´outbox di Outlook.
ERRORS | Mail to user '%s' failed. | Non è stato possibile trasferire il messaggio all´utente [Nome] nell´outbox di Outlook.
ERRORS | Error while using MAPI to create and transfer a mail into the Outlook-outbox. | Si è verificato un errore nell´uso dell´interfaccia MAPI per creare e trasmettere un messaggio nell´outbox di Outbox.
ERRORS | Error while using MAPI to hook into the fnevNewMail-Event of Outlook. | Si è verificato un errore nella creazione di fnevNewMail-Event hook.
ERRORS | An error occured while initializing TAPI. | Si è verificato un errore al momento dell´inizializzazione dell´interfaccia TAPI.
ERRORS | An error occured while trying to open the line %s. | Si è verificato un errore nell´apertura della linea [].
DEBUG | The line %s has been opened. | La linea [] è stata aperta con successo.
ERRORS | No line selected. | Per questo tipo di invio non è stata definita nessuna linea.
DEBUG | The line %s has been closed. | La linea [] è stata chiusa con successo.
ERRORS | An error occured while closing the line %s. | Si è verificato un errore nella chiusura della linea [].
DEBUG | The current call be terminated now. | C´è una chiamata attiva; adesso essa viene terminata.
DEBUG | The is no call in progress, nothing to terminate. | Non c´è nessuna chiamata attiva, perciò non si può terminare nulla.
DEBUG | Attaching to current call. | Il metodo di invio dipende dalla chiamata attiva.
ERRORS | The current call is not our call,can't attach! | La chiamata attuale non è quella giusta e non viene utilizzata.
ERRORS | The call status of the current call returns an error! | Lo stato della chiamata attuale è "errore".
DEBUG | The #-sign was entered: Repeating the last message. | # è stato inserito: viene ripetuto l´ultimo messaggio.
DEBUG | The *-sign was entered: Clearing the current key. | È stato inserito un *, il codice attuale indicato viene resettato.
ERRORS | The incoming message does not contain a seperator (';')for the unique message ID: %s | Il layout del messaggio in entrata non è valido. Manca il separatore.
DEEPDEBUG | Project %s signed on. | Il progetto viene registrato presso il Message Control.
DEEPDEBUG | Project %s signed off. | Viene cancellata la registrazione presso il Message Control.
ERRORS | An attempt was made to add a message %s to the engine queue, but the message its project is not signed on with the engine! | Un progetto non registrato ha cercato di trasmettere un messaggio [contenuto] al Message Control.
DEEPDEBUG | The message %s is added to the Queue. | Il messaggio con il Guid [numero] è stato inserito nella coda messaggi.
ERRORS | An attempt was made to add messages to the engine queue, but owner project %s is not signed on with the engine! | Un progetto non registrato ha cercato di trasmettere più messaggi al Message Control.
ERRORS | An attempt was made to remove a message %s from the engine queue, but owner project %s is not signed on with the engine! | Un progetto non registrato ha cercato di cancellare un messaggio [Guid] dal Message Control.
ERRORS | An attempt was made to remove messages from the engine queue, but the owner project %s is not signed on with the engine! | Un progetto non registrato ha cercato di cancellare più messaggi dal Message Control.
DEEPDEBUG | All messages for project %s will be removed. | Tutti i messaggi del progetto [Nome] vengono cancellati dal Message Control.
ERRORS | And old function 'Edit user database' was executed, but this function is no longer required/supported, execution interupted! | È stata eseguita una funzione "Visualizza/modifica banca dati utenti". Questa funzione è contenuta solamente nelle versioni fino alla zenon 6.51. A partire dalla versione zenon 7 non esiste più.
ERRORS | Line is busy -> try again… | La linea è occupata, si riproverà a chiamare più tardi.
ERRORS | Sending message to user %s." | Il messaggio attuale viene inviato all´utente [numero/indirizzo]
ERRORS | Current Message: | Il messaggio attuale [testo/file] viene inviato.
DEBUG | Connected | Non è stata instaurata nessuna connessione.
DEBUG | Valid Acknowlegde-code entered. | È stato inserito un codice PIN valido per confermare il messaggio.
DEBUG | Valid NegAcknowlegde-code entered. | È stato inserito un codice NA valido per rifiutare il messaggio.
DEBUG | Invalid code '%s' entered. | È stato inserito un codice non valido.
ERRORS | Inbox folder %s invalid!. | La cartella inbox configurata non esiste.
ERRORS | Outbox folder %s invalid!. | La cartella outobox configurata non esiste.
ERRORS | Statusbox folder %s invalid!. | La cartella statusbox configurata non esiste.
ERRORS | Prefix %s invalid!. | Il prefisso configurato non è valido. La lunghezza deve essere di esattamente 1 carattere.
ERRORS | Semaphor prefix %s invalid!. | Il prefisso semaforo non è valido. La lunghezza deve essere di esattamente 1 carattere.
DEBUG | Send SMS to user %s. | È stato mandato un SMS all´utente [indirizzo].
DEBUG | SMS to user %s transmitted to the outbox. | È stato trasferito nell´outbox un SMS all´utente [indirizzo].
ERRORS | SMS to user %s could not be placed in the outbox. | Non è stato possibile trasferire nell´outbox un SMS all´utente [indirizzo].
WARNINGS | Index exceeded 99999, starting from 0. | Indice massimo per il nome file raggiunto, si ricomincia da 0.
DEEPDEBUG | Last index set to %d. | L´ultimo indice utilizzato è stato settato su [valore].
ERRORS | Could not set last index set to %d. | Non è stato possibile settare l´indice su [valore].
ERRORS | Inbox SMS-File for semaphor file: %s; is not found! Deleted the SEMA file! | È stato trovato un file semaforo nell`inbox, ma non il corrispondente file-SMS.
ERRORS | StatusBox Status-File for semaphor file: %s; is not found! Deleted SEMA file! | È stato trovato un file semaforo nel statusbox, ma non il corrispondente file di stato.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Il progetto ha ricevuto dal Message Control una Changed notification per message con il GUID [numero], ma non è più l´istanza che ha avviato il processo.
DEEPDEBUG | Sending changed notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è cambiato; il "nuovo" oggetto viene inviato al server standby.
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Il progetto ha ricevuto un telegramma di modifica per il messaggio con GUID [numero]. L´oggetto locale (vecchio) viene aggiornato.
ERRORS | Couldn't send changed notification for Message %s to SB. | Il tentativo di inviare un remove telegram per il messaggio con il GUID [numero] al server standby è fallito.
DEEPDEBUG | Sending remove notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è stato cancellato; un remove telegram viene inviato al server standby.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con GUID [numero]. L´oggetto locale (vecchio) viene cancellato.
ERRORS | Couldn't send remove notification for Message %s to SB. | Il tentativo di inviare un remove telegram per il messaggio con GUID [numero] al server standby è fallito.
DEEPDEBUG | Sending added notification for message %s to SB. | È stato creato l´oggetto del messaggio con GUID [numero]. Il "nuovo" oggetto viene inviato anche al server standby.
DEEPDEBUG | An addded notification of message(%s) was received, the message object will be added to the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con il GUID [numero]. Viene inserito il nuovo oggetto.
ERRORS | Couldn't send added notification for message %s to SB. | Il tentativo di inviare un remove telegram per il messaggio con il GUID [numero] al server standby è fallito.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Viene inviato un telegramma MessageControl-StateChange al server standby.
ERRORS | Couldn't send MessageCtrl-StateChanged notification to SB. | Il tentativo di inviare un MessageControl-StateChange telegram per il messaggio con GUID [numero] al server standby è fallito.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Il progetto ha ricevuto un telegramma MessageControl-StateChange per il messaggio con GUID [numero]. Viene inserito il nuovo oggetto.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Viene inviata una Delete-Request per [numero] messaggi al computer che ha avviato il processo.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | È stata ricevuta una Delete-Response: [numero] messaggi sono stati cancellati dalla coda (Queue).
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Il tentativo di inviare al computer che ha avviato il processo un Delete-Request-Telegramm è fallito.
DEBUG | Requesting File alignment from mainstation. | Verrà inviata una richiesta di sincronizzazione al computer che ha avviato il processo.
DEBUG | File alignment request could not be send to mainstation. | Il tentativo di inviare al computer che ha avviato il processo una richiesta di sincronizzazione è fallito.
DEEPDEBUG | A getqueue request was received, sending queue. | È stata ricevuta una richiesta di sincronizzazione. Vengono inviati la coda messaggi e lo stato attuali.
DEEPDEBUG | A delete message(s) request was received! | È stato ricevuto un telegramma Delete-Request.
DEEPDEBUG | SB state: %s(%u) | Lo stato del server standby è cambiato ed è adesso %s (%d).
DEEPDEBUG | Switch to server:%s | L´istanza attuale viene settata come server.
DEEPDEBUG | Switch to standby:%s | L´istanza attuale viene settata come server standby.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | È stata ricevuta una richiesta di cambio soppressione. Lo stato di soppressione verrà aggiornato.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Pe il progetto [nome] è stato avviato il controllo Timeout.
MSG | MessageControl has been activated. | Il Message Control è stato attivato.
MSG | MessageControl has been deactivated. | Il Message Control è stato disattivato.
DEEPDEBUG | Messaging-Queue is being saved. | L´attuale coda messaggi (Message-Queue) viene salvata.
ERRORS | Error occured while saving Messaging-Queue. | Si è verificato un errore durante il salvataggio della coda messaggi (Message-Queue)
WARNINGS | A Send-Message function was executed for a Group which does not contain any Message Control users! | È stata eseguita una funzione "invia messaggio" per un gruppo che è vuoto, oppure che non contiene nessun utente attivato per il Message Control.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Il messaggio con Guid [numero] è stato eleminato dalla coda messaggi.
ERRORS | Update failure: An existing instance of message '(%s)' could not be found in the local map! | Il messaggio con GUID [numero] non è stato aggiornato perché non è stato possibile trovarlo.
ERRORS | Messaging canceled: The user (%s) which was defined as the destination for the message %s could not be found! | Non è stato possibile trovare l´utente destinatario selezionato e l´invio del messaggio è stato interrotto.
DEBUG | The next user (%s) for the group (%s) will be notified, previous user was:%s | Il prossimo utente [nome] del gruppo [nome] viene avvertito; l´utente prima era l´user der [nome].
ERRORS | Messaging canceled: The next user for the Group (%s) could not be determined, has the group been deleted or empty? | Non è stato possibile individuare il prossimo utente per il gruppo [nome]. Il gruppo è stato cancellato, oppure è vuoto? L´invio è stato interrotto.
DEBUG | Messaging canceled: The end of the user list for the Group (%s) has been reached. | Si è raggiunta la fine del gruppo utenti [nome], l´invio messaggio viene interrotto.
ERRORS | The message %s should not be acknowledged! | Si è cercato di confermare un messaggio [ID] nonostante quest´ultimo non deve/può essere confermato.
MSG | The incoming message for %s contains the correct Ack-Code. | Il messaggio in arrivo [ID] contiene un codice PIN valido per la conferma del messaggio.
MSG | The incoming message for %s contains the correct NegAck-Code. | Il messaggio in arrivo [ID] contiene un codice NA valido per il rifiuto del messaggio.
MSG | The incoming message for %s does not contain a valid code. | Il messaggio in arrivo [ID] non contiene nessun codicen valido.
ERRORS | The user (%s) which was the defined destination for the outgoing message %s could not be found! | Non è stato possibile trovare l´utente [nome] scelto come destinatario del messaggio [ID]!
DEBUG | The Message %s was successfully sent to %s! | Il messaggio [ID] è stato inviato con successo a [destinatario].
DEBUG | The Message %s was NOT successfully sent to %s! | Non è stato possibile inviare il messaggio [ID] a [destinatario].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Non è stato possibile inviare il messaggio [ID] a [destinatario]; il messaggio viene inviato di nuovo.
DEBUG | The sending of message %s was completed. | Il processo di invio del messaggio [ID] è stato completato.
ERRORS | msgNotify_TimeOut received for message %s, which is no longer present in the queue! | È stata ricevuta dal Message Control una TimeOut-Notification per il messaggio [ID], nonostante questo messaggio non si trovi più nella coda (Queue).
ERRORS | msgNotify_Finished received for message %s, which is no longer present in the queue! | È stata ricevuta dal Message Control una Finished-Notification per il messaggio [ID], nonostante questo messaggio non si trovi più nella coda (Queue).
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Il messaggio [ID] dovrebbe essere già stato confermato, TimeOut verrà elaborato.
DEBUG | The message %s should have been Sent by now, handling hardware TimeOut. | Il messaggio [ID] dovrebbe essere già stato inviato, TimeOut verrà elaborato.
MSG | Selected dispatcher '%s' is busy->try again... | Il tipo di invio selezionato [tipo] è occupato: si tenterà di nuovo di inviare il messaggio più tardi.
ERRORS | Selected dispatcher '%s' could not send message %s. | Il tipo di invio selezionato [tipo] non ha potuto inviare il messaggio [ID].
DEEPDEBUG | Firing MessageCreated | Viene generato un evento MessageCreated.
DEEPDEBUG | MessageCreated fired | È stato generato un evento MessageCreated.
DEEPDEBUG | Firing MessageSent | Viene generato un evento MessageSent.
DEEPDEBUG | MessageSent fired | È stato generato un evento MessageSent.
DEEPDEBUG | Firing MessageSendError | Viene generato un evento MessageSendError
DEEPDEBUG | MessageSendError fired | È stato generato un evento MessageSendError.
DEEPDEBUG | Firing MessageAcknowledged | Viene generato un evento MessageAcknowledged.
DEEPDEBUG | MessageAcknowledged fired | È stato generato un evento MessageAcknowledged.
DEEPDEBUG | Firing MessageNegAcknowledged | Viene generato un evento MessageNegAcknowledged.
DEEPDEBUG | MessageNegAcknowledged fired | È stato generato un evento MessageNegAcknowledged.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | Viene generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | È stato generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | Firing MessageDeleted | Viene generato un evento MessageDeleted.
DEEPDEBUG | MessageDeleted fired | È stato generato un evento MessageDeleted.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | Viene generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | È stato generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | Current message count is (%d) | Si trovano [numero] messaggi nella coda. (L´inserimento viene generato al momento della creazione e della cancellazione di messaggi).
ERRORS | Can't find a user with id %s | Non è stato possibile trovare l´utente [nome]. (L´inserimento viene generato quando si tratta di messaggi per cui probabilmente l´utente è stato cancellato).

E-Mail per SMTP/POP

Livello | Inserimento | Descrizione
DEBUG | Sent E-Mail successfully to [Zieladresse] | Una E-Mail è stata trasmessa con successo al server di posta in uscita (SMTP). Ciò non significa però che la E-Mail è giunta al destinatario!
DEBUG | Received E-Mail successfully from [Absenderadresse] | Una E-Mail è stata prelevata con successo dal server di posta in arrivo (POP3).
DEBUG | Creating an encrypted [SMTP / POP3] Connection using [SSLv2 and SSLv3 / TLSv1] | Viene instaurata una connessione crittografata ad un server. Quale meccanismo di sicurezza viene usato e con quale server viene instaurata la connessione (protocolli: SMTP per messaggi in uscita, POP3 per messaggi in entrata), lo si trova in un messaggio LOG.
DEBUG | Creating an unencrypted [SMTP / POP3] Connection | Viene instaurata una connessione non crittografata ad un server.
DEBUG | Connection to [SMTP / POP3] Server established successfully | Una connessione ad un server è stata instaurata con successo.
DEBUG | Connection to [SMTP / POP3] Server closed | Una connessione ad un server è stata chiusa.
DEBUG | Authenticating to SMTP Server using SMTP AUTH [PLAIN / LOGIN] | L´autenticazione nei confronti del server di posta in uscita viene eseguita con il meccanismo indicato.
DEBUG | Authenticating to SMTP Server using POP3 Server Connection | Per effettuare l´autenticazione nei confronti del server di posta in uscita, viene instaurata una connessione con questo server.
DEBUG | Connection to [SMTP / POP3] Server [Servername] Port [Port] ready to go | L´instaurazione della connessione e l´autenticazione sul server indicato sono state eseguite con successo. La connessione è pronta per la trasmissione dei dati.
DEBUG | Authenticating to POP3 Server using [APOP command / USER and PASS commands] | L´autenticazione sul server di posta in entrata viene eseguita con il meccanismo indicato.
WARNING | No Subject for the E-Mail specified | Non è stato indicato nessun oggetto per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza oggetto potrebbe essere bloccata da un filtro Spam.
WARNING | No Text for the E-Mail specified | Non è stato inserito nessun testo per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza testo potrebbe essere bloccata da un filtro Spam.
WARNING | The Server did not respond an OK Code to EHLO. Response: [Antwort des SMTP Server] | Il server di posta in uscita ha risposto con un codice di errore al comando EHLO (la risposta è contenuta nel messaggio LOG). Il server SMTP non supporta nessuna estensione. Le estensioni vengono utlizzate nell´autenticazione SMTP. Non si tratta di un errore, dato che l´autenticazione SMTP non deve essere utilizzata e perché le funzioni interessate eseguono a loro volta un procedimento di rilevamento degli errori.

SMS

Livello

Inserimento

Descrizione

ERROR

[Telefonnummer] is not a valid SMSC telephone number!

Il numero di telefono della Short Message Service Centre non è corretto.

Il controllo concerne solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso, oppure se è veramente quello di uno Short Message Service Centre!

ERROR

[Telefonnummer] is not a valid telephone number!

Il numero di telefono del destinatario è errato. Il controllo concerne solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso!

ERROR

Error on opening the port [COM-Port]: [Fehlernummer in HEX]

Non è stato possibile aprire la porta seriale indicata. È possibile consultare la libreria MSDN per trovare il numero di errore indicato e per avere delle indicazioni sulle possibili ragioni che hanno causato l´errore.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Fehlernummer in HEX]

Non è stato possibile configurare la porta COM indicata. Vengono configurati state, timeout e buffer. Si può consultare la libreria MSDN per trovare il numero di errore indicato.

ERROR

The total input buffer ([Zahl] bytes) is too small for the [Zahl] bytes received from the modem.

Il buffer di entrata è troppo piccolo per poter ricevere tutti i dati inviati dal modem. Il buffer di entrata viene impostato con una dimensinoe di 12 KB. Per ricevere un SMS della massima grandezza sono necessari circa 400 byte. Se all´interno di un intervallo di polling (vedi sotto) arrivano più di 12 KB di dati SMS, si verificherà l´errore di cui si sta parlando.

ERROR

The modem returned an error to the [AT-Kommando] command: [Fehlermeldung]

Il modem ha reagito a un comando AT con un messaggio di errore. Esso viene aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

Se è necessaria un´autenticazione mediante un codice PIN, quest´ultimo viene trasmesso con il comando AT+CPIN. Se si inserisce un codice erroneo, il modem reagisce a questa richiesta con un errore.

ERROR

The modem did not respond to the [AT-Kommando] command.

Durante l´attesa alla risposta del modem a un comando AT si è verificato un timeout.

ERROR

The modem did not switch in SMS PDU mode.

Il modem ha confermato con OK il comando AT di attivazione della modalità SMS-PDU, ma non ha effettivamente attivato quest´ultima.

ERROR

The modem did not apply the SMSC telephone number.

Il modem ha confermato con OK il comando AT di impostazione del numero di telefono dello Short Message Service Centre, ma non ha salvato il numero stesso come Short Message Service Centre.

ERROR

Error: not connected

Si è tentato di inviare, ricevere o cancellare un SMS e non è stato possibile instaurare prima nessuna connessione con il modem.

ERROR

The modem returned an error to the transmission of the PDU: [Fehlermeldung]

Il modem ha risposto alla trasmissione di un SMS-PDU con un messaggio di errore. Esso viene aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

ERROR

The modem did not respond to transmission of the PDU.

Durante l´attesa alla risposta del modem alla trasmissione di un SMS-PDU si è verificato un timeout.

ERROR

Error on writing data: [Fehlernummer in HEX]

Si è verificato un errore durante l´invio di dati attraverso una porta seriale. Si può consultare la libreria MSDN per trovare il numero di errore.

ERROR

Not all bytes have been sent.

Nonostante la funzione di invio di dati tramite la porta seriale non abbia rilevato nessun errore, non sono stati mandati tutti i dati.

ERROR

Error on reading data: [Fehlernummer in HEX]

Si è verificato un errore durante la ricezione di dati attraverso una porta seriale. Si può consultare la libreria MSDN per trovare il numero di errore.

ERROR

The source SMSC telephone number [Telefonnummer] contains the not supported character [Zeichen]

Il numero di telefono dello Short Message Service Centre del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non consentito.

ERROR

The source telephone number [Telefonnummer] contains the not supported character [Zeichen]

Il numero di telefono del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non consentito.

ERROR

The syntax of the timestamp [Zeitstempel] is incorrect.

Il ora/data della rete GSM ricevuto al momento della ricezione dell´SMS non corrisponde al formato atteso.

ERROR

The byte [Byte als HEX] could not be converted.

Non è stato possibile convertire un byte contenuto nel PDU, da una stringa HEX (esadecimale) in un numero.

ERROR

Insufficient buffer to convert SMS text [Text]

Il buffer per la conversione di SMS in uscita (12 KB di 6144 caratteri) non è sufficiente.

ERROR

The format flag [Byte als HEX] is not supported.

La formattazione di un SMS in entrata non è supportata.

ERROR

Could not convert [Byte als HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Byte als HEX], Extensionlanguage [Byte als HEX]

Non è stato possibile decodificare un carattere contenuto nella sezione dati 7-bit-SMS. La tabella base alphabet e la tabella estesa vengono aggiunte come Language Identifier (vedi standard 3GPP TS 23.038 V10.0.0 (2011-03).

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Un SMS è arrivato in più parti; le singole parti usano diversi alfabeti. Le informazioni sugli alfabeti necessarie per la conversione, però, non sono complete.

ERROR

The input byte stream is not a valid unicode text.

Un messaggio Unicode ricevuto non contiene un testo valido (cioè con un numero paro di byte, visto che nel caso di Unicode sono necessari 2 byte per carattere).

ERROR

Insufficient Buffer to decode PDU

Durante la decodificazione di una PDU, il buffer da 12 KB si è rivelato troppo piccolo.

ERROR

The PDU is not a valid byte stream.

Una PDU ricevuta non è un hexdump valido di un byte-stream.

ERROR

The PDU length does not match the SMS text length

Il numero di byte contenuti in una PDU ricevuta non corrisponde alla lunghezza specificata nei dati di controllo degli SMS.

ERROR

The Modem requests the PUK.

Il modem richiede per l´autenticazione il Personal Unlock Key (PUK). Quest´ultimo, però, non viene utilizzato dal Message Control; per questo motivo, il processo d´instaurazione di una connessione con il modem viene interrotto per il verificarsi di un errore. Se si è inserito più volte il codice PIN sbagliato, la scheda SIM del modem richiede di effettuare l´autenticazione inserendo il codice PUK, dopodiché si dovrà procedere a definire un nuovo PIN.

Attenzione: inserimenti del PUK sbagliato possono avere come conseguenza il fatto che la scheda SIM è inutilizzabile!

ERROR

The Modem responded with an unknown PIN Status: [Antwort des Modems]

La richiesta dello stato PIN del modem ha avuto un risultato inatteso. La risposta del modem alla richiesta concernente lo stato PIN viene aggiunta al messaggio di LOG.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Il modem richiede un´autenticazione con un codice PIN, ma l´utente non ne ha inserito nessuno.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Nonostante la trasmissione del codice PIN sia stata confermata con OK dal modem, lo stato PIN del modem non è stato settato su "READY" (non è più necessario inserire il PIN ). La risposta del modem alla richiesta concernente lo stato PIN viene aggiunta al messaggio di LOG.

DEBUG

Port [COM-Port] opened successfully

La porta seriale del modem indicata è stata aperta con successo.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Telefonnummer]

Il modem è stato configurato con successo per la modalità SMS-PDU e il numero di telefono indicato dello Short Message Service Centre .

DEBUG

Connection to modem closed.

Il collegamento con il modem e l´interfaccia seriale è stato chiuso.

DEBUG

SMS successfully sent to [Telefonnummer]

Un SMS è stato inviato con successo al numero di telefono indicato.

DEBUG

Successfully received SMS from [Telefonnummer]

Un SMS è stato ricevuto con successo dal numero di telefono indicato.

DEBUG

The Modem does not need a PIN.

Il modem non richiede un´autenticazione PIN.

DEBUG

Authentication with the PIN succeeded.

L´autenticazione con il codice PIN configurato ha avuto successo.

OpenSSL Library

Gli errorcodes e gli errormessages dalla OpenSSL Library in formato „Errorcode: [Code]. Errormessage: [String]".

Le risposte del server hanno la seguente struttura:

  • le risposte del server POP3 iniziano con "OK" solamente se non ci sono degli errori.
  • le risposte del server SMTP iniziano con un codice di stato di tre cifre:
    • 2xx = OK
    • 3xx = attendo i dati
    • 4x e 5 xx = errore

Livello

Inserimento

Descrizione

ERROR

No Destination E-Mail-Address specified

Non è stato indicato nessun indirizzo per una E-Mail in uscita.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare il metodo SSL/TLS necessario per instaurare una connessione criptata.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare l´oggetto per una connessione (sia criptata che non).

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

Impossibile leggere la struttura SSL / TLS di una connessione criptata.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare una connessione (sia criptata che non).

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Il server di posta in uscita non ha risposto né al comando EHLO, né al comando HELO con un messaggio di OK (la riposta viene aggiunta al messaggio di LOG). Il server viene considerato non raggiungibile.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / user data]: [Antwort des SMTP Server]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH LOGIN, oppure il nome utente corrispondente. La risposta viene aggiunto al messaggio LOG.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [Antwort des SMTP Server]

Il server SMTP non ha confermato i dati relativi alla password AUTH LOGIN con OK. Il Login è fallito.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Antwort des SMTP Server]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH PLAIN. La risposta viene aggiunto al messaggio LOG.

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [Antwort des SMTP Server]

Il server SMTP non ha confermato i dati AUTH PLAIN con OK. Il Login è fallito. La risposta viene aggiunto al messaggio LOG.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

Deve essere usata l´autenticazione SMTP; il server, però, non ha inserito nella risposta EHLO i comandi necessari nella lista dei comandi di estensione supportati.

I comandi seguenti sono necessari: AUTH LOGIN e AUTH PLAIN, quest’ultimo è implementazione minima secondo l’RFC 2554.

ERROR

[SMTP / POP3] not connected

Il sistema ha provato a inviare dei dati al server di posta in uscita, oppure di andar a prendere dei dati dal server di posta in entrata, nonostante non ci sia una connessione funzionante con il server.

ERROR

The Server did not send an OK-Response to the MAIL command: [Antwort des SMTP Server]

Il server di posta in uscita non ha confermato con OK il comando MAIL (inviare una nuova E-Mail). La risposta viene aggiunto al messaggio LOG.

ERROR

The Server did not send an OK-Response to the RCPT command: [Antwort des SMTP Server]

Il server di posta in uscita non ha confermato con OK il comando RCPT (aggiungi un destinatario). La risposta viene aggiunto al messaggio LOG.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [Antwort des SMTP Server]

Il server di posta in uscita non ha inviato la risposta attesa al comando DATA (dati Mail vengono trasmessi). La risposta viene aggiunto al messaggio LOG.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [Antwort des SMTP Server]

Il server di posta in uscita non ha confermato con OK i dati Mail inviati. La risposta viene aggiunto al messaggio LOG.

ERROR

APOP Authentication is required but the Server did not send APOP Data

Per effettuare il Login sul server di posta in entrata deve essere usato il comando APOP; il server di posta in entrata, però, non ha fornita i dati necessari.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare il MD5-Hash per l´autenticazione APOP.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [Antwort des POP3 Server]

Il server di posta in entrata non ha confermato un comando con OK. La risposta viene aggiunto al messaggio LOG.

Ne possono essere interessati i seguenti comandi: APOP, USER, PASS, STAT, RETR, DELE.

Indicazione: se nel comando DELE è contenuta ancora l´indicazione "Could not delete Mail", significa che è stata ricevuta una E-Mail, ma non è stato possibile cancellarla. Visto che la E-Mail è stata ricevuta con successo, essa viene inoltratta al Message Control.

ERROR

The OK-Response to the STAT command did not have the expected Format: [Antwort des POP3 Server]

La risposta del server di posta in entrata al comando STAT non corrispondeva alla definizione formato secondo RFC 1939.

Formato: OK<spazio vuoto>[numero delle Mail nella casella di posta elettronica]<spazio vuoto>[dimensione complessiva di tutte le Mail nella casella di posta elettronica in bytes]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

Impossibile l´invio e la ricezione di dati tramite una connessione di rete OpenSSL.


Multitouch

Manuale -> Multitouch

Con zenon i touchscreen possono essere gestiti anche tramite gesti multitouch. La funzionalità multitouch deve essere attivata nelle proprietà di progetto. Per far ciò:

  1. passate al gruppo Gestione touch

    Interno ID: Multitouch

    Gestione touch

    Proprietà per la gestione touch.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la proprietà Multitouch attivo

    Interno ID: Multitouch

    Multitouch attivo

    Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
    Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I progetti devono essere adattati all´uso di multitouch. Potete ottenere un Esempio di progetto dal Vostro consulente zenon.


Esempio di progetto

Manuale -> Multitouch -> Esempio di progetto

Questo esempio di progetto è concepito per una risoluzione di 1920x1080. Contiene:

  • Pagina iniziale
  • Navigazione
  • Riga allarmi
  • Tipo d'immagine Login

Pagina iniziale

La pagina iniziale offre una visione generale di un´intera linea di produzione. . Diverse Icons di macchinari sono visibili contemporaneamente. Potete passare ad altri macchinari facendo scroll mediante gesti. Con un Tap su un´ Icon si passa al macchinario prescelto. Nell´immagine si trovano anche:

  • Linea allarmi sul bordo superiore: mostra l´ultimo allarme verificatosi nell´intera linea di produzione. Potete trascinare la riga allarmi e ottenere così la visualizzazione completa della Lista allarmi.
  • Pulsante Login consente a più utenti di effettuare il Login.
  • Pulsante Exit: chiude il Runtime e ne è consentito l´uso solamente a quegli utenti che sono provvisti di diritti di amministratore.

Navigazione

Nella parte inferiore dello schermo, la navigazione rappresenta l´intera linea di produzione con l´aiuto di Icons in un´area orizzontale di scroll. C`è anche un´immagine globale Energy. La si seleziona tramite il pulsante posto in basso al centro. La selezione di un macchinario avviene mediante Tap su una Icon visibile. In questo progetto può essere selezionato solamente il macchinario Filler. Se premete e tenere premuta l´Icon Filler abbastanza a lungo, viene visualizzato un effetto Glow. Si può scrollare la lista mediante il gesto Swipe; un Tap sulla lista che sta scorrendo, interrompe lo scroll.

La velocità dello scroll è determinata sulla base dell´accelerazione del movimento di Drag:

  • lentamente: segue il dito
  • più veloce: si muove a ritroso

Al momento dell´apertura dell´immagine di partenza, la navigazione è centrata sull´Icon Filler..

Riga allarmi

Sul margine superiore dello schermo è posizionata una riga allarmi. Essa mostra l´ultimo allarme verificatosi nell´intera linea di produzione. La potete aprire per visualizzare la Lista allarmi.
Gestione:

  • Apri:
    • Un Tap sulla barra apre la AML che va a coprire la metà dello schermo.
    • Medianti gesti, la AML può essere portata alla grandezza desiderata dall´utente.
  • Chiudi:
    • Un Tap al di fuori del modello chiude l´AML aperta.
    • L´AML può essere ritrascinata verso l´alto (chiudendola) anche manualmente.

Immagine di Login

L´immagine di Login offre un login basato su gesti nello stile di Windows 8. Prima di inserire la password, dovete selezionare un utente via Tap. Poi potete avviare l´inserimento della password dell´utente selezionato via Hovering. Ad esempio:

Amministratore:

Manutenzione:

Operatore:

Inoltre c`è un pulsante di logout che disabilita l´utente loggato al momento e apre l´immagine di Login. L´immagine di Login è una finestra di dialogo modale che oscura il background.


Schermo macchinario

Manuale -> Multitouch -> Esempio di progetto -> Schermo macchinario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Lo schermo macchinaro mette a disposizione dell´operatore la riga allarmi con la stessa funzionalità che ha sulla pagina di partenza, ma filtrata per il macchinario.

Inoltre, c´è il concetto Workspace con finestre posizionabili liberamente, che sono salvate in un Dock quando non vengono usate. Il Workspace si estende su più schermi ai quali potete passare via gesto Swipe, navigazione Tab, oppure pulsante di navigazione. Nella parte inferiore si trova un´area di attivazione per le operazioni a due mani e un pulsante home. In alto a destra si trova una visuale gestibile per il Workspace.

Dock

Icons possono essere trascinate dal Dock sul Workspace, dove vengono poi visualizzate come Faceplate nella grandezza di base configurata. Se un Faceplate è posizionato sul Workspace , la sua Icon appare disattivata. Quando si chiude un Faceplate, la sua Icon viene di nuovo visualizzata come attiva. Tap & hold su una Icon disattivata, localizza un Faceplate aperto e passa al Workspace da esso usato.

Workspace

Su ognuno dei quattro Workspaces configurabili individualmente, può essere posizionato e scalato un numero qualsiasi di Faceplates personalizzati.

  • Portare il Faceplate sul margine verticale dello schermo: Dopo un ritardo di 2 secondi, si passa al prossimo Workspace e il Faceplate può essere posizionato liberamente.
  • Spostare il Faceplate sul margine verticale dello schermo (gesto Swipe): Il Faceplate viene portato sul prossimo Workspace, il Workspace attuale rimane aperto.
  • Chiudi/rimuovi Faceplate: trascinare il Faceplate sul dock, oppure verso il basso con un gesto Swipe.
    In alternativa, ogni Faceplate può essere chiuso usando il pulsante X che si trova nell´angolo in alto a destra dello schermo.

I Faceplates aperti, la loro posizione, grandezza ecc, vengono salvati nel profilo utente. Un Faceplate può essere ingrandito o rimpicciolito mediante i gesti Zoom/Pinch. Ogni Faceplate può essere anche spostato. Un Faceplate selezionato viene portato in primo piano tramite Z-Order-Manipulation, ma rimane sempre dietro la riga allarmi. Con il prossimo login, tutti i dati relativi alla posizione e alla grandezza dei singoli Faceplates vengono letti e questi ultimi vengono posizionati di conseguenza.

Operazione "due mani"

Nell´angolo in basso a sinistra si trova un´area di attivazione per le operazioni a due mani. Se si cerca di usare un elemento bloccato, quest´area di attivazione inizia a lampeggiare e l´elemento può essere sbloccato grazie ad essa.

Possibilità di gestione a due mani:

  • Pulsante: per es. home
  • Inserimento di valore impostabile: viene aperta la keyboard e si può inserire il valore impostabile,
  • Jog operation

Una verifica della successione di attivazione (attivazione prima di azione) è configurata nel progetto demo. Nel caso di jog operation (Faceplate operation), l´attivazione attiva viene controllata continuamente.

Menu circolare

Per consentire una veloce navigazione fra i Workspaces abbiamo implementato un menu circolare. Esso viene attivato via Tap&Hold in un punto qualsiasi del Workspace e appare intorno al dito. La selezione del workspace avviene via Draggen del dito in una delle aree. Il cambio avviene quando il dito non è più a contatto con lo schermo. L´azione può essere interrotta via Draggen al di fuori o all´interno dell´area di menu.

Pulsante Home

Nell´angolo in basso a destra si trova un pulsante Home. Usando questo pulsante si può tornare alla schermata di partenza. Il pulsante Home è attivabile solamente con gestione a due mani.


VSTA Code

Manuale -> Multitouch -> Esempio di progetto -> VSTA Code

Descrizione di classe

MultiTouchManagement

Handling completo di tutta l´applicazione multitouch. Quando si creano le classi MultitouchManagement-, vengono istanziate le classi LoginWindow, NaviationsWindow e WindowManagement.

LoginWindow

In questa classe sono incluse le componenti fondamentali dell´user login e della password pattern recognition.

NavigationWindow

Tratta l´immagine di posizionamento faceplate "Icon" e gestisce tutto il processo di apertura dei Faceplates che vengono richiamati di volta in volta.

WindowManagement

È preposto alla gestione di tutti gli eventi touch di tutti i faceplate (spostare, scalare, ecc.). Questa classe si occupa, inoltre, del salvataggio e della lettura di tutte le informazioni Faceplate necessarie nel Runtime.

WindowProperties

Per ogni Faceplate viene istanziata un´istanza ad hoc, che rende disponibili tutti i dati necessari del Faceplates . Tutte le istanze vengono salvate in un file XML quando si chiude il Runtime, e possono così offrire le ultime impostazioni valide del Faceplates quando si riavvia il Runtime.


Multitouch di base

Manuale -> Multitouch -> Esempio di progetto -> Multitouch di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Events

Se si attiva la proprietà di progetto Multitouch attivo, si ottengono gli eventi per TouchManipulationStartEvent, TouchManipulationDeltaEvent e TouchManipulationCompleteEvent per corrispondenti eventi handler declaration nel Runtime. Mediante il metodo SetupTouchInertia si possono definire i parametri di inerzia per ogni immagine. La seguente immagine mostra un processo schematico degli eventi generati:

Interno ID: Multitouch di base

Multitouch attivo

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In generale, un TouchManipulationStartEvent viene generato per primo. Finché si esegue il gesto, vengono generati TouchManipulationDeltaEvents e, alla fine del gesto, un TouchManipulationCompleteEvent conclusivo. Il parametro trasmesso lContacts restituisce il numero delle dita attualmente sullo schermo.

Dopo la conclusione del gesto touch, i valori di inerzia vengono calcolati dal processore di inerzia sulla base dei valori trasmessi nel metodo SetupTouchInertia e terminati via TouchManipulationDeltaEvents e i valori di inerzia calcolati con un singolo TouchManipulationCompleteEvent.

Siccome nessun dito si trova sullo schermo durante il calcolo dei valori di inerzia, il parametro lContacts ha il valore 0. Il numero di TouchManipulationDeltaEvents di cui ha bisogno il processore di inerzia, dipende dai parametri trasmessi dal metodo SetupTouchInertia . A seconda dell´inerzia, il processore di inerzia ha bisogno di più o meno eventi per concludere i gesti.

Se, mentre vengono generati gli eventi inerzia calcolati, si inizia un nuovo gesto, non vengono più TouchManipulationDeltaEvents del vecchio gesto. Dopo un TouchManipulationCompleteEvents conclusivo, gli eventi del nuovo gesto vengono avviati immediatamente mediante un TouchManipulationStartEvents.

Inoltre, anche gli eventi TouchEvent, ElementMouseOver, ElementLeftButtonDown e ElementLeftButtonUp vengono generati in concomitanza con un gesto.

Multitouch nativo nell´immagine globale

Per effettuare lo zoom e lo scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multitouch per Zoom e Scrolling. Se si attiva questa proprietà, zenon si occupa della realizzazione dei gesti di zoom e scroll nell´immagine globale progettata. Per ulteriori informazioni su questo tema, Vi preghiamo di consultare la sezione: Navigazione con multitouch nell´immagine globale .

Interno ID: Multitouch di base

Multitouch per Zoom e Scrolling

Attiva: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

Disponibile solo se la proprietà Multitouch attivo è stata attivata e Dimensione dal modello non è attiva.

Interno ID: Multitouch di base

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


FAQs

Manuale -> Multitouch -> Esempio di progetto -> FAQs

Domande frequenti e risposte pratiche.

Nota: Le proprietà Nome f. lista oggetti e Capitolo guida possono essere usate in zenon come proprietà liberamente definibili.

Interno ID: FAQs

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: FAQs

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Come aggiungo un nuovo Faceplate?

L´esempio di progetto consiste di 13 Faceplates che sono visualizzati come Icons nello schermo di navigazione Navigation_Bottom. Per generare un contesto fra le singole icone e il Faceplates da aprire, dovete rispettare le convenzioni di nomenclatura. I nomi delle rispettive Icons devono corrispondere esattamente a quelli delle immagini corrispondenti e dei loro modelli. Un collegamento fra le immagini può essere realizzato solamente se questa catena (Icon - modello - immagine) viene rispettata.

Per poter aprire le rispettive immagini, naturalmente dovete progettare anche una funzione di cambio lingua. Il nome di quest´ultima consiste del prefisso "scr" e del nome del Faceplates. Se questa convenzione di nomenclatura è rispettata, il completo handling viene poi assunto dal multitouch management.

Come creo il feedback se il pulsante premuto oppure l´elemento visualizzazione valore richiede una gestione a due mani?

Per assicurare la gestione a due mani, entrambi i punti di pressione devono essere messi a disposizione ognuno su una propria immagine con un proprio modello. Nel nostro esempio di progetto, questa immagine si chiama Enabler.

In fase di progettazione, l´interlocking deve essere collegato a enableArea per gli elementi gestibili a due mani. Questa impostazione fa sì che un feedback sia generato automaticamente non appena Enabler (gestione a due mani) non è premuto. Questo elemento è gestibile solamente se Enabler è premuto.

Come creo un pulsante jog mode?

Per creare un pulsante con funzionalità jog operation:

  • assicuratevi che il nome di questo pulsante contenga il nome parziale "HOLD"
  • passate nelle proprietà dell´elemento al nodo Runtime

    Interno ID: FAQs

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • inserite un riferimento secondo il seguente modello nella proprietà Nome f. lista oggetti: Nome variabile|Cambiamento valore
    (Un esempio lo trovate nell´immagine Faceplate_Operation nel pulsante ^^^.)

Come creo un pulsante per il cambio del Workspace?

A tal scopo potete utilizzare il simbolo predefinito Tab. La variabile demoCurrentWorkspace rappresenta il valore del Workspace attivo al momento nell´intero progetto. Le seguenti impostazioni manipolano la variabile e riaggiustano tutte le immagini aperte:

Gruppo tab_inactive::

la proprietà Capitolo guida deve contenere l´inserimento WorkspaceSwitch.

la proprietà Nome f. lista oggetti deve contenere un inserimento secondo il seguente modello: demoCurrentWorkspace|PAGE (per esempio: demoCurrentWorkspace|3)

Come creo un nuovo utente?

Nell´immagine Login dovete realizzare un user pattern specifico sui 16 possibili quadrati per il login di un utente. Non appena toccate il primo quadrato, viene inizializzato l´inserimento della password. Esso viene concluso non appena il dito non ha più il contatto con lo schermo. Subito dopo l´inserimento del pattern, viene verificata la password. In caso di conferma positiva, il login viene effettuato automaticamente.

Durante l´input del password-pattern, viene creata in background una password topografica, che può venire confrontata mediante una funzione con l´utente di progetto progettato. Il primo quadrato viene interpretato come 'A', il secondo come 'B' ecc. ed essi sono messi insieme in una password coerente attraverso un line-dependent hovering dei quadrati.

Per aggiungere un nuovo utente:

  • create un nuovo utente nella Gestione user
  • create una password personale
  • assicuratevi che l´utente possa essere selezionato nell´immagine di Login e progettate le stesse proprietà che avete previsto per il pulsante appena configurato della selezione user

Come apro il menu circolare?

Il menu circolare si apre:

  • intorno ad un dito che tocca il workspace
    e
  • non si muove per più di 800 ms

Nel menu circolare avete la possibilità di passare dal Workspaces al Workspace desiderato semplicemente trascinando il dito (gesto drag).

Come filtrare la pull down AML?

L´AML rimane sempre aperta e il filtro relativo ai macchinari viene eseguito tramite le opzioni di filtro della funzione di cambio all´immagine AML e AML-collapsed .

Come apro un macchinario?

I macchinari sono visualizzati mediante una successione fissa di processi come adattamento dei filtri, funzioni di cambio immagine, apertura di aree di navigazione relative ai macchinari, posizionamento dei Faceplates dipendenti dai macchinari ecc. In questo esempio di progetto, l´ordine delle funzioni che devono essere aperte viene configurato in uno zenon script, che viene richiamto al momento dell´attivazione della Icons macchinario nell´immagine di partenza.

Dove vengono salvate le informazioni del Faceplates ?

Grandezza, posizione, workspace, visibilità e fattore di scala vengono scritti in un file di configurazione. Esso si trova in una sottocartella della cartella %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigazione con multitouch nell´immagine globale

Manuale -> Multitouch -> Navigazione con multitouch nell´immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale. A tale scopo è necessaria un´immagine del tipo Supervisione globale. Per poter usare i gesti multitouch al fine di navigare all´interno dell´immagine globale, questi devono:

  • o essere attivati mediante la proprietà Multitouch per Zoom e Scrolling

    Interno ID: Navigazione con multitouch nell´immagine globale

    Multitouch per Zoom e Scrolling

    Attiva: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

    Disponibile solo se la proprietà Multitouch attivo è stata attivata e Dimensione dal modello non è attiva.

    Interno ID: Navigazione con multitouch nell´immagine globale

    Dimensione dal modello

    Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
    Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
    Default: attiva:

    Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Navigazione con multitouch nell´immagine globale

    Multitouch attivo

    Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
    Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • o essere implementati tramite VBA/VSTA

Zoom e scrolling tramite la proprietà Multitouch per Zoom e Scrolling

Per utilizzare multitouch senza VBA/VSTA:

  1. attivate nelle proprietà di progetto nel nodo Gestione touch la proprietà Multitouch attivo

    Interno ID: Navigazione con multitouch nell´immagine globale

    Gestione touch

    Proprietà per la gestione touch.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. disattivate nelle proprietà dell´immagine, e in particolare nel nodo Dimensione la proprietà Dimensione dal modello

    Interno ID: Navigazione con multitouch nell´immagine globale

    Dimensione

    Proprietà dell’immagine collegate con il modello. Queste proprietà possono essere modificate qui per ogni singola immagine indipendentemente dal modello.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate nelle proprietà dell´immagine, e in particolare nel nodo Generale la proprietà Multitouch per Zoom e Scrolling

    Interno ID: Navigazione con multitouch nell´immagine globale

    Generale

    Proprietà generali dell´immagine.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In tal modo è possibile effettuare lo scrolling e zoomare nell´immagine usando i gesti multitouch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multitouch per Zoom e Scrolling.

In DynPicturesono a Vostra disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Methode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode))

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = centro , coordinate orginali

    1 = Punto centrale , coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


OPC server

Manuale -> OPC server

The OPC server makes the variables of the project available for standard OPC client tools.

The use of the OPC UA Server is recommended for several operations. It is part of the COPA-DATA Process Gateway

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.


Compare OPC Server and OPC UA Server

Manuale -> OPC server -> Compare OPC Server and OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The OPC UA server system has superseded the OPC server. Use of an OPC UA server is recommended for most applications.

OPC Server

  • OPC Task Force since 1995
  • Uniform interface for automation systems
  • Based on Microsoft's COM/DCOM technology
  • OPC foundation since 1996
  • several specifications for different applications

OPC UA Server

  • First vision 2003
  • Released in 2006, not yet all parts

Comparison of OPC server to OPC UA server

Parameters | OPC Server | OPC UA Server
Data model | Limited | for all applications
Implementation | Manufacturer-dependent | Manufacturer-independent
Interoperability | no | yes
Configuration | laborious | simple
Network use | Not recommended (security); Windows CE cannot be used | yes
Network technology | DCOM (error-prone, unstable) | OPC UA TCP binary protocol
Performance | low | high
Platforms | Windows only | independent
Redundancy | no | yes
Resource requirements | high | lower
Service-orientated architecture | no | yes
Security | outdated | In accordance with current standards
Connection security | no | provided
Windows CE | no | yes


Technical background

Manuale -> OPC server -> Technical background

The concept of OPC ist conceived for the application in the cell and management level. With it the OPC Server delivers process data from the management level.

OPC Clients and OPC Server

Illustration 1. OPC Servers

OPC defines objects, which are described by object interfaces. In the OPC server there are two kinds of object interfaces, which can be addressed by an OPC client (image 2):

- The COM-Custom-Interface

- The OLE-Automation-Interface

Illustration 2. Object interface of the OPC Server

The COM-Interface is used by function pointer orientated languages such as C++. Through the automation interface it is possible to communicate with script languages such as Visual Basic.

An OPC server consists of three hierarchical gradated objects:

- server

- groups and

- items.

Illustration 3. OPC object hierarchy

An OPC server shows the real objects as items (variables). These items are within the OPC server unique. The client organizes the items in one or more OPC groups.


General OPC Server Information

Manuale -> OPC server -> Technical background -> General OPC Server Information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • The OPC Server is an Out of Process Server.
  • The OPC Server is running in a STA Single Thread Apartment.
  • The OPC Server is registered as COM Server MULTIPLEUSE. This means that the server runs only one time as a process instance and several OPC clients log in at the same server.
  • At the moment the OPC server only works locally.


Item Addressing:

Manuale -> OPC server -> Technical background -> Item Addressing:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The OPC server has to be able to distinguish, from which projects the variables come, because serveral projects can be started in the Runtime. So the server uses the following nomenclature for the process variables: Projectname.Variablename

Esempio Esempio

Project1.ActualValue

Project1 = name of the project currently running in the Runtime

. (Point) = Separator

Current value = Existing name of variable


Group information

Manuale -> OPC server -> Technical background -> Group information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A group name can be freely defined, e.g. testgroup1.

The update cycle in the group is not considered by the OPC Server as the OPC Server has an on-change data connection to the Runtime. Therefore every modification of value will be transmitted to the OPC Server without cyclically requesting the value.

Info Informazioni

OPC clients must create an own group for each zenon project.


Supported OPC Specifications:

Manuale -> OPC server -> Technical background -> Supported OPC Specifications:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

OPC Data Access Servers Version 1.0

OPC Data Access Servers Version 2.0

Supported OPC Interfaces:

Interfaces | supported
IOPCServer | Yes
IOPCBrowseServerAddressSpace | Yes
IOPCServerPublicGroups | No
IPersistFile | Yes
IOPCCommon (from 2.0) | Yes
IOPCSyncIO | No
IOPCItemProperties (from 2.0) | Yes
IConnectionPointContainer (from 2.0) | Yes


Installing the OPC Server

Manuale -> OPC server -> Installing the OPC Server

As a default the control system OPC Server is installed and registered with the control system. If you did not install the OPC Server in a user-defined installation, you have to install it later. With Control Panel – Software the existing installation can be edited.

To use OPC Servers, you still have to install the OPC core components. You can find them on the installation DVD with the additional programs.


Registering the OPC Server

Manuale -> OPC server -> Registering the OPC Server

The OPC Server has to be registered correctly. If you have problems to find the OPC Server from an OPC Client, you have to register it again.

Proceed in the following way:

  1. Open zenon Startup Tool:
  2. Select Tools in the right menu bar
  3. Select zenOPCSrv from the list
  4. Select -Service under Command Line Parameters
  5. Klick Start

Thus the registration of the OPC server is completed.


Licensing the OPC Server

Manuale -> OPC server -> Licensing the OPC Server

The OPC Server only runs, if it is correctly licenced. Otherwise you get the following error message:

Licencing is done with the standard licencing procedure. On ordering the OPC Server you have to state, on which computer the OPC Server should be installed, and the Runtime serial number you use there. From the licencing office you then get a new serial number and a new activation number for that computer. With these the OPC Server is licensed. These numbers have to be entered in the zenon6.ini with the tool licence order (Start – Programs – COPA-DATA – Licence order).


Settings in zenon

Manuale -> OPC server -> Settings in zenon

VBA has to be activated, so that the control system OPC Server can get data from the Runtime. So please check, if the following entries in the zenon6.ini are correctly set:

[VBA]

EVENT=1 Switches on the event mechanism for the VBA - COM interface. Default=0 then the event mechanism is switched off. You must set it to 1 in any case.

attenzione Attenzione

If the event mechanism in the Runtime is deactivated, the OPC Server can access the variables for writing, but the reading access does not work!
The OPC Server then gets no change events from the Runtime. For the connection quality all OPC Clients will display “disturbed”.

No further settings in the control system are necessary.

The OPC Server reads out the running Runtime and offers all variables of all running projects for the connection.

Info Informazioni

As soon as the Runtime is started, you can read out all variables from all projects that are available in the Runtime. This is independent from the fact, if the included projects are standalone, client or server projects.


Browsing of the OPC Server

Manuale -> OPC server -> Browsing of the OPC Server

OPC Clients use two different methods to find and to browse the variable information of the OPC Server. Finding the OPC Servers installed on the PC can be done in two ways.

  • Reading out the Registry
  • Browsing with the additional program OPCEnum.exe

The additional program OPCEnum is not distributed. So it can happen that an OPC Client cannot find the control system OPC Server, because it uses this browsing method. Read the documentation of the OPC Client to find out whether the browsing method can be changed to reading out the registry. (For the Matrikon OPC Explorer you find that under Options.) If this is not the case, you must install the program OPCEnum.

Hint: If you install the freely available Matrikon OPC Simulator Server, OPCEnum is also installed.

Info Informazioni

When browsing the control system OPC Server offers all variables that exist in the running control system Runtime. So you have to make sure, that the control system Runtime is running, before you start browsing the variables.


Starting/stopping the OPC Server

Manuale -> OPC server -> Starting/stopping the OPC Server

The OPC Server is automatically started by the first client that connects to it and it is stopped by the last client that disconnects.


Logging

Manuale -> OPC server -> Logging

For monitoring and evaluating the activities of the <CD_PRODUCTNAM> OPC Server the Diagnose Viewer is used.


Asynchronous read request

Manuale -> OPC server -> Asynchronous read request

The OPC interface IAsyncIO and the OPC interface IAsyncIO2 support multiple asynchronous read requests.


REMOTE access with DCOM

Manuale -> OPC server -> REMOTE access with DCOM

With DCOM technology, it is possible for an OPC client to have read/write access to the zenon OPC Server over the network.

attenzione Attenzione

The OPC server is optimized for local use; use in a network is expressly not recommended!
OPC network communication works using DCOM technology from Microsoft, which has proven itself to be prone to errors and unstable. Particular disconnections, such as unplugging a network cable and very long time-out periods are problematic in industrial applications.

Recommended solution:

  • Using an OPC_UA Servers
    or
  • zenon Runtime is installed and works as a client for the desired program on the computer on which the OPC client is running. zenon OPC Server is started for this client. In this way, zenon OPC Server can be connected to the OPC client.

attenzione Attenzione

Make sure, that always the user of the OPC Client application logs in at the server. In certain cases, this does not have to be the user registered on the client PC.
This is then the case if the application is started with another user. This happens e.g., if the Runtime (with an OPC Client driver, that connects to the remote OPC Server) is started with the Remote Transport. Then the OPC Client runs in the context of the SYSTEM user and in the context of the logged in user.
In any case, you must enter the correct user on the OPC Server PC in Access authorizations!!


Windows Firewall

Since Windows XP SP2 the Windows firewall blocks all incoming connections. So also the connection attempts of the OPC Client to the OPC Server are blocked. So you have to completely deactivate the firewall or to configure it correctly.

As the correct configuration could not be found, when this tutorial was written, we recommend at the moment to deactivate the Windows firewall completely.


General authorization

The user – in whose context the OPC Client runs – must have administrator rights on the server PC, so that the OPC Client can log in at the OPC Server PC and gets the according rights there to start and configure the OPC Server.

Start the Control panel on the OPC Server and open the entry “User accounts”. With 'Add…' add a new user, with which the OPC Client logs in, and configure this user as an administrator. See example 'user' in the screenshot.

Info Informazioni

The best is to use the same Windows user on the OPC Server and on the OPC Client and to add this user to the administrator group.
Attention! It is not sufficient to have local users with the same name on both computers. It has to be the same domain user!


DCOM configuration

You only have to do this on the OPC Server PC. No settings are necessary on the Client PC.


PC wide settings

Start the program DCOMCNFG from the Windows\\System32 directory.

Open the console root and switch to the Component services - Computer - Workspace.

Select the Properties in the context menu of the workspace.

Usually you do not have to make changes in the property pages “General”, “Options”, “Standard protocols” and “MSDTC”.

Open the property page “Standard settings”. Here you have to make sure, that DCOM is activated for this computer. Do not care about the other settings.

The following settings have been tested:

  • Activate COM internet service - not active
  • Standard authentication level - connect
  • Standard identity change level - identify
  • Additional security for allocation logging - not active

On the property page “COM standard security” you will find the settings for the access authorization.

attenzione Attenzione

The limit settings for the access authorizations and the start and activation authorizations are available since Windows XP SP2.

Since this operating system these settings have to be configured necessarily, otherwise the remote access is blocked by the operating system!

The following applies for Windows XP up to SP1: The standard access authorizations and start and activation authorization can stay as they are, as the authorizations are configured application specifically directly in the OPC Server.

The following applies for Windows XP from SP2 onwards: You have to edit the limits of the access authorizations as well as those of the start and activation authorization.


Setting the access authorization

Click on “Edit limits…”. In the dialog you can define the access authorizations. First add the needed users (in our example the Praktikant) and allow the remote access! You also have to allow the remote access for the user “ANONYMOUS-ANMELDUNG” necessarily.

attenzione Attenzione

Never remove the user “ANONYMOUS-ANMELDUNG” resp. prohibit the local access.
With this you would prevent any COM data traffic on your PC!

Info Informazioni

Never remove the user “ANONYMOUS-ANMELDUNG” resp. prohibit the local access.
With this you would prevent any COM data traffic on your PC! You now have to configure the user “ANONYMOUS-ANMELDUNG” correctly For all other settings the user with which the OPC Client logs in is sufficient.


Setting the start authorization

Similar to the access authorization you have to add the OPC Client user/s and allow all authorizations.


Application specific settings

The security specific settings should be configured directly in the application and not in the standard settings of the workstation.

Start the program DCOMCNFG from the Windows\\System32 directory.

Open the console root and switch to the Component services – Computer – Workspace – DCOM – Configuration. It may occur, that not correctly registered programs are listed. Confirm the message boxes with “Yes”. So the programs are added to the registry.

Search the OPC Server from the list and click on the OPC Server with the right mouse button. Select the properties in the context menu.

Info Informazioni

The OPC Server is independent of the zenon version. So the name of the OPC Server can differ from the version number of your control system installation. Usually you will see the name OPC Server for Version 5.21. Don’t get confused, it has no influence on the functionality. Important is the unique application ID (AppID). It has to be correct. The AppID of the OPC server is: {CA2AF1F9-C031-42B7-8BF3-6C6041B23EAC}
Check if the path leads to the correct OPC Server. You will find the path of the the registered OPC Server under Local path.

You have to do the following settings in this dialog:

On the property page General: Authentification level: connect

On the property page Execution place: Execute application on this computer

On the property page Security:

Start and activation authorization | Select adjust. With a click on “Edit…” you open the authorization dialog. Add the necessary users and activate all authorizations.
Access authorization | Select adjust. With a click on “Edit…” you open the authorization dialog. Add the necessary users and activate all access authorizations.
Configuration authorization | Select adjust. With a click on “Edit…” you open the authorization dialog. Add the necessary users and activate the configuration authorizations for full access and reading.

On the property page End points: Click on “Add...” and add connection oriented TCP/IP with the standard points.

On the property page Identity: Select “Interactive user”


Remote browsing the OPC Server

As already described in Browsing the OPC Server there are two methods, how an OPC Client can find and browse an OPC Server. Also for remote browsing the OPC Client can use both methods.


Browsing with Registry entry

The OPC Client has to support browsing per Registry and has to be configured accordingly. Additionally the access to the Registry of the remote server has to be possible.


Browsing with OPC Enum

The program OPCEnum.exe has to be installed on the OPC Server PC (it is not shipped). The OPC Enum program has to be correctly configured in the DCOM configuration like the OPC server. Grant access authorization for the remote OPC client. Configure the settings similar to the settings for the OPC Server). Otherwise the OPC Client cannot establish a DCOM connection to the OPC Enum program and thus browsing does not work.


Process Gateway

Manuale -> Process Gateway

The Process Gateway serves as a coupling to higher-level systems. Parts of the zenon process image of other applications can be made available and be updated.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.


General

Manuale -> Process Gateway -> General

It is thought as an add-on to the Runtime of the control system and only works in combination with it.


Requirements

Manuale -> Process Gateway -> Requirements

Runtime:On the computer, where the Process Gateway should run, the Runtime with the according release version and a loaded project according to the configuration has to be started before the add-on. When the Runtime is closed, the add-on is also terminated automatically.

Info Informazioni

The Process Gateway uses the COM interface to access zenon data. The COM interface is used by VBA and is only available if zenon6.ini is present in the file under under [VBA] the entry EIN=1.

Modules:There are different modules for the Process Gateway, that take over the communication to external applications. At the moment these modules are:

File | Connection to
AccessDEC.dll | Hundamp;S-DEC-System
AccessMODBUS.dll | Modbus master
AccessSQL.dll | SQL databases
AccessDNP3.dll | DNP3 master
AccessIEC870Sl.dll | IEC 60870 master
AccessSNMP.dll | SNMP client
AccessOPCUA.dll | OPC UA client

attenzione Attenzione

If the Modbus Slave driver is used, the Process Gateway only supports:

  • Function Code 3: Read Multiple Registers
  • Function Code 16: Write Multiple Registers


Installation

Manuale -> Process Gateway -> Installation

The add-on only consists of the zenProcGateway.exe file. It is preferable to copy this to the zenon installation folder. However it is possible to have any folder as the installation folder. The module to be used with the zenProcGateway has to be in the same folder as zenProcGateway.exe. Exception: SNMP
The configuration file zenProcGateway.ini is saved in the system folder. In this file, an entry DLL in the section [GENERAL] has to be set to the name of the module.

Module | Entry in zenProcGateway.ini
DEC | [GENERAL] DLL=AccessDEC.dll
SQL | [GENERAL] DLL=AccessDEC.dll
MODBUS | [GENERAL] DLL=AccessMODBUS.dll
DNP3 | [GENERAL] DLL=AccessDNP3.dll
IEC870Sl | [GENERAL] DLL=AccessIEC870Sl.dll
SNMP: | [GENERAL] DLL=AccessSNMP.dll
OPCUA | [GENERAL] DLL=AccessOPCUA.dll

If you want to use a configuration file with a different name (e.g. for operation with multiple instances), you have to start the zenProcGateway.EXE with the command line parameter /ini:<file> . That file must be in the system folder, too.

Esempio Esempio

zenProcGateway.EXE /ini:MyConfig.INI

If the gateway is started without a valid configuration file or if this file does not contain an entry about the communication module, you will be offered a selection list with all available communication modules after the start.


Configuration Process Gateway

Manuale -> Process Gateway -> Configuration Process Gateway


Project configuration

Manuale -> Process Gateway -> Configuration Process Gateway -> Project configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If no special project name is defined in the configuration file (zenProcGateway.ini), all specifications refer to the first project loaded by the Runtime (integration project). Any project in the hierarchy of a multi project system can be accessed by setting the entry PROJECT in the section [GENERAL] of the configuration file (zenProcGateway.ini) to the corresponding project name.


Module configuration

Manuale -> Process Gateway -> Configuration Process Gateway -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The configuration of a single module depends on the type of this module. With the configuration button the configuration dialog of the module is opened.


Security configuration

Manuale -> Process Gateway -> Configuration Process Gateway -> Security configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Process Gateway can be executed hidden to protect it from unauthorized access. If the Process Gateway is started in the command line with the parameter /hide (or -hide), it starts invisible and cannot be configured or stopped. The Process Gateway closes automatically when zenon is closed.


DEC

Manuale -> Process Gateway -> DEC


Module configuration

Manuale -> Process Gateway -> DEC -> Module configuration

After clicking the configuration button the following dialog opens:

Here the variables that should be connected can be selected. In the list on the left-hand side all variables which are available in zenon are displayed. There they can be selected and moved to the DEC export list with the button >. With the button '<' they can be removed again. If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to the DEC variable opens:

The assignment is defined with a four digit press number and the four digit parameter name. Entered characters are automatically changed to upper case. The variables selected in this way then are continuously synchronized in zenon or in the connected DEC system.

In the lower part of the configuration dialog the TCP/IP connection to the DEC system can be configured.

The port number indicates the port where the Process Gateway waits for incoming connections.

The timeout is the time without response, after that the connection is closed.


Logging

Manuale -> Process Gateway -> DEC -> Logging

All telegrams received by the DEC system and the responds from the Process Gateway can be logged.

To do this an entry LOGFILE in the section [DEC] of the configuration file with the name of the log file has to exist. This file then is created in the same directory as zenProcGateway.exe.

Example for this entry:
[DEC]
LOGFILE=zenProcGateway.log


Configuration file: specific entries for AccessDEC

The configuration file must be in the system folder.

Parameters | Description
[DEC] |
LOGFILE | Name of the log file (if desired, e.g. zenProcGateway.log)
PORT | port number, where the Process Gateway waits for connection attempts
TCPTIMEOUT | timeout interval, after which the connection is closed
REFRESHRATE | time interval in milliseconds, in which the process image of zenon is checked on changes.


DNP3 Slave

Manuale -> Process Gateway -> DNP3 Slave


Module configuration

Manuale -> Process Gateway -> DNP3 Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After clicking the configuration button the following dialog opens:

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the DNP3 export list with the button >. You can remove them from the export list with the button <.

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens:

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

In the lower part of the configuration dialog the serial or TCP/IP connection for the DNP3 slave can be configured.

The following settings are available for the configuration of the serial interface:

Parameters | Description
COM | the serial interface for the access to the DNP3 slave
Data bit | number of data bits (default: 8)
Stop bit | number of stop bits (default: 1)
Baud rate | baud rate of the serial interface (default: 9600)
Parity | parity setting even/odd/no (default: no)

For the configuration via TCP/IP only the listener-port can be defined; it should be 20000.

For the DNP3 session the local (slave’s) session link address and the remote (master’s) session link address must be configured. Only one active session is supported. It does not matter if serial or TCP/IP is used.


Logging

Manuale -> Process Gateway -> DNP3 Slave -> Logging

All diagnostic information of the DNP3 layer can be logged in a text file.

To enable this an entry LOGFILE in the section [DNP3] of the configuration file with the name of the log file has to exist. This file then is created in the same directory as zenProcGateway.exe.

Example for this entry:
[DNP3]
LOGFILE=zenProcGateway.log


Configuration file: specific entries for Access DNP3

Manuale -> Process Gateway -> DNP3 Slave -> Configuration file: specific entries for Access DNP3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[DNP3] |
SERIAL | serial communication (1) or communication via TCP/IP (0)
COMPORT | serial interface (COM1 = 0, COM2 = 1,...)
BAUD | baud rate of the serial interface
BYTESIZE | number of data bits of the serial interface
PARITY | Parity settings of the serial interface (0=no, 1=odd, 2=even)
STOPBITS | number of stop bits of the serial interface (0=1, 1=1.5, 2=2)
LINKADDRLOC | local session link address
LINKADDRREM | remote session link address
PORT | TCP/IP port

[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0<=n<COUNT)
OBJECT_n | DNP3 object type of variable number n (0<=n<COUNT)
POINT_n | DNP3 point number of variable number n (0<=n<COUNT)


LATCH_ON and LATCH_OFF

Manuale -> Process Gateway -> DNP3 Slave -> LATCH_ON and LATCH_OFF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Command Control Code from the PLC is written to USINT variables as an 8-bit value via Process Gateway. The following applies for transfer to zenon variables:

Destination variable of the command | Result
BOOL: | Set value LATCH_ON: 1 Set value LATCH_OFF: 0
USINT: | Set value corresponds to control code.
all other variables: | Command failed.


Device Profile

Manuale -> Process Gateway -> DNP3 Slave -> Device Profile

The template for the Device Profile is installed together with the DNP3 Process Gateway by the setup. You can find the file DNP3_ProcessGateway.xml in the following folder:

  • 32 bit systems: %ProgramFiles%\COPA-DATA\zenon [Version]\Templates\Dnp3\ProcessGateway\
  • 64 bit systems: %ProgramFiles(x86)%\COPA-DATA\zenon [Version]\Templates\Dnp3\ProcessGateway\


IEC870 Slave

Manuale -> Process Gateway -> IEC870 Slave

Language

The driver and its dialogs for configuration are only available in English.

Design

PLCs addressed with the IEC870SI driver, are divided into sectors. These sectors contain IOs (information objects) representing the actual variables. IOs refer to a variable of the process control system.

You can configure several PLCs with the IEC870SI driver. According to the used protocol, they are associated directly to a Master or polled by a Master.

Identification and addressing

  • 870-101: The PLC is identified by a link address.
  • 870-104: The PLC is identified by the IP address of the Master.
  • Sector: Addressed by COA.
  • IO: Addressed by type identification and IOA.

In the following chapters, you will read how to configure the IEC870SI driver, how communication takes place and you will read about compatibility issues.

Info Informazioni

For variables that are configured in the IEC870 Process Gateway as command variables, each command is logged as Send value via the COM interface in the CEL if the Settaggio dati tramite VBA property is active (Salvataggio in CEL group).

Interno ID: IEC870 Slave

Salvataggio in CEL

Proprietà di archiviazione nella Lista Cronologica Eventi (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: IEC870 Slave

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: Attiva

Indicazione: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Module configuration

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Please note:

There are many settings you can change in the IEC870SI driver All lists in the configuration window can be sorted. To change the sorting sequence, simply click on the column title.

Configuration:

The settings for protocols 101 and 104 differ.

In the main window, you can choose the protocol you want to use and define general settings:

  • 'Protocol 870-101' unlocks the settings for protocol 101 and locks all other input fields.
  • 'Protocol 870-104' unlocks the settings for protocol 104 and locks all other input fields.

You can define all specific device settings under 'Device' and 'Sector'.


870-101

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> 870-101

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Settings in the main window for IEC870-101:

Name

Function

Protocol

870-101

activates protocol 101, unlocks all input fields for 101 and locks settings for 104.

Configuration file

Name of the configuration file. This is where all active settings are stored and also loaded from. The name you enter must be a valid file name. Otherwise, no data can be stored. In this case, you will get an error message.

Only enter the file name without path. You do not have to add the file extension XML, as it will be added automatically during saving. The current INI directory will be used as path.

The file name will automatically be entered in the INI file of the process gateway as configuration.
You can find the INI file in the system folder of the process control system. It is called 'SCADAProcGateway.ini' - SCADA is the placeholder for the name of the process control system.

Import

Loads configuration data from an XML configuration file. The current settings are replaced by the ones stored in the file. The current setting for the 'configuration file' remains the same.

Export

Stores the current settings in a file.

Attention: Device that still have the default ID '????' (defined during creation) will not be exported. To export them, you must first configure the device in the configuration window "Device".

Link address size

101

Length of the “Link address size” data field according to FT1.2 Frame.
Valid input: 1 or 2 octet
This setting must be the same as that of the master.

COM port

101

Number of the serial interface.
Interfaces available: 1 to 64

Baud

101

Interface speed.
The character format complies with TF 1.2 (870-5-1 6.2.4.2.1 R6) 8e1.
RTS is active when data is sent.
Slowest baud rate: 110, fastest 256000

Devices

List of configured devices.

101 master polling timeout [s]

Shows the time in seconds in which the master must execute a query to the slave. If there is no query within this time, the connection is ended.

If you enter 0, you deactivate monitoring.

Add

Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.

Delete

Deletes the selected device. If no device was selected, this button is locked.

OK

Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in 'Configuration file').
Attention: After clicking on 'OK', all active Master connections will be closed and restarted with the new settings. There may be communication errors during that.

Cancel

Discards all changed settings. Nothing is stored.

Help

Opens the help window (like the F1 button). If the help file does not exist on your system, please contact the COPA-DATA support team via support@copadata.com


870-104

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> 870-104

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Settings in the main window for IEC870-104:

Name

Function

Protocol 870-104

activates protocol 104, unlocks all input fields for 104 and locks settings for 101.

Configuration file

Name of the configuration file. This is where all active settings are stored and also loaded from. The name you enter must be a valid file name. Otherwise, no data can be stored. In this case, you will get an error message.

Only enter the file name without path. You do not have to add the file extension XML, as it will be added automatically during saving. The current INI directory will be used as path.

The file name will automatically be entered in the INI file of the process gateway as configuration.
You can find the INI file in the system folder of the process control system. It is called 'SCADAProcGateway.ini' - SCADA is the placeholder for the name of the process control system.

Import

Loads configuration data from an XML configuration file. The current settings are replaced by the ones stored in the file. The current setting for the 'configuration file' remains the same.

Export

Stores the current settings in a file.

Attention: Device that still have the default ID '????' (defined during creation) will not be exported. To export them, you must first configure the PLC in the configuration window "Sector".

Port

TCP port to which the Masters connect. Defined by the norm as 2404.
Our drivers allow you to have several instances of the Process Gateway running at the same time. That is why you can change this port:
Allowed port numbers: 1200 to 65535

Devices

List of configured devices.

Add

Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.

Delete

Deletes the selected device. If no device was selected, this button is locked.

OK

Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in 'Configuration file').
Attention: After clicking on 'OK', all active Master connections will be closed and restarted with the new settings. There may be communication errors during that.

Cancel

Discards all changed settings. Nothing is stored.

Help

Opens the help window (like the F1 button). If the help file does not exist on your system, please contact the COPA-DATA support team via support@copadata.com


Device

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Device

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the part of the main window called 'Device' you can define the settings of the device.

Entry

Protocol

Function

Name

101
104

Name of the device for easy identification

IP address

104

IP address of the Master. This allows to identify the device that the Master communicates with. All IP addresses except 255.255.255.255 are allowed.

Note: The current value is lost if the protocol is changed.

Link address

101

Link address Via the link address contained in the TF 1.2 frame, the master specifies the device that the command is intended for. With link addresses, a Master can communicate with multiple devices. The allowed range of the address depends on the setting 'links address size' in the main settings.
Link address size = 1 allows a range of 0 to 254
Link address size = 2 allows a range of 0 to 65534

Note: The current value is lost if the protocol is changed.

COA size

101

Defines the length of the COA (common object address). You can only change the COA size for 101. For 104, the value is automatically set to 2, in accordance with the standard.
Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets

COT size

101

Defines the length of the COT (cause of transmission). You can only change the COT size for 101. For 104, the value is fixed as 2, in accordance with the standard.

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets

IOA size

101

Defines the length of the IOA (information object address). You can only change the IOA size for 101. For 104, the value is fixed as 3, in accordance with the standard.

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • 3 octets

Commands active

101
104

This options allows you to activate write access. Process information in control direction are executed. If this options is deactivated, an entry in the error protocol is created.

This setting can be individualized by means of a variable in zenon (IOA 2).

Max APDU size

104

Maximum length of APDU data as defined in the standard 870-5-104 5.
Valid: between 25 and 253.

Max. user data

101

Maximum length of user data as defined in TF1.2 870-5-2 3.2 .
Valid: between (19 + LAF size + COA size + COT size + IOA size) and (255).

Short pulse length

101
104

Defines the size of the pulse for the Qualifier of Command with the value 'short pulse duration' (QOC = 1) in milliseconds.
Possible values: 0 to 4294967295
In the debug mode, there will also be a pulse for values greater than/equal to 10000, even with QOC = 0. This allows you to test the pulse generation with our IEC870 drivers.

Long pulse length

101
104

Defines the size of the pulse for the Qualifier of Command with the value 'long pulse duration' (QOC = 2) in milliseconds.
Possible values: 0 to 4294967295.

File transfer directory

101
104

Defines the directory for transfer of files and directories.


Sector

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Sector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The window 'Sector' lists all sectors defined in the device. If you select a sector, its Information Objects (IOs) will be displayed.

Settings sector | Function
Add | Activates the dialog for creating a new sector. By pressing OK, you end the dialog and create a new sector.
Edit | Activates the dialog for editing the selected sector. You can also launch the editor by double-clicking on the sector in the list. This button is inactive if no sector was selected.
Delete | Deletes the selected sector. This button is inactive if no sector was selected.
Settings IO | Function
Add | Activates the dialog for creating new IOs. By pressing 'OK', you end the dialog and create a new IO. This button is inactive if no sector was selected.
Edit | Activates the dialog for editing the selected IO. You can also launch the editor by double-clicking on the IO in the list. This button is inactive if no IO was selected.
Delete | Deletes the selected IO. This button is inactive if no IO was selected.

Editing sectors

Setting

Function

Name

Any name. For easy identification of a sector.

COA

The COMMON ADDRESS OF ASDUs (IEC 60870-5-101 7.2.4) by which the sector is addressed.
This number must be unique on the device side (1..254).

Time for Background scan [min]

Supports the requirements of IEC 60870 Norm Chapter 7.4.13 "Background Scan". The values are sent with COT = 2. Cycle time is stated in minutes.

Values are transferred cyclically in the time grid set up for all IOs with the "Background Scan" option activated.

Values are only transferred cyclically if no spontaneous value is transferred within the time set.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Time for periodic transfer [s]

Support of cyclical data transfer corresponding to the norm (IEC 60870-5-5 6.3). The values are sent with COT = 1. Cycle time is stated in seconds.

Values are transferred cyclically for all IOs with the "Periodic data transfer" option activated. IOs are transferred cyclically and not spontaneously.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Transmission of integrated totals

Selection of the transfer mode (see IEC 60870-5-101 7.4.8) for the integrated totals - the IOs of type:

  • 15 (M_IT_NA_1)
  • 16 (M_IT_NA_1)
  • 37 (M_IT_NA_1)

No reset is supported. An FRZ with a reset triggers a warning.

For modes A to D, IOs are requested immediately after connecting to the master of zenon/zenon Logic. Value changes to integrated totals IOs are administered in their own buffer. This can buffer the larger value of (IT IO number) * 4, or 2048 value changes.

With general interrogation

Integrated Totals are also transferred during a general interrogation (C_IC_NA_1).

Mode A: Local freeze with spontaneous transmission

Integrated Totals are transferred when a value is changed.

Mode B: Local freeze with counter interrogation

Integrated Totals are only transferred with a counter interrogation command (C_CI_NA_1). To do this, a maximum of 5 seconds is waited after the interrogation is activated until all ITs have been supplied with values. ITs without a value are transferred with an invalid qualifier. The value changes are buffered until the interrogation is completed (freeze active). All ITs thus transfer the value of the point in time, when the last IT was supplied with a value.

Mode C: freeze and transmit by counter interrogation Transmission of integrated totals commands

As with mode B.

Mode D: freeze by counter interrogation command, frozen values spontaneous

Transfer as with mode C, mode A is activated after conclusion of the interrogation.

OK

By pressing the button OK, you can check whether the COA is available in the device. If it is already in use you will receive an error message. If it is available, the setting is accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Opens the help window (like the F1 button). If you cannot display the help file, please contact <CD_MAMLSUPPORT>

Transmission of integrated totals:

XML fields

Parameters | Description
Version | The CNT_MODE field is expected from version 3 onwards.
CNT_MODE | Configured mode of integrated totals IOs.

Configured mode

Parameters | Description
0 | With general interrogation. (Default)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Error codes

Code | Description
13 | Advise for integrated totals fail.
14 | Queue overrun. Integrated totals values lost.
572 | Counter interrogation. Unsupported QCC.
573 | Counter interrogation. Unexpected IOA.
574 | Counter interrogation. Unsupported COT.
575 | Buffer for integrated totals interrogation data to small.

Warnings

Code | Description
1011 | QCC FRZ is only partly supported.
1012 | Counter interrogation already active.

Error messages

Message | Description
Unsupported qualifier of counter interrogation. <command> | Unknown QCC. RQT is only supported with 5.
Counter interrogation processed without reset. < command> | Warning. Reset is not supported.
Cannot advise IT data point. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> adv:0x<Advise ID> | Data points for integrated totals could not be requested.
IT Values lost, queue full! Device:(<device>)<device> Sector:(<COA>)<Sector name> <Value change> | The buffer for the value changes of IT IOs is full. The value change is lost.


Settings for information objects

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Sector -> Settings for information objects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Settings for information objects

Setting

Function

Information object address

Defines the address under which the IO is addressed (IEC 60870-5-101 7.2.5). In combination with the type ID (Type identifications), it must be unique for each sector.

Type identification

Contains the supported Type identifications (IEC 60870-5-101 7.2.1).

This setting is also called type ID.

It also determines the variables of the process control system that can be associated to the IO based on their data type.

SCADA variable

Defines the variable from the process control system associated with the IO.
Syntax: <Project name>#<variable name> define the project connection.
Variables without project reference are looked for in the default project.
While entering, the system checks if the specified variable exists in the according project and if it has a data type compatible with the type identification.
The Button '...' opens the dialog for variable selection. Read more about this in the section 'Variable selection'.
(Scada stands for the name of the process control system.)

Data transfer

Determines the type of data transfer for IOs

Spontaneous

IO data transfer is spontaneous.

Spontaneous - values will be queued when master is offline

The data is buffered until it can be read by the master again. All buffered data is sent with the status COT_spont (3). The last buffered value is sent with the status COT_inrogen (20) again.

Buffering can be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

The setting is not available for any other type ID.

Background scan

IOs are transferred as a background scan in accordance with the IEC 60870 norm. A data point that does not receive a new spontaneous value within the set background scan time is automatically sent by the gateway after the time has expired. Values are only transferred if no spontaneous value has yet been transferred within the time set.

The setting is inactive if the background scan is locked at the sector (Time=0) or if the type ID used does not support the background scan.

The type IDs =1,3,5,7,9,11,13 support a background scan:

M_SP_NA_1, M_DP_NA_1, M_ST_NA_1, M_BO_NA_1, M_ME_NA_1, M_ME_NB_1, M_ME_NC_1

The setting is not available for any other type ID.

Periodic data transfer

Periodic data transfer in accordance with IEC 60870-5-5-6.3 norm.

IOs are transferred cyclically and not spontaneously.

The setting is inactive if periodic data transfer is locked for the sector (Time=0) or if the type ID used does not support periodic data transfer.

The type ID =9,11,13 supports periodic transfer:

M_ME_NA_1, M_ME_NB_1, M_ME_NC_1

The setting is not available for any other type ID.

Off

Changes in value are not transferred. No value is sent for the IO during a general interrogation (GI).

Sequence of Events

These settings define the IO-specific behavior for SOE. The SOE transfer (see IEC norm 60870-5-101 7.4.11.3.1) can also be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Inactive

Data point is not used for SOE description.

Is automatically used for all type IDs that do not support SOE.

All events

Each value or status change triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising Edge

If the value changes from 0 to <>, this instigates a write in the opened file.

The setting is blocked if the type ID if not planned for the SOE function.

Falling Edge

If the value changes from <> to 0, this instigates a write in the opened file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising + Falling Edge

A change of value from 0 to <> 0 or from <> 0 to 0 triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

File trigger

If a value is to be written due to the settings previously described, a new file is created and opened for the activated file, provided this has not yet been opened. The triggering itself is also written in the SOE file.

The setting is blocked if the type ID if not planned for the SOE function.

OK

Your settings are verified after pressing the button "OK". If they are valid, they are accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Opens the help window (like the F1 button). If you cannot display the help file, please contact support@copadata.com

Info Informazioni

The communication for Spontaneous data transfer, Background scan and Periodic data transfer starts once the first general request has been received (C_IC_NA_1). For background scan and periodic data transfer, the start of the transfer cycle is calculated per IO from the time of the answer to the general query.

Data point selection

This dialog lists all available projects and their variables.

Projects

An asterisk (*) marks the default project.

Variables

The list of variables is filtered. You only see the variables that can be used with the 'type identification' selected for the IO. Selecting a project updates the list of variables.

OK

Assumes the selected variable. Alternatively, the variable can be assumed by double clicking. When loading, the currently configured project and the variable will be selected.

The same variable can be used several times:
for several IOs in the same sector or other sectors,
for the same device or another one.

If the dialog remains open and there is a reload in the Runtime, all lists will be emptied and refilled after the reload is finished.

Cancel

Discards all entries and closes the dialog.

Help

Opens the help window (like the F1 button). If you cannot display the help file, please contact support@copadata.com


Mapping of the data types

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Sector -> Mapping of the data types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon data types are compared to the data types in the Process Gateway.

Process Gateway |  | zenon
IEC 60870-5-101 ASDU | Type identification | Data type | Comment
M_SP_NA_1 | 1 | BOOL |
M_SP_TA_1 | 2 | BOOL |
M_SP_TB_1 | 30 | BOOL |
M_DP_NA_1 | 3 | USINT |
M_DP_TA_1 | 4 | USINT |
M_DP_TB_1 | 31 | USINT |
M_ST_NA_1 | 5 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TA_1 | 6 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TB_1 | 32 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_BO_NA_1 | 7 | UDINT |
M_BO_TA_1 | 8 | UDINT |
M_BO_TB_1 | 33 | UDINT |
M_ME_NA_1 | 9 | REAL |
M_ME_TA_1 | 10 | REAL |
M_ME_TD_1 | 34 | REAL |
M_ME_NB_1 | 11 | INT |
M_ME_TB_1 | 12 | INT |
M_ME_TE_1 | 35 | INT |
M_ME_NC_1 | 13 | REAL |
M_ME_TC_1 | 14 | REAL |
M_ME_TF_1 | 36 | REAL |
M_IT_NA_1 | 15 | DINT |
M_IT_TA_1 | 16 | DINT |
M_IT_TB_1 | 37 | DINT |
M_EI_NA_1 | 70 | USINT | A value change from 126 to 127 causes End of initialization to be sent to the master
C_SC_NA_1 | 45 | BOOL | mirrors the command direction during execution
C_SC_TA_1 | 58 | BOOL | mirrors the command direction during execution
C_DC_NA_1 | 46 | USINT | mirrors the command direction during execution
C_DC_TA_1 | 59 | USINT | mirrors the command direction during execution
C_RC_NA_1 | 47 | USINT | mirrors the command direction during execution
C_RC_TA_1 | 60 | USINT | mirrors the command direction during execution
C_SE_NA_1 | 48 | REAL | mirrors the command direction during execution
C_SE_TA_1 | 61 | REAL | mirrors the command direction during execution
C_SE_NB_1 | 49 | INT | mirrors the command direction during execution
C_SE_TB_1 | 62 | INT | mirrors the command direction during execution
C_SE_NC_1 | 50 | REAL | mirrors the command direction during execution
C_SE_TC_1 | 63 | REAL | mirrors the command direction during execution
C_BO_NA_1 | 51 | UDINT | mirrors the command direction during execution
C_BO_TA_1 | 64 | UDINT | mirrors the command direction during execution
C_RD_NA_1 | 102 | - | Is executed automatically and the execution is not reflected in zenon
C_CS_NA_1 | 103 | BOOL | The enable variable of the time synchronization
C_RP_NA_1 | 105 | USINT | QRP during execution
F_DR_TA_1 | 126 | USINT | For spontaneous directory transfer


104 settings

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> 104 settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Set the timeout times and APDUs in the 104 tab.

The following settings are available.

Parameters | Description
104 time outs. [ms] 0 disable the timeout |
T0 time-out of connection establishment | Timeout for establishing connection. Value range 0 - 4294967295 Default value: 30000
T1 time-out of send or test APDUs | Time-out for frame confirmation by the master. Value range: 0 - 4294967295 Default value: 15000
T2 time-out for ack. in case of no data msg. | Time-out, within which the master should confirm if no data is exchanged. Value range: 0 - 4294967295 Default value: 10000
T3 time-out for sending test frames | Time after which a U-frame is sent to the master if no data is to be transferred. Value range: 0 - 4294967295 Default value: 20000
APDUs |
k max. diff. receive seq. no. to send state | Number of maximum I-frames not yet confirmed by the master. Value range: 0 - 4294967295 Default value: 12
w latest ack. after rec. w I format APDUs | Number of I-frames received after a confirmation is sent. Value range: 0 - 4294967295 Default value: 8
Set to default | Reverts the settings to their default values.


XML-File

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> XML-File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The configuration of the IEC870SI is stored in an XML file. You can import and export different configurations with the buttons 'Export' and 'Import' in the main window.

The active configuration is stored in the INI file, for example:
[IEC 870]
SETTINGS=IEC870SLAVE.XML

You can choose any name. The path is the same as in the INI file.

Structure of the XML file

The names of most fields intuitively indicate their meaning. The settings correspond to those that are permitted in the dialog.

The values and structure of the XML file are verified when the file is read. Erroneous entries trigger an error message that is also logged.

attenzione Attenzione

XML entries are case sensitive. Pay attention to use correct upper and lower cases.

Name | Property
process_gateway_IEC870Slave | The root node must have this name. Otherwise, the reading process will stop with an error.
VERSION | Contains the current version of attributes and nodes.
Device_x | Nodes for the device configuration. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. A device is created for every node.
LinkAdr | In protocol 101, the 'link address' is set here. It must be unique for all devices. For protocol 104, this entry has no meaning.
IpAdr | In protocol 104, the IP address of the Master is entered here. It must be unique for all devices. For protocol 101, this entry has no meaning.
Sector_x | Number of nodes per configured sector. X is replaced by the COA. This way of naming nodes is not obligatory. A sector is created for every node.
IO_x | Number of nodes per information object. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. An IO is created for every node.
ScadaVar | When the document is loaded, the existence of the specified variable in the project is verified. Variables without project reference are looked for in the default project. [ScadaProjectName#]ScadaVariableName. (Scada stands for the name of the process control system.)
TypeId | Type identification. When the document is loaded, the system will check if the type ID with the specified variable data type is possible.
COA | Common object address. Must be unique for every device per sector.
IOA | Information object address. In combination with the type ID, it must be unique per sector.
Is101active | With the value '1', the protocol 101 is activated, otherwise 104 will be active.
BSTime | Time for background scan Unit: ms. 0 deactivates the background scan. Default: 0
CYTime | time for cyclical data transfer Unit: ms. 0 deactivates the cyclical transfer. Default: 0 Available in version 2 and above
KindOfTransfer | States the type of data transfer. 0 Spontaneous. Is also the default value. 1 Backscan 2 Cyclical 3 Off 4 Spontaneous transfer with buffering Default: 0 Available in version 3 and above
DeActDPIStd | DPI /DCS compliant (IEC60870 compliant) data transfer or internal control system format
Version | 6: describes an XML file with the following fields for SOE support
EnableSOE | 0 = inactive 1 = SOE active
MaxBufferedFilesSOE | Maximum number of buffered SOE files.
AutodeleteFilesSOE | 0 = no Autodelete 1 = Autodelete if maximum file number reached
MaxEventsPerFileSOE | Maximum number of ASDUs per file
PostTrgToSOE | Post trigger timeout in [ms]
FileToSOE | File timeout in [ms]
Information Object setting for SOE support | Additional settings that must be made for SOE support at Information Object.
Version | 4: describes an XML file with the following fields for SOE support
KindOfTransfer | Defines when an update triggers a transfer. 0 Spontaneous 1 Background scan 2 Periodic 3 No transfer
TrgSOE | 0 = inactive 1 = IO acts as trigger
EvDetectionSOE | determines when a change to an IO value or status can trigger a write in the SOE file. 0 SOE deactivated 1 All changes 2 Raising edges 3 Falling edges 4 Raising and falling edges

Example configuration for protocol 101:

Example configuration for protocol 104:


Communication

Manuale -> Process Gateway -> IEC870 Slave -> Communication

This chapter explains details on the communication in the Process Gateway:

  • Startup
  • General interrogation
  • Reset
  • Value changes
  • Priority
  • Read
  • Process Initialized
  • File transfer
    • Storage and naming of files for transfer
    • Spontaneous directory transfer
  • Sequence of Events (SOE)
    • Warnings
    • Error messages
  • Time synchronization
  • DPI / DCS mapping
  • Select before operate
  • Qualifier of command
  • Invalid Bit Handling
  • Normalized Values
  • Monitoring command
  • Internal type T00
  • Pulse generation
  • Reload
  • Broadcasts
  • Realtime invalid - Statusbit T_INVAL


Startup

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When the process gateway is started, it loads the configured driver.

The driver then tries to read out its active configuration from the file entered in the INI file. If this is not possible, you will receive an error message and the configuration dialog will be opened for you.

If you do not quit the configuration dialog with OK, the application will quit.

attenzione Attenzione

If the application is launched as invisible, there will be no configuration dialog. The Process Gateway will automatically quit if its configuration is invalid or missing.


General interrogation

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> General interrogation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The general request causes the driver to connect to the Runtime. It is required for communication via spontaneous data transfer, background scan or periodic data transfer. The connection will be established in sectors.

If the connection cannot be established, there will be a negative response to the general request. If there is an active general request for the sector, it will be terminated and a warning message will be logged.

Value changes for IOs that have already sent their values to the master will be buffered as long as the general request is active.

During a project reload, it is not possible to connect to the RT. The general request will fail in this case.


Reset

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Reset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Master must be able to recognize a communication interrupt, so he can react with a new general request. This is why no process commands will be executed until the Master has caused a reset.

Every time there is a chance of data loss (value changes were lost), a reset will be triggered.

101
All commands will be rejected until the function code for reset (0) has been received. The code causes a reset in the link layer and the application layer.

104
When the connection is interrupted, the Master immediately reacts and restarts the initialization process. The reset will be caused if a Master connects.

Reset process command
By creating an IO of type C_RP_NA_1 with IOA 0, you can enable the control system to recognize received commands.
The value of the variable is set to '0' and then to the value of QRP.


Value change

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Value change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The driver receives all value changes of the requested variables..

As this may cause the list of process information not yet transferred to the master to become very large, the list of buffered value changes has a limited size.

Limit: At least: 2048 values or 4 x number of IOs per sector.

If the list exceeds this limit, the Master connection will be terminated. This way, the master is requested to obtain the next connection with a general request and obtain current value changes.

Value changes can be logged.


Priority

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The driver supports class1 and class2 files.

The whole file transfer is treated as class 2. This makes sure that value changes will be transferred to the Master even during a file transfer.


Read

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Read

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A maximum of 2048 read requests can be active at the same time. If this limit is reached, any further request will be rejected.

A read request is executed for every IO with the requested IOA.
There can also be several active requests for the same IO.
Read requests will be processed even if the general request is not finished yet.


Process initialized

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Process initialized

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

You can cause the process control system to send the command M_EI_NA_1 (end of initialization) to the Master. For that,

  • create an IO of type M_EI_NA_1 (T70) with IOA '0'.

The command will be sent if the current value of the variable is 126 and changes to 127. For the COI (cause of initialization), 2 (remote reset) is used.


File transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following applies for file transfer:

  • The values 1-4 are supported in the AFQ UI4
  • The values 0-6 are supported in the SCQ UI4;
    0 and 1 are both 'select file'

If a new transfer is started while another one is still active, the currently active transfer will be interrupted and the new one will be started.


Storage and naming

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Storage and naming

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Use the following scheme for storage and naming:

<Configured folder>\<COA>\<IOA>.<NOF>

Only 1 = 'transparent file' is supported as NOF (Name of file).
The maximum size of files for transfer is 16.711.680 Bytes.

Example

Folder in the module configuration: C:\TEMP\IEC870

File 1100.1: For IO of sector COA=151 and IOA 1100

Save location: C:\TEMP\IEC870\151\1100.1


Spontaneous directory transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Spontaneous directory transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Spontaneous transfer of files in the folder for file transfer can be triggered by the process control system. To do this:

  • create an IO of type F_DR_NA_1 (T126) with IOA '0'.
Value | Meaning
Change from 1 to 2 | Starting transfer
3 | Transfer active
4 | Transfer finished
5 | Transfer failure

Nested activation is prevented.


Sequence of Events (SOE)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Settings in the main SOE window:

SOE setting | Function
Use sequences of events | If active, the SOE for the selected device is activated. If inactive, all SOE settings to the IOs are ignored. Default: Inactive
Buffered SOE Files | If the number set for SOE files in the directory is reached for the sector, a spontaneous directory transfer (type ID "F_DT_TA_1") is triggered. If the number of files in the directory is doubled, the oldest file will start to be deleted (ring buffer function). Value range 1 to 1024. Default: 1024
Events per File | Number of value changes that are written in a file before it is closed. Value range: 1 to 4096. Default: 512
SOE file auto deleting | If active, the reaction is that this is then automatically closed for type ID "F_AF_NA_1" (confirmation for file) for an SOE file.
Post trigger timeout | If no ASDU is written in the file within this period of time, this is then closed. The time period starts over with each ASDU written. Value range: 100ms to 120000ms Default: 1000ms
File timeout | Maximum time for which the file remains open (regardless of the number of events). Value range: 100ms to 120000ms Default: 5000ms

First value

The exchange of data for SOE starts immediately once the Gateway has been initialized. The exchange of data for data in monitoring direction only starts when a master has connected and triggered a general interrogation (GI). The first value that is initialized does not trigger an event and is thus also not entered into the file. The same applies if Runtime is again ready to exchange data after reloading.

File transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Files are not transferred automatically if the maximum number of SOE files to be buffered is exceeded.

The IEC 60870 norm describes this with "may be activated". The Gateway does not support any file transfers activated by the salvo in the current version.

Directory Transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Automatic directory transfer:

In accordance with the IEC 60870 norm, an automatic spontaneous directory transfer is activated for the following reasons with existing SOE files:

  • 24 hours after the last automatic directory transfer.
  • if the master connects
  • if the maximum number of files to be buffered is exceeded


Warnings

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Warnings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Warning message | Meaning
Sequences of events for device <Devicename> sector <Sectorname> are activated but no trigger defined | The device has SOE activated, there is an IO in the sector with active SOE but the trigger was not activated by any IO. No file is created without a trigger. At least one IO in the sector must have a trigger activated.
SOE value change without trigger and file is closed. Value lost! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | A value change is not written because the SOE file is not open. Code:1010


Error messages

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Error message | Meaning
Sequence of events active but no directory for the file transfer defined! | SOE files are archived in the file transfer directory. Therefore a directory for file transfer must be present.
SOE values lost, queue full! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | for IOs that have a SOE activated, data is exchanged to the stack via a queue. This can assume a value of 2048 or 4 * the number of SOE IO’s in sector entries. If this number is exceeded, this error message is created and the value change is lost. Error code: 6
Can't create subdirectory for file transfer. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> system error:<System error code> | The subdirectory for the sector is automatically created for SOE in the directory for file transfers. This error shows that this directory could not be created. SOE then indicates that this sector is NOT available. Error code: 10
System error code | Contains the error code returned from the operating system.
Can't advise SOE data point. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> adv:0x<Advise ID> | Data point request for SOE IOs failed. SOE then indicates that this sector is NOT available. Error code: 11
Write asdu to file <Filename> fail! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> <Value> system error: <System error code> | ASDU write to SOE file failed. Error code: 8
Illegal file name <Filename> detected! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> | Filenames for the file transfer have a defined format <IOA>.<NOF>. The file does not adhere to this convention. Error code: 12
Auto delete for file failed! System error: <System error code> <File transfer information> | Error code: 9
File transfer information | Contains the information that identifies the file transfer.


Time synchronization

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Time synchronization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order for time synchronization to be carried out, an information object of type 103 must be linked to a process variable for any desired device. The first IO that uses type 103 is used as an enable.

This variable must have a value of <> 0 and not have any of the following statuses:

  • Blocked bit 44
  • faulty bit 18
  • switched off bit 20 or substitute value bit 27

Non execution of the command due to a missing enable (or status) does not lead to the connection being broken

The missing configuration of the enable variable or the missing value of the enable variable leads to the connection being lost.

The enable variable connects to the control system if the device is reset.


DPI/DCS Mapping

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> DPI/DCS Mapping

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

It is possible to configure whether DPI/DCS (double-point information/double commans state) should be transferred in accordance with the norm or in the zenon internal display. The default is transfer (between the Process Gateway and an IEC 60870 Master) in accordance with the norm.

Setting

Functionality

Deactivate standard

Active: Mapping is deactivated. Values for DPI/DCS correspond to the values of zenon.

Inactive: Values for DPI/DCS are mapped as follows, which also guarantees standard behavior for command input:

  • zenon value 0 = DPI/DCS value 1 (= OFF)
  • zenon value 1 = DPI/DCS value 2 (= ON)
  • zenon value 2 = DPI value 0
  • zenon value 3 = DPI value 3

This setting is automatically activated if an XML File with version 1 is read in.


Select before operate

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Select before operate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If the Process Gateway receives an individual or double command including a Select command, this select is always answered with N_CONF (P/N Bit) = 0 (Success).


Qualifier of command

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Qualifier of command

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

An individual command received - an ASDU with Type identification 45 (C_SC_NA_1) - with Qualifier of Command (QoC) affects a zenon variable as follows:

  • QoC 0: Undefined in accordance with IEC standard. Behaves in slave as in QoC 3 (persistent output).
  • QoC 1: Short pulse. The zenon variable assumes the value 1 and changes, after the time defined in the Process Gateway settings to 0.
  • QoC 2: Long pulse). The zenon variable assumes the value 1 and changes, after the time defined in the Process Gateway settings to 0.
  • QoC 3: Persistent output. The zenon variable assumes the value 1 and retains the value 1. This must be reset to receive further individual commands.


INVALID-Bit Handling

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> INVALID-Bit Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If the Process Gateway receives an INVALID bit for an information object to be sent (from the control system), the following quality bits for the information object are placed before sending:

  • NT (Not Topical)
  • IV (Invalid)


Normalized Values

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Normalized Values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

OV_870 bits, which already have the variables in zenon, are sent to the master.

If values for the normalized values exceed or go below the norm range (-1 to 1-2-15), the OV_870 bit is set, even if the variable does not have the status bit in zenon.


Monitoring command

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Monitoring command

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Monitoring command single, double and regulating supports qualifiers 0 to 3.
0 is the default and is used like 1.

Command state is set as the value for the SCADA variable


Internal type T00 (status variable)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Internal type T00 (status variable)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The internal type T00 is used for communication between the Slave and the process control system.

For the status variables, each numeric zenon variable can be assigned. This enables an internal variable to be used as the source for a type ID.

IOA 1

The variable provides the status information as to whether there is already a connection to the master. create an IO of type T00 with IOA '1'. If a connection is established, the value will change from 0 to 1.

IOA 2

A decision as to whether commands are carried out in control direction can be made for each sector by means of a zenon variable for each sector. In contrast to device enable, for sector-related dynamic enable the connection to the master is not broken if a write command comes and this is rejected. Rejected commands receive act_con + PN as confirmation. Rejected commands create a warning.

The zenon variable must be of UINT or DWORD type and is assigned with IOA 2 at T00 (Internal status). If the value of the <> variable is 0, the commands are approved. The variable may not have status IV (IEC 60870 Qualifier invalid). The commands are always approved if no IO is configured.

This setting can be set globally using the Commands active property.

Info Informazioni

Attendant warning message:

Commands for sector deactivated, execution prohibited. <Command text>

Warning: 1009 command in control direction was received, but rejected due to a missing enable.

IOA 3

Status variable is set to 1 if the number of SOE files in the transfer directory exceeds the maximum number of buffered files.

IOA 4

Variable provides status information on the current or most recently processed SOE file:

0 - initialization. As long as no SOE file was written.

1 - SOE file is opened

2 - file was closed

3 - too many SOE files in the directory

4 - error when writing the SOE file

5 - errors when creating the SOE file

IOA 5

Variable provides status information on the file transfer.

0 - no transfer active

1 - section is selected

2 - section is requested

3 - waiting on section confirmation

4 - waiting on confirmation of file transfer

255 - error when transferring

IOA 6

Variable provides the number of SOE files present in the transfer directory.


Pulse generation

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Pulse generation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The driver supports pulse generation.
After the time for the pulse has passed, the system will write the value OFF to the variable.

After ending communication, the pulse for all other active pulse variables will be stopped (i.e. a OFF written).

Communication is ended if:

  • the Process Gateway application is ended
  • A new configuration is activated
  • Runtime reloads
  • The list of buffered value changes for the sector has overflowed

If a pulse is triggered for a running pulse generation, the active pulse generation will be stopped. The variable contains the value OFF.

Note: For SCS (single command state) the value OFF is always 0, for DCS (double command state) an OFF is 1 or 0, depending on the "DPI&DCS mapping" setting.


Reload

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If one of the projects is reloaded in the Runtime, the connection to all projects using the IOs in the sector will be closed. The device with the according sector must be reset. That means: The connection to the master is closed.

While the reload is active, you cannot establish a connection to the Runtime. This means that general requests are also not possible.


Broadcasts

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Broadcasts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Broadcasts are supported for the following TYPE IDs:

Type ID

ID C_IC_NA_1

C_CS_NA_1


Real time invalid - status bit T_INVAL

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Real time invalid - status bit T_INVAL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If the IEC870 driver receives a real time stamp that is marked is invalid, it sets the T_INVAL status bit. In this case, the local PC time is stamped. In the process gateway IEC870 slave, this status bit is forwarded in the direction of messaging in the time stamp.


Error analysis

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.


Analysis tool

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Process Gateway behaves like a zenon driver and writes messages to a common log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.00 -> Diagviewer. In general, the following applies:

I driver di zenon protocollano tutti gli errori nei file Log. La cartella standard per i file Log è la LOG che si trova al di sotto di quella ProgramData, per es.: C:\ProgramData\zenon \zenon700\LOG per la versione 7.00 SP0 di zenon. I file Log sono file di testo con una struttura speciale:

Attenzione: con le impostazioni standard, un driver registra solamente le informazioni errate. Grazie al Diagnose Viewer si può estendere per la maggiore parte dei driver il livello di diagnosi anche a „Debug" e „Deep Debug". In questo caso, il driver protocollerà anche tutti gli altri compiti ed eventi fondamentali.

Nel Diagnose Viewer si può anche:

  • seguire live degli inserimenti appena creati
  • adattare le impostazioni di registrazione
  • modificare la cartella in cui vengono salvati i file Log

Avvertenza:

  1. a causa della limitatezza delle risorse disponibili, sotto Windows CE anche gli errori non vengono protocollati di default.
  2. Il Diagnose Viewer mostra tutti gli inserimenti in UTC (tempo coordinato universale) e non nel tempo locale.
  3. Nella sua impostazione standard, il Diagnose Viewer non mostra tutte le colonne di un file Log. Per visualizzare un numero maggiore di colonne, attivate la proprietà Add all columns with entry nel menu contestuale del titolo della colonna.
  4. Se si usa un puro Error-Logging, una descrizione del problema si trova nella colonna Error text. In altri livelli di diagnosi, questa descrizione si trova nella colonna General text.
  5. In caso di problemi di comunicazione, molti driver registrano anche un numero di errore, che gli viene comunicaro dal PLC. Essi vengono visualizzati in Error text e/o Error code e/o Driver error parameter(1 e 2). Potete trovare delle indicazioni relative al significato dei codici di errore nella documentazione driver e nella descrizione del protocollo/PLC.
  6. Annullate alla fine del Vostro test il livello di diagnosi di Debug o Deep Debug. Nel caso di Debug e Deep Debug, infatti, c`è una grande quantità di dati che devono essere salvati sul disco fisso e ciò potrebbe compromettere la prestazione del Vostro sistema. Il sistema continuerà a registrare questi dati anche dopo che avrete chiuso il Diagnose Viewers.

Note: Process Gateway is not available under Windows CE.

Info Informazioni

You can find further information on the Diagnosis Viewer in the Diagnose Viewer chapter.


Logging

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool -> Logging

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The driver supports a comprehensive logging function for:

  • Client name
  • zenProcGateway_IEC870Slave
  • Modules

Client name

The way the name of the client is displayed in the diagnosis viewer depends on the configuration. That is why the name changes if you change the TCP port, the COM port or the protocol. In this case, the logging settings may also change.

If the Process Gateway is started several times with the same settings, the same client name will be used. The error messages of the different instances can be distinguished by the process ID.

Esempio Esempio

zenProcGateway_IEC870Slave

  • 104 protocol with standard port 2404
  • 101 if COM1 selected.
  • If the configuration has not been loaded yet, error messages during startup will always be visible under this client.

zenProcGateway_IEC870Slave:COM4

  • 101 with COM4.
    The name contains the used COM port.

zenProcGateway_IEC870Slave:Port:12345

  • 104 with port 12345.
    The name contains the port for the Master connection.

Modules

Error messages are shown for all modules:

  • IEC870 Slave
  • OSI2
  • OSI7
  • SCADA Runtime (ScadaRT)

IEC870 Slave

Concerns the connection to the Process Gateway and its configuration.

Information about:

  • Errors during engineering

OSI2

Concerns the protocol level. This where framing with its according functions is implemented.

Information about:

  • Received data as byte dump
  • Sent data as byte dump
  • Function codes for 101
  • Errors on this level, e.g. in the framing
  • APCI for 104 (870-5-104 5)

Levels

  • Msg: Frame interpreting
  • Debug:
    Received and sent data
    Frame analysis.
    New Master connection.
  • Deep Debug: Every request about existence of characters. Produces a large number of logging entries!

OSI7

Concerns the application layer.
This is where commands are interpreted and executed.

Information about:

  • Logging 'process and system information'
  • Errors in the ASDUs

Levels:

  • Warning: Recursive interrogation
  • Msg: Process information, System information
  • Debug: Confirmed I-frames
  • Deep Debug: Interrogation runs. Produces a large number of logging entries!

SCADA Runtime (ScadaRT)

Messages for connection to the Runtime:

Information about:

  • advised and unadvised variables
  • updated variables
  • Deactivating the project

Levels

  • Debug:
    changed values
    project inactive


Error codes

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Error codes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following error codes can be displayed in the diagnosis server:

Error code | Meaning
570 | Value change for unknown cyclic IO
571 | Transfer buffer too small to transfer a cyclic IO


Check list

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Check list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • Is the COM port in use by another application or are the settings incorrect?
  • Is the device (PLC) that you are trying to communicate with connected to the power supply?
  • Is the cable between PLC and PC/IPC connected correctly?
  • Have you analyzed the error file (which errors did occur)?
  • For additional error analyses, please send a project backup and the LOG file of the DiagViewer to the support team responsible for you.


Interoperability

Manuale -> Process Gateway -> IEC870 Slave -> Interoperability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This companion standard presents sets of parameters and alternatives from which subsets must be selected to implement particular telecontrol systems. Certain parameter values, such as the choice of 'structured' or 'unstructured' fields of the information object address of ASDUs represent mutually exclusive alternatives. This means that only one value of the defined parameters is admitted per system. Other parameters, such as the listed set of different process information in command and in monitor direction allow the specification of the complete set or subsets, as appropriate for given applications. This clause summarizes the parameters of the previous clauses to facilitate a suitable selection for a specific application. If a system is composed of equipment stemming from different manufacturers, it is necessary that all partners agree on the selected parameters.

The interoperability list is defined as in IEC 60870-5-101 and extended with parameters used in this standard. The text descriptions of parameters which are not applicable to this companion standard are strike-through (corresponding check box is marked black).

NOTE In addition, the full specification of a system may require individual selection of certain parameters for certain parts of the system, such as the individual selection of scaling factors for individually addressable measured values.

The selected parameters should be marked in the white boxes as follows:

[ ] Function or ASDU is not used
[ X ] Function or ASDU is used as standardized (default)
[ R ] Function or ASDU is used in reverse mode
[ B ] Function or ASDU is used in standard and reverse mode

The possible selection (blank, X , R , or B ) is specified for each specific clause or parameter.

A black check box indicates that the option cannot be selected in this companion standard.

1. System or device

(system-specific parameter, indicates definition of a system or a device by marking one of the following with ' X ')

[ ] System definition
[ ] Controlling station definition (Master)
[ X ] Controlled station definition (Slave)

2. Network Configuration: 101 only

(network-specific parameter, all configurations that are used are to be marked ' X ')

[ X ] Point-to-point | [ X ] Multipoint
[ X ] Multiple point to point | [ ] Multipoint-star

3. Physical Layer: 101 only

(network-specific parameter, all interfaces and data rates that are used are to be marked ' X ')

Transmission speed (control direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

Transmission speed (monitor direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

4. Link layer: 101 only

(network-specific parameter, all options that are used are to be marked ' X '. Specify the maximum frame length. If a non-standard assignment of class 2 messages is implemented for unbalanced transmission, indicate the Type ID and COT of all messages assigned to class 2.)

Frame format FT 1.2, single character 1 and the fixed time out interval are used exclusively in this companion standard.

Link transmission | Frame length [octets] | Address field of the link
[ ] Balanced transmission | [255] Maximum length L (both directions)* | [ ] not present (balanced transmission only)
[ X ] Unbalanced transmission |  | [ X ] One octet
 |  | [ X ] Two octets
 |  | [ X ] Structured
 |  | [ X ] Unstructured

*may be reduced by the system

When using an unbalanced link layer, the following ASDU types are returned in class 2 messages (low priority) with the indicated causes of transmission:

[ ] The standard assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
9, 11, 13, 21 | <1>

[ X ] A special assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
120 - 126 | All (as specified in the standard)

Note: (In response to a class 2 poll, a controlled station may respond with class 1 data when there is no class 2 data available).

5. Application Layer

Transmission mode for application data

Mode 1 (Least significant octet first), as defined in 4.10 of IEC 60870-5-4, is used exclusively in this companion standard.

Common address of ASDU

(system-specific parameter, all configurations that are used are to be marked ' X ')

ASDU address
101 only [ X ] One octet | [ X ] Two octets

Information object address

(system-specific parameter, all configurations that are used are to be marked ' X ')

Object address
101 only [ X ] One octet | [ X ] Structured
101 only [ X ] Two octets | [ X ] Unstructured
[ X ] Three octets |

Cause of transmission

(system-specific parameter, all configurations that are used are to be marked ' X ')

Cause of transmission
101 only [ X ] One octet | [ X ] Two octets (with originator address) Originator address is set to zero if not used.

Length of APDU: 104 only

(system-specific parameter, specify the maximum length of the APDU per system)
The maximum length of APDU for both directions is 253. The maximum length may be reduced by the system.

[ 253 ] Maximum length of APDU per system

Selection of standard ASDUs

Process information in monitor direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameters | Type
[ B ] | <1>: = Single-point information | M_SP_NA_1
[ B ] | <2>: = Single-point information with time tag | M_SP_TA_1
[ B ] | <3>: = Double-point information | M_DP_NA_1
[ B ] | <4>: = Double-point information with time tag | M_DP_TA_1
[ B ] | <5>: = Step position information | M_ST_NA_1
[ B ] | <6>: = Step position information with time tag | M_ST_TA_1
[ B ] | <7>: = Bitstring of 32 bit | M_BO_NA_1
[ B ] | <8>: = Bitstring of 32 bit with time tag | M_BO_TA_1
[ B ] | <9>: = Measured value, normalized value | M_ME_NA_1
[ B ] | <10>: = Measured value, normalized value with time tag | M_ME_TA_1
[ B ] | <11>: = Measured value, scaled value | M_ME_NB_1
[ B ] | <12>: = Measured value, scaled value with time tag | M_ME_TB_1
[ B ] | <13>: = Measured value, short floating point value | M_ME_NC_1
[ B ] | <14>: = Measured value, short floating point value with time tag | M_ME_TC_1
[ B ] | <15>: = Integrated totals | M_IT_NA_1
[ B ] | <16>: = Integrated totals with time tag | M_IT_TA_1
[ ] | <17>: = Event of protection equipment with time tag | M_EP_TA_1
[ ] | <18>: = Packed start events of protection equipment with time tag | M_EP_TB_1
[ ] | <19>: = Packed output circuit information of protection equipment with time tag | M_EP_TC_1
[ ] | <20>: = Packed single-point information with status change detection | M_SP_NA_1
[ ] | <21>: = Measured value, normalized value without quality descriptor | M_ME_ND_1
[ B ] | <30>: = Single-point information with time tag CP56Time2a | M_SP_TB_1
[ B ] | <31>: = Double-point information with time tag CP56Time2a | M_DP_TB_1
[ B ] | <32>: = Step position information with time tag CP56Time2a | M_ST_TB_1
[ B ] | <33>: = Bitstring of 32 bit with time tag CP56Time2a | M_BO_TB_1
[ B ] | <34>: = Measured value, normalized value with time tag CP56Time2a | M_ME_TD_1
[ B ] | <35>: = Measured value, scaled value with time tag CP56Time2a | M_ME_TE_1
[ B ] | <36>: = Measured value, short floating point value with time tag CP56Time2a | M_ME_TF_1
[ B ] | <37>: = Integrated totals with time tag CP56Time2a | M_IT_TB_1
[ ] | <38>: = Event of protection equipment with time tag CP56Time2a | M_EP_TD_1
[ ] | <39>: = Packed start events of protection equipment with time tag CP56Time2a | M_EP_TE_1
[ ] | <40>:= Packed output circuit information of protection equipment with time tag CP56Time2a | M_EP_TF_1

Either the ASDUs of the set <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> or of the set <30> – <40> are used.

Process information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameters | Type
[ X ] | <45>: = Single command | C_SC_NA_1
[ X ] | <46>: = Double command | C_DC_NA_1
[ X ] | <47>: = Regulating step command | C_RC_NA_1
[ X ] | <48>: = Set point command, normalized value | C_SE_NA_1
[ X ] | <49>: = Set point command, scaled value | C_SE_NB_1
[ X ] | <50>: = Set point command, short floating point value | C_SE_NC_1
[ X ] | <51>: = Bitstring of 32 bit | C_BO_NA_1
[ X ] | <58>: = Single command with time tag CP56Time2a | C_SC_TA_1
[ X ] | <59>: = Double command with time tag CP56Time2a | C_DC_TA_1
[ X ] | <60>: = Regulating step command with time tag CP56Time2a | C_RC_TA_1
[ X ] | <61>: = Set point command, normalized value with time tag CP56Time2a | C_SE_TA_1
[ X ] | <62>: = Set point command, scaled value with time tag CP56Time2a | C_SE_TB_1
[ X ] | <63>: = Set point command, short floating point value with time tag CP56Time2a | C_SE_TC_1
[ X ] | <64>: = Bitstring of 32 bit with time tag CP56Time2a | C_BO_TA_1

Either the ASDUs of the set <45> – <51> or of the set <58> – <64> are used.

System information in monitor direction

(station-specific parameter, mark ' X ' if used)

Mark | Parameters | Type
[ X ] | <70> : = End of initialization | M_EI_NA_1

System information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameters | Type
[ X ] | <100>: = Interrogation command* | C_IC_NA_1
[ X ] | <101>: = Counter interrogation command | C_CI_NA_1
[ X ] | <102>: = Read command | C_RD_NA_1
[ X ] | <103>: = Clock synchronization command (option see 7.6)* | C_CS_NA_1
[ ] | <104>: = Test command | C_TS_NA_1
[ X ] | <105>: = Reset process command | C_RP_NA_1
[ ] | <106>: = Delay acquisition command | C_CD_NA_1
[ ] | <107>: = Test command with time tag CP56Time2a | C_TS_TA_1

*also Broadcast (with Common Address of ASDU = 0xFF or 0xFFFF)

Parameter in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameters | Type
[ ] | <110>: = Parameter of measured value, normalized value | P_ME_NA_1
[ ] | <111>: = Parameter of measured value, scaled value | P_ME_NB_1
[ ] | <112>: = Parameter of measured value, short floating point value | P_ME_NC_1
[ ] | <113>: = Parameter activation | P_AC_NA_1

File transfer

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameters | Type
[ X ] | <120>: = File ready | F_FR_NA_1
[ X ] | <121>: = Section ready | F_SR_NA_1
[ X ] | <122>: = Call directory, select file, call file, call section | F_SC_NA_1
[ X ] | <123>: = Last section, last segment | F_LS_NA_1
[ X ] | <124>: = Ack file, ack section | F_AF_NA_1
[ X ] | <125>: = Segment | F_SG_NA_1
[ X ] | <126>: = Directory {blank or X, only available in monitor (standard) direction} | F_DR_TA_1

Type identifier and Cause of transmission assignments

(station-specific parameters)

Shaded boxes: option not required.
Blank: functions or ASDU not used.

Mark Type Identification/Cause of transmission combinations:
' X ' if only used in the standard direction;
' R ' if only used in the reverse direction;
' B ' if used in both directions.

Type identification |  | Cause of transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 to 36 | 37 to 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  |  | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Blank or X only

1 Optional.

2 Slave confirms deactivations of write command (TI <45> ... <64>) but corresponding activation is already transferred to execution; actcon and actterm were already sent.

COT | Cause of Transmission |
<0> | not used |
<1> | periodic, cyclic | per/cyc
<2> | background scan | back
<3> | spontaneous | spont
<4> | initialized | init
<5> | request or requested | req
<6> | activation | act
<7> | activation confirmation | actcon
<8> | deactivation | deact
<9> | deactivation confirmation | deactcon
<10> | activation termination | actterm
<11> | return information caused by a remote command | retrem
<12> | return information caused by a local command | retloc
<13> | file transfer | file
<14...19> | reserved |
<20> | interrogated by station interrogation | inrogen
<21...36> | interrogated by interrogation of the group 1..16 | inro1..16
<37> | requested by general counter request | reqcogen
<38...41> | requested by counter interrogation of the group 1 ... 4 | reqco1..4
<42, 43> | reserved |
<44> | unknown type identification |
<45> | unknown cause of transmission |
<46> | unknown common address of ASDU |
<47> | unknown information object address |
<48, 63> | for special use (private range) |

6. Basic application functions

Station initialization

(station-specific parameter, mark 'X' if function is used)

[ ] Remote initialization

Cyclic data transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Cyclic data transmission

Read procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Read procedure

Spontaneous transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ B ] Spontaneous transmission

Double transmission of information objects with cause of transmission spontaneous

(station-specific parameter, mark each information type ' X ' where both a Type ID without time and corresponding Type ID with time are issued in response to a single spontaneous change of a monitored object)

The following type identifications may be transmitted in succession caused by a single status change of an information object. The particular information object addresses for which double transmission is enabled are defined in a project-specific list.

[ ] Single-point information M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 and M_PS_NA_1
[ ] Double-point information M_DP_NA_1, M_DP_TA_1 and M_DP_TB_1
[ ] Step position information M_ST_NA_1, M_ST_TA_1 and M_ST_TB_1
[ ] Bitstring of 32 bit M_BO_NA_1, M_BO_TA_1 and M_BO_TB_1 (if defined for a specific project)
[ ] Measured value, normalized value M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 and M_ME_TD_1
[ ] Measured value, scaled value M_ME_NB_1, M_ME_TB_1 and M_ME_TE_1
[ ] Measured value, short floating point number M_ME_NC_1, M_ME_TC_1 and M_ME_TF_1

Station interrogation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] global |  |
[ ] group 1 | [ ] group 7 | [ ] group 13
[ ] group 2 | [ ] group 8 | [ ] group 14
[ ] group 3 | [ ] group 9 | [ ] group 15
[ ] group 4 | [ ] group 10 | [ ] group 16
[ ] group 5 | [ ] group 11 | Information object addresses assigned to each group must be shown in a separate table.
[ ] group 6 | [ ] group 12

Clock synchronization

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Clock synchronization

[ ] Day of week used
[ ] RES1, GEN (time tag substituted/ not substituted) used
[ B ] SU-bit (summertime) used

optional, see 7.6

Command transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Direct command transmission
[ X ] Direct set point command transmission
[ X ] Select and execute command
[ X ] Select and execute set point command
[ ] C_SE ACTTERM used

[ X ] No additional definition
[ X ] Short-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Long-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Persistent output

[ ] Supervision of maximum delay in command direction of commands and set point commands
[ ] Maximum allowable delay of commands and set point commands

Transmission of integrated totals

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Mode A: Local freeze with spontaneous transmission
[ X ] Mode B: Local freeze with counter interrogation
[ X ] Mode C: Freeze and transmit by counter-interrogation commands
[ X ] Mode D: Freeze by counter-interrogation command, frozen values reported spontaneously

[ X ] Counter read
[ X ] Counter freeze without reset
[ ] Counter freeze with reset
[ ] Counter reset

[ X ] General request counter
[ ] Request counter group 1
[ ] Request counter group 2
[ ] Request counter group 3
[ ] Request counter group 4

Parameter loading

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Threshold value
[ ] Smoothing factor
[ ] Low limit for transmission of measured values
[ ] High limit for transmission of measured values

Parameter activation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Act/deact of persistent cyclic or periodic transmission of the addressed object

Test procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Test procedure

File transfer

(station-specific parameter, mark 'X' if function is used).
File transfer in monitor direction

[ X*] Transparent file
[ ] Transmission of disturbance data of protection equipment
[ X ] Transmission of sequences of events
[ ] Transmission of sequences of recorded analogue values

* a data can be transparently transported by the system but not generated or evaluated. Maximum file size is 16711680 bytes.

File transfer in control direction

[ ] Transparent file

Background scan

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Background scan

Acquisition of transmission delay

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Acquisition of transmission delay

Definition of time outs: 104 only

Parameters | Default value | Remarks | Selected value
t0 | 30 s | Time-out of connection establishment | not fixed
t1 | 15 s | Time-out of send or test APDUs | not fixed
t2 | 10 s | Time-out for acknowledges in case of no data messages; t2 < t1 | not fixed
t3 | 20 s | Time-out for sending test frames in case of a long idle state; t3 > t1 | not fixed

Recommended range for timeouts t0 - t2 : 1s to 255s, accuracy 1s

Recommended range for timeout t3 : 0s to 48hrs, accuracy 1s
Long timeouts for t3 may be needed in special cases where satellite links or dialup connections are used (e.g. to establish connection and collect values only once per day or week). For dialup connections it may be necessary to give up the connection supervision completely. This is achievable by setting the timeout t3 to zero.

Maximum number of outstanding I format APDUs k and latest acknowledge APDUs (w) 104 only

Parameters | Default value | Remarks | Selected value
k | 12 APDUs | Maximum difference receive sequence number to send state variable | not fixed
w | 8 APDUs | Latest acknowledge after receiving w I format APDUs | not fixed

Recommended range of values k: 1 to 32767 (215–1) APDUs, accuracy 1 APDU

Recommended range of values w: 1 to 32767 APDUs, accuracy 1 APDU (Recommendation: w should not exceed two-thirds of k)

Portnumber: 104 only

Parameters | Default value | Remarks
Port number | 2404 | not fixed

Redundant connections

[ ] Number N of redundancy group connections used

RFC 2200 suite

RFC 2200 is an official Internet Standard which describes the state of standardization of protocols used in the Internet as determined by the Internet Architecture Board (IAB). It offers a broad spectrum of actual standards used in the Internet. The suitable selection of documents from RFC 2200 defined in this standard for given projects has to be chosen by the user of this standard.

[ ] Ethernet 802.3
[ ] Serial X.21 interface
[ ] Other selection from RFC 2200:

List of valid documents from RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


MODBUS Slave

Manuale -> Process Gateway -> MODBUS Slave


Module configuration

Manuale -> Process Gateway -> MODBUS Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following dialog appears after the Configuration button is clicked:

Here the variables that should be connected can be selected. In the list on the left-hand side all variables which are available in zenon are displayed. There they can be selected and moved to the MODBUS export list with the button '>'. With the button '<' they can be removed again. If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an offset in MODBUS opens:

The variables selected in this way then are continuously synchronized in zenon or in the MODBUS system.

In the lower part of the configuration dialog the serial or TCP/IP connection to the MODBUS system can be configured.

The following settings are available for the configuration of the serial interface:

Com | The serial interface that is used for access to the MODBUS system.
Data bit | Number of data bits. Default: 8
Stop bit | Number of stop bits. Default: 1
Baud rate | Baud rate of the serial interface. Default: 9600
Parity | Parity setting: even/odd/no (default: no)
Slave Address | Modbus Unit ID. Default: 1

For the configuration via TCP/IP the port and the timeout in seconds can be defined.


Hardware address of teh MODBUS system

Manuale -> Process Gateway -> MODBUS Slave -> Hardware address of teh MODBUS system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The MODBUS system of the Process Gateway has a MODBUS hardware address that can be defined. This is set in the configuration dialog with the Slave Adress property. The address 1 is given as standard.


Configuration file: specific entries for AccessMODBUS

Manuale -> Process Gateway -> MODBUS Slave -> Configuration file: specific entries for AccessMODBUS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[MODBUS] |
COMPORT | serial interface (COM1 = 0, COM2 = 1,...). Can be set using the configuration dialog.
BAUD | Baud rate of the serial interface. Can be set using the configuration dialog.
BYTESIZE | number of data bits of the serial interface
PARITY | Parity settings of the serial interface: 0=No 1=Odd 2=Even Can be set using the configuration dialog.
STOPBITS | Number of stop bits of the serial interface 0=1 1=1.5 2=2 Can be set using the configuration dialog.
TIMEOUT | timeout interval for serial communication in milliseconds
HWADDRESS | Hardware address of the MODBUS system. Default: 1 Can be set using the configuration dialog.
REFRESHRATE | Update time in milliseconds
SERIELL | Serial or TCP/IP communication: 1 = serial 0 = TCP/IP Can be set using the configuration dialog.
PORT | TCP/IP port
TCPTIMEOUT | TCP/IP timeout interval in seconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n
OFFSET_n | Modbus address of the variable


OPC UA Server

Manuale -> Process Gateway -> OPC UA Server

The OPC server makes the variables of the project available for standard OPC client tools.

The predecessor to the OPC UA servers is the OPC server. This is not part of the Process Gateway.

The OPC UA driver and all dialogs are only available in English.

Info Informazioni

The OPC UA server can be used for all zenon versions from 5.50.


Compare OPC Server and OPC UA Server

Manuale -> Process Gateway -> OPC UA Server -> Compare OPC Server and OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The OPC UA server system has superseded the OPC server. Use of an OPC UA server is recommended for most applications.

OPC Server

  • OPC Task Force since 1995
  • Uniform interface for automation systems
  • Based on Microsoft's COM/DCOM technology
  • OPC foundation since 1996
  • several specifications for different applications

OPC UA Server

  • First vision 2003
  • Released in 2006, not yet all parts

Comparison of OPC server to OPC UA server

Parameters | OPC Server | OPC UA Server
Data model | Limited | for all applications
Implementation | Manufacturer-dependent | Manufacturer-independent
Interoperability | no | yes
Configuration | laborious | simple
Network use | Not recommended (security); Windows CE cannot be used | yes
Network technology | DCOM (error-prone, unstable) | OPC UA TCP binary protocol
Performance | low | high
Platforms | Windows only | independent
Redundancy | no | yes
Resource requirements | high | lower
Service-orientated architecture | no | yes
Security | outdated | In accordance with current standards
Connection security | no | provided
Windows CE | no | yes


Module configuration

Manuale -> Process Gateway -> OPC UA Server -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Start

To start the process gateway with the OPC UA module, this must be entered into the zenProcGateway.ini. The configuration of the certificate is queried when the process gateway is first started with the OPC UA module.

If no independent certificates are to be used, the certificates can be automatically created by clicking on Yes.

After the process gateway has been started, statistical information on the number of updates in the time period displayed and the number of unsuccessful updates is displayed. The configuration can also be started in this dialog.

Parameters | Description
Exit | Closes process gateway.
Configuration | Opens configuration dialog.
Help | Opens help.

To configure the server and variables:

  1. Click on Configuration
  2. In the dialog that opens, you configure:
    • Server
    • Variables


Server

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Clicking on Configuration in the process gateway statistics dialog opens the configuration dialog:

Parameters

Description

Name

Name of the server as it is shown on the client.

Port

TCP port via which the client establishes the connection.

Default: 4840

Certificate revocation list path

File with all invalid keys.

Certificate trust list path

Path that contains all trustworthy keys. Should correspond to the server certificate.

Server certificate path

Public key of the server. Used by the client for encrypting messages.

Server private key path

Private key of the server. Is used by the server to decrypt the messages from the client.

Accept secure connections only

Active: Only secure connections are accepted for establishing a connection, with the signature or with signature and encryption:

  • Basic128Rsa15:
    RSA15 as key wrap algorithm and
    128-bit basic as algorithm for the message encryption
  • Basic256:
    256-bit basic as algorithm for message encryption

Default: inactive

Trust all client certificates

Active: All client certificates are accepted and the connection is made.

Inactive: All clients that want to connect with the server must send a valid certificate. This certificate is also checked to see if it is in the list of known client certificates (certificate trust list path).

Use zenon authentication

Active: Clients can only log on to the server with a valid user ID and password.

Hint: The user ID must be active.

Inactive: Anonymous logon is possible.

Archive for historical data

Archive for historical data. Select from drop-down list. Archive must already have been created.

OK

Confirms all settings and closes the dialog.

Attention: All active connections are ended and the server is restarted with the new settings. Connection errors may occur in the process.

Cancel

Rejects all setting changes and closes the dialog.

Help

Opens online help.


Variables

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Variables

Variables for the OPC UA Process Gateway can be selected automatically or individually.

attenzione Attenzione

Variables that do not have the Settaggio valori attivo property set in the Editor cannot be written to by an OPC UA client.

Interno ID: Variables

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Defining variables

If no variables are defined in the OPC UA server configuration, then all variables from the zenon project are added to the OPC UA address space. All variables (including system variables) are visible for the clients. In doing so, each variable is given its own node with an automatically-issued numerical identifier and namespace index 80.

with manual configuration (at least one configured variable), the values defined by the user are used. The namespace index 80 and a string identifier with the variable names are also entered as standard.

Parameters

Description

Available in zenon

List of existing variables.

Exported to OPC UA

List of exported variables.

Node ID

Namespace index

Defines the namespace index in the node ID for the selected OPC UA variable.

The value:

  • must not be empty
  • must be numerical
  • must be greater than 0

Identifier

Defines the identifier in the node ID for the selected OPC UA variable.

  • A numerical identifier is automatically created with numerical input.
  • If a GUID is entered, a GUID identified is created, otherwise the identifier is treated as a string.
    GUID form: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

The field must not be empty.

To export variables to OPC UA:

  1. Select the desired variables in Available in zenon (multiple selection is possible)
  2. Click on the arrow direction Exported to OPC UA

To export all variables:

  • Click on the double arrow

The zenon variable name is used as browser name and display name.

Info Informazioni

For zenon variables with a slash (/) in the names, the / is replaced by a dot (.). The parts of the name separated by a slash are saved in their own subfolders.

Example: The zenon variable "Static/Scalar/Int32" is divided into:

  • An OPC UA variable "Int32"
  • I a folder called "Scalar",
  • which is a subfolder of the "Static" folder

This works with all data types, multi-dimensional arrays, umlauts in names and slashes at the end.


Start

Manuale -> Process Gateway -> OPC UA Server -> Start

When started, the process gateway loads the configured driver.

The driver tries to read the active configuration from the given INI file. If this is not possible, an error message will be given and the configuration dialog will be opened for you. If the configuration is not confirmed with OK, the process gateway is closed.

attenzione Attenzione

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


Connection

Manuale -> Process Gateway -> OPC UA Server -> Connection

The OPC UA process gateway only supports the OPC UA TCP binary protocol and does not contain a discovery server. The client must also connect directly to the server. The connection address corresponds to the scheme: opc.tcp://hostname.of.server:port

The connection can be secured.


Security

Manuale -> Process Gateway -> OPC UA Server -> Security

The module uses the security procedures that correspond to OPC UA (signing and encrypting messages) as defined in the standard. Certificates can be checked or all accepted, depending on the setting.

Secure connections

If the Accept secure connections only option is activated, then the server only accepts connections that use either sign or sign & encrypt as a security mode. Furthermore, Basic128Rsa15 or Basic256 must be used by the client as a Security Policy. If this option is deactivated, any desired combination of security mode and security policy is accepted.

User administration

If user administration is activated in the zenon project and at least one user is created, the option use zenon user authentication is available. If it is activated, only clients that send a valid user/password combination have access to the data on the OPC UA server. If it is inactive, no check is carried out and both anonymous and all user/password combinations are accepted.


Alarms and states

Manuale -> Process Gateway -> OPC UA Server -> Alarms and states

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The OPC UA Process Gateway supports the zenon information model for alarms and states. It is activated as soon as a variable has at least a limit value.

From the time of activation, a linked client can be informed about limit values of a variable being exceeded. It is also in a position to confirm the alarm, as in zenon Runtime.

The OPC weighting, as defined in the standard, is shown on the index of the alarm/event classes linked to the limit value. The index of an alarm/event class is automatically incremented by the zenon Editor with each new alarm/event class and can be checked in the properties. Up to 20 classes with the following allocation are supported:

OPC UA range | zenon alarm/event class | OPC weighting
HIGH | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MEDIUM HIGH | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MEDIUM | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MEDIUM LOW | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
LOW | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

If a variable with no alarm class is linked, the lowest possible classification 1 (LOW) is used.

Illustration zenon alarm as object

zenon variables and related alarms are illustrated in the OPC UA server as objects.

The screen shot displays the inclusion of the zenon project (TEST651) and the zenon variables (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) as objects in the upper area. This includes the alarms when the limits set up have been reached (Limit 750 reached! etc).

Logging

The driver supports a comprehensive logging function via the diagnosis viewer.


Service Sets

Manuale -> Process Gateway -> OPC UA Server -> Service Sets

Service Set | Is supported
Discovery Service Set |
FindServers | yes
GetEndpoints | yes
RegisterServer | no
SecureChannel Service Set |
OpenSecureChannel | no
CloseSecureChannel | no
Session Service Set |
CreateSession | yes
ActivateSession | yes
CloseSession | yes
Cancel | no
NodeManagement Service Set |
AddNodes | no
AddReferences | no
DeleteNodes | no
DeleteReferences | no
View Service Set |
Browse | yes
BrowseNext | no
TranslateBrowsePathsToNodeIds | yes
RegisterNodes | no
UnregisterNodes | no
Query Service Set |
QueryFirst | no
QueryNext | no
Attribute Service Set |
Read | yes
HistoryRead | no
Write | yes
HistoryUpdate | no
Method Service Set |
Call | yes
MonitoredItem Service Set |
CreateMonitoredItems | yes
ModifyMonitoredItems | yes
SetMonitoringMode | yes
SetTriggering | no
DeleteMonitoredItems | yes
Subscription Service Set |
CreateSubscription | yes
ModifySubscription | yes
SetPublishingMode | yes
Publish | yes
Republish | yes
TransferSubscriptions | no
DeleteSubscriptions | yes


Error messages

Manuale -> Process Gateway -> OPC UA Server -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Error messages in logs:

Error message | Debug Level | Description
Failed to validate client certificate | Error | The client certificate could not be validated. It is either invalid (the date of validity may have been overwritten) or it was not found in the list of known client certificates. Additional information including an error number describes the error in more detail.
Wrong user/password supplied while trying to activate session (User: %s) | Error | User authentication failed. The name for the user to be authenticated is displayed.
Login of user '%s' succeeded. | Deep Debug: | User authentication successful.
Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists | Error | A variable defined by the user could not be created, because another variable with the same identifier already exists.


SNMP Agent

Manuale -> Process Gateway -> SNMP Agent


SNMP architecture

Manuale -> Process Gateway -> SNMP Agent -> SNMP architecture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Windows SNMP agent supports SNMP version 2 (SNMPv2c). It also supports the SNMP functions (GET, GETNEXT, GETBULK, SET, TRAP).

More details about Microsoft's implementation of the SNMP can be found on the Microsoft TechNet Website: “How SNMP Works” http://technet2.microsoft.com/windowsserver/en/library/bf555774-2d63-4e96-b432-c4b7bcac6b531033.mspx

Windows operating system components with a connection to the Process Gateway and the Runtime:


Management Information Base (MIB)

Manuale -> Process Gateway -> SNMP Agent -> Management Information Base (MIB)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Management Information Base (MIB) is a tree structure, in which the SNMP agent provides variables (OID - Object Identifiers). See below: the MIB structure, with additional variables provided via the Process Gateway.


MIB structure

Manuale -> Process Gateway -> SNMP Agent -> MIB structure

Info block structure is always present |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, Runtime is (Online, Offline) | string | read | yes
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, Runtime is 1=Online 0=Offline | integer | read | yes
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | integer | read | no
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, name of project which the Process Gateway reads variables from | string | read | no

Variable structure (table) is dynamically adjusted, according to the configuration of the Process Gateway |  |  |  |
OID | Description | Data type | Access | Change is sent as Trap
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, number of configured variables=OID | integer | read | yes
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, configured OID index from the Process Gateway configuration | integer | read | no
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, variable name | string | read | no
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, variable value as Integer. All numerical data types are formatted to an SNMP Integer data type. ATTENTION: the decimal places of REAL and DOUBLE are lost. | integer | according to configuration in Process Gateway | no
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, variable value as String. All numerical data types are formatted to an SNMP String data type. | string | according to configuration in Process Gateway | yes
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, variablen status value | integer | read | yes
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, variable time stamp | integer | read | yes


Module configuration

Manuale -> Process Gateway -> SNMP Agent -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After clicking the configuration button the following dialog opens:

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the SNMP export list with the button >. You can remove them from the export list with the button <. If you move a variable to the export list, a dialog for the name assignment of the zenon variable to an OID address in the SNMP structure appears:

The variables selected in this way are then available on the SNMP server and are continuously synchronized between zenon and the SNMP OID structure. For every OID address you can define whether it can be write-accessed via SNMP SET. The exact structure of every OID address is described in the chapter "MIB structure.


Configuration file: specific entries for Access SNMP

Manuale -> Process Gateway -> SNMP Agent -> Configuration file: specific entries for Access SNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[SNMP] |
REFRESHRATE | Update time in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0<=n<COUNT)
PARAM_n | Parameter SNMP OID table offset and the information R=read only / RW=read and write with the number n (0<=n<COUNT)

Export of variables

For the successful export the project name in zenProcgateway.ini in folder %CD_SYSTEM% must be entered correctly. Enter it here:

[DEFAULT]
PROJECT=

Attention: If the entry is wrong or missing the gateway is closed without any error messages. Thus the variable is not available.


Configuration of the Windows SNMP agent

Manuale -> Process Gateway -> SNMP Agent -> Configuration of the Windows SNMP agent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To make sure that the Windows SNMP Agent (SNMP.exe) provides the zenon MIB partial structure, the Process Gateway file AccessSNMP.dll in the registry must be configured accordingly:

  1. Installation of the Windows SNMP service via the control panel:
    • up to Windows Vista via module: Software -> Add Windows components
    • from Windows Vista via module: Programs and functions - >Activate or deactivate Windows functions.
  2. Installation of Process Gateway with the file AccessSNMP.dll in the folder %Program Files (x86)%\COPA-DATA\zenon 7.00
  3. Add the following keys and character strings using the registry editor:
    1. [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Value=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    2. [HKEY_LOCAL_MACHINESOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Value=C:\Program Files (x86)\COPA-DATA\zenon 7.00
  4. Start the SNMP service.
    This loads the process gateway file AccessSNMP.dll via the registry configuration.
    Further configuration settings for the Windows SNMP service: Control panel -> Administration-> Services-> SNMP service-> Properties
    1. Traps: tab Defines the IP address in the network to which traps are sent:

    • Communityname: Must be identical on manager and agent
    • Trap destinations: Addresses of the destinations as host names, IP addresses or IPX addresses
    1. Security: tab Defines the rights with which an SNMP client can access the SNMP agent:

    • Rights: Must be set to "READ WRITE"
    • Community: Must be identical on manager and agent


SQL

Manuale -> Process Gateway -> SQL


Module configuration

Manuale -> Process Gateway -> SQL -> Module configuration

The configuration of the database connection consists of two parts.

  1. OLE-DB connection: This OLE-DB connection can be defined in the configuration dialog using the selection button for the connect string. Then the standard dialog for data connection properties is opened.
  2. Additionally the name of the table can be defined, if the standard name ONLINE_VALUES should not be used.
    This can be set with the TABLE entry in the [DATABASE] section of the configuration file (zenProcGateway.ini). The settings are taken over by the add-on when starting it.

attenzione Attenzione

If table names are defined manually in the configuration file (zenProcGateway.ini), these table names must also be amended or created in the database by hand.

Oracle databases

Use of the Process Gateway and AccessSQL.dll in conjunction with Oracle databases can cause errors: It it possible, with some ODBC drivers, that no online values are written to the database. The advanced ODBC logging then issues the error message "1843".

The problem can be solved by changing the ODBC driver. For example, the ODBC driver 9.02.00.05 for Oracle 9.2 works.


Variable selection

Manuale -> Process Gateway -> SQL -> Variable selection

In the configuration dialog the zenon variables that should be written to the SQL process image can be defined. In order to do this the variables available in the zenon project - listed in the left part - have to be added to the image - listed in the right part.


Creating tables

Manuale -> Process Gateway -> SQL -> Creating tables

After closing the configuration dialog with OK, the table structure of the SQL database is automatically generated. For the case, that it is created by hand:


Operation in a redundant system

Manuale -> Process Gateway -> SQL -> Operation in a redundant system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In redundant operation two alternatives are available. In the first way the SQL database runs locally on both servers and the Process Gateway also runs on both servers. As only online values are handled no further alignment between the databases is necessary. The big disadvantage of this version is the high network load that is a result from the additional reading of online values on the standby server.

In the second version the Process Gateway only runs on the Runtime server and writes data to a local or a remote SQL database. In this alternative no additional network load between the Runtime and the standby server occurs and in the case of the remote SQL database the server is not strained by external requests to that database.


Configuration file: specific entries for AccessSQL

The configuration file must be in the system folder.

Parameters | Description
[DATABASE] |
INITSTRING | OLE-DB connect-string to the SQL database
TABLE_ONL | name of the table that receives the process image
TABLE_VAR | name of the table that receives the variable IDs
REFRESHRATE | maximum refresh rate in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0<=n<COUNT)


Table format

Manuale -> Process Gateway -> SQL -> Table format


Table for process image

VARIABLE | int[4] | ID of the zenon variable
VALUE | varchar[64] | current value as string
VALUE_NUM | float | current value as float
TIMESTAMP | int[4] | time stamp of the current value (as UNIX time)
TIMESTAMP2 | datetime | time stamp of the current value (as datetime)
STATUS | int[4] | status word of the current value


Table for variable IDs

VARIABLE | int[4] | ID of the zenon variable
NAME | varchar[128] | name of the control system variable


Production and Facility Scheduler (PFS)

Manuale -> Production and Facility Scheduler (PFS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Production & Facility Scheduler (PFS) allows executiong actions (e.g. changing of a variable's set value, executing a function) for a period of time or in a time grid.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Project Manager context menu

Menu item | Action
New time model group | Opens the wizard for creating a new time model group.
New event | Creates a new event.
Editor profile | Opens the drop-down list that includes pre-defined editor profiles.
Help | Opens online help.


General

Manuale -> Production and Facility Scheduler (PFS) -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The optional module Production & Facility Scheduler (PFS) enables actions to be executed in relation to a specific period of time or according to a time model.

The PFS can be configured in both the Editor and Runtime environments. Configuration within the Runtime environment can be restricted by applying user rights. All configurations established in relation to the Runtime environment can be read back to the Editor; otherwise these configurations are specific.

All stated times are independent of time zone and daylight saving time and standard time.

Info Informazioni

If the project is not displayed after the Editor is started:

  • open the menu Option
  • select the command Project manager


Toolbar and context menu PFS

Manuale -> Production and Facility Scheduler (PFS) -> Toolbar and context menu PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Symbol | Description
Function new ... | Depend on the selected element, a new element is created and the respective dialog is opened.
Cut | Cuts the selected element.
Copy | Copies selected element.
Paste | Pastes the element from the clipboard.
Delete | Deletes selected element
Help | Opens online help.

Context menu

Menu item

Action

Save

Saves changes in the engineering of the PFS.

Reject

Rejects all changes since the last time the PFS has been saved.

Properties

Opens the dialog for configuring:

  • Time change
  • Holidays
  • Table color
  • Record shift times:

Switching point preview

Opens the switching point preview dialog.

Filter criteria ...

Opens the dialog for selecting filters.

Help

Opens online help.

Info Informazioni

You can find explanations on context menus of individual elements of the tree and the table in the respective chapters especially in chapter Object types.


Views in the Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The PFS environment display is divided into two areas: The hierarchical tree view on the left side and the table view on the right side.


Tree view

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production and Facility Scheduler -> Tree view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The tree view enables users to easily identify on which level an object is located, and to which element(s) it relates. The tree view's congruence is illustrated by level lines. This is important information as the behaviour of objects depends on their relations.
A context menu, specifically related to each type of object, can be opened by right-clicking on the required object.

This area also enables users to copy, move and delete objects, provided that they are authorised to perform such operations.


Table view

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production and Facility Scheduler -> Table view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The right-hand area of the PFS environment displays, according to the type of object selected in the tree view, the data related to the object. Some objects (e.g. schedules) can be configured in greater detail in this area, whereas other objects (e.g. events) only enable users to display their current configuration, which cannot be modified here.

If editing in the table is possible, you can access the necessary commands via context menus. So you can define the desired settings.

With some object types, users can also enter data directly into the table's cells - e.g. times to be used in schedules.


Engineering with the Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this section, we will proceed, step by step, to create a first PFS project; throughout this procedure, we will perform the following operations:

  • Creating time model groups, models and schedules.
  • Creating absolute and relative times using links to variables and/or functions.
  • Creating and executing user-defined events.
  • Using editing functions such as copying, moving and deleting.
  • Linking schedules and models within the calendar.
  • Checking over the created configuration using the switching point preview mode.
  • Creating schedules in relation to the Runtime environment.

You should be familiar with creating projects, variables, functions, frames and screens. In this regard, only descriptions of the settings directly related to the PFS will be provided in the following section. If you need more information on these basic functionality, please refer to the appropriate chapter in the documentation.

Info Informazioni

Labels in lists such as calendar, schedules, events etc, are always displayed in the language the project was created.


Task description

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Task description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The task we must create is set as follows: a factory workshop (Hall I), containing two production lines (Line I and Line II) running on a shift from 06.00 to 18.00, must be heated, and its lighting system switched on and off. The heating needs a pre-heating time of 2 hours for line I and 1 hour for line II, where production line I has to be heated to 83° and production line II to 45°. If there is no production, heating should go down to 20°. Lights should be switched on 10 minutes earlier resp. switched off 10 minutes later. The production shift's start and end, as well as the various breaks' start and end, are signalled by a six-second horn tone. A break is scheduled for 15 minutes at 9.00, lunch break is scheduled for one hour at 12.00, and another break is scheduled for 15 minutes at 15.00. Production takes place 5 days a week; no production is scheduled on holidays or weekends. This workshop is located in Austria. Every 6 hours, the waste water pump must be activated for 30 seconds.


Step 1: Preparatory work

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 1: Preparatory work

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this step, we will carry out some preparatory tasks prior to configuring the PFS. We will create a project, a driver is implemented and the necessary variables for our example are created.

  1. Create a new project named PfsSample in a new workspace.
  2. In the context menu of the project select Runtime files ->RT changeable files....
  3. Deselect the Do not generate and transfer checkbox for the PFS. This way, any changes made to the PFS in the Editor will be recompiled; changes made in the Runtime environment will however be lost.
  4. Deselect the Do not decompile checkbox for the PFS. Changes made in the Runtime are transferred to the Editor with decompiling.
  5. Integrate the Simulation driver. Accept all settings of the configuration.
  6. Create the following variables:
    • HD-Bit; Offset 10; Bit 0; Name: Horn
    • HD-Bit; Offset 10; Bit 1; Name: Light I
    • HD-Bit; Offset 10; Bit 2; Name: Light II
    • HD-Bit; Offset 10; Bit 3; Name: Waste water pump
    • HD-Word; Offset 11; Name: Heating P I
    • HD-Word; Offset 12; Name: Heating P II
  7. Activate the PFS by clicking on the appropriate node in the project manager. The empty PFS workspace should now be displayed on the screen.
  8. Maximize the window Project info by activating the option Float in main window or deactivating the option Allow docking in the context menu of the window. An enlarged display area within the project window proves very useful when configuring the PFS.


Step 2: Settings Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 2: Settings Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this step, we will configure parameters that apply to the whole of the PFS environment. To determine the appropriate holidays, you must specify in which country the current PFS project is set.


Step 3: Create time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 3: Create time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this step, we will create a new time model group, and configure it according to our requirements.

In this case, Hall I will be designated as the time model group, as this hall requires specifically designed models (refer to time model object). Whenever several different models are required for one same calendar day, you will be required to divide a project into several different time model groups.

Expand the main node Production & Facility Scheduler. You should now see 3 additional entries. Time model groups, Events and Calendar

Right-click on the Time model group entry to open the context menu, and click on the Create item. Now page Time model group properties of the time model group is displayed. The Label field remains empty, as we are creating a new time model group.

Type Hall I in the Name field - i.e. the new time model group name. The time model group's designation (i.e. label) must be unique throughout the whole of the PFS environment. In this particular case, we are quite sure it is.

The Start of day (00:00:00) and End of Day (23:59:59) parameters can remain as such. These statements define the time model group's cycle for one full day.

Once you have made sure that the time model group designation is valid, click on OK to save these settings and create the new time model group.

You can now see a new entry has appeared under the Time model group header, called Hall I; this entry contains two further entries: Schedules and Time models.


Step 4: Create model

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 4: Create model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Models are required to define relative times, and contain all the shift and break time information.

Select the Create menu item in the Time model context menu.

A new time model, named New time model has now been created. When it appears on screen, this entry automatically switches to "Rename" mode, as the presence of the input field reveals. Rename the entry to Workday. Should you involuntarily click anywhere else on the screen, the program exits "Rename mode" for this entry, and the model designation New time model remains. Click twice (but don't double-click!) on the New time model label to switch back to "Rename mode". You can also do this by selecting the Rename item in the relevant context menu. The designation provided must be unique throughout all of the time model group.


Step 5: Create shifts and breaks

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 5: Create shifts and breaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Shifts are a decisive element in the process of defining relative switching times. This consideration not only concerns relative events such as Shift start and Shift end, but also the identification of production start and production end times.

Select the top cell in the Shift/Break column. To create a new shift, select the Create shift context menu item. Be sure to provide a unique designation for the new shift. We name the shift Shift 1. With the tab key or the mouse we move to the column Start time. Our shift should start at 06:00:00 a.m. and last until 06:00:00 p.m. So as a start time we enter 06:00:00 and as an end time 18:00:00.

Shifts are displayed on a grey background, whereas breaks are displayed as white areas.

Our working forces fortunately also get to take some breaks throughout the day, which we shall now define. To do so, select a cell from a line within the shift, and open the relevant context menu. To define a new break, select the Create break menu item. We shall call this new break Morning. We want our first break to start at 09:00:00 and end at 09:15:00.

We shall now proceed to create the lunch break. Designation: Lunch break; start: 12:00:00; End: 13:00:00.

There remains one break, namely the afternoon break, which we have yet to create. Name: Afternoon; start: 15:00:00; End:

Our model named Working day should now be configured as follows:


Step 6: Define holiday model

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 6: Define holiday model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

As no production takes place on bank holidays - whereas such holidays can occur on any day between Monday and Friday -, holidays require the use of a specific model. This model is very simple, as it contains no shifts. In this situation, you should always remember that a model related to a special day has priority over default models used for "usual" Monday-to-Sunday weeks. The emphasis lies on "default models". To briefly explain this, let us simply say that single-day allocations have a higher priority level than special days. A model which does not comprise any shifts possesses the same priority level as a day to which no models are linked.

As described in step 4, create a model named Holiday. No shifts whatsoever are to be defined in this model.


Step 7: User-defined event horn duration

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 7: User-defined event horn duration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

We shall now configure the project in order to make a horn sound for 6 seconds, both at the start of shifts and breaks as well as at the end of shifts and breaks. This six-second horn tone can be defined very efficiently by means of a user-defined event.

What is a user-defiend event? User-defined events are in fact relative switching times, which are special owing to the fact that they can be defined by the user proceeding to define the project. To initiate a user-defiend event, select the PFS: execute event menu item. This function will define the execution time point for the function as a trigger for the required user-defined event. The actual execution of the event will then occur, according to any offset value you may have configured.

Now that we have broached the principle, let us proceed to the creation. Right-click on the Event entry to open the context menu, then create a new event by clicking on the Create item. The event is created with the name New user event, and the new entry automatically switches over to "Rename mode". As you recall, the procedure is very similar in style to that described in step 4, "Creating Models". Change the event's designation to Horn tone. The event's designation must be unique throughout the whole of the PFS environment.

Access the function administration area, and add the PFS: execute event function to the Horn Tone user-defined event.


Step 8: Thoughts about schedule structure

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 8: Thoughts about schedule structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The project we are currently defining comprises two production lines, which we shall include in separate schedules. At the same time however, some tasks will be identical for both lines. On both lines, the lights must be switched on 10 minutes before the shift starts, and be left on for 10 minutes after the shift has ended. This will be represented in an additional, upper-level schedule. We shall here make good use of the program's capacity to hand times from previously defined schedules down to subsequent schedules. However, only the switching point in fact remains identical here, as each production line is equipped with its own lighting system. The waster water pump must also be activated, and this will follow in the additional upper-level schedule.

After this, we will still need to configure the horn. This configuration is identical on both lines, since only one horn equips both halls; hence, this will be treated in the additional upper-level schedule.

Hall schedule. Hall designation. We must configure the horn, the waste water pump and the lighting system's timing.

Schedule for Line I: Additional lower-level Hall schedule. Designation for Line I; lights must be switched on and off. Set temperature.

Schedule for Line II: Additional lower-level Hall schedule. Designation for Line II; lights must be switched on and off. Set temperature.

Now that we have established these principles, we shall create the schedules themselves.


Step 9: Schedule for the hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 9: Schedule for the hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The first schedule we must create contains the switching points for Hall I. In addition, it also contains all the switching times, which must be identical in the additional lower-level schedules.

Let us start by creating our first schedule. In order to do so, expand the Production & Facility Scheduler, Time model group, Hall I branches in the tree view so that the Schedule entry located near time model group Hall I is visible. Right-click on the Schedule entry to open the appropriate context menu, and click on the Create item. The various schedule-related settings are now displayed on screen. In the field Name specify the schedule name Hall. The schedule should now be active (i.e. the checkbox Activate schedule checkbox should be selected), and should not be defined as a structure schedule (the Structure schedule checkbox should not be selected).

We must be able to execute the user-defined event Horn Tone. To do so, we will add this specific function to the list of functions used in the schedule. Right-click on the Function list entry to open the appropriate context menu, and click on the item Add function. Confirm the previously defined function PFS - execute event [Horn tone]. This function shall now be added to the schedule's list of functions, and can be used as of now.

In addition, we want to create and save the variables Horn and Waste water pump, which will serve to activate the horn and waste water pump. To do so, we must add these variables to the schedule-specific list of variables. Open the relevant context menu, and click on the item Add variable. The list of variables that then appears onscreen enables you to add the required variables; to do so, double-click on a variable in the list of available variables, or select a variable before clicking on the button Add.

Once you have defined these actions, your schedule should be configured as follows.


Step 10: Thoughts about the times

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 10: Thoughts about the times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Times serve to define the point in time for the execution of switching points. Two different types of time are available:

Absolute time: this type requires you to directly provide a specific time. The execution time itself will not change, regardless of whether the switching point has been executed or not. Execution will only be withheld if the schedule or the switching point have been deactivated, or if the schedule has not correctly been linked to the day. This type of time is ideal when an execution time has been categorically defined.

Relative time: In this case, the effective execution time depends not only on the configured type of event, but also on the way models are positioned in the calendar, on the type of day (standard day or holiday), and a number of other factors. The execution conditions are described in detail in the Time types section. Basically, the execution point of time depends on a number of other factors, hence the "relative time" denomination. The interest in using this type of time is that, in the event where a reference needs to be modified, all related execution times will be updated automatically. However, there is also one disadvantage which users should bear in mind. Owing to the fact that the execution time is not directly displayed, times defined using this time type cannot be supervised as easily as absolute times. The switching point preview mode however provides a solution to this problem.

So, which time types should we use to meet the requirements of our task? To answer this question, let us briefly consider how and why various actions should be carried out and various elements switched on/off.

First of all, the horn. It should sound for 6 seconds whenever shifts and breaks start or end. The start of the horn tone is directly related to each shift or break; and indeed, we know when the shifts and breaks start and end. Thus, it should be possible to use these times directly. However, when a shift changes, these times must be adapted; therefore, other related times (e.g. silencing the horn) will need to be adapted likewise. This can be the cause of quite a few mistakes. By using the relative times Shift start, Shift end, Break start and Break end, any necessary adjustments will be performed automatically. To obtain a 6-second horn tone, we shall apply a 6-second offset to our user-defined event, which will define the horn deactivation.

The production lines lighting system. These depend directly on the shift times, and shall therefore be executed as Shift start and Shift end.

The production lines temperatures. These also depend directly on the shift.

The waste water pump. This element should be activated at specific intervals - every 6 hours - for 30 seconds. There is no specific relation to the shifts or breaks. Therefore, absolute times are definitely recommended here.

Now that we have analysed the various execution times, we can proceed to the configuration itself.


Step 11: Times for the schedule Hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 11: Times for the schedule Hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

We shall start by creating the starting time for the waste water pump operation. To do so, select the cell in the first row near the column Type of time. Open the relevant context menu, and select Create time grid; this opens a dialog, enabling you to create a time grid. Once you activate the checkbox As cyclic time, the additional fields are activated.

Fill in the required fields in the dialog according to the screen capture above. With our settings four absolute times are created. Midnight, 6:00 a.m., noon and 6:00 p.m.

30 seconds after activation, the pump must be switched off. Therefore, we shall now define another 4 switching times, applying, as we do so, a 30-second offset to the times we have already set. To obtain this offset, specify 00:00:30 as a start time.

We shall now proceed to configure the horn. Right-click on the table view to open the relevant context menu, and select Create time. A new absolute time has now been created. However, we now require a relative time. Switch over to the Type of time column in the same line, and change the time type to Relative. Now, if you change back to the column Time, the time indication disappears, and a list box containing the available relative events is activated. Select the event Shift start. The offset value remains 0, as the horn must be activated immediately at the start of the shift. The horn must not only announce shift starts, but should also sound at shift ends, break starts and break ends. Therefore, create 3 additional relative times with the matching relative events. The horn should be switched off 6 seconds after being activated. To configure this, add a relative time with the relative event Horn Tone to the list. Horn Tone is the user-defined event we previously defined. Specify a 0.1 minute offset, i.e. 6 seconds. This value defines the horn tone duration.

We shall now deal with the heating issue. Create 2 relative times - for the shift start, use offset values of -120 and -60, respectively.

We are still missing the activation times for the lighting system. Create 2 relative times - for the shift start, use an offset value of -10, and for the shift end, use an offset value of 10.


Step 12: Switching points schedule Hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 12: Switching points schedule Hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

We have used times to define moments at which events are executed, and must now define what will actually happen at the specified time. This is what switching times are used for.

Let us begin with the waste water pump. Select the absolute time 00:00:00. In the context neu click the entry Create switching point. A new line is added just after the selected time; this line represents the switching point. Switching points contain the following columns: Active, Type of link, Links, Action and Password. Let us take a quick look at these fields.

Active: This field enables you to deactivate a switching point. You can use it to block a switching point’s execution.

Type of link: This field specifies if a variable must be modified, for instance, or if a function must be performed. The other types of links are broached in the Switching point object section.

Links: According to the selected type of link, this field enables users to select the required variable or function.

Action: When the Variable link type is selected, this field contains the set value which must be written. When dealing with functions, this field is just as important as the Active field.

Password: Enables specific permissions to be requested for the configuration of the Runtime environment.

We shall now proceed to define the switching point. The currently selected column is Type of link. Select the item Variable from the list box. Now, change to the column Links. Select the Waste water pump from the list box. Now, change over to the column Action. In this column, specify a value of "1". This means that at 00:00:00, the set value will be set to 1 for the Waste water pump variable.

Now, create the following switching points, proceeding as described above:

  • 00:00:30 Variable: Waste water pump; Set value: 0
  • 6:00:00 AM Variable: Waste water pump; Set value: 1
  • 6:00:30 AM Variable: Waste water pump; Set value: 0
  • 12:00:00 PM Variable: Waste water pump; Set value: 1
  • 12:00:30 PM Variable: Waste water pump; Set value: 0
  • 6:00:30 PM Variable: Waste water pump; Set value: 1
  • 6:00:30 PM Variable: Waste water pump; Set value: 0

We shall now deal with the horn. As you recall, we have defined a number of relative times for the horn.
Shift start offset 0, Shift end offset 0, Break start offset 0, Break end offset 0 and Horn Tone offset 0,1.
Two switching points must be executed for the horn tone start and end, respectively. The first switching point activates the horn. The second switching point triggers the user-defined event Horn Tone.
The relative time Horn Tone must then deactivate the horn. So, let us proceed to create the required switching points. Unlike the waste water pump configuration above, this configuration uses 4 different times, thus requiring several switching points. For instance, for the time Shift start offset 0 we could activate the Create switching points function twice consecutively. However, a more convenient solution is provided. To do this select the time Shift start Offset 0. In the context menu activate Add switching points. The program now displays the Create switching points dialog. Select the function PFS Event [Horn Tone] and the variable Horn. Then click on Add to effectively add these to the results list. After you have clicked on OK, two switching points using the relevant Type and Link parameters will be created. You must still set the set value to 1 for the switching point variable Horn. Now, use the same method to define the switching points for the relative times Shift end, Break start and Break end. We shall now create the final switching point for the horn by defining for the relative time Horn tone a switching point which will sets the variable Horn to 0.

Info Informazioni

A decimal value can be entered with a colon as well as with a point, the decimal point will automatically be changed to a point.


Step 13: Schedule line I

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 13: Schedule line I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When we previously considered the facility's structure, we decided to deal with the temperature and lighting system in additional, lower-level schedules.

Thus, we shall now create the schedule for Line I. To do so, select the schedule Hall in the tree view. Open the context menu and select Create to activate the Schedule Properties dialog, as we have already discussed. The Name should be Line I, and we shall not add any variables to the contents already provided. This section will provide the opportunity to learn about the subsequent modification of variable and function links.

Select Line I in the new schedule and the variable list in the tree view. We link the variable Light i and Heating P I with the schedule via the context menu and Add variable.

When you select schedule Line I, all times defined in previous schedules are displayed on a grey background in the table. Times displayed on a grey background identify times that have been "inherited" from previously defined schedules. If a previously defined item is altered in the "parent" schedule, times in the "child" schedules will be updated automatically.

We shall now define the switching times for the Temperature and Lighting system elements. To do so, proceed as you did in the schedule Hall.


Step 14: Schedule line II

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 14: Schedule line II

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Create a new schedule, named Line II, with the identical purpose of managing switching points.


Step 15: Thoughts about calendar allocation

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 15: Thoughts about calendar allocation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Times defined in schedules are not related to any dates; these relations will be defined by allocating the times to days in a calendar. This allocation process must be carried out separately for absolute and relative times. Allocations can be carried out for each separate time model group.


Absolute times

When dealing with absolute times, the linking of the schedule to specific calendar days is a decisive element. In this case, the following types of links are supported:

Use schedule on this day.

Do not use schedule on this day.

Use schedule on this holiday.

Use schedule on weekdays.


Relative times

When dealing with relative times, the allocation of a model to a day is as decisive an aspect as the shifts defined within the model. In this case, the following types of links are supported:

Use model on this day.

Use holiday model if the concerned day is a holiday

Use model on weekdays.


Step 16: Execute calendar allocation

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 16: Execute calendar allocation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Select the entry Calendar in the tree view. The table now displays the current month. Each week has the lines Models - Hall I and Schedules - Hall I. Select the cell Schedules Hall I for Monday. Access the appropriate context menu, and select the Selecting schedules item to activate the schedule selection dialog. Select the schedule Hall, then click on the button Add to add this item to the results list. The complete identification Hall I. Hall, as derived from the schedule, is now displayed. Exit the dialog by clicking on OK; the Duration of series dialog is now displayed onscreen. Our schedule must be executed on a weekly basis, without any defined ending date, on days from Monday to Sunday. To define allocations to special days, access the Properties of the schedule Hall Calendar filling. This section also enables you to perform weekday allocation tasks. No calendar filling is necessary for schedules Line I and Line II, as these schedules do not use any switching points with absolute times.

Relative times will require model allocation tasks to be carried out, which we will proceed with as follows. Select the cell Model Hall I Monday. Access the appropriate context menu, and select Select model to activate the model linking dialog. Select the model Workday, then add this item to the results list. Click on OK to close the dialog; you will be asked to confirm whether this model should be defined as a default. Click on Yes: this model will now be linked to every Monday. If you click on No, the model will only be linked to this particular Monday. We shall activate this model for every Monday. You can now repeat this process for weekdays from Tuesday to Friday. However, a simpler possibility would be to access the page Properties - Calendar filling for time model group Hall I, and to proceed with allocations from there. Select the model Workday for weekdays ranging from Tuesdays to Fridays, and select the model Holiday for special days. If you now switch back to the calendar view, you will see which models are allocated to which days.


Step 17: Checking the engineering

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 17: Checking the engineering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Editor allows you to check over the current schedule configuration and calendar filling. To do so, you will use the switching point overview mode. This preview mode enables you to view any requested period of time, including past periods.


Step 18: PFS in the Runtime

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 18: PFS in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the Runtime environment, the activated switching points are processed and executed second by second. This process begins when the Runtime environment is started up, and remains active until the Runtime environment is closed.

The PFS also enables you to proceed to the entire configuration within the Runtime environment, which differs only slightly from the Editor.

The main differences are as follows:

  • Auhtorization for viewing, modifying, adding and deleting entries is active.
  • Context menu functions can be activated in the MDI window by means of switches.
  • The switching point preview mode displays user-defined events with reference to the event's existing triggering times.
  • Saving a modified configuration activates these triggering times instantaneously.

For our Runtime environment tests, we will configure:

  • A starting screen using the screen type Standard.
  • A PFS screen using the screen type Production and Facility Scheduler.
  • In the PFS screen, the default objects.
  • In the start screen, a button which activates the "Screen: Switch to" function to switch over to the PFS screen. We shall not broach filter settings at this point.
  • In the start screen, several display fields, which will be used to display the variables' states.


Step 19: Execution in the Runtime

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 19: Execution in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When executing an absolute switching point, date and time indications are decisive. Relative and absolute times, which bear no relation to dates, are defined - using the calendar filling process - in relation to absolute switching times. To proceed to our tests now, we will have to change the system time - the alternative being that you have a lot of time on your hands, and can afford to wait for the end of the day!

The PFS is well aware of any changes made to the time, and such alterations can therefore, according to the current configuration and actual change in time, generate diverse reactions. For proof, let us take a look at the Properties section of the Production & Facility Scheduler. The Time change page defines the way the PFS will react when the time is changed.


Positive time change

The Make up for switching points command initiates the execution of the switching points comprised in the period of time ranging from the command's execution to the corrected time, until the moment matching the new (i.e. corrected) time is reached.

The Recalculate switching points control initiates a recalculation of the switching points, proceeding from the corrected time onwards. Any switching points comprised in the period ranging from the command's execution time to the new (i.e. corrected) time are not executed.


Negative time change

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 19: Execution in the Runtime -> Negative time change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Reject switching points command does not initiate any new calculations; thus, switching points will only be executed again once the command's execution time (i.e. former time) has been reached.

The Recalculate switching points control redefines the absolute switching points, proceeding from the corrected time onwards. With this command, the switching points will be executed again.

The above statements related to time correction issues are only applicable as long as the Runtime environment has not been closed down. In the event of a restart, the calculation of all switching points will always occur on the basis of the current system time. In addition, any corrections made to the system time must be greater than the time tolerance defined in the program.

Bearing in mind the way the PFS reacts in the event of change of time, we recommend that you only "increase" (i.e. proceed to "positive" time changes) the time when attempting to check over a configuration you have created. If you need to reinitialise the time, close the Runtime environment, change the time, and restart the Runtime environment.

For the time being, restart the Runtime environment, and change the time. For the sake of testing, a particularly "exciting" moment occurs at 12 o'clock: at this time indeed, the horn must be activated for 6 seconds. Test this function.

As we have only one trigger defined for the Horn Tone user-defined event, only the execution time point appears in the switching point overview. Execution time point: 12:00:06.


Step 20: Resume

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 20: Resume

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Throughout these 20 steps, we have learned about the basics of the PFS. You should now be able to create your own PFS projects.

The separation of the switching times into 3 schedules is not mandatory; we proceeded this way in order to illustrate the possibility of using "inherited" (i.e. previously defined) times. Had we used only one schedule, the configuration process would have required fewer operations.

Here is a short recap of the required steps:

  1. Create user-defined events.
  2. Creating the time model group
  3. Create the models.
  4. Create the schedule.
  5. Create the absolute times.
  6. Create the relative times.
  7. Create the switching points.
  8. Link the schedule to the calendar for the absolute times.
  9. Link the models to the calendar for the relative times.


Advanced configuration in the Production andFacility Scheduler


Drag & Drop

The PFS offers Drag&Drop functionalities. This function allows users to quickly and simply move objects from one branch to another. Basically, this process is equivalent to a cut and paste operation. You must be aware that objects can only be moved towards objects of similar nature. The mouse cursor will visually indicate whether you can drop an object or not. If you attempt to drop an object on a forbidden target, the process is cancelled. This detail can prove useful, for instance if you have accidentally selected and started dragging an unrequested object to another branch in the tree view.


Filtering the PFS configuration

As the number of time model groups, models, schedules and switching times grows, you will find it harder to find a specific object, or to display a relevant detailed overview. A filtering function has been designed to lessen this problem. In the tree view window, select the Filter criteria item in the Production & Facility Scheduler context menu to activate the Filter dialog. You can read more specifically about the Filter dialog in the PFS filter dialog section; for the time being, we will concentrate on utilizing the function.

Filtering is only performed on the actual display of objects. An object which does not match the filter is not be displayed. However it still exist. This indication should clear any misunderstanding that may arise - for instance, when a new schedule is created, and its name is added to a filtered schedule. This situation will indeed display an error message stating that the specified name already exists.

If new objects are created that do not correspond to the filter, these remain visible until the display is next updated. For example, the creation of a time that is outside of the filter. As long as you do not exit the current schedule, this time will remain visible. However, when the screen is next updated, the specified time will disappear - but it nonetheless remains available. The filter is first reused when the display is called up again.

Linked schedules and models within the calendar can be filtered in the same way.


Mass processing

Now, who has never run into the following problem: All absolute times between 06:00:00 a.m. and 08:00:00 p.m. should be moved by 00:43:25. Then you sit there, calculate and correct all the times, and that perhaps for a dozen of times. Mass processing was integrated to the PFS in order to meet such requirements. This function enables users to make changes to selected cells on a specific schedule level, according to the required type of column. The problem we previously mentioned can therefore be solved with just a few mouse clicks and data inputs.

By using this function in conjunction with filters, you can efficiently reduce the number of elements you wish to modify.

The following columns support the mass processing function:

Parameters | Description
Type of time | Enables you to change the type of time used.
Time | For absolute times the time can be changed. To do this open the dialog Change time.
Offset | For relative times the offset can be changed. To do this open the dialog Change offset.
Active | Allows you to change the activation status.
Action | Depending on the type of link, the activation or the macro to be executed can be changed. To do this open the dialog Change value.


Structure schedules

Structure schedules are used to create a visual structure for schedules in the tree view. A schedule becomes a structure schedule when you activate the Structure schedule checkbox in the Schedule properties dialog.

Structure schedules have no allocated variables or functions, nor do they have any allocated times or switching points. Structure schedules can replicate lower-level additional schedules, thus visually creating a logical congruence with these.


Configuring Screen switch for PFS windows

When used on PFS screens, the filter dialog for the Screen: Switch to function allows you to define which type of data you wish to display, and to customise the table display accordingly.

Parameters | Description
Filtering the tree view | Select the object you wish to activate when switching to the screen. The object must match the defined filter criteria, or you must first deactivate the filter. Also refer to Tree view filter for Screen switch.
Filtering the table view | This function defines the table view format. Also refer to Table view filter for Screen switch.


Authorizations in the Runtime

Permissions can be granted for each object contained in the tree view, according to the concerned object's functionality. In the Runtime environment, the currently logged in user can only execute a function if he knows the appropriate password. Permissions are always object-related.

If a user does not have the rights to see an object, this object and all it sub-objects are hidden. Even if the user has rights for one of the sub-objects.

The permission required to modify an object includes the right to modify permissions.


Using the PFS in a network

The PFS can be installed within a network, in which case the execution of switching points will only occur at server level. If a standby server is available, it will process the switching point list appropriately, but will however not execute any of the switching points it contains. Process synchronisation is carried out according to the system's time.

The way in which the PFS reacts when changing from the standby to the server can be configured. The problem with such changes is that the standby server cannot tell when the last switching process from the server took place. This is why the setting Reject SB switch (accessible by successively selecting Properties, Time change in the Production & Facility Scheduler) was designed.

Reject switching points | When switching points are cancelled, the process continues onwards from the current position in the standby server. This can imply that a number of switching points may not be executed.
Recalculate switching points | Switching points are recalculated on the basis of the current time -30 seconds, and their execution then begins immediately. This can imply that a number of switching points may be executed twice.

When the server once again becomes available on the network and the standby server switches over to it, the server is synchronised using the current PFS data. This ensures that the execution of the switching points continues seamlessly.

Server | Executes switching points. Saves the current PFS configuration. Rejects changes made by clients (without confirmation) if the configuration changes have not been saved.
Client | Does not ensure any switching point execution. Project data can be edited. Receives notification whenever project data items have been changed following external changes made to the project. Triggering time points for user events are always defined according to the client's system time.
Standby | As long as the standby server is the client Reaction in the event of a changeover can be configured. Saves the current PFS configuration.


Converting projects

When a project created using a program version prior to version 5.50 is activated, the profiles contained in the structure schedules are converted. Profiles are no longer supported in version 5.50 or later versions. For each profile, a structure schedule is created, containing the linked schedules. The linked schedules contain all the times which fall within the profile's activation/deactivation times.

The day information contained in the profile schedule is input into the calendar.

The configuration process can be viewed in the Editor's output window.


VBA interface

The PFS contains a VBA interface, which is integrated to the VBA object Project. In addition, switching points can be linked to a VBA macro of the Execute_Value type. In this case, the switching point is applied as a parameter to the VBA Macro.

Further, the VBA Macro is responsible for performing switching processing tasks.


Object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Objects contain the configuration which users have defined for them. Two types of object types can be identified:

Editable object types and Fix defined object types


Fixed object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Fixed object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Provided that the previous object (i.e. 'parent object') has been created and that the relevant display permission has been granted to users, these object types are always available. They cannot be moved, renamed or deleted. If these objects are masked, all the related 'child objects' also become unavailable.
E.g.: Time model groups always contain the fixed object types Schedules and Time models.


Editable object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Editable object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

These object types are created according to the number of objects required during the configuration process.


Production and Facility Scheduler object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Production and Facility Scheduler object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This constitutes the root object type for the whole of the PFS. Any settings defined in this object are then applied to the whole of the PFS. This is a fixed-type object.

Parameters | Description
Save | Saves the changes you have made. In the Runtime environment, all parameters are saved in the Runtime data, and a new calculation of the switching points is performed on the basis of the modified configuration.
Reject | After you have validated your choice by closing the confirmation dialog, all the changes you have made will be rejected. Please be aware that no cancellation is possible!
Properties | This item displays the settings pages for the PFS Properties section.
Switching point preview | Activates the switching point preview mode.
Filter criteria | Activates the Filter dialog.
Help | Activates the online help.


Object time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This object contains all time model groups defined in the PFS. This is a fixed-type object.

Parameters | Description
Function new ... | Creates a new time model group and displays the Properties page for the new time model group.
Paste | If a time model group is currently stored in the clipboard, it can be pasted as a copy. When copies are created, their name is extended with a number, thus maintaining the uniqueness of their designation.
Permission | Activates the object's rights dialog.
Help | Displays online help.


Object editable time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object editable time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Time model groups contain their specific schedules and time models. In addition, these objects allow users to define fundamental settings related to relative switching times.

In the calendar, users can allocate schedules and models to each day for each time model group listed.

Each time model group always contains the Schedules and Time models fixed object types.

Parameters | Description
Copy | Copies the selected time model group or groups to the clipboard.
Rename | In the tree view the identification of the time model group changes to the edit mode. Only the identification can be changed. The new designation provided must be unique throughout the whole of the PFS environment.
Delete | Deletes all selected time model groups after a safety dialog requests you to confirm your choice.
Properties | Displays the page containing the time model group.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Schedule object

This object contains all schedules of 1. order. This is a fixed-type object.

Context menu

Menu item | Action
Function new ... | Creates a new schedule.
Paste | Pastes a schedule from the clipboard.
Permissions | Opens the authorization dialog.
Help | Opens the Onlinehelp.


New schedule context menu

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Schedule object -> New schedule context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
Function new ... | Creates a new schedule.
Copy | Copies selected schedules.
Cut | Cuts selected schedules.
Paste | Pastes schedules from the clipboard.
Inactive/Active | Switches between active and inactive for selected schedules.
Rename | Makes it possible to rename the schedules.
Delete | Deletes the selected schedules after a confirmation message.
Properties | Opens the window Properties for the selected entry.
Permissions | Opens the authorization dialog.
Help | Opens online help.


Context menu time display new schedule

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Schedule object -> Context menu time display new schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The displayed menu items depend on the area in which the right-click was carried out. Entries which are not displayed all the time receive the additon (optional).

Menu item | Action
Create time grid | Opens the dialog for creating a time grid.
Create time | Inserts a new time in the list.
Create switching point | Creates a new switching point.
Creating switching points | Opens the dialog for creating several switching points.
Delete time | Deletes the selected time.
Delete switching points | Deletes the selected switching point.
Change time(optional) | Opens the dialog for changing the time.
Absolute point of time(optional) | Activates option Relative point of time
Relative point of time(optional) | Activates option Absolute point of time
All values active(optional) | Sets valueactive.
All values inactive(optional) | Sets valueinactive.
Help | Opens online help.


Editable schedule object

Schedules are the core of the PFS. They contain the times and switching points necessary to the execution of important objects.

Schedules can be replicated into new schedules, in which case the "child" schedules "inherit" any times defined in the "parent" schedules. No limitations apply to the multiple schedule's organisational depth.

Parameters | Description
Function new ... | Creates a new "child" schedule, and displays the relevant settings page.
Copy | The selected schedules are copied to the clipboard.
Cut | The selected schedules are cut and placed in the clipboard. Cut schedules are identified in a special manner, and will only disappear fully once they have been inserted (i.e. pasted) in another schedule. A schedule which you have cut cannot be pasted into itself or into the schedule located directly above it.
Paste | Inserts (i.e. pastes) schedules from the clipboard. The inserted schedule's designation is then modified, in order to preserve the uniqueness of each schedule's name.
Inactive/Active | Activates or deactivates the schedule. Switching points contained in deactivated schedules will not be executed!
Rename | Allows users to change the schedule's name. The new designation must be unique throughout the schedule level.
Delete | Deletes the selected schedules and their "child" schedules, after asking you to confirm your choice by answering a safety question.
Properties | This command displays the settings pages for the Schedule properties section.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Functions list object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Functions list object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This object contains the array of functions related to the schedule. Only functions related to a schedule can indeed be used in said schedule. This is a fixed-type object.

Context menu function list

Menu item | Action
Add function | Enables users to allocate a new function to the schedule. When the list of defined functions appears onscreen, select the required function and validate it by clicking on OK.
Insert | Inserts (i.e. pastes) functions from the clipboard into the list.
Permissions | Opens the authorization dialog.
Help | Opens online help.

Context menu function

Menu item | Action
Copy | Copies selected functions.
Cut | Cuts selected functions.
Replace function | Opens the dialog for replacing selected functions.
Delete function | Deletes selected functions from the list.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Object time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Times define the time point at which linked switching points must be executed.

Two different types of time are available:

  • absolute
  • relative

Previously defined times are replicated in "child" schedules, in which they are displayed on a grey background.


Absolute time type

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Absolute time type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Times are directly defined in the Time field. If the schedule is linked to a specific day, any active switching times linked to the absolute time point are executed. The Offset field is of no importance here.

The time model group cycle and model allocation fields are not used here either.


Time type relative

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Time type relative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For this time type an event is selected at the time. This event is changed to an absolute switching point in the preview or in the Runtime. The criteria according to which the absolute switching point is created, depends on the event and the related engineering. An offset can be specified for each event, and will delay the execution time point accordingly.

Parameters

Description

Start of cyle

Performed daily at midnight.

Start of cycle without production

Activated on days which are not linked to any shift. The time point is the start of the day for the relevant time model group.

A day is also considered to be without production when, for instance, the last shift ends at only 02:00:00 on the same day.

Start cycle with production

Activated on days for which at least one shift has been defined. The time point is the start of the day for the relevant time model group.

Begin of production

This event is executed at the start of the first shift, provided that the first shift follows a day without production.

End of production

This event is executed at the end of the last shift, provided that the last shift is followed by a day without production. Thus, if further production is scheduled to take place on the following day, the shift at the end of the day is not considered as an end of production.

Start of shift

This event is executed at the start of each shift.

End of shift

This event is executed at the end of each shift.

Start of break

This event is executed at the start of each break.

End of break

This event is executed at the end of each break.

User-defined event

Various previously defined user-defiend events can be allocated. The switching point will be initiated when the trigger event related to the user-defined event occurs.

Shift start first shift

Executed at the start of the first shift in the time model group's cycle.

Shift end last shift

Executed at the end of the last shift in the time model group's cycle.

Shift-free start

Activated at the end of the shift, if the start of the next shift occurs with an offset greater than 1 second.

Shift-free end

Activated at the start of a shift following a shift-free period of time.

Shift-free start without production end

Activated at the start of a shift-free period of time, provided that no End of production is scheduled immediately after.

Shift-free end without production start

Activated at the end of a shift-free period of time, provided that no Start of production is scheduled immediately after.

Shift start first shift without production start

Activated at the start of the first shift, provided that no Start of production is scheduled simultaneously.

Shift end first shift without production end

Activated at the end of the last shift, provided that no End of production is scheduled simultaneously.

Shift start without production start

Activated at the start of the shift, provided that no Start of production is scheduled simultaneously.

Shift end without production end

Activated at the end of the shift, provided that no end of production is scheduled simultaneously.


Offset

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When working with relative times, the execution time point can be modified by means of an offset. An offset cannot be greater than +/- 1 day -1 second. When working with user-defined events, only positive offsets can be specified. The offset is specified in minutes, seconds being defined after the decimal point with a precision of 1/100th of a minute.

Parameters | Description
Create time grid | This command displays the settings page required for the cyclic creation of an absolute time.
Create time | Creates a new time.
Create switching point | Creates a new switching point at the given time.
Creating switching points | Enables users to define switching points for several variables or functions within once same task, if no switching points have previously been defined.
Delete time | Deletes the selected times, including all related switching points.
Delete switching points | Deletes the selected switching points.
Absolute time | Changes the type of time to Absolute.
Relative time | Changes the type of time to Relative.
Help | Activates online help.


Context menu time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Context menu time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu items not broached here are identical to those described in the Time type context menu section.

  • Change time: This menu item activates the time change dialog.


Object switching point

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The switching point defines the action to be executed once the execution time point is attained.


Active

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This setting enables users to authorise or block the execution of a switching point.


Link type

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Link type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The type of link defines which element must be executed. The following types of links can be specified:

Parameters | Description
Variable | The set value is defined using the value specified for the action.
Function | The function specified for the action is executed.
VBA Macro with Variable | The macro defined in Macro -> Browser -> ModuleScheduler -> ExecuteValue referring to the specified variable is executed.
VBA Macro with function | The macro defined in Macro -> Browser -> ModuleScheduler -> ExecuteValue referring to the specified function is executed.


Links

Contains the list of the variables or functions linked to the schedule.


Action

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Action

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

According to the selected link type, the cell has the following significance:

Parameters | Description
Variable | The set value which must be defined for the relevant variable.
Function | Contains the state of the Active parameter.
VBA Macro with Variable | Name of the macro which must be executed.
VBA Macro with function | Name of the macro which must be executed.


Authorizations

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Authorizations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Necessary authorization level needed for editing in the Runtime.


Object time model

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This object contains all the time models defined for the current time model group. This is a fixed-type object.

A time model contains the definition of the shifts and pauses which are required for the relevant relative events.

Context menu time model

Menu item | Action
New time model | Creates a new time model.
Paste | Pastes time models from the clipboard.
Permissions | Opens the authorization dialog.
Help | Opens online help.

Context menu time model

Menu item | Action
Copy | Copies the selected models.
Cut | Cuts selected models.
Rename | Makes it possible to rename the time model.
Delete | Deletes selected models.
Permissions | Opens the Permissions dialog.
Help | Opens online help.


Context time model group

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model -> Context time model group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Context time model group

Menu item | Action
Function new ... | Creates a new time model. When creating a new time model, you can immediately specify a new and unique name for it.
Paste | Inserts (I.e. pastes) time models from the clipboard to the list.
Permissions | Opens the authorization dialog.
Help | Opens online help.

Context menu time model

Menu item | Action
Save | Saves changes in the engineering of the PFS.
Reject | Rejects all changes since the last time the PFS has been saved.
Properties | Opens the window Properties for the selected entry.
Switching point preview | Opens the switching point preview dialog.
Filter criteria ... | Opens the dialog for selecting filters.
Help | Opens online help.


Editable models object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Editable models object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Object shift

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object shift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A time model contains the defined shifts. Shifts are required to execute relative events. Shifts must not overlap, and must be defined within the limits of the time model group cycle.

Shifts are displayed on a grey background in the table view.

Parameters | Description
Create shift | Creates a new shift.
Create break | Creates a new break during the shift.
Delete shift | Deletes the selected shift, including all related breaks.
Help | Opens online help.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.


Break object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Break object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Several breaks can be defined for one same shift. Breaks must not overlap, and must be defined within the shift.

Parameters | Description
Create break | Creates a new break during the shift.
Delete break | Deletes the break during the shift.
Help | Displays online help.


Object event

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This object contains various user-defined events for the PFS. This is a fixed-type object.

Parameters | Description
Function new ... | Creates a new user-defined event. When creating a new user event, you must specify a new and unique name for it.
Paste | Inserts (i.e. pastes) user-defined events from the clipboard.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Object user event

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object user event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

User events are events created by the user. These are defined for the whole of the PFS environment. User events are initiated when a triggering time point is input by means of the Execute PFS event. The number of user events is only limited by the available disk space or memory.

Owing to the missing required triggers, the Editor does not display user events in the switching point preview mode. In the Runtime environment, triggers are kept in the memory for 14 days at most to allow previous switching points to be analyzed. When the Runtime environment is closed down, these triggers are deleted.

The table view window contains a list of all the defined user events (displayed on a grey background) as well as the schedules they are linked to.

Context menu event

Menu item | Action
Function new ... | Creates a new user event.
Paste | Pastes a user event from the clipboard.
Permissions | Opens the Permissions dialog.
Help | Activates online help.

Context menu user event

Menu item | Action
Copy | Copies the selected user event to the clipboard.
Rename | Enables users to specify a new name for the required user event.
Delete | Deletes the selected user events.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Object calendar

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The absolute and relative switching times defined in a schedule bear no actual relation to days, as only times are defined for them. The calendar enables users to define on which days a specific schedule must be executed. To this end, users can allocate an active model and active schedules to each day, for each time model group listed.

The calendar offers various views, which can be selected according to the level of detail required for the information.

Context menu calendar

Menu item | Action
Function new ... | Creates a new calendar.
Paste | Pastes a calendar from the clipboard.
Permissions | Opens the Permissions dialog.
Help | Activates online help.

Info Informazioni

In the calendar you can define single days as special days. On these days the schedules defined for special days are carried out. Every day (Monday to Sunday) can be defined as special day.


Absolute time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Absolute time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to execute absolute switching points on a specific day, the relevant schedule must be linked to the required day. To do so, select the Schedules cell on the required day. Open the context menu to access the schedule selection dialog, and create the link. The linked schedule identification is input into the cell. In Day view, these schedules can be displayed in full detail.


Relative time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Relative time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When executing relative times in conjunction with absolute switching points, the way a model is linked (or not) to a specific day is a decisive element. The calendar day always starts with the start of day defined for the time model group. Should the time model group's cycle extend beyond the day, any times defined prior to the start of the day are considered to belong to the previous day.

For instance: Start of day, 02:00:00 - End of day, 01:59:59. When only one user-defined event trigger occurs on Monday 15.10.2001 at 00:30:00, the model defined for Sunday 14th shall be used. If the trigger in fact occurs around 02:00:00, the model defined for Monday shall be used.

e.g.: Start of day, 06:00:00 - End of day, 21:59:59. When only one user-defined event trigger occurs on Monday 15.10.2001 at 00:30:00, the model defined for Monday 15th shall be used.


Month view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Month view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The month view aims to display the complete month in the calendar window. Should the available display space not be sufficient, the interface will attempt to display the current day in the window. The large display area is designed to allow a quick overview.

Double-click on a schedule cell to open the relevant schedule(s) in the table view, where you can edit it (or them).

Context menu month view

Menu item | Action
Selecting models | Opens the dialog for selecting a model.
Select schedules | Opens the dialog for selecting schedules.
Day view | Switches to daily view.
Week view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Display previous element | Displays the previous element.
Display next element | Displays the next element.
Help | Activates online help.


Weekly view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Weekly view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The weekly view displays the allocation pattern on a weekly basis.

Context menu weekly view

Menu item | Action
Selecting models | Opens the dialog for selecting a model.
Select schedules | Opens the dialog for selecting schedules.
Day view | Switches to daily view.
Weekly view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Display previous element | Displays the previous element.
Display next element | Displays the next element.
Help | Activates online help.


Day view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Day view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Day view offers detailed information about the way schedules are linked to days.

Context menu daily view

Menu item | Action
Select schedules | Opens the dialog for selecting schedules.
Show schedule | Opens the selected schedule in a new window.
Day view | Switches to daily view.
Week view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Display previous element | Displays the previous element.
Display next element | Displays the next element.
As default | The schedule must systematically be executed on the current weekday.
As single day | The schedule is executed on this day only.
Delete | When a schedule is defined as a default, an exception is made for this day. In the event of an execution on this day only, the single-day execution will be deleted.
Help | Activates online help.


Types of model allocations

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Types of model allocations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When using models, the following allocation types can be defined:

Use model on this day.

Use holiday model if the concerned day is a holiday

Use model on weekdays.


Schedule allocation types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Schedule allocation types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Schedules can be allocated to days as follows:

Use schedule on this day.

Do not use schedule on this day.

Use schedule on holiday, if the concerned day is a holiday

Use schedule on weekdays.


Model allocations in the Calendar view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Model allocations in the Calendar view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Models can also be allocated directly in the Calendar view. Once you have selected the cells to define the models you wish to use for a specific time model group and day, the various models available for the time model group are listed. Select a model to allocate it to the current day. When you exit the cell, the PFS will ask you to confirm whether or not you wish to use the selected model as a default model for that day.


Model context menu

This context menu can be accessed by right-clicking on the Model field in the monthly and weekly calendar view window.

Parameters | Description
Selecting models | Opens the model selection dialog.
Show model | Activates the table view Edit model.
Day view | Switches over to Day view.
Week view | Switches over to Week view.
Go to today | Switches over to Day view for the current date.
Switch to date | Switches over to Day view for the selected date.
Previous element | Accesses the previously displayed element.
Next element | Accesses the next element.
As default | Defines the current model as a standard model for the weekday for the current time model group.
Delete | Deletes the model allocation for the selected day. If the allocation concerns the standard model selected for the day, the weekday allocation for the time model group is deleted.
Help | Activates online help.


Context menu schedule

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object calendar -> Context menu schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To activate this context menu, select the schedules' cell for a specific day, and right-click on a time model group. The menu items not specifically broached here are identical to those described in the Model context menu section.

Parameters

Description

Select schedules

Opens the schedule selection dialog.

Show schedule

Activates the table view Edit schedule.

As default

The schedule is entered as default for the selected week day.

As single day

The schedule is executed on this day only.

Delete

Opens a dialog for selecting what should be deleted:

  • Delete all elements: All schedule of this type are deleted.
  • Delete only this element: For this element an exception is created for the selected day.


Variable list object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Variable list object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This object contains the array of variables related to the schedule. Only variables related to a schedule can indeed be used for the relevant switching points. This is a fixed-type object.

Context menu variable list

Menu item | Action
Add variable | Adds a new variable to the schedule. This is also possible during Runtime.
Insert variable | Inserts (i.e. pastes) variables from the clipboard.
Permissions | Opens the authorization dialog.
Help | Opens online help.

Context menu variable

Menu item | Action
Copy | Copies selected variables
Cut | Cuts selected variables.
Replace variable | Opens the dialog for replacing selected variables.
Delete variable | Deletes selected variables from the list.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Object variable

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Variable list object -> Object variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The set value of variables linked to a schedule can be modified using the switching points.

Parameters | Description
Copy | Copies the selected variables to the clipboard.
Cut | Copies the selected variables to the clipboard, and marks them for deleting. The variables are only deleted once they have effectively been inserted into another schedule. Switching points using these variables will be deleted.
Replace variable | Allows users to replace a variable with another variable. If the new variable is already available in the schedule, the original variable is deleted. All switching points using the original variable are transferred to the new variable.
Delete variable | Deletes the variable allocation link to the schedule. Switching points using these variables will be deleted.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Functions object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Functions object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Functions linked to the schedule can be allocated at the level of the switching points, and executed this way.

Parameters | Description
Copy | Copies the selected functions to the clipboard.
Cut | The selected functions are copied to the clipboard and are marked for deletion. The functions are only deleted once they have effectively been inserted (i.e. pasted) into another schedule. Switching points using these functions will be deleted.
Replace function | Allows users to replace a selected function with another function. All switching points using the source function are modified in order to match the target function. If the target function is already linked to the schedule, the source function's allocation is deleted.
Delete function | Deletes the function's allocation link to the schedule. Switching points using this function will be deleted.
Permissions | Opens the Permissions dialog.
Help | Activates online help.


Properties

Manuale -> Production and Facility Scheduler (PFS) -> Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to configure the properties of the Production & Facility Scheduler:

  • right-click Production & Facility Scheduler in the detail view of the project manager
  • select Properties in the context menu
  • select the tab you want to edit
    • Time change: offers settings for switching between daylight saving time and standard time
    • Holidays: configures holidays
    • Table color: defines the colors of the switching points
    • Record shift times: make it possible to record shift data


Time change

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Time change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This page defines the PFS' reaction in the event where the system time is changed (e.g. summer time to winter time).

Possible options are:

Parameters | Description
Positive time change | The time is set ahead, the Systemtime is set into the future (e.g. summer time)
Make up for switching points | Actions between the current time and the newly set time, are executed directly after the time setting.
Recalculate switching points | Actions between the current time and the newly set time, are ignored and not executed. Switching points are recalculated.
Negative time change | The time is set back, the system time is set into the past (e.g. standard time)
Reject switching points | Switching points are recalculated. Switiching points are calculated when the original time is reached.
Recalculate switching points | Action, between the current time and the newly set time, are recalculated. (That means that when the defined time is reached, they are executed.) This causes a double execution of swithing points in the corrected time period.
SB Switch | Standby Server switch, valid for timeout during redundance switch.
Reject switching points | The execution of switching points starts according to the current position of the Standby. Switching points in the switching period might not be executed.
Recalculate switching points | The switching points are recalculated and exectued according to the new time. This might cause a double execution of switching points.
Tolerance zone for time deviation | Tolerance, in how far the systemtime can be changed, without causing a recalculation of switching points according to the criteria described above.


Holidays

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Holidays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This page is used to select country-specific holidays.

The base data for the official holidays are in file Holidays.txt in folder %programdata%\COPA-DATA\zenon[Version]. It can be edited with a text editor.

Entries specific to a country begin with the country's identification, enclosed in angle brackets, followed by a key number as in Microsoft Office. The definition of holidays can be found in the following line, the name and date of the holiday.

For example:

[Austria] 45

All Saint's Day, 2006/11/1

All Saint's Day, 2007/11/1

All Saint's Day, 2008/11/1

All Saint's Day, 2009/11/1

All Saint's Day, 2010/11/1

All Saint's Day, 2011/11/1

All Saint's Day, 2012/11/1

Ascension Day, 2006/5/25

Ascension Day, 2007/5/17

Ascension Day, 2008/5/1

Ascension Day, 2009/5/21

Ascension Day, 2010/5/13

Ascension Day, 2011/6/2

Ascension Day, 2012/5/17

Assumption Day, 2006/8/15

Assumption Day, 2007/8/15

Assumption Day, 2008/8/15

Assumption Day, 2009/8/15

Assumption Day, 2010/8/15

Assumption Day, 2011/8/15

Assumption Day, 2012/8/15

...


Table colors

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Table colors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This section defines the colors used to represent switching points in the calendar.

Possible options are:

Parameters | Description
Days |
Default | Calendar day without any specific characteristics.
Special day | Date is a holiday.
Change day light saving time -> standard time | Date of the change from day light saving time to standard time.
Change standard time -> day light saving time | Date of the change from standard time to day light saving time.
Time models |
Default | Time model used for this weekday is active.
Exception | Use time model on this day only.
Special day | The specific time model for holidays is being used.
Schedules |
Default | The schedule is active on this weekday
Special day | Schedule is active on this special day
Skip | Schedule is not active on this day only.
Single day | Schedule is active on this day only.
Multiple entry | Several properties match this day.


Record shift times:

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Record shift times:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the Production & Facility Schedule you can save and archive shift data. Every finished shift is stored in a SQL database.

attenzione Attenzione

For historic shift data to be saved in a SQL databse, the respective time model group must be linked to an equipment model group.

The saved data can also be evaluated with the zenon Analyzer.

In order to activate the saving of shift times:

  • right-click Production & Facility Scheduler in the detail view of the project manager
  • select Properties in the context menu
  • select the tab Record shift times

  • activate the property Activate recording
  • select the SQL database in which you want to store the data
  • the table name is created after the following pattern: ProjectGUID_SHIFT_GUID of the equipment group
    For example: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1
  • create a link between the time model group of the shift and an equipment model group

    Note: If several equipment model groups are linked, historic shift data are saved in several tables. If the link of a equipment model group to a time model group is changed, a new table is created. At this no data of the existing table is taken over. The existing table is however not deleted.

In the Runtime the shift data are cyclically controlled and the shifts and breaks which have been finished since the last saving operation are stored in the database. The shift data are always saved at the active server. Breaks are only saved if the shift is finished and saved; as breaks contain the shift ID.

At the start of the Runtime all finished shifts and breaks which have occurred since the last saving operation are transferred to the database. Even over a period of days or weeks. If the Runtime is started on the Standby and the Runtime does not run on the Server or cannot be reached there, the Standby fills the database with the data since the last saving.

Note: Not true for simulation mode.

List of shift recording

The list contains the following columns:

Column headers | Type | Contents
ID | int | Primary key.
REFERENCE | nvarchar(128) | Saves GUID of the shifts and breaks.
VISUALNAME | nvarchar(128) | Name of the shift or the break.
START | datetime | Starting point of the shift or break in UTC. Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.
END | datetime | End point of the shift or break in UTC. Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.
BREAK | Boolean | TRUE if it is a break.
PARENT_ID | int | Name of the shift if it is the name of a break.
SAVETIME | int | Time the saving operation to the database took place.

Error messages

If the database cannot be reached, the following entry is created in the Diagnosis Server:

Error when opening data connectionn in CFpmStorage::OpenDataConnection with HRESULT: 80040154


Link database

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Record shift times: -> Link database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il dialogo per la connessione di una banca dati viene dal sistema operativo.

Come avviene di regola la connessione con la banca dati, lo potete vedere nel prossimo esempio. Le informazioni concernenti le singole impostazioni, le ottenete per ogni scheda cliccando sul pulsante Help tramite la funzione help di Microsoft.

  1. il dialogo si avvia con la scheda Connessione
  2. aprite la scheda Generale

  3. selezionate il Provider Microsoft OLE DB Provider for SQL Server
  4. riprendete questa impostazione cliccando due volte oppure con un semplice clic sul pulsante Avanti
  5. si apre la scheda "Connessione"

  6. selezionate il server fra quelli della lista a cascata
  7. selezionate l´informazione di registrazione, di regola la sicurezza integrata
  8. selezionate la banca dati da
    Consiglio: il GUID del progetto lo trovate nelle proprietà di progetto ID progetto nel nodo Generalen

    Interno ID: Link database

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Link database

    ID progetto

    Ogni progetto è identificato tramite un GUID unico. La proprietà non può essere modificata.
    Questo è inoltre il nome della sottodirectory SQL dove risiede il progetto.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  9. cliccate su "Test di connessione"
    • facoltativamente potete configurare nella scheda Estesa le impostazioni di rete, timeout e diritti di accesso (per questa connessione ciò di regola non è necessario)
    • facoltativamente potete configurare singoli dettagli nella scheda Tutti (per questa connessione ciò di regola non è necessario)
  10. confermate cliccando su OK
  11. la connessione con il server SQL viene registrata


Link of a equipment model

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Link of a equipment model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To link an equipment group with a time model group:

  1. select the time model group
  2. Select the Property command in the context menu
  3. the settings dialog of the time model is opened
  4. select Equipment modeling tab

  5. select the desired equipment group
  6. add it via button Add
  7. confirm by clicking OK as soon as you have added all desired equipment groups

Note: The linking of equipment model groups with time model groups is the requirement for recording shift times in a SQL data base. If several equipment model groups are linked, historic shift data are saved in several tables. If the link of a equipment model group to a time model group is changed, a new table with the GUID of the new equipment model group is created. For this, the following applies:

  • The data of the existing table are not taken over.
  • The existing table is however not deleted.


Editable time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The properties of the time model groups make it possible to adjust the time model group cycle times and to make model allocations. To open the dialog, access an existing time model group's context menu and click on menu item Properties ....


Time model group properties

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups -> Time model group properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This settings page contains the designation and the time model group cycle information.

The following settings can be defined:

Setting | Description
Description | Defines the time model group's name. This field cannot be left empty, and the designation provided must be unique throughout the PFS environment.
Start of day | Defines the start of the day for this time model group.
End of day | Defines the end of the day for this time model group.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.


Default allocation of the models

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups -> Default allocation of the models

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This settings page enables users to specify a default model to be used on each weekday, as well as on holidays.


Editable schedules

The settings page enable users to configure schedules, and to proceed to calendar-filling operations. To open the dialog box, access an existing schedule's context menu and click on the Properties item.


Time context menu

This page enables users to configure the schedule, and to allocate the available variables or functions to the schedule.

Parameters | Description
Description | Displays the schedule's name. This name (i.e. designation) must be unique throughout the whole of the schedule's level.
Schedule active | Switches the schedule to active or inactive mode. Switching points contained in inactive schedules will not be executed.
Structure schedule | A structure schedule does not comprise any allocated functions or variables. It is only used to structure the schedules.
Function list | Contains the functions which have been linked to the schedule. Processing is carried out as usual with Functions objects.
Variable list | Contains the variables which have been linked to the schedule. Processing is carried out as usual with Variables objects.


Calendar filling

This settings page enables users to perform the weekday allocation process for the schedule.

Calendar filling

Activates the schedule for the relevant weekday. For more information, please also refer to the Calendar section.


Dialogs

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


PFS switching point preview

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> PFS switching point preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Production & Facility Scheduler context menu enables users to access the switching point preview mode.

The switching point preview mode is a powerful diagnosis tool enabling users to check over the PFS configuration. It defines and displays, according to the selected filter criteria, absolute and relative switching points and absolute execution times. Therefore, it enables users to assess the effects of the changes they have made before they actually apply them to the equipment. This preview can also be used to display a history of times. The definition is always performed on the basis of the current configuration.

User-defined events can not be executed in the Editor. In the Runtime environment, trigger time points for user-defined events are kept in memory for 14 days at the most; therefore, the history of execution times can only be traced back in time over this period of time.

You can also filter the configured objects, for instance if you only wish to search within a specific schedule.

When you close the dialog by clicking on OK, the settings you have defined are saved, and will remain available until the next time you open access the dialog.

Search dialog in text fields

Fields Time model group, Schedule, Variable and Function support wildcards at the filtering:

fill-in | Meaning
Text | The naming have to be Text
*Text | The naming have to end with Text
Text* | The naming have to start with Text
T??t | Any character is possible on second and third place.

Property

Description

Selection of the filter criteria

Time model group

Defines the filter to use with the equipment you are examining. Only switching points inherent to the relevant equipment will appear in the preview.
ATTENTION: Input is case sensitive!

Schedule

Defines the filter to use with the schedule you are examining. Only switching points inherent to the relevant schedules will be displayed in the preview window.
ATTENTION: Input is case sensitive!

Variable

Defines the filter to be applied to the variables you are searching. Only switching points linked to relevant variables and matching the criteria defined in the mask will be displayed in the preview window.
ATTENTION: Input is case sensitive!

Function

Defines the filter to be applied to the functions you are searching. Only switching points linked to relevant functions and matching the criteria defined in the mask will be displayed in the preview window.
ATTENTION: Input is case sensitive!

Filtering of

Selection of the data which are used for the creation of the preview via drop-down list:

  • editable data
    considers the changed data for determine the preview. The preview thus enables you to check over your configuration before saving any new settings.
  • saved data
    creates the preview on the basis of the configuration used for the switching points execution.

Switching point criteria

This option enables you to define the period of time for which you wish to create a preview.

Preview

Starts defining execution times according to the established criteria.

Contains the table with the switching points which are executed throughout the specified period and match the filter criteria. Deactivated switching points or switching points contained in deactivated schedules are highlighted.


PFS filter dialog

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> PFS filter dialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The filter dialog enables you to reduce the number of visible objects in the PFS to the objects matching the filter criteria.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

The filter function enables you to fill in a filter mask to isolate certain types of objects. When a filter is activated, the filtered branch is identified with a funnel symbol, designating the filtering process. The filtering function is case-sensitive.

Fields Time model group, Schedule, Variable and Function support wildcards at the filtering:

fill-in | Meaning
Text | The naming have to be Text
*Text | The naming have to end with Text
Text* | The naming have to start with Text
T??t | Any character is possible on second and third place.

When "child" objects match the filter criteria, the "parent" objects are also displayed, even if they do not match the criteria defined in the filter. The exception to this rule is the time model group. If the time model group filter does not match the time model group criteria, the whole of time model group is masked, even in the event where some lower-level objects indeed match the filter criteria.


Permissions

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Permissions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

These enable you to define the user password level required to perform the relevant actions on the object. If the object does not support a specific functionality, this setting is locked.

If the permissions are edited in the Runtime environment, these can then only be modified on levels at which the logged in user currently owns permissions.

Permissions are only taken into account in the Runtime environment.

Parameters | Description
Display | These levels enable users to display an object and all its related lower-level branches.
Function new ... | These levels enable users to authorise or block the creation of lower-level objects.
Change | These levels enable users to modify the object's settings or permissions.
Rename | Levels allowing renaming operations.
Delete | Levels enabling users to delete an object and all its related lower-level branches.


Cyclic creation of switching times

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Cyclic creation of switching times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This dialog enables you to create, in one single process, several absolute switching times within a defined period of time for a specific, configurable domain.

To open the dialog , access an existing schedule's context menu in the table view, and click on the "Create time grid" item.

Parameters | Description
Cycle/Time | Defines the time or the creation grid.
As cyclic time | When this option is activated, several switching times can be created.
Password level | Is not yet supported! Should be 0.
Start time | Time with which the creation process begins.
End time | Time with which the creation process ends.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.


Schedule selection

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Schedule selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This dialog enables you to select schedules which shall be linked to a day. When you select the required schedules and add these to the list, the schedules are then inserted into the list of linked schedules.

To open the dialog , access the calendar Day view's context menu, and click on the Selecting schedule item.


Schedules activation time period

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Schedules activation time period

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This dialog enables you to define the required schedules for a specific period or time, or to select them according to a model in the calendar.

To open the dialog:

  1. right click a line or cell with schedule in the calendar view
  2. select Select schedules in the context menu
  3. the dialog for selecting schedules will be opened

  4. highlight the desired schedules and confirm them by clicking OK
  5. the dialog for setting the duration of series is opened

Parameters

Description

Duration of series

Settings for the duration of series.

No end date

Execution starts with creating the series and does not have an end date (default setting).

Series is executed weekly.

Starts on

Date for start.

Ends on

Date for end.

Serial pattern

Type of execution.

Detail field

Options for serial pattern depending on the selection of:

  • Daily
  • Weekly
  • Monthly
  • Yearly

Daily

Execution can be set in the detail field to:

  • Every [number] days: Enter a number for the execution rhythm.
    Default: 1
  • Every work day: Series is executed on every work day (in accordance with the set official holiday calendar).

Weekly

Execution can be set in the detail field to certain week days.

Monthly

Execution can be set in the detail field to:

  • on: Selection of the date
  • every month: Enter a number for the execution rhythm.

Yearly

Execution can be set in the detail field to certain dates.

Selected schedules

List of selected schedules.

Selection

Click on button in order to open the schedule selection dialog.

OK

Accepts input and closes dialog.

Cancel

Discards inputs and closes dialog.

Help

Opens online help.


Mode selection

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Mode selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This dialog enables you to allocate one model per time model group to the required day.

  1. click on cell Models in the calendar view

  2. select Select models in the context menu
  3. select the desired model
  4. Click on the Add button
  5. confirm the dialog by clicking OK


Table view schedule editing

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Table view schedule editing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click on a schedule in the calendar view in order to open the context menu. Command Display schedule opens the configuration dialog.

This view enables you to modify the schedules linked within the calendar. The function scope is identical to that of the Time or Switching point tables.


Table view model editing

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Table view model editing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Right click on a time model in the calendar view in order to open the context menu. Command Display model opens the configuration dialog.

This view enables you to modify the models linked within the calendar. The editing possibilities are identical to those for shifts and breaks.


Change time

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Change time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This dialog enables you to delay the selected times according to an offset you have defined.

To open the dialog box, access a selected time entry's context menu, and click on the Change time command.


Adapt offset

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Adapt offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Enables you to modify the selected offsets.

To open the dialog box, access a selected offset's context menu, and click on the Adjust offset command.


Change value

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Change value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This command enables you to change the selected cells in the Action column.

To open the dialog box, access a selected value's context menu, and click on the Change value command.

Parameters

Description

Variable

Change value by

Changes the contents of the currently selected cells by the specified amount.

Change value to

Changes the contents of the currently selected cells to the specified amount.

Linear increasing starting with

Changes the contents of the currently selected cells by a defined amount. The amount is increased by one with each modified cell.

Linear decreasing starting with

Changes the contents of the currently selected cells by a defined amount. The amount is reduced by one with each modified cell.

Function

Change status to

Changes the activation of the currently selected switching points to the specified state:

  • active
  • inactive

Macro

Change macro to

Changes the macro to the selected macro.


Creating switching points

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Creating switching points

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The dialog box is opened via the context menu of a selected time entry and the command Create switching points.

In the upper list, select the entries for which you wish to create switching points, and insert these by clicking on the button Add located to the right of the lower list.

Info Informazioni

Per default switching points are always created as inactive in the Runtime and must be activated decidedly in order for them to work. Per default switching point are created as active in the Editor. .


Duplicate

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The dialog can be called up during copying a schedule in order to control:

  • whether subordinate child schedules should be also copied when pasting
  • whether variables are substituted when pasting

Parameters | Description
only duplicate the current schedule | Inserts (i.e. pastes) only the top-level schedule from the clipboard.
duplicate the current schedule and the child schedule | The schedule will be inserted (i.e. pasted) along with all its related lower-level schedules. This embodies the standard method when this dialog is deactivated.
Open substitute dialog | Display the replacement dialog. This enables you to exchange variables when inserting them.
Display dialog box only if Ctrl-key is pressed | Suppresses the dialog. The schedule and the child schedules are always copied without substitution. In this case, pressing the Ctrl key during pasting will enable you to display the dialog. Note: This function can also be controlled via an entry in project.ini: [PFM] AnzeigenMitStrg = [Value] Values: 1: The dialog is only shown if the Ctrl button is pressed whilst the schedule is inserted. 0: The dialog is always displayed.
OK | Accepts input and closes dialog.
Cancel | Discards inputs and closes dialog.
Help | Opens online help.


Execute PFS event

Manuale -> Production and Facility Scheduler (PFS) -> Execute PFS event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

By using this function a defined PFS event can be executed in the Runtime in order to trigger a relative time in the PFS.


Screen switch - PFS

Manuale -> Production and Facility Scheduler (PFS) -> Screen switch - PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Filter tree view for screen switch

Manuale -> Production and Facility Scheduler (PFS) -> Screen switch - PFS -> Filter tree view for screen switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The available settings are identical to those in the PFS filter dialog. An additional option enables you to specify whether or not you wish to activate the filter dialog before switching to screen activation. The object selected in the tree view will be selected again when you switch back to the screen.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.


Filter table view for screen switch

This settings page enables you to define the columns and titles which will be used in the various table views.

Parameters | Description
Available fields | According to the selected view, the available columns are displayed in the list. Only selected columns will be displayed at a later point.
Labeling | Contains the table's heading. This text can be identified as requiring translation by means of a @ character.
Width | Column width
Alignment | Alignment of the columns' headings.
Objects | Lists the various objects for which views can be configured.
Preferred view | Lists the possible views for the requested object.


Screen type Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Screen type Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

By using a Production & Facility Scheduler screen you can administer schedules and time models.

This screen type is only available, if the PFS has been licensed, otherwise the screen type Scheduler can be selected. (You will find more information on the pre-defined screen types in the chapter 'Screens / Pre-defined screen types'.)

The creation of the PFS screen is done by the definition of a new screen of the screen type Production & Facility Scheduler.

On opening the screen an empty screen is opened and the Drop-down list Control elements in the menu line is filled.

Configurable control elements are:

Add template | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
General |
Save |
Reject |
Switching point preview |
Filter criteria ... |
Cut |
Copy ... |
Paste ... |
Rename |
Delete |
Properties ... |
Settings ... |
Ascending |
Descending |
Lists |
Schedule window |
Buttons |
Time model group | - Create time model group
Schedule | - Create schedule ... - Activate schedule - Add variable ... - Remove variable - Remove function - Replace links ... - Create time grid... - Create time... - Create switching point - Creating switching points ... - Delete time - Delete switching points
Time model | - Create time model ... - Create shift - Create break - Delete shift - Delete break
Event | - Create events
Calendar | - Selecting model ... - Select schedule ... - Show this day ?- Go to today? - Switch to date ... - As default - As single day - Forwards - Backwards - Day view - Week view - Month view
Mass processing | - All values active - All values inactive - time absolute - time relative - Change time ... - change the value ... - Selecting event ... - Adjusting offset ...

By selecting the entry Add template in the menu Control elements pre-defined control elements are loaded with default values at pre-defined positions.

You will find more information on changed Runtime files in the chapter Project and Workspace / RT changeable files.


Progetto e workspace

Manuale -> Progetto e workspace

Ogni progetto appartiene ad un workspace.

I diversi workspace e progetti vengono visualizzati nel Manager di progetto.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Area di lavoro (Workspace)

Manuale -> Progetto e workspace -> Area di lavoro (Workspace)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

All’interno di un workspace possono essere definiti e gestiti più progetti. Tutti i dati definiti e memorizzati per un workspace fanno parte della banca dati interna di zenon.

La gestione di più progetti in una workspace è vantaggiosa quando più progetti in un impianto devono funzionare in rete. E’ possibile elaborare piu progetti contemporaneamente.

In alternativa basta aprire un’ulteriore workspace in un’altra cartella copiando lì i progetti.

Esempio Esempio

/CLIENTE1/PROGETTO: (uno o più progetti nella workspace)

/CLIENTE2/PROGETTO: (uno o più progetti nella workspace)

La struttura della banca dati viene definita tramite file schema. Sono la base della creazione di una banca dati completamente nuova. Per il manager dei gruppi di ricette è disponibile un ulteriore file di banca dati nel formato MS-ACCESS (MDB).

attenzione Attenzione

Non sono disponibili dati predefiniti !


Crea nuovo workspace

Manuale -> Progetto e workspace -> Area di lavoro (Workspace) -> Crea nuovo workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità di creare un nuovo workspace:

  • Lista a cascata > File -> Workspace -> Nuovo oppure
  • Menu contestualedell'inserimento "workspace" nella visione ad albero / Inserimento Workspace / Nuovo

Parametri | Descrizione
Nome | Assegnate al Vostro nuovo workspace un nome che potete scegliete liberamente. Il nome di default <Workspace>non è valido e deve essere sostituito.
Dove salvare il workspace | Selezionate una cartella nella quale volete salvare il Vostro nuovo workspace. Come luogo in cui salvarlo, viene proposta di default la directory dell'utente.
File workspace | Il percorso viene generato automaticamente con le Vostre indicazioni.


Salva workspace

Manuale -> Progetto e workspace -> Area di lavoro (Workspace) -> Salva workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità di salvare un workspace:

  • Lista a cascata / File / workspace / Salva oppure Salva con nome oppure
  • Menu contestualedell'inserimento "workspace" nella visione ad albero / Inserimento Workspce /Salva oppure. Salva con nome Salva con nome

Se selezionate la voce Salva con nome, potete essere Voi a stabilire la cartella nella quale deve essere salvato il workspace. In questo caso un workspace esistente viene salvato con un altro nome.

Parametri | Descrizione
Nome | Scegliete un nome con il quale volete salvare il Vostro workspace. Il nome di default <Workspace>non è valido e deve essere sostituito.
Dove salvare il workspace | Selezionate una cartella nella quale volete salvare il Vostro nuovo workspace. Come luogo in cui salvarlo, viene proposta di default la directory dell'utente.
File workspace | Il percorso viene generato automaticamente con le Vostre indicazioni.

I workspace sono salvati nel formato di file *.WSP.

Info Informazioni

Se nel workspace si trova un progetto con un numero di versione inferiore a quello dell´editor, non si può selezionare il punto di menu "Workspace/Salva con nome.." Questo progetto deve essere convertito nella versione dell´editor, prima di poter essere salvato nel workspace.


Modifica un workspace esistente

Manuale -> Progetto e workspace -> Area di lavoro (Workspace) -> Modifica un workspace esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità di aprire un workspace esistente:

  • Menu Pulldown / File / workspace / Apri o
  • Menu contestuale dell'inserimento "workspace" nella visione ad albero / InserimentoWorkspace / Apri


Salva il workspace e effettua un backup

Manuale -> Progetto e workspace -> Area di lavoro (Workspace) -> Salva il workspace e effettua un backup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Delle informazioni sul salvataggio e l'effettuazione di un backup di workspace esistenti, le potete trovare nel capitolo "Backup di progetto / sezioneSalva il workspace ed effettua un backup.


Progetto

Manuale -> Progetto e workspace -> Progetto

Quando è aperta l'area di lavoro, possono essere elaborati o selezionati uno o piu progetti dal Projektmanager. Un progetto già esistente può essere inserito in ogni istante nel workspace attivo.


Crea nuovo progetto

Manuale -> Progetto e workspace -> Progetto -> Crea nuovo progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono due possibilità di creare un nuovo progetto:

  • Menu a cascata -> File ->Nuovo progetto oppure
  • Menu contestuale dell'inserimento "workspace" nella visione ad albero / Inserimento nuovo progetto

Parametri

Descrizione

Tipo di progetto

Scegliete fra progetto standard e Progetto globale.

Nome del progetto

Assegnate al Vostro nuovo progetto un nome che potete scegliete liberamente. Il nome di default <Progetto>non è valido e deve essere sostituito.

Sono permessi: cifre, lettere e i seguenti caratteri speciali:
$, -, @, _, {}, ~, !, ()

Cartella base

Cartella nella quale il nuovo progetto deve essere salvato.

Area di lavoro (Workspace)

Scelta del Workspace:

  • Aggiungi a un workspace attivo:
    Il nuovo progetto viene aggiunto al workspace che è attivo al momento. Il sistema propone di default di salvare nel percorso del workspace.
  • Crea un nuvo workspace:
    Con il progetto, viene generato anche un nuovo workspace: Il nome del workspace viene inserito automaticamente nel campo Cartella di Runtime.

Nome workspace

Assegnate al Vostro nuovo workspace un nome che potete scegliete liberamente. Il nome di default <Workspace>non è valido e deve essere sostituito.

Cartella di Runtime

Lo spazio di memoria destinato di default al salvataggio della cartella di Runtime è già predefinito: può essere modificato in questa sede.

Indicazione: al di sotto della Cartella di Runtime viene impostata automaticamente la cartella di dati per i file Runtime. Il suo percorso può essere modificato ricorrendo alla proprietà Generale/Cartella di dati. Tenete presente che il percorso deve essere sempre raggiungibile, perché altrimenti i dati Runtime non possono essere più scritti.

Interno ID: Crea nuovo progetto

Cartella di dati

vuoto. Il percorso standard viene usato per il salvataggio di Lista allarmi, Lista eventi cronologica (CEL), dati harddisk, dati archivio ecc. (Percorso progetto\Nome computer\Nome progetto).
Percorso: il percorso indicato in questa sede viene usato per salvare i dati ("Percorso inserito\Nome computer\Nome progetto").
Attezione: se il percorso indicato non esiste (problemi di rete, supporto dati esterno non esistente), non viene più scritto nessun dato dal Runtime. Il che significa: perdita dati del 100%. si può continuare a lavorare con il Runtime, ma lo si deve riavviare. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile.
Consiglio: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea nuovo progetto

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Opzioni

Progetto multiutente

Attiva: Più utenti possono modificare contemporaneamenete lo stesso progetto (Per i dettagli vedi Engineering suddiviso.)

Server di progetto

Selezione del server di progetto per i progetti multiuser.


Salva progetto

Manuale -> Progetto e workspace -> Progetto -> Salva progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per salvare un progetto con un nuovo nome, bisogna selezionare nel menu contestuale del progetto la voce Salva con nome/progetto. Nel dialogo potete indicare il nuovo nome che desiderate dare al progetto.

Se volete invece salvare un progetto con un nome che già è assegnato, appare un box che Ve lo fa notare.

Info Informazioni

Con tale funzionalità è possibile, per es., fare anche una copia di un progetto esistente che potrà poi essere modificato.

A tal scopo si deve anzitutto copiare il progetto A scegliendo nel menu contestuale "salva con nome"; poi lo si può modificare nel modo desiderato. In seguito viene salvato come "progetto B" (di nuovo mediante la voce del menu contestuale "salva con nome").

Se questa soluzione rappresenta un risparmio di tempo rispetto a "importa/esporta" dipende da quante differenze ci sono fra i due progetti in questione.


Inserisci progetto esistente

Per inserire un progetto esistente nel workspace:

  • cliccate poi con il tasto destro del mouse sul workspace.
  • selzionate il comando Aggiungi progetto esistente.
  • si apre il dialogo che serve alla selezione del progetto.

Per avere delle informazioni dettagliate concernenti i singoli progetti, soprattutto sul tipo, aprite il nodo progetti nella finestra di selezione. Ottenete delle informazioni su:

Informazione | Descrizione
ID progetto | ID univoco del progetto
Versione progetto | versione dell´editor con il quale il progetto è stato creato i modificato.
Versione sistema-banca dati | Versione sistema-banca dati
Versione delle tabelle di sistema | Versione delle tabelle di sistema
Tipo: | indica il tipo di progetto: progetto standard o progetto globale.
Copie di progetto locali collegate | Solo con progetti multiutente (indicate mediante la lettera M nel simbolo): Indicazione delle copie di progetto su altri computer.


Modificare un progetto esistente

Manuale -> Progetto e workspace -> Progetto -> Modificare un progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La selezione di un progetto esistente viene effettuata nel manager di progetto facendo clic con il pulsante sinistro del mouse. Cliccando con il pulsante destro del mouse sul manager progetto, invece, appare il seguente menu contestuale.

Le funzioni a disposizione sono:

Parametri | Descrizione
File runtime |
Crea file modificati | creare i file runtime modificati per il progetto attuale selezionato
Crea tutti | creare tutti i file runtime per il progetto attuale selezionato
-Importa File Runtime | Tutti i file runtime modificabili vengono ricaricati sui file dell´editor - Ricette Standard - Ricette del Manager gruppi di Ricette - Gestione User - Manager Orari e Profili.
Progetto come progetto di partenza | Setta il progetto runtime di partenza per il calcolatore attuale
Avvia Runtime | Il runtime viene avviato con il progetto definito progetto di partenza
Progetto attivo | Settare "progetto attivo" per la barra degli strumenti dell'editor e la lista incrociata. Tutti gli altri progetti, per i quali non è stata attivata l'opzione “Tenere progetto in memoria”, verranno disattivati.
Tieni progetto in memoria | Il progetto rimane nella memoria di lavoro, anche se viene attivato un altro progetto
Progetto |
Rinomina… | Modifica il nome del progetto
Salva come… | salva il progetto sotto un nuovo nome in un nuovo percorso
Proprietà… | Apre la finestra di proprietà con le proprietà del progetto
Elimina da area di lavoro | Elimina il progetto dall´area di lavoro senza però cancellarlo fisicamente.
- Elimina | Cancella il progetto fisicamente
Crea backup | Crea backup del progetto
Ripristina backup | Rilegge stato attuale del progetto nell'area di lavoro attuale
Progetto trasporto remoto | Apre il sottomenu progetto trasporto remoto; questo menu progetto trasporto remotodispone delle funzioni seguenti:
Crea collegamento | Crea connessione remota con il computer client/server
Trasmetti file runtime modificati | solo i file runtime modificati vengono trasmessi al sistema remoto.
Trasmetti tutti i file runtime modificati | Tutti i file runtime vengono trasmessi al sistema remoto
Rileggi tutti i file runtime modificati | I dati modificabili nel runtime (p.e. ricette, gestione utenti etc.) vengono aggiornati nel editor
Progetto come progetto di partenza | Setta il progetto di partenza sul sistema remoto.
Start Runtime | Viene lanciato il runtime sul sistema remoto.
Termina Runtime | Viene terminato il runtime sul sistema remoto
Aggiornare progetto | Viene eseguita la funzione aggiorna progetto nel calcolatore runtime.
- richiedere file di errore | Richiede il file di errore dal calcolatore remoto
- Ripartenza sistema operativo | Viene riavviato il sistema operativo sul sistema remoto.
- richiedere lo stato di sistema | Richiede lo stato del sistema operativo remoto
modifica password del trasporto remoto | Viene modificata la password per l'accesso remoto sul calcolatore del progetto
Profil | Apre un sotto-menu in cui può essere selzionato un profilo impostato (vedi Capitolo sul sistema di gestione dell'editor)
Guida | Apre la guida online

Ogni progetto può essere protetto da una password (capitolo "Protezione tramite password”), il che vuol dire che, alla partenza del progetto, verrà esaminata la password definita in fase di progettazione. Se l’immissione è corretta, il progetto verrà aperto.


Sostituzione link progetto

Manuale -> Progetto e workspace -> Progetto -> Sostituzione link progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si copiano dei progetti, può essere necessario riassegnare i loro riferimenti a progetti sovraordinati. L´assistente Sostituzione link progetto supporta la sostituzione automatica di riferimenti di progetto a immagini, variabili e funzioni. Viene avviata una ricerca automatica di tutti i link progetto esistenti, che poi possono essere sostituiti tramite immagini, funzioni, variabili di una altro progetto selezionabile liberamente.

Per sostituire link di progetto:

  1. devono essere salvati workspace e sottoprogetti
  2. selezionare nel menu contestuale del progetto di integrazione il comando Sostituzione link progetto
  3. si apre il dialogo per selezionare un progetto
  4. selezionate le assegnazioni desiderate
  5. confermate e chiudute il dialogo cliccando su OK.

Parametri

Descrizione

Lista sostituzioni

Lista dell´assegnazione di progetto per la sostituzione di riferimenti:

  • Progetto vecchio:
    riceve automaticamente tutti i progetti sorgente. Se questa lista è vuota, non esistono nel workspace dei progetti sovraordinati con collegamenti a sottoprogetti.
  • Nuovo progetto:
    progetto che deve riprende i riferimenti. Selezione da una lista di possibili progetti cliccando sul pulsante con la freccia.

Progetti possibili

I progetti con i quali possono essere sostituiti i progetti sorgente. Selezione:

  • seleziona progetto vecchio desiderato
  • selezionare il nuovo progetto desiderato
  • cliccare sul pulsante con freccia a sinistra

Reimposta:

  • selezionare l´assegnazione desiderata nella lista di sostituzione
  • cliccare sul pulsante con freccia a destra

OK

Riprende l´assegnazione ed esegue la sostituzione.

il numero dei riferimenti di progetto sostituiti viene visualizzato nella finestra di emissione.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Salva e rileggi progetto

Informazioni sul tema salvataggio e realizzazione di backup di progetti esistenti, le trovate nel capitolo Backup di progetto.


Eliminare il progetto dal workspace

Manuale -> Progetto e workspace -> Progetto -> Eliminare il progetto dal workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per eliminare un progetto dal workspace nel quale si trova, selezionate nel menu contestuale del progetto la voce Progetto/ elimina dal workspace.

Il progetto non viene cancellato. (Vedi sezione Cancella un progetto).


Eliminazione progetto

Manuale -> Progetto e workspace -> Progetto -> Eliminazione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Informazioni concernenti la cancellazione di progetti le trovato nel capitolo Backup di progetto / Cancella progetto.


Progetto d'integrazione

Manuale -> Progetto e workspace -> Progetto d'integrazione

zenon offre la possibilità di una struttura di progetto multigerarchico. In questo caso, un progetto d'integrazione (progetto di livello superiore) viene realizzato con alcuni sotto-progetti.

Costituendo il centro del sistema, il progetto d'integrazione contiene le viste complete, in cui sono visualizzati i valori di processo dei sotto-progetti.

Esempio Esempio

Tramite Ricette nel progetto di integrazione, si gestiscono centralemente inserimenti di valori impostabili per poter gestire in modo ottimale i singoli progetti.

Utilizzando Archivi comuni a vari progetti nel progetto di integrazione, i dati dei sotto-progetti possono essere raccolti in una struttura centrale.

E' possibile utilizzare nel progetto di integrazione delle variabili di sottoprogetti.

Informazioni più dettagliate su Sostituisci link di progetto le trovate nella sezioneSostituisci link di progetto.

attenzione Attenzione

Nominare i modelli: evitate di attribuire gli stessi nomi ai modelli dei progetti di integrazione e sottoprogetti. Perché:

  • Se è già aperto un modello dello stesso nome, questo viene usato per aprire l´immagine - indipendentemente dalla loro appartenenza al progetto.
  • Se non è ancora aperto nessun modello con il nome in questione, viene usato quello del progetto dell´immagine.

Percorsi file

I sottoprogetti che si trovano al momento della loro creazione nello stesso nodo del progetto di integrazione, usano sempre la stessa struttura di quest´ultimo. Ogni sottoprogetto viene inserito nel Project.ini con percorso relativo al progetto di integrazione. Se si modifica il percorso runtime per il progetto di integrazione, cambiano anche quelli per i sottoprogetti. In tal modo è sicuro che il runtime trova i percorsi necessari.


Copia i sotto-progetti

Manuale -> Progetto e workspace -> Progetto d'integrazione -> Copia i sotto-progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per evitare che, dopo la copia dei sotto-progetti, i collegamenti del progetto di integrazione rimandino ai sotto-progetti sbagliati, zenonoffre la possibilità di sostituire i link progetto senza copiare l'intero workspace. .

Anche senza dover fare una copia del progetto di integrazione, i collegamenti del progetto di integrazione con il sotto-progetto possono essere sostituiti con i collegamenti con una copia del sotto-progetto.


Copia dell'intero workspace

Manuale -> Progetto e workspace -> Progetto d'integrazione -> Copia i sotto-progetti -> Copia dell'intero workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Viene fatta una copia dell'intero workspace. Per ogni progetto viene eseguito un „salva con nome“e viene generata una nuova GUID. I progetti, però, conservano il loto nome originale. L'area di lavoro viene caricata automaticamente con i nuovi progetti. Con questa soluzione l'intero progetto di integrazione viene esplorato alla ricerca di collegamenti a variabili e funzioni, che rimandano ad altri progetti. In tali collegamenti la GUID del progetto originale viene sostituita con quella del sotto-progetto copiato. Con tale soluzione si può aggiornare il sotto-progetto e lavorare immediatamente con il progetto di integrazione "pronto".


Progetto globale

Manuale -> Progetto e workspace -> Progetto globale

Un progetto globale è un progetto che non è connesso ai processi del progetto.

Info Informazioni

Si può impostare e usare solamente un progetto globale per workspace.

Il progetto globale dispone di una serie di moduli che sono a disposizione di tutti i progetti del workspace. Se degli oggetti sono presenti sia nel progetto globale che in quello locale, gli elementi del progetto locale hanno la precedenza.

Modulo

Descrizione

Variabili -> Allarme

Raggruppamento degli allarmi in gruppi, classi e aree.

Modelli

I modelli non esistenti nel progetto locale, vengono ripresi da quello globale. Il nome funge da identificazione.

Liste caratteri

Una lista caratteri non disponibile a livello locale viene ripresa dal progetto globale. L'identificazione è costituita dal nome: Tenete presente le conseguenze dell´esistenza di nomi uguali nel progetto globale e locale.

Tavolozza dei colori

Tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori; il numero dei colori può essere differente fra progetto globale e locale.

Attenzione: nel caso di conflitto durante il runtime, le tavolozze del progetto locale hanno la precedenza.

File lingua

I file lingua vengono gestiti in tabelle lingua e raggruppati al livello delle parole chiave e dei nomi file. Parole chiave non esistenti nel progetto locale, vengono riprese dal progetto globale.

gestione utenti

Gli utenti vengono raggruppati mediante l'identificazione. Utenti non esistenti nel progetto locale vengono ripresi dal progetto globale.

Attenzione: utenti del progetto globale vengono visualizzati nel runtime in tutti i sottoprogetti, ma non possono essere modificati mediante la gestione utenti del runtime.

File

File non esistenti nel progetto locale, vengono ripresi dal progetto globale.

Log modifiche progetto

Documenta tutte le modifiche nel progetto globale.

Definizione d´impianto

Rappresenta tutti i livelli di un´azienda in modo corrispondente a ISA S88 e S95. Viene creata nel progetto globale e utilizzata nei progetti locali.

Backup di progetto

Per il backup del progetto globale.

Info Informazioni

Non è possibile aprire il VBA Editor nel progetto globale.


Configurazione del filtro progetti

Manuale -> Progetto e workspace -> Configurazione del filtro progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il filtro progetti viene utilizzato in varie funzioni (Cambio immagine, esporta, stampa, ecc.). e viene qui definito in modo globale.

attenzione Attenzione

Questo filtro viene applicato solo per progetti e sottoprogetti elaborati inRetee per avere accesso alle informazioni di eventuali sottoprogetti.


Configurazione

Manuale -> Progetto e workspace -> Configurazione

La configurazione di un progetto avviene tramite:

Parametri | Descrizione
Configurazione generale | Registra prodotto Standard Pannello di controllo
Configurazione progetto | Progetto Gestione allarmi Lista eventi cronologica Gestione monitor Gestione utenti Backup del progetto rinomina progetto salva progetto in...


Standard

Manuale -> Progetto e workspace -> Configurazione -> Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando il punto menu File\\Impostazioni generali\\Standard sono impostabili le seguenti proprietà senza riferimento a un progetto:

Parametri | Descrizione
Stampanti | impostazioni globali stampante per tutti i progetti della banca dati
Percorsi | Definizioni per progetti nuovi come standard


Stampanti

Manuale -> Progetto e workspace -> Configurazione -> Standard -> Stampanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le stampanti possono essere assegnate per le seguenti funzioni:

Parametri | Descrizione
per stampa Online AML o CEL | La Lista di informazioni allarmi online o la Lista eventi cronologica (impostazioni generali alla voce 'Allarmi e CEL' nelle proprietà di progetto o attraverso i file ALAR.FRM oppure BTB.FRM).
per stampa offline AML o CEL | La Lista allarmi offiline o la Lista eventi cronologica ( 'premendo' il bottone nell'immagine relativa. Formato attraverso i file ALAR_G.FRM oppure BTB_G.FRM).
per valori e protocolli da emettere | Questa stampante viene usata per rapporti e quando viene selezionata la funzione "stampa valore attuale".
per Screenshots | Stampante per Screenshots.
per agenda | Stampa unica di protocolli e testi da finestre liste.

Per selezionare una stampante:

  1. cliccate all´interno della lista a cascata
  2. tutte le stampanti installate sul calcolatore saranno visualizzate per permettervi di effettuare la scelta

Per configurare le impostazioni di pagina:

  1. cliccate sul pulsante ... accanto alla stampante
  2. si apre il dialogo per l´impostazione pagina

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Info Informazioni

Le stesse stampanti sono utilizzabili con diversi parametri per diverse funzionalità.


Cartella generale

Manuale -> Progetto e workspace -> Configurazione -> Standard -> Cartella generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella scheda Cartella vengono definiti i percorsi file standard per le categorie sotto elencate. Cliccando sul pulsante ... si apre l´Explorer al fine di rendere possibile la definizione del posto in cui salvare il tipo di file selezionato. Gli spazi di memoria definiti in questa sede verranno ripresi nei nuovi progetti per servire da cartelle di default. Li si può modificare nella proprietà di progetto tramite l´opzione Percorsi. Essi vengono impostati relativamente alla cartella di Runtime.

Interno ID: Cartella generale

Percorsi

Si aprirà il dialogo di configurazione per i percorsi di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
Grafici | File grafici Default: \Graphics
File esportati | Percorso esportazione degli archivi, della lista eventi cronologica e liste allarmi. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Percorso di backup per archivi | Cartella per il backup di file di backup archivi. Default: \Backup
Archivi dislocati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArv
Guida online | Cartella per guida online. Default: \ONLINE_HELP


gestione progetto

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tutti i dettagli di un progetto vengono configurati nelle proprietà di progetto. Per poter configurare le proprietà, deve verificarsi quanto segue:

  • il progetto deve essere selezionato nella struttura ad albero
  • la finestra delle proprietà deve essere aperta

    (Apertura tramite menu contestuale del progetto o menu opzioni)


Info progetto

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto -> Info progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Possono essere inserite le seguenti informazioni sul progetto:

Parametri | Descrizione
Autore | Autore del progetto
Manager | Manager del progetto
Ditta | Ditta relativa al progetto
Commento | Commento libero per il progetto


Cartelle in riferimento al progetto

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto -> Cartelle in riferimento al progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionando la proprietà Percorsi nelle proprietà di progetto Generale, viene aperto il dialogo che serve a definire i luoghi di salvataggio. I luoghi contenuti in questo dialogo sono stati ripresi dalle impostazioni generali per cartelle. Cliccando sul pulsante ... si apre l´Explorer al fine di rendere possibile la definizione del posto in cui salvare il tipo di file selezionato. Essi vengono impostati relativamente alla cartella di Runtime.

Interno ID: Cartelle in riferimento al progetto

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cartelle in riferimento al progetto

Percorsi

Si aprirà il dialogo di configurazione per i percorsi di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Parametri | Descrizione
Grafici | File grafici Default: \Graphics
File esportati | Percorso esportazione degli archivi, della lista eventi cronologica e liste allarmi. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Percorso di backup per archivi | Cartella per il backup di file di backup archivi. Default: \Backup
Archivi dislocati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArv
Guida online | Cartella per guida online. Default: \ONLINE_HELP


Qualità grafica

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto -> Qualità grafica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. L´impostazione avviene facendo uso della proprietà Qualità grafica nel gruppo Aspetto grafico. Sono disponibili le seguenti opzioni specifiche:

Interno ID: Qualità grafica

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Qualità grafica

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Qualità grafica

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.
  • DirectX Software: I calcoli grafici vengono effettuati dalla CPU. Possono essere usate più CPU, indipendentemente dalle grafiche da visualizzare. L´uso di DirectX Software può causare un elevato carico della CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene effettuata dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attenzione Attenzione
  • Windows avanzate e DirectX non sono disponibili sotto Windows CE.
  • La rappresentazione DirectX viene supportata solamente nel runtime.

DirectX

DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. DirectX, a differenza di Windows Basis/avanzate, può attivare e disattivare le proprietà Utilizza Antialiasing e Font ClearType, indipendentemente dalle impostazioni del sistema operativo. La qualità Antialiasing di DirectX è maggiore di quella in Windows avanzate.

Interno ID: Qualità grafica

Font ClearType

Attiva: i caratteri ClearType vengono utilizzati. Può migliorare la leggibilità di caratteri su monitor LCD con risoluzione nativa.

Non attiva: vengono utilizzati i caratteri standard di Windows. Adatta spesso ai monitor con tubo catodico e LCD con risoluzione interpolata.
Indicazione: Se per la proprietà Qualità grafica è stata selezionata l´opzione Windows Basis oppure Windows estese, sotto Windows Vista e Windows 7 si deve disattivare nel sistema operativo l´uso di caratteri cleartype. Se invece si è scelta l´opzione DirectX, cleartype può essere attivato e disattivato indipendentemente dal sistema operativo.

Default: attiva:

Indicazione: modifiche dell´impostazione diventano effettive per l´editor solo dopo il riavvio dell´editor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Qualità grafica

Utilizza Antialiasing

Non disponibile se Qualità grafica è attiva.

Attiva lo smussamento angoli di linee. Grazie ad essa, soprattutto delle linee oblique possono essere rappresentate in modo molto più gradevole. Può essere evitato l´effetto scala. Se nella proprietà Qualità grafica si è scelta l´opzione DirectX Software oppure DirectX Hardware, Antialiasing può essere attivato e disattivato indipendentente dalle impostazioni del sistema operativo. La qualità Antialiasing di DirectX è migliore di quella in Windows estese.

antialising può provocare un allungamento dei tempi di cambio immagine, soprattutto con i sistemi operativi meno recenti (fino a Windows XP).

Possibili opzioni sono:

On: smussamento angoli sempre attivo.

Off: smussamento angoli disattivato.

Default: con Windows Vista, Windows 7 e con nuovi sistemi operativi, lo smussamento angoli è attivo; con i sistemi operativi precedenti (Windows XP, Server 2003) è disattivato.

Default: default

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Condizione:

Descrizione

DirectX Hardware oppure DirectX Software deve essere attivo.

Nelle proprietà di progetto, per la proprietà Aspetto grafico si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11:

  • Microsoft Windows Vista SP2 incluso Plattform Update e Windows 7
  • Windows XP e Windows CE non sono supportati.

Se il sistema non supporta DirectX 11, si passa automaticamente a Windows avanzate.

Deve essere installato l´attuale runtime DirectX.

Esso viene installato per zenon automaticamente con il setup. Per il webclient, però, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente gli elementi e le immagini supportati possono essere visualizzati mediante DirectX.

Nel caso di DirectX Hardware, devono essere soddisfatti i presupposti minimi.

Per i dettagli, vedi Presupposti minimi della scheda grafica. Se tali condizioni non vengono soddisfatte, si passa automaticamente a DirectX Software.

Se da parte del sistema operativo non viene messo a disposizione alcun acceleratore hardware (per esempio nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

Presupposti minimi della scheda grafica per DirectX Hardware

Per poter usare DirectX Hardware devono essere soddisfatti i seguenti presupporti minimi:

Parametri | Presupposto minimo | Raccomandato:
Scheda grafica: | AMD dedicata DirectX 11 oppure scheda grafica nVidia | AMD dedicata DirectX 11 oppure scheda grafica nVidia
Memoria grafica: (La dimensione di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e elementi rappresentati.) | 512 MB VRAM | 1 GB VRAM
Driver Scheda grafica: | driver più recente del produttore della scheda grafica

Per verificare il supporto di scheda grafica per DirectX Hardware, si può usare il tool del sistema operativo di Windows dxdiag.exe. In tal modo si può verificare se la scheda grafica e il driver sono in grado di supportare DirectX , alla voce Visualizza con il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.

Differenze fra DirectX e Windows avanzate.

DirectX si differenzia da Windows avanzate per quello che concerne qualità, prestazioni e risorse richieste. Alcune delle differenze più importanti:

  • Scalature, distorsioni e rotazioni degli oggetti vengono rappresentate tramite Antialiasing. L´antialiasing funziona anche con trasformazioni.
  • Le ombre vengono rappresentate come esatta immagine dell´elemento vero e proprio. Anche i testi e bitmap parzialmente trasparenti hanno un´ombra che ne è l´immagine corretta/esatta. Si tiene conto delle modifiche dinamiche: tenendo premuto il pulsante cambia, ad esempio, anche l´ombra.
  • L´effetto glow consente di realizzare un effetto bagliore di un elemento sopra l´immagine dell´elemento vero e proprio. Anche i testi e bitmap parzialmente trasparenti hanno un corretto effetto glow. Si tiene conto delle modifiche dinamiche: tenendo premuto il pulsante cambia, ad esempio, anche l´effetto glow.

Info Informazioni

L´uso di grafiche WMF oppure EMF con DirectX può portare a una riduzione delle prestazioni del sistema.

Esempi

Elementi dinamici ruotati

Con Windows avanzate:

Con DirectX:

Scalatura ai bordi è ridotta, i testi vengono posizionati in modo corretto.

Pulsante semitrasparente con ombra.

Con Windows avanzate:

Con DirectX:

ombra corretta con testo visibile.

Ombra di un pulsante con bitmap

A sinistra viene rappresentato un pulsante bitmap, a destra la stessa immagine con la proprietà Trasparente attiva.

Interno ID: Qualità grafica

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Con Windows avanzate:

Con DirectX:


Trattamento errori DirectX

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto -> Qualità grafica -> Trattamento errori DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori vengono emessi nel Diagnose Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato all´apertura di un´immagine oppure durante il funzionamento del sistema, succede quanto segue:

  • viene visualizzato lo stato di avanzamento
  • il sistema cerca di inizializzare DirectX nuovamente
  • il Runtime continua a funzionare normalmente finché viene visualizzato lo stato di avanzamento
  • si può cercare di risolvere il problema (installazione driver, ....)

La visualizzazione dello stato di avanzamento può essere terminata dall´utente cliccando sul pulsante Annulla. Dopo l´annullamento, viene chiuso il Runtime e il sistema visualizza un messaggio di errore che può essere chiuso cliccando su OK.

Indicazione: per quegli errori che rendono impossibile inizializzare DirectX nuovamente, il sistema visualizza immediatamente un messaggio di errore.

Diagnosis Viewer

DirectX mette a disposizione nel Diagnose Viewer dei messaggi propri con rispettivamente:

  • un messaggio di errore
  • le possibili cause dell´errore stesso
  • Codici di errore

l´emissione avviene in un modulo ad hoc, DirectX. Nel caso di errori, viene emesso il testo coerrispondente nel campo Error, nel caso di avvisi e indicazioni di Debug, viene emessa la segnalazione corrispondente nel campo testo Generale:

  • Per l´apertura di un´immagine, viene emesso perlomeno un messaggio di DEBUG in cui si avverte che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano a degli eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore a cui non è possibile ovviare, viene emessa una segnalazione di errore (Error).

Info Informazioni

Se una segnalazione non viene visualizzata per intero nella tabella del Diagnose Viewer, dovete aprire l´inserimento con un doppio clic, in modo tale da far apparire tutta la segnalazione.

Lista check per monitoraggio degli errori

  • Attivando i messaggi di Debug nel Diagnose Viewer si può controllare se DirectX funziona o meno. Nel caso di risultato positivo, il sistema emette un messaggio corrispondente.
  • Gli avvisi specifici DirectX oppure le segnalazioni di errore sono visualizzati nel Diagnose Viewer?
  • Nella proprietà di progetto Qualità grafica è impostato DirectX Hardware oppure DirectX Software?

    Interno ID: Trattamento errori DirectX

    Qualità grafica

    Impostazione per la qualità della rappresentazione grafica.
    DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

    Possibile selezione:

    Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

    Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

    DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

    DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

    Default: Windows avanzate

    Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

    Avvertenza:
    se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
    Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

    Ulteriori informazioni nella guida in linea

    Interno ID: Trattamento errori DirectX

    Larghezza linea

    Larghezza linea (in pixel).
    Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
    Massimo: 65535
    Default: 1
    Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

    Interno ID: Trattamento errori DirectX

    Aspetto grafico

    Proprietà per l'impostazione grafica del Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Sono soddisfatti i presupposti minimi per l´uso di DirectX? I dettagli su questo tema li trovate nel capitolo Qualità grafica.
    • Viene supportato DirectX 11 dal sistema operativo?
    • È installato l´attuale runtime di DirectX?
    • DirectX Hardware viene supportato dalla scheda grafica?

      Per verificare il supporto di scheda grafica per DirectX Hardware, si può usare il tool del sistema operativo di Windows dxdiag.exe. In tal modo si può verificare se la scheda grafica e il driver sono in grado di supportare DirectX , alla voce Visualizza con il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.

  • DirectX viene supportato dall´immagine o dall´elemento?
  • La rappresentazione con Windows Basis oppure Windows avanzate funziona correttamente?
  • La rappresentazione con un altro driver funziona correttamente?
  • La rappresentazione con una scheda grafica di un altro produttore funziona correttamente?


Runtime: file modificabili

Manuale -> Progetto e workspace -> Configurazione -> gestione progetto -> Runtime: file modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon esistono dei dati che possono essere soggetti ad una modifica sia nell'editor che nel runtime. Sono file per:

  • Manager gruppi ricette
  • Ricette standard
  • gestione utenti
  • Schedulatore

Proteggere i file runtime in modo tale che non siano sovrascritti

Nel caso in cui si creasse o trasmettesse nuovamente nell'editor tutti i file runtime, i dati modificati nel runtime verrebbero sovrascritti. In modo da evitare l´effetto non voluto che i dati siano sovrascritti, si può scegliere qui Non rigenerare e ritrasmettere selezionando quali file non devono essere creati o trasmessi nuovamenteselezionando quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor in modo tale che non siano sovrascritti

I dati modificati nel runtime possono essere riletti nell´editor. In tal modo, i dati corrispondenti nell´editor verranno sovrascritti. Per evitare l'effetto non voluto di sovrascrivere dati, si può scegliere qui selezionando Non decompilare quali file non devono essere riletti.

Dialogo RT dati modificabili

Accedete al dialogo per la configurazione dei file runtime modificabili tramite le proprietà di progetto Generale/RT dati modificabili:

Interno ID: Runtime: file modificabili

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Runtime: file modificabili

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I seguenti tipi di file sono selezionabili:

Parametri | Descrizione
Manager gruppi ricette | Gruppi di ricette e ricette del manager dei gruppi di ricette Nel corso della trasmissione, nuovi file vengono trasmessi e impostate delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard
gestione utenti | Gestione utenti per Login e gestione diritti nel Runtime.
Schedulatore | Modifiche nei modelli di tempo e orari del PFS.

attenzione Attenzione

Effettuando una conversione di progetto fate attenzione a convertire anche i file Runtime modificabili. I file Runtime devono essere importati nella versione di partenza dell´Editor, e, dopo l´update, di nuovo caricati nel Runtime. Per i dettagli al proposito, consultate il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasmissione dei file

Durante il runtime

Per poter trasmettere i file durante il Runtime:

  1. vengono trasmessi tutti i file
  2. vengono trasmessi solamente i file modificati

Entrambe le possibilità sono praticabili per i file definiti in RT dati modificabili.

Dal Runtime

Ci sono due possibilità di leggere file dal Runtime:

  1. Importa tutti file Runtime:
    1. importa tutti i file Runtime nella cartella che è stata definita nella proprietà Cartella Runtime

      Interno ID: Runtime: file modificabili

      Cartella Runtime

      percorso per i file runtime del progetto.
      In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
      Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

      Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    2. indipendentemente dall´impostazione della proprietà RT dati modificabili
  2. Importa i file runtime:
    1. importa i file definiti nella proprietà RT dati modificabili e
    2. sostituisce la progettazione nell´Editor con questi file Runtime
    3. sistema particolarmente adatto a riprendere i dati di un sistema remoto nell´Editor

Errore di connessione

Nella trasmissione vengono sovrascritti dei file esistenti in modo corrispondente a quanto previsto nelle impostazioni.

Se emergono degli errori durante la trasmissione oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Programming interfaces

Manuale -> Programming interfaces

Different interfaces to integrate your own programs or to automate planning are available in zenon:

  • Process Control Engine (PCE)
  • VBA
  • VSTA

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Context menu

Menu item | Action
Open PCE editor | Opens the PCE editor.
Open VBA Editor | Opens the VBA editor
Open VSTA editor | Opens the VSTA editor.
Editor profile | Opens the drop-down list for selecting a Editor profile.
Help | Opens online help.

Info Informazioni

You can find information for creating and implementing controls (ActiveX, .NET, WPF) in chapter Controls.

Open VBA and VSTA Editor

VBA Editor

VBA starts the same development environment for workspace and project. To open the VBA Editor:

  1. navigate to the Programming interfaces node
  2. right-click on VBA macros
  3. select Open in VBA Editor... in the context menu

Alternatively: press the short cut Ctrl+F11

VSTA Editor

VSTA provides separate development environments for workspace and project. You can only use one of them at a time. At the start every other VSTA development environment which is open will be close.

To open the VSTA Editor for the workspace:

  1. press the short cut Alt+F10
  2. the code for the workspace and all loaded projects is displayed

To open the VSTA Editor for the currently loaded project:

  1. navigate to the Programming interfaces node
  2. right click on VSTA
  3. select Open VSTA Editor... in the context menu
  4. the Editor is opened for the currently loaded project


Process Control Engine (PCE)

Manuale -> Programming interfaces -> Process Control Engine (PCE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Info Informazioni

The Process Control Engine (PCE) offers the possibility to develop cyclic application flows in VB Script or Java Script. The PCE is especially suitable for long-lasting functions that run in the background (e.g. extensive export functions). In contrast to VBA, the PCE supports multi-threading.


The PCE Editor

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The PCE can be found in the Project Manager under the entry Scripting. The PCE Editor is opened with the entry Open PCE Editor in the context menu.


The Taskmanager

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The Taskmanager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Taskmanager of the PCE Editor lists the existing tasks and the linked variables.

A doubleclick on a task opens it in the editing area. With the right mouse button the context menu of a task can be opened.

The context menu of a task has four entries:

Parameters | Description
Task Properties… | Opens the properties dialog of the task.
Task Variables… | Opens the variable selection. So you can add new variables to the task.
Task delete | Deletes the task without any further query.
Task Compile | Compiles the task.


The editing area

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The editing area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the editing area of the PCE Editor the code of the tasks is entered in VB Script or Java Script.


The output window

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The output window

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


The menus of the PCE Editor

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Menu File

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu File includes the following commands:

Parameters | Description
Save | Saves new or changed tasks.
Print | Prints the current task.
Close | Closes the PCE Editor.


Menu Edit

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu Edit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu Edit includes the following commands:

Parameters | Description
Undo | Undoes the last executed action.
Redo | Repeats the last executed action.
Cut | Moves a text to the Windows Clipboard.
Copy | Copies a text to the Windows Clipboard.
Paste | Pastes a text from the Windows Clipboard.
Delete |
Select all | Selects the entire text of the task.
Find | Searches for a text in the current task.
Find next | Goes to the next place of finding.
Find previous | Goes to the previous place of finding.
Replace | Replaces a text in the task by another.
Bookmarks | Administration of bookmarks in the code of the task.
- set bookmark | Sets a bookmark at the selected line in the code.
- next bookmark | Goes to the next bookmark in the code.
- previous bookmark | Goes to the previous bookmark in the code.
- delete all bookmarks | Deletes all bookmarks in the code.


Menu Run

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu Run

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu Run includes the following commands:

Save and restart all tasks |
Task Compile | Compiles the task.


Menu View

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu View

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu View includes the following commands:

Parameters | Description
Settings | Opens the settings dialog of the PCE Editor.
Taskmanager | Opens/closes the Taskmanager window.
Output | Opens/closes the Output window.
Status Bar | Opens/closes the status bar.


Menu Window

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu Window

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu Window includes the following commands:

Close

Arrange

Divide

Align symbols

List of the last open windows


Menu help

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The menus of the PCE Editor -> Menu help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The menu Help includes the following commands:

Command

Action

Help

Opens online help.

Info about…

Aprite una finestra con informazioni su zenon:

  • Numero di serie
  • Numero di attivazione
  • Tags/IOs con licenza
  • moduli con licenza

Potete navigare all´interno della finestra-info servendovi di una barra di scorrimento. Cliccando all´interno della finestra o premendo il tasto Esc si esce dalla finestra-info.


The icon bar of the PCE Editor

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> The PCE Editor -> The icon bar of the PCE Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The most important commands of the PCE Editor can also be executed with the icons of the icon bar.

The following icons are available:

Parameters | Description
Close | Closes the PCE Editor.
Save all | Saves new or changed tasks.
Print | Prints the current task.
Cut | Moves a text to the Windows Clipboard.
Copy | Copies a text to the Windows Clipboard.
Paste | Pastes a text from the Windows Clipboard.
Undo | Undoes the last executed action.
Redo | Repeats the last executed action.
Find | Searches for a text in the current task.
Find next | Goes to the next place of finding.
Find previous | Goes to the previous place of finding.
Replace | Replaces a text in the task by another.
Save and restart |
Start debugger |
Next bookmark | Goes to the next bookmark in the code.
Set bookmark | Sets a bookmark at the selected line in the code.
Previous bookmark | Goes to the previous bookmark in the code.
Delete all bookmarks | Deletes all bookmarks in the code.


Course of actions

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Creating a task

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Creating a task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With the context menu of the Taskmanager a new task can be created.


Properties of the task

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Creating a task -> Properties of the task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After creating the task the properties dialog of the new task opens automatically.

The following properties can be defined:

Parameters | Description
Name | Unique name of the task.
Type | Tasks can be executed cyclic or once. Cyclic: the task is executed cyclically in the interval defined under limit of time schedule. Once: the task is executed once.
Priority | Process priorities for operating system multithreading (idle, low, normal, high, highest, time critical). Default: Normal Main process : the task runs in the same thread as the Runtime. If the task gets into a waiting loop or crashes, that also influences the Runtime.
Script file | Selection of the script file: VB-Files (*.vbs) for VB Script or JS-Files (*.js) for Java Script. The according file is created, when the task is opened in the editing area for the first time.
Start type | System start: the task is automatically started with the Runtime. (This is the only way to use the PCE under Windows CE, as Windows CE does not support VBA.) Event driven: the task is started in a VBA macro with the statement "thisProject.Tasks.Item("Taskname").Run".
Cycle time to reach | For cyclic tasks the interval in milliseconds that should be achieved. If this cycle time is not achieved, the task is executed as fast as possible.

For a later change of the properties this dialog can also be opened with the context menu of the task and the entry Task Properties….


Variables of the task

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Creating a task -> Variables of the task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After defining the properties the variable selection dialog is automatically opened. Here the variables that should be processed in the task are selected.

All variables that are read or written in the task should be linked here. There is also the possibility to access the variables via the variables object, but only the variables directly linked to the task are automatically updated when initializing the task before execution.

The variables must have the following syntax:

Task.Value('Variable name')=123

For a later change of the variable selection this dialog can also be opened with the context menu of the task and the entry Task Variables….


Entering code

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Entering code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Doubleclicking the task in the Taskmanager opens it in the editing area. If the task is opened for the first time, the according VBS or JS file is created now.

Four procedures are automatically created:

Parameters | Description
Task_Init() | This procedure is automatically executed when starting the task.
Task_Main() | This procedure is either executed once (type once) or cyclically (type cyclic).
Task_Exit() | This procedure is automatically executed when stopping the task.
Task_Timer(lTimerId) | This procedure is executed cyclically, as long as the according time is running. The cycle time is defined as a parameter with the starting of the timer.

Generally speaking the PCE uses the same object model as VBA (see VBA Tutorials). When using VBA objects (except the object Task) multithreading is lost, because these objects only can be accessed from the main thread.

attenzione Attenzione

Not all funtions of the COM interface are multithread-able and therefore can only be used in a main tread context. If a different property than "in the main process" is set as PCE task, there must not be any access from the PCE to the main thread. In case there is an access to the COM interface nevertheless, this can lead to undefined system states, e.g. a Runtime freeze.

Of special importance are the collection Tasks and the object Task.


The collection Tasks

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Entering code -> The collection Tasks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Count

Item

Parent


The object Task

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Entering code -> The object Task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

ActualCycleTime

Property

Currently achieved cycle time of the task

CountVariable

Property

Number of variables linked to the task

CycleTime

Property

Defined cycle time of the task

DynProperties

Property

ErrorNumber

Property

ErrorString

Property

Exit

Event

Init

Event

ItemVariable

Method

Main

Event

MemValue

Property

With "Task.MemValue("Name")=value" an internal variable is created and a value is assigned to it. There is no need to declare the variable before.

This variable can also be accessed from other tasks. So it allows the exchange of values between tasks.

Name

Property

Name of the current task

Parent

Property

The collection Tasks

Priority

Property

Priority of the current task

Run

Method

Starts a task

Sleep

Method

Holds a task

StartTimer

Method

The method "StartTimer" starts a timer of the task.

Status

Property

Stop

Method

Stops a task

StopTimer

Method

The method "StopTimer" stops a timer of the task.

Timer

Event

Type

Property

Value

Property

With "Task.Value("name of linked variable")=value" a variable of the project can get a new value.


Function Show PCE

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Function Show PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With the zenon function Show PCE the PCE Editor can be opened from the Runtime.


Executing tasks

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Executing tasks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Executing tasks with system start

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Executing tasks -> Executing tasks with system start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If in the configuration of the task the Start type is set to System start , the task is automatically started with the Runtime.

This is the only way to use the PCE under Windows CE, as Windows CE does not support VBA.


Executing tasks event triggered

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Executing tasks -> Executing tasks event triggered

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


On a PC

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Executing tasks -> Executing tasks event triggered -> On a PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
On a PC

A task can also be started event triggered. In this case the Start type has to be set to Event driven . Now the task is no longer automatically started with the Runtime.

A VBA macro has to be created in order to execute a task by pressing a button, by a limit violation or any other event. With the following VBA statement the task can be started:

thisProject.Tasks.Item("Taskname").Run

The task is automatically started in an own thread if in the configuration Priority Main process has not been set.

With the following VBA statement the task can be stopped at any time:

thisProject.Tasks.Item("Taskname").Stop


On a CE terminal

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> Course of actions -> Executing tasks -> Executing tasks event triggered -> On a CE terminal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
On a CE terminal

As Windows CE does not support VBA, the way described above is not possible on a CE terminal. But there is a possibility to execute tasks event triggered also here.

A task with the Start type System start is created. This task is automatically started with the Runtime. And this task gets the Priority Main process so that it runs in the same thread as the Runtime. Now bit variables are linked to that task, then will execute other tasks event triggered. With the following statement the task can be started:

Parent.Item("Taskname").Run

The task is automatically started in an own thread if in the configuration the Priority Main process has not been set.

With the following statement the task can be stopped at any time:

Parent.Item("Taskname").Stop


VB Script - Introduction


Data types


Variant

VBScript has only one data type called a Variant. A Variant is a special kind of data type that can contain different kinds of information, depending on how it is used. Because Variant is the only data type in VBScript, it is also the data type returned by all functions in VBScript.

At its simplest, a Variant can contain either numeric or string information. A Variant behaves as a number when you use it in a numeric context and as a string when you use it in a string context. That is, if you are working with data that looks like numbers, VBScript assumes that it is numbers and does what is most appropriate for numbers. You can always make numbers behave as strings by enclosing them in quotation marks (" "). If you work with data that only can be interpreted as strings, VBScript will interpret them as strings.


Variant Subtypes

Beyond the simple numeric or string classifications, a Variant can make further distinctions about the specific nature of numeric information. For example, you can have numeric information that represents a date or a time. When used with other date or time data, the result is always expressed as a date or a time. You can also have a rich variety of numeric information ranging in size from Boolean values to huge floating-point numbers. These different categories of information which can be contained in a Variant are called subtypes . Most of the time, you can just put the kind of data you want in a Variant , and the Variant behaves in a way that is most appropriate for the data it contains.

The following table shows subtypes of data that a Variant can contain.

Subtype | Meaning
Empty | Variant is uninitialized. Value is 0 for numeric variables or a zero-length string ("") for string variables.
Null | Variant intentionally contains no valid data.
Boolean | Contains either TRUE or FALSE.
Byte | Contains integer in the range 0 to 255.
Integer | Contains integer in the range -32,768 to 32,767.
Currency | -922,337,203,685,477.5808 to 922,337,203,685,477.5807.
Long | Contains integer in the range -2,147,483,648 to 2,147,483,647.
Single | Contains a single-precision, floating-point number in the range -3.402823E38 to -1.401298E-45 for negative values; 1.401298E-45 to 3.402823E38 for positive values.
Double | Contains a double-precision, floating-point number in the range -1.79769313486232E308 to -4.94065645841247E-324 for negative values; 4.94065645841247E-324 to 1.79769313486232E308 for positive values.
Date (Time) | Contains a number that represents a date between January 1, 100 to December 31, 9999.
String | Contains a variable-length string that can be up to approximately 2 billion characters in length.
Object | Contains an object.
Error | Contains an error number.


Variables

A variable is a convenient placeholder that refers to a computer memory location where you can store program information that may change during the time your script is running. For example, you might create a variable called ClickCount to store the number of times a user clicks an object on a particular Web page. Where the variable is stored in computer memory is unimportant. What is important is that you only have to refer to a variable by name to see or change its value. In VBScript, variables are always of one fundamental data type, Variant.


Declaring Variables

You declare variables explicitly in your script using the Dim statement, the Public statement, and the Private statement. Example:

Dim DegreesFahrenheit

You declare multiple variables by separating each variable name with a comma. Example:

Dim Top, Bottom, Left, Right


Limitations for names

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> VB Script - Introduction -> Variables -> Limitations for names

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Variable names follow the standard rules for naming anything in VBScript. A variable name:

  • Must begin with an alphabetic character.
  • Cannot contain an embedded period.
  • Must not exceed 255 characters.
  • Must be unique in the scope in which it is declared.


Scope and Lifetime of Variables

When you declare a variable within a procedure, only code within that procedure can access or change the value of that variable. It has local scope and is a procedure-level variable.

If you declare a variable outside a procedure, you make it recognizable to all the procedures in your script. This is a script-level variable, and it has script-level scope.

The lifetime of a variable depends on how long it exists. The lifetime of a script-level variable extends from the time it is declared until the time the script is finished running. At procedure level, a variable exists only as long as you are in the procedure. When the procedure exits, the variable is destroyed.

Local variables are ideal as temporary storage space when a procedure is executing. You can have local variables of the same name in several different procedures because each is recognized only by the procedure in which it is declared.


Assigning Values to Variables

Values are assigned to variables creating an expression as follows: the variable is on the left side of the expression and the value you want to assign to the variable is on the right. Example:

B = 200


Scalar Variables and Array Variables

Much of the time, you only want to assign a single value to a variable you have declared. A variable containing a single value is a scalar variable. Other times, it is convenient to assign more than one related value to a single variable. Then you can create a variable that can contain a series of values. This is called an array variable. Array variables are declared nearly like scalar variables The only difference is, that in the declaration brackets follow the names of array variables. In the following example, a single-dimension array containing 11 elements is declared:

Dim A(10)

Although the number shown in the parentheses is 10, all arrays in VBScript are zero-based, so this array actually contains 11 elements. In a zero-based array, the number of array elements is always the number shown in parentheses plus one. This kind of array is called a fixed-size array.

You assign data to each of the elements of the array using an index into the array. Beginning at zero and ending at 10, data can be assigned to the elements of an array as follows:

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

Similarly, the data can be retrieved from any element using an index into the particular array element you want. Example:

. . .

SomeVariable = A(8)

. . .

Arrays aren't limited to a single dimension. You can have as many as 60 dimensions, although most people can't comprehend more than three or four dimensions. You can declare multiple dimensions by separating an array's size numbers in the parentheses with commas. In the following example, the MyTable variable is a two-dimensional array consisting of 6 rows and 11 columns:

Dim MyTable(5, 10)

In a two-dimensional array, the first number is always the number of rows; the second number is the number of columns.

You can also declare an array whose size changes during the time your script is running. This is called a dynamic array. The array is initially declared within a procedure using either the Dim statement or using the ReDim statement. However, for a dynamic array, no size or number of dimensions is placed inside the parentheses. Example:

(Dim MyArray()

ReDim AnotherArray()

To use a dynamic array, you must subsequently use ReDim to determine the number of dimensions and the size of each dimension. In the following example, ReDim sets the initial size of the dynamic array to 25. A subsequent ReDim statement resizes the array to 30, but uses the Preserve keyword to preserve the contents of the array as the resizing takes place.

ReDim MyArray(25)

. . .

ReDim Preserve MyArray(30)


Constants

A constant is a meaningful name that takes the place of a number or string and never changes. VBScript defines a number of intrinsic constants . You can get information about these intrinsic constants from the VBScript Language Reference.

You create user-defined constants in VBScript using the Const statement. So you can assign a meaningful name to string or numerical constants. Then you can assign them literal values and use them in a script. Example:

Const MyString = "This is a string."

Const MyAge = 49

Note that the string literal is enclosed in quotation marks (" "). Quotation marks are the most obvious way to differentiate string values from numeric values. You represent Date literals and time literals by enclosing them in number signs (#). Example:

Const CutoffDate = #6-1-97#

You may want to adopt a naming scheme to differentiate constants from variables. This will prevent you from trying to reassign constant values while your script is running. For example, you might want to use a "vb" or "con" prefix on your constant names, or you might name your constants in all capital letters. Care that constants and variables can be distinguished. So you avoid problems when creating complex scripts.


Operators

VBScript has a full range of operators, including arithmetic operators, comparison operators, concatenation operators, and logical operators.


Operator Precedence

If several operators appear in a statement, each part is evaluated and resolved in a pre-defined sequence. This sequence is called operator precedence. You can use parentheses to override the order of precedence and force some parts of an expression to be evaluated before others. Operations within parentheses are always performed before those outside. Within parentheses, however, standard operator precedence is maintained.

When expressions contain operators from more than one category, arithmetic operators are evaluated first, comparison operators are evaluated next, and logical operators are evaluated last. Comparison operators all have equal precedence; that is, they are evaluated in the left-to-right order in which they appear. Arithmetic and logical operators are evaluated in the following order of precedence.


Arithmetic Operators

Description | Symbol
Exponentiation | ^
Unary negation | -
Multiplication | *
Division | /
Integer division | /
Modulus arithmetic | Mod
Addition | +
Subtraction | -
String concatenation |


Comparison Operators

Description | Symbol
Equality | =
Inequality | <>
Less than | <
Greater than | >
Less than or equal to | <=
Greater than or equal to | >=
Opject equivalence | Is


Logical Operators

If several operators appear in a statement, each part is evaluated and resolved in a pre-defined sequence. This sequence is called operator precedence. You can use parentheses to override the order of precedence and force some parts of an expression to be evaluated before others. Operations within parentheses are always performed before those outside. Within parentheses, however, standard operator precedence is maintained.

When expressions contain operators from more than one category, arithmetic operators are evaluated first, comparison operators are evaluated next, and logical operators are evaluated last. Comparison operators all have equal precedence; that is, they are evaluated in the left-to-right order in which they appear. Arithmetic and logical operators are evaluated in the following order of precedence.


Conditional Statements

You can control the flow of your script with conditional statements and looping statements. Using conditional statements, you can write VBScript code that makes decisions and repeats actions.


Making Decisions Using If...Then...Else

The If...Then...Else statement is used to evaluate whether a condition is True or False and, depending on the result, to specify one or more statements to run. Usually the condition is an expression that uses a comparison operator to compare one value or variable with another. For information about comparison operators, see Comparison Operators. If...Then...Else statements can be nested to as many levels as you need.


Running Statements if a Condition is True

Running Statements if a Condition is True

To run only one statement when a condition is True, use the single-line syntax for the If...Then...Else statement. The following example shows the single-line syntax. Notice that this example omits the Else keyword.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

To run more than one line of code, you must use the multiple-line (or block) syntax. This syntax includes the End If statement, as shown in the following example:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

To run only one statement when a condition is True, use the single-line syntax for the If...Then...Else statement. The following example shows the single-line syntax. Notice that this example omits the Else keyword.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

To run more than one line of code, you must use the multiple-line (or block) syntax. This syntax includes the End If statement, as shown in the following example:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Running Certain Statements if a Condition is True and Running Others if a Condition is False

Running Certain Statements if a Condition is True and Running Others if a Condition is False

You can use an If...Then...Else statement to define two blocks of executable statements: one block to run if the condition is True, the other block to run if the condition is False.

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Deciding Between Several Alternatives

Deciding Between Several Alternatives

A variation on the If...Then...Else statement allows you to choose from several alternatives. Adding ElseIf clauses expands the functionality of the If...Then...Else statement so you can control program flow based on different possibilities.

Example:
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox value outside the region!
End If


Making Decisions with Select Case

The Select Case structure provides an alternative to If...Then...ElseIf for selectively executing one block of statements from among multiple blocks of statements. A Select Case statement provides capability similar to the If...Then...Else statement, but it makes code more efficient and readable.

A Select Case structure works with a single test expression that is evaluated once, at the top of the structure. The result of the expression is then compared with the values for each Case in the structure. If there is a match, the block of statements associated with that Case is executed, as in the following example.

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Looping Through Code

Looping allows you to run a group of statements repeatedly. Some loops repeat statements until a condition is False; others repeat statements until a condition is True. There are also loops that repeat statements a specific number of times.

The following looping statements are available in VBScript:

Parameters | Description
Using Do loops: | Loops while or until a condition is True.
Using While...Wend: | Loops while a condition is True.
Using For...Next: | Uses a counter to run statements a specified number of times.
Using For Each...Next: | Repeats a group of statements for each item in a collection or each element of an array.


Using Do Loops

You can use Do...Loop statements to run a block of statements an indefinite number of times. The statements are repeated either while a condition is True or until a condition becomes True.


Repeating Statements While a Condition is True

Repeating Statements While a Condition is True

Use the While keyword to check a condition in a Do...Loop statement. You can check the condition before you enter the loop (as shown in the following ChkFirstWhile example), or you can check it after the loop has run at least once (as shown in the ChkLastWhile example). In the ChkFirstWhile procedure, if myNum is set to 9 instead of 20, the statements inside the loop will never run. In the ChkLastWhile procedure, the statements inside the loop run only once because the condition is already False.

Sub ChkFirstWhile()
Dim counter, myNum
counter = 0

myNum = 20

Do While myNum > 10

myNum = myNum - 1

counter = counter + 1

Loop

MsgBox 'The loop made ' & counter & ' repetitions.'

End Sub

Sub ChkLastWhile()

Dim counter, myNum

counter = 0

myNum = 9

Do
myNum = myNum - 1
counter = counter + 1

Loop While myNum > 10

MsgBox 'The loop made ' & counter & ' repetitions.'

End Sub


Repeating a Statement Until a Condition Becomes True

Repeating a Statement Until a Condition Becomes True

There are two ways to use the Until keyword to check a condition in a Do...Loop statement. You can check the condition before you enter the loop (as shown in the following ChkFirstUntil example), or you can check it after the loop has run at least once (as shown in the ChkLastUntil example). As long as the condition is False, the looping occurs.

Sub ChkFirstUntil()

Dim counter, myNum

counter = 0

myNum = 20

Do Until myNum = 10

myNum = myNum - 1

counter = counter + 1

Loop

MsgBox 'The loop made ' & counter & ' repetitions.'

End Sub

Sub ChkLastUntil()

Dim counter, myNum

counter = 0

myNum = 1

Do

myNum = myNum - 1

counter = counter + 1

Loop Until myNum = 10

MsgBox 'The loop made ' & counter & ' repetitions.'

End Sub


Exiting a Do...Loop Statement from Inside the Loop

Exiting a Do...Loop Statement from Inside the Loop

You can exit a Do...Loop by using the Exit Do statement. Because you usually want to exit only in certain situations, such as to avoid an endless loop, you should use the Exit Do statement in the True statement block of an If...Then...Else statement. If the condition is False, the loop runs as usual.

In the following example, myNum is assigned a value that creates an endless loop. The If...Then...Else statement checks for this condition, preventing the endless repetition.

Sub ExitExample()

Dim counter, myNum

counter = 0

myNum = 9

Do Until myNum = 10

myNum = myNum - 1

counter = counter + 1

If myNum < 10 Then Exit Do

Loop

MsgBox 'The loop made ' & counter & ' repetitions.'

End Sub


Using While...Wend

The While...Wend statement is provided in VBScript for those who are familiar with its usage. However, because of the lack of flexibility in While...Wend, it is recommended that you use Do...Loop instead.


Using For...Next

You can use For...Next statements to run a block of statements a specific number of times. For loops, use a counter variable whose value increases or decreases with each repetition of the loop.

The following example causes a procedure called MyProc to execute 50 times. The For statement specifies the counter variable x and its start and end values. The Next statement increments the counter variable by 1.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Using the Step keyword, you can increase or decrease the counter variable by the value you specify. In the following example, the counter variable j is incremented by 2 each time the loop repeats. When the loop is finished, the total is the sum of 2, 4, 6, 8, and 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

To decrease the counter variable, use a negative Step value. You must specify an end value that is less than the start value. In the following example, the counter variable myNum is decreased by 2 each time the loop repeats. When the loop is finished, total is the sum of 16, 14, 12, 10, 8, 6, 4, and 2.

Sub NewTotal()

Dim myNum, total

For myNum = 16 To 2 Step -2

total = total + myNum

Next

MsgBox 'The total is ' & total

End Sub


Using For Each...Next

A For Each...Next loop is similar to a For...Next loop. Instead of repeating the statements a specified number of times, a For Each...Next loop repeats a group of statements for each item in a collection of objects or for each element of an array. This is especially helpful if you don't know how many elements are in a collection.

In the following HTML code example, the contents of a Dictionary object is used to place text in several text boxes.

<HTML>

<HEAD><TITLE>forms and elements</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Create a variable

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Add some keys and items

d.Add '1', 'Belgrad'

d.Add '2', 'Kairo'

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Next

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Click here'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Types of procedures


Sub Procedures

A Sub procedure is a series of VBScript statements (enclosed by Sub and End Sub statements) that perform actions but don't return a value. A Sub procedure can take arguments (constants, variables, or expressions that are passed to it by a calling procedure). If a Sub procedure has no arguments, its Sub statement must include an empty set of parentheses.

The following Sub procedure uses two intrinsic, or built-in, VBScript functions, MsgBox and InputBox, to prompt a user for information. It then displays the results of a calculation based on that information. The calculation is performed in a Function procedure created using VBScript. The Function procedure is shown after the following discussion.

Sub ConvertTemp()

temp = InputBox('Please enter the temperature in degrees F.', 1)

MsgBox 'The temperature is ' & Celsius(temp) & ' degrees C.'

End Sub


Function Procedures

A Function procedure is a series of VBScript statements enclosed by the Function and End Function statements. A Function procedure is similar to a Sub procedure, but can also return a value. A Function procedure can take arguments (constants, variables, or expressions that are passed to it by a calling procedure). If a Function procedure has no arguments, its Function statement must include an empty set of parentheses. A Function returns a value by assigning a value to its name in one or more statements of the procedure. The return type of a Function is always a Variant.

In the following example, the Celsius function calculates degrees Celsius from degrees Fahrenheit. When the function is called from the ConvertTemp Sub procedure, a variable containing the argument value is passed to the function. The result of the calculation is returned to the calling procedure and displayed in a message box.

Sub ConvertTemp()

temp = InputBox('Please enter the temperature in degrees F.', 1)

MsgBox 'The temperature is ' & Celsius(temp) & ' degrees C.'

End Sub

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Getting data into and out of procedures

Each piece of data is passed into your procedures using an argument . Arguments serve as placeholders for the data you want to pass into your procedure. When you create a procedure using either the Sub statement or the Function statement, parentheses must be included after the name of the procedure. Any arguments are placed inside these parentheses, separated by commas. For example, in the following example, fDegrees is a placeholder for the value being passed into the Celsius function for conversion.

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Using Sub and Function Procedures in Code

A Function in your code must always be used on the right side of a variable assignment or in an expression.

Examples:

Temp = Celsius(fDegrees)

or

MsgBox 'The temperature is ' & Celsius(temp) & ' degrees C.'

To call a Sub procedure from another procedure, type the name of the procedure along with values for any required arguments, each separated by a comma. The Call statement is not required, but if you do use it, you must enclose any arguments in parentheses.

The following example shows two calls to the MyProc procedure. In the one case the Call statement is used in the code, in the other one it is not. Both calls have the same result.

Call MyProc(firstarg, secondarg)

MyProc firstarg, secondarg


Coding Conventions

Coding conventions are suggestions are designed to help you write code using Microsoft Visual Basic Scripting Edition.

Coding conventions can include the following:

Naming conventions for objects, variables, and procedures

Commenting conventions

Text formatting and indenting guidelines

The main reason for using a consistent set of coding conventions is to standardize the structure and coding style of a script or set of scripts so that you and others can easily read and understand the code. Using good coding conventions results in clear, precise, and readable source code that is consistent with other language conventions and is intuitive.


Constant Naming Conventions

Earlier versions of VBScript had no mechanism for creating user-defined constants. Constants, if used, were implemented as variables and distinguished from other variables using all uppercase characters. Multiple words were separated using the underscore (_) character.

Examples:

USER_LIST_MAX
NEW_LINE

Although this way of naming constants still works, you can use a different way of naming. You can create real constants with the statement Const. This convention uses a mixed-case format in which constant names have a "con" prefix.

For example:

conYourOwnConstant


Variable Naming Conventions

To enhance readability and consistency, use the following prefixes with descriptive names for variables in your VBScript code.

Subtype | Prefix | Example
Boolean | bln | blnFound
Byte | byt | bytRasterData
Date (Time) | dtm | dtmStart
Double | dbl | dblTolerance
Error | err | errOrderNum
Integer | int | intQuantity
Long | lng | lngDistance
Object | obj | objCurrent
Single | sng | sngAverage
String | str | strFirstName


Variable Scope

Variables should always be defined with the smallest scope possible. VBScript variables can have the following scope.

Valid range | Declaration | Visibility
Procedure-level | Event, Function, or Sub procedure. | Visible in the procedure in which it is declared.
Script-level | HEAD section of an HTML page, outside any procedure. | Visible in every procedure in the script.


Variable Scope Prefixes

Variable Scope Prefixes

As script size grows, so does the value of being able to quickly differentiate the scope of variables. A one-letter scope prefix preceding the type prefix provides this, without unduly increasing the size of variable names.

Valid range | Prefix | Example
Procedure-level | None | dblVelocity
Script-level | s | sblnCalcInProgress


Descriptive Variable and Procedure Names

In the core of a variable or procedure name also capitals should be used. The name should be long enough to describe the use of the variable. In addition, procedure names should begin with a verb, such as InitNameArray or CloseDialog.

For frequently used or long terms, standard abbreviations are recommended to help keep name length reasonable. In general, variable names greater than 32 characters can be difficult to read. When using abbreviations, make sure they are consistent throughout the entire script. For example, randomly switching between Cnt and Count within a script or set of scripts may lead to confusion.


Object Naming Conventions

The following table lists recommended conventions for objects you may encounter while programming VBScript.

Object type | Prefix | Example
3D Panel | pnl | pnlGroup
Animated button | ani | aniMailBox
Check box | chk | chkReadOnly
Combo box, drop-down list box | cbo | cboEnglish
Command button | cmd | cmdExit
Common dialog | dlg | dlgFileOpen
Frame | fra | fraLanguage
Horizontal scroll bar | hsb | hsbVolume
Image | img | imgIcon
Label | lbl | lblHelpMessage
Line | lin | linVertical
List Box | lst | lstPolicyCodes
Spin | spn | spnPages
Text box | txt | txtLastName
Vertical scroll bar | vsb | vsbRate
Slider | sld | sldScale


Code Commenting Conventions

Each procedure should start with a short comment describing the purpose of the procedure. This description should not go into implementation details (how operations are executed), because these might change with the time. This could result in maintenance effort for the comments and - even worse - wrong comments. The code itself and any necessary inline comments describe the implementation.

Arguments passed to a procedure should be described when their purpose is not obvious and when the procedure expects the arguments to be in a specific range. Return values for functions and variables that are changed by a procedure, especially through reference arguments, should also be described at the beginning of each procedure.

Procedure header comments should include the following section headings. For examples, see the "Formatting Your Code" section that follows.

Section Heading | Comment
Purpose | What the procedure does (not how).
Assumptions | List of the procedure's effect on each external variable, control, or other element.
Effects | List of the procedure's effect on each external variable, control, or other element.
Inputs | Explanation of each argument that is not obvious. Each argument should be on a separate line with inline comments.
Return Values | Explanation of the value returned.

Remember the following points:

Every important variable declaration should include an inline comment describing the use of the variable being declared.

Variables, controls, and procedures should be named clearly to ensure that inline comments are only needed for complex implementation details.

At the beginning of your script, you should include an overview that describes the script, enumerating objects, procedures, algorithms, dialog boxes, and other system dependencies. Sometimes a piece of pseudocode describing the algorithm can be helpful.


Code formating

Manuale -> Programming interfaces -> Process Control Engine (PCE) -> VB Script - Introduction -> Coding Conventions -> Code Commenting Conventions -> Code formating

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Code formating

Screen space should be conserved as much as possible, while still allowing code formatting to reflect logic structure and nesting. Here are a few suggestions:

  • Indent standard nested blocks four spaces.
  • Indent the overview comments of a procedure one space.
  • The statements on the highest level, directly following the overview comment, should be indented with four blanks. Each nested block should again be indented by four blanks.

Example:

The following code adheres to VB Script coding conventions.

  • ' Purpose: Searches for the first appearance of the stated user in the data field UserList.
  • ' Inputs: strUserList(): the list of users to be searched.
  • ' strTargetUser: the name of the user to search for.
  • Return values: Index of the first appearance of strTargetUser in the data field strUserList.
    If the target user is not found, return -1.

Function intFindUser (strUserList(), strTargetUser)

Dim i ' Loop counter.

Dim blnFound ' 'Target found' flag.

intFindUser = -1

i = 0 ' Initialize loop counter

Do While i <= Ubound(strUserList) and Not blnFound

If strUserList(i) = strTargetUser Then

blnFound = True ' Set flag to True

intFindUser = i ' Set return value to loop count

End If

i = i + 1 ' Increment loop counter

Loop

End Function


VBA

Manuale -> Programming interfaces -> VBA

You can use VBA in order to extend zenon functionality.

The possibilities of VBA in zenon are described in form of examples of special solutions.

Context menu

Menu item | Action
Open VBA Editor | Opens the VBA Editor.
Export all VBE | Opens the dialog for selecting the storage directory for the VBE export.
Import VBE | Opens the dialog for selecting the VBE import file.
Editor profiles | Opens the drop-down list that includes pre-defined editor profiles.
Help | Opens online help.

Info Informazioni

If VBA macros are changed in the Editor,

  • the Runtime files are compiled and transferred to the Runtime
  • the Runtime is reloaded
  • VSTA elements are also reloaded even if no changes were made in VSTA

VBA starts the same development environment for workspace and project. To open the VBA Editor:

  1. navigate to the Programming interfaces node
  2. right-click on VBA macros
  3. select Open in VBA Editor... in the context menu

Alternatively: press the short cut Ctrl+F11


VBA toolbar and context menu detail view

Manuale -> Programming interfaces -> VBA -> VBA toolbar and context menu detail view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Toolbar

Menu item | Action
New VBA macro | Creates a new macro and opens the macro Editor.
Open VBA Editor | Opens the VBA Editor.
Save | Saves macros.
Remove | Deletes the selected element.
Export all VBE | Opens the dialog for selecting the storage directory for the VBE export.
Import VBE | Opens the dialog for selecting the VBE import file.
Rename | Makes it possible to rename the selected macro.
Help | Opens online help.

Context menu module

Menu item | Action
Open VBA Editor | Opens the VBA Editor.
Save | Saves macros.
Export all VBE | Opens the dialog for selecting the storage directory for the VBE export.
Import VBE | Opens the dialog for selecting the VBE import file.
Help | Opens online help.

Context menu macro

Menu item | Action
New VBA macro | Creates a new macro and opens the VBA Editor.
Help | Opens online help.


Basics

Manuale -> Programming interfaces -> VBA -> Basics

Describes the basics of the programming language VBA - Visual Basic for Applications


Object PROPERTIES

Manuale -> Programming interfaces -> VBA -> Basics -> Object PROPERTIES

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

An object property is a certain attribute of the object. In case of a variable object this e.g. can be the value, the name or the identification. In case of a circle the position or the color of the circle in the screen. Each object has at least one property (usually more), each property has a certain value. While the property name is a text, the property value is a value between 0 and e.g. 1000.

The special thing with properties is, that with changing the property value in a VBA program you can change the behaviour or the appearance of the object. If you e.g. change the property value of a variable object, the currently selected variable gets this new value. You cannot cange the value of each property. The property count of the variable object cannot be changed, because it represents the number of created variables. You cannot add variables by changing the value of Count. So some properties are read only, i.e. their values only can be read.


Object METHODS

Manuale -> Programming interfaces -> VBA -> Basics -> Object METHODS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Beside the properties each object can have methods. A method is not an attribute but a request to the object to do something. So a form has the method Show. What does it do? It requests the form to appear on the screen. Accordingly the form disappears when using the method Unload.

The advantage of methods is, that the programmer does not have to know anything about the structure of the object and most of all has no opportunity to chnage the internal data of the object.

Executing the method Show or Unload works as follows:

frmSollwert.Show bzw. Unload frmSollwert

If you want to open another form, the method stays the same, only the name of the form (object name) changes.

frmChange.Show bzw. Unload frmChange

So one and the same method can be used for different object types. But not every object must have methods.


Object EVENTS

Manuale -> Programming interfaces -> VBA -> Basics -> Object EVENTS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In 90% of working with objects you will use properties and methods, but there is a third kind of attributes objects can have: Events. Some objects of the control system object hierarchy can react on events. Events take place during the work with zenon on their own.

Esempio Esempio

Whenever a screen is opened, an open event is triggered in the according screen object. As a programmer you can add commands to the event procedure (procedure to be executed, when the event happens), which define, what should happen in this case. One example for this is changing a variable. You can create an event, which reacts on value changes of a variable.


VBA object structure in zenon

Manuale -> Programming interfaces -> VBA -> Basics -> VBA object structure in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Basically there is a object list and objects again and again in the project structure.

Example:

Projects – Project

Variables – Variable

Elements – Element

You can find more about the object model:

  • in the VBA help

  • in the graphical overview which you can obtain from COPA-DATA complete as printed overview.

  • in the VBA object browser


How to use VBA macros

Manuale -> Programming interfaces -> VBA -> Basics -> How to use VBA macros

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to create a new macro in the window Project info on the property page Macro Browser select a desired event, when the new macro should be executed.

Clicking on this event with the right mouse button opens a menu.

Select the menu entry "New macro..." Thus zenon generates a procedure:

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

If a macro already exists, it can be edited, deleted or renamed by clicking it with the right mouse button.

attenzione Attenzione

If you select menu item Rename macro, take care that you do not change the name of the event e.g. LeftClickUp_..., - of the current name. Otherwise renaming will not be executed. Additionally you have to change the name of the sub program to be executed in the VBA Editor by hand, if you rename a macro.

After you have filled the procedure generated by zenon with the source code to be executed, the created macro has to be linked to an element.

Doubleclicking the element opens the property dialog of the element.

On the property page Events the macro is linked to the element.

Clicking the element with the left mouse button executed the LeftClickDown event of the element and the linked macro.


Inserting existing macros

Manuale -> Programming interfaces -> VBA -> Basics -> How to use VBA macros -> Inserting existing macros

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to insert existing macros into another project do the following:

  1. In the VBA Editor export all needed forms and modules and import them in the other project.
  2. Event dependent macros, in ModulElement.bas, are not displayed in the macro browser at the moment. So this macros have to be created in the macro browser.

    The easiest way is to use the name of the existing macro.

    e.g.
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. On creating the macros zenon generates procedures with the same name as the existing macros. You have to delete these generated procedures.
  4. Connect the macros as usual with a dynamic element.

Info Informazioni

If the hardware is not connected and the simulation mode of the SAIA driver is used, do not forget to stop the driver.


How to insert an ActiveX element in zenon?

Manuale -> Programming interfaces -> VBA -> Basics -> How to insert an ActiveX element in zenon?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

An ActiveX element is drawn into the screen like any other dynamic element; a dialog opens, where you musz select an ActiveX element.

  • After you have selected the element from the list, you can links variables to it. For this click the button Variable and select a variable or create a new one.
  • In the next step we give the ActiveX element an object name, so that we can access it in VBA.
  • In our example we give it the object name Slide6_DW18, because it is an AcziveX element Slider linked to the variable Doubleword18.
  • Now the Slider element has to be activated and edited in the VBA Editor.
  • For this we create a new macro as described in chapter "How to use VBA macros?".

The macro Init_Slider passes the element to be initialized to a sub program in the control system object thisProject, whereby the allocation to the current project is defined.

Public SubInit_Slider(obElem AsElement)
thisProject . Init _ Slider obElem
End Sub

Just like in the macro Init_Slider also Draw_SliderValue passes the element to the control system object thisProject.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

The code below is added in the control system object this Project.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX exists
If obSlider Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Slider ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynScreen

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynScreens. Item (BILD_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Access from an external program

In order to access zenon data from an external program such as e.g. Visual Basic the COM interface is used. This COM interface is also used by VBA. So there are only a few small differences, that should be cared of.


Visual Basic 6

In order to be able to access the COM interface it has to be implemented:

With this type library you can access the application object of zenon (the Runtime).

As here there is no thisProject object, it has to be created to get access to the data.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

If the VB project should work with all zenon projects - should be project name independent - it can be defined in the following way:

Set obProject = zenon.Application.Projects.Item(0)

After the project object (thisProject) has been created, e.g. the variables can be accessed for reading and writing.

Read:

Value = obProject.Variables.Item(Variablenname).Value

Write:

obProject.Variables.Item(Variablenname).Value = Value


Functionality of online variables

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

You can imagine a VBA OnlineVariable as a container; this container contains control system variables, which have to be added. If the value of one of the variables of the container changes, this is indicated with an event.


Functionality of the event:

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Functionality of the event:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If the container is activated (Container.Define), all variables in the container are forced once, so that the current value of the variables are known. So the procedure Container_VariableChange is executed for each variable in the container. As soon as all variables then have been initialized, this event always occurs, if one of the variables of the container changes its value.

So it is avoided, that a value is read, which is not the current value of the variable.


Define and create container

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Define and create container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Definition:

Public WithEvents Container As OnlineVariable

With this line of code the container is defined.

Create:

Set Container = thisProject . OnlineVariables . CreateOnlineVariables ( Containername )


Put variables in the container

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Put variables in the container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Container . Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Repeat this line, until all needed variables are added to the container.


Create event

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Create event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

This event is automatically created, when the container is selected in the left combobox at the top of the VBA Editor. The procedure above then is added to the source code. With obVar the variable with the changed value is passed on. When this event occurs, e.g. the current value of the variable (ob-Var.Value) can be read. Refer to the object hierarchy in the VBA documentation to see the properties and values of variables, which can be used.


Activate event

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Activate event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Container.Define

This command line activates the monitoring of the variables in the container. After executing the command Define, the container is active.


Switching off the event

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Switching off the event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Container.Undefine

With this command the surveillance in the container is switched off. The event (VariableChange) is no longer carried out.


Remove on closing

Manuale -> Programming interfaces -> VBA -> Basics -> Functionality of online variables -> Remove on closing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order not to leave anything in the memory on closing the Runtime, the container has to be removed at the latest on closing the Runtime.

thisProject . OnlineVariables . DeleteOnlineVariables ( Containername )

Not before the container is deleted can another container with the same name be created.


Lista bit di stato

Manuale -> Programming interfaces -> VBA -> Basics -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Lasso for selecting dynamic elements in the Runtime

Manuale -> Programming interfaces -> VBA -> Basics -> Lasso for selecting dynamic elements in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dynamic elements which are linked with a variable or function can be pre-selected with the lasso in the Runtime and therefore by used for events.

With method SelElements the user can identify selected dynamic elements as selected in the Runtime. These DynPicture.SelElements can then by used for events sich as drag&drop.

Selection per lasso

To select elements with the lasso in the Runtime, you must:

  • activate property Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo) in the project settings

    Interno ID: Lasso for selecting dynamic elements in the Runtime

    Selezioni multiple in Runtime (Lazzo)

    Attiva: muovendo il mouse tenendo premuto il tasto sinistro potete selezionare numerosi elementi durante il funzionamento runtime. Una macro VBA può avere accesso a questi elementi.
    Non attiva: La funzionalità Selezioni multiple in Runtime (Lazzo) non viene utilizzata.
    Default: non attiva
    Indicazione: Lazzofunziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è conessa una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzione lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazzo.

    Interno ID: Lasso for selecting dynamic elements in the Runtime

    selezionabile tramite lazzo

    La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
    Attiva: l´elemento può essere selezionato nel Runtime con il lazzo.
    Disattivata: l´elemento non può essere selezionato nel Runtime.
    Default: Attiva

    Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo)!

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Lasso for selecting dynamic elements in the Runtime

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Lasso for selecting dynamic elements in the Runtime

    Impostazioni Runtime

    Proprietà di Runtime del progetto.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • activate property Runtime/selezionabile tramite lazzo in the property of the dynamic element

In the Runtime several methods for selecting elements are available:

  • Select elements: Left-click on a free area and move lasso over the screen elements while holding the mouse button pressed.
  • Extend selecton: Ctrl+mouse click on an element in order to select/deselect it in addition to the other elements already selected
  • Add elements: While spanning the lasso press and hold Ctrl in order to add elements to the existing selection
  • Cancel selection: Spanning a lasso which does not contain elements.


Macros in the Editor

Manuale -> Programming interfaces -> VBA -> Macros in the Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Macros can be carried out with the help of a configurable Toolbar in the Editor. For this macros are linked with buttons in toolbar VBA.

In addition macros can be run manually using the VBA Editor.

With the help of Wizards repeating engineering tasks can be run or whole projects can be created with the click on a button. As examples a few wizards are already included in the shipped version of zenon. These wizards can be enhanced and completed at will. They help when creating a project, at the import and export, at creating variables and so on. You can find details in chapter Wizards.

Editor events

Editor events are part of the VBA workspace and make it possible to react to Events in the workspace programming, e.g. for wizards or Remote Transport. For example:

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

All Events and information about them can be found in the help in chapter Object Model.


Barra dei simboli delle Macro VBA

Manuale -> Programming interfaces -> VBA -> Macros in the Editor -> Barra dei simboli delle Macro VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le macro che sono state realizzate usando VBA, possono essere gestite tramite la barra simboli VBA.

Simbolo (da sinistra a destra) | Funzione
Ricarica la lista delle macro VBA. | Carica tutte le macroPublic Sub Name () contenute in myWorkspace e nei moduli nella lista dropdown della barra simboli.
Lista dropdown Macro | Contiene tutte le macro caricate e ne permette la selezione.
Esegui le macro selezionate. | Esegue la macro selezionata nella lista a cascata (dropdown).
Esegui la macro x assegnata. #<x> | Esegue la macro assegnata al simbolo.
Assegna macro | Apre il dialogo che serve all´assegnazione di macro. Con i simboli possono essere collegate da 1 a 5 macro.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Info Informazioni

Nel caso in cui nel dialogo di attribuzione non vengano offerte tutte la macro contenute in myWorkspace, eseguite nella barra dei simboli la funzioneRicarica la lista delle macro VBA.


Allocation of the macro

Manuale -> Programming interfaces -> VBA -> Macros in the Editor -> Allocation of the macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Macros can be called via a button in the toolbar. A maximum of five macros can be linked this way. Via button Assign macros the dialog for assigning macros is opened.

Parameters | Description
Macro # | Macro number matches the number of the button in the toolbar. A click on button ... opens the dialog for selecting the macro.
OK | Creates links to the buttons and closes the dialog.
Cancel | Discards all changes and closes the dialog.
Help | Opens online help.

Parameters | Description
Existing selection | List of macros which can be linked.
No selection | Deletes existing assignment for the button.
OK | Assigns the selected macro to the button.
Cancel | Discards all changes and closes the dialog.
Help | Opens online help.


Sviluppo di wizard in VBA

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 6 è possibile automatizzare la fase di progettazione mediante l´uso di wizard. Le operazioni da ripetere spesso possono essere affidate ad un wizard, il quale provvede ad eseguirle: si può trattare, ad esempio, della creazione di un progetto, o della realizzazione di modelli ed immagini sulla base di uno standard definito.

Un´altra possibilità di utilizzo di wizard è l´effettuazione di modifiche automatiche in un progetto esistente, ad esempio, il cambiamento di proprietà degli elementi dinamici in tutte le immagini di uno dei progetti disponibili.

La base per la creazione di wizard sono Microsoft Visual Basic for Applications (VBA), nonché il modello oggetti di zenon.

Al momento sono disponibili i seguenti wizard:

  • Wizard di progetto
  • Wizard per l'importazione
  • World view wizard
  • Find VBA-Text Wizard
  • Wizard for keyword-creation
  • Wizard for keyword-creation
  • Wizard for creating variables

I wizard sono disponibili nella forma di file codice sorgente VBA sul DVD di installazione. I nuovi wizard possono essere implementati tramite l´ambiente VBA.


Uso di un wizard

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA -> Uso di un wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il comando Wizards del menu File apre la selezione dei wizard. In questo dialogo vengono visualizzati tutti i wizard disponibili in base alla categoria di appartenenza.

Nel caso in cui i wizard non dovessero contenere nessuna categoria, viene creato automaticamente un inserimento Non collegato. Sotto questo inserimento vengono indicati in una lista tutti gli assistenti non collegati.

Si attiva un wizard selezionandolo e cliccando su OK.

Info Informazioni

I wizard supportano solamente single user project e non suportano un ambiente multi-user.


Struttura di nuovi wizard

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA -> Struttura di nuovi wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un wizard è una UserForm, che viene depositata nel nodo specifico dell´applicazione. La UserForm consiste di norma di un elemento multipagina, nel quale vengono rappresentati i singoli passi del wizard.

Cliccando su un pulsante Avanti, si passa alla prossima pagina dell´elemento multipagina. Tutti gli inserimenti debbono essere impostati temporaneamente; la creazione di oggetti, per esempio, modelli, immagini, .. può essere effettuata solamente con il completa del wizard.

Info Informazioni

Le UserForm che devono servire da wizard, devono contenere alcuni public method che forniscoo le informazioni sul wizard al sistema di controllo. Nel caso in cui queste routine manchino in una UserForm, quest`ultima non verrà considerata un wizard.


Integrazione in VBA

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA -> Integrazione in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I wizard sono contenuti nel nodo specifico dell´applicazione ZWorkspace . Questo oggetto rappresenta il workspace caricato nell´editor ed è a disposizione solo nell´editor di zenon.

Tutti gli oggettii in questo progetto VBA possono accedere all´attuale workspace mediante l´oggetto MyWorkspace. Quest´ultimo è collegato sempre al progetto attualmente attivo, al quale potete accedere mediante le proprietà di ActiveDocument.

I contenuti dell´oggetto ZWorkspace sono contenuti nel file ZenWorkspace.vba. Questo file viene copiato con la prima installazione della versione 6 nel percorso di installazione. Nei successivi update, questo file non viene sovrascritto. Alla fine di questo tutorial riceverete ulteriori informazioni per realizzare l´attualizzazione dei wizard.


Sviluppo di un wizard

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA -> Sviluppo di un wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo tutorial crea un wizard per l'impostazione di variabili in un driver progettato.

Aprite l´ambiente VBA dall´editor di zenon e passate alla cartella ZWorkspace/Formulare. Questo file contiene le basi per lo sviluppo di un wizard. Modificate il nome dello UserForm.

Nel caso in cui il wizard non dovesse essere disponibile nella cartella sopracitata, potete importarlo facendo uso del comando Importa file.

Info Informazioni

Per sviluppare un wizard bisogna disporre di conoscenze relative al modello di oggetto di zenon e su VBA. In questo tutorial non si affrontano questi temi.

Create la superficie sopra rappresentata. Passate poi nel Code-Modul dello UserForm e scrollate fino alla fine del file. Lì troverete i seguenti metodi.

  • Public FunctionGetWizardName () As String

    Fornisce il nome univoco del Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables

  • Public FunctionGetWizardInfo () As String

    Fornisce una breve descrizione che viene visualizzate nella scelta dei Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables to a selected driver

  • Public FunctionGetWizardCategory () As String

    Fornisce la categoria del Wizard. Nella selezione dei Wizard, essi vengono visualizzati a seconda della categoria in una struttura ad albero. Cambiatene il contenuto inserendo Variables.

  • Public FunctionIsZenOnWizard () As Boolean

    Visualizzazione del Wizard nella selezione dei Wizard. Questo metodo fornisce "False", cosicché il Wizard non viene visualizzato, per es. perché non è ancora completato. Sostituite il Returntypen in True.

Questi metodi forniscono le informazioni sui Wizard che vengono richieste dal sistema di controllo. Bisogna tener presente che un Wizard viene visualizzato nella selezione Wizard solo nel caso in cui il metodo IsZenOnWizard fornisce True.

Passate a evento- Initializedella UserForm e cambiate i contenuti degli String-Arraysm_strCaption. Visto che il nostro Wizard consiste solo di due passi, potete cancellare le altre attribuzioni.

Inserite le seguenti definizioni nella parte alta del Code-Modul:

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Create un metodo per l'inizializzazione del Combobox dei driver. Il compito della routine è rappresentare tutti i driver progettati del progetto attale nel ComboBox.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

Avete poi bisogno di una Routine che visualizzi in un ComboBox tutti i tipi di variabili progettati del progetto.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If ( Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Al momento di aprire il Wizard verrano visualizzate le variabili già progettate per cercare un Start-Offset libero per le variabili che debbono essere create. Ciò accade grazie al seguente metodo.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long , nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If ( Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Passate in "Evento-Initialize" dello UserForm e ampliate questo metodo con le righe seguenti:

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

L'attribuzione a txtStart setta lo Start-Offset proposto per le variabili da creare. Mediante il metodo InitializeDriver viene riempito il ComboBox con i driver progettati.

Create un evento "change" per il Combobox dei driver e inserite il seguente codice. Dopo che è stato selezionato un driver, vengono individuati i tipi di variabili. L'oggetto driver selezionato viene scritto nella variabile m_obDriver per essere usato in seguito.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If ( Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Create un trattamento evento Change per VarType-Combobox e inserite il seguente codice. Il tipo di variabile selezionato viene scritto nella variabile m_obVarType per essere usato in seguito.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Adesso non Vi resta che creare la routine evento che deve servire alla creazione delle variabili con le impostazioni che sono state definite in precedenza. Ciò accade mediante il pulsante "Finish".

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Please select a variable type'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Please enter Start-Offset', 'count of creating variables and the step'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Variable type + cbVarType.Name + doesnt exist!'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Guaranteeing uniqueness of the variable name
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Create variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

Nel momento in cui viene completata la realizzazione del Wizard, il sistema controlla se le impostazioni che sono state definite sono valide o meno. Nel caso in cui non dovesse essere così, viene generata una segnalazione di errore e l'utente viene invitato a correggere gli inserimenti errati.

Nel caso in cui, invece, le impostazioni sono corrette, il sistema procede alla creazione delle variabili. Tali variabili ricevono un nome ed un indice. Nel caso in cui nel progetto dovesse esistere già una variabile con lo stesso nome, il sistema ricerca il prossimo indice libero. Nel nostro esempio di codice viene sempre creata una variabile del tipo Merker-PLC. Ad ogni nuovo passaggio, l'Offset per la variabile viene aumentato.


Attualizzazione dei wizard.

Manuale -> Programming interfaces -> VBA -> Sviluppo di wizard in VBA -> Attualizzazione dei wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aggiornare i wizard:

  1. scegliere dal menu File l´inserimento Update Wizard....
  2. si apre un dialogo che serve ad effettuare l´update dei wizard già disponibili
  3. selezionate il wizard desiderato
  4. avviate l´update cliccando su avvia update

Se un wizard o una classe sono già esistenti nel workspace, sarà visualizzato un messaggio corrispondente

attenzione Attenzione

I wizard già esistenti vengono sovrascritti quando il sistema effettua l´update. Le modifiche individuali effettuate nel wizard andranno un questo caso perdute


Frequently asked Questions

Manuale -> Programming interfaces -> VBA -> Frequently asked Questions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this chapter a few frequently asked questions are answered. You can find additional solutions online in the COPA-DATA User forum.


Why does the button stay pressed?

Manuale -> Programming interfaces -> VBA -> Frequently asked Questions -> Why does the button stay pressed?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If a button is linked e.g. to a LeftClickUp event, in the end of the precedure the LeftClickUp has to be executed.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Macro is not performed with the first click

Manuale -> Programming interfaces -> VBA -> Frequently asked Questions -> Macro is not performed with the first click

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The solution matches the one from the question: Why does the button stay pressed:

If a button is linked e.g. to a LeftClickUp event, in the end of the precedure the LeftClickUp has to be executed.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Macros no longer work in the Runtime?

Manuale -> Programming interfaces -> VBA -> Frequently asked Questions -> Macros no longer work in the Runtime?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This effect can occur, if the VBA Editor is opened in the Runtime and then Stop/Start is pressed to stop/start VBA. In this case the objects (OnlineVariables, ScreenObjects, ...) become invalid, because they lose the link in case of a new initialization.


Windows CE and VBA

Manuale -> Programming interfaces -> VBA -> Frequently asked Questions -> Windows CE and VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the Editor VBA can be used for wizards. It cannot be used in the Runtime. For detailed information about the Editor refer to chapter How to create projects in CE.


Examples

Manuale -> Programming interfaces -> VBA -> Examples

Here you can find a few examples for VBA


MouseEvents and ActiveX Control initialization

Manuale -> Programming interfaces -> VBA -> Examples -> MouseEvents and ActiveX Control initialization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initializing ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initializing Userform...

frmSample1.InitForm obElem

'Show Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initializing Userform...

frmSample2.InitForm obElem

'Show Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initializing Userform...

frmSample3.InitForm obElem

'Show Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initializing NEW Userform...

NewForm.InitForm obElem

'Show NEW Userform

NewForm.Show (0)

End Sub


Display variable information

Manuale -> Programming interfaces -> VBA -> Examples -> Display variable information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Show variable name for clicked element:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub


Read and write variable values

Manuale -> Programming interfaces -> VBA -> Examples -> Read and write variable values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Read value from variable and write it back:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub


Read and write variables and implement online variables

Manuale -> Programming interfaces -> VBA -> Examples -> Read and write variables and implement online variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Read variable information, write values and implement online variables:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'start the OnlineVariable - Define

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'stop the OnlineVariable - UnDefine

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Use dialog multiple times

Manuale -> Programming interfaces -> VBA -> Examples -> Use dialog multiple times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Userforms can be used multiple times.

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create name for Online Container

strOLVName = "OLV_" & obElem.Name

'get existing online container

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'check if online container exists

If zOnlineVariable Is Nothing Then

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'close Userform

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarm – Events and ActiveX Control handling

Manuale -> Programming interfaces -> VBA -> Examples -> Alarm – Events and ActiveX Control handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenon Runtime

Private Sub Project_Active()

'init the alarm object for events

Set zAlarm = thisProject.Alarm

End Sub

'procedure is executed when an Alarm comes

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'procedure is executed when an Alarm has gone

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'procedure is executed on terminating the zenon Runtime

Private Sub Project_Inactive()

'free the alarm object

Set zAlarm = Nothing

'delete OnlineVariable for Chart actualization...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procedure for MSChart ActiveX initialization...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'does existing OnlineVariable exist?

If zOLV Is Nothing Then

'if not, create it...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'if not stopped, refreshing not possible

'START watching variables...

zOLV.Define

End Sub

'event on Variable change - refresh chart...

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'setting values to display in chart control

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_002"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'event of the Chart AX...

Private Sub obChart_DblClick()

MsgBox "You have DoubleClicked the ActiveX!"

End Sub


Access to alarms

Manuale -> Programming interfaces -> VBA -> Examples -> Access to alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Description:

In the form frmAlarm an alarm from the memory can be selected in a combobox. After the selection all data of the alalm are written to the textboxes below (group, class, variable, ...).

We use an event independent macro to display frmAlarm, because we do not link it to an element.

Sub Alarm ()
frmAlarm.Show
End Sub

'The macro is executed with the function Execute macro.

'On opening the form it is initialized and so the following procedure is executed. This procedure cares, that all alarms in the memory are written to the combobox in the form.

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Wenn nun ein Alarm aus der Combobox ausgewählt wird reagiert das Change - Ereigniss der Combobox.
Private Sub cmbAlarmItems _ Change ()

'put actual properties from AlarmItem in textboxes
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Set switch (working with process variables)

Manuale -> Programming interfaces -> VBA -> Examples -> Set switch (working with process variables)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this example we draw a pump consisting of a circle and a triangle. Define the triangle as a symbol. On top draw a multibinary element and link it to three bit marker variables.

Additionally define, which color the triangle should get, if the values of the variables change.

First we combine the multibinary element with a macro, which opens a form frmSwitch.

In the form frmSwitch we will be able to change the values of the three bit marker variables.

Info Informazioni

Only one of the three variables may have the value 1. (i.e. if one variable is set to 1, the other two have to be set to 0)

To be able to use this macro several times in project with different variables, you only may link bit marker variables ti the multibinary element, which contail in their names, which status of the pump they control.

e.g.:
Variable_Auto
Variable_Hand
Variable_Revi

Info Informazioni

The suffixes _Auto, _Hand and _Revi are fixly defined in the source code of the example.

With this five characters suffix of the variable names it is defined, which variable is set to 1 and which is set to 0 on clicking a toggle button.

In the macro LeftClickUp_Switch a sub program FindVariable is called in the form frmSwitch, which gets the clicked element obElem.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel to points = (pixel * 0.75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Module global variable declaration:

Dim cmdLast As ToggleButton
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
In the sub program FindVariable all variables linked to the passed element are checked.

Depending on the suffix (_Auto, _Hand or _Revi) the variable names are assigned to the string variables declared above.

Additionally the status of the variables is determined and depending on the value (1 or 0) the according toggle buttons are pressed or not.

On opening the form frmSwitch the name of the currently pressed toggle button is written to a string variable. For the case, that the user decides to cancel his action, the original values are reset.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem . ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbAuto . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

The self-created function VarExists only checks, whether the linked variables really exist. If this is not the case, an error message is displayed. Variable doesn't exist.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (Variable doesnt extist)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

If the user clicks Cancel, the value change is undone and the original status is reset.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

If one toggle button is pressed, no other toggle button may be pressed.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

In the click event of every toggle button it is checked, whether it is pressed and whether the variable exists. If both conditions are true, the values are sent to the linked variables.


VSTA

Manuale -> Programming interfaces -> VSTA

The functionality of zenon Runtime and the Editor can be independently expanded with .NET programming using Visual Studio Tools for Applications - VSTA.

VSTA is also available - with restrictions - for the web server and web client.

Info Informazioni

If VBA macros are changed in the Editor,

  • the Runtime files are compiled and transferred to the Runtime
  • the Runtime is reloaded
  • VSTA elements are also reloaded even if no changes were made in VSTA

VSTA provides separate development environments for workspace and project. You can only use one of them at a time. At the start every other VSTA development environment which is open will be close.

To open the VSTA Editor for the workspace:

  1. press the short cut Alt+F10
  2. the code for the workspace and all loaded projects is displayed

To open the VSTA Editor for the currently loaded project:

  1. navigate to the Programming interfaces node
  2. right click on VSTA
  3. select Open VSTA Editor... in the context menu

the Editor is opened for the currently loaded project


Basics

Manuale -> Programming interfaces -> VSTA -> Basics

VSTA is a Microsoft development environment that is based on .NET technology. It is necessary to have basic knowledge of object-orientated programming, .NET and C#/Visual Basic.NET to understand it.

Info Informazioni

VSTA is not supported by the zenon Web client.


Setting up the VSTA environment

Manuale -> Programming interfaces -> VSTA -> Basics -> Setting up the VSTA environment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Support for VSTA is already activated as standard in zenon. When deactivating VBA support, the VSTA environment is also not available any more.

The VSTA environment can be manually activated or deactivated with the following entry in C:\Users\All Users\COPA-DATA\System\zenon6.ini :

Activate VSTA | Deactivate VSTA
[VSTA] ON=1 | [VSTA] ON=0

Support for VBA is activated or deactivated as follows:

Activate VBA | Deactivate VBA
[VBA] EIN=1 | [VBA] EIN=0

After this, the development environment for VSTA in zenon is available.

Info Informazioni

VSTA enables projects to be developed in the programming languages C# and Visual Basic.NET. C# is envisaged as a standard language for VSTA projects in the editor. The language can be changed to Visual Basic.NET with the following entry:

[VSTA]

CSHARP=0


Access to the object model in zenon

Manuale -> Programming interfaces -> VSTA -> Basics -> Access to the object model in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon that is also used in VBA can be accessed in VSTA. The object model offers the same functionality in both development environments.

attenzione Attenzione

Some changes to the object model have been made due to limitations in naming VSTA objects. You can find these in the table below

Old property | New property
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Old event | New event
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

Access is VSTA is enabled via the this object and the replaces the MyWorkspace object in VBA. The following methods and objects are identical. In the following method, a template with the name "TemplateName" is created in zenon.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

Info Informazioni

In contrast to VBA, capitalization and brackets after function names are important in VSTA.

To access the methods in zenon, the project must be saved and compiled using via the following steps:

  1. Click on File -> Save MyWorkspace.cs to save the project.
  2. Click on File -> Build WorkspaceAddin to compile the project.

After this, the method is available as a macro in the VBA macro toolbar in the zenon editor. If the macro assignment dialog does not list all macros from MyWorkspace, the function 'Reload list of VBA macros' has to be executed from the toolbar.

Info Informazioni

VSTA macros with parameters, e.g. Public void MacroWithParam(string mString), are not supported and also not made available in the macro tool bar.


Functions in zenon

Manuale -> Programming interfaces -> VSTA -> Basics -> Functions in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For VSTA, new functions were created in zenon. These are in the "VSTA" function group.

At the same time as existing VBA functions, similar functions were implemented for VSTA:

Function name | Description
Open VSTA editor | opens the VSTA editor in Runtime
Execute VSTA macro | A VSTA macro can be selected in the editor, which is started when executing the function in Runtime. Hint: VSTA macros with parameters, e.g. Public void MacroWithParam(string mString), are not supported. They are neither offered at the engineering in the Editor nor at the start of the function in the Runtime.
Show VSTA macro dialog | A dialog is shown in Runtime, in which existing VSTA macros are shown and can be selected and executed


Debugging VSTA add-in

Manuale -> Programming interfaces -> VSTA -> Basics -> Debugging VSTA add-in

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

It is possible to debug add-ins you have written yourself with the VSTA Editor. In doing so, note that project add ins can only be debugged in zenon Runtime and workspace add-ins can only be debugged in zenon Editor.

A debug session is started via the Debug - Start Debugging menu. You can place breakpoints in the same way as the VBA editor, by left clicking in the gray breakpoint toolbar at the left margin next to the respective cell.

Info Informazioni

When debugging Runtime add-ins consider:

The Runtime files changed in zenon must be newly created before debugging.


New events in VSTA

Manuale -> Programming interfaces -> VSTA -> Basics -> New events in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Because an add-in is terminated when compiling amended code, starting a debug session or ending a debug session, new events were implemented in VSTA. These enable, for example, an object reference to be evaluated and approved and existing data to be saved.

Two events exist for each termination. The first event is started shortly before termination, the second after the start of a new add-in session.

Event | Description
OnPreVSTADebugStart | Is triggered shortly before a debug session is started. When starting, an active add-in is removed, references must be approved and existing data must be saved if necessary.
OnVSTADebugStart | Is triggered shortly after a debug session is started.
OnPreVSTADebugStop | Is triggered shortly before a debug session is stopped. When stopping a debug session, an active add-in is removed, references must be approved and existing data must be saved if necessary.
OnVSTADebugStopped | Is triggered shortly after a debug session is stopped.
OnPreVSTAUpdate | Is triggered before the add-in is removed if a new version of the add-in was successfully created.
OnPostVSTAUpdate | Is triggered when a new version of the add-in is loaded.


Creating a backup of VSTA projects

Manuale -> Programming interfaces -> VSTA -> Basics -> Creating a backup of VSTA projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

VSTA projects in Runtime are automatically zipped when creating the Runtime file and included in workspace saves.

VSTA projects in the editor must be saved manually however. The VSTA editor projects are in the folder C:/ProgramData/COPA-DATA/*version*/VSTAWorkspace/ .


Creating a VSTA project

Manuale -> Programming interfaces -> VSTA -> Creating a VSTA project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Similar to VBA, there is the possibility in VSTA to create projects for both the editor and Runtime. In principle, projects in the editor are implemented in the C# programming language. For Runtime, both C# and Visual Basic.NET are available.

Info Informazioni

Only one project can be displayed at a time in the VSTA editor. In addition, only one instance of the VSTA editors can be active. When starting the VSTA editor, any instance that may already be running is closed.


VSTA projects in the Editor

Manuale -> Programming interfaces -> VSTA -> Creating a VSTA project -> VSTA projects in the Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When creating a project for the zenon editor, a VSTA add-in for the workspace is loaded. To edit the add-in, the VSTA editor must be opened via File - Open VSTA editor.... The user interface of the VSTA editor is identical to Microsoft's Visual Studio development environment.

Info Informazioni

VSTA editor help can be accessed via the Help / Contents menu. This help gives an overview of the editor's functions, the features of the .NET framework and programming in Visual Basic.NET and C#.

The VSTA add-in basically consists of the MyWorkspace class.This class can now be expanded with your own methods. The class accommodates the following two methods by default:

Function | Description
MyWorkspace_Startup | Is executed automatically when starting zenon, after a build has been created and when a debug session is started.
MyWorkspace_Shutdown | Is executed automatically when starting zenon, after a build has been created and when a debug session is started.

attenzione Attenzione

The method names may only start with Macro (for example Macro1, MacroVSTA) may not contain parameters and must be defined as Public . In addition, the class names and other methods and events created by VSTA may not be changed.

To access the methods in zenon, the project must be saved and compiled using via the following steps:

  1. Click on File -> Save MyWorkspace.cs to save the project.
  2. Click on File -> Build WorkspaceAddin to compile the project.

After this, the method is available as a macro in the VBA macro toolbar in the zenon editor. If the macro assignment dialog does not list all macros from MyWorkspace, the function 'Reload list of VBA macros' has to be executed from the toolbar.


VSTA projects in the Runtime

Manuale -> Programming interfaces -> VSTA -> Creating a VSTA project -> VSTA projects in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To create a VSTA project for Runtime, the VSTA environment must be started. Proceed in the following way:

  1. Open the program interfaces item in the project manager.
  2. Open the VSTA context menu.
  3. Click on Open VSTA editor...

Select the desired language in the selection dialog that now appears. After this, a project is created in the desired programming language.

Info Informazioni

The desired language cannot be changed later; this dialog is therefore only shown the first time.

In this project, a class named ThisProject is created by zenon, which accommodates the following two methods:

Function | Description
ThisProject_Startup | Is executed automatically when Runtime is started
ThisProject_Shutdown | Is executed automatically when Runtime is ended

The class can now be expanded with your own methods.

attenzione Attenzione

The method names may only start with Macro (for example Macro1, MacroVSTA) may not contain parameters and must be defined as Public . In addition, the class names and other methods and events created by VSTA may not be changed.

There is access to all Runtime functionalities via the zenon object model. Editor-specific functions cannot be used, as in VBA.

zenon Runtime is automatically started when the debugger is started. Further information can be found in the chapter on debugging a VSTA add-in.

Info Informazioni

VSTA editor help can be accessed via the Help / Contents menu. This help gives an overview of the editor's functions, the features of the .NET framework and programming in Visual Basic.NET and C#.


Developing wizards in VSTA

Manuale -> Programming interfaces -> VSTA -> Creating a VSTA project -> Developing wizards in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The VSTA environment, like VBA, offers the possibility to develop your own wizards.

To be able to access a form in the zenon object model, a reference to this must be copied to the form. To do this, a method is created in the MyWorkspace class. In the following example example, a form is instanced with the name wizard and the method ZenonInstance with a reference to the zenon object model is called as a parameter. The wizard form is shown by selecting ShowDialog().

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

A member variable must be created in the form code, which recognizes the zenon object model.

public zenOn.IApplication m_Zenon=null;

Lastly, the ZenonInstance method is created. This methods takes the object model reference and places it in the m_Zenon object.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Now, your own classes and methods can be developed in the form, which make use of the object model. All methods, objects and attributes are available via the m_Zenon object.


Examples

Manuale -> Programming interfaces -> VSTA -> Examples

Here you find some examples of VSTA being used, both in Runtime and in the editor.


Creating variables in the zenon Editor

Manuale -> Programming interfaces -> VSTA -> Examples -> Creating variables in the zenon Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this example, a text file is opened and the contents of this are used to create variables in the zenon editor. The text file contains any desired number of lines. Each line includes the name and data type of a variable; these are separated by a comma (example: Variable1,BOOL).

The Macro1 method first looks for the internal driver in the zenon editor. After this, the user is shown a file selection dialog in which he must select the text file. The method then reads the text file and creates the variables. The GetDataType method is then required to determine and assign the attendant data type when creating the variables.

using System;

using System.Windows.Forms;

using System.IO;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public zenOn.IVarType GetDataType(zenOn.IVarType vType, string strVType)

{

//gets the corresponding vartypes for bool, int, real and strings

switch (strVType)

{

case "BOOL":

vType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

vType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

vType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

vType = this.ActiveDocument.VarTypes().Item("STRING");

break;

default:

vType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return vType;

}

public void Macro1()

{

//create objects that will take the intern driver and the variable type

zenOn.IDriver zInternDriver = null;

zenOn.IVarType vType = null;

//search for the Intern driver and throw exception if no driver was found

try

{

for (int nDriverCount = 0; nDriverCount < this.ActiveDocument.Drivers().Count; nDriverCount++)

{

if (this.ActiveDocument.Drivers().Item(nDriverCount).Name == "Intern")

{

zInternDriver = this.ActiveDocument.Drivers().Item(nDriverCount);

}

}

}

catch (Exception xDrv)

{

MessageBox.Show("Unable to find zenon 'Intern' driver. Error: " + xDrv.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog VarFileSelect = new OpenFileDialog();

String[] strVarLine = new String[2];

//show file dialog

if (VarFileSelect.ShowDialog() == DialogResult.OK)

{

string strLine = string.Empty;

//open new stream reader with selected file

StreamReader ImportStream = new StreamReader(VarFileSelect.FileName, System.Text.Encoding.Default);

//read in line by line, split the lines when a ',' occurs and create variables

while ((strLine = ImportStream.ReadLine()) != null)

{

strVarLine = strLine.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(strVarLine[0], zInternDriver, zenOn.tpKanaltypes.tpSystemVariable, GetDataType(vType,strVarLine[1]));

}

ImportStream.Close();

}

}

catch (Exception xFileRd)

{

MessageBox.Show("An error occured while opening the file: " + xFileRd.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Writing project information to the zenon output window

Manuale -> Programming interfaces -> VSTA -> Examples -> Writing project information to the zenon output window

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this example, it is demonstrated how the output window of the zenon editors can be accessed using VSTA. The method named Macro1 reads out the process screens created in the project for this, identifies the respective template and identifies all drivers available as well as their labels.

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void Macro1()

{

string strPicName = string.Empty;

string strCorTemp = string.Empty;

string strDriverName = string.Empty;

string strDrvDesc = string.Empty;

//print start string into output window

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all pictures and print name and used template into output window

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

strPicName = this.ActiveDocument.DynPictures().Item(i).Name;

strCorTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + strPicName + "' uses Template '" + strCorTemp + "'",zenOn.tpDebugPrintStyle.tpMsg);

}

//print separator string into output window

this.Application.DebugPrint(" ------------------------------",zenOn.tpDebugPrintStyle.tpMsg);

//go through all drivers and print name and description into output window

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

strDriverName = this.ActiveDocument.Drivers().Item(i).Name;

strDrvDesc = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + strDriverName + "' has description '" + strDrvDesc + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print end string into output window

this.Application.DebugPrint(" ---------------END---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Reading variables from zenon via regular expressions

Manuale -> Programming interfaces -> VSTA -> Examples -> Reading variables from zenon via regular expressions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the following example, zenon variables are read out in a Runtime project and saved in a local text file.

Using regular expressions, variables are only read if their names start with 3 figures and a subsequent underscore (for example "001_var" or "234_xyz"). The user is then requested to select a folder. A text file with a time-dependent file name is created in this folder. In this file, name, labeling and current value of all applicable variables is saved separately with a semi colon.

Info Informazioni

It is possible that manual references may have to be added to execute the example in zenon Runtime. To do this, open the context menu in project explorer and click on Add Reference... The references required in this example are as follows:

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • System
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void Macro1()

{

string sFilename = string.Empty;

string strName = string.Empty;

string strDescription = string.Empty;

string strValue = string.Empty;

//define regular expression pattern

Regex rexMatch = new Regex("^([0-9]){3}[_]");

try

{

sFilename = FolderSelection("Select place to store the variable information");

//create stream writer to the .txt file

StreamWriter MatchedVariables = new StreamWriter(sFilename, true);

//run through all variables in zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//if name of the variable matches the pattern, get name, tag name and current value

if (rexMatch.IsMatch(this.Variables().Item(i).Name))

{

strName = this.Variables().Item(i).Name;

strDescription = this.Variables().Item(i).Tagname;

strValue = this.Variables().Item(i).get_Value(0).ToString();

//write information to the .txt file

MatchedVariables.WriteLine(strName + ";" + strDescription + ";" + strValue);

}

}

//close stream

MatchedVariables.Close();

}

catch (Exception xFS)

{

MessageBox.Show ("An error occurred -> " + xFS.Message);

throw;

}

}

private string FolderSelection(String strCaption)

{

string strSelectedPath = string.Empty;

//create a dialog for selecting the output folder

FolderBrowserDialog FolderSelectionDialog = new FolderBrowserDialog();

FolderSelectionDialog.Description = strCaption;

try

{

if (FolderSelectionDialog.ShowDialog() == DialogResult.OK)

{

//if selection was valid, get the current date, put it to file date format

//then create a txt file with the name "zenonVar" and the corresponding date

DateTime currentTime = DateTime.Now;

strSelectedPath = FolderSelectionDialog.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception xFD)

{

MessageBox.Show("An error occurred: "+xFD.Message);

throw;

}

return strSelectedPath;

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


Object Model

Manuale -> Programming interfaces -> Object Model

In questo settore trovate la guida al Object Model di zenon. Questo modello si applica a VBA, VSTA, PCE e all’interfaccia COM.


Project simulation

Manuale -> Project simulation

With the help of the project simulation, you have the possibility of switching between simulation mode and hardware mode. You can simulate processes for test purposes in simulation mode. In doing so, switching actions are executed, recipes are sent, set values are defined etc.without these operations actually being sent to the process (such as to a control unit for example).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

For single-user projects a license for the client is needed. For server projects only the server/standby must have a license available.

If the licensing is changed at the server, the clients must be restarted for the license to be applied.

Simulation operation

In simulation mode:

  • all drivers are started in mode Driver simulation programmed
  • no data is saved externally
    • SQL evacuation is not executed
    • Entries for IPA database are not created
    • existing IPA entries cannot be deleted, edited or commented
  • PFS shift data are not saved in the database
    (After starting the Runtime in hardware mode the saving is done.)


General

Manuale -> Project simulation -> General

You can only switch to the project simulation if all projects in Runtime are either single user or client projects. The simulation mode "separates" the computer and Runtime from the network. Furthermore, all drivers in Driver simulation - programmed are started. After this, no more drivers are connected to a process.

After switching to simulation mode, Runtime is restarted and acts as though all projects were configured as a single user project.


Switching to simulation mode

Manuale -> Project simulation -> General -> Switching to simulation mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following steps are carried out if you switch to simulation mode:

  1. Call up the function to switch to simulation mode.
  2. A check is made to ensure that all projects in simulation mode may be switched or are already in simulation mode.
  3. The steps from create simulation mode are carried out.
  4. For each project, an entry in the respective chronological event list is created, which notes the switch to simulation mode.
  5. Runtime ends and starts the zenProcess with additional parametering.
  6. zenProcess waits until Runtime has ended and then starts in simulation mode.
  7. Runtime recognizes the command line parameter and starts all projects as single user projects.
  8. The directory for Runtime data is now the simulation directory. The directory of Runtime data for hardware mode is not changed.
  9. The projects are started. The drivers are programmed in driver simulation mode and are loaded with the simulation image from the simulation directory. Local variables obtain their value from the local image. The variable image is applied on the programmed simulation. If in the programmed driver simulation the variable is changed at once in the first cycle of a program, in the zenon Runtime the variable does not have its original value as in the Runtime in hardware mode as first value but the value which was changed in the simulation.
  10. The image for the internal drivers is loaded.
  11. For each project, an entry in the respective chronological event list is created, which notes the switch to simulation mode.
  12. The system driver variable obtains the value for the simulation mode.

These points are executed for all projects in Runtime unless you have explicitly stated otherwise.


Switching in hardware mode

Manuale -> Project simulation -> General -> Switching in hardware mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The hardware mode is available each time Runtime is started, even if hardware mode was not switched into in simulation mode. The following steps are carried out:

  1. Call up the function to switch to hardware mode.
  2. The driver image (process driver and internal driver) and the image of zenon Logic simulation are saved.
  3. Runtime ends and starts the zenProcess with additional parametering.
  4. zenProcess waits until Runtime has ended and then starts with the start parameters for process connection.
  5. Runtime starts and load the projects and Runtime data - from the server if necessary.
  6. The drivers are initialized with the data from the local variables before simulation.
  7. If necessary, the simulation image is transferred to the server. You can activate this with appropriate command line parametering.


Create simulation image

Manuale -> Project simulation -> General -> Create simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

All files and variables that can be changed by Runtime are combined in the simulation image. If you wish to create a simulation image, the following steps are carried out:

  1. All data points from all projects are requested in order to supply them with current data.
  2. Data that is not required is deleted in the simulation image, according to the mode selected (Exception: Initialize with existing simulation image):
    1. Initialize with process image and Runtime data (without archive data): The local simulation project is completely deleted.
    2. Initialize with process image and Runtime data (with archive data): All archive files (*.ARX und *.ARS) are deleted in the local simulation directory.
  3. Depending on the settings you have made for the Attiva/Disattiva progetto di simulazione function, the corresponding project data, Runtime data and variable data is obtained from all projects. For AML, CEL and HDD, the current status is saved locally for a single user project and on the server for a server project (Exception:: Initialize with existing simulation image).

    Interno ID: Create simulation image

    Attiva/Disattiva progetto di simulazione

    Questa funzione Vi permette di passare da modalità di simulazone a modalità hardware. Inoltre, potete selezionare il tipo della modalità di simulazone e della modalità hardware.

    Ulteriori informazioni nella guida in linea

  4. The project files that can be changed in Runtime (for example, data for PFS, users etc.) will be copied to the corresponding file in the project directory (exception: initialize with existing simulation image).
  5. It waits until all data points have received a value. The progress bar displays the names of the data points. The display is limited to 60 characters and displays the attendant value. The waiting time is not limited.
  6. A variable image of all drivers is created and the internal drivers save their data. These images are copied in the computer directory. If you create the image in the simulation, it also contains the image of the driver simulation programmed.
  7. New transfer of files changed as in point 3 to point 6.
  8. The variable image is compared to the local simulation directory.
  9. This is because the variable image for local variables is saved except if an image is created in the simulation.

These points are executed for all projects in Runtime unless you have explicitly stated otherwise.


Activate/deactivate project simulation function

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

You switch between simulation mode and hardware mode using the Attiva/Disattiva progetto di simulazione function.

Interno ID: Activate/deactivate project simulation function

Attiva/Disattiva progetto di simulazione

Questa funzione Vi permette di passare da modalità di simulazone a modalità hardware. Inoltre, potete selezionare il tipo della modalità di simulazone e della modalità hardware.

Ulteriori informazioni nella guida in linea

The two modes can be started under different prerequisites. These are explained in the following chapters:

  • Simulation mode active:
    • Initialize with process image
    • Initialize with process image and Runtime files (without archive files)
    • Initialize with process image and Runtime files (with archive files)
    • Initialize with existing simulation image
  • Hardware mode active:
    • Activate process connection
    • Activate process connection and transfer simulation image to server
    • Create simulation image (RT in simulation mode) Transfer simulation image to server (RT in hardware mode)

Furthermore, the following general options are available:

Parameters | Description
Name of simulation image (computer name if empty) | Enter the name of the simulation image here. Note: Only the name of the directory is saved. If you do not explicitly give a name, the name of the computer is used.
Display error messages in Runtime | Activate this checkbox if you wish to receive an error message in Runtime if the functions was not executed correctly.
Show this dialog in the Runtime | Activate this checkbox if you you would also like to have this dialog displayed during Runtime. Note: settings for mode selection are locked in Runtime. If you have selected process connection, entering a name for the process image is also locked.

Info Informazioni

If a project in Runtime is, currently in the process of reloading or is to be reloaded or a dialog is opened in VBA for example, the Attiva/Disattiva progetto di simulazione function is not executed immediately. The function is carried out immediately as soon as there is no further reason for delay.


Initialize with process image

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Initialize with process image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here, an image of local variables is created and the project data that can be modified in Runtime is saved. After this, Runtime is restarted in simulation mode.

Is only executed is the project is not already in simulation mode.

Info Informazioni

All existing data in the image is deleted. Only the current variable values are obtained for initialization.


Initialize with process image and Runtime files (without archive files)

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Initialize with process image and Runtime files (without archive files)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here, an image of all local variables and all files from the computer directory (Exception: archive data) is created and the project data modified in Runtime is saved. After this, Runtime is restarted in simulation mode.

Info Informazioni

All existing data in the image is deleted. Only the current variable values are obtained for initialization

Info Informazioni

Ensure that all historical alarms and CEL files are copied. This procedure can take some time depending on the extent of the files involved.


Initialize with process image and Runtime files (with archive files)

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Initialize with process image and Runtime files (with archive files)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here, an image of all local variables and all files from the computer directory are created - any archive data that may be present locally in the image is not deleted - and project data modified in Runtime is saved. After this, Runtime is restarted in simulation mode.

Info Info

All existing data in the image is deleted. Only the current variable values are obtained for initialization

Info Info

Ensure that all historical alarms, CEL files and archive data are copied. This procedure can take some time depending on the extent of the files involved.

Info Informazioni

Here, the archive is kept. Archiving starts filling the missing archives when Runtime is first started if you have configured it to do so. This procedure can take some time depending on the size of the files involved.


Initialize with existing simulation image

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Initialize with existing simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here, an existing simulation image is transferred from the server to the client. No transfer takes place for a single user project. The respective status of local variables is saved and Runtime is restarted on the basis of the simulation image. Runtime is also restarted if it is already in simulation mode. If this was the case, no driver image is saved for the local variables to start in hardware mode.

Info Informazioni

As a result of the possibility to create a simulation image (with the help of create simulation image), you can always start a simulation from precisely the same place and under the same prerequisites. Not only are the variables saved in the screen, but the respective status of the driver simulation is also programmed. Because the server image (if present) is transferred, you also have the possibility of having several clients with the same screen. When Runtime is started, the image from the server is copied across. In doing so, only the changes are transferred.


Activate process connection

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Activate process connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here, you switch from simulation mode to hardware mode. The image of local variables is used for this.

When ending the simulation mode, the simulation mode is saved, so that the last status of the simulation mode can be recreated if necessary. If there is a connection to the server, the simulation image is transferred to the server and saved there.

attenzione Attenzione

If the same simulation image is transferred from several clients at the same time, it cannot be guaranteed that the simulation image copied is functional.


Activate process connection and transfer simulation image to server

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Activate process connection and transfer simulation image to server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With the help of the project simulation, you have the possibility of switching between simulation mode and hardware mode. You can simulate processes for test purposes in simulation mode. In doing so, switching actions are executed, recipes are sent, set values are defined etc.without these operations actually being sent to the process (such as to a control unit for example).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

For single-user projects a license for the client is needed. For server projects only the server/standby must have a license available.

If the licensing is changed at the server, the clients must be restarted for the license to be applied.

Simulation operation

In simulation mode:

  • all drivers are started in mode Driver simulation programmed
  • no data is saved externally
    • SQL evacuation is not executed
    • Entries for IPA database are not created
    • existing IPA entries cannot be deleted, edited or commented
  • PFS shift data are not saved in the database
    (After starting the Runtime in hardware mode the saving is done.)

In addition, the simulation image is transferred to the server and is therefore also available to other clients.


Create simulation image (RT in simulation mode) Transfer simulation image to server (RT in hardware mode)

Manuale -> Project simulation -> General -> Activate/deactivate project simulation function -> Create simulation image (RT in simulation mode) Transfer simulation image to server (RT in hardware mode)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here you create a simulation image and save it locally under the given name if you are in simulation mode.

The simulation image is transferred to the server in hardware mode if present and saved there under the given name.

Info Informazioni

Here you can create an image of the current statuses and save these. You can then continue at this point with exactly the same requirements.


System driver variable - Runtime status (simulation)

Manuale -> Project simulation -> System driver variable - Runtime status (simulation)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Runtime status (simulation) system driver variable indicates the status that Runtime is currently in. You can find the variables under the system info topic. The following statuses are present:

status | Description
0 | Process connection - Runtime is in hardware mode.
1 | Switch to process connection in simulation
2 | Change to simulation with process connection
3 | In simulation - Runtime is in simulation mode


Scripts

Manuale -> Project simulation -> Scripts

These scripts are available for the simulation mode; they are executed automatically:

Script | Description
AUTOSTART_SIMUL | If Runtime is started in simulation mode, the script with the name AUTOSTART_SIMUL is executed automatically if it is available.
AUTOEND_SIMUL | If Runtime is ended in simulation mode, the script with the name AUTOEND_SIMUL is executed automatically if it is available.


Features specific to simulation mode

Manuale -> Project simulation -> Features specific to simulation mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The differences between hardware mode and simulation mode are as follows:

  • The backup directory is not used
  • Archives are not evacuated
  • Archives are only stored in zenon format
  • The Export archive function cannot be executed
  • SQL data evacuation is deactivated for various modules
  • Message Control is deactivated
  • zenon Logic Runtimes are not started
  • No data is exchanged with zenon Logic Runtime by means of zenon drivers
  • No simulation at the zenon web client and under Windows CE.
  • Variables from SB remain without value
  • The driver is not switched between hardware and simulation
  • A script may not be executed fully if a function that requires the Runtime to be restarted is executed in the script.
  • The simulation program which is contained in the driver simulation programmed is also used for the project simulation.
  • In the simulation mode function Save remanent data does not save values for the following drivers:
    • internal driver
    • mathematics driver
    • system driver


Online language translation

Manuale -> Project simulation -> Online language translation

Define the texts for language translation for all projects in the start project. You define the function in the start project in the same way. This ensures that you have online text in the correct project. Any possible error messages are also entered into the corresponding project.


Simulation image

Manuale -> Project simulation -> Simulation image

to ensure that these are recreated, the values of the driver variables must be saved in the following files:

File name | Description
Drv'Treiber-ID'.sim | In this file, all values of a data point are saved in the respective driver. The files are necessary to recreate all current values in the simulation after Runtime is restarted. If the files were created during simulation mode, an image of the programmable simulation is also contained.
Drv'Treiber-ID'.sim | In this file, the values of the local variables are saved for the respective drivers. If Runtime starts with process coupling and these files were found, the local variables obtain the values from the files. The files are deleted after this. This also happens if Runtime is started manually.
Drv'Treiber-ID'.lssim | saves an image of the local variables that is incorporated into the simulation image.


Files in the simulation image

Manuale -> Project simulation -> Files in the simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If an image is created for the simulation, files and directories are transferred to the image from various sources. During active simulation, this data is then accessed and no longer on the originals, such as those that are on the computer directory for instance.

The following files are copied to the image's system directory from the project's system directory:

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

and the following directories:

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

All files up to those with the ending *.lsim are taken from the computer directory. For the simulation without image mode, the files *.sim, internvar.bin, sy_ma32.bin and uservar.bin are transferred. For the simulation without archive mode, all files up to those with the ending *.arx and *.ars are transferred.


Runtime Command Line parameters

Manuale -> Project simulation -> Runtime Command Line parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Runtime recognizes whether it should be started in simulation mode or in hardware mode. If none of the two following parameters are given, Runtime starts in hardware mode.

These parameters can also be given for a manual start.

Parameters

Description

SIMUL

With this parameter, you indicate that Runtime is to be started in simulation mode.

SIMUL[=ImageName]
  • Image name

This addition is optional and defines the name of the simulation image that is to be used for the simulation mode.
If no other image names are given, the computer name is used.

REALMODE

With this parameter you indicate that Runtime is to be started in hardware mode.

RALMODE[=ImageName]
  • Image name

This addition is optional and defines the name of the simulation image that is to be transferred to the server after starting. If you do not give an image name, no transfer takes place.

CANCEL

You cancel the switching process with this parameter. Runtime is ended but not restarted.

RESTART

After a waiting time of 30 seconds, the "dependent" processes are also ended and Runtime is restarted.

zenProcess

The zenProcess.exe application is used to restart zenon Runtime when switching between the two modes - simulation mode and hardware mode. In doing so, it waits until all Runtime processes have ended. The number and some names - a maximum of 5 - of the ongoing processes are displayed for as long as they are being waited on. Runtime is restarted after this.


Limitations

Manuale -> Project simulation -> Limitations

The following restrictions are known:

  • Module Batch Control is not supported in the simulation.


Remote Desktop

Manuale -> Remote Desktop

Con il Remote Desktop potete creare una connessione "Remote Desktop" con un un sistema di destinazione remoto e amministrare semplicemente un calcolatore remoto. Ciò significa che potete realizzare dalla Vostra postazione di lavoro una connessione visiva con un altro PC o un apparecchio CE. La visualizzazione del desktop corrisponde esattamente a quella del sistema destinatario.

Il Remote Desktop realizza una connessione di pura osservazione o anche una di gestione.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Differenze con rete e Windows Remote Desktop

Il Remote Desktop non può sostituire una rete zenon. Si tratta infatti di una pura trasmissione delle informazioni visualizzate sullo schermo. Ciò significa che in tutti i computer collegati viene visualizzata la stessa immagine. Servendovi della rete di zenon, invece, siete in grado naturalmente di visualizzare delle diverse immagini su ognuno dei client.

Rispetto a quello di Windows, il Remote Desktop di zenOn ha il vantaggio che più computer possono connettersi contemporaneamente con il sistema destinatario. Il sistema destinatario, da parte sua, rimane gestibile in modo completo anche se viene creata una connessione remota. Nel caso del Remote Desktop di Windows, invece, si può lavorare solo o dal PC remoto, oppure dal sistema destinatario.

Attivazione

Per evitare delle falle nel sistema che possono rivelarsi pericolose ai fini della sicurezza, il Remote Desktop non viene attivato sul PC al momento della installazione. Per poterlo utilizzare, dovete prima di tutto attivarlo (vedi Configurazione). Con Windows CE, il servizio Remote Desktop zenVNCSrvCE.exe deve essere avviato manualmente, oppure mediante i meccanismi di autostart di Windows CE.

Il Remote Desktop non viene disinstallato quando si disinstalla zenon con il setup, ma rimane sul computer. Se volete eliminare questa funzione, leggete come fare nel capitolo Disinstallazione.

attenzione Attenzione

Il Remote Desktop viene fornito con delle password standard. Vi consigliamo, però, di modificarle nel software di configurazione! (vedi sezione Configurazione).


Struttura

Manuale -> Remote Desktop -> Struttura

Il Remote Desktop consiste di tre componenti:

Parametri

Descrizione

Servizio Remote Desktop

Il servizio Remote Desktop trasmette le informazioni del desktop attraverso la rete al software di osservazione. Sul PC il servizio non ha alcuna interfaccia e funziona in background come programma Windows invisibile. Non viene avviato come servizio Windows.
Con Windows CE, il servizio è visibile come Tray-Icon.

Il servizio Remote Desktop dispone anche di un server web HTTP integrato. Quest'ultimo offre un punto di entrata per qualsiasi browser web. Potete avviare una connessione visuale Remote Desktop direttamente nel Vostro browser.

Configurazione Remote Desktop

Mediante il software di configurazione potete stabilire le modalità di funzionamento del servizio.

Software di osservazione Remote Desktop.

Facendo uso del software di osservazione potete vedere il remote desktop dal Vostro PC. Ce ne sono due tipi:

un software di osservazione Windows standard, che si avvia o dal Trasporto remoto nell'editor, oppure mediante il menu "Start" di Windows.

Connessione diretta mediante web browser standard senza software estraneo. La visualizzazione del Remote Desktop avviene in questo caso direttamente nel browser web.


Configurazione

Manuale -> Remote Desktop -> Configurazione

Con il software di configurazione del remote desktop potete adattare la connessione desktop remoto alle Vostre esigenze personali.

Impostazione

Descrizione

Enable Remote Desktop service

Attiva il servizio Remote Desktop.

Se il servizio è disattivato, ne viene eliminata la registrazione completamente e non è più a disposizione. Esso può essere attivato di nuovo solo facendo uso di questo software di configurazione.

Tenete presente che, nel caso in cui il server HTTP è attivo, la password dovrebbe essere modificata prima della disattivazione.

Enable built-in HTTP server

Attiva il server HTTP integrato. La pagina di Start visualizzata è fissa e non può essere modificata.

Attenzione: Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la passwort oppure chiudete la porta del Remote Desktop 5610.

Primary password

Consente un accesso di gestione al calcolatore.

Trattamento della password

  • La password standard per la prima installazione è SCADA-ALL.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della password è limitata a 8 caratteri.
    Può essere inserita però la password standard SCADA-ALL.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

View-only password

Se inserite questa password al momento della creazione della connessione, ottenete un accesso al desktop limitato alla sola visione.

Trattamento della password

  • La password standard per la prima installazione è SCADA.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della passwort è limitata ad un numero massimo di 8 segni.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

Log information to zenVNC.log

Il servizio Remote Desktop scrive informazioni di analisi nel file zenVNC.log. Questo file si trova nel percorso User Temp.

WWindows XP: C:\Documenti e settings\ Utente \Impostazioni locali\Temp
Windows Vista/7: C:\Users\Default\AppData\Local\Temp

Potete vedere questa cartella solo se avete attivato nelle proprietà delle cartelle di Windows Explorer l'opzione "mostra file e cartelle nascosti"..

Log detailed debugging information

Il servizio Remote Desktop scrive informazioni dettagliate di errore e di debugging nel file zenVNC.log. Questa opzione è necessaria solo per effettuare un'ampia analisi degli errori.

Block remote input events

Se volete rendere impossibile un accesso dall'esterno che permetta delle modifiche, anche se la primary password è nota, potete impostare questa opzione. In questo caso ogni tentativo di accesso da PC remoti volto ad effettuare delle modifiche è reso impossibile. E' possibile solo un accesso per pura osservazione.

Block remote input on local activity

Se sul computer locale si verificano delle operazioni di gestione (sia per mezzo della tastiera che per mezzo del mouse), sono esclusi degli interventi di gestione di computer remoti. Alla scadenza del tempo impostato, la gestione da fuori ridiventa possibile.

attenzione Attenzione

Se non cambiate le password, ognuno può accedere inosservato al Vostro computer!!

Sono permesse anche delle password vuote, ma Vi consigliamo vivamente di non adottare questa soluzione. Ciò perché, con delle password vuote, permettete che ognuno possa accedere inosservato al Vostro computer.

Info Informazioni

Tutte le modifiche divengono effettive solo dopo che avete cliccato su OK . In questo modo il servizio Remote Desktop viene sempre riavviato. I computer collegati perdono la connessione.


Crea collegamento

Manuale -> Remote Desktop -> Crea collegamento

Avete le seguenti possibilità di instaurare una connessione desktop remoto:

Integrata nel trasporto remoto:

Il Remote Desktop è direttamente integrato in zenon. Potete instaurare una connessione facendo uso dell'icona Avvia connessione Remote Desktop che si trova nella barra dei simboli del trasporto remoto. Automaticamente viene utilizzato il sistema destinatario che è impostato nel trasporto remoto. Se in quest'ultimo non è stato indicato alcun computer, viene utilizzato il server impostato nella configurazione di rete.

Vi preghiamo di tenere presente, che nel trasporto remoto deve essere impostato come mezzo di trasporto TPC/IP.

La creazione della connessione avviene secondo lo stesso meccanismo del collegamento instaurato mediante il menu "Start"; l'unica differenza è che non deve essere indicato il nome del computer remoto.

Mediante il menu "Start":

Nel caso in cui abbiate l'intenzione di instaurare una connessione Remote Desktop con un altro sistema destinatario, potete farlo usando il collegamento presente nel menu "Start" alla voce Start - COPA-DATA - ToolsXX - Avvia connessione Remote Desktop.

Parametri | Descrizione
Server | Qui dovete inserire il nome computer oppure l'indirizzo IP del sistema destinatario.
Connection profile | I profili della connessione stabiliscono la larghezza di banda necessaria della rete. Tanto minore è la larghezza di banda disponibile da Voi impostata, tanto maggiore è la compressione della trasmissione dei dati e tanto peggiore sarà anche la visualizzazione delle immagini. Queste opzioni possono essere impostate solamente all'inizio della connessione e non possono essere più modificate in seguito. Nel caso vogliate effettuare delle modifiche, dovete chiudere la connessione e instaurarne un'altra.
Options | Apre il dialogo Connection Options. Le opzioni di connessione potete modificarle anche più tardi, dopo aver instaurato il collegamento. La descrizione delle opzioni la trovate nel capitolo Opzioni di connessione.

Appena cliccate su Connect, si instaura la connessione.

Per mezzo di un browser web:

Un'altra possibilità è quella di creare una connessione per mezzo di un browser web standard. Ciò è possibile solo nel caso in cui sia installato un runtime Java sul Vostro computer. La versione più attuale di quest'ultimo, la potete trovare sulla Java Homepage. http://www.java.com. In alternativa, potete trovare un setup Java anche sul DVD di installazione. Mettete il DVD nel computer e avviate il programma di installazione (Start.exe). Nel settore dei tool, potete installare il runtime Java.

Avviate il browser web e inserite nella riga dell'indirizzo il nome computer oppure l'indirizzo IP del sistema destinatario, seguiti da :5600, per es..: http://MyRemotePCName:5600.

Info Informazioni

Vale per tutte le possibilità di connessione: non è possibile una connessione al PC locale!

Nel caso ci dovessero essere problemi di collegamento, controllate i Presupposti.


Autenticazione

Manuale -> Remote Desktop -> Crea collegamento -> Autenticazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Software di osservazione standard

Mentre la connessione viene instaurata, appare un dialogo di informazione nel quale potete sincerarvi che state creando il collegamento con il sistema destinatario giusto.

Dovete inserire in questo dialogo la password di connessione. Non è necessario un nome utente.

Interfaccia Web

_

Dovete inserire in questo dialogo la password di connessione. Nella riga dei titoli vedete adesso con quale remote desktop siete connessi.

Password

Per poter instaurare un collegamento, dovete conoscere le password di connessione. La password PrimaryVi consente l'accesso completo al remote desktop. La password View-only, invece, consente solo la modalità di osservazione. A seconda della password utilizzata, viene avviata la relativa modalità di funzionamento. La lunghezza della passwort è limitata ad un numero massimo di 8 segni. (Vedi Configurazione.)

attenzione Attenzione

Se nella parte del server nel software di configurazione è settata l'opzione "Block remote Input Events", non potete gestire il Remote-System anche se usate la password Primary.

Info Informazioni

In occasione della prima installazione, la password Primary viene settata a SCADA-ALL e quella View-only a SCADA . Potete modificare in ogni momento le password nel remote-system facendo uso del software di configurazione (vedi Configurazione).


Software di osservazione standard

Manuale -> Remote Desktop -> Crea collegamento -> Software di osservazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Appena avete instaurato la connessione, il software di osservazione visualizza il contenuto dello schermo del desktop remoto.

Avete la possibilità di effettuare delle ulteriori impostazioni utilizzando la barra dei simboli, mediante il menu contestuale oppure tramite la lista a cascata. Anche se la riga dei simboli non è visibile, potete accedere al menu contestuale con un clic del tasto destro del mouse sulla riga di testa del software di osservazione oppure sul simbolo nella taskbar. Nel caso in cui abbiate attivato la modalità a schermo intero, dovete anzitutto disattivarla usando la combinazione di tasti <Ctrl><Alt><Cambio><F>.

La barra dei simboli ed il menu contestuale offrono le seguenti possibilità:

Parametri

Descrizione

Connection options...

Apre il dialogo che serve ad impostare le opzioni di connessione. Vedi Opzioni di connessione.)

Connection info

Apre il dialogo che visualizza le informazioni di connessione attuali.

Full Screen

Passa alla modalità schermo intero, il che significa che non avete più la cornice di Windows intorno al software.
Se viene utilizzata la stessa risoluzione del monitor sul computer remoto e su quello locale, l'immagine remota viene visualizzata in modo da coprire l'intero schermo. Wenn am Remote Rechner und am Lokalen Rechner dieselbe Monitorauflösung verwendet wird, wird das Remote Bild bildschirmfüllend dargestellt.
Se, invece, il computer remoto ha una risoluzione minore, il desktop remoto viene centrato e visualizzato in una cornice nera.
Se, infine, il computer remoto ha una risoluzione maggiore di quello locale, il desktop remoto non viene visualizzato per intero (tagliato). Se si porta il puntatore del mouse verso la parte non visibile dell'immagine, il monitor scrolla automaticamente in quella direzione.

Con la combinazione di tasti <Alt><Tab>potete passare dal computer remoto a quello locale o viceversa. Chiudete la modalità a schermo intero usando la combinazione di tasti <Ctrl><Alt><Cambio><F> .

Show Toolbar

Attivo: viene visualizzata la barra dei simboli.

Request screen refresh

Provoca un refresh e dunque un ridisegnamento del remote desktop, per es. nel caso di rappresentazione di cattiva qualità.

Send Ctrl-Alt-Del

Questa azione non ha alcun effetto.

Send Ctrl-Esc

Apre il menu "Start" sul desktop remoto.

Ctrl key down

Mantiene premuto sul desktop remoto il tasto ctrl. Cliccando un'altra volta, il tasto ritorna in posizione normale.

Alt key down

Mantiene premuto sul desktop remoto il tasto alt. Cliccando un'altra volta, il tasto ritorna in posizione normale.

New connection...

Apre il dialogo che serve a instaurare una nuova connessione desktop remoto. Vedi Crea collegamento. La connessione esistente viene interrotta.

Save connection info as...

Salva un collegamento a questa connessione in forma di file RDC (Remote Desktop Communication File). Potete salvare questo file, per esempio, sul desktop. Al momento di effettuare il salvataggio, il sistema Vi chiede se volete salvare la password nel file.
Indicazione: salvare la passord rappresenta un rischio per la sicurezza.

Cliccando due volte sull'icona corrispondente al file, viene avviato il software di connessione e viene creata automaticamente un collegamento con il desktop remoto indicato, senza che Voi siate obbligati ad inserire un nome computer (e la password, nel caso in cui l'abbiate salvata nel file).

Disconnect

Interrompe la connessione e chiude il programma.


Opzioni di connessione

Manuale -> Remote Desktop -> Crea collegamento -> Software di osservazione standard -> Opzioni di connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce Connection potete effettuare le seguenti operazioni di configurazione:

Parametri | Descrizione
Scale by | Scala la visualizzazione del desktop remoto sulla base della grandezza impostata. Si tratta di un'opzione vantaggiosa se il desktop remoto ha una risoluzione di monitor maggiore a quelle del computer locale.
Full-screen mode | Passa alla modalità a schermo intero Chiudete la modalità a schermo intero usando la combinazione di tasti<Ctrl><Alt><Cambio><F>
Deiconify on remote Bell event | Questa impostazione non ha alcun effetto.

Alla voce Globals potete effettuare le seguenti operazioni di configurazione:

Parametri | Descrizione
Show toolbars by default | Mostra la toolbar. Se la toobar è stata disattivata, può essere riattivata mediante il menu contestuale del software.
Warn at switching to the full-screen mode | Se passate alla modalità a schermo intero, viene visualizzata una segnalazione che Vi informa come la si può richiudere.
Number of connections to remember | Il software di osservazione memorizza le ultime connessioni. Quando poi stabilite una connessione, Vi viene offerta una lista di selezione contenente gli ultimi collegamenti realizzati. Potete impostare il numero delle connessioni che debbono essere memorizzate.
Clear the list of saved connections | Cancella la lista delle connessioni memorizzate.
Dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come punto nero.
Small dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come piccolo punto nero.
Normal arrow | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato nella forma di freccia tipica per il puntatore del mouse standard di Windows.
No local cursor | Viene visualizzato solo il puntatore remoto.


Software di osservazione Web

Manuale -> Remote Desktop -> Crea collegamento -> Software di osservazione Web

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell'interfaccia del browser sono a disposizione le seguenti possibilità:

Parametri | Descrizione
Disconnect | Interrompe la connessione. Il browser web rimane aperto.
Options | In questo caso potete impostare diverse opzioni di connessione. Esse non sono documentate. Vi consigliamo di lasciarle nella impostazione originale. Le impostazioni non vengono salvate. Quando si instaura di nuovo una connessione, sono di nuovo valevoli le impostazioni originali.
Clipboard | Permette di leggere delle informazioni testuali dagli appunti del remote desktop, o di inviarle agli appunti. Nel dialogo, potete vedere gli appunti del remote desktop. Se modificate il testo, esso viene inviato agli appunti del remote desktop premendo su Close.
Send Ctrl-Alt-Del | Questa opzione non viene supportata.
Refresh | Attualizza il contenuto dello schermo.


Limitazioni

Manuale -> Remote Desktop -> Limitazioni

Il servizio Remote Desktop funziona solo nel contesto dell'utente. Viene avviato su Windows al momento della registrazione dell'utente.

Una connessione remota, quindi, può essere creata solo se c'è un utente registrato. Non è possibile un log-in remoto con ctrl-alt-canc. Nel momento in cui l'utente si disattiva, anche il servizio del Remote Desktop viene chiuso. Gli eventuali osservatori collegati perdono la connessione.

Non può essere realizzata una connessione anche nel caso il cui il computer remoto è bloccato, Il computer è bloccato anche nel caso in cui sia stato attivato un salvaschermo con l'opzione Inserimento password al momento della riattivazione.

Nel caso in cui diversi utenti siano registrati contemporaneamente sul computer remoto (veloce cambio di utenti), il servizio Remote Desktop viene avviato più volte. Il software di osservazione, però, si può connettere sempre solo con il servizio avviato per primo. Se questo primo utente non è più attivo, la connessione viene creata, ma chiusa immediatamente dopo l'inserimento della password.

La connessione viene interrotta anche se l'utente registrato per primo clicca su Cambia utente e diviene così inattivo.


Presupposti / Ricerca degli errori

Manuale -> Remote Desktop -> Presupposti / Ricerca degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Peché si possa instaurare una connessione con un sistema remoto, devono essere soddisfatti i seguenti presupposti:

  • zenon (almeno la versione 6.22 di zenOn o quelle successive) deve essere installato.
  • Sul PC deve essere attivato il servizio Remote Desktop (zenVNCSrv.exe). Potete attivare il servizio nel software di configurazione del Remote Desktop (vedi Configurazione). Potete controllare questo servizio nel taskmanager di Windows.
  • Sul PC remoto deve essere registrato un utente, ed il computer non deve essere bloccato. Vedi Limitazioni.)
  • Con Windows CE, dovete avviare il servizio Remote Desktop zenVNCSrvCE.exe manualmente o per mezzo delle opzioni autostart di Windows. Come attivare queste ultime lo potete apprendere leggendo la descrizione del produttore degli apparecchi. Potete controllare se il servizio funziona regolarmente nel taskmanager di Windows CE (nel caso ce ne sia uno).
  • Questo servizio deve essere attivato sia nel firewall di Windows che in tutti gli altri firewall, e debbono essere attivate le due porte 5600 (http Port) e 5610 (Remote Desktop Port). Potete verificare ciò aprendo da un altro PC una connessione Telnet per le porte 5600 e. 5610. Aprite la riga comandi ( cmd.exe) e inserite il seguente comando:
    telnet RemotePCName 5610.
    Nel caso in cui la connessione viene stabilita con successo, appare una finestra nera.
    Con Windows Vista, Telnet non è installato a priori. Però potete installare questo programma nel modo seguente:
    Cliccate sul pulsante "Start", su "Pannello di controllo", su "programmi", e poi su "Avvia escludi funzioni Windows".
    Nel dialogo delle funzioni Windows, attivate la casella di controllo "Telnet-Client" e poi cliccate su OK.
  • Le due porte 5600 e 5610 non debbono essere occupate da altri programmi, altrimenti vengono prese altre ports in modo del tutto casuale. Se le porte sono occupate o meno, lo potete verificare con il comando Windows netstat -n -a -o dalla riga comandi. Il ID di processo del servizio Remote Desktop (zenVNCSrv.exe) potete leggerlo nel taskmanager alla voce Processi. Se questa colonna non è visibile, potete attivare la colonna PID (ID di processo nel menu Visualizza - Seleziona colonne.....
  • Se avviate la connessione tramite l'editor, dovete avere impostato nel Remote Transport TCP/IP come mezzo di trasporto. Come sistema destinatario dovete aver indicato un computer o nel Trasporto remoto oppure come server di progetto.
  • Il veloce cambio utente non viene supportato da Windows Vista. La connessione viene dunque interrotta. Vedi Limitazioni.

Info Informazioni

Disattivazione del server HTTP:

Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la passwort oppure chiudete la porta del Remote Desktop 5610.


Disinstallazione

Manuale -> Remote Desktop -> Disinstallazione

Il Remote Desktop non viene cancellato quando si disinstalla zenon, visto che esso viene utilizzato anche fra diverse versioni. Il setup non ha alcuna possibilità di verificare quali versioni di zenon siano ancora in uso.

Per cancellare il Remote Desktop, dovete effettuare le seguenti operazioni:

Avviate il software di configurazione e cancellate in Enable Remote Desktop servicela graffetta; poi cliccate su OK. In questo modo il servizio Remote Desktop viene chiuso e ne viene eliminata la registrazione.

Adesso potete cancellare i file zenVNCSrv.exe, zenVNCcfg.exe e oem.dll nella cartella C:\Programmi\File condivisi\COPA-DATA\zenVNCSrv.


Reporting

Manuale -> Reporting

Il reporting integrato in zenon serve alla documentazione, analisi e presentazione dei dati del processo basate sui dati online e di archivio attinti da zenon. Il reporting si articola in:

  • Generatore di rapporti
  • Report Viewer

Entrambe queste varianti di reporting non sono disponibili sotto Windows CE.

tutorial Informazioni sulla licenza
  • Nell’Editor: devono essere entrambre provviste di una licenza.
  • Nel runtime:
    Report Viewer: fa sempre parte del pacchetto standard.
    Report Generator: è integrato nel pacchetto standard del software, ma solo limitatamente alla pura e semplice visualizzazione dei report. Se si vuole usare il Report Generator anche per scrivere valori di archivio o valori impostabili, bisogna acquistare una licenza anche per il Runtime.

Per realizzare un reporting più ampio e indipendente dalle piattaforme, un reporting che vada dal livello del processo a quello dei sistemi ERP, avete a disposizione zenon Analyzer. il Vostro distributore di COPA-DATA è a Vostra disposizione per fornirvi le informazioni desiderata.


Generatore di rapporti

Manuale -> Reporting -> Generatore di rapporti

Il Generatore di rapporti serve alla documentazione, all'analisi e alla presentazione di dati di processo effettuata sulla base di dati online e di archivio. Il Generatore Report lavora con orientamento alle celle. Si possono assegnare determinate funzioni e formati ad ogni cella.

La progettazione dei report avviene mediante il tipo di immagine Report. Il filtro, il calcolo, l´emissione e la visualizzazione dei dati avviene tramite le Funzioni Report. Queste ultime vengono inserite usando i dialoghi, oppure manualmente. I valori possoni essere letti e - se consentito nell´immagine - anche modificati. Il Generatore di report soddisfa i requisiti di Regelblatt 13 e ATV H260

menu contestuale - manager di progetto

Punto di menu | Azione
Nuovo report | Imposta un nuovo report nella lista della visuale dettagliata.
Importa report esistente... | Apre il Manager file che serve alla selezione di un file report esistente.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Info Informazioni

I bit di stato NORM e N_NORM non vengono visualizzati nel report, o meglio lo stato NORM non può modificarli mediante il report.


Progettazione nell'editor

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter usare i report nel Runtime, nell´Editor si deve:

  • impostare una Immagine del tipo Report
  • creare un Report e configurarlo
  • progettare una Funzione di cambio nel Runtime

Procedura consigliata per la progettazione del report:

  • Crea report
  • Formattazione report
  • Imposta filtro archivio
  • Progettare funzioni report


Crea tipo d'immagine Report Generator

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Crea tipo d'immagine Report Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´immagine del tipo Report vengono visualizzati a Runtime i report realizzati con il Report Generator, che possono poi essere configurati, ammesso che si disponga delle autorizzazioni necessarie. La grandezza della visualizzazione dipende da quella del modello prescelto. Quale report deve essere visualizzato, può essere definito nel cambio immagine oppure durante il Runtime.

Per creare un tipo di immagine Report:

  1. selezionate nel nodo Immagine del menu contestuale il comando Nuova immagine
  2. selezionate nella colonna Tipo di immagine nella lista a cascata Report
  3. selezionate nella barra menu Elementi di controllo -> Inserisci modello
  4. viene creato un report con impostazioni standard
  5. inserite, se necessario, altri elementi di controllo dal menu Elementi di controllo
  6. create una funzione Cambio immagine, per aprire l´immagine nel Runtime

Parametri

Descrizione

Inserisci modello..

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

Pulsanti per la gestione durante il Runtime.

Refresh

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report nel Runtime.

File

Seleziona file report e modifica le condizioni di filtro.

Esportare

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato nel Runtime (*.xrs).

Attenzione: Al momento del salvataggio del report, le formule le funzioni vengono sostituite dai valori attuali. Non sono più disponibili le funzioni in questi report (file.xrs). Non sarà più possibile neanche modificare questi report nell´Editor.

Raccomandazione: impostate i file originali di Report in modalità "protetti da scrittura" e salvate le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome

Il report viene salvato nel runtime con un nuovo nome (*.xrs), essendo sostituite le formule e funzioni dai valori attuali.

Leggere tutti i valori

Il driver legge di nuovo tutti i valori.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Scrivi valori selezionati

I valori selezionati vengono scritti sul driver.

Riga in su

Passare una riga più in alto

Riga in giù

Passare una riga più in basso

Colonna a destra

Spostarsi di una colonna a destra

Colonna a sinistra

Spostarsi di una colonna a sinistra

Pagina in su

Passare alla pagina precedente

Pagina in giù

Passare alla pagina successiva

Pagina a destra

Spostarsi di una pagina a destra

Pagina a sinistra

Spostarsi di una pagina a sinistra

Report

Elemento di controllo per la visualizzazione report

Report

Finestra per la visualizzazione dei report.

Profili filtro

Pulsanti per i profili filtro.

Selezione profilo

Visualizzazione dei profili filtro disponibili e inserimento di nuovi nomi profilo.

Salva

Salva l´impostazione attuale come profilo.

X (Salva)

Cancella il profilo selezionato.

Importazione

Esporta profili.

Esportazione

Importa profili.


Imposta nuovo report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Prima di impostare un nuovo report, bisognerebbe definire la stampante report, perché la formattazione pagine di un report dipende dalla stampante impostata. Una successiva modifica delle impostazioni stampante potrebbero rendere necessaria la riformattazione del report esistente.

Per creare un nuovo report:

  • navigate all´interno del manager di progetto fino a giungere al nodo Generatore Report
  • selezionate nel menu contestuale il comando Nuovo report
  • viene generato un nuovo report nella lista dettagliata
  • si apre un foglio elettronico vuoto nella finestra principale

Funzionalità del foglio elettronico:

  • Attribuzione di informazioni di processo tramite Funzioni Report
  • visualizzazione formattata di contenuti di celle, colonne e righe
  • Somme parziali
  • Attribuzione dei blocchi di editing

Info Informazioni

Nel caso di inserimento nelle celle vale la regola: Un valore decimale può essere separato sia tramite una virgola che mediante un punto. Il separatore decimale viene trasformato automaticamente in un punto .

vedi anche Vedi per ulteriori informazioni


Menu Report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Menu Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si seleziona un Report, nella barra dei menu appare il menu Report:

Parametri

Descrizione

Salva report

Salva tutte le modifiche nel report attivo. I cambiamenti effettuati in altri report non verranno salvati.

Esporta funzioni Report

Esporta tutte le funzioni del report attivo in un file di testo.

Struttura: colonna / riga =funzione(parametro)

Ridisegna report

Ridisegna il report.

Ricalcola funzioni

Ricalcola il report.

Imposta pagina

Apre il dialogo che serve all´impostazione della pagina.

Stampa report

Stampa il report sulla stampante definita per il progetto nelle impostazioni standard.

Area di stampa

Imposta oppure reimposta le aree di stampa:

  • Imposta area di stampa: definisce l´area evidenziata della tabella come area di stampa.
  • Reimposta area di stampa: cancella l´impostazione dell´area di stampa

Anteprima pagina report

Passa dalla visuale di layout all´anteprima di stampa. Con il tasto sinistro del mouse si può zoomare nella visuale.

Uscire dall´anteprima di stampa: premere il tasto Esc.

File report-info

Apre il dialogo che serve a gestire le informazioni del file report.


Menu "Modifica".

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Menu "Modifica".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si seleziona un report, il menu Modifica mette a disposizione dell´utente funzioni speciali:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copiare

Aggiunge il contenuto degli appunti.

Incolla

Copia l´area evidenziata negli appunti.

Inserisci esteso

Mette a disposizione delle opzioni di inserimento estese per operazioni cella:
  • tutto

Inserisce tutto quanto contenuto negli appunti.

  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Va perso il riferimento alle formule.

  • Formato

Riprende solamente il formato.

Riempire

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle.

  • In giù

Il riempimento avviene dall´alto in basso.

  • a destra

Il riempimento avviene verso destra.

Rimuovi

Cancella dalle celle selezionate:

  • tutto

tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Cancella colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Cerca/Sostituisci

Apre il Dialogo che serve alla ricerca e sostituzione nel foglio elettronico.


Menu Formato

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Menu Formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il menu Formato mette a disposizione delle proprietà e delle funzioni per la formattazione della tabella di report:

Parametri

Descrizione

Celle

Opzioni di formattazione per le celle:

  • Carattere
  • Disegno
  • Cornice
  • Orientamento
  • Numeri
  • Liste

Riga

Opzioni di formattazione per le righe:

  • Altezza riga: apre il dialogo che serve alla definizione dell´altezza riga
  • Formato righe: apre il dialogo per tutte le proprietè delle righe

Colonna

Opzioni di formattazione per le colonne:

  • Larghezza della colonna: apre il dialogo che serve alla definizione della larghezza della colonna
  • Formato colonne: apre il dialogo per tutte le proprietè delle colonne

Report

Apre il Dialogo che serve a formattare il report. .

Assistente funzione

Apre l´assistente che serve a creare le Funzioni di report.

Filtri

Apre Filtro report per consentire la selezione di archivi.


Barra simboli del Generatore di rapporti

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Barra simboli del Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per il generatore di rapporti avete a disposizione una barra di simboli nell´editor: nel caso in cui non dovesse essere visibile, la si può visualizzare mediante:

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra simboli
  2. attivate il checkbox accanto al Generatore di rapporti
  3. confermate la selezione cliccando su OK

Simbolo (da sinistra a destra) | Funzione
Stampa report | Stampa il rapporto con la stampante impostata come standard.
Anteprima pagina report | Apre il rapporto in un´anteprima. Il rapporto può essere ingrandito oppure rimpicciolito (zoom); lo si può sfogliare e stampare.
Ridisegna report | Attualizza la visualizzazione.
Ricalcola funzioni | Calcola nuovamente le formule nel report
Assistente funzione | Apre un dialogo che serve di aiuto per la configurazione delle funzioni.
Carattere | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Carattere.
orientamento testo | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Orientamento.
Cornice | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Cornice.
Disegno | Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Disegno.
Opzioni per barre dei simboli | Cliccando sulla freccia si apre il sotto-menu: attivo: viene visualizzata la barra dei simboli. Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.


Menu contestuale e Barra simboli Visualizzazione dettagliata

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Menu contestuale e Barra simboli Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Punto di menu | Azione
Nuovo report | Imposta un nuovo report nella lista della visuale dettagliata.
apri report | Apre il report selezionato, oppure vi pone il focus se esso è già aperto.
Crea una funzione standard | Crea una funzione di zenon per il Report Generator. L´azione viene documentata nella finestra di emissione.
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Importa report esistente... | Apre il Manager file che serve alla selezione di un file report esistente.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra proprietà.
Guida | Attiva la guida online


Struttura della finestra tabelle

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Struttura della finestra tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando li si edita nell´Editor, i report vengono visualizzati divisi in due parti nella finestra principale.

  • il settore a sinistra contiene la tabella per la bozza
  • quello di destra mostra un´anteprima dell´emissione

La grandezza di queste due parti può essere modificata individualmente. A tal scopo, spostate il puntatore del mouse sul bordo destro della barra di scorrimento della tabella; quando esso assume l´aspetto dello strumento di spostamento, portate la barra di scorrimento nella posizione desiderata.

Riga di inserimento

La tabella contiene una riga di inserimento che si trova sul bordo superiore. Se non si è provveduto ad attivare nelle Proprietà del report la proprietà Modificare nella cella, questa riga non verrà visualizzata. In questo caso, gli inserimenti dovranno essere effettuati direttamente nella cella.


Menu contestuale datasheet

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta nuovo report -> Menu contestuale datasheet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Punto di menu

Azione

Taglia

Cancella gli inserimenti evidenziati e li sposta negli appunti.

Copiare

Copia gli inserimenti selezionati negli appunti

Incolla

Aggiunge il contenuto degli appunti.

Incolla speciale

Consente di selezionare negli appunti il contenuto da inserire:

  • Tutto: verrà ripreso e inserito tutto il contenuto
  • Formule: verranno riprese solamente le formule
  • Valore: riprende solamente il valore
  • Formato: riprende solamente il formato

Riempire

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle. Si può stabilire se le celle devono essere riempite procedendo dall´alto al basso o da sinistra a destra.

Rimuovi

Consente di selezionare il contenuto di un cella che deve essere cancellato:

  • Tutto: cancella l´intero contenuto con il formato
  • Contenuto cancella il contenuto, ma mantiene il formato
  • Formato: cancella solamente il formato e mantiene il contenuto

Inserisci colonna/riga

Inerisce una nuova cella al di sopra di un´altra cella selezionata, oppure inserisce una nuova colonna a sinistra di un´altra colonna selezionata. Se sono state selezionate più righe/colonne, viene inserito un numero corrispondente di nuove righe/colonne.

Cancella colonna/riga

Cancella le righe o colonne selezionate

Report...

Apre il dialogo che serve a formattare il report.

Cella...

Apre il dialogo che serve a formattare una cella.

Colonna...

Apre il dialogo che serve a formattare le colonne.

Riga...

Apre il dialogo che serve a formattare le righe.

Funzioni...

Apre l´assistente che serve a creare le Funzioni di report.

Indicazione: l´assistente offre uno spettro di più di 150 funzioni. Altre funzioni possono essere inserite manualmente nella riga inserimenti del datasheet.


Impostazione stampante

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Impostazione stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il layout del report (margini della pagina, grandezza della pagina) dipende dalla stampante configurata. Giungete alle impostazioni per la stampante di report attraverso File -> Configurazione generale-> Standard -> Stampante per protocolli e valori.

In questa sede definite

  • la stampante e
    • il formato della carta per la stampa
    • la sorgente della carta per la stampante
    • orientamento della stampa

attenzione Attenzione

La stampante desiderata deve essere selezionata prima della creazione del report, perché la formattazione delle pagine di un report dipende dalla stampante impostata. Una successiva modifica della stampante potrebbe rendere necessaria la riformattazione del report esistente.

Configurazione della stampante

Parametri

Descrizione

Stampanti

Impostazioni per la stampante.

Nome

selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.

Proprietà...

Apre il dialogo per la configurazione della stampante selezionata.

Stato:

Visuale stato stampante. Solo informazione.

Tipo:

visualizzazione tipo stampante. Solo informazione

Luogo:

visualizzazione del luogo della stampante, se configurato. Solo informazione.

Commento:

visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Configurazione della stampa.

Dimensioni

Selezione del formato pagina fra quelli della lista a cascata

Origine

Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Scelta dell´orientamento della carta. Parametri possibili:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

OK

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.


Info File

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Info File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel dialogo Report -> Informazioni file report possono essere salvate delle informazioni sul file report in questione.

Parametri | Descrizione
Nome del file | Nome del file report. Solo informazione, non modificabile in questa sede. Può essere modificato nella lista dettagliata.
Cartella | Posto di salvataggio del file report. Solo informazione, non modificabile in questa sede.
titolo | Libero inserimento di testo
Tema | Libero inserimento di testo
Autore | Libero inserimento di testo
Commento | Libero inserimento di testo


Cerca e sostituisci nel report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Cerca e sostituisci nel report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cercare nel foglio di lavoro delle formule, sequenze di caratteri o valori e per sostituirli:

  1. selezionate il report desiderato
  2. scegliere nel menu Modifica il comando Trova / Sostituisci.
  3. si apre il dialogo per cercare e sostituire

Parametri

Descrizione

Inserire chiavi di ricerca

Inserimento delle sequenze caratteri per cerca e sostituisci

Trova

sequenza di caratteri che il sistema cerca

Sostituisci con

sequenza di caratteri che deve sostituire quella trovata.

sostituisci

Sostituisce la corrispondenza visualizzata con la sequenza caratteri inserita in Sostituisci con.

Sostituisci tutti

Sostituisce tutte le corrispondenze con la sequenza caratteri inserita in Sostituisci con.

Trova successivo

Cerca la prossima corrispondenza con la chiave di ricerca.

Opzioni di ricerca

Opzioni di ricerca

Cerca in

Selezione dalla lista a cascata:

  • Formule: cerca nelle formule
  • Stringa: cerca nelle stringhe
  • Valore: cerca nei valori

Trova stringa parziale

cerca anche in parti delle celle.

Rispetta minuscolo/maiuscolo

tiene presente la scrittura minuscola/maiuscola.

Chiudi

Chiude il dialogo.

Guida

Apre la guida online


Formattazioni

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Formattazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Si dovrebbero effettuare le necessarie operazioni di formattazione prima della creazione di un report:

  • Pagina: imposta proprietà della stampa per la pagina
  • Report: imposta proprietà del report
  • Cella: Stabilire la formattazione delle celle (orientamento, cornice, carattere, modello, tipo, liste)
  • Colonne e righe: Formattazione per le colonne o righe selezionate

Giungete alle impostazioni attraverso le liste a cascata Report e Format nella barra menu, oppure mediante il menu contestuale del foglio elettronico.

Un consiglio: fate in modo di predisporre un numero sufficiente di righe/colonne per l´emissione di report con grandi quantità di dati.


Imposta pagina

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Formattazioni -> Imposta pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il comando Imposta pagina... del menu Report apre il dialogo per la configurazione della pagina del report. Esso contiene le tab:

  • Margini
  • Intestazione e Píé di pagina


Margini

Margini

Parametri | Descrizione
Imposta margini | Imposta i margini indipendentemente dalle impostazioni della stampante
su | Distanza del report dal margine superiore.
giù | Distanza del report dal margine inferiore.
sinistra | Distanza del report dal margine sinistro.
destra | Distanza del report dal margine destro.
Intestazione | Distanza dell´intestazione dal testo. Possibili valori: da 0 a 20; 0 = nascosto. Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.
Piè di pagina | Distanza del piè di pagina dal testo. Possibili valori: da 0 a 20; 0 = nascosto. Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.
Generale |
Area di stampa | Stabilisce l´area di stampa a partire dalla cella A1. Inserimento nel campo testo: Coordinate del Final value dell´area. Esempio: D5 stabilisce che l´area di stampa va dalla cella A1 a D5.
Stampanti | Selezione della stampante per il report. Cliccando sulla lista a cascata si apre la lista di tutte le impostazioni stampante di zenon. stampante definita. Default: valori e protocolli
Adatta area di stampa alla stampante | Attiva: area di stampa viene adattata alle impostazioni della stampante selezionata.
Stampare righe statiche colonne | Attiva: stampa righe/colonne statiche .
Centratura | Orientamento del report sulla pagina da stampare
verticale | Centra il report verticalmente.
orizzontale | Centra il report orizzontalmente.
Orientamento | Impostazione del formato pagina
Verticale | Stampa in formato verticale.
Orizzontale | Stampa in formato orizzontale.
Direzione di stampa | Ordine delle pagine stampate in caso di più pagine
Da sinistra a destra | Stampa più pagine da sinistra a destra.
Dall’alto in basso | Stampa di più pagine dall’alto verso il basso.


Intestazione e Píé di pagina

Intestazione e Píé di pagina

Parametri

Descrizione

Intestazione

Definizione della zona d´intestazione

Sezione sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra dell´intestazione.

Sezione centrale

Orientamento centrato per il centro l´intestazione

Sezione destra

Testo con orientamento a destra per la parte (1/3) destra dell´intestazione.

Carattere

Apre il dialogo che consente di selezionare il carattere, la dimensione del carattere e degli effetti del testo del piè di pagina.

Piè di pagina

Definizione della zona di piè di pagina

Sezione sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra del piè di pagina

Sezione centrale

Orientamento centrato per il centro del piè di pagina.

Sezione destra

Testo con orientamento a destra per la parte (1/3) destra del piè di pagina.

Carattere

Apre il dialogo che consente di selezionare il carattere, la dimensione del carattere e degli effetti del testo del piè di pagina.

Fate in modo di effettuare le impostazioni relative a intestazione/piè di pagina nel Margini in modo tale che la grandezza il carattere possa essere visualizzato nella sua interezza.

Parole chiave

Parole chiave per l´intestazione e il piè di pagina

&[Page]

Numero di pagina

&[Pages]

Numero totale di pagine

&[Date]

Data attuale di stampa

&[Time]

Ora attuale di stampa

&[File]

Nome del file


Formattazione report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Formattazioni -> Formattazione report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la formattazione dell´intero report sono disponibili le seguenti impostazioni:

  • Generale: impostazioni generali per il report
  • Colonne:impostazioni generali per le colonne, come numero ecc.
  • Righe: impostazioni generali per le righe, come numero ecc.

Per procedere alla formattazione, selezionate il comando Report nel menu Formato, oppure il comando Formatta report del menu contestuale del foglio di report.


Generale

Generale

Parametri | Descrizione
Titolo | titolo report
Selezione | Stabilisce come avviene la selezione quando si clicca.
tutta la riga | Attiva: viene selezionata tutta la riga.
una cella | Attiva: viene selezionata solamente la cella su cui si clicca; non è possibile una selezione multipla.
Opzioni |
Calcolo automatico | Attiva: aggiorna automaticamente i calcoli se la dimensione in entrata viene modificata.
Mostra la griglia: | Attiva: mostra la rete di linee della griglia nell´Editor.
Modifica nella cella | Attiva: gli inserimenti saranno effettuati direttamente nella cella; la riga di inserimento nella finestra di report viene esclusa.
Rerferenza clic | Attiva: La cella su cui si è cliccato viene ripresa nella riga di inserimento quando si digitano delle formule come coordinate report. Ad esempio: invece di inserire A12, si clicca sulla cella A12.


Colonne

Colonne

Parametri | Descrizione
Impostazioni colonne |
Quantità colonne | Definisce il numero massimo di colonne. Valore consentito: da 0 a 31000.
Colonne statiche | Numero delle colonne che vengono sempre visualizzate. Lo scroll avviene dopo le colonne statiche.
Visualizza pulsante nella prima colonna | Attiva: Mostra i numeri righe.
Attiva formattazione delle colonne | Attiva: La larghezza delle colonne può essere modificata trascinando i bordi dell´intestazione con il mouse.


Righe

Righe

Le proprietà progettabili delle righe sono:

Parametri | Descrizione
Quantità righe | Definisce il numero massimo di righe. Valore consentito: da 0 a 31000.
Righe statiche | Numero delle righe che vengono sempre visualizzate. Lo scroll avviene dopo le colonne statiche.
Mostra button nella prima riga | Attiva: Mostra intestazione colonna >(A, B, C, ...).
Attiva formattazione delle righe | Attiva: La larghezza delle righe può essere modificata trascinando i bordi della numerazione righe con il mouse.


Formatta cella

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Formattazioni -> Formatta cella

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la formattazione delle celle sono disponibili le seguenti impostazioni:

Orientamento

Cornice

Carattere

Disegno

Tipo cella

Liste

Per effettuare la formattazione, selezionate:

  • nel menu contestuale del foglio di report il comando Formatta cella; in questo modo si aprirà il dialogo
  • oppure il sottomenu desiderato in Report ->Formatta cella per aprire il dialogo con le tab corrispondenti


Orientamento

Orientamento

Nella tab Orientamento viene definita la rappresentazione dei contenuti della cella.

Per il posizionamento verticale sono a disposizione:

  • Generale
  • Su
  • Centro
  • Giù
  • Cambio riga

Per il posizionamento orizzontale sono a disposizione:

  • Generale
  • A sinistra
  • Centro
  • A destra

Info Informazioni

Se il testo deve essere visualizzato verticalmente, selezionate nella tab Carattere la proprietà verticale.


Cornice

Cornice

Usate la tab Cornice per stabilire se ed in quale forma deve essere visualizzata una cornice intorno ad una cella. Potete definire per ogni lato della cornice (sopra, sotto, sinistra, destra) un tipo e un colore:

  1. Stabilite tipo e colore.
  2. Assegnateli cliccando con il mouse all´intera cornice o a singoli lati della stessa.

Parametri | Descrizione
Selezione cornice | Cliccando al centro, si attivano tutti e quattro i lati della cornice. Cliccando su un lato della cornice, si attiverà solamente quest´ultimo.
Tipo linea | Selezione del tipo di linea fra quelli della lista a cascata.
Colore linea | Selezione del colore linea fra quelli della lista a cascata.


Carattere

Carattere

Per quello che riguarda i caratteri, sono a disposizione le impostazioni standard di Windows.

Parametri | Descrizione
Carattere | Selezione del carattere.
Stile | Scelta dello stile carattere.
Dimensione del carattere | Selezione della dimensione carattere in punto.
Effetti |
Barrato | Attiva: il testo nella cella appare barrato.
Sottolineato | Attiva: il testo della cella viene sottolineato.
Colore | Non se ne tiene conto!! Il colore per l’utilizzo dei caratteri, deve essere impostato, per esempio, in un elemento dinamico.
Script | Non se ne tiene conto!! Viene usata universalmente la visualizzazione Unicode.
Esempio | Mostra le conseguenze della selezione sul testo nella cella.


Disegno

Disegno

Nella tab Disegno si definiscono il colore e disegno della cella.

Parametri | Descrizione
Disegno | Selezione del disegno celle fra quelli della lista a cascata.
Primo piano | Selezione del colore di primo piano fra quelli della lista a cascata.
Sfondo | Selezione del colore di sfondo fra quelli della lista a cascata.


Tipo cella

Tipo cella

Nella tab Tipo cella stabilite il formato di emissione. Potete scegliere fra:

  • In generale Emissione di valori, dati e dati binari.
  • Combobox: creazione di liste
  • Tipo di dati: Definizione di tipi di dato
  • File grafico: inserisci una grafica

Le chiavi di formattazione corrispondenti vengono descritte nel capitolo Chiavi di formattazione.

Generale

Parametri

Descrizione

Formato stringa

Selezione del formato di emissione
  • Valore

Valori numerici. Per i dettagli vedi capitolo Tipo di dato numerici.
  • Data

Indicazione della data. I dettagli li trovate nel capitolo Tipi di dato per data e ora.
  • Tempo

Indicazioni di tempo. I dettagli li trovate nel capitolo Tipi di dato per data e ora.
  • Valore binario

Valori binari. Per i dettagli vedi capitolo Tipo di dato logici.

Bloccato

Attiva: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Esempio Esempio

Formato stringa per un´emissione valore:
*0.00 = valore qualsiasi con 2 cifre decimali

dd/mm/yy hh:mm = 01/01/10 12:30 (corrispondente alle impostazioni del sistema operativo

Combobox

Il tipo di cella Combox mette a disposizione delle liste a cascata che servono alla selezione di inserimenti predefiniti. Prima di poter usare questo tipo di cella, bisogna aver creato una lista nella tab Combobox Liste.

Parametri

Descrizione

Combobox Nome liste

Nome del file lista. Esso deve essere già definito nella tab Combobox Liste.

Altezza drop

Altezza di visualizzazione

Larghezza drop

Larghezza della visualizzazione

Bloccato

Attiva: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Impostazione visualizzazione

Tipo di visualizzazione
  • con testo

ordina alfabeticamente in base la testo.
  • con codice

ordina in base al codice
  • con indice

ordina secondo la successione delle immissioni degli inserimenti nella lista.

Tipo di dati

Con tipo di dato viene creato un modello di inserimento nel report. Le funzioni esistenti vengono cancellate da questa cella. L´utente riceve un´indicazione del modo in cui i dati devono essere inseriti nella cella.

Parametri

Descrizione

Formato stringa

Inserimento del formato, dipendente dal tipo di dato.

Tipo di dati

  • Data/tempo

Inserimento di un valore data/valore tempo.

I dettagli sul formato stringa li trovate nel capitolo Tipi di dato per data e ora.
  • Float

Inserimento di un valore float.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato numerici.
  • Integer

Inserimento di un valore integer.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato numerici.
  • Logico

Inserimento di un valore binario.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato logici.

Progettabile: sì/no; vero/falso
  • Testo

Inserimento di testo.
  • Non definito

Nessun tipo di dato è definito

Bloccato

Attiva: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

File grafico

I file grafici devono essere creati prima della selezione nel Manager di progetto: Nodo File -> Graifica -> [Menu contestuale] Aggiungi file.

Parametri | Descrizione
File grafico | Selezione del file grafico. I formati supportati sono BMP, JPG, GIF, PNG e WMF.
Dimensione originale | Attiva: la grafica viene visualizzata nella grandezza originale. Disattivato: la grafica viene adattata alla grandezza della cella. Default: non attiva.
Bloccato | Attiva: blocca la cella per la modifica nell´Editor e inserimenti nel report online.


Liste Combobox

Liste Combobox

Nel tab Liste Combobox vengono definite delle liste per il tipo cella Combobox.

Parametri

Descrizione

Liste Combobox

Lista a cascata per la selezione di liste esistenti.

Nuovo

Apre il Dialogo per la creazione di una nuova lista.

Elimina

Cancella la lista selezionata.

Contenuto della lista selezionata

Mostra i contenuti delle liste selezionate.

Inserimento attuale

Configurazione dell´inserimento.

Testo

Inserimento del testo nella forma in cui deve apparire nella lista nel runtime.

Codice

Inserimento di un numero per ordinare la lista.

0: nessun ordine secondo Code. La lista può essere ordinata nel Runtime in ordine alfabetico, oppure sulla base della successione dell´inserimento.

Valore minimo: 0

Valore massimo: 9999999999

Aggiungi

Il nuovo inserimento viene inserito in Contenuto della lista selezionata sulla base delle impostazioni effettuate al momento della creazione della lista.

  • No: l´inserimento viene aggiunto alla fine della lista.
  • Secondo il testo: ordine alfabetico.
  • Secondo Code: il numero di codice determina la seccessione (crescente) nella lista.

Incolla

Il nuovo inserimento viene aggiunto al di sopra dell'inserimento selezionato nella Contenuto della lista selezionata.

Elimina

Cancella l'inserimento selezionato in Contenuto della lista selezionata.

Crea nuova lista

Parametri | Descrizione
Nome lista | Nome della lista
Ordina | I criteri dell´ordinamento per la visualizzazione in Contenuto della lista selezionata e nel Runtime
Non ordinato | l´inserimento viene aggiunto alla fine della lista.
Secondo il testo(Default) | ordine alfabetico
Secondo Code | il numero di codice determina la seccessione (crescente) nella lista.


Formatta colonne e righe

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Formattazioni -> Formatta colonne e righe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui sia selezionata un'intera riga o un'intera colonna, nel menu contestuale è disponibile il comando Formatta colonna oppure Formatta riga.

Come in Formatta cella, ci sono le seguenti tab a disposizione:

Orientamento

Cornice

Carattere

Disegno

Indicazione: queste impostazioni riguardano sempre solamente il titolo colonna o il titolo riga. Non hanno alcun effetto sulle altre celle di una colonna o riga. Queste ultime devono essere sempre formattate usando il dialogo Formatta celle.

In questo dialogo c'è a disposizione anche un'altra tab Colonna o riga.


Colonna

Colonna

Nella tab Colonna di definiscono quelle proprietà che riguardano l´intera colonna:

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della colonna.

$C: Lettere del numero di colonna in sequenza crescente

E: espande il numero di colonne portandole automaticamente al numero corretto, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report. .
Default: $C

Larghezza in pixel

Larghezza della colonna in pixel.

Opzioni

Escludi

Attiva: Escludi colonna,
Disattivata: La colonna viene mostrata.

Per mostrare di nuovo una colonna nascosta: selezionate le due colonne vicine e settate la proprietà Escludi su inattiva.

Attenzione: le funzioni che si trovano nelle celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settate l´altezza riga oppure la larghezza colonna su 0.

Protezione

Attiva: la celle della colonna vengono protette contro eventuali tentativi di modifica della formattazione.
Disattivata: è possibile formattare le celle di questa colonna.


Riga

Riga

In questo box di dialogo possono essere definite delle proprietà valide per tutta la riga selezionata.

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della riga.

$R: Lettere del numero di riga in sequenza crescente

E: espande il numero di righe portandole automaticamente al numero corretto, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report. .

Default: $R

Larghezza in pixel

Altezza della riga in pixel.

Opzioni

Escludi

Attiva: Escludi riga.
Disattivata: La riga viene mostrata.

Per mostrare di nuovo una riga nascosta: selezionate le due righe vicine e settate la proprietà Escludi su inattiva.

Attenzione: le funzioni che si trovano nelle celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settate l´altezza riga oppure la larghezza colonna su 0.

Protezione

Attiva: la celle della riga vengono protette contro eventuali tentativi di modifica della formattazione.
Disattivata: è possibile formattare le celle di questa riga.


Imposta filtro archivio

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Imposta filtro archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si intende utilizzare valori di archivio nel report, bisogna definire questi valori prima dell’attivazione delle funzioni di report. Per impostare il filtro archivi:

  • scegliere nel menu Formato il comando Filtro.

Parametri | Descrizione
Parametri | Lista delle variabili selezionate da archivi I numeri posti prima delle variabili vengono usati nelle Funzioni di archivio e protocollo per ordinare le variabili stesse.
Nuovo | Apre il dialogo che serve alla selezione di variabili.
Modifica | Apre il dialogo che serve alla selezione di variabili.
Elimina | Cancella la variabile selezionata dalla lista Parametri.
Archivi | Definizione di un filtro variabili. Wildcards * e ? sono segni consentiti all´inizio alla fine di un´espressione.
Sostituisci con | Inserimento dell´espressione che deve sostituire la stringa cercata.
sostituisci | Esegue l´operazione "cerca e sostituisci". Il risultato viene visualizzato in un box di segnalazione.

Filtro "Nuovo" oppure "Modifica"

Quando si clicca su Nuovo oppure Modifica, si apre il dialogo che serve alla selezione delle variabili:

Parametri

Descrizione

Parametri

Visualizzazione degli archivi esistenti. È possibile selezionare interi archivi oppure singole variabili.

Ogni variabile ottiene automaticamente un numero di ordine crescente, che viene utilizzato nelle Funzioni Report.per archivi per richiamare le variabili. In tal modo è possibile usare lo stesso report anche per diversi progetti.

Salva

Mette a disposizione del report archivi/variabili selezionate.

Annulla

Lascia il dialogo senza riprendere la selezione.

Ogni variabile ottiene automaticamente un numero di ordine crescente, che viene utilizzato nelle Funzioni Report.per archivi per richiamare le variabili.


Funzioni di report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l’organizzazione del report vengono messe a disposizione diverse funzioni che servono ad effettuare la formattazione ed i calcoli.

  • Funzioni di elaborazione:

    accesso definito a dati selezionati di zenon (valori online e di archivio, user, nome calcolatore ecc).

  • Funzioni di report
    • funzioni di formattazione
    • funzioni di calcolazione

Sono a disposizione i seguenti gruppi di funzioni:

  • Funzioni banca dati
  • Data e funzioni di tempo
  • Funzioni logiche
  • Funzioni di archivio e protocollo
  • Funzioni statistiche
  • Funzioni matematiche e trigonometriche
  • Funzioni di testo
  • Funzioni del manager dei gruppi di ricette
  • Altre funzioni

Le funzioni di uso più frequente possono essere progettate ricorrendo all´Assistente alle funzioni.

inserimento

Le funzioni vengono inserite con le righe di inserimento del report.

Se volete che più celle ricevano lo stesso inserimento/la stessa funzione:

  1. selezionate anzitutto la cella origine e quella di destinazione
  2. scegliete poi nel menu contestuale il comando Riempi e la direzione desiderata (a destra oppure giù)

    I riferimenti alle coordinate delle celle verranno poi adattate automaticamente.

Esempio di inserimenti

Parametri | Descrizione
=archiv(1,valore,giù) | Tutti i valori della variabile di archivio 1 vengono visualizzati a partire dalla cella procedendo verso il basso.
=sum(A4:D4) | I contenuti delle celle da A4 fino a D4 verranno sommati. La cella deve essere formattata come valore.
=now() | Restituisce la data attuale/il tempo attuale.

Info Informazioni

Le funzioni di report possono causare delle segnalazioni di errore nell´Editor se non sono stati inseriti correttamente tutti i dati necessari per il calcolo. Per controllare se la progettazione è corretta, testate il report nel Runtime.

Direzione

Opzioni

Significato

destra

Il valore verrà inserito a destra (riga).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).

giù

Il valore verrà inserito in basso (colonna).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Info Info

Per usare il modulo Generatore di report sia nell´Editor che nel Runtime (standalone, Server / Standby, Client), è necessario acquistare una licenza.

Se il modulo non viene provvisto di una licenza nel runtime, non sono disponibili le seguenti funzioni:

  • Salva archivi (per inserimenti manuali)
  • e setta valore impostabile

È possibile l´accesso per la lettura.


Convenzioni

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Convenzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Valgono le seguenti convenzioni:

Parametri | Descrizione
numero: | (num); quale tipo di separatore viene usato per le cifre decimali, dipende dalle impostazioni del sistema operativo (1,0 oppure 1.0).
Campo: | (A1:A10)
Stringa: | Le successioni caratteri vengono separate mediante virgolette ("), p.es. "ABC"..
Radianti: | Le funzioni angolo s´inseriscono in radianti.

Conversione gradi in radianti

gradi | misura arco | radiante:
0,00 | 0 | 0
45,00 | p/4 | 0,78539816339744828
90,00 | p/2 | 1,5707963267948966
135,00 | 3p/4 | 2,3561944901923448
180,00 | p | 3,1415926535897931
225,00 | 5p/4 | 3,9269908169872414
270,00 | 3p/2 | 4,7123889803846897
315,00 | 7p/4 | 5,497787143782138
360,00 | 2p | 6,2831853071795862


Assistente funzione

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Assistente funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´assistente alle funzioni aiuta nella progettazione di funzioni di report. Esso mette a disposizione dell´utente le funzioni di uso più frequente. Tutte le altre funzioni vengono inserite manualmente nella riga di inserimento.

Per aprire l´assistente alle funzioni:

  1. cliccate nella cella desiderata
  2. selezionate nel menu contestuale il comando Funzioni
  3. si apre l´assistente
  4. la selezione effettuata nell´assistente viene ripresa nella riga di inserimento;
    le eventuali parentesi aperte devono essere chiuse manualmente

Parametri | Descrizione
Sintassi: | Risultato della selezione di funzione e parametro
Funzione | Selezione della funzione.
Parametri | Selezione dei parametri che sono a disposizione per la funzione scelta.


Funzioni di archivio e di protocollo

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Base:

Tutte le funzioni archivio si basano sulla funzione fondamentale archive(INDICEFILTRO,PARAMETRO,DIREZIONE).

Le estensioni vengono evidenziate nel nome funzione tramite lettere aggiuntive.

Abbreviazioni | Significato | Nota
r | read only | L´archivio può essere solamente letto. I valori modificati non possono essere salvati.
sp | Colonne | Offre una speciale formattazione per la definizione delle celle da utilizzare.
m | Matematica | Ha effetto solamente su Valore e Tempo.
ex | extended | Offre trattamenti speciali.
w | write | E' possibile scrivere.

Indice filtro

L´indice filtro crea l´ordine fra i numeri del filtro archivi usati nelle funzioni di report e le variabili degli archivi.

Esempio Esempio

=archive(5,"valore","giù")

FILTERINDEX = 5

Viene utilizzato per la funzione di report l´inserimento riportato nel filtro al numero 5.

Parametri

Opzioni | Possibile valore
valore | [1-n]
stato | [1-n]
tempo | [1-n]
quantità | [1]

Direzione

Opzioni | Significato
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Tutte le funzioni archivio possono essere create con l´Assistente funzioni.

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella parte [STATUS] o meglio dall´attribuzione definita all´interno. Se è stata modificata la descrizione di stato nel project.ini, viene emesso il nome cambiato. (Consiglio: consente di conservare la compatibilità di progetto con vecchi nomi di stato).

In modalità online, l’intervallo di tempo della query può essere definito o nella chiamata alla funzione , oppure a Runtime all’apertura di un file di Report.

Modifica inserimenti archivi

I valori di archivio possono essere modificati a Runtime, a patto che sia consentito dalle autorizzazioni utente. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Info Informazioni

Modifica di campi stinga nel Report: Se un testo consta solamente di numeri, quando lo si salva, gli spazi vuoti vengono eliminati di default. Se si desidera avere degli spazi vuoti, essi devono rappresentati mediante i caratteri ASCII 255 (Alt+255).


Trattamento di inserimenti archivio

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> Trattamento di inserimenti archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Trattamento di inserimenti archivio

Gli inserimenti di archivio possono essere visualizzati in un report e modificati, ammesso che si sia in possesso delle autorizzazioni necessarie; dopo averli modificati, si può salvare gli inserimenti nell´archivio. Per aiutarVi nella creazione delle funzioni di report, è a Vostra disposizione un Assistente alle funzioni.

Lettura e scrittura di inserimenti di archivio

I seguenti contenuti di un inserimento archivio possono essere letti per la visualizzazione in un report.

  • Valore
  • Stato
  • Tempo

I seguenti inserimenti di archivio possono essere modificati nel report mediante calcoli o inserendoli di nuovo; i cambiamenti potranno poi essere salvati:

  • Valore
  • Stato

Gli inserimenti di archivio modificati vengono salvati a Runtime facendo uso del pulsante Salva archivio. Il salvataggio delle modifiche può essere impediato mediante:

  • attivazione dell´opzione Sola lettura nella funzione di zenon Cambio all´immagine report
  • attivazione dell´opzione Bloccato nel dialogo Formattazione cella

Se il valore di un inserimento di archivio viene modificato, al momento del salvataggio nell´archivio lo stato viene settato su MAN_VAL.

Eccezione: se si modifica anche lo stato dell´inserimento di archivio, verrà inserito solamente lo stato cambiato. In quei casi in cui è necessario soddisfare anche le norme FDA, in fase di progettazione bisogna stabilire che non è consentita alcuna modifica dello stato tramite report. Gli inserimenti di archivio con lo stato MAN_VAL appaiono colorati di blu al momento della lettura in un report .

Visualizzazione

Gli inserimenti archivio si possono rappresentare come successione valori di archivio o come successione valori di archivio formattata. Partendo dalla cella nella quale la funzione archivio è progettata, si visualizzavano gli inserimenti archivio dell’arco di tempo del protocollo aperto a destra oppure in giù. In assenza di inserimenti archivio, si emette nella cella, nella quale la funzione archivio è definita, un -.

Successione valori di archivio

Gli inserimenti archivio letti vengono visualizzati di seguito senza celle vuote.

Successione valori di archivio formattata

Gli inserimenti archivio sono visualizzati con un definito numero di

  • inserimenti archivio per riga
  • celle vuote tra 2 inserimenti
  • righe vuote tra le righe

.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori


Progettazione con assistente alle funzioni

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> Progettazione con assistente alle funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Progettazione con assistente alle funzioni

Potete progettare le funzioni di report per gli archivi usando l´assistente alle funzioni:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni.
  2. Si apre l´assistente.
  3. Selezionate la funzione archivio desiderata.

  4. La funzione archivio viene inserita nella sintassi.
  5. Cliccando su archivi, si apre il Filtro archivio.

  6. Selezionate l´inserimento desiderato.

  7. Il numero di referenza dell´inserimento (per es. 4) viene ripreso nella stringa della sintassi.
  8. Selezionate il parametro desiderato, per es. valore).

  9. Il parametro viene ripreso nella stringa.
  10. Selezionate la direzione desiderata dell´inserimento nella tabella:
    • giù: la funzione riempe la colonna
    • destra: la funzione riempe la riga
      Attenzione: se usate la funzione archivesp, dovete prevedere un numero adeguato di colonne/righe! Se si sceglie, per es., " a destra", ma c`è solo una colonna disponibile, i valori verranno inseriti dall´alto in basso (in quest´unica colonna esistente).

  11. La direzione viene ripresa nella stringa.
  12. Viene chiusa la parentesi.

  13. Cliccando su OK, la funzione viene ripresa nella cella.


archive

archive

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archive(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento | Validità | Nota
FILTERINDEX |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto e visualizzato il parametro desiderato dall'archivio.
DIREZIONE | giù, destra | Definisce la direzione in cui si procede per riempire le celle, a partire dalla cella in cui è stata creata la funzione.

Esempio Esempio

In un report, tutti i valori di archivio della variabile d’archivio 1 devono essere visualizzati verso il basso.

=archive(1,"valore","giu")


archiveex

archiveex

Sintassi: =archiveex(FILTERINDEX,PARAMETER,RICHTUNG,STATUS,ERSATZTEXT,NN_TEXT,NN_ERSATZWERT,ZYKLUSVERSATZ)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATO

SPONT, MAN_VAL, INVALID

Stato dei valori da visualizzare

ERSATZTEXT

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATUS.

NN_TEXT

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_ERSATZWERT

Riferimento cella o valore fisso Se viene inserito nella cella ERSATZTEXT e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_ERSATZWERT.

ZYKLUSVERSATZ

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min

Esempio Esempio

=archiveex(1,"tempo","giu",SPONT,MAN_VAL,-,NN,G2,-2)


archiveexr

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archiveexr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archiveexr

Sintassi: =archiveexr(FILTERINDEX,PARAMETER,RICHTUNG,STATUS,ERSATZTEXT,NN_TEXT,NN_ERSATZWERT,ZYKLUSVERSATZ)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATO

SPONT,MAN_VAL, INVALID

Stato dei valori da visualizzare

ERSATZTEXT

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATUS.

NN_TEXT

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_ERSATZWERT

Riferimento cella o valore fisso Se viene inserito nella cella ERSATZTEXT e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_ERSATZWERT.

ZYKLUSVERSATZ

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min


archivem

archivem

Questa funzione consente la modifica automativa di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivem(FILTERINDEX,PARAMETER,RICHTUNG,MATH)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • Costante: Con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I valori corretti possono essere salvati con salva archivio.

attenzione Attenzione

Ogni volta che si esegue "Salva archivio", vengono corretti i valori della costante impostata.


archivemr

archivemr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore.

Sintassi: =archivemr(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • Costante: Con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

attenzione Attenzione

I valori modificati non possono essere salvati nell´archivio!

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I possibili parametri sono solamente tempo e valore.=archivemr(4,valore,destra,6.5)

Tutti i valori archivio letti vengono aumentati di 6,50 per la loro rappresentazione nel report. .

=archivemr(4,tempo,destra,-1)

I tempi degli inserimenti di archivio vengono portati di 1 minuto indietro per la loro rappresentazione nel report.

Possibilità d´uso: per esempio per valori mensili che sono a disposizione solamente dopo la fine del mese (data/ora per es. 00:01:00).


archivemsp

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archivemsp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archivemsp

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore; essa permette anche di fissare le celle per gli inserimenti. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivemsp(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante con segno, Costante: Con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

attenzione Attenzione

Ogni volta che si esegue Salva archivio, vengono corretti i valori della costante impostata!

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Esempio Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con una colonna vuota e nessuna riga vuota.


archivemspr

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archivemspr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archivemspr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio per la rappresentazione nel report mediante l´addizione di una costante al valore. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I parametri impostabili sono solo Tempo e Valore.

attenzione Attenzione

I valori modificati non possono essere salvati nell´archivio!

Sintassi: =archivemspr(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento

Validità

Nota

FILTERINDEX

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante con segno, Costante: Con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Esempio Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con 1 colonna vuota e 0 righe vuote.


archiver

archiver

Questa funzione consente di leggere valore, stato e tempo di un inserimento di archivio. Non sono possibili delle modifiche.

Sintassi: =archiver(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.

A differenza della funzione archive, in questo caso non è possibile effettuare degli inserimenti manuali nel Runtime.

Campo di applicazione: per esempio quando un inserimento deve essere visualizzato più volte in un report, ma deve essere editabile solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.


archivesp

archivesp

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivesp(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella sezione [STATUS], o quelle dall´attribuzione definita internamente. Se è stata modificata la descrizione di stato nel project.ini, viene emesso il nome cambiato. (Consiglio: consente di conservare la compatibilità di progetto con vecchi nomi di stato).


archivespr

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archivespr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archivespr

Con questa funzione si possono leggere solamente il valore, lo stato e il tempo dell’inserimento archivio.

Sintassi: =archivespr(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3)

Parametro di trasferimento | Validità | Nota
FILTERINDEX |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

A differenza della funzione archivesp, in questo caso non possono essere inseriti valori manualmente nelle celle. Queste funzioni vengono utilitzzate quando un inserimento deve essere visualizzato più volte in un report, ma emesso solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.

Esempio Esempio

=archivespr(1,"valore","giu",12,1,3)

Tutti i valori dell´inserimento archivio con il numero di filtro 1 vengono scritti verso il basso; sono previsti 12 inserimenti con 1 spazio vuoto 3 colonne vuote.


archivespw

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archivespw

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archivespw

Questa funzione sopprime la visualizzazione in Repor degli inserimenti archivio letti e consente la definizione delle celle da utilizzare. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni.

Sintassi: =archivespw(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3,SZ_WERT,SZ_STATUS)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
P1 |  | Numero dei valori di archivio da emettere nella prima riga.
P2 |  | Numero delle celle vuote tra due valori.
P3 |  | Numero delle celle vuote tra due successioni valori.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. A questo proposito vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Ciò vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato viene modificato a Valore manuale (MAN_VAL).


archivew

archivew

Questa funzione sopprime la visualizzazione degli inserimenti archivio nel report. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni. Questa funzione può essere usata per comprimere, per esempio, dei valori mensili in valori annuali.

Sintassi: =archivew(FILTERINDEX,PARAMETER,RICHTUNG,P1,P2,P3,SZ_WERT,SZ_STATUS)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. A questo proposito vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Ciò vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato viene modificato a Valore manuale (MAN_VAL).

Esempio Esempio

Compressione di valori mensili in valori annuali:

in un protocollo mensile con valori giornalieri si calcola in quanti giorni si è superato il limite di un valore x. La somma delle violazioni del limite è visualizzata in una cella del report.

  • In un archivio è definito un valore che presenta un inserimento al mese.
  • Questo inserimento viene letto nel report tramite archivew.
  • =archivew(4,"valore","giu",B12,C12)
    • 4: variabile da filtro archivio
    • valore: parametro della variabile che deve essere visualizzata
    • giù: direzione nella quale deve avvenire la lettura dei valori
    • B12: cella di partenza, corrisponde alla cella calcolata
    • C12: definisce il valore di stato da emettere
  • Al salvataggio del valore di archivio, la somma viene scritta sul valore di archivio.


archivetime

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> archivetime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
archivetime

La funzione archivetime fornisce, in dipendenza dal filtro del tempo impostato, l’informazione di tempo per l'avvio e la fine dell’interrogazione archivio nello stato online.

Sintassi: =archivetime(FILTERINDEX,PARAMETER)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | absolutzeitvon, absolutzeitbis | Tempo d´inizio e tempo della fine dell´interrogazione archivio


batch

batch

Questa funzione emette il primo nome Lotto per l´archivio selezionato nell´area filtro del report.

Sintassi: =batch(FILTERINDEX)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.

Esempio Esempio

=batch(1)

Primo nome lotto per l´archivio della variabile che occupa il primo posto nel filtro archivio.


batchnr

batchnr

Questa funzione emette diverse informazioni concernenti i lotti. L´emissione avviene in una lista che viene analizzata dall´alto in basso, oppure da sinistra a destra. Vengono mostrati:

  • nomi dei lotti
  • ora partenza
  • ora fine

Sintassi: =batchnr(FILTERINDEX,PARAMETER,RICHTUNG)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | namen, vonzeit, biszeit | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, sinistra | Riempimento nella rispettiva direzione.


wmz

wmz

La funzione =wmz analizza i valori contatori salvati nell´archivio. Sovraffollamento contatore non viene tenuto in considerazione automaticamente.

Sintassi: =wmz(INDICE FILTRO,ATTIVO,SOVRAFFOLLAMENTO,VALORE INIZIALE, VALORE TERMINALE, INFO CONTATORE, ERRORCOUNTER))

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
ATTIVO | 0 = disattivato 1 = attivato |
SOVRAFFOLLAMENTO | valore o riferimento cella | Con un sovraffolamento pari a1000, la funzione riconosce che fra un valore iniziale di 998 e un valore finale di 10, esiste una differenza di 12.
VALORE INIZIALE | Riferimento cella | Valore iniziale dall'archivio tramite riferimento cella
VALORE TERMINALE | Riferimento cella | Valore finale dall'archivio tramite riferimento cella
INFO CONTATORE | Riferimento cella |
ERRORCOUNTER | Riferimento cella |


wmzz

wmzz

La funzione wmzz(Indice filtro,Direzione,attivato,Sovraffollamento) analizza i valori contatori salvati nell´archivio.

Sintassi: =wmzz(Indice filtro,Direzione,attivato,Sovraffollamento)

Parametro di trasferimento | Validità | Nota
FILTERINDEX | [1-n] | Inserimento corrispondente del Filtro archivio.
DIREZIONE | giù, sinistra | Riempimento nella rispettiva direzione.
ATTIVO | 0 = disattivato 1 = attivato |
SOVRAFFOLLAMENTO | valore o riferimento cella |


Funzioni banca dati

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione permette di leggere banche dati di Access o SQL.

Sintassi: =sqldao (DATENBANK,SQL-ABFRAGE,PARA1,PARA2)

attenzione Attenzione

SQLDAO non funziona con:

  • ntext
  • sql_variant
  • nvarchar(MAX)
  • nchar(MAX)

Parametro di trasferimento | Nota
DATENBANK | Nome del *.mdb Datenbank o del provider OLEDB.
Interrogazione SQL | Qui possono essere usate le istruzioni standard 'SELECT', 'INSERT', 'UPDATE', 'DELETE' e 'EXECUTE' Con %d %d possono essere attribuiti 2 parametri integer oppure con %s %s 2 parametri string.
PARA1 | parametro per l´interrogazione SQL
PARA2 | parametro per l´interrogazione SQL

Progettazione con assistente alle funzioni

Avete accesso alle banche dati MS Access e a quello con provider OLEDB. A tal scopo usate la seguente sintassi:

Database

Sintassi:

Banca dati MS Access

=sqldao (banca dati, interrogazione SQL,Para1,Para2)

2. Banche dati con provider OLEDB

Sostituite il riferimento alla banca dati con una stringa di inizializzazione OLEDB. Potete

  • inserire questa stringa manualmente oppure
  • crearla cliccando sul pulsante Provider OLEDB.

Banca dati con provider OLEDB

Quando si clicca sul pulsante Provider OLEDB si apre il dialogo Proprietà di Data Link:

Qui definite la connessione con la banca dati desiderata:

  • Tipo del provider OLEDB.
  • Fonte dati
  • Informazioni di autenticazione
  • ecc.

Se si conferma il dialogo cliccando su OK, viene generata la stringa di inizializzazione, che viene inserita nel campo Sintassi .

Sintassi: =sqldao (Banca dati, interrogazione SQL,Para1,Para2)

attenzione Attenzione

La stringa di inizializzazione deve cominciare sempre con il segno Provider=. Fate attenzione alla scrittura in lettere maiuscole e minuscole, dato che la stringa è case sensitive!

Impostazioni per MS Access e OLEDB

Parametro di trasferimento

Descrizione

Database

Nome del database *.mdb :
Luogo di salvataggio: cartella di progetto che è sovraordinata alla cartella Runtime.
per es.:
Percorso Runtime: sottocartella di C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

Percorso *.mdb: direttamente nella cartella C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

La cartella di progetto viene definita nelle proprietà di progetto.

Provider

Provider OLEDB; la stringa di inizializzazione deve sempre iniziare con il segno Provider= (case sensitive).

Interrogazione SQL

Qui possono essere usate interrogazioni di banca dati standard "Select".

Con %d %d possono essere attribuiti 2 parametri integer oppure con %s %s 2 parametri stringa.

Para1, Para2

Parametro per l´interrogazione SQL.


Esempio Access

Esempio Access

Esempi per MS Access

Esempio di banca dati: Adress.mdb

Nome | Nome di battesimo | Strada | Residenza | Telefono | CanAdresse
Müllner | Egon | Am Rheinberg 22 | 5020 Salzburg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzburg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzburg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Esempio 1

Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome.

Funzione: =sqldao("Adress.mdb","SELECT Adressen.name FROM Adressen ;",1,1)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Adressen.name | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella

Risultato:

Müllner

Roider

Leitner

Müller

Weinberger

Esempio 2

  • Limite inferiore Contenuto di cella E1
  • Limite superiore: Contenuto di cella E2
  • Nome del campo per l´analisi: CanAdresse
  • Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome e Nome di battesimo.
  • La condizionemCanAdresse deve essere maggiore del contenuto della cella E1 e minore del contenuto della cella E2.

Funzione: =sqldao(Adress.mdb,SELECT Adressen.name,Adressen.Vorname FROM Adressen WHERE (((Adressen.CanAdresse)>%d) AND ((Adressen.CanAdresse)<%d)) ;,E1,E2)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Indirizzi.nome | Tabella.nome di campo
, | separatore SQL
Indirizzi.nome | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella
WHERE | Indica quali blocchi dati delle tabelle elencate nella sezione FROM sono interessati da un comando SELECT-, UPDATE- o DELETE.
(((Adressen.CanAdresse)>%d) | Condizione: Tabella.nome di campo
AND | Collegamento
(((Adressen.CanAdresse)<%d) | Condizione: Tabella.nome di campo
; | SQL Statement Conclusione
E1, E2: | Riferimenti cella (integer)

Risultato per E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

Info Informazioni

Per ulteriori informazioni al riguardo di commenti SQL vedi help online di access.


Esempio SQL

Esempio SQL

Esempio di banca dati con provider OLEDB

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Parametro di trasferimento | Nota
DATENBANK | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
Interrogazione SQL | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Valori per esempio

Database: "AdventureWorks"

Installazione: AdventureWorksDB.msi

Sorgente: http://msftdbprodsamples.codeplex.com/releases/view/4004

Nome del PC: "PC1"

Autenticazione: "Windows NT"

Istanza SQL Server: "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT con parametro stringa (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT con parametro numerico (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

DELETE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE con parametro numerico (cella J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Data e funzioni di tempo

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Data e funzioni di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione fornisce i valori data e tempo.

Trovate la chiave di formattazione nel capitolo Tipo di dato per data e ora.


date

date

La funzione date (iYear, iMonth, iDay) fornisce la data sulla base dei valore numerici di (iYear), mese (iMonth) e giorno (iDay).

Sintassi: =date(iYear,iMonth,iDay)

Parametro di trasferimento | Validità | Nota
iYear | [0100-2200] |
iMonth | [1-12] | Valori trovandosi al di fuori della validità vengono modificati al limite superiore e inferiore.
iDay | [1-(28,29,30,31)] | Valori trovandosi al di fuori della validità vengono modificati al limite superiore e inferiore.

Formato di risultato: date

Formattazione standard: dd/mm/yyyy

Esempio Esempio

=date(2010,5,12) restituisce12.05.2010

Cella A1=2010, Cella A2=5, Cella A3=12, Cella A4=date(A1,A2,A3) restituisce 12.05.2010


datevalue

datevalue

La funzione datevalue(date_text)fornisce la data dal testo data (date_text).

Sintassi: = datevalue (date_text)


day

day

La funzione day(date) determina il giorno dal valore data

Sintassi: =day (date)

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=day(A1) restituisce 5


hour

hour

La funzione hour(time) determina l’ora dal valore di tempo..

Sintassi: = hour (time)

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=hour(A1) restituisce 12


minute

minute

La funzione minute(time) restituisce i minuti di un valore di ora.

Sintassi: = minute(time)

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=minute(A1) restituisce 46


month

month

La funzione month(date) determina il mese dal valore data.

Sintassi: =month(date)

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=month(A1) restituisce 6


=now

=now

La funzione now() restituisce la data e l'ora correnti.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: =now()

Esempio Esempio

=now() restituisce 05.06.2010
=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10


second

second

La funzione second(time) restituisce i secondi di un valore di ora.

Sintassi: =second(time)

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=second(A1) restituisce 24


time

time

La funzione time time(iHour, iMinute, iSecond) restituisce il tempo dai valori numerici per l’ora(iHour), il minuto (iMinute) e il secondo (iSecond).

La cella viene automaticamente dotata con il string di formato "hh:mm:ss"

Sintassi: =time(iHour,iMinute,iSecond)

Parametro di trasferimento | Validità | Nota
iHour | [0-23] | Valori trovandosi al di fuori della validità vengono modificati al limite superiore e inferiore.
iMinute | [0-59] | Valori trovandosi al di fuori della validità vengono modificati al limite superiore e inferiore.
iSecond | [0-59] | Valori trovandosi al di fuori della validità vengono modificati al limite superiore e inferiore.

Formato di risultato: time

Esempio Esempio

=time(12,24,48) restituisce 12:24:48

Cella A1=12, Cella A2=24, Cella A3=48 , Cella A4=time(A1,A2,A3) restituisce 12:24:48


today

today

La funzione today() restituisce la data attuale.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: today()

Esempio Esempio

=today() restituisce 05.06.2010
=today() con formato stringa hh:mm:ss dd/mm/yy restituisce 00:00:00 05.06.10


weekday

weekday

La funzione weekday(date) restituisce il giorno dal valore di data..

Sintassi: =weekday(date)

valore d´emissione | giorno della settimana
1 | domenica
2 | lundedì
3 | martedì
4 | mercoledì
5 | giovedì
6 | venerdì
7 | sabato

Formato di risultato: Integer

Esempio Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=weekday(A1) restituisce 3


year

year

La funzione year(date) restituisce l’anno dal valore di data..

Sintassi: =year(date)

Formato di risultato: Integer

Esempio Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Zelle A2=year(A1) restituisce 2010


Funzioni logiche

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni logiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa sezione riassume tutte le funzioni logiche del Report Generator.


and

and

La funzione and(logical,logical) fornisce il valore VERO, se i due argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =and(logical,logical)

Esempio

cella A1 | cella A2 | Cella A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

exact

La funzione exact WAHR, exact(string1,string2) fornisce il valore WAHR, se le due stringhe di testo sono identiche, tenendo in considerazione la scrittura maiuscola e minuscola.

Sintassi: =exact(string1,string2)


false

false

La funzione false() fornisce il valore logico FALSO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =false()

Esempio Esempio

L´inserimento nella cella A1=false() restituisce False


if

if

La funzione if(exprTest,valTrue,valFalse) fornisce il contenuto di valTrue (valore o stringa), se l´argomento exprTest è WAHR, in caso contrario il contentuto di valFalse. È possibile l´annidamento di funzioni if, per realizzare, per es., collegamenti and.

Sintassi: =if(exprTest,valTrue,valFalse)


isblank

isblank

La funzione isblank(ref) fornisce il valore logicoWAHR, se la cella di riferimento è vuota.

Sintassi: =isblank(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuoto |  | True
numero: | 123.00 | False
Error | #ARG! | #ARG!


iserror

iserror

La funzione iserror(ref) fornisce il valore logico WAHR, se nella cella di riferimento viene individuato un errore.

Sintassi: =iserror(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuoto |  | False
numero: | 123.00 | False
Error | #ARG! | True


islogical

islogical

La funzione islogical(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore logico.

Sintassi: =islogical(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
vuoto |  | False
numero: | 123.00 | False
Error | #ARG! | #ARG!


isnontext

isnontext

La funzione isnontext(ref) fornisce il valore logico VERO, se la cella di riferimento non contiene una stringa di testo.

Sintassi: =isnontext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
vuoto |  | True
numero: | 123.00 | True
Error | #ARG! | #ARG!


isnumber

isnumber

La funzione isnumber(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore numerico.

Sintassi: =isnumber(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | False
vuoto |  | False
numero: | 123.00 | True
Error | #ARG! | #ARG!


isref

isref

La funzione isref(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un riferimento a un’altra cella.

Sintassi: =isref(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
vuoto |  | False
numero: | 123.00 | False
Error | #ARG! | False
Referenza | =B1 | True


istext

istext

La funzione istext(ref) fornisce il valore logicoVERO, se la cella di riferimento contiene una stringa di testo.

Sintassi: =istext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | True
vuoto |  | False
numero: | 123.00 | False
Error | #ARG! | #ARG!


not

not

La funzione not(logical) restituisce l’opposto logico dell’argomento.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: = not (logical)

Esempio

cella A1 | Cella A2=not(A1)
false | True
true | False


or

or

La funzione and(logical,logical) restituisce il valore logico VERO, se uno o entrambi gli argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =or(logical,logical)

Esempio

cella A1 | cella A2 | Cella A3=or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

true

La funzione true() restituisce il valore logicoVERO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =true()

Esempio Esempio

L´inserimento nella cella A1=true() restituisce True


Funzioni matematiche e trigonometriche

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i report sono a disposizione delle funzioni matematiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.


abs

abs

La funzione abs (num) fornisce come risultato il valore assoluto di un numero. Il valore assoluto di un numero è il numero senza segno.

Sintassi: =abs (num)

num: è il numero reale, di cui intende richiedere il valore assoluto.

Esempio Esempio

=abs(2,2) restituisce 2

=abs(-2,2) restituisce 2


acos

acos

La funzione acos (num) fornisce l’arcocoseno di un numero.

Sintassi: =acos(num)


acosh

acosh

La funzione acosh (num) fornisce l’inverso del coseno iperbolico di un numero.

Sintassi: =acosh(num)


asin

asin

La funzione asin (num) fornisce l’arcoseno di un numero.

Sintassi: =asin(num)


asinh

asinh

La funzione asinh (num) fornisce l’inverso del seno iperbolico di un numero.

Sintassi: =asinh(num)


atan

atan

La funzione atan (num) fornisce l’arcotangente di un numero.

Sintassi: =atan(num)


atanh

atanh

La funzione atanh (num) fornisce l’inverso della tangente iperbolica di un numero.

Sintassi: =atanh(num)


atan2

atan2

La funzione atan2 (x,y) fornisce l’arcotangente partendo da una coordinata x e y.

Sintassi: =atan2(x, y)


ceil

ceil

La funzione ceil (num) fornisce il valore arrotondato per eccesso sull’intero maggiore di un numero.

Sintassi: =ceil(num)

Esempio Esempio

=ceil(2,2) restituisce 3

=ceil(-2,2) restituisce -3


column

column

La funzione column (ref) fornisce il numero di colonna di un rifermento (per es. C3=2) nel campo valori da 0 a n.

Sintassi: =column(ref)


columns

columns

La funzione columns (range) fornisce il numero delle colonne nel campo indicato.

Sintassi: =columns(range)


cos

cos

La funzione cos(num) fornisce il coseno di un numero.

Sintassi: =cos(num)

Esempio

=cos(inserimento)

 | inserimento | Risultato
grado | radiante: | coseno
0,00 | 0 | 1,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 0,000
135,00 | 2,3561944901923448 | -0,707
180,00 | 3,1415926535897931 | -1,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -0,000
315,00 | 5,497787143782138 | 0,707
360,00 | 6,2831853071795862 | 1,000


cosh

cosh

La funzione cosh(num) fornisce il coseno iperbolico di un numero.

Sintassi: =cosh(num)


degree

degree

La funzione degree(num) convertisce il valore radiante in gradi..

Sintassi: =degree(num)

Esempio

=degree(inserimento)

inserimento | Risultato
radiante: | Degree()
0 | 0
0,78539816339744828 | 45
1,5707963267948966 | 90
2,3561944901923448 | 135
3,1415926535897931 | 180
3,9269908169872414 | 225
4,7123889803846897 | 270
5,497787143782138 | 315
6,2831853071795862 | 360


even

even

La funzione even(num) fornisce il prossimo valore intero pari maggiore. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =even(num)

Esempio Esempio

=even(2,2) restituisce 4

=even(-2,2) restituisce -4


exp

exp

La funzione exp(num) restituisce la base e elevato alla potenza del numero assegnato..

Sintassi: =exp(num)

Esempio Esempio

=exp(0) restituisce 1

=exp(1) restituisce 2,718282

=exp(10) restituisce 22026,465795


fact

fact

La funzione fact(int) fornisce il fattoriale di un numero.

Sintassi: =fact(int)

Esempio Esempio

=fact(0) restituisce 0 (0)

=fact(1) restituisce 1 (1)

=fact(2) restituisce 2 (1*2)

=fact(3) restituisce 6 (1*2*3)

=fact(4) restituisce 24 (1*2*3*4)

=fact(5) restituisce 120 (1*2*3*4*5)


factdouble

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche -> factdouble

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
factdouble

La funzione factdouble(num) restituisce il doppio fattoriale di un numero. In questo modo viene definito il prodotto di ogni secondo numero.

Sintassi: =factdouble(num)

Esempio Esempio

=factdouble(0) restituisce 0 (0)

=factdouble(1) restituisce 1 (1)

=factdouble(2) restituisce 2 (2)

=factdouble(3) restituisce 3 (1*3)

=factdouble(4) restituisce 8 (2*4)

=factdouble(5) restituisce 15 (1*3*5)


floor

floor

La funzione floor(num) fornisce il valore arrotondato sull’intero minore di un numero. Numeri negativi si arrotondano verso lo zero.

Sintassi: =floor(num)

Esempio Esempio

=floor(2,2) restituisce 2

=floor(-2,2) restituisce -2


int

int

La funzione int(num) arrotonda un numero per difetto all'intero più vicino. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: = int (num)

Esempio Esempio

=int(2,2) restituisce 2

=int(-2,2) restituisce -3


ln

ln

La funzione ln(num) restituisce il logaritmo naturale di un numero..

Sintassi: =ln(num)

Esempio Esempio

=ln(1) restituisce 0

=ln(2,718282) restituisce 1

=ln(22026,465795) restituisce 10


log10

log10

La funzione log10(num) restituisce il logaritmo in base 10 di un numero.

Sintassi: =log10(num)

Esempio Esempio

=log10(1) restituisce 0

=log10(10) restituisce 1

=log10(100) restituisce 2

=log10(1000) restituisce 3


mod

mod

La funzione mod(num, divisor) restituisce il resto della divisione di un valore (num) attraverso il divisore (divisor).

Sintassi: =mod(num,divisor)

Esempio Esempio

=mod(0,3) restituisce 0

=mod(1,3) restituisce 1

=mod(2,3) restituisce 2

=mod(3,3) restituisce 0

=mod(4,3) restituisce 1


odd

odd

La funzione odd(num) restituisce un numero arrotondato per eccesso all'intero dispari più vicino. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =odd(num)

Esempio Esempio

=odd(2,2) restituisce 3

=odd(-2,2) restituisce -3


pi

pi

La funzione pi() restituisce il valore per pi: 3,1415926535897931

Sintassi: =pi()

Formattazione standard: *0.######

Esempio Esempio

=pi() restituisce con formattazione standard 3,141593


product

product

La funzione product (range) restituisce il prodotto dei valori nel campo definito.

Sintassi: =product(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella B1=product(A1:A10)

Cella/colonna | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il risultato per l´area da A1 a A10 è pari a 3628800.


quotient

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche -> quotient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
quotient

La funzione quotient(num,divisor) restituisce il quoziente di una divisione.

Sintassi: =quotient(num,divisor)

Esempio Esempio

=quotient(0,3) restituisce 0

=quotient(1,3) restituisce 0

=quotient(2,3) restituisce 0

=quotient(3,3) restituisce 1

=quotient(4,3) restituisce 1


radiante

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche -> radiante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
radiante

La funzione radians(num) converte i gradi in radianti..

Sintassi: =radians(num)

num: Inserimento in gradi

Esempio

=radians(Inserimento)

inserimento | Risultato
0,00 | 0
45,00 | 0,78539816339744828
90,00 | 1,5707963267948966
135,00 | 2,3561944901923448
180,00 | 3,1415926535897931
225,00 | 3,9269908169872414
270,00 | 4,7123889803846897
315,00 | 5,497787143782138
360,00 | 6,2831853071795862


rand

rand

La funzione rand() restituisce ad ogni ricalcolo della tabella un numero a caso nell’area tra 0.000 und 1.000

Sintassi: =rand()


randbetween

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche -> randbetween

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
randbetween

La funzione randbetween(min,max) restituisce ad ogni ricalcolo della tabella un numero a caso nell’intervallo da min a max.

Sintassi: =randbetween(min,max)


round

round

La funzione round(num,digits) arrotonda un numero(num) a un numero specificato di cifre decimali (digits).

Sintassi: =round(num,digits)


row

row

La funzione row(ref) restituisce il numero di riga della cella di riferimento nell’intervallo da 0 a n.

Sintassi: =row(ref)


rows

rows

La funzione rows(range) restituisce il numero delle righe all´interno del campo indicato.

Sintassi: =rows(range)


sign

sign

La funzione sign(num) restituisce il valore

  • 1 se il numero (num) è positivo,
  • -1 se il numero è negativo
  • 0 se il numero è 0

Sintassi: = sign (num)

Esempio Esempio

=sign(2,2) restituisce 1

=sign(-2,2) restituisce -1

=sign(0,0) restituisce 0


sin

sin

La funzione sin(num) restituisce il seno di un numero. .

Sintassi: =sin(num)

num Inserimento in radianti

Esempio

=sin(Inserimento)

 | inserimento | Risultato
grado | radiante: | seno
0,00 | 0 | 0,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 1,000
135,00 | 2,3561944901923448 | 0,707
180,00 | 3,1415926535897931 | 0,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -1,000
315,00 | 5,497787143782138 | -0,707
360,00 | 6,2831853071795862 | -0,000


sinh

sinh

La funzione sinh(num) restituisce il seno iperbolico di un numero.

Sintassi: =sinh(num)


sqrt

sqrt

La funzione sqrt(num) restituisce la radice quadrata di un numero.

Sintassi: =sqrt(num)

Esempio Esempio

=sqrt(1) restituisce 1

=sqrt(2) restituisce 1,414214

=sqrt(3) restituisce 1,732051

=sqrt(4) restituisce 2


sqrtpi

sqrtpi

La funzione sqrtpi(num) restituisce la radice quadrata di un valore pi.

Sintassi: =sqrtpi()

Esempio Esempio

=sqrtpi(1) restituisce 3,141593 = 1*pi

=sqrtpi(2) restituisce 4,442883 = sqrt(2)*pi

=sqrtpi(3) restituisce 5,441398 = sqrt(3)*pi

=sqrtpi(4) restituisce 6,283185 = sqrt(4)*pi


tan

tan

La funzione tan(num) restituisce la tangente del numero.

Sintassi: =tan(num)


tanh

tanh

La funzione tanh(num) restituisce la tangente iperbolica di un numero.

Sintassi: =tanh(num)


trunc

trunc

La funzione trunc(num) restituisce il valore di un numero arrotondato sull’intero minore più vicino. Numeri negativi si arrotondano verso lo zero.

Sintassi: = trunc (num)

Esempio Esempio

=trunc(2,2) restituisce 2

=trunc(-2,2) restituisce -2


Funzioni del manager dei gruppi di ricette

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con le seguenti funzioni report del Manager di gruppi ricette possono essere visualizzate anche le variabili di altri progetti caricati che vengono utilizzati nelle ricette. Queste funzioni possono essere usate solo con immagini del tipo Manager gruppi ricette.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.


recipea

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette -> recipea

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
recipea

La funzione =recipeaInhalt) mostra dei dati generali di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipea(contenuto)

Contenuto | Descrizione
muser | Utente che ha modificato la ricetta per ultimo.
mzeit | Tempo dell´ultima modifica.
rez | Nome della ricetta.
rezg | Nome del gruppo ricette al quale appartiene la ricetta.
reznum | Numero della ricetta
Datesto1 a testo 8 | Commenti degli utenti dalla ricetta 1 alla 8.
testo2 | Commento utente 2 della ricetta.
version | Numero di versione della ricetta.
status | Stato della ricetta come testo. Per es.: 1 - Mustertext

Esempio Esempio

=recipea(reznum)


recipef

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette -> recipef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
recipef

La funzione =recipef(contenuto,variabile) mostra dei dati orientati alla variabile di una ricetta del manager dei gruppi di ricette. Questi dati possono essere posizionati liberamente nel report.

Sintassi: =recipef((contenuto,variabile)

Contenuto | Descrizione
nome | nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di testi di valori limite dalla matrice di reazione o valore limite come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
variabile d'appoggio | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Esempio Esempio

=recipef("valore","temperatura")


recipew

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette -> recipew

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
recipew

La funzione =recipef(contenuto, direzione) mette a disposizione in forma tabellare dei dati orientati alla variabile di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipew(contenuto, direzione)

Contenuto | Descrizione
nome | nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di valori come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
variabile d'appoggio | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Esempio Esempio

=recipew(nome,giu)


Funzioni statistiche

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni statistiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i report sono a disposizione delle funzioni statistiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.


avg

avg

La funzione avg (range) fornisce il valore medio dei valori in un campo.

Sintassi: = avg (range)

Esempio

Zelle A4= avg(A1:A3)

Colonna/riga | A
1 | 1
2 | 3
3 | 5
4 | 3

Il valore medio delle celle A1 fino a A3 restituisce 3


count

count

La funzione count (range) fornisce il numero dei valori numerici nel campo indicato.

Sintassi: =count(range)

Esempio

Zelle A5= count(A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 2

Il numero dei valori numerici delle celle A1 a A4 restituisce 2.


counta

counta

La funzione counta (range) fornisce il numero delle celle non vuote nel campo indicato.

Sintassi: =counta(range)

Esempio

Zelle A5=counta(A1:A4)

Colonna/riga | A
1 | 1
2 | testo
3 |
4 | 3
5 | 3

Il numero delle celle non vuote nei campi restituisce A1 a A4 dà 3.


countblank

countblank

La funzione countblank (range) fornisce il numero delle celle vuote nel campo indicato.

Sintassi: =countblank(range)

Esempio

Zelle A5 = countblank(A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 1

Il numero delle celle non vuote nei campi da A1 a A4 restituisce 1.


max

max

La funzione max (range) restituisce il valore massimo di un insieme di valori incluso nel campo specificato.

Sintassi: =max(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella B1=max(A1:A10)

Colonna/riga | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore massimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 10.


min

min

La funzione min (range) restituisce il valore minimo del campo indicato.

Sintassi: =min(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella B1=min(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore minimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 1.


percentile

percentile

La funzione percentile (range,num) restituisce un valore soglia, a partire dal quale sono accettate delle osservazioni.

Sintassi: =percentile(range,num)

Range: rappresenta una matrice o un area dati, che descrive la posizione relativa dei dati.

Num: Integer von 0-100

Esempio

celle A1 a A10: numeri qualsiasi

Cella B1=percentile(A1:A10,90)

Colonna/riga | A | B
1 | 1 | 9,1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore soglia per l´area da A1 a A10 è pari a 9,1.


stdev

stdev

La funzione stdev (range) stima la deviazione standard sulla base di un campione.

Formula:

Sintassi: =stdev(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella A11=stdev(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 18,785633

La deviazione standard per l´area che va dalla cella A1 alla cella A10 viene stimata sulla base del campione 18,785633.


stdevp

stdevp

La funzione (range) restituisce la stima della deviazione standard relativa alla totalità dei valori nel campo definito.

Formula:

Sintassi: =stdevp(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella A11= stdevp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 17,821616

La deviazione standard per il campo che va dalla cella A1 alla cella A10 viene stimata 17,821616.


sum

sum

La funzione sum (range) restituisce la somma dei valori nel campo definito.

Sintassi: =sum(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella B1=sum(A1:A10)

Colonna/riga | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La somma di tutti i valori nel campo da A1 a A10 è pari a 55.


sumsq

sumsq

La funzione sumsq (range) restituisce la somma dei quadrati dei valori nel campo definito.

Sintassi: =sumsq(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella A11=sumsq(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Controllo:

Celle B1 a B 10: quadrati da A1 a A10

Cella B11= sum(B1:B10)


var

var

La funzione var (range) restituisce una stima della varianza di un campione di valori nell’intervallo definito.

Formula:

Sintassi: =var(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella A11=var(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 352,9

Sulla base del campione, la varianza per l´area che va dalla cella A1 alla cella A10 viene stimata 352,9.


varp

varp

La funzione varp (range) restituisce una stima della varianza partendo dalla totalità dei valori nell’intervallo definito.

Formula:

Sintassi: =varp(range)

Esempio

celle A1 a A10: numeri qualsiasi

Cella A11=varp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 317,61

La varianza stimata per il campo che va dalla cella A1 alla cella A10 è pari a 317,61.


Funzioni di testo

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Funzioni di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i report, sono disponibili diverse funzioni testo. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento. Eccezione: paint


char

char

La funzione char(code) fornisce il simbolo ASCII attribuito al numero definito alla voce code.

Sintassi: = char (code)

code: numero compreso fra 1 e 255.

Esempio Esempio

=char(88) restituisce X

Se la cella A1 contiene il valore 35, la funzione =char (A1) fornisce come risultato il carattere #.

Usate la funzione code per determinare il codice ASCII per il carattere.


clean

clean

La funzione clean(string) cancella tutti i simboli di controllo di una sequenza di caratteri-testo.

Sintassi: = clean (string)


code

code

La funzione code(string) fornisce il code ASCII del primo simbolo in una sequenza di caratteri-testo.

Se la stringa fra parentesi corrisponde al testo che deve essere codificato, essa viene messa fra virgolette. Se essa rimanda ad un´altra cella, viene inserita quest´ultima.

Sintassi: = code (string)

Esempio Esempio

=code("z") restituisce 122.

La cella A1 contiene il testo zoom:

=code(A1) restituisce 122.

Per determinare il carattere corrispondente al codice ASCII, usate la funzione char.

attenzione Attenzione

La funzione code(string) fornisce il code ASCII del primo simbolo in una stringa testo.


find

find

La funzione find(keystring,string,start) fornisce la posizione di una successione simboli (keystring) in una stringa di testo (string). (string). Si determina la posizione dal simbolo di partenza (start) nella stringa testo considerando la scrittura maiuscola e minuscola.

Sintassi: =find(keystring,string,start)

Esempio Esempio

cella A1 cd

cella A2 ABCDabcd

Cella A3: 1

Cella A4=find(A1,A2,A3): Risultato =7


fixed

fixed

La funzione fixed(num,decimals) formatta un numero e lo trasforma in una determinata sequenza di caratteri.

Sintassi: =fixed(num,decimals)

  • num: valore numerico o riferimento cella
  • decimals: Numero delle cifre decimali

Esempio Esempio

Cella A1 = 12345.672

=fixed(A1,2) restituisce 12345,67

=fixed(A1,1) restituisce 12345,6

Il separatore e la visualizzazione dipendono anche dalle impostazioni regionali e da quelle di formattazione nella Cella.

Indicazione: la funzione fixed() non può essere combinata con un formato stringa come l´indicazione di unità di misura.

Differenza nei confronti di zenon 5.50 e delle versioni precedenti

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argoment è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Sintassi: =fixed(num,decimals,no_seps)

  • no-seps:
    • 0: Viene inserito un separatore delle migliaia
    • 1: Non viene utilizzato un separatore delle migliaia

Nelle versioni successive, i numeri vengono generalmente visualizzati senza separatori delle migliaia.


left

left

La funzione left(string,num) fornisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dal primo carattere.

Sintassi: =left(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dal primo

Esempio Esempio

Cella A1 = abcdefgh

=left(A1,3) restituisce abc

=left(A1,5) restituisce abcde

Per leggere dei caratteri cominciando con l´ultimo di una sequenza, usate la funzione right.


len

len

La funzione len(string) fornisce il numero dei simboli di una sequenza di caratteri testo.

Sintassi: =len(string)

Esempio Esempio

Cella A1 = abc
=len(A1) restituisce 3

Cella A1 = abcdefgh
=len(A1) restituisce 8


lower

lower

La funzione lower(string) converte in minuscolo tutte le lettere maiuscole contenute in una stringa di testo.

Sintassi: =lower(string)

Esempio Esempio

Cella A1 = AbCdEf
=lower(A1) restituisce abcdef

Per convertire le lettere minuscole in maiuscole, usate la funzione upper.


mid

mid

La funzione mid(string,numStart,numLen) estrae

  • da una sequenza caratteri defintita string
  • una nuova sequenza
  • con un numero di caratteri definito tramite l´argomento numLen
  • e a partire dalla posizione definita mediante numStart .

Sintassi: =mid(string,numStart,numLen)

Esempio Esempio

Cella A1 = abcdefgh
=mid(A1,2,4) restituisce bcde


paint

paint

La funzione =paint(referenz) prosegue la sequenza di caratteri indicata nella cella referenziata, nel caso in cui essa non ci dovesse essere abbastanza spazio nella cella referenziata. In questo modo è possibile visualizzare delle lunghe sequenze caratteri in diverse celle, e facilitarne così la lettura.

Sintassi: =paint(referenz)

Esempio Esempio

La cella A1 contiene i caratteri: abcdefghijklmn

A causa della sua larghezza, nella cella A1 viene visualizzato solo: abcdefg

=paint(A1) nella cella A2 porta alla seguente visualizzazione:

A1: abcdefg

A2: hijklmn

Questa funzione può essere progettata con l´assistente alle funzioni.


proper

proper

La funzione proper(string) converte in maiuscolo la prima lettera di una parola. Le rimanenti lettere nella stringa di testo vengono convertite in minuscolo. L´inizio della parola è il primo carattere alfabetico della sequenza. Se una sequenza di caratteri contiene più caratteri non alfabetici, una nuova parola inizia dopo ogni carattere non alfabetico.

Sintassi: = proper (string)

Esempio Esempio

Cella A1 = AbCdEf
=proper(A1) restituisce Abcdef

Cella A1 = aBcDeF
=proper(A1) restituisce Abcdef

Cella A1 = 1aBcD2eF
=proper(A1) restituisce 1Abcd2Ef


replace

replace

La funzione replace(string,numStart,numLen,stringNew)

  • sostituisce nella sequenza caratteri string
  • a partire dalla posizione definita mediante numStart
  • un numero di caratteri definito mediante numLen
  • con caratteri di altra stringa, stringNew

Sintassi: =replace(string,numStart,numLen,stringNew)

Esempio Esempio

Cella A1 = abcdefgh
Cella A2 = xyz
=replace(A1,3,2,A2) restituisce abxyzefgh

In questo esempio, nella stringa abcdefgh i caratteri cd (terzo posto nella stringa, 2 caratteri ) vengono sostituiti da xyz.


rept

rept

La funzione rept(string,num) ripete la successione di caratteri string per il numero di volte definito in num.

Sintassi: =rept(string,num)

Esempio Esempio

Cella A1 = abc
Cella A2 = 3
=rept(A1,A2) restituisce abcabcabc


right

right

La funzione right(string,num) restituisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dall´ultimo carattere.

Sintassi: =right(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dall´ultimo

Esempio Esempio

Cella A1 = abcdefgh

=right(A1,3) restituisce fgh

=right(A1,5) restituisce defgh

Per leggere dei caratteri cominciando dal primo di una sequenza, usate la funzione left.


search

search

La funzione search(keystring,string,start) restituisce

  • la posizione di un testo cercato keystring
  • all´interno di una sequenza di caratteri string
  • a partire dalla posizione start

Sintassi: =search(string,keystring,start)

Esempio

Cella A4=search(A1,A2,A3)

Cella/colonna | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

La funzione nella cella A4 trova il testo cercato cd nella cella A1 nella posizione 3.


substitute

substitute

La funzione substitute(string,oldstring,newstring,instance)

  • sostituisce nella sequenza caratteri string
  • una sequenza oldstring
  • con una nuova sequenza caratteri newstring
  • ;instance definisce la posizione di oldstring
    • instance=0 sostituisce tutte le sequenze trovate

La funzione considera le lettere maiuscole e minuscole.

Sintassi: =substitute(string, oldstring, newstring, instance)

Esempio Esempio

Cella A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Cella A2 = XYZ

Esempio 1:

=substitute(A1,"ABCDEF",A2,0) restituisce abcdef XYZ abcdef XYZ abcdef XYZ

In questo esempio la sequenza di caratteri ABCDEF viene sostituita nell'intera stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF con XYZ.

Esempio 2:

=substitute(A1,"abcdef",A2,2) restituisce abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

In questo esempio, abcdef, la seconda sequenza di caratteri trovata nella stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF, viene sostituita con XYZ.

Indicazione: le sequenze all´interno della funzione vengono messe fra virgolette ("Zeichenkette").


trim

trim

La funzione trim(string) consente al massimo uno spazio vuoto fra due caratteri. Tutti gli altri spazi vuoti verranno eliminati.

Sintassi: =trim(string)

Esempio Esempio

Cella A1 = Troppi spazi vuoti vengono ridotti a uno .
=trim (A1) restituisce: troppi spazi vuoti vengono ridotti a uno


upper

upper

La funzione upper(string) converte in maiuscolo tutte le lettere minuscole contenute in una stringa di testo.

Sintassi: =upper(string)

Esempio Esempio

Cella A1 = AbCdEf
=upper(A1) restituisce ABCDEF

Per convertire le lettere maiuscole in minuscole, usate la funzione lower.


Altre funzioni

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Altre funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Funzioni di report riunisce altre funzioni che non sono state assegnate a nessun sottogruppo.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.


alarm

alarm

Questa funzione mostra delle informazioni provenienti dalla gestione allarmi in forma di una lista formattata in un Report.

Sintassi: =alarm(FILTRO, PARAMETRO, DIREZIONE)

Parametro di trasferimento

Validità

Nota

FILTRO

Configurazione mediante Filtro AML.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • esce
  • riconosciuto
  • tempo riattivazione
  • stato riattivazione
  • numero riattivazioni
  • attesa
  • quantità_h
  • quantità_t
  • quantità_m
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Avvertenza:

  • progetto: esistente nel fltro AML solamente nel caso di progetti multiuser.
  • quantità: solo per un progetto
  • quantità_h solo per un progetto
  • quantità_t: solo per un progetto
  • quantità_m: solo per un progetto

DIREZIONE
  • giù
  • sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Significato
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
Info Informazioni
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


cel

cel

Questa funzione mostra delle informazioni provenienti dalla Lista eventi cronologica (CEL) in forma di una lista formattata in un Report. La progettazione con l´assistente funzioni funziona in modo analogo a quella con la funzione aml.

Sintassi: =cel(FILTER,PARAMETER,RICHTUNG)

Parametro di trasferimento

Validità

Nota

FILTRO

Configurazione mediante Filtro CEL.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Avvertenza:

  • progetto: esistente nel fltro CEL solamente nel caso di progetti multiuser.
  • quantità: solo per un progetto

DIREZIONE

giù, sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Significato
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
Info Informazioni
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


progetta alarm e cel con assistente funzioni

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Altre funzioni -> progetta alarm e cel con assistente funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
progetta alarm e cel con assistente funzioni

Potete progettare delle funzioni per AML e CEL con l´assistente funzioni Questo esempio concerne aml, ma vale anche per cel:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni Report.
  2. Si apre l´assistente.
  3. Scegliete alarm..

  4. La funzione report alarm viene inserita nella sintassi.
  5. Cliccando su Variabile apre il Filtro per AML. (Con la cel si aprirà il Filtro per CEL.)
  6. Configurate il filtro.
  7. Selezionate il parametro desiderato cliccando due volte, per esempio identificazione).

  8. Il parametro viene ripreso nella stringa.
  9. Selezionate la direzione desiderata dell´inserimento nella tabella mediante un doppio clic:
    • giù: la funzione riempe la colonna
    • destra: la funzione riempe la riga

  10. La direzione viene ripresa nella stringa.
  11. Viene chiusa la parentesi.
  12. Cliccando su OK, la funzione viene ripresa nella cella.


compare

compare

La funzione compare(area,"Condizione") permette di cercare tutti i numeri avendo la stessa condizione in una zona definita e emette il numero delle cellule corrispondenti.

Sintassi: =compare(Bereich,"Bedingung")

Campo: celle che vengono prese in considerazione per effettuare il confronto

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Esempio Esempio

=compare(A1:A10,6>"=5")

Confronta nella colonna A le celle da 1 a 10 e fornisce il numero dei valori che sono maggiori o uguali a 5.


comparesp

comparesp

Questa funzione comparesp(cella di partenza,direzione,P1,P2,P3,P4,"Condizione") confronta i valori in una determinata area in un formato speciale con una condizione e restituisce il numero di celle corrispondenti.

Sintassi: =comparesp(Startzelle,Richtung,P1,P2,P3,P4,"Bedingung")

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione: | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Esempio Esempio

=comparesp(A1,sotto,12,0,0,12,"=5")


comparespsum

comparespsum

Questa funzione comparesp(cella di partenza,direzione,P1,P2,P3,P4,Condizione) confronta i valori in una determinata area in un formato speciale con una condizione e restituisce la somma delle celle corrispondenti.

Sintassi: =comparespsum(Startzelle,Richtung,P1,P2,P3,P4,Bedingung)

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione: | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P2 = righe vuote fra i valori

Esempio Esempio

=comparespsum(A1,sotto,12,0,0,12,"=5")


comparesum

comparesum

La funzione comparesum(area di confronto, reference per la somma, "condizione") confronta i valori di un range definito con una condizione e restituisce la somma dei valori ricavati da una zona di riferimento.

Sintassi: =comparesum(Vergleichsbereich,Summierungsreferenz,"Bedingung")

  • Campo: celle che vengono prese in considerazione per effettuare il confronto
  • Reference per la somma: valore che viene emesso quando la condizione è soddisfatta

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Esempio Esempio

=comparesum(B2:B11,A2,"=5")

Le celle B2 a B11 vengono analizzate sulla base del criterio =5. Nelle righe per cui vale quanto sopra, vengono sommati i valori delle celle corrispondenti nella colonna A.


computername

computername

La fuzione computername() fornisce il nome del computer sul quale viene eseguito il report.

Sintassi: =computername()

Non sono necessari parametri di trasferimento.


maxsp

maxsp

Le funzioni maxsp restituiscono il valore massimo di un campo e lo rappresentano. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: = maxsp(range,num)

Parametro di trasferimento | Validità | Nota
range | A1-ATWH31000 | Numero massimo di colonne: 31000 Numero massimo di righe: 31000
num | -1 0-15 | -1 : sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows XP, Vista e 7.

Indicazione: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per maxsp.

Esempio

Si vuole che il valore maggiore nelle tabelle da A1 a B4 sia visualizzato sottolineato.

Inserimento nell'Editor:

Colonna/riga | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

risultato nel Runtime


minsp

minsp

Le funzioni minsp(range,num) restituiscono il valore minimo di un campo determinato e lo visualizzano. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: = minsp(range,num)

Parametro di trasferimento | Validità | Nota
range | A1-ATWH31000 |
num | -1 0-15 | -1 sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows XP, Vista e 7.

Indicazione: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per maxsp.

Esempio Esempio

Cella C1=minsp(A1:B4,-1)


Parametri

Parametri

I parametri consentono la definizione di un report che, attraverso la funzione di zenon Esegui report e i diversi parametri con essa utilizzati, esegue diversi compiti. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che rappresenti dei valori in diverse unità di misura. Sintassi: =parameter(Numero)

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Progettazione

  1. assegnate nel report i parametri desiderati alle celle adatte

  2. completate i parametri con eventuali operazioni di calcolo o riferimenti necessari
  3. durante il Runtime, poi, selezionate i valori per i parametri usando una funzione Esegui report, oppure il pulsante Apri file e la tab Parametri

Un consiglio: se volete visualizzare in un report dati di diversi archivi (per es. B 5 PLC), definite un rapporto comune. Gestite la visualizzazione mediante le funzioni 5 zenon, che mettono a disposizione i valori per i parametri. E’ possibile semplicemente copiare queste funzioni, dovete solamente modificare i valori impostati nella scheda Parametri.

Esempi di parametri

  • =parameter(1): assegna alla cella il parametro (1)
  • =paramter(6)*A1/100: assegna alla cella il parametro (6), moltiplica il valore che è stato fissato nella tab Parametro per il valore dalla cella A1 e lo divide per 100


select

select

La funzione =select(Indirizzo cella) restituisce la cella che deve essere selezionata all´apertura dei report. Come parametro è da indicare l´indirizzo della cella.

Sintassi: =select(Indirizzo cella)

Esempio Esempio

=select(B3)


selectmode

selectmode

La funzione selectmode(Modalità di selezione) setta la modalità di selezione.

Sintassi: =selectmode(Modalità di selezione)

Esempio Esempio

=selectmode(3)


Username

Username

La funzione username restituisce il nome dell'utente attualmente registrato in zenon.

Sintassi: =username()

Non sono necessari parametri di trasferimento.


variabler

variabler

La funzione =variabler(Nome variabile,proprietà) restituisce informazioni su una variabile.

Sintassi: =variabler(Nome variabile,proprietà)

Parametri | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità della variabile.
identificazione | identificazione della variabile.
mmin | Area di misurazione minima della variabile.
mmax | Area di misurazione massima della variabile.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

Info Informazioni

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menu contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare

Esempio Esempio

=variabler("WIZ_VAR_10","name")


variablerw

variablerw

La funzione variablerw(Nome variabile,Proprietà,Azione) restituisce informazioni sulla variabile e scrive valori in variabili.

Sintassi: =variablerw(Nome variabile,Proprietà,Azione)

Parametri | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità della variabile. Indicazione: non può essere usata con Cambio unità di misura. Da usare solamente con vecchi progetti. Se un´unità di una variabile definita nel cambio unità di misura viene modificata usando nel Runtime questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio unità di misura .
identificazione | identificazione della variabile
mmin | Area di misurazione minima della variabile. Indicazione: non può essere usata con cambio unità.
mmax | Area di misurazione massima della variabile. Indicazione: non può essere usata con cambio unità.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

Info Informazioni

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menu contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare
  6. inserite l´azione desiderata

Esempio Esempio

=variablerw("WIZ_VAR_10","valore","leggere"


Chiavi di formattazione

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Chiavi di formattazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le chiavi di formattazione definiscono l’emissione formattata delle informazioni di celle in dipendenza del contenuto di celle (tipi di dati).

La definizione avviene:

  • nella lista a cascata Formato -> Celle -> Numeri -> Tab Tipo di cella -> Generale/Formato stringa

    oppure

  • nel menu contestuale Tabella di report -> Cella -> Tab Tipo di cella -> Generale/Formato stringa


Tipi di dati numerici

Tipi di dati numerici

Le chiavi di formattazione per i tipi di dato numerici sono caratteri jolly simbolici, che vengono sostituiti dal valore formattato.

  • Come separatore delle migliaia si usa la virgola, come separatore decimale il punto.
  • Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.
  • Se non si indica nessuna chiave di formattazione, il formato *0.* viene utilizzato come impostazione standard.

    Indicazione: per l´impostazione standard sono consentite al massimo 15 cifre decimali.

Chiave di formattazione | Descrizione
, (virgola) | Inserisce il separatore delle migliaia tre posizioni prima del separatore decimale
. (punto) | inserisce il separatore decimale.
; (punto e virgola) | separa le chiavi di formattazione per valori positivi e negativi.
# | si sostituisce solamente se la rispettiva posizione è presente.
* | si segnalano tutte le cifre prima e dopo la virgola
0 (zero) | Se la posizione nel valore non è presente, essa viene riempita con lo zero.
/ | Il simbolo successivo viene trattato da stringa testo.

Esempi

Dati | Chiave di formattazione | Testo formattato | Descrizione
-0.2 | *0.00 | -0.20 | Vengono emesse sempre due cifre decimali.
123 | *00000 | 00123 | Le prime 5 posizioni vengono emesse con zeri in testa..
104 | ->*<- | ->104<- | In linea generale, i numeri vengono emessi tra i due simboli ->...<-.
0.2500 | *0.* | 0.25 | Nel caso di valori tra -1.0 e 1.0, all´inizio viene posto sempre uno zero.
12 | +*0.00;-*0.00 | +12.00 | I valori positivi sono caratterizzati da un + e quelli negativi da -.


Tipi di dati logici

Tipi di dati logici

Con i tipi di dati logici si possono visualizzare in modo informazioni del tipo SI/NO. in modo molteplice. Il testo di emissione viene fissato mediante la chiave di formattazione.

  • Formato: Testo;Testo2
  • Emissione
    • valori positivi incluso zero = Testo 1
    • valori negativi = Testo 2

Con la funzione if(exprTest,valTrue,valFalse) si possono descrivere le informazioni di emissione indipendentemente dalla formattazione delle celle.

Esempio

Dati | Chiave di formattazione | Testo formattato | Descrizione
1 |  | Si | Se non si indica una chiave di formattazione, il sistema usa True/False come Default.
-1 | Sì;No | No |


Tipi di dati per la data ed il tempo

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Funzioni di report -> Chiavi di formattazione -> Tipi di dati per la data ed il tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Tipi di dati per la data ed il tempo

Sono a disposizione numerevoli chiavi di formattazione per l’emissione di informazioni della data e del tempo. Si utilizzano il formato emissione definito nelle impostazioni internazionali Windows per il modo di inserimento e per l’emissione senza chiave di formattazione.

Info Informazioni

Le denominazioni di giorni e mesi possono essere progettate nel Runtime in modo tale da essere traducibili.

Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.

Chiave di formattazione | Valore | Descrizione
m | 1 - 12 | Mese numero breve
mm | 01 - 12 | Mese numero lungo
mmm | Gen - Dic | Mese breve
mmmm | Gennaio - Dicembre | Mese lungo
d | 1 - 31 | Giorno breve
dd | 01 - 31 | Giorno lungo
ddd | Do - Sa | Giorno della settimana breve
dddd | Domenica - Sabato | Giorno della settimana lungo
yy | 00 - 99 | Anno breve
yyyy | 1700 - 2900 | Anno lungo (0x viene interpretato come 190x)
/ |  | separatore data internazionale
h | 0 - 23 o 1 - 12 | Ora breve, o 24 h oppure 12 h con ap
hh | 00 - 23 o 01 - 12 | Ora lungo, o 24 h oppure 12 h con ap
mm | 00-59 | Minuti, solamente dopo h oppure hh
ss | 00-59 | Secondi
ff | 000-999 | Millisecondi
ap | am, pm (oppure equivalente internazionale) | am oppure pm
: (due punti) |  | separatore tempo internazionale

Esempio

Dati | Chiave di formattazione | Testo formattato
22.09.95 14:05 | dddd dd/mm/yyyy | venerdì 22.09.1995
22.09.95 14:05 | dd/mmmm yyyy | 22 settembre 1995
22.09.95 14:05 | dd/mm/yy hh:mm | 22.09.95 14:05
22.09.95 14:05 | hh:mm:ff | 14:05:000


Le funzioni di zenon per il Generatore Report.

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon mette a disposizione delle funzioni per la gestione del Generatore Report nel Runtime.

La funzione Cambio immagine passa all´immagine Report e consente la definizione di filtri.

Delle funzioni speciali consentono la stampa, l´esportazione oppure l´esecuzione di un report nel Runtime. Per creare una funzione di zenon per il Generatore Report:

  1. navigate nel menu contestuale delle funzioni e passate a: Nuova Funzione. -> Generatore Report
  2. selezionate la funzione desiderata:
    • Stampare report
    • Esportare report
    • Esegui report


Cambio lingua Report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Cambio lingua Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare il Report nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report:

  1. create una nuova immagine del tipo Report
  2. selezionate nel nodo Funzioni del menu contestuale, la voce Nuova Funzione
  3. selezionate la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report
  5. viene visualizzato il Filtro report
  6. Selezionate le proprietà desiderate
  7. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime


Filtro report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si creano delle funzioni di zenon, viene visualizzato il filtro report per la configurazione del report:

  • File: selezione del file report e delle condizioni nel Runtime
  • Parametri: Parametri di trasferimento
  • Tempo: Arco di tempo
  • Lotti: filtro su lotti
  • Collegamenti: Sostituisci funzioni
  • Indici: Sostituisci indici


File

File

Nella tab File stabilite quale report viene chiamato al momento del cambio immagine, oppure se questa decisione deve essere presa a Runtime.

Parametri | Descrizione
Formato file | Selezione del file report (*.xrs) progettato nell’editor .
Proporre questo dialogo nel runtime | Attiva: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.
Solo leggere | Attiva: gli inserimenti possono essere solamente letti. Non è possibile modificarli e salvarli.
Leggi archivi dalla cartella di backup | Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

La configurazione file è differente per:

  • Stampa report
  • Esporta report
  • Esegui report


Parametri

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri

I parametri consentono di usare un report per differenti archivi. A questo scopo vengono definiti nel report usando la funzione report parametro ( Numero ) i campi da usare in modo flessibile. Quali parametri usare di volta in volta, si stabilisce nella tab Parametri della funzione Cambio immagine. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che metta a disposizione valori in diverse unità di misura.

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Se per esempio è necessario visualizzare dei dati d’archivio di 5 PLC, è possibile creare un singolo report e passare 5 diversi parametri con 5 funzioni di ‘cambio immagine’.


Tempo

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Tempo

I filtri tempo offrono la possibilità di limitare le date che devono essere visualizzate o esportate. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I meccanimi qui descrutti valgono nel caso del cambio immagine, ma anche in caso di Export per:

  • Lista di informazioni allarmi
  • Lista Eventi Cronologica
  • Elaborazione archivio:
  • Trend esteso
  • Generatore di rapporti
  • Report Viewer

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica ciclo temporale nell´Editor
    Vengono utilizzati intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.

Per l´impostazione Imposta filtro su tipo filtro tempo si può selezionare l´opzione Mostra dialogo filtro nel Runtime, ma essa non è disponibile durante il Runtime.


Filtro tempo nel runtime modificabile a piacere

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Filtro tempo nel runtime modificabile a piacere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Filtro tempo nel runtime modificabile a piacere

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  3. selzionate nella lista a cascata Selezione intervallo di tempo l´impostazione Imposta filtro su tipo filtro tempo

    Indicazione: l´opzione Mostra dialogo filtro nel Runtime può essere selezionata, ma non è disponibile nel Runtime l´opzione Imposta filtro su tipo filtro tempo per l´impostazione.

  4. selezionate l´intervallo di tempo dalla lista a cascata Tipo filtro tempo

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.

Nel Report Viewer e nella Post-elaborazione archivio con questa impostazione si mostrano tutti gli inserimenti a partire dal 1/ 1/ 2000.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Indicare intervallo nell´editor

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attenzione Attenzione

Se usate questo tipo di filtro, non potete adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.

    Un consiglio: attivate nel dialogo filtro della scheda Generale l´opzione Mostra dialogo filtro nel Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
    Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

  3. selezionate nella lista a cascata Selezione intervallo di tempo il filtro desiderato;
    Eccezione: Imposta filtro su tipo filtro tempo - questo è previsto per l´opzione Filtro tempo adattabile nel Runtime
  4. configurate l´intervallo di tempo selezionato

Parametri

Descrizione

Imposta filtro al tipo filtro tempo

attiva la possibilità di adattare nel Runtime il filtro.

Un giorno

Il filtro avviene per un giorno intero:
dalle 00:00:00 alle 23:59:59.

Una settimana

Il filtro avviene per un´intera settimana:
da lunedì alle 00:00:00 fino a domenica alle 23:59:59.

Due settimane

Il filtro avviene per due settimane intere:
dal lunedì della prima settimana alle 00:00:00 a domenica della seconda settimana alle 23:59:59.

Un mese

Il filtro avviene per un mese intero:
dal primo del mese alle 00:00:00 fino all´ultimo del mese alle 23:59:59.

Un anno

Il filtro avviene per un anno intero:
dal primo gennaio dell´anno alle 00:00:00 fino al 31 dicembre dell´anno alle 23:59:59.

15 minuti

Il filtro viene effettuato per un intervallo di tempo di 15 minuti.

30 minuti

Il filtro viene effettuato per un intervallo di tempo di 30 minuti.

60 minuti

Il filtro viene effettuato per un intervallo di tempo di 60 minuti.

Periodo relativo

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita la funzione, viene visualizzato un dialogo per mezzo del quale si può inserire un intervallo di tempo relativo in giorni, ore (HH), minuti (MM) e secondi (SS).

Attenzione! l´intervallo di tempo selezionato si riferisce al punto di apertura. L´intervallo di tempo filtrato viene stabilito in modo fisso.
Esempio: quando si attiva la funzione sono le 10:23:00. Voi impostate un intervallo di tempo relativo di un´ora. Il filtro viene impostato dalle 9:23:00 alle 10:23:00.

Periodo assoluto

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare un intervallo di tempo assoluto. Definite il punto iniziale e quello finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Charge

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare una charge Il filtro tempo viene impostato sull´intervallo della charge. Potete, ad esempio, effettuare il filtro degli allarmi oppure di tutti gli inserimenti CEL che si verificano durante una charge.

Avvertenza: Il filtro mostra solamente le charge già terminate.

Charge relativo

Solo per Trend esteso.

La rappresentazione parte sempre dal punto zero. Consente un confronto diretto di diversi charge.

Opzioni

Per tutti gli intervalli tempo (fatta eccezione per intervallo tempo assoluto e relativo, nonché charge) sono possibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Usare ultimo intervallo tempo terminato

attivo: Si usa sempre l´intervallo di tempo attuale. Se l´opzione è attiva, invece, viene visualizzato l´intervallo di tempo precedente.

Esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

Sposta intervallo di tempo indietro di

Attivo: l´intero intrevallo di tempo viene spostato indietro del tempo indicato. La lunghezza di periodo di tempo non è influenzata da questa impostazione.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. Nel runtime, il filtro non inizierà allo scoccare dell´ora, ma sempre 5 minuti più tardi, cioè, per esempio, alle 10:05:00, alle 11:05:00 ecc. Ma l´operazione di filtro riguarda sempre 60 minuti, cioè, per esempio, dalle 11:04:59 alle 12:04:59, ecc.

Tempo

Definisce il fuso orario in termini di ore (HH), minuti (MM) e secondi (SS).

Modifica il periodo di tempo di

Attivo: l´intevallo di tempo filtrato viene accorciato o allungato.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. L´opzione conta anche il tempo indicato è settata. Nel runtime

non si filtra solamente il periodo di tempo di 60 minuti, ma 65 minuti, cioè, per esempio, dalle 10:00:00 alle 11:04:59.

Tempo

Definisce il tempo che accorcia o allunga il periodo di tempo preso in considerazione per il filtro. in ore (HH), minuti (MM) e secondi (SS).

conta anche il tempo indicato

L´intervallo di tempo selezionato viene allungato aggiungendo il tempo indicato.

sottrai tempo indicato

L´intervallo di tempo selezionato viene accorciato sottraendo il tempo indicato.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Charge

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Charge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Charge

Il filtro lotti corrisponde a quello negli archivi:

Parametri

Descrizione

Filtro charge

Avete la possibilità di scegliere l´archivio desiderato fra quelli disponibili che vedete apparire a sinistra. A destra, invece, sono visualizzate le charge disponibili. Qui avete la possibilità di filtrare le charge.

Nome lotto

In questa colonna vengono visualizzati i nomi di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine alfabetico crescente o decrescente.

Nella parte inferiore dell´intestazione potete indicare una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

In questa colonna viene visualizzata la data di start di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di inizio verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di inizio, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di start

Disponibile solamente se indicate una data di inizio.

In questa colonna viene visualizzata l´ora di inizio di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di inizio manualmente.

Avvertenza: '*' sta per l´orario 0:00:00.

Data di fine

In questa colonna viene visualizzata la data della fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di fine verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di fine, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di fine

Disponibile solamente se indicate una data di fine.

In questa colonna viene visualizzata l´ora di fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di fine manualmente.

Avvertenza: '*' sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutte le cherge disponibili. Serve solo a visualizzare.

Info Informazioni

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

Info Informazioni

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.


Sostituisci collegamento

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Sostituisci collegamento

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile / funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora. La sostituzione basata sulle regole funziona anche per diversi elementi in un´immagine contemporaneamente e per elementi con simboli scollegati.

Interno ID: Sostituisci collegamento

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamento

Lampeggio

Proprietà per il lampeggio degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamento

Visibilità

Proprietà per la visibilità degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Sostituisci collegamento

Variabile / funzione

Proprietà per la varaibile o funzione collegata con l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menu contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti
  3. si apre il dialogo che serve a sostituire i collegamenti

Proprietà | Descrizione
Origine | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Accetta | cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccare due volte sulla variabile sorgente corrispondente.

sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • definite facendo uso del campo di inserimentodestinazione i parametri per le nuove variabili/funzioni.
  • Fissate per mezzo di Nome/identificazione,ciò che deve essere cambiato.
  • Cliccate su Applica

Più inserimenti vengono divisi mediante un punto e virgola (;).

Esempio:

Sorgente: A;b

Destinazione: C;d

Info Informazioni

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un altro progetto come variabile o funzione sorgente.

attenzione Attenzione

A momento di effettuare la sostituzione, fate attenzione al tipo e alla risoluzione del segnale. Se sostitutite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. Al momento di effettuare la sostituzione, il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

Info Informazioni

Sostituzione per Drag&Drop: gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag& Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.

Esempio

Tutte le variabili il cui nome contiene "Serbatoio1" devono essere sostituite con variabili con "Serbatoio4".

  1. Indicate nel campo di testo Fonte "Tank1". Mettete il segno * alla fine di ogni variabile che inizia con "Tank1".
  2. Indicate nel campo di testo Destinazione "Tank4".
  3. Cliccate su Applica.
  4. Le variabili Tank1_max e Tank1_min vengono sostituite con quelle "Tank4_max e Tank4_min.


Sostituisci indici

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Sostituisci indici

Quando si verifica un cambio immagine durante il runtime, le variabili possono essere sostituite in modo dinamico (virtuale) tramite regole di indicizzazione. Dei valori di variabili possono essere usati come parte della regola di sostituzione.

attenzione Attenzione

Visto che i nomi vengono sostituiti, le variabili e le funzioni devono essere sempre nominate in modo differente. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio:

esistono una variabile "test" e una funzione "test" e la variabile "test" deve essere sostituita; in questo caso lo sarebbe anchen la funzione che porta lo stesso nome.

Consiglio: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

Per progettare la sostituzione di indici:

  1. nel campo Sorgente della Replacement preview sono visualizzate tutte le variabili e le funzioni usate nell´immagine.
  2. Cliccate con il tasto sinistro del mouse sulla variabile o la funzione per la quale avete deciso di creare una regola di indicizzazione.
  3. La variabile/funzione viene inserita nell´area regola di indicizzazione nel campo sorgente e destinazione.
    in alternativa, potete inserire anche direttamente la variabile/funzione desiderata nel campo Sorgente nelle Regole di indicizzazione.
  4. Definite la regola di indicizzazione.
    La parte dinamica della regola viene inserita nel tipo particolare di parentesi che vedete di seguito: per es. {X01}.

    Esempio:

    la variabile sorgente Motor1.drehzahl viene sostituita da quella di destinazione Motor{X01}.drehzahl.
    Il carattere jolly X01 viene sostituito durante il Runtime dal valore corrispondente della variabile indice.
    La regola di sostituzione sarebbe in questo caso:

    Sorgente: Motor1

    Destinazione: Motor{X01}

  5. Inseritela nella lista delle regole di indicizzazione cliccando con il tasto sinistro del mouse su Aggiungi regola.
  6. In questa lista vengono visualizzate tutte le regole di indicizzazione impostate.
  7. Con i pulsanti con il simbolo della freccia, potete modificare la successione degli inserimenti.

    Attenzione: le sostituzioni vengono elaborate nella successione della loro rappresentazione nella lista!

  8. Le variabili che non sono presenti nell´immagine, ma che vengono usate nella sostituzione, possono essere inserite usando il pulsante Aggiungi variabile... nella finestra Variabili di indicizzazione.
  9. Le variabili inserite in questa lista vengono conservate sempre nella memoria in modo tale che non si verifichino delle attese inutili al momento dell'apertura dell'immagine.

Info Informazioni

Per il carattere sostitutivo * valgono le stesse regole di Sostituisci collegamenti'

attenzione Attenzione

Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi che non dispongono di un buon hardware ciò può portare a dei ritardi nel cambio immagine.
In un progetto di rete, le variabili indice dovrebbero essere settate sempre su DDE attivo.

Attribuzioni valide per diversi progetti

Se la destinazione si trova in un altro progetto rispetto alla sorgente, ciò può essere indicato dal sistema mediante il simbolo '#'.

Esempio Esempio

Sorgente: VAR_1

Destinazione: VAR_1 in Projekt_1

Perciò indicate come sorgente VAR_1 e come destinazione Projekt_1#VAR_1.

Sorgente: UNTERPROJEKT1#VAR_1

Destinazione: {X01}VAR_1

La variabile indice X01 è una variabile stringa e ha durante il Runtime il nome progetto incluso # come valore, per es. "UNTERPROJEKT4#".


Stampa report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Stampa report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Stampa report consente di stampare un report senza che sia necessario prima aprirlo. Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Stampa report
  3. verrà aperto il dialogo Filtro report
  4. Indicazione: le impostazioni della tab File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Stampa report; tutte le altre impostazioni le trovate nel capitolo Filtro report.
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Tab File

Parametri | Descrizione
Formato file | Selezione del file report (*.xrs) progettato nell’editor .
Proporre questo dialogo nel runtime | Attiva: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.
Con dialogo per annullare | Attiva: durante la preparazione del report per la stampa, appare un pulsante per annulare la stampa.
Leggi archivi dalla cartella di backup | Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Info Informazioni

Con la funzione Stampa report si possono leggere degli inserimenti archivio. Non sono possibili delle azioni di scrittura.


Esporta report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Esporta report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel funzionamento online con questa funzione un report può essere scritto nello sfondo su un file. Il file di esportazione viene salvato nella sottocartella \Export della cartella di progetto. (aprire da zenon: seleziona progetto, Ctrl+Alt+D stampa.) Si indicano come parametri di trasferimento i parametri file, il filtro ed il tempo.

La funzione Esporta report consente di esportare un report in un file senza che sia necessario prima aprirlo. Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Esporta report
  3. verrà aperto il dialogo Filtro report
  4. Indicazione: le impostazioni della tab File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esporta report; tutte le altre impostazioni le trovate nel capitolo Filtro report.
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Info Informazioni

Quando si esporta un report usando la funzione Esporta report, vengono esportate per le Unità di misura le unità cambiate. Le unità di base non sono interessate dall´export.

Tab File

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proporre questo dialogo nel runtime

Attiva: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

File di esportazione

Proprietà del file nel quale viene esportato il report.

Nome

Nome del file.
Al massimo 8 caratteri alfanumerici. Se non si indica nessun nome ed è disattivata la funzione "Assegna nome automaticamente", il sistema usa automaticamente il nome dummy.

Attenzione: l´uso di caratteri speciali può causare la perdita di dati.

Formato

Formato del file di esportazione.
  • TXT

File testo
  • XRS

file report di zenon
  • XML

File XML

Assegna nome automaticamente

Attiva: Il nome file viene generato automaticamente. Esso consta dell´identificazione breve, della data codificata e dell´estensione file selezionato.

Codificazione nome per assegnazione nome automatica

Codice | Significato
xx | Identificazione breve: 2 caratteri I due primi caratteri del nome assegnato alla voce "Nome", oppure quelli attribuiti dal sistema du.
JJ | Anno: a due cifre
MM | Mese: a due cifre
TT | Giorno: a due cifre
HH | Ora: a due cifre
MM | Minuto: a due cifre
SS | Secondi: a due cifre

Esempio

  • Il file di report Report viene esportato il 9/6/2010 alle 11:52 in formato XRS.
  • Nome file automatico: re100506091152.xrs

Info Informazioni

Con la funzione Esporta report potete solamente leggere gli inserimenti di archivio. Non sono possibili delle azioni di scrittura.


Esegui report

Manuale -> Reporting -> Generatore di rapporti -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Esegui report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Esegui report consente di eseguire automaticamente nel Runtime un report in background. Se una funzione di scrittura è progettata nella tabella, dei valori calcolati nel report possono essere automaticamente scritti negli Archivi oppure nell´immagine di processo.

Per configurare la funzione:

  1. create una nuova funzione.
  2. selezionate nella sezione Report Generator l´inserimento Esegui report
  3. verrà aperto il dialogo Filtro report

    Indicazione: le impostazioni della tab File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esegui report; tutte le altre impostazioni le trovate nel capitolo Filtro report.

  4. Selezionate le proprietà desiderate
  5. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Tab File

Parametri | Descrizione
Formato file | Selezione del file report (*.xrs) progettato nell’editor .
Proporre questo dialogo nel runtime | Attiva: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.
Con dialogo per annullare | Attiva: durante la preparazione del report per la stampa, appare un pulsante per annulare la stampa.
Leggi archivi dalla cartella di backup | Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Info Informazioni

Con questa funzione vengono eseguite nel report anche tutte le azioni di scrittura.


Gestione durante il runtime

Manuale -> Reporting -> Generatore di rapporti -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A Runtime i report vengono visualizzati, configurati e gestiti medianti i pulsanti progettati allo scopo. Durante il Runtime sono a disposizione i seguenti elementi di gestione:

Parametri

Descrizione

Inserisci modello..

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

Pulsanti per la gestione durante il Runtime.

Refresh

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report nel Runtime.

File

Seleziona file report e modifica le condizioni di filtro.

Esportare

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato nel Runtime (*.xrs).

Attenzione: Al momento del salvataggio del report, le formule le funzioni vengono sostituite dai valori attuali. Non sono più disponibili le funzioni in questi report (file.xrs). Non sarà più possibile neanche modificare questi report nell´Editor.

Raccomandazione: impostate i file originali di Report in modalità "protetti da scrittura" e salvate le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome

Il report viene salvato nel runtime con un nuovo nome (*.xrs), essendo sostituite le formule e funzioni dai valori attuali.

Leggere tutti i valori

Il driver legge di nuovo tutti i valori.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Scrivi valori selezionati

I valori selezionati vengono scritti sul driver.

Riga in su

Passare una riga più in alto

Riga in giù

Passare una riga più in basso

Colonna a destra

Spostarsi di una colonna a destra

Colonna a sinistra

Spostarsi di una colonna a sinistra

Pagina in su

Passare alla pagina precedente

Pagina in giù

Passare alla pagina successiva

Pagina a destra

Spostarsi di una pagina a destra

Pagina a sinistra

Spostarsi di una pagina a sinistra

Report

Elemento di controllo per la visualizzazione report

Report

Finestra per la visualizzazione dei report.

Profili filtro

Pulsanti per i profili filtro.

Selezione profilo

Visualizzazione dei profili filtro disponibili e inserimento di nuovi nomi profilo.

Salva

Salva l´impostazione attuale come profilo.

X (Salva)

Cancella il profilo selezionato.

Importazione

Esporta profili.

Esportazione

Importa profili.

Info Informazioni

come separatore decimale viene utilizzato un punto. Quando si inserisce un valore, si può usare sia il punto che la virgola. In caso si usi una virgola, sarà il sistema a modificare il separatore automaticamente.

Esempio: Se si digita 10,5, il risultato sarà 10.5


Filtro in caso di cambio immagine

Manuale -> Reporting -> Generatore di rapporti -> Gestione durante il runtime -> Filtro in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se aprite un´immagine del tipo Report esteso, viene visualizzato il seguente filtro.

Parametri

Descrizione

Filtro charge

Avete la possibilità di scegliere l´archivio desiderato fra quelli disponibili che vedete apparire a sinistra. A destra, invece, sono visualizzate le charge disponibili. Qui avete la possibilità di filtrare le charge.

Nome lotto

In questa colonna vengono visualizzati i nomi di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine alfabetico crescente o decrescente.

Nella parte inferiore dell´intestazione potete indicare una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

In questa colonna viene visualizzata la data di start di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di inizio verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di inizio, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di start

Disponibile solamente se indicate una data di inizio.

In questa colonna viene visualizzata l´ora di inizio di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di inizio manualmente.

Avvertenza: '*' sta per l´orario 0:00:00.

Data di fine

In questa colonna viene visualizzata la data della fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di fine verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di fine, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di fine

Disponibile solamente se indicate una data di fine.

In questa colonna viene visualizzata l´ora di fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di fine manualmente.

Avvertenza: '*' sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutte le cherge disponibili. Serve solo a visualizzare.

Info Informazioni

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

Info Informazioni

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.


Esempio Dati archivio nei report

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo esempio, create dei dati di archivio in un report. Per far ciò:

  1. aprite anzitutto un nuovo report utilizzando il menu contestuale e la voce Nuovo report.
  2. definite l´area titolo
  3. riempite il Settore dati
  4. impostate una Immagine del tipo Report e create una funzione


Area titolo

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area titolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´area titolo contiene nelle due prime righe:

  • testi come titoli per i dati
  • Data e ora
  • Logo delle ditta

L´area titolo viene formattata in modo tale da rimanere fissa nel caso di lunghi report e da non sparire dalla visuale quando si fa lo scroll nel documento.


Testi

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area titolo -> Testi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Inserite i seguenti testi come titoli per il report:

  • Time
  • Hall 1
    • Tank 1
    • Tank 2
  • Hall 2
    • Tank 1
    • Tank 2


Data ed ora

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area titolo -> Data ed ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Data e ora del report vengono progettati per le celle A1 e E1 con funzioni di report. Per far ciò:

  1. inserite in A1 e E1 la funzione =now().
  2. in entrambe le celle verrà adesso visualizzata la data attuale
  3. per far in modo che in E1 appaia l'ora anziché la data, dobbiamo modificare la formattazione delle celle
    1. selezionate la cella E1
    2. aprite il dialogo di formattazione usando il menu Formato/Celle/Numeri
    3. selezionate adesso la stringa di formattazione come mostra la seguente immagine

  4. il risultato:


Immagini come logo dell´azienda

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area titolo -> Immagini come logo dell´azienda

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le immagini nelle celle vengono trattate dal Report Generato non come contenuto della cella, ma come formattazione. Per questo motivo, la progettazione avviene anche attraverso la formattazione celle:

  1. importate l´immagine desiderata nel manager di progetto nel nodo File/Grafiche
  2. selezionate la cella E2 usando il tasto sinistro del mouse.
  3. aprite adesso con il tasto destro del mouse il menu contestuale del report e selezionate il comando Formattazione cella.
  4. nel box di dialogo passate alla pagina Tipo di cella.
  5. cambiate il tipo di cella in File grafico.
  6. selezionate l´immagine desiderata dalla lista a cascata di destra

  7. il risultato:


Settore titolo fisso nel caso di report di più pagine.

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area titolo -> Settore titolo fisso nel caso di report di più pagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avere sempre sotto controllo i titoli di riga e di colonna in report che comprendono più pagine, bisogna evitare che questi si muovano quando viene eseguito lo scroll all´interno del report. A questo scopo, definite delle aree di titolo fisse.

Per fissare i titoli riga:

  1. selezionate nel menu Formato il comando Report
  2. si apre il dialogo di configurazione
  3. aprite la tab Colonne

    Oltre al numero complessivo delle colonne, potete indicare in questa sede anche il numero delle Colonne statiche . Il numero fissato di colonne statiche non viene più considerato nell´operazione di scroll.

  4. inserite adesso alla voce Colonne staticheun 1.
  5. poi passate alla tab Righe:.

    I nostri titoli si trovano nelle righe da 1 a 4.

  6. inserite adesso alla voce Colonne statiche un 4.
  7. confermate tutte le modifiche cliccando sul pulsante OK


Area dati

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´area dati:

  • progettate la visualizzazione di Tempo e Valori
  • fate in modo che vengano visualizzati Somma e Media valori


Tempo

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area dati -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella colonna A viene rappresentato il tempo dei valori di archivio visualizzati.

Info Informazioni

Come base prendiamo un archivio ciclico. In questo modo, gli inserimenti di tutte le variabili avvengono contemporaneamente ed è sufficiente una colonna tempo per tutti gli inserimenti.

Per progettare il tempo:

  1. selezionate la cella A5.
  2. scegliere nel menu Formato il comando Assistente alle funzioni.
  3. si apre l´assistente alle funzioni

  4. selezionate adesso la funzione archive cliccando due volte.
  5. il pulsante Archivio viene visualizzata nella parte inferiore del dialogo

  6. cliccate su Archivio.
  7. si apre il dialogo che serve alla selezione di un archivio:

  8. cliccate su Nuovo.
  9. verranno visualizzati gli archivi impostati nel nodo Server archivi
  10. scegliete le variabili come mostrato nello screenshot

  11. cliccate su Salva
  12. scegliete la variabile H1_Tank1

  13. confermate la Vostra selezione cliccando su OK
  14. riapparirà l`assistente alle funzioni
  15. selezionate adesso il parametro tempo cliccando due volte

  16. selezionate adesso il parametro giù cliccando due volte
  17. la funzione è adesso pronta all´uso (=archive(1,"tempo","giù")

  18. chiudete l´assistente cliccando sul pulsante OK

Nella colonna A verrà inserito il tempo dell´archiviazione variabili a partire dalla riga 5 procedendo verso il basso.

Info Informazioni

I parametri devono essere selezionati sempre cliccando due volte. Solo dopo che la funzione è stata terminata con l´aggiunta di una grappetta nell´anteprima e non vengono più proposti degli ulteriori parametri, è completato il processo di parametrizzazione della funzione stessa. Se si clicca sul pulsante OK prima che tutti i parametri siano stati selezionati, l´assistente si chiude prima che la funzione sia stata configurata per intero!


Valori

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area dati -> Valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I valori per i serbatoi (Tanks) nei padiglioni (Halle) 1 e 2, li progetterete in modo analogo alla confogurazione del tempo. Tenete presente le seguenti differenze:

  • Le variabili archivio non devono più essere create. Esistono già e le si può selezionare immediatamente. Assegnate a ogni serbatoio (Tank) la variabile corrispondente.
  • Al posto del parametro tempo, selezionate valore.

Copia funzione

Non appena avete impostato una funzione, potete copiarla in un´altra cella e poi editarla nel modo desiderato:

Per far ciò:

  1. selezionate la cella da modificare
  2. cliccate poi nella riga di modifica
  3. nella funzione che adesso viene visualizzata, i numeri di referenza rimandano alle corrispondenti variabili di archivio, così come esse vengono assegnate automaticamente nella selezione archivio al momento in cui viene creata una funzione.
  4. sostituite, perciò, l´1 come primo parametro nella colonna C con un 2
    , nella colonna D con un 3
    e nella colonna E con un 4


Somma e media valori

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Area dati -> Somma e media valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per questo report, progettate adesso la visualizzazione di somma e valore medio.

A questo scopo dovete stabilire quante righe sono necessarie per gli inserimenti archivio. Ciò lo impostate già nel Generatore di report. Il numero degli inserimenti nella lista dipende dalle impostazioni di filtro con cui il report verrà aperto in seguito (funzioni Esegui Report, Stampa Report, Esporta Report) .

Nel nostro esempio sceglieremo un intervallo di due minuti. Visto che il nostro archivio registra i valori in un ciclo di cinque secondi, nel nostro report ci saranno 24 inserimenti. Perciò:

  1. inserite nella cella A29 il testo somma:
  2. inserite nella cella A30 il testo Medio:
  3. Nella cella B29 inserite la funzione =sum(B5:B25)
  4. nella cella B30 inserite la funzione =avg(B5:B25)
  5. copiate la cella B29 dopo C29, D29 e E29
  6. copiate la cella B30 dopo C30, D30 e E30
  7. salvate il report con il nome Archiv.xrs

Info Informazioni

Quando inserite le funzioni, potete digitare la denominazione della cella, oppure cliccare sulla cella in questione con il mouse.

Se copiate nel Generatore di report delle funzioni con riferimenti celle, questi ultimi vengono adattati automaticamente.


Visualizza report nel Runtime.

Manuale -> Reporting -> Generatore di rapporti -> Esempio Dati archivio nei report -> Visualizza report nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter vedere il report nel Runtime, avete bisogno di quanto segue:

  • un´immagine del tipo Report
  • una funzione di cambio immagine

Crea tipo d'immagine Report

Per creare un tipo di immagine Report:

  1. create una nuova immagine dal nome Report
  2. selezionate Report come tipo di immagine
  3. selezionate il modello MAIN
  4. cliccate nella nuova immagine
  5. scegliere nel menu Elementi di controllo il comando Default
  6. integrate, eventualmente, l´immagine inserendo altri elementi di controllo di cui avete bisogno

Crea funzione

Create una funzione Cambio immagine, per aprire l´immagine nel Runtime Per far ciò:

  1. inserite nell´immagine di start un nuovo pulsante
  2. denominatelo Report
  3. navigate per raggiungere il nodoFunzioni

    create una nuova funzione.

  4. selezionate Cambio immagine
  5. selezionate l´immagine Report
  6. si apre il filtro report

  7. cliccate sul pulsante Formato-File
  8. scegliete Archiv.xrs
  9. aprite la tab Tempo

  10. Per il nostro esempio, settate
    1. il formato tempo su Tempo relativo e
    2. il tempo sul valore 2 minuti.

    Ulteriori informazioni sul filtro tempo le trovate nella parte della guida concernente la Gestione allarmi , nel capitolo Filtro tempo

  11. chiudete il filtro cliccando su OK
  12. assegnate la funzione al pulsante progettato
  13. avviate la funzione nel Runtime


Report Viewer

Manuale -> Reporting -> Report Viewer

Il Report Viewer serve a visualizzare i report RDL, i dati archivio, quelli AML e quelli CEL, nonché i valori online. Mediante due intervalli tempo configurabili, si possono confrontare anche due intervalli storici.

I file RDL che rappresentano il modello di report per il Runtime, vengono creati e modificati nell´Editor. I report standard forniti con il software, mettono a disposizione degli utenti 7 dataset predefiniti. Altri dataset possono essere creati liberamente; solamente lo schema tabelle per le quattro categorie di dati è predefinito.

Nella funzione di cambio all´immagine del tipo Report Viewer vengono definite le sorgenti dati che riforniscono nel Runtime i dataset fissati nel file RDL. Per ognuno dei dataset usati nel file RDL deve essere creato nella funzione Cambio immagine un dataset con lo stesso nome e la stessa sorgente dati. A seconda del tipo di dataset, si possono definire le variabili sorgente e i criteri di filtro.

Tipiche fasi di progettazione:

  1. creare un nuovo File di definizione Report o importarne uno già esistente
  2. creare un´immagine del tipo Report Viewer
  3. creare una Funzione di cambio immagine e configurare i Dataset
  4. configurare il file RDL
  5. richiamare nel Runtime la funzione mediante pulsante o menu


Progettazione nell'editor

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter usare il Report Viewer nel Runtime, dovete fare quanto segue nell`Editor:

  1. creare un tipo d'immagine Report Viewer
  2. creare un file RDL o importarlo se non ce n´è nessuno
  3. impostare una funzione di cambio all´immagine del tipo Report Viewer
  4. configurare un dataset nel cambio lingua
  5. adattare il File di definizione Report (RDL) al dataset definito in zenon
  6. inserire un pulsante nell´immagine di partenza o nell´immagine menu per il richiamo del Report Viewer nel Runtime

Cartella per il file di definizione Report (RDL)

I file RDL vengono salvati nel nodo della struttura ad albero del progetto File/Report Viewer. I file RDL esistenti possono essere importati in questo nodo, dove potranno essere poi modificati. In alternativa, si può procedere alla creazione di nuovi file.

Menu contestuale; Modelli report

Punto di menu | Azione
Report; Nuovo file di definizione | Crea un nuovo file RDL sulla base di default.rdl.
Report; apri file di definizione | Apre il software connesso ai file RFL al fine di modificare un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Torna all'elemento originario | Nell´ambito degli elementi collegati, ritorna a quello partendo dal quale si era passati al modello report. Questo comando è presente nel menu contestuale solamente se ci sono degli elementi collegati.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Importa file di definizione Report esistente | Apre il dialogo che serve ad importare un file di definizione Report già esistente. Questi file devono essere del tipo RDL 2.0.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Attiva la guida online


Crea tipo d'immagine Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Crea tipo d'immagine Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un tipo di immagine Report Viewer:

  1. impostate una nuova immagine
  2. selezionate nella lista a cascata il tipo di immagine speciale Report Viewer
  3. nominate l´immagine
  4. scegliete nel menu Elementi di controllo il comando Inserisci modello
  5. gli elementi standard verranno creati e piazzati automaticamente

Parametri | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra di report | Funzioni e profili per il report.
Aggiorna: | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati.
Stampa | Stampa il report sulla stampante definita per valori e protocolli.
Crea PDF | Salva il report attualmente visualizzato come file PDF nella Cartella definita per l´export.


Cambio ad immagine del tipo Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare il Report Viewer nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report Viewer:

  1. create una nuova immagine del tipo Report Viewer
  2. selezionate nel nodo Funzioni del menu contestuale, la voce Nuova Funzione
  3. selezionate la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report Viewer
  5. viene visualizzato il Filtro report
  6. selezionate il file RDL
  7. definite il filtro tempo
  8. definite i Datasets desiderati
  9. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime
  10. modificate i Datasets nel file RDL in modo corrispondente alle Vostre impostazioni nel cambio immagine

Parametri

Descrizione

File per definizione report

File RDL che viene usato per la definizione report. Questo file deve essere nel nodo File/Modelli di report. Un clic sul comando ... apre il dialogo che serve alla selezione del file.

Datasets

Visualizzazione dei Datasets definiti. La lista contiene:

  • Nome dataset
  • Origine dati
  • Filtro tempo:
    - Filtro tempo 1
    - Filtro tempo 2

Nuovo

Apre il Dialogo per la creazione di una nuova definizione Report.

Modifica

Apre il Dialogo per la modifica della definizione dell´elemento selezionato.

Elimina

Cancella l´elemento selezionato e la sua definizione dalla lista.

OK

Riprende e accetta tutte le modifiche e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Apre la guida online

Filtro tempo

Sono a disposizione due filtri tempo. In tal modo si possono confrontare due aree storiche.

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica ciclo temporale nell´Editor.
    Vengono utilizzati intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. . Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

I dettagli sulla configurazione dei filtri tempo li trovate nella guida concernente la Gestione allarmi, nel capitolo Tempo.

Indicazione: se si setta l´opzione Nessun filtro tempo come tipo di filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti dal 1/ 1/ 2000.


Dialogo Nuovo Dataset

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Dialogo Nuovo Dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare un nuovo dataset:

  1. definite nel Cambio ad un´immagine del tipo Report Viewer il file RDL che ne è alla base
  2. cliccate sul pulsante Nuovo
  3. si apre il dialogo per la creazione del dataset
  4. selezionate la sorgente dati desiderata
  5. confermate la Vostra selezione cliccando su OK
  6. si apre il Dialogo per la configurazione del tipo definito

Parametri

Descrizione

Origine dati

Selezione della sorgente dati:

  • Lista di informazioni allarmi
  • Lista Eventi Cronologica
  • Valori di archivio
  • Valori Online

OK

Conferma la selezione e apre il Dialogo per la configurazione del tipo.

Annulla

Chiude il dialogo senza nuova configurazione.

Guida

Apre la guida online


Datasets nel Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le impostazioni per i diversi dataset dipendono dal tipo della sorgente dati da configurare.

  • Valori Online
  • Dati AML
  • Dati CEL
  • Dati Archiv


Valori Online

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valori Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Valori Online

Parametri

Descrizione

Nome dataset

Nome del dataset:

  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali.

Variabili

Lista delle variabili selezionate con:

  • Nome
  • Identificazione
  • Indirizzo
  • Progetto

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Rimuovi

Cancella la variabile selezionata dalla lista.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Dati AML

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Dati AML

Parametri

Descrizione

Nome dataset

Nome del dataset:

  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali.

Filtro tempo

Scelta del filtro di tempo. Può essere usato per confrontare due periodi di una sorgente dati:

  • Filtro tempo 1
  • Filtro tempo 2

Tab Generale

Impostazioni per:

  • Filtro variabili
  • Tipo allarmi
  • Origine dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Gestione allarmi, capitolo Generale.

Tab Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Tab Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

Tab Progettazione impianto

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Dati CEL

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Dati CEL

Parametri

Descrizione

Nome dataset

Nome del dataset:

  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali.

Filtro tempo

Scelta del filtro di tempo. Può essere usato per confrontare due periodi di una sorgente dati:

  • Filtro tempo 1
  • Filtro tempo 2

Tab Generale

Impostazioni per:

  • Filtro variabili
  • Origine dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Lista eventi cronologica, capitolo Generale.

Tab Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Tab Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

Tab Progettazione impianto

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Valori di archivio

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valori di archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Valori di archivio

Parametri

Descrizione

Nome dataset

Nome del dataset:

  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali.

Filtro tempo

Scelta del filtro di tempo. Può essere usato per confrontare due periodi di una sorgente dati:

  • Filtro tempo 1
  • Filtro tempo 2

Archivio - Nome variabile

Lista delle variabili selezionate.

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Rimuovi

Cancella la variabile selezionata dalla lista.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


File definizione Report

Manuale -> Reporting -> Report Viewer -> File definizione Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file definizione Report (RDL) devono essere del tipo 2 per poter essere usati nel Report Viewer di zenon. I file RDL del tipo 3 possono essere solamente visualizzati, ma le features non disponibili nella versione 2, appariranno vuote.

Per creare dei propri dataset o per modificare quelli esistenti, è necessario un software specifico per gestire i file RDL. A questo scopo, avete a disposizione tre opzioni:

  • Microsoft Business Intelligence Development Studio:

    viene fornito con COPA-DATA e installato con zenon.

    Il Business Intelligence Development Studio consiste di MicrosoftVisual Studio 2008 con ulteriori tipo di progetto, che sono disponibili solamente per SQL Server Business Intelligence. Il Business Intelligence Development Studio è l´ambiente primario per progetti business services come il reporting. Vengono messi a disposizione dei modelli per la creazione degli oggetti necessari per le soluzioni Business Intelligence, nonché designer, tool e assistenti per modificare questi oggetti.

  • Microsoft Report Builder 2.0:

    Lo si può scaricare dal sito dei downloads di Microsoft. Mette a disposizione un wizard per la configurazione dei dataset; lo consigliamo a quegli utenti che non dispongono di conoscenze specifiche concernenti la configurazione di file RDL.
    Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
    Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

  • Software di altri produttori:

    Per modificare i file di definizione Report, si può usare anche un software di altri produttori.

Se sono installati sia il MS Report Builder che il Microsoft Business Intelligence Development Studio, si può scegliere in un dialogo quale tool si desidera usare.

attenzione Attenzione

Tenete presente:

  • i file RDL dovrebbero essere creati e modificati sempre usando lo stesso tool.
  • Si deve evitare di mescolare le versioni 2 e 3 dei file RDL.
  • Se si è salvato un file RDL con il Microsoft Business Intelligence Development Studio 2008R2, non lo si potrà modificare con il MS Report Builder 2.0.

DataSource

Le proprietà del datasource (sovraordinato ai dataset) non possono essere modificate.

Le proprietà standard sono:

Parametri | Descrizione
Nome | DataSource1
Connection | Use a connection embedded in my report
Select connection type | XML


Default.rdl

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Default.rdl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il default.rdl viene richiamato se nell´Editor viene creato un nuovo file RDL. Nel default.rdl fornito con il software, ci sono già 7 dataset definiti che possono essere provvisti di dati:

  • Valori Online
  • AML con filtro tempo 1
  • AML con filtro tempo 2
  • CEL con filtro tempo 1
  • CEL con filtro tempo 2.
  • Valori archivio con filtro tempo 1
  • Valori archivio con filtro tempo 2

Se c`è bisogno di ulteriori dataset, li si può creare e gli si può assegnare nomi a piacere. Se è necessario un numero minore di dataset, quelli non necessari dovranno essere cancellati dal file RDL. Il nome del dataset devono corrispondere con il nome dataset nel Cambio immagine.

Indicazione: lo Schema tabella per le 4 categorie dati è predefinito e non deve essere modificato.


Creare e modificare file RD con MS Report Builder 2.0

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il MS Report Builder può essere scaricato gratuitamente dal sito di download di Microsoft.
Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

Installate il Report Builder e controllate se è collegato correttamente a zenon.

Crea file RDL

Per creare un nuovo file RDL:

  1. selezionate nell´Editor di zenon nel nodo File/Report Viewer del menu contestuale o nella barra simboli, il comando Nuovo file definizione Report. il nuovo file definizione Report viene creato sulla base di un file di default.
  2. Cliccando du volte sul file, avviate il Report Builder.

  3. Adattate i dataset alla configurazione nella funzione di cambio lingua nel modo seguente:
    • rinominandoli: i nomi dei dataset devono coincidere esattamente con quelli dei dataset nel cambio immagine
    • cancellandoli: i dataset che non hanno un´esatta corrispondenza nel cambio immagine e, perciò, non possono essere riforniti di dati, causano l´emissione di messaggi di errore nel Runtime
    • crearne dei nuovi: i dataset che sono stati configurati nel cambio immagine, ma che non hanno una corrispondenza nel file RDL, causano l´emissione di messaggi di errore nel Runtime.
  4. Scegliete nel menu Insert il comando Table -> Table Wizard.
  5. Il Wizard verrà avviato.
  6. Selezionate il dataset desiderato

  7. Piazzate i campi come desiderate.

  8. Cliccate su Next e selezionate il layout.

  9. Cliccate su Next e selezionate lo stile della visualizzazione.

  10. Cliccate su Finish.
    Il dataset viene visualizzato con la tabella pronta.

  11. Cancellate la tabella-esempio.
  12. Piazzate la nuova tabella nel punto desiderato
  13. Cambiate il titolo a piacere.

  14. Ripetete l´operazione con tutti i dataset da configurare.
  15. Salvate il file RDL.

Risultato nel Runtime:

Modifica file RDL

Per modificare un file RDL, cliccate due volte sul file in questione, oppure scegliete il comando Apri file definizione Report. Per modificare un file RDL, seguirete una procedura analoga a quella che avete usato per crearne uno.


Gestire dataset

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0 -> Gestire dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel Report Builder potete fare quanto segue con i dataset:

  • li potete rinominare
  • li potete cancellare
  • crearne dei nuovi

Il numero e il nome dei dataset di un file RDL devono sempre corrispondere con i dataset definiti nel cambio immagine.

attenzione Attenzione

Tenete presente:

  • la datasource non può essere editata.
  • Le tabelle non possono essere editate.

Rinomina dataset

Per rinominare un dataset:

  1. c poi con il tasto destro del mouse sul dataset
  2. selezionate nel menu contestuale il comando Dataset Properties
  3. si apre il dialogo per l´impostazione delle proprietà del dataset
  4. assegnate il nome desiderato nella proprietà Nome

    Indicazione: il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. lasciate immutate tutte le altre impostazioni
  6. chiudete il dialogo cliccando su OK.

Cancellare dataset

Per cancellare un dataset:

  1. selezionate il dataset da cancellare nella finestra Report Data al di sotto della DataSource

  2. selezionate nel menu contestuale il comando Delete
  3. il dataset viene cancellato dopo una richiesta di conferma

Crea un nuovo dataset

Per impostare un nuovo dataset:

  1. cliccate con il tasto destro del mouse sulla DataSource
  2. selezionate nel menu contestuale Add Dataset

  3. viene creato un nuovo dataset e si apre la finestra delle proprietà

  4. Assegnate il nome desiderato.

    Indicazione: il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. aggiungete la query adeguata; avete tre possibilità di farlo:
    1. Query Designer: apre il dialogo che consente di inserire la query manualmente
    2. Import: importa da un file RDL esistente
    3. copia manuale da un dataset esistente: aprite il Quell-Dataset corrispondente, copiate il contenuto della query, inseritelo nel campo Query nel nuovo Dataset
  6. chiudete il dialogo cliccando su OK.

Importa query

Per importare una query da un file RDL esistente:

  1. cliccate nel dialogo delle proprietà del dataset sul pulsante Import
  2. si apre l´assistente per la selezione file
  3. cercate e aprite il file RDL desiderato
  4. il dialogo di import viene visualizzato

  5. selezionate il dataset desiderato

  6. cliccate su Import
  7. la query del Quell-Dataset viene inserita nel dataset attualmente aperto


Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Microsoft Business Intelligence Development Studio viene fornito e installato con zenon.

Per creare e modificare file RDL con Microsoft Business Intelligence Development Studio, dovete procedere il linea di massima come nel caso di Report Builder 2.0.

Ci sono soprattutto le seguenti differenze:

  • per far in modo che sia possibile modificare il report, bisogna anzitutto creare un nuovo progetto del tipo Report Server Project e una nuova cosiddetta Solution in Microsoft Business Intelligence Development Studio.
    Essi vengono creati automaticamente quando si apre il file RDL con un doppio clic. Quando si chiude il Business Intelligence Development Studio, potete salvare il progetto e la solution nella cartella temporanea; poi il sistema non vi inviterà più a farlo.
    I dataset e il report possono essere adesso modificati in Microsoft Business Intelligence Development Studio.
  • Nel Microsoft Business Intelligence Development Studio non esiste un wizard per le tabelle, il che significa che le tabelle dei dataset devono essere configurate manualmente.
  • Non viene eseguito nessun controllo della versione:
    così è possibile aggiungere delle features della versione 3 a file RDL della versione 2. Esse, però, non verranno visualizzate nel Runtime.
  • Nel Microsoft Business Intelligence Development Studio, i dataset sono separati dalle datatsources. La datasource non deve essere modificata.

Istruzione

Un´ampia introduzione all´uso del Microsoft Business Intelligence Development Studio la trovate online sulla website di Microsoft.

Lingua | Link
Inglese: | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Tedesco: | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Francese: | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italiano: | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Cancella dataset

Nel Microsoft Business Intelligence Development Studio i dataset non necessari devono essere cancellati, perché essi possono causare problemi durante il Runtime.

Per cancellare dei dataset:

  1. cliccate su View.
  2. selezionate Report Data
  3. passate a Datasets
  4. cancellate tutti i dataset non necessari


Datasets Definizione

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Datasets Definizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le colonne dei quattro tipi di dataset sono definite in modo fisso.

Indicazione: se report zenon Analyzer devono essere riutilizzati nel Report Viewer, vale quanto segue:

  • i testi suscettibili di cambio lingua sono già tradotti
  • valori con unità intercambiabile sono espressi in un’unità secondaria
  • i data/ora corrispondono all´ora locale del computer che gestisce il processo

Definizione Dataset AML

Nome della colonna | Tipo di dati | Significato
PROJECT | Stringa | Nome del progetto.
VARIABILE | Stringa | nome della variabile.
IDENTIFICATION | Stringa | identificazione della variabile.
TEXT | Stringa | Testo dell´inserimento.
TIMECOMES | Date | Momento della comparsa dell´allarme.
TIMEGOES | Date | Momento.
TIMEACKN | Date | Momento del ripristino.
TIMEREACT | Date | Momento della riattivazione.
COUNTREACT | Integer | Numero di riattivazioni.
STATEREACT | Integer | Stato della riattivazione.
STATUSFLAGS | Integer | Bit di stato.
VALUE | Float | Valore della variabile.
UNIT | Stringa | Unità di misura.
COMMENT | Stringa | Commento dell´utente.
CLASS | Stringa | Classe allarmi.
GROUP | Stringa | Gruppo dallarmi.
USER | Stringa | nome dell’utente.
COMPUTER | Stringa | Nome del computer.

Definizione Dataset CEL

Nome della colonna | Tipo di dati | Significato
PROJECT | Stringa | Nome del progetto.
VARIABILE | Stringa | nome della variabile.
IDENTIFICATION | Stringa | identificazione della variabile.
TEXT | Stringa | Testo dell´inserimento.
TIMECOMES | Stringa | Momento della comparsa dell´evento.
STATUSFLAGS | Integer | Bit di stato.
VALUE | Float | Valore della variabile.
UNIT | Stringa | Unità di misura.
COMMENT | Stringa | Commento dell´utente.
CLASS | Stringa | Classe allarmi.
GROUP | Stringa | Gruppo dallarmi.
USER | Stringa | nome dell’utente.
COMPUTER | Stringa | Nome del computer.

Definizione Dataset ARCHIVIO

Nome della colonna | Tipo di dati | Significato
PROJECT | Stringa | Nome del progetto.
ARCHIVE | Stringa | Nome dell'archivio.
VARIABILE | Stringa | nome della variabile.
IDENTIFICATION | Stringa | identificazione della variabile.
CHANNELSPEC | Stringa | Variabile compreso tipo di compressione.
TIMESTAMP | Stringa | Data e ora.
STATUSFLAGS | Integer | Bit di stato.
VALUE | Float | Valore della variabile.
UNIT | Stringa | Unità di misura.
STRVALUE: | Stringa | Valore come stringa.

Dataset Definition ONLINE

Nome della colonna | Tipo di dati | Significato
PROJECT | Stringa | Nome del progetto.
VARIABILE | Stringa | nome della variabile.
IDENTIFICATION | Stringa | identificazione della variabile.
TIMESTAMP | Stringa | Data e ora.
STATUSFLAGS | Integer | Bit di stato.
VALUE | Float | Valore della variabile.
UNIT | Stringa | Unità di misura.
STRVALUE: | Stringa | Valore come stringa.


Gestione durante il runtime

Manuale -> Reporting -> Report Viewer -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A Runtime, l´immagine del tipo Report Viewer viene aperta tramite una funzione di cambio immagine. A seconda di quanto fissato in fase di configurazione, possono essere visualizzati report per AML, CEL e valori online. Se avete progettato le funzioni corrispondenti, questi report:

  • possono essere attualizzati: Carica di nuovo definizione report e dati e visualizza report
  • possono essere filtrati: definisci filtri e salvali oppure cancellali
  • possono essere stampati: sulla stampante definita per valori e protocolli
  • possono essere esportati: come file PDF nella cartella di export definita

Parametri | Descrizione
Aggiorna: | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati. Dopo la modifica del file di report nell´Editor, l´immagine deve essere aperta di nuovo, un reload non è sufficiente.
Stampa | Stampa il report sulla stampante definita per valori e protocolli.
Esportazione | Salva il report attualmente visualizzato come file PDF nella Cartella definita per l´export.
Profili filtro | Le impostazioni filtro che possono essere salvate dall'utente nel runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo.
X (Salva) | Cancella il profilo selezionato.
Lista report | Visualizza i report definiti nella Funzione di cambio lingua. Si può effettuare una ricerca all´interno di questa lista. Le liste particolarmente lunghe vengono suddivise in più pagine.

Navigazione, zoom e ricerca

La barra superiore del report mette a disposizione degli elementi che consentono di:

  • la navigazione
  • lo zoom
  • la ricerca

Parametri

Descrizione

Navigazione pagine

Mostra il numero di pagine e quella attuale. Consenta la navigazione all´interno del documento tramite

  • tasti freccia
  • selezione di una deerminata pagina

Zoom

Selezione di un livello zooom fra quelli proposti dalla lista a cascata:

  • Page Width (larghezza della pagina)
  • Whole Page (pagina intera)
  • 500%
  • 200%
  • 150%
  • 100% (default)
  • 75 %
  • 50 %
  • 25%

la ricerca

Inserimento di una chiave di ricerca nell´apposito campo.

  • Find: mostra la prima corrispondenza di testo
  • Next: passa alla prossima corrispondenza di testo

Non possono essere usate delle wildcard.


Trattamento degli errori

Manuale -> Reporting -> Report Viewer -> Trattamento degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Segnalazioni di errore in popup

Messaggio di errore | Significato
DataTable missing for DataSet: <DatasetName> | Un dataset viene usato nella definizione report, ma nella configurazione non c´è nessuna tabella con questo nome. Il report non può essere visualizzato.
DataSet not used for DataTable: <TableName> | È stata definita una tabella, ma la definizione report non usa questo nome per un dataset. Questo messaggio appare quando il sistema constata che manca una tabella.


Rete

Manuale -> Rete

Le reti di zenon possono essere impostate e configurate in modo veloce e sicuro.

zenon in rete Vi consente:

  • la realizzazione di sistemi distribuiti (decentralizzazione)
  • la possibilità di lavorare nello stesso tempo su diverse stazioni (vedi Engineering distribuito)
  • accesso completo alla progettazione e al Runtime di diversi calcolatori
  • possibilità di usare Webserver e Webclient per un accesso mobile
  • visione d´insieme da tutte le postazioni di lavoro (delle azioni, come il ripristino di allarmi su una postazione di lavoro, sono visibili anche dalle altre).
  • protocolli e archiviazione centrale

Con la sua Topologia di rete, zenon supporta Client-Server, Multi-Server e Multi-Client-Multi-Server.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Semplice gestione della rete di zenon

La raffinata funzionalità di rete di zenon consente di usare dei progetti su diversi server e di creare in modo molto efficiente delle complesse Strutture di rete. Le singole stazioni possono essere configurate in modo tale che siano visibili solamente i contenuti di progetto che sono necessari per lo svolgimento del lavoro in un determinato posto. L´Editor di zenon aiuta gli utenti a gestire la rete.

L´integrata Gestione della topologia rappresenta in termini grafici le relazioni dei singoli progetti con i server corrispondenti. Una routine di controllo verifica la struttura configurata per saggiarne la completezza e scoprire eventuali errori di configurazione. Gli errori di progettazione vengono scoperti rapidamente. Con le funzioni dei nodi di rete, zenon controlla anche se la topologia di rete scelta può funzionare.

Info Informazioni

Se avete a che fare con dei progetti di rete, tenete presente su quali calcolatori i moduli e le funzioni vengono gestiti ed eseguiti.

WAN

Nell’ambito di una rete, zenon trasmette spontaneamente dati in modo default – il che lo rende ideale per applicazioni WAN. A seconda della configurazione, si raccomanda anche di limitare il traffico watchdog fra client e server. La linea di comunicazione tra client e server può essere interrotta automaticamente. I router stabiliscono una comunicazione solo quando uno scambio dati è veramente necessario.

Web Server

Il webserver di zenon consente l´accesso al Runtime via Intranet o Internet. A questo scopo non è necessario nessun adattamento del progetto. L´accesso avviene tramite il webclient. Esso offre lo stesso Look & Feel del Runtime di zenon. zenon WEB Server è disponibile come:

  • zenon WEB Server: pura funzione di osservazione
  • zenon WEB Server Pro: completa funzione di monitoraggio e gestione. È possibile accedere direttamente ai processi tramite il WEB.


Requisiti

Manuale -> Rete -> Requisiti

Un requisito per il funzionamento della rete di zenon è una rete Windows funzionante. Il fatto che il calcolatore di rete appaia in Windows Explorer non basta a garantire il funzionamento della rete di zenon.

Generale

I seguenti presupposti fondamentali devono essere soddisfatti:

  • TCP/IP come protocollo di rete.
  • Risoluzione nome funzionante, a scelta via DNS, WINS o file HOST locali.
  • TCP Port 1100 libera:
    Quando viene caricato un progetto di rete, il Runtime di zenon avvia automaticamente il servizio di rete zenNetSrv. Questo programma apre la Port 1100. Per questo motivo essa deve essere raggiungibile da un apparecchio remoto e non deve essere bloccata da un firewall.

Le reti di zenon funzionano in modo sicuro con questi sistemi operativi:

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows Server 2003/2008

IPv6

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento duale. L´impostazione viene effettuata tramite:

  • Network configuration in Startup Tool
    oppure
  • nello zenon6.ini

Se questa impostazione viene modificata, tutti i processi dizenon in corso devono essere riavviati. Ciò riguarda in particolare zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione; esse usano sempre IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

attenzione Attenzione

IPv6 funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

Port usate

Per la comunicazione all’ interno di zenon vengono utilizzate esclusivamente porte TCP, e non porte UDP. zenon ha bisogno delle seguenti port in rete:

Servizi | File | Compito | Porta TCP
Servizio di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100
Transportservice | zenSysSrv.exe | Trasmissione dati tramite trasporto remoto (editor) e server di diagnosi. | 1101
zenon Webserver | zenWebsrv.exe | Realizzatore di protocollo fra WebClient e Runtime | 1102

Controlla presupposti

Risoluzione nome

Per controllare la risoluzione nome:

  1. avviate la riga comando di Windows (cmd.exe)
  2. eseguite il seguente comando: ping RECHNERNAME
  3. se la risoluzione nome è corretta, otterrete l´indirizzo IP del calcolatore con Runtime come risposta, altrimenti sarà visualizzata una segnalazione di errore

Porta TCP

Per controllare se la TCP Ports 1100 è raggiungibile:

  1. avviate il Runtime con un progetto di rete su un calcolatore remoto:
    in tal modo, il programma zenNetSrv.exe verrà avviato e laTCP Port 1100 verrà aperta.
  2. avviate la riga comando di Windows (cmd.exe)
  3. eseguite il seguente comando: telnet RECHNERNAME 1100
  4. Quando il sistema incomincia ad instaurare la connessione, la finestra della riga comandi diventa nera.
    (Chiusura della riga di comando: comando Chiudi nel menu contestuale oppure clic su X della finestra di programma), altrimenti appare una segnalazione di errore.

Indicazione: sotto Windows Vista/7, dovete prima installare il comando Telnet-. Delle indicazioni su questo tema le trovate nella guida concernente il sistema operativo (Cerca: Telnet).


Sincronizzazione del tempo in rete

Manuale -> Rete -> Requisiti -> Sincronizzazione del tempo in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di progetti basati sulla rete, tutti i calcolatori devono lavora in rete in modo sincrono. La necessaria sincronizzazione viene effettuata automaticamente da zenon.

In una topologia con ridondanza circolareo in presenza di più server, è meglio usare la sincronizzazione del tempo mediante DFC (orologio gestito via radio) o i comandi di Windows. In questo caso, si deve procedere a disattivare la sincronizzazione tempo automatica in zenon.

attenzione Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, nessun file viene più sincronizzato.

Disattiva sincronizzazione tempo automatica in zenon

Se si vuole attivare o disattivare la sincronizzazione tempo manualmente, è necessario effettuare un inserimento corrispondente nello zenon6.ini.

[Netz]

TIMESYNCH=1 -> sincronizzazione tempo automatica attiva (default)

TIMESYNCH=0 -> sincronizzazione tempo automatica disattivata

Esempio Esempio

[Netz]

TIMESYNCH=0

sincronizzazione tempo esterna via sistema operativo

Se la sincronizzazione tempo automatica è stata disattivata in zenon, la sincronizzazione può avvenire tramite il sistema operativo. Per questo scopo bisogna specificare un server del tempo (con o senza DCF77) che gestisce la sincronizzazione tempo degli altri calcolatori.

Nella topologia classic Client Server/Standby il server attuale è il Master orario attivo. Esso dovrebbe realizzare un continuo update con DCF (orologio gestito via radio) o i comandi Windows Time. Il client prende l'ora attuale dal server (in dipendenza dai tempi di Timeout impostati) e sincronizza sulla base di tali dati proprio orologio. La comunicazione avviene tramite SNTP (System Network Time Protokoll) che tiene in considerazione il tempo di delay della trasmissione.

Info Informazioni

Watchdog

La sincronizzazione tempo avviene periodicamente sulla base del tempo di timeout impostato.

L´impostazione standard di 30 secondi per la proprietà Timeout [s], prevede che il servizio di rete (zenNetSrv.exe) di ogni client invii durante il funzionamento Online ogni 10 secondi un Watchdog al servizio di rete (zenNetSrv.exe) del server. Se il server non invia entro 30 secondi almeno una risposto a uno dei tre Watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente.

Interno ID: Sincronizzazione del tempo in rete

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: Sincronizzazione del tempo in rete

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Configurazione nelle proprietà di progetto:

nodo Rete, proprietà Timeout [s]). Lo user attivo sul client deve essere abilitato alla modifica del tempo sul PC.

Interno ID: Sincronizzazione del tempo in rete

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

zenon6.ini

Sui client o calcolatori remoti senza l`Editor di zenon, l´impostazione avviene tramite lo zenon6.ini:

[Netz]

NET_TIMEOUT_MSEC=30000

(Timeout in millesecondi ? Default = 30000)

Tenete presente l´ulteriore configurazione necessaria in WAN.

Comandi sotto Windows

Per la sincronizzazione tempo esterna via Windows, inserite il seguente comando con i relativi argomenti necessari nella console degli inserimenti comandi:

NET TIME [\\Computername | /DOMAIN[:Domänenname] : /RTSDOMAIN[:Domänenname]] [/SET] [/YES]

Argomento

Descrizione

NET TIME
  • sincronizzazione dell´orologio del computer con quello di un altro computer o quello di un altro dominio
    oppure
  • mostra l´orario per un computer o un dominio

Se questo comando viene eseguito senza altri argomenti, verranno visualizzati la data corrente e l´orario attuale del computer che è stato definito per il dominio come server tempo.

Nome computer

Il nome del computer che deve essere controllato o sincronizzato.

DOMAIN[:Nome dominio]

L´orario viene sincronizzato con il controller di dominio primario del dominio Nome dominio.

RTSDOMAIN[:Nome dominio]

L´orario del computer viene sincronizzato con un affidabile server tempo del dominio Nome dominio.

/SET

Sincronizza l’ orologio del calcolatore con l’ orologio del calcolatore indicato oppure con il dominio indicato. Dopo aver dato il comando, verranno visualizzati l´orario del server e la richiesta se deve essere settato questo orario.

/YES

Mostra il tempo attuale del server e lo sincronizza con il calcolatore locale senza un´altra richiesta di conferma.

Esempio Esempio

NET TIME \\Server /SET /YES


Sincronizzazione tempo in WAN

Manuale -> Rete -> Requisiti -> Sincronizzazione del tempo in rete -> Sincronizzazione tempo in WAN

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In WAN l´indicazione standard di 30 secondi per il watchdog significa che la connessione sarebbe mantenuta in modo permanente.

Selezionate in WAN un Timeout [s] tempo, che instaura una connessione solo ad intervalli desiderati. Tenete presente: tanto più lungo è il Timeout, tanto più tardi il sistema riconosce che il server ha smesso di funzionare. Se, ad esempio, selezionate come tempo per Timeout [s] 64.800, il Timeout sarà di 18 ore. Il sistema instaura una connessione e manda un watchdog ogni 6 ore. Ne consegue che il sistema si accorgerà che il server ha smesso di funzionare solo dopo 18 ore.

Interno ID: Sincronizzazione tempo in WAN

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: Sincronizzazione tempo in WAN

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Al momento dell´avvio del client si usa sempre un fisso Timeout di 30 secondi.

funzione cambio immagine

Nel caso di un cambio immagine, il sistema richiede dati in modo attivo. Procedura:

  • in questo caso il sistema controlla se negli ultimi 30 secondi è stato inviato un watchdog al server.
  • Se questo non è il caso viene inviato subito un watchdog al server per la quale risposta persiste un´attesa massima di 40 secondi.
  • Se il sistema riconosce che il server ha smesso di funzionare, il servizio di rete di zenon cerca automaticamente di effettuare una riconnessione ogni 30 secondi.

Questa riconnessione nel funzionamento WAN portrebbe portare a uno stato permanente Questo comportamento può essere modificato mediante inserimenti nello zenon6.ini:

  1. Aprite lo zenon6.in.
  2. Navigate fino alla sezione
    [NETZ].
  3. Create o modificate l´inserimento.

    NET_CONNECTWAIT_MSEC=30000
    Esso definisce il valore in millesecondi per un Reconnect.

    Valore massimo: Timeout

  4. Create o modificate l´inserimento.

    NET_CONNECTCOUNT=0

    Esso definisce il numero delle ripetizioni per ogni Reconnect pro ciclo.

    Default è 0 ripetizioni, il che significa un tentativo di Reconnect.


Impostare la rete di zenon

Manuale -> Rete -> Impostare la rete di zenon

Nella rete di zenon lavorate con:

Parametri

Descrizione

Server:

calcolatore con connessione con il PLC. Il server si assume in esclusiva la gestione di processo e dati di progetto. La comunicazione viene controllata mediante un Watchdog.

Nel caso in cui il server dovesse smettere di funzionare, il server in standby ne riprende le funzioni, sempre che si sia provveduto a definire uno standby. Non appena il server è pronto a riprendere le sue funzioni, lo fa in modo automatico e sincronizza tutti i dati.

Standby-Server:

riprende nel quadro di sistemi ridondanti il ruolo del server quando quest´ultimo non funziona. Nella rete, esso si comporta come un client, ma salva, esattamente come il server, tutti i dati. Nel caso della ridondanza hardware, lo standby comunica indipendentemente in modo bidirezionale con il PLC ridondante.

Lo standby lavora con un buffer interno. In tal modo si evita una perdita di dati nel tempo morto che intercorre fra il momento in cui il server smette di funzionare e quello in cui lo standby ne assume provvisoriamente i compiti.

Clients:

ogni calcolatore su cui viene avviato il Runtime è un client. I client si collegano al server in modo tale da poter ricevere o depositare i dati del processo.

Server dati:

il server dati è un calcolatore che stabilisce una comunicazione verso il processo ma non ha il compito di un server. Nel funzionamento normale il server dati fornisce tutti i dati al server con la memoria di massa e per ulteriori distribuzioni. Quando il server o la rete vanno fuori servizio il server dati mantiene intatta la comunicazione verso il processo e permette la gestione dell'impianto o della macchina. I dati vengono aggiornati nell´istante in cui la connessione verso la rete è di nuovo stabilita.
Campo di applicazione: sistemi di gestione sul posto con hardware non particolarmente performante, per es. IPC o teminal CE. La completa archiviazione dei dati e la loro distribuzione avviene sul server dati. Nel caso di un´interruzione del funzionamento del server, rimane intatta la possibilità di gestire il sistema sul posto. In una configurazione client server classica, ciò non si verifica.

Info Informazioni

Server e client non vengono definiti in riferimento al calcolatore, ma in riferimento al progetto.

Se il nome del server o quello del server in standby vengono modificati, essi non possono essere ricaricati. Essi verranno sincronizzati solo in seguito ad un riavvio del Runtime.

Topologie

zenon supporta numerose topologie di rete:

  • Rete Client-Server: Sul server e su tutti i client è attivo lo stesso progetto.
  • Rete Multi-Server: in questo caso un client può accedere nello stesso tempo a diversi server e dunque visualizzare i dati di diversi progetti contemporaneamente.
  • Modello multi-server multi-client: tutti i client e server comunicano gli uni con gli altri. Si può accedere da ogni progetto anche ad altri progetti. Configurazione in zenon

Configurazione di rete

Per rendere un progetto capace di funzionare in rete:

  1. passate alla proprietà di progetto, in particolare al nodo Rete

    Interno ID: Impostare la rete di zenon

    Rete

    Proprietà per l’utilizzo del progetto in rete

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. attivate la proprietà Rete attiva

    Interno ID: Impostare la rete di zenon

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. definite facendo uso della proprietà Server il calcolatore che deve assumere il ruolo di server nell´ambito del progetto.
    Attenzione: L´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore.

    Interno ID: Impostare la rete di zenon

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se necessario, configurate in questo momento anche

  • Routing: Proprietà Attiva routing

    Interno ID: Impostare la rete di zenon

    Attiva routing

    Attiva: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
    Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing. Per questo motivo, consigliamo di disattivare questa impostazione.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Standby-Server: Proprietà Standby

    Interno ID: Impostare la rete di zenon

    Standby

    Disponibile solamente se nella proprietà Server è stato inserito un server.
    Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

    Interno ID: Impostare la rete di zenon

    Timeout [s]

    Disponibile solo se la proprietà Rete attiva è stata attivata.

    Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
    Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

    Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
    Attenzione: server e standby devono avere lo stesso tempo assoluto.
    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ridondanza: Proprietà Tipo di ridondanza

    Interno ID: Impostare la rete di zenon

    Tipo di ridondanza

    Disponibile solo se nella proprietà Standby sia stato inserito un calcolatore!

    zenon supporta due tipi di ridondanza:

    Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

    Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

    Default: Ridondanza software

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Messaggio di chiusura: stabilisce se, al momento della chiusura del Runtime su un server, i client vengono avvertiti nel giro di 70 secondi.

    Interno ID: Impostare la rete di zenon

    Messaggio di chiusura

    Disponibile solamente nel caso in cui la proprietà Rete attiva è attiva.
    Attiva: Quando si chiude il Runtime su un server, su tutti i client collegati appare un messaggio che avverte dell´avvenuta chiusura del Runtime. La chiusura del runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completate in modo corretto.
    Non attiva: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In tal modo avete completato la configurazione delle poprietà di base. Ripetete questi passaggi per tutti i client della rete di zenon. Anche i calcolatori remoti possono essere impostati facendo uso del meccanismo del Remote Transport.

attenzione Attenzione

Assegnazione nome a server e server in standby "localhost" non deve essere usato.


Modello Client-Server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel modello Client-Server, il client e il server hanno accesso allo stesso progetto. Nel client viene caricato il progetto del server come progetto attuale.

Per l´impostazione del modello client-server, su ogni calcolatore viene:

  • attivata la proprietà Rete attiva

    Interno ID: Modello Client-Server

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • inserito il nome del server nella proprietà Server

    Interno ID: Modello Client-Server

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Raccomandazione: il server dovrebbe essere il computer più performante nell´intera rete.

Nella rete client- server di zenon:

  • solo il server ha una connessione diretta con il PLC
  • il server gestisce tutti i dati di processo (per es. dati online, dati archivio, allarmi, ricette, ecc.)
  • il server gestisce tutti i dati di progetto (per es. immagini, funzioni, variabili definite, ecc.)
  • Ogni altro calcolatore che avvia lo stesso progetto, viene definito e riconosciuto automaticamente come client.
  • Ogni client instaura ad ogni avvio del Runtime
    • la connessione con il server,
    • sincronizza i dati di progetto e
    • visualizza i dati di processo attuali

Info Informazioni

Windows CE è completamente integrato. I sistemi sotto Windows CE possono essere usati da server e client.


Imposta server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Imposta server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il server instaura la connessione con il PLC e gestisce tutti i dati, sia quelli online, che quelli di progettazione. I client sincronizzano i loro dati con quelli del server.

Per impostare il server:

  1. attivate la proprietà Rete attiva

    Interno ID: Imposta server

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite facendo uso della proprietà Server il calcolatore che deve assumere il ruolo di server nell´ambito del progetto.
    Attenzione: L´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore.

    Interno ID: Imposta server

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. fate attenzione a configurare correttamente le variabili interne.
  4. se necessario, create script AUTOSTART e AUTOEND per i client

attenzione Attenzione

Assegnazione nome a server e server in standby "localhost" non deve essere usato.

Se il computer di sviluppo, sul quale avete creato il progetto, è allo stesso tempo il Runtime Server, il server è già impostato.

Configurazione delle variabili interne

Se si è già proceduto ad impostare delle variabili, prima che il progetto fosse definto come progetto di rete, delle variabili interne sono definite localmente. Ciò significa che esse vengono eseguite localmente su ogni client. Se si vuole che anche queste variabili siano sincronizzate in rete con il server:

  1. navigate nelle proprietà delle variabili interne fino a giungere al gruppo Variabili Interne

    Interno ID: Imposta server

    Variabili Interne

    Proprietà per le variabili interne.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. selezionate nella lista a cascata della proprietà Funzionamento il valore Rete

    Interno ID: Imposta server

    Funzionamento

    Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
    Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
    Rete: nei progetti di rete, la variabile interna viene valutata e/o gestita dal progetto sul sever. Essa ha lo stesso valore sul server e su tutti i client.
    Default: locale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Locale: la variabile viene gestita sul client. Il valore della variabile può essere diverso su ogni client. Anche i valori limite sono analizzati localmente.
    • Rete: la variabile viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.

Script per client

Se si vuole lanciare sui client immagini speciali o eseguire delle funzioni, si deve prima procedere all´impostazione dei relativi script.

  • AUTOSTART_CLIENT: viene eseguito al momento dell´avvio del sistema e definisce tutti i processi da eseguire localmente al momento del riavvio del client. Per esempio: avvio di un´immagine speciale.
  • AUTOEND_CLIENT: viene eseguito al momento della chiusura del sistema e definisce tutti i processi da eseguire localmente al momento della chiusura del client. Per esempio: resettare uscite.

Entrambi gli script funzionano sul server.


Impostazione dei client.

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Impostazione dei client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I client possono essere impostati manualmente o per Remote Transport. Vi consigliamo di impostarli via Remote Transport.

A questo proposito vale quanto segue:

  • Nel caso in cui il computer che funge da calcolatore di sviluppo dovesse essere anche un client, avviate qui il computer localmente.
  • Impostate tutti gli altri client o tramite RemoteTransport oppure manualmente.
  • Se si vogliono effettuare particolari operazioni sui client, deve essere creato sul Server uno script, che definisce il comportamento al momento dell´avvio (Skript AUTOSTART_CLIENT) e a quello della chiusura (Skript AUTOEND_CLIENT).


Imposta client con Remote Transport

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Impostazione dei client. -> Imposta client con Remote Transport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Di default il Trasporto remoto trasmette i file sempre al computer che è definito come server nelle impostazioni di rete. Per impostare dei client dal computer di sviluppo per il Remote Transport, si deve anzitutto procedere a configurare nuovamente la direzione della trasmissione prima di impostare il client.

Per impostare dei client per il Remote Transport:

  1. Aprite il nodo Generale delle proprietà di progetto.

    Interno ID: Imposta client con Remote Transport

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Cliccate sulla proprietà Trasporto remoto

    Interno ID: Imposta client con Remote Transport

    Trasporto remoto

    Apre la finestra di dialogo per la configurazione del Trasporto remoto.
    Il trasporto remoto consente di trasportare, aggiornare, lanciare, terminare un progetto in un computer remoto e di riceverne lo stato attuale.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si apre il dialogo Remote Transport
  4. Inserite in Connessione alla voce Nome, il nome del client in rete.
    Separate più client mediante un punto e virgola (;).
  5. Chiudete la Gestione di progetto cliccando su OK.
  6. Instaurate una connessione online con il client.
    Per il successivo uso del Remote-Transport, la cosa migliore da fare è usare il simboli della Barra dei simboli.
  7. Trasportate al client tutti i file runtime facendo uso del Remote Transport.
  8. Impostate con il Remote Transport quale deve essere il progetto di partenza per il client.
  9. Avviate con il Remote Transport il runtime sul client.
  10. Chiudete la connessione online.


Imposta client manualmente

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Impostazione dei client. -> Imposta client manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare dei clienti per l´avvio del Runtime:

  1. chiudete l´Editor di zenon e il Runtime di zenon.
  2. Aprite il file zenon6.ini con un editor dei testi.
    Trovate il file nella cartella C:\ProgramData\COPA-DATA\System\
  3. Cancellate la riga VBF30 =.... oppure commentate questa riga.

    Questo inserimento stabilisce quale progetto il Runtime dovrà caricare al momento del suo avvio.

  4. Continuate a tenere chiuso l´Editor e avviate il Runtime.
  5. Si apre un dialogo che Vi chiede quale progetto deve essere caricato.

  6. Attivate la checkbox Carica progetto dal Runtime Server.

  7. Inserite:
    1. Runtime Server: calcolatore che è stato impostato come Server. Il nome può essere inserito direttamente oppure essere selezionato da una lista facendo uso del pulsante ....
    2. Nome del progetto: nome del progetto che è attivo sul server.
    3. Progetto- Cartella di destinazione: cartella per Runtime sul disco fisso locale del client. Potete scegliere un percorso esistente usando il pulsante ..., oppure potete inserirlo manualmente facendo uso della tastiera. Se si inserisce manualmente una cartella non ancora esistente, questa viene generata automaticamente.
    4. Confermate l´inserimento con OK.
  8. Il Runtime di zenon:
    1. instaura una connessone con il Runtime Server
    2. copia i file Runtime di questo nella cartella di destinazone del progetto
    3. avvia il runtime.
    4. richiede eventualmente un riavvio del Runtime
  9. L´inserimento VBF30=... nel file zenon6.ini viene settato nella cartella di destinazione del progetto.

    In tal modo il Runtime avvia automaticamente ad ogni nuovo start sul client il progetto di rete.

Ripetete questa operazione per ogni client.


Comportamento durante il Runtime

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Impostazione dei client. -> Comportamento durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime, i progetti di rete possono essere gestiti e visualizzati nello stesso modo dal server e dai client. Se al momento dell´avvio del Runtime non è definito nessun progetto valido, verrà aperto il dialogo che serve a fissare il progetto Runtime. Per i dettagli al proposito vedi sezione Imposta Client manualmente .

Differenze fra server e client:

  • solamente il server del progetto dispone di una connessione con l´hardware e gestisce i dati di processo.
  • I client ricevono dal server:
    • i valori attuali delle variabili
    • le segnalazioni di sistema della Lista eventi cronologica
    • le informazioni concernenti gli allarmi
    • Ricette
    • i dati archiviati

La trasmissione dal server al client avviene in modo spontaneo e gestito dagli eventi.

Monitoraggio della connessione

L´impostazione standard di 30 secondi per la proprietà Timeout [s], prevede che il servizio di rete (zenNetSrv.exe) di ogni client invii durante il funzionamento Online ogni 10 secondi un Watchdog al servizio di rete (zenNetSrv.exe) del server. Se il server non invia entro 30 secondi almeno una risposto a uno dei tre Watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente. Questa impostazione standard può essere modificata nell´editor utilizzando la configurazione di rete: sezione Rete delle proprietà di progetto, proprietà Timeout [s] con default di 30 secondi.

Interno ID: Comportamento durante il Runtime

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Comportamento durante il Runtime

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: Comportamento durante il Runtime

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Modello Multi-Server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Multi-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon definisce e fa una distinzione nell´ambito di un progetto fra:

  • Server
  • Server standby
  • Clients

Per questa ragione non rappresenta in alcun modo un problema far funzionare diversi progetti server, client e standby contemporaneamente e parallelamente sullo stesso calcolatore.

In relazione alla capacità del Manager di progetto di creare delle strutture ad albero gerarchiche, sorgono qui una molteplicità di nuove opportunità e applicazioni di rete.

Il modello Multi-Server fa una differenza fra:

  • sottostazioni
  • centrali di settore
  • centrali

I singoli calcolatori agiscono da server per il proprio progetto.

Gerarchia

La gerarchia dei progetti deve essere definita nel manager progetto. Per far ciò, trascinate un progetto per Drag&Drop su un altro progetto sovraordinato.

I progetti superiori hanno accesso a tutti i progetti subordinati. I progetti subordinati possono accedere a quelli dello stesso rango e a quelli sovraordinati. Al fine di assicurare un accesso senza problemi, tenete conto di quanto segue:

  • tutti i progetti in questione devono avere la proprietà Rete attiva attiva

    Interno ID: Modello Multi-Server

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • il progetto di destinazione deve essere funzionante su un calcolatore come server,
    Questo calcolatore deve essere raggiungibile da parte del calcolatore richiedente
    (Il server ha avviato il progetto di integrazione e tutti i sottoprogetti).
  • il progetto richiedente e il progetto di destinazione devono essere avviati anche sul calcolatore richiedente

Esempio: se il progetto SUB1 sul calcolatore B vuole avere accesso al progetto immediatamente superiore Integration1 sul Server A, si deve verificare quanto segue:

  • essere raggiungibile il Server A da parte del calcolatore B
  • in Integration 1 e SUB1 la proprietà Rete attiva deve essere settata su attiva
  • Integration 1 deve essere avviato con tutti i sottoprogetti sul Server A
  • Integration 1 e SUB1 devono essere avviati sul calcolatore B

attenzione Attenzione

In sistemi multiserver ogni nome di progetto può essere utilizzato una sola volta.


Modello multi-server multi-client

Manuale -> Rete -> Impostare la rete di zenon -> Modello multi-server multi-client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo modello, un PC può fungere da server per un progetto e, contemporaneamente, da client per un altro. Un unico PC può essere anche utilizzato come multisever (server per più progetti) e, simultaneamente, multiclient (client per più progetti). Questa struttura viene realizzata facendo uso della zenon Gestione multiprogetto.

Il modello Multi-Client-Multi-Server serve da base per:

  • zenon Trasparenza orizzontale
  • zenon Ridondanza circolare


Gestione multi-progetto

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione multiprogetto consente di effettuare delle soluzioni decentrate. I sottoprogetti possono essere gestiti come progetti server su diversi calcolatori.

In tal modo si può:

  • modificare nell´Editor diversi progetti contemporaneamente in un workspace
  • avviare nel Runtime diversi progetti nello stesso tempo e accedere dunque direttamente a variabili, funzioni, archivi anche da altri progetti.

Info Informazioni

La gestione multiptrogetto non è disponibile sotto zenon Operator. In questo caso è possibile impostare e gestire pro workspace solamente un progetto e un progetto globale.

Struttura

Il presupposto è l´esistenza di un progetto di integrazione che viene caricato nel Runtime come progetto di partenza.

zenon crea una struttura ad albero multigerarchica al cui apice si trova il progetto di integrazione. La gestione multiprogetto consente di mettere i progetti in una relazione logica gli uni con gli altri.

Info Informazioni

Configurate e controllate la topologia mediante la zenon Topologia di rete.

Lavorare in modo efficiente con la gestione multiprogetto e la gerarchia dei progetti

zenon consente di riutilizzare in modo coerente dati e immagini dei progetti esistenti. La gestione multiprogetto di zenon crea una relazione logica fra i singoli progetti e li mette in relazione gerarchica gli uni nei confronti degli altri. L´utente può rappresentare questa gerarchia dei progetti in modo grafico nell´Editor di zenon trascinando i progetti con il mouse alla posizione desiderata e costruendo in tal modo una struttura ad albero che riflette l´ordine gerarchico.

Il progetto che si trova all´apice di questa struttura gerarchica è quello di integrazione. Tutti gli altri progetti sono subordinati a quello di integrazione. Nella struttura del progetto i dati dei singoli progetti sono disponibili e accessibili anche a partire dagli altri.

La struttura multiprogetto di zenon è confrontabile con un raccoglitore:

  • in qualsiasi momento è possibile aggiungere degli altri fogli – progetti zenon. Il raccoglitore comprende sempre automaticamente tutte le informazioni dei fogli in esso contenuti. Si può sfogliare le pagine di questo raccoglitore in qualsiasi momento e vedere le informazioni in esse contenute, senza dover estrarre i singoli fogli. Nella struttura multiprogetto di zenon, gli utenti possono passare fra un´immagine e l´altra e fra un progetto e l´altro senza dover estrarli dalla struttura.
  • Il progetto di integrazione può essere paragonato all´indice di un raccoglitore. Esso serve da progetto di navigazione centrale e consente di visualizzare immagini o dati appartenenti ai progetti subordinati. I singoli progetti sono autarchici e possono continuare ad essere gestiti in modon autonomo. L´accesso a partire da un progetto ai dati o alle immagine di un altro, avviene mediante le interfacce standard di zenon. Le estensioni o le modifiche avvengono direttamente nei singoli progetti. Gli eventuali lavori di manutenzione hanno effetto solamente sul progetto in questione, mentre il sistema complessivo non ne viene interessato.

Gestione multi-progetto significa

  • Strutture piccole e semplici.
  • manutenzione semplice, veloce e chiara dei singoli progetti.
    È possibile, ad esempio, disattivare singoli progetti senza che ciò abbia influenza sugli altri. Allo stesso modo è possibile distribuire i progetti su differenti PC.
  • sofisticata distribuzione dei carichi e compiti.
  • possibilità di agire su più progetti contemporaneamente, perché tutti i progetti che si trovano su un PC sono attivi simultaneamente.
  • la struttura di rete multi-gerarchica permette la raccolta di dati (valori di misurazione, allarmi, segnalazioni di sistema, dati di archivio, ecc.) in un progetto di livello superiore.
  • nessuna restrizione del numero di progetti attivi per ogni PC.
  • Possibile una centralizzazione in grandi sale di controllo.
  • Struttura a nodi – interruzione fisica della rete.


Il progetto di integrazione

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Il progetto di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il progetto di integrazione gestisce sotto-progetti a cui si può accedere nel Runtime. Il progetto di integrazione può essere utilizzato nella gestione multi-progetto come semplice progetto di amministrazione, oppure essere usato come progetto vero e proprio. Se il progetto di integrazione viene settato come quello di partenza, nel Runtime tutti i sotto-progetti vengono automaticamente avviati allo start di quello di integrazione.

In un progetto di integrazione potete impostare con pochi clic del mouse delle liste allarmi centrali oppure liste di eventi cronologici concernenti tutti i progetti integrati. Così, per esempio, verrano visualizzati e messi in ordine cronologico tutti gli allarmi dei progetti della lista allarmi del progetto di integrazione.

attenzione Attenzione

Tenete presente al momento di impostare la gestione multi-progetto di disporre di una Navigazione funzionante.


Definizione della struttura nell´editor

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Definizione della struttura nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La struttura di rete viene impostata nell´editor semplicemente mediante Drag & Drop. Avete bisogno oltre che dei progetti produttivi, anche di un progetto di integrazione (I-project), che gestisca tutti gli altri progetti. Dato che i progetti standalone non forniscono dati ai client, in ogni progetto deve essere definito un server. Il progetto di integrazione può essere anche un progetto produttivo.

Esempio

In questo esempio useremo tre progetti:

  • progetto produttivo PRO1
  • progetto produttivo PRO2
  • progetto di integrazione I-PRO

Per impostare la struttura:

  1. impostate:
    • I-PRO
    • PRO1
    • PRO2
    • e definite un server
  2. tenendo premuto il tasto sinistro del mouse, trascinate nell´ambito del manager di progetto PRO1 su I-PRO.
  3. procedete allo stesso modo con il PRO2
  4. PRO1 e PRO2 verranno adesso visualizzati nel manager di progetto come rami del progetto I-PRO.

In tal modo è realizzata la struttura gerarchica della rete.

Info Informazioni

Affinché gli elementi di sotto-progetti, come immagini, variabili o funzioni, possano essere selezionati, deve essere attiva la funzione "Mantieni progetto in memoria" (menu contestuale del progetto).


Trasmettere e avviare progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Trasmettere e avviare progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell´ambito della struttura topologica, tutti i sottoprogetti di un progetto di integrazione vengono trasmessi automaticamente alle relative destinazioni. Se il progetto di integrazione è anche progetto di partenza, tutti i sottoprogetti vengono avviati con quello di integrazione.

Per i dettagli concernenti la topologia di rete, vedi capitolo Gestire e monitorare la topologia di rete. La configurazione del calcolatore con un esempio per la trasmissione automatica dei sottoprogetti, la trovate nella sezione Configurazione del calcolatore in rete.

Trasmettere manualemente e avviare progetti

Per trasmettere dei progetti manualmente e poi avviarli:

  • Trasportate tutti i dati runtime di PRO1 al relativo server facendo uso della funzione Remote Transport.
  • Impostate con il Remote Transport quale deve essere il progetto di partenza per il server di PRO1.
  • Avviate con il Remote Transport il runtime sul server di PRO1.
  • Chiudete la connessione online.
  • Procedete come con il PRO2.


Gestione progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Avete diverse possibilità di accedere ai dati di sottoprogetti, come, ad esempio:

  • Navigazione fra i progetti
  • Usare variabili o funzioni di un altro progetto
  • Depositare delle ricette in diverse variabili di diversi progetti
  • Creare degli archivi per più progetti
  • Creare AML o CEL comuni a più progetti

attenzione Attenzione

Nell´effettuare la configurazione, tenete presente su quali apparecchi (server, stanby, client) quali moduli e funzioni vengono eseguiti. Trovate una lista delle possibili configurazioni qui: Comportamento di moduli in rete.


Navigazione fra i progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Navigazione fra i progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di gestione di diversi progetti in un progetto di integrazione è assolutamente necessario far sì che si possa passare durante il Runtime in qualsiasi momento da un sottoprogetto ad un altro, oppure al progetto di integrazione. A tal scopo, create un modello che si trova sempre in primo piano e piazzate in quella sede dei pulsanti che permettano di navigare fra i progetti.

Cambio immagine a sottoprogetti

Per passare da un progetto all´altro, usate la funzione Cambio immagine di zenon. Per far sì che la navigazione sia sempre disponibile, create in primo luogo un modello che si trova sempre in primo piano:

  1. create poi un nuovo modello che offra posto per la navigazione.
  2. assegnatele la proprietà Sempre in primo piano

    Interno ID: Navigazione fra i progetti

    Sempre in primo piano

    Abilitata: Nelle operazioni online non è possibile sovrapporre nessuna immagine a questa,tuttavia è possibile accedere ad altre immagini.
    Disabilitata: Le immagini basate su questo modello possono essere sovrapposte da altre immagini.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate le proprietà Tipo di cornice e Titolo

    Interno ID: Navigazione fra i progetti

    Titolo

    Disponibile solo se la cornice è attiva per il modello Abilitata: Visualizza la barra del titolo per le immagini basate su questo modello.L’immagine può essere spostata in Runtime.
    DisabilitataNessuna barra titolo. Default: Disattiva.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Navigazione fra i progetti

    Tipo di cornice

    Disponibile solo se è attivato l’opzione "con titolo":
    Stile cornice dell’immagine.
    Cornice spessa: Visualizza una cornice spessa attorno all’immagine.La dimensione a runtime dell’immagine può essere modificata.
    Nessuna cronice: Nessuna cornice visualizzata.
    Cornice fine: Visualizza una cornice fine come contorno dell’immagine.L’immagine non può essere ridimensionata a Runtime.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. (in tal modo si può spostare il modello nel Runtime)
  5. create sulla base di questo modello un´immagine con pulsanti da usare per la navigazione

Esempio cambio fra PRO1 e PRO2

  1. Create una nuova funzione Cambio immagine.
  2. Se nel workspace attuale si trova più di un progetto, il dialogo di scelta immagini verrà esteso alla selezione di un progetto.

  3. Scegliete PRO1.
  4. Selezionate l´immagine di partenza del PRO1 e chiudete il box cliccando su OK.
  5. Ripetete la procedua per PRO2.
  6. Aggiungete all´immagine per la navigazione due pulsanti di testo con la didascalia PRO1 e PRO2.
  7. Collegate i due pulsanti di testo alle funzioni create.

attenzione Attenzione

zenon non controlla nell´Editor se la struttura di rete permette nel runtime effettivamente un accesso al progetto/immagine selezionato.

Per esempio, nell´Editor può essere creato nel progetto PRO1 un cambio ad un´immagine nel progetto di integrazione. Questo cambio, tuttavia, non funzionerebbe nel runtime!


Variabili e funzioni

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete accedere direttamente a variabili e funzioni di altri progetti dello stesso workspace servendovi degli Elementi dinamici.

Esempio Variabile

  1. Aprite l´immagine d´avvio dell´I-PRO.
  2. Aggiungete un nuovo elemento dinamico Valore numerico.
  3. Adesso si apre il dialogo per la selezione variabili.

  4. In questa sede non potete selezionare solamente variabili da I-PRO. Per selezionare una variabile di un altro progetto:
    1. cliccate su un progetto che si trova nella lista.
    2. Il sistema provvederà ad offrire le variabili del progetto in questione.
    3. Selezionate la variabile desiderata
  5. Selezionate una variabile appartenente al PRO1 o PRO2.

Visto che il I-PRO è un client del server PRO1 e PRO2, la connessione funzionerà senza alcun problema nel runtime.

Procedete in modo analogo nel caso delle funzioni.

attenzione Attenzione

zenon non si preoccupa a questo punto se la struttura di rete permette nel runtime effettivamente un accesso al progetto selezionato e alle sue variabili/funzioni!

Per esempio, nell´Editor del progetto PRO1 può essere selezionata una variabile proveniente dal progetto di integrazione. Questo collegamento, però, non funzionerebbe nel runtime!


Ricette

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete settare in una ricetta dei valori su variabili di diversi progetti del workspace.

Esempio Ricetta

  1. Aprite nel progetto I-PRO il nodo Ricette.
  2. Impostate alla voce Ricette standard una nuova ricetta con il nome REZEPT1.
  3. Aprite il menu contestuale della REZEPT1 e selezionate Aggiungi variabili.
  4. Viene aperto il dialogo che serve alla selezione delle variabili.

  5. In questa sede non potete selezionare solamente variabili da I-PRO. Per selezionare variabili di altri progetti:
    1. cliccate su un progetto che si trova nella parte sinistra della lista.
    2. Il sistema provvederà ad offrire le variabili relative.
    3. Scegliete delle variabili di PRO1 e PRO2.
    4. Nella lista variabili della ricetta viene indicato poi, prima del nome della variabile, anche il nome del relativo progetto.

Visto che il I-PRO è un client dei server PRO1 e PRO2, la connessione funzionerà senza alcun problema nel runtime.

attenzione Attenzione

zenon non si preoccupa a questo punto se la struttura di rete permette nel runtime effettivamente un accesso al progetto selezionato e alle sue variabili!

Per esempio, nell´Editor del progetto PRO1 può essere selezionata una variabile proveniente dal progetto di integrazione. Questo collegamento, però, non funzionerebbe nel runtime!


Archivi

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete registrare in un archivio i valori di variabili di diversi progetti del workspace. I valori in tal modo registrati possono poi essere filtrati, visualizzati in forma di lista o come trend, stampati o esportati come avviene per i dati di normali archivi.

Esempio archivio

  1. Aprite il nodo Server archivi nel progetto I-PRO.
  2. Create un nuovo archivio con il nome BA - BASIS.
  3. Aprite il menu contestuale della lista variabili e selezionate Aggiungi variabili.
  4. Viene aperto il dialogo che serve alla selezione delle variabili.

  5. In questa sede non potete selezionare solamente variabili da I-PRO. Per selezionare variabili di altri progetti:
    1. cliccate su un progetto che si trova nella lista.
    2. Il sistema provvederà ad offrire le variabili del progetto in questione.
    3. Selezionate la variabile desiderata
  6. Scegliete delle variabili di PRO1 e PRO2.
  7. Nella lista variabili dell´archivio viene indicato prima del nome della variabile il nome del relativo progetto.

Visto che il I-PRO è un client dei server PRO1 e PRO2, la connessione funzionerà senza alcun problema nel runtime.

attenzione Attenzione

zenon non si preoccupa a questo punto se la struttura di rete permette nel runtime effettivamente un accesso al progetto selezionato e alle sue variabili!

Per esempio, nell´Editor del progetto PRO1 può essere selezionata una variabile proveniente dal progetto di integrazione. Questo collegamento, però, non funzionerebbe nel runtime!

Ridondanza

Dopo la conclusione della selezione delle variabili, un messaggio Vi farà presente che nei sistemi ridondanti la registrazione senza lacune non è garantita in ogni caso.

attenzione Attenzione

In questa struttura, I-PRO è solamente un client per i due server PRO1 e PRO2. Perciò esso riceve i suoi dati anche dai due progetti server. Nel caso in cui uno di questi due server dovesse smettere di funzionare, I-PRO non riceverebbe neanche i dati relativi. In questo caso, nell´archivio ci sarebbero dunque dei valori sostitutivi!

Per garantire una registrazione dei dati senza alcuna lacuna, Vi consigliamo di realizzare per tutti i progetti che devono fornire i dati all´archivio, un´architettura ridondante.


Allarmi e CEL

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Allarmi e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Vi permette di visualizzare le segnalazioni di sistema e gli allarmi dei diversi progetti di un workspace in una sola lista. Questi inserimenti possono poi essere filtrati, visualizzati, stampati oppure esportati come i dati di normali liste di allarmi o di eventi cronologici.

Esempio AML

  1. Impostate un´immagine del tipo Allarme.
  2. Aggiungete degli elementi di controllo nell´immagine mediante Elementi di controllo -> Aggiungi modelli
  3. Create una funzione Cambio immagine per questa immagine.
  4. Si aprirà il dialogo di filtro per le liste allarmi.
  5. Aprite la scheda Progetto
  6. Selezionate i progetti che devono essere visualizzati nella AML di I-PRO.
    Scelta multipla: tasto Ctrl più clic del mouse).

  7. Aprite la scheda Impostazioni colonne.
  8. Selezionate per la visualizzazione nel Runtime anche la proprietà Nome progetto.
    in tal modo avete la possibilità di sapere durante il Runtime da quale progetto proviene un allarme.


Trasparenza orizzontale.

Manuale -> Rete -> Impostare la rete di zenon -> Trasparenza orizzontale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La trasparenza orizzontale aumenta le prestazioni durante il Runtime per le seguenti ragioni:

  • collaborazione degli operatori ai macchinari
  • la comunicazione dei valori reali e valori impostabili degli indicatori di prestazione

La trasparenza orizzontale viene resa possibile mediante la Gestione multiprogetto in zenon. In tal modo tutti i progetti che si trovano "su di uno stesso livello", possono essere attivati su un PC.

Esempio

Diversi terminal appartengono allo stesso macchinario Ogni terminale ha il proprio progetto di visualizzazione. Con l’aiuto della „trasparenza orizzontale“ è possibile attivare e gestire su tutti i terminal il proprio progetto, ma anche tutti gli alti progetti che si trovano sullo stesso livello. In questo modo, l’intero macchinario può essere monitorato e controllato da ogni terminale.


Ottimizzazione di grandi progetti

Manuale -> Rete -> Impostare la rete di zenon -> Ottimizzazione di grandi progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dei grandi progetti di rete con le impostazioni standard possono sovraccaricare il server di zenon quando aggiornano i dati nello stesso tempo. .
Grande significa:

  • file Runtime di 10 MB oppure ancora più grandi
  • più di 50 client

In questo caso, può essere necessario ottimizzare la procedura in caso di aggiornamento, in modo tale che non tutti i client aggiornino contemporaneamente i dati. Ottenete ciò mediante l´inserimento RELOADDELAY_SEC 0 nel project.ini. In tal modo l´aggiornamento progetto viene posticipato di un valore casuale.
A tal scopo:

  1. aprite il project.ini nella cartella Project_SQL_Ordner/FILES/zenon/system/
    Un consiglio: selezionate il progetto nel manager di progetto e premete la combinazione di tasti Ctrl+Alt+E l´Explorer apre la cartella Project_SQL_directory/FILES/
  2. navigate fino alla sezione [NETZ]
  3. digitate l´inserimento RELOADDELAY_SEC 0
  4. selzionate per 0 un valore per il posticipo

Nell´effettuare l´aggiornamento di progetto, il sistema setta per ogni client un posticipo casuale in secondi che si trova fra 0 e il valore selezionato. 0 significa nessun posticipo.

Il valore selzionato non ha alcun effetto sui progetti standalone, sul server o sul server in standby.

Indicazione: questo inserimento dovrebbe essere effettuato solamente in progetti molto grandi in caso di notevoli ritardi nell´effettuazione l´aggiornamento di progetto. Nei progetti normali, invece, le impostazioni standard sono più efficaci.


Forte cifratura della comunicazione di rete

Manuale -> Rete -> Forte cifratura della comunicazione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon consente la forte cifratura della comunicazione nella rete di zenon. La forte crittografia funziona a partire dalla versione 7.0 di zenon per tutti i sistemi operativi supportati (eccezion fatta per Windows XP SP2) e per il webclient.

Quando la crittografia è attiva, la comunicazione fra server, client e webclient avviene in modo cifrato, il webserver di zenon si limita a smistare i pacchetti di dati e non è interessato dalla crittografia.

Info Informazioni

La comunicazione di rete era crittografata anche in precedenti versioni di zenon. Con la versione 7, però, cambia il metodo. Il concetto "crittografia" in relazione a zenon 7 (e versioni dal numero superiore) comporta una sempre maggiore cifratura.


Base:

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Base:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La crittografia per il Runtime di zenon è a disposizione a partire dalla versione 7.0. Quando la crittografia è attiva, la comunicazione con le versioni di zenon dal numero più basso non è possibile. La crittografia non pregiudica nessuna delle funzionalità di zenon.

Basi della crittografia a partire dalla versione 7.00 di zenon

Per usare l´elevata crittografia della rete di zenon, tenete presente:

  • La passwors viene cifrata individualmente in dipendenza del calcolatore e depositata in zenon6.ini. Ciò significa soprattutto:
    • La password non può essere trasmessa ad un altro calcolatore copiando lo zenon6.ini.
    • Quando cambiano le componenti hardware, soprattutto a livello di adattatore di rete, la password può perdere la sua validità e deve essere indicata di nuovo.
  • La crittografia deve sempre essere attivata o disattivata per tutti i server, i client e i webclient nella rete di zenon. La comunicazione fra sistemi crittografati e non crittografati non è possibile. I webserver fungono solamente da calcolatori Proxy e non sono interessati dalla crittografia.
  • Se la crittografia viene attivata su un calcolatore, essa è sempre valida per tutti i progetti di questo calcolatore con la proprietà Rete attiva attiva.

    Interno ID: Base:

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Compatibilità:

la crittografia non è compatibile con le versioni precedenti alla zenon 7.00 SP0. Il che significa:

Sistema 1 | Sistema 2 | Comunicazione.
zenon 7 crittografata | zenon 7 crittografata | sì
zenon 7 non crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | sì
zenon 7 crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | no

Gli errori vengono protocollati nel file Log del Diagnose Viewer.

Esempio:

La seguente immagine mostra un esempio di una rete con server, standby, due client, un webserver e due webclient. Su tutti gli apparecchi è installata e funzionante la versione 7.00 SP0 dizenon. Gli apparecchi sono stati configurati nel modo seguente:

  • sul server si è attivata la crittografia usando il Startup Tool.
  • Via Remote Transport viene attivata la crittografia anche sul server in standby e sul client A, per la precisione al momento della trasmissione dei file Runtime.
  • Il client B e il webclient B comunicano ancora in modalità non crittografata.
  • Sul webclient A viene attivata la crittografia via Network communication encryption (zenWebCryptConfig.exe).
  • Visto che il webserver non analizza i pacchetti dati, ma si limita a trasmetterli, non è necessaria alcuna forma di crittografia. Teoricamente su esso potrebbe essere installata anche una versione con un numero di serie inferiore, e, ciò nonostante, i webclient sarebbero in grado di instaurare delle connessioni crittografate.

Questa configurazione ha il seguente esito:

  • il server di standby comunica con successo con il server.
  • Il client A può registrarsi sul server e scambiare con esso dei dati.
  • Visto che il client B invia dei messaggi non crittografati e questi vengono rifiutati dal sever a causa della crittografia in esso attiva, il client B non può comunicare con il server e, perciò, è offline.
  • Il webclient A si registra sul server tramite il webserver ed è in grado di scambiare dati.
  • I messaggi non crittografati del webclient B vengono trasmessi dal webserver al server, ma vengono rifiutati da esso. Il webclient B non può comunicare con il server e, perciò, è offline.

Non appena la crittografia viene attivata via Remote Transport o configurazione Startup Tool sul client B e per Network communication encryption sul webclient B, anche essi possono instaurare delle connessioni con il server.


Attiva cifratura

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Attiva cifratura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La cifratura può essere attivata in modi diversi:

  • localmente tramite Startup Tool
  • per Remote Transport
  • nel webclient

Consiglio:

Per realizzare la cifratura in rete in modo semplice e veloce, Vi consigliamo di effettuare la configurazione a partire da un calcolatore usando il meccanismo del Remote Transport. Ciò ha i seguenti vantaggi:

  • dopo l´instaurazione della connessione, la configurazione può essere trasmessa con pochi clic del mosue da un apparecchio all´altro.
    • Attivare Configura crittografia remota
    • cliccate su Leggere da zenon6.ini
    • cliccate su OK.
  • Tutte i passi della configurazione possono essere effettuati a partire da un solo calcolatore.
  • Nel caso in cui commettiate degli errori nel digitare la password, c´è il meccanismo della conferma della password a metterci riparo. Ma nel caso in cui in entrambi i campi di inserimento abbiate commesso lo stesso errore di digitazione, la trasmissione della propria configurazione per Remote Transport fa sì che, nonostante questo, tutti i calcolatori usino la stessa password.


localmente tramite Startup Tool

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Attiva cifratura -> localmente tramite Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per attivare la crittografia sul computer locale:

  1. aprite lo Startup Tool di zenon
  2. nel caso lavoriate in parallelo con diverse versioni di zenon, evidenziate la versione desiderata
  3. cliccate su Application -> Options
  4. verrà aperto il dialogo per le impostazioni dello Startup Tool di zenon
  5. selezionate la scheda Encrypt network communication

  6. attivate la checkbox corrispondente a Encrypt network communication
  7. inserite la password e verificatela
  8. confermate cliccando su OK.


per Remote Transport

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Attiva cifratura -> per Remote Transport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La crittografia può essere attivata su calcolatori remoti via remote transport. Ciò, tuttavia, è possibile solamente se la connessione remota è protetta da una password.

Per attivare la crittografia via connessione remota:

  1. cliccate sul pulsante corrispondente che si trova sulla Barra dei simboli Remote-Transport

    oppure selezionate nel menu contestuale del progetto: Remote-Transport -> Stabilisci collegamento

  2. verrà aperto il Dialogo per stabilire una connessione

  3. inserite la password di connessione oppure createne una nel caso non abbiate ancora provveduto a farlo
  4. attivate la checkbox Configura la crittografia per la comunicazione di rete
  5. cliccate su OK.
  6. si apre il dialogo per la crittografia della comunicazione di rete

  7. attivate la checkbox Codifica comunicazione di rete
  8. assegnate una password (per i criteri, vedi sezione"Password Crittografia rete )
  9. confermate il dialogo cliccando sul pulsante OK


nel webclient

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Attiva cifratura -> nel webclient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La comunicazione di rete può essere crittografata anche per l´accesso con il zenon Webclient. Per accedere con un webclient ad una rete crittografata:

  1. avviate nel menu di start il collegamento \Programme\COPA-DATA\Network communication encryption
    oppure il file zenWebCryptConfig.exe nella cartella di programma di zenon.
  2. si apre il dialogo di configurazione

  3. attivate la checkbox corrispondente a Encrypt network communication
  4. inserite la password e confermatela
  5. chiudete il dialogo cliccando sul pulsante OK


Password Crittografia di rete

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Password Crittografia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la password che serve alla crittografia della comunicazione in rete vale quanto segue:

  • Lunghezza minima: 8 caratteri
  • Lunghezza massima: 20 caratteri.
    La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.
  • Caratteri ammessi:
    • Lettere: A - Z; a - z
    • Cifre: 0 - 9
    • Caratteri speciali
  • Caratteri proibiti:
    • Spazio vuoto
    • Tasto INV (Tasto Return)
  • Composizione: una password deve contenere perlomeno 1 cifra e 1 lettera


Lista di check in caso di errori

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Lista di check in caso di errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In caso di errori, controllate:

  • tutti i calcolatori hanno accesso alla rete e funziona la risoluzione del nome?
  • La proprietà Rete attiva è stata attivata nell´Editor per questo progetto?

    Interno ID: Lista di check in caso di errori

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Il Runtime di zenon funziona per tutti i progetti con cifratura su tutti i calcolatori nella versione 7.00 SP0 o in una dal numero superiore?
  • Per i progetti con cifratura è corretta la configurazione su tutti i calcolatori ?
    (USE_ENCRYPTION impostazione in zenon6.ini: su tutti i calcolatori o 0, o 1 oppure non esistente.)
  • Sono disponibili le funzioni necessarie (soprattutto sui terminali CE)?
    • La mancanza di funzioni necessarie fa sì che non sia possibile avviare il Runtime.
  • Se il Service-Provider oppure uno degli algoritmi non è disponibile, al momento dello start del Runtime viene scritto un Messaggio di errore nel file Log.
  • Avete configurato la password in modo corretto?
  • Su uno dei calcolatori coinvolti è stato cambiato l´hardware dopo la configurazione della cifratura?
  • Un ping funziona sul calcolatore?
    • Si: connessione di rete esistente, l´errore riguarda la comunicazione.
    • No: controlla rete.
  • È possibile instaurare una connessione con Telnet?
    • La connessione viene instaurata: Entrambi i calcolatori comunicano allo stesso livello. Controlla password.
    • Connessione viene instaurata e poi va persa: Un calcolatore comunica in modo cifrato, un altro in modo non cifrato.
    • La connessione è difettosa: il Runtime di zenon non funziona sul calcolatore di destinazione.

    Indicazione: Telnet deve essere installato appositamente sui nuovi sistemi operativi di Windows. La connessione avviene di regola tramite la port 1100.
    Il comando Telnet ha il seguente aspetto: open [IPAdresse] 1100

Gli Errori vengono protocollati nel file Log del in Diagnose Viewer.


Messaggi di errore

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Messaggi di errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori vengono visualizzati o nella finestra di emissione dell´Editor di zenon, oppure in Pop-ups e/o vengono protocollati nei file Log del Diagnose Viewers.

Nessuna connessione

Se un client è stato configurato con una password cifrata errata (diversa da quella sul server), ciò risulta evidente dai seguenti eventi:

  • il client è offline, nonostante il server sia raggiungibile via ping
  • il server scrive delle segnalazioni di errore nel file Log:

    SysMod Error: Serialize in Object Project: [Nome progetto] Modul: [Numero modulo]

    oppure

    NET Error During Decryption [Numero errore]

Box di indicazione e segnalazioni di errore

Il sistema indica il verificarsi di errori di cifratura mediante delle Box di indicazione (Pop-ups) e inserimenti in File Log, oppure nella zenon Finestra di emissione.


Segnalazioni di errore in Pop-ups

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Messaggi di errore -> Segnalazioni di errore in Pop-ups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Startup Tool e Webclient

Vengono emesse le seguenti segnalazioni di errore dal zenon Startup Tool come Pop-up per la crittografia locale, oppure dal Network communication encryption per la configurazione del Webclient. Queste segnalazioni sono sempre in lingua inglese.

Messaggio di errore

Descrizione

The network password has to be entered in both textboxes!

Nella configurazione della crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Confema password).

The entered network password and the retyped network password are different!

Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.

The network password does not fullfill the password conventions!

Password conventions:
Minimum length = 8 symbols
Maximum length = 20 symbols
At least one character of the latin charset
At least one number
The blank character is not allowed

La password inserita non soddisfa le convenzioni. Anche le convenzioni vigenti per la password vengono visualizzate nella segnalazione di errore.

The network password could not be encrypted!

Nella realizzazione della crittografia della password di rete si è verificato un errore.

The network encryption configuration in the files zenon6.ini and startup.ini are invalid.

Please enter a new configuration and register any item with the startup tool to update both files with valid configurations.

Al momento dell´apertura della scheda Encrypt network communication in zenon Startup Tool, il sistema ha constatato che né lo zenon6.ini né lo startup.ini contengono configurazioni valide per la crittografia di rete. Si deve indicare una nuova configurazione.

The network encryption configuration in the file zenon6.ini is invalid.

As the configuration in the file startup.ini is valid, the file zenon6.ini will be updated with a valid configuration when any item is registered with the startup tool.

Il controllo effettuato al momento dell´apertura della scheda Encrypt network communication nello Startup Tool di zenon ha dato i seguenti risultati: La configurazione della crittografia nello zenon6.ini non è valida, ma quella nello startup.ini è valida.

La configurazione errata nello zenon6.ini wird verrà sovrascritta da quella valida dello startup.ini non appena verrà registrato un inserimento.

The network encryption configuration in the file startup.ini is invalid.

The file zenon6.ini currently contains a valid configuration. Upon registration of any item with the startup tool the file zenon6.ini will be updated with the invalid configuration from the file startup.ini. Please enter a new configuration to ensure both files contain valid confirugations after the registration of an item.

Il controllo effettuato al momento dell´apertura della scheda Encrypt network communication nello Startup Tool di zenon ha dato i seguenti risultati: La configurazione della crittografia nello zenon6.ini è valida, ma quella nello startup.ini non è valida.

Non appena verrà registrato un altro inserimento, anche la configurazione nello zenon6.ini perderà la sua validità. Si deve inserire una nuova configurazione per garantire che entrambi i file INI contengano delle configurazioni valide.

The netowrk encryption password in zenon6.ini is invalid

La password letta dallo zenon6.ini non è valida.

La password per la crittografia di rete non è valida e deve essere inserita di nuovo!

Segnalazione che compare al momento dello start del Runtime se la password non può essere verificata.

Trasporto remoto

Le seguenti segnalazioni di errore vengono emesse come Pop-up dal Remote Transport al momento della crittografia di un calcolatore remoto.

Messaggio di errore | Descrizione
Per effettuare la configurazione della crittografia di rete, la connessione del Remote Transport deve essere protetta da una password! | ll sistema ha cercato di configurare la crittografia remota senza autentificare la connessione del Remote Transport mediante una password.
La password di rete deve essere inserita in entrambi i campi di testo! | Nella configurazione della crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Confema password).
La conferma della password non coincide con la password stessa! | Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.
La password inserita non soddisfa i criteri! Criteri per la validità della password: perlomeno 8 caratteri al massimo 20 caratteri perlomeno una lettera perlomeno un numero nessun spazio vuoto | La password inserita non soddisfa le convenzioni. Anche le convenzioni vigenti per la password vengono visualizzate nella segnalazione di errore.
Nella realizzazione della crittografia della password di rete si è verificato un errore! | Nella realizzazione della crittografia della password di rete si è verificato un errore. Nella configurazione via Remote Transport viene scritta al verificarsi di questo errore una precisa segnalazione nel Log.
Nella decifrazione della crittografia della password di rete dallo zenon6.ini si è verificato un errore! | Non è stato possibile decifrare la password depositata nello zenon6.ini.
La configurazione della crittografia nello zenon6.ini non è valida e deve essere reinserita! | La password letta dallo zenon6.ini non è valida. È necessario procedere alla definizione di una nuova password.


Messaggi di errore nella finestra di emissione

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Messaggi di errore -> Messaggi di errore nella finestra di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli errori vengono visualizzati nella finestra di emissione in forma di segnalazioni:

Segnalazione | Level | Descrizione
Il server segnala un errore nel mettere insieme i dati per la configurazione della crittografia! | ERROR | Il Remote zenSysSrv segnala un errore nel mettere insieme le informazioni per la crittografia della password per la crittografia di rete. Non è stato possibile leggere le informazioni adapter.
*** La configurazione della crittografia di rete è stata aggiornata sul macchinario remoto: | AKZENT | Questa segnalazione si trova all´inizio del messaggio finale che appare dopo la realizzazione della configurazione della crittografia di un apparecchio remoto tramite Remote Transport. Segue poi una segnalazione concernente il successo della configurazione remota.
Il server segnala un errore nel salvataggio della configurazione della crittografia! | ERROR | Il Remote zenSysSrv segnala un errore nel salvataggio della configurazione della crittografia sull´apparecchio remoto. La configurazione non è stata salvata.
La configurazione della crittografia è stata salvata con successo sul server. | TEXT | Il Remote zenSysSrv segnala che la configurazione della crittografia è stata salvata con successo.
La versione del Remote zenSysSrv è troppo bassa! La crittografia non può essere configurata! | ERROR | Il sistema ha cercato di configurare la crittografia su un apparecchio remoto che ha una versione di zenSysSrv precedente a 7.00 SP0. La crittografia è disponibile solo a partire dalla versione zenon 7.00 SP0; per questo motivo un zenSysSrv anteriore non è in grado di configurarla.


Segnalazioni di errore nei file Log.

Manuale -> Rete -> Forte cifratura della comunicazione di rete -> Messaggi di errore -> Segnalazioni di errore nei file Log.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Crittografia

Gli errori nella comunicazione cifrata in rete vengono documentati mediante degli inserimenti in Log. Gli Error-IDs delle segnalazioni di errore nella seguente tabella sono System- oppure COM-Error-Codes. Informazioni più dettagliate sull'argomento le trovate nella MSDN Library.

Inserimento LOG.

Level

Descrizione

NET Error During Acquiring Cryptography Context [Error-ID]

ERRORS

La creazione di un Service Provider per la crittografia è fallita.

NET Error During Creating Hash [Error-ID]

ERRORS

La creazione di un valore Hash non è riuscita.

NET Error During Using Hash [Error-ID]

ERRORS

La modifica di un valore Hash non è riuscita.

NET Error During Destroying Hash [Error-ID]

ERRORS

Il sistema non è riuscito a rendere disponibile un valore Hash non più necessario.

NET Error During Deriving Key [Error-ID]

ERRORS

La creazione della chiave per la crittografia simmetrica non è riuscita.

NET Error During Configuring Key [Error-ID]

ERRORS

L´impostazione del parametro per la crittografia simmetrica non è riuscita.

NET Error Cryptography Not Initialized!

ERRORS

Una funzione di crittografia o decifrazione è stata richiamata, ma l´inizializzazione del parametro necessario (Service Provider, Schlüssel) non è riuscita.

NET Error Invalid Pointer passed!

ERRORS

A una funzione di crittografia o decifrazione è stato trasmesso un parametro non valido.

NET Error Message Length Must Not Be 0!

ERRORS

La funzione di crittografia o decifrazione è stata richiamata con un messaggio vuoto.

NET Error During Buffer Length Calaulation [Error-ID]

ERRORS

Il calcolo della grandezza necessaria del buffer per la crittografia non è riuscito.

NET Error Buffer Length Must Not Be 0!

ERRORS

Il buffer assegnato alla crittografia o decifrazione non è stato impostato.

NET Error During Decryption 0x%x

ERRORS

Nel corso della decifrazione si è verificato un errore.

NET Error During Encryption 0x%x

ERRORS

Nel corso della crittografia si è verificato un errore.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERRORS

La crittografia è attiva ed è arrivato un messaggio non crittografato. In questo caso il messaggio viene rifiutato.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERRORS

La crittografia non è attiva ed è arrivato un messaggio crittografato. In questo caso il messaggio viene rifiutato.

NET Cryptography Successfully Initialized

DEBUG

Il parametro necessario per la crittografia e la decifrazione è stato inizializzato con successo. I parametri vengono inizializzati all´avvio del Runtime.

NET Uninitializing Cryptography

DEBUG

I parametri necessari per la crittografia e la decifrazione vengono resi di nuovo disponibili. Ciò accade al momento della chiusura del Runtime. Se la connessione Log viene interrotta prima che il sistema renda di nuovo disponibili i parametri, la segnazione non apparenel Diagnose Viewer.

NET Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nell´effettuazione del calcolo della grandezza necessaria del buffer per mettere insieme le informazioni necessarie per crittografia e decifrazione della password di rete.

NET Error During Buffer Size Calculation: No Adapters

ERRORS

Il calcolatore non dispone di un adattatore di rete. Per questa ragione la password di rete non può essere crittografata e decifrata.

NET Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore quando il sistema è andato a leggere le informazioni dell´adattatore per la cifrazione e decifrazione della password di rete.

NET Error Passwort Not Properly Formatted

ERRORS

Il HexDump della password di rete cifrata è in un formato non valido.

NET Error During Decrypting Password [Error ID]

ERRORS

Si è verificato un errore nella decifrazione della password di rete

NET Error During Encrypting Password [Error ID]

ERRORS

Nella realizzazione della crittografia della password di rete si è verificato un errore.

NET Cryptography Is Disabled

DEBUG

La cifratura della comunicazione in rete è disattivata.

NET Error No Password

ERRORS

La crittografia è attiva, ma non è stata inserita nessuna password.

NET Error Password Could Not Be Decrypted

ERRORS

Non è stato possibile decifrare la password per la crittografia della rete.

NET Password successfully loaded

DEBUG

La password per la crittografia di rete è stata caricata con successo.

Network Cryptography Disabled By Remote Configuration

DEBUG

Il zenSysSrv segnala che la crittografia della comunicazione in rete è stata disattivata sul calcolatore tramite la configurazione del Remote Transport.

Network Cryptography Enabled By Remote Configuration

DEBUG

Il zenSysSrv segnala che la crittografia della comunicazione in rete è stata attivata sul calcolatore tramite la configurazione del Remote Transport.

Network Cryptography Remote Configuration Error

ERRORS

Una configurazione per la crittografia di rete inviata dal Remote Transport è errata.

Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nell´effettuazione del calcolo della grandezza necessaria del buffer per mettere insieme le informazioni necessarie per crittografia e decifrazione della password di rete per la configurazione tramite Remote Transport.

Error During Buffer Size Calculation: No Adapters

ERRORS

Il calcolatore non dispone di un adattatore di rete. Per questa ragione la password di rete non può essere cifrata o decifrata e, quindi, non può essere settata via Remote Transport (deve essere connessa via COM). L´uso della crittografia di rete su un calcolatore senza adattatore di rete, però, non ha senso.

Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore quando il sistema è andato a leggere le informazioni dell´adattatore per la cifrazione e decifrazione della password di rete per la configurazione via Remote Transport.

NET Error During Decrypting Password: The Password is Invalid!

ERRORS

La password non è più valida visto che i

dati di partenza per crittografia dipendente dal calcolatore sono cambiati.

Questo errore può essere eliminato configurando di nuovo la password.

Per lo più, però, il processo di decifrazione viene interrotto già prima del controllo di validità della password perché la vecchia password non può essere decifrata con i nuovi dati di decifrazione.

Ciò porta al verificarsi dell´errore „NET Error During Decrypting Password 0x80090005", che viene visualizzato al posto di „NET Error During Decrypting Password: The Password is Invalid!" . Successivamente la password che ha perso la sua validità provocherà l´apparire di segnalazioni di errore sul calcolatore in questione in concomitanza con l´invio o il ricevimento di pacchetti di rete. La segnalazione di errore „NET Error Cryptography Not Initialized!" viene scritta nel fil di Log.


Remote Transport in rete

Manuale -> Rete -> Remote Transport in rete

Mediante il meccanismo del Remote Transport i file vengono trasmessi ad altri calcolatori. Le basi e i dettagli concernenti il meccanismo del Remote Transport li potete trovare nella parte della guida dal titolo Remote Transport.

Gestite le azioni facendo uso della Barra dei simboli Remote Transport. Stabilite le impostazioni per la connessione e i file da trasmettere nella sezione "Impostazioni di progetto". I percorsi del calcolatore su cui si effettua il lavoro di sviluppo devono essere assegnati a quelli del calcolatore Runtime. In questo modo i file runtime vengono aggiornati quando il progetto è attivo. I file aggiornati vengono ripresi dal progetto attivo per mezzo della funzione Aggiorna .

Indicazione: Per quanto riguarda le connessioni a macchinari CE, Vi preghiamo di consultare la sezione Windows CE che trovate nella parte della guida dal titolo Remote Transport.

Crea connessione e seleziona posto di salvataggio

  1. Aprite il nodo Generale delle proprietà di progetto.

    Interno ID: Remote Transport in rete

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Cliccate sulla proprietà Trasporto remoto

    Interno ID: Remote Transport in rete

    Trasporto remoto

    Apre la finestra di dialogo per la configurazione del Trasporto remoto.
    Il trasporto remoto consente di trasportare, aggiornare, lanciare, terminare un progetto in un computer remoto e di riceverne lo stato attuale.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Si apre il dialogo Remote Transport

Parametri

Descrizione

Medio di trasporto

Seriale

Trasmissione tramite una connessione seriale, per es. a un terminale CE.

  • Port

Selezione del port COM per la connessione seriale.

TCP/IP

Trasmissione per TPC/IP in una rete o tramite un modem.

  • Nome PC o indirizzo IP

Il nome calcolatore o l´indirizzo TPC/IP viene indicato come destinazione.

  • Inserimento del nome calcolatore manualmente o cliccando sul pulsante ...
  • Inserimento manuale dell´indirizzo IP

L´indirizzo IP deve corrispondere al formato della versione IP impostata (IPv4 o IPv6).

Indicazione: In connessione al nome possono essere usati anche numeri port. Ad esempio: Runtime1;PORT=1105

Origine/Destinazione

Lista delle connessioni.

Nella prima riga può essere definita una destinazione per la cartella più alta della struttura. Cliccando con il tasto destro del mouse si apre il menu contestuale che consente la selezione.

Attenzione: questo percorso deve esistere permanentemente nel sistema di destinazione. Dunque nessun processore di rete implementato e nessun supporto dati mobile.

Attiva

Definisce i file opzionali da trasmettere.

Percorso base del progetto non può essere escluso.

Origine

Cartella per file che vengono trasmessi.

Destinazione

Cartella di destinazione.

Destinazioni per la cartella superiore e nuovi inserimenti possono essere definite.

Le sottocartelle non possono essere modificate. In tal modo si garantisce che nel Runtime tutti i file vengano trovati sul sistema di destinazione.

Indicazione: la cartella di Default è la cartella Runtime definita nelle proprietà di progetto. Se la cartella di destinazione viene inserita manualmente, fate attenzione che essa termini con il nome del progetto. Ciò è importante per la gestione multi-progetto. Ad esempio:
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Modifica

Modo di trasmissione. Può essere scelto liberamente per la cartella superiore e nuovi inserimenti. Cliccando con il tasto destro del mouse si apre la lista a cascata.

  • Copiare: copia file
  • Copiare e registrare: copia file e li registra nel sistema. Utile per elementi ActiveX e per caratteri (file ttf).
  • Copiare ed eseguire: copia file e li esegue.

Descrizione

Per nuovi inserimenti, inserimento testo opzionale per descrivere i file da trasmettere.

attenzione Attenzione

Nell’utilizzo della ridondanza vale la seguente regola: se si utilizzano driver che hanno bisogno di un file di configurazione, l´inserimento \zenon\custom\drivers deve essere disattivato.

attenzione Attenzione

Tenete presente quelli che sono gli effetti delle impostazioni che prendete se il progetto viene usato in rete!

Ad esempio:

la tramissione di grafiche può essere disattivata visto che questi dati si trovano già sul server. Allora viene avviato il client. Il client determina che le grafiche non sono state trasportate e non se le va neanche a prendere da solo. Sul client, dunque, non verrà visualizzata nessuna grafica.

Oppure, vengono trasmessi al client dei file che ne sovrascrivono degli altri lì presenti.

File da trasmettere

Attraverso il trasporto remoto i seguenti file vengono trasmessi al sistema di destinazione. Vengono sempre trasmessi tutti i file delle cartelle:

  1. Standard

    Tutti i file che si trovano nel percorso runtime del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

    1. tutti i file d´immagine ("Bildname".zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (non per CE!)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Inoltre: project.ini e projekt.vba, che si trovano sempre nella cartella di progetto.

Info Informazioni

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re
  1. Opzionale

    In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Remote Transport. Questi file si trovano nei seguenti sotto percorsi del percorso del progetto:

    1. \zenon\custom\graphics: per grafiche
    2. \zenon\custom\lists: per le tabelle lingua
    3. \zenon\custom\media: per tutti i file media
    4. \zenon\custom\reports: per le tabelle del generatore report
    5. \zenon\custom\help: per i file della guida in linea
    6. \zenon\custom\additional: per file addizionali
    7. \zenon\custom\drivers: per driver
    8. \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

  2. Imposta progetto runtime remoto

    Per il Runtime, il progetto di partenza deve essere indicato nel zenon6.ini. A tale scopo, cliccate sul pulsante Remote Runtime Setta progetto di partenza che si trova nella Barra simboli Remote Transport. Vengono fatti i seguenti inserimenti:

    [PATH]

    VBF30=percorso del progetto

    [DEFAULT]

    DEFANWENDUNG30=nome del progetto

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene messo a disposizione automaticamente per il trasporto. Non occorre nessuna impostazione aggiuntiva. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiche inclusi nel progetto specifico!

Gestire trasporto remoto in rete

Selezionate nel menu contestuale del progetto -> Trasporto remoto -> <Comando>:

Parametri

Descrizione

Crea collegamento

Viene instaurata una connessione con il sistema destinatario per mezzo del servizio zenSysSvr. Su entrambi i sistemi deve essere stato attivato il servizio zenSysSvr bzw. oppure deve essere avviato sull'apparecchio CE il servizioSysSrvCE.exe. Le versioni devono essere identiche.

Trasmetti i file runtime modificati

Nel caso in cui si selezioni questa impostazione, vengono trasmessi solo i file runtime che sono stati modificati dal momento dell'ultima trasmissione. Se non esistono dei file runtime nel sistema destinatario, vengono trasmessi tutti i file runtime.

Trasmetti tutti i file runtime.

Se si attiva questa impostazione, vengono trasmessi tutti i (nuovi) file runtime. La sola eccezione sono quei file, come, per esempio, le ricette standard o le informazioni della gestione messaggi, che siano stati esplicitamente esclusi dalla trasmissione selezionando l'impostazione " Dati modificabili RT".

Rileggi tutti i file runtime.

Se si seleziona questa impostazione, tutti i file runtime dei moduli Ricette, Manager gruppi ricette, Message Control , Gestione utentie Production and Facility Scheduler (PFS) vengono trasportati dal sistema destinatario alla directory runtime locale. Le modifiche del runtime possono poi essere lette nell'editor tramite l'opzione "importa i file runtime".

Settare progetto come progetto di partenza

Il progetto selezionato è definito come progetto di partenza. Ogni volta che viene aperto il runtime, viene caricato questo progetto.

Lanciare runtime

Lancia il progetto in Runtime.

Terminare il runtime

Chiudi il runtime.

Aggiorna progetto

Il progetto viene aggiornato. Vengono letti i file runtime modificati.

Riavvia il sistema operativo

Il sistema, con il quale esiste una connessione, viene rilanciato dopo una richiesta di conferma da parte del sistema. E´possibile che dobbiate effettuare un nuovo loggin nel sistema operativo. Questa opzione non viene supportata con Windows CE.

Richiedere lo stato di sistema

Si verifica se il runtime è attivo sul sistema di destinazione e qual è lo stato e la versione di zenon che vi è installato. Il sistema rileva quanto segue:

  • Nome computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password
  • Visualizzazione e modifica della licenza
  • Configurazione della crittografia

Avvia connessione remote desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via Remote Desktop.

Modalità Batch

Nella modalità batch è possibile connettersi contemporaneamente a più computer. Per far ciò:

  1. create un file hosts.txt.A-Z
  2. Inserite per ogni calcolatore l´indirizzo IP in una riga differente

    Esempio:

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Inserite l´indirizzo di destinazione del Remote Transport: HOST=&hosts.txt;
  4. Aggiungete nella cartella \zenon\custom\additional die hosts.txt.

Forte cifratura

Le informazioni relative alla forte cifratura nella rete per Remote Transport le trovate nel capitolo Attiva cifratura/per Remote Transport.


zenon sul terminal sever

Manuale -> Rete -> zenon sul terminal sever

Il Runtime di zenon può essere utilizzato anche in combinazione con una soluzione terminal-server. L´editor, invece, non può essere attivato sul Terminal Server.

Info Informazioni

Tenete presente che il nome del Terminal Client viene interpretato. Nel caso in cui si usi un firewall, bisogna tenere presente che vengono rese disponibile le port corrispondenti.

Ci sono diversi produttori che offrono terminal-server. Tutti i test con zenon sono stati effettuato con il Windows Terminal Server.

attenzione Attenzione

Per poterlo utilizzare con un Terminal Server, si deve avere una licenza di zenon con un Dongle di rete.


Come si lavora con il terminal server

Manuale -> Rete -> zenon sul terminal sever -> Come si lavora con il terminal server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Terminal server permettono di avviare diverse istanze shell (desktop) divise tra di loro su di uno stesso computer (quello HOST).

Se un Terminal Client si connette ad un server, gli viene assegnata una propria superficie. Sul client è attivo solamente un piccolo programma che visualizza i dati grafici inviati dal server. Tutti i programmi che vengono avviati sul client, sono attivi sul terminal server. Al client vengono trasmesse solamente le informazioni d´immagine (dati grafici) tramite la rete.


Vantaggi e svantaggi

Manuale -> Rete -> zenon sul terminal sever -> Vantaggi e svantaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Vantaggi

  • Si deve effettuare la manutenzione di un solo computer (il terminal server).
  • I client non devono fornire delle performance particolarmente alte (Thin Clients).
  • I client possono avere anche dei sistemi operativi differenti (Windows 7, Windows CE, Linux, Unix ecc.)
  • Alto livello di sicurezza dati sul client.

Svantaggi

  • Tutti i programmi avviati di tutte le istanze sono attivi su un computer (il terminal server). Esso:
    • deve disporre di una capacità e di un´efficienza tale da poter far fronte al carico rappresentato da tutti i programmi avviati.
    • deve disporre di una RAM tale da poter far fronte al carico rappresentato da tutti i programmi avviati.
  • Tutte le connessioni devono essere condivise. Ad esempio, adattatore di rete, COM Ports, porte parallele.
  • Il carico di rete sarà elevato, visto che sia i dati dei programmi, che i dati grafici per i client vengono trasmessi attraverso la rete.
  • Tutti i programmi avviati usano lo stesso sistema file e gli stessi file. Per zenon ciò significa che:
    • ogni client fa aumentare lo spazio di memoria necessario
    • la risoluzione dell´immagine viene fissatata dal primo client che è stato avviato. Se si vogliono usare delle immagini con diverse risoluzioni, lo si può fare usando l´inserimento nello zenon6.ini (SERIALIZE=0) sul terminal server. In questo modo, tutte le immagini vengono ricalcolate per ogni client, il che fa aumentare ancora di più la prestazione richiesta al terminal server.


Come funziona zenon sul Terminal Server

Manuale -> Rete -> zenon sul terminal sever -> Come funziona zenon sul Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sul un Terminal Server può essere attivo solamente un client zenon. zenon come server o come sistema standalone non sono opzioni possibili.

Rappresentazione schematica

La topologia di una rete Terminal Server con zenon potrebbe essere la seguente:

Parametri | Descrizione
A. | zenon Runtime Server
B. | Terminal Server e un numero x di Runtime Client
C. | x Terminal Clients (solo visualizzazione grafica)


Impostazioni obbigatorie

Manuale -> Rete -> zenon sul terminal sever -> Impostazioni obbigatorie

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Visto che il Runtime di zenon viene avviato più volte come client sul Terminal Server, devono essere adattate diverse impostazioni.

Generale

  1. Inserimento INI

    Nello zenon6.ini bisogna aggiungere il seguente inserimento sul Terminal Server. Non è necessaria nessuna impostazione sul runtime server.
    [TERMINAL]
    CLIENT=1

    1: Il runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono effettuate automaticamente dal runtime.
    0: il runtime può essere avviato solamente semplicemente. Un funzionamento sul Terminal Server non è possibile. (Impostazione di Default)

  2. Adattamento automatico della risoluzione immagine

    L´impostazione standard prevede che sia il primo client sul terminal server a definire la risoluzione dell´immagine. Quest´ultima può poi essere adattata e modificata sul terminal server mediante un inserimento nello der zenon6.ini:

    [TERMINAL]

    SERIALIZE=0

  3. Fino alla versione 6.21
    Il servizio di rete (zennetsrv.exe) deve essere registrato come Standard COM Server e non come servizio. Per far ciò, è necessario avviare il programma dalla riga comandi mediante l'opzione -regsrv.
    Per es.: C:/Programme/COPA-DATA/zenon700/zenNetSrv.exe -regsrv

    Annotazione: A partire dalla versione 6.21 questa è la forma di registrazione di default e non deve essere più impostata appositamente.

  4. Trasmissione

    Il servizio di trasporto (zensyssrv.exe) deve essere registrato a avviato come servizio Windows e non come Standard-Exe. Per far ciò:

    1. è necessario avviare il programma dalla riga comandi mediante l'opzione service.

      Ad esempio: C:/Programme/COPA-DATA/zenOn700/zenSysSrv.exe -service

    2. poi si avvia il Windows Task Manager. Il servizio viene avviato automaticamente ogni volta che sia riavvia il computer.

    Vi preghiamo di tenere presente che il tool "Startup" e anche il setup del servizio di trasporto è sempre registrato come Standard-Exe. Per questo motivo, il transportservice deve essere registrato nuovamente come servizio Windows ogni volta che eseguite il tool Startup e dopo ogni nuova installazione.

  5. Cartella di Runtime

    Deve essere possibile scrivere nella cartella runtime da parte di tutti gli utenti. Tutti gli utenti Windows (Utenti Windows: tutti) nel Windows Explorer devono avere un accesso completo alla cartella Runtime e a tutte le sottocartelle.

  6. Rinomina zenprocess.exe

    Quando un utente chiude il Runtime nel funzionamento Terminal, il zenprocess.exe chiude il Runtime anche per tutti gli altri utenti. Per evitare che ciò accada, nel funzionamento Terminal il file zenprocess.exe deve essere rinominato. Poi il zenprocess.exe non verrà più avviato. Il file si trova nella cartella di installazione di zenon.

Aggiornamento selettivo di progetti singoli

I progetti possono essere aggiornati anche in modo selettivo. In questo caso, i client sincronizzano i progetti solamente se sono state fatte delle modifiche. Per attivare il meccanismo dell´aggiornamento selettivo:

  1. aprite il file zenon6.ini con un editor di testi.
  2. passate alla sezione [TERMINAL]
  3. elaborate o create l´inserimento: CLIENT_NO_FILE_ALIGN=
  4. possibili valori:

    0: i progetti vengono sempre aggiornati da tutti i client

    1: aggiornamento selettivo attivo. Solo il client di zenon che viene avviato nella "console session" des terminal server, sincronizza i file Runtime con il server di zenon

Dopo la sincronizzazione dei file Runtime, il console client scrive il file reloadindicator.tmp nella cartella che contiene il project.ini del progetto. I session client sul terminal server verificano ogni 10 secondi se questo file c´è o meno. Se il file c´è e il suo timestamp è più recente della data e ora del suo ultimo aggiornamento, effettua automaticamente un reload della sessione client.

Inserimento zenon6.ini per l´aggiornamento selettivo

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

SERIALIZE=0


Remote Desktop vs. Terminal Server

Manuale -> Rete -> zenon sul terminal sever -> Remote Desktop vs. Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Terminal server si distingue dai programmi Remote Desktop, oppure dal Remote Desktop di zenon, soprattutto a causa delle informazioni visualizzate:

Remote Desktop | Terminal server
Tutte le stazioni connesse vedono sempre lo stesso desktop. Se, per esempio, un utente avvia un programma, tutti vedono lo stesso programma, lo stesso puntatore del mouse, gli stessi inserimenti effettuati con la tastiera, ecc. | Ogni stazione connessa ha un proprio desktop - una propria istanza. Solo esso vedo cosa vi accade. Le operazioni del mouse e gli inserimenti effettuati con la tastiera riguardano solamente questa istanza.
 | Il che significa anche: un programma, per es. un Editor di testi, può essere avviato a parte in ogni istanza. Il programma sarà attivo poi sul terminal server più volte e consumerà anche più risorse.


Gestire e controllare la topologia di rete

Manuale -> Rete -> Gestire e controllare la topologia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La topologia di rete viene visualizzata in una scheda propria del manager di progetto. Essa consiste di tre settori:

  • Albero della topologia (in alto a sinistra): esso mostra i progetti attivi; il progetto globale, però, non viene visualizzato.
  • Albero dei risultati (in alto a destra): solo una visualizzazione di risultati; rappresenta l´albero della toplogia di un computer selezionato.
  • Lista computer (sotto): rappresentazione in forma di lista e configurazione del computer in rete.


Albero topologico

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero topologico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´albero topologico rappresenta i progetti attivi in forma topologica. Vengono mostrati:

Parametri

Descrizione

Nome del progetto

Viene fissato nella scheda Albero di progetti e può essere modificato in questa sede.

Rete attiva.

Mostra se la rete è attiva per questo progetto. L´impostazione può essere modificata tramite la proprietà Rete attiva.

Interno ID: Albero topologico

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Server

Mostra il server definito per questo progetto. L´impostazione può essere modificata tramite menu contestuale, il simbolo nella barra simboli oppure la proprietà Server.

Interno ID: Albero topologico

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

standby

Mostra il server/standby definito per questo progetto. L´impostazione può essere modificata tramite menu contestuale, il simbolo nella barra simboli oppure la proprietà Standby.

Interno ID: Albero topologico

Standby

Disponibile solamente se nella proprietà Server è stato inserito un server.
Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Interno ID: Albero topologico

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: server e standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Barra simboli e menu contestuale Albero della topologia

Proprietà | Descrizione
Setta computer come server | Definisce il computer selezionato nella Lista computer come server per il progetto selezionato nell´albero topologico.
Setta computer come standby | Definisce il computer selezionato nella Lista computer come standby-server per il progetto selezionato nell´albero topologico.
Cancella server | Cancella il server definito per il progetto selezionato.
Cancella standby | Cancella il server/standby definito per il progetto selezionato.
Guida | Attiva la guida online


Albero eventi

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´albero eventi rappresenta l´albero del progetto del computer selezionazo nella Lista computer a partire dal progetto che è impostato come progetto di partenza per il computer selezionato; l´albero eventi mostra le impostazioni di questo progetto.

L´albero eventi è vuoto se:

  • il progetto di partenza del computer selezionato non è stato trovato.
  • è stato selezionato più di un computer della lista.

Parametri

Descrizione

Nome del progetto

I progetti che sono attribuiti al computer selezionato.

Ruolo

Ruolo del computer:

  • Server
  • standby
  • client

Server

Nome del computer che funge da server nel runtime.

standby

Nome del computer che funge da Standby-Server nel runtime.

Risultato controllo

Mostra in forma dettagliata le Segnalazioni di errore concernenti il controllo topologico.


Lista computer

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La lista computer mostra tutte le componenti coinvolte nella rete e ne permette la configurazione. La lista si riferisce al workspace e viene salvata in occasione di ogni backspace del workspace in questione.

Parametri

Descrizione

Nome del PC

Nome del computer. Può essere modificato tramite

  • clic nella cella: Clic su.... apre la lista a cascata del computer attualmente disponibile in rete.
  • Editare l´inserimento computer nel Menu contestuale oppure nella Barra simboli
  • Proprietà Nome PC.

    Interno ID: Lista computer

    Nome PC

    Nome del calcolatore di destinazione nella rete. Cliccando sul comando ... si apre la lista a cascata con i computer registrati in rete.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Progetto di partenza

Progetto di partenza assegnato al computer. Può essere modificato tramite

  • clic nella cella: Selezione dalla lista a cascata
  • Editare l´inserimento Progetto di partenza nel Menu contestuale oppure nella Barra simboli Setta come progetto di partenza quello selezionato nel Albero della topologia .
  • Proprietà Progetto di partenza.

    Interno ID: Lista computer

    Progetto di partenza

    Progetto di partenza per il computer di destinazione. Cliccando sulla lista a cascata, si apre la lista contenente i progetti già esistenti.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Progetto di partenza Cartella runtime

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura del Cartella Runtime impostato sul computer locale.

Interno ID: Lista computer

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ad esempio:
Cartella runtime del progetto di partenza: C:\Projekte\Top = dove si trova il progetto di partenza.
I sottoprogetti vengono depositati in C:\\Projekte .

Interno ID: Lista computer

Cartella runtime del progetto di partenza

Cartella runtime del progetto di partenza sul calcolatore di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura sul computer locale. Usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Il Cartella runtime del progetto di partenza può essere modificato tramite:

  • doppio clic su computer: Apre il Dialogo per la configurazione del computer.
  • clic nella cella: Possibile un inserimento manuale.
  • Proprietà Cartella runtime del progetto di partenza.

Risultato controllo

Mostra il risultato del controllo topologico.

  • A posto: tutti i progetti sono privi di errori.
  • Trovato errore - per i dettagli vedi visuale dettagliata: Uno o più progetti presentano un errore.
  • Trovato errore grave - per i dettagli vedi visuale dettagliata: Un progetto presenta un errore grave. Errori gravi determinano la chiusura del processo di controllo.
  • Non controllato, dato che si è verificato un grave errore nella struttura. Il computer non è stato controllato per intero perché il controllo è stato interrotto a causa di un erore grave.

Le Segnalazioni di errore dettagliate vengono visualizzate nell´albero dei risultati.

Barra simboli e menu contestuale Lista computer

Inserimento | Descrizione
Aggiungi computer... | Apre il Dialogo per la configurazione dei computer nella rete.
Edita computer... | Apre il Dialogo per la configurazione dei computer in rete con i dati inseriti per questo computer.
Cancella computer | Elimina il computer dalla topologia dopo una richiesta di conferma. Indicazione: tenete presente che l´eliminazione di server o server/stanby può provocare dei gravi errori nella topologia.
Imposta progetto runtime remoto | Setta come progetto di partenza quello selezionato nel Albero della topologia .
Trasmetti i file runtime di tutti i progetti del computer. | Trasmette tutti i progetti validi per il computer selezionato al calcolatore di destinazione. Il risultato viene visualizzato in una finestra d´informazione.
Guida | Attiva la guida online


Dialogo Configurazione Computer in rete

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer -> Dialogo Configurazione Computer in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare un computer in rete, dovete indicare quanto segue:

Parametri

Descrizione

Nome del PC

Clic su.... apre la lista a cascata del computer attualmente disponibile in rete.

Progetto di partenza

Selezione dalla lista a cascata

Progetto di partenza Cartella runtime:

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura del Cartella Runtime impostato sul computer locale.

Interno ID: Dialogo Configurazione Computer in rete

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Un consiglio: usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Per esempio:
Nome progetto = I-Project
Alla voce Cartella runtime del progetto di partenza indicate: C:\Projects\I-Project
I sottoprogetti vengono salvati in relazione ad esso in C:\Projects\Projektname, per es.:
il nome progetto è SubProject1; in questo caso la cartella runtime si trova in C:\Projects\SubProject1.

Interno ID: Dialogo Configurazione Computer in rete

Cartella runtime del progetto di partenza

Cartella runtime del progetto di partenza sul calcolatore di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura sul computer locale. Usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Condizione: le cartelle runtime sono state impostate sulla base delle impostazioni di default corrispondenti e i progetti sono stati impostati in un livello nell´editor.

In caso contrario può accadere che i sottoprogetti non possano essere trasmessi; questo perché la cartella relativa non è generabile dalla prospettiva del progetto di partenza.

Esempio: Il progetto di integrazione ha impostato come cartella runtime: C:\Workspace\Projects\I-Project. Il sottoprogetto ha impostato come cartella runtime: C:\Subproject. Il progetto di partenza viene impostato su C:\Project. Il sottoprogetto non può essere trasmesso perché la cartella relativa sarebbe ..\..\Project. Ciò non può funzionare perché la cartella runtimem peri il sottoprogetto si troverebbe sotto C:\.
Aiuto: Correggere la proprietà di progetto Cartella Runtime. Il modo migliore di farlo è quello di fare in modo che le cartelle runtime si trovino allo stesso livello.


Segnalazioni di errore nel controllo della topologia

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Segnalazioni di errore nel controllo della topologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il controllo topologico viene sempre effettuato quando si modificano le impostazioni che concernono la topologia. In tal modo, si può vedere subito l´effetto di ogni modifica. La topologia viene controllata anche quando si passa alla visuale topologica.

Controlli implementati

  • Esiste nella struttura ad albero del progetto un progetto definito nella topologia?
  • E´stato definito un server?
  • Sono stati impostati come standby e server dei computer diversi?
  • Il cliente può raggiungere il suo Server/Standby?
  • Il server può raggiungere i suoi client?
  • Lo standby può raggiungere i suoi client?
  • E´presente nella topologia il server per un progetto?
  • E´presente nella topologia lo standby per un progetto?
  • Compare più di una volta un computer nel percorso del cliente per il server?

Non si controlla

  • Un cliente viene attualizzato dal server solamente su un percorso, oppure esistono diversi percorsi?

Cliente per il server

  • Il client raggiunge il suo server mediante la catena del server?
  • Si è passati da un computer che effettua l´instradamento dati per routing al suo standby?

    Informazione: Il server deve essere raggiungibile per il client anche tramite lo standby del progetto che è interessato dal ruoting.

Messaggi di errore

Gli errori che vengono riconosciuti nel corso del controllo topologico, vengono visualizzati nell´Albero eventi , più precisamente nella colonna Risultati controllo.

Errore

Causa

Soluzione

Il progetto di partenza non è noto!

Il progetto di partenza non è reperibile.

Correggere la configurazione di progetto, oppure implementare nel workspace il progetto mancante.

Il computer è indicato nello stesso tempo come sever e come standby!

Server e server di standby devono essere due computer diversi.

Definite dei computer diversi come server e server standby.

Non c´è un computer indicato come server!

Il progetto è in rete, ma non è stato progettato alcun server.

Stabilite quale computer deve fungere da server.

Il progetto non viene avviato sul computer (nome)! Ciò, però, è assolutamente necessario, visto che vi si accede da livelli gerarchici superiori.

Il progetto non è caricato sul computer in questione. Il routing per il progetto viene però effettuato mediante questo computer.

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Interno ID: Segnalazioni di errore nel controllo della topologia

Attiva routing

Attiva: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing. Per questo motivo, consigliamo di disattivare questa impostazione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Accesso circolare al server: Il computer (nome) rimanda al client (nome)!

Il percorso di routing dal client al server funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Accesso circolare allo standby: Il computer (nome) rimanda al (nome)!

Il percorso di routing dal client allo standby funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Il computer (nome) non è contenuto nella lista dei calcolatori.

Il computer manca nella lista dei calcolatori per la topologia.

Aggiungi il computer alla topologia.

Non controllato, dato che si è verificato un grave errore nella topologia.

A causa di un grave errore, il controllo non è stato effettuato.

Elimina errore grave.

Percorso di accesso circolare: (Nome del PC)

Il percorso di routing dal client ad un server/standby funziona in circolo.

Il campo "Nome computer" contiene i nomi dei calcolatori coinvolti.

Struttura: il primo calcolatore è sempre il client. Il separatore fra i nomi calcolatori indica se il computer successivo funge da server o da standby.

  • > indica che il computer successivo è il server.
  • „+" indica che il computer successivo è lo standby.

Per esempio: PC 1 +PC 2>PC 3

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Esiste un accesso circolare dal server al client!

Nel´effettuare la ricerca sulla base dei nodi definiti, il computer-client trova il server.

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Il server (nome) non riesce a raggiungere questo client!

Il percorso del server indicato verso il client non è chiuso. Il cliento è contenuto nella lista client sul server, ma non viene sincronizzato. (Sul client non spariscono i punti blu)

Adattare topologia o progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.


Ridondanza

Manuale -> Rete -> Ridondanza

La ridondanza fa sì che, anche nel caso in cui il server dovesse smettere di funzionare, non ci sia un´interruzione dei processi e una perdita di dati. Nel caso di sistemi ridondanti, si differenzia fra:

  • ridondanza software: solo il server scrive sul PLC. Lo standby ha un accesso di sola lettura.
  • Ridondanza hardware: anche i PLC sono organizzati in modo ridondante. Standby scrive sul PLC di standby.

La scelta la prendete al momento di configurare lo Standby-Server.

Info Informazioni

La ridondanza non è disponibile sotto zenon Operator. Le impostazioni concernenti la ridondanza vengono ignorate.

Ridondanza software

La ridondanza software consiste di: un PLC e due calcolatori ridondanti (server e server in standby).

Il server comunica in modo bidirezionale con il PLC, lo standby comunica con il PLC con accesso di sola lettura. Lo stanby sincronizza i dati con il server.

Nel caso in cui server dovesse smettere di funzionare:

  • il server in standby passa a fare le veci del server
  • la Ridondanza senza lacune garantisce una registrazione dei dati senza interruzioni anche durante il tempo morto che intercorre fra il momento in cui il server si blocca e quello in cui si passa allo standby
  • lo standby comunica in qualità di server in modo bidirezionale con il PLC

Ridondanza hardware

La ridondanza software consiste di: due PLC ridondanti e due calcolatori ridondanti (server e server in standby).

Il server comunica in modo bidirezionale con un PLC, lo standby comunica in modo bidirezionalecon il secondo PLC. Lo standby si sincronizza con il server, il secondo PLC con il primo PLC.

Nel caso in cui il server o il PLC del server dovessero smettere di funzionare:

  • il server in standby passa a fare le veci del server
  • lo standby comunica in qualità di server con il suo PLC
  • la Ridondanza senza lacune garantisce una registrazione dei dati senza interruzioni anche durante il tempo morto che intercorre fra il momento in cui il server si blocca e quello in cui si passa allo standby

Ridondanza con zenon

La sicurezza contro perdite di dati viene raggiunta grazie al meccanismo della ridondanza perché ogni server di progetto viene, per così dire, assicurato dalla presenza di un secondo server, il cosiddetto server in standby.

zenon Vi consente la configurazione di:

  • Ridondanza senza interruzioni: impedisce la perdita di dati nel caso di un´interruzione del funzionamento del server, realizzabile già a partire da 2 calcolatori:

    Lo standby riconosce che il server ha smesso di funzionare e assume automaticamente l´intera funzionalità del server. Per evitare che dei dati vadano perduti nell´intervallo di tempo intercorrente fra l´emergere del problema di funzionamento del server e il riconoscimento del problema stesso (tempo morto), lo standby immagazzina in un buffer i dati generati in questo periodo. Dopo che un server ha smesso di funzionare, si ricorre a questo buffer, il che permette di evitare che si perdano dati.

  • Ridondanza circolare: assicura diversi progetti allo stesso tempo, realizzabile già con tre calcolatori.

    Connubio di ridondanza senza interruzioni e gestione multiprogetto.

Entrambe queste forme di ridondanza possono essere progettate in modo molto semplice. I dettagli concernenti la configurazione di reti ridondanti li trovate qui:

  • zenonRidondanza senza interruzioni
  • zenon Ridondanza circolare
  • Ridondanza per zenon Logic e zenon (Guida zenon Logic Runtime)

Per la ridondanza zenon devono essere definiti solamente server e standby-server. Server e server in standby possono continuare ad essere utilizzati come „workstation operative”. Le modifiche al progetto vengono registrate sul server di progetto, il server standby ed i client collegati eseguono automaticamente la sincronizzazione online dei dati. Tutti i PC dispongono sempre della stessa versione del progetto.

Info Informazioni

Se c´è solamente un PLC a disposizione che offre una comunicazione unidirezionale, si può attivare nelle Impostazioni generali della configurazione driver l´opzione Stop sullo Standby-Server. Così verrà interrotto il driver sul server di standby e riavviato solamente quando verrà settato come server.


Ridondanza senza interruzioni

Manuale -> Rete -> Ridondanza -> Ridondanza senza interruzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La ridondanza senza interruzioni impedisce che ci sia una perdita di dati in caso di interruzione di funzionamento del server. Anche il tempo morto che intercorre fra interruzione di funzionamento del server e riconoscimento del problema, è assicurato.

Per realizzare la ridondanza senza interruzioni di un progetto avete bisogno solamente di due semplici PC:

Funzionamento della ridondanza senza interruzioni

  • un server e un server di stand-by sono abilitati simultanemente per un progetto
  • Il server ha, come in una normale rete client/server, il controllo di tutti i dati
  • Il server in standby riceve tutti i dati dal server e rimane completamente gestibile.
  • Il server in standby registra autonomamente tutti i dati storici come allarmi, CEL e archivi e sincronizza ricette, utenti ecc, con il server.
  • Poiché le informazioni arrivano sempre dal server, tutti i dati sono sempre attuali e sicuri.
  • Se il server si arresta, quello in standby passa alle funzionalità di server ed ne eredita tutti i compiti. Anche nel tempo morto (quello intercorre fra interruzione di funzionamento del server e riconoscimento del problema) non c`è alcuna perdita di dati (ridondanza senza interruzioni).
  • Tutti i client connessi vengono informati dell’arresto del server e si connettono in modo automatico al nuovo server.
  • Quando il server originale torna online
    • si collega con il server in standby
    • e sincronizza i dati
    • per poi ritornare a svolgere il ruolo di server.

    Anche in questo caso non c'è alcuna perdita di dati.

  • Tutti i client connessi, incluso quello in standby, tornano a sottoporsi al server.

Configurazione della ridondanza senza interruzioni

  1. definite anzitutto un Standby-Server
  2. lo standby registra in una sorta di buffer tutti i dati prodotti in questo periodo
  3. quando il server smette di funzionare, ne prende il posto lo standby
  4. il buffer viene ripreso e, in tal modo, anche il tempo morto necessario per il passaggio da server a server in standby è al sicuro dalla perdita di dati

Strutture speciali nella comunicazione fra server e server in standby

Tenete presenti le regole valevoli nel caso della seguente struttura di comunicazione fra server e standby:

  • il server è fermo -> lo standby-server funziona -> il server viene avviato -> il server va a prendersi tutti i dati Runtime dallo standby

In casi eccezionali si possono verificare dei conflitti:

  1. modifiche di progetto effettuate con il server bloccato
  2. non chiaro chi svolge il ruolo di server a causa di problemi nel funzionamento della rete

1. modifiche di progetto effettuate con il server bloccato

Se effettuate delle modifiche al progetto mentre il server non funziona e le caricate prima della sincronizzazione solo su questo server, esse verranno sovrascritte quando il server andrà a prendersi i dati dallo standby.

Per evitare ciò: caricate prima dell´update i dati modificati anche sullo standby.

2. non chiaro chi svolge il ruolo di server a causa di problemi nel funzionamento della rete

In casi eccezionali può verificarsi che tutti e due i calcolatori si vedano nel ruolo di server. Una causa di ciò può essere, per esempio, la perdita della connessione di rete per mancato switch, cavi non a posto ecc. In questo caso la comunicazione fra server, server in standby e client è falsata.

Se questa problema viene risolto e i due server riprendono a comunicare l´uno con l´altro, quello progettato come server riassume il rango prioritario nella gestione dei dati. Il che significa: I dati attuali del server in standby potrebber essere sovrascritti.

Per evitare ciò:

  1. effettuate sempre un controllo con la variabile di sistema Server attuale:
    in tal modo potete verificare in quale ruolo si trova il Runtime, e potete scoprire doppi server.
  2. Chiudete il progetto zenon sul server che ha perso la connessione di rete.
  3. Ripristinate poi la connessione di rete.
  4. Riavviate il progetto zenon sul server.
  5. Il progetto partirà poi come standby, sincronizzerà i suoi dati e tornerà a svolgere il suo ruolo di server.

Un consiglio: monitorate la connessione di rete con il Redundancy Management Tool.


Impostazione di un server di standby.

Manuale -> Rete -> Ridondanza -> Ridondanza senza interruzioni -> Impostazione di un server di standby.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare un server in standby:

  1. Aprite nelle proprietà di progetto nell´editor il gruppo Rete.

    Interno ID: Impostazione di un server di standby.

    Rete

    Proprietà per l’utilizzo del progetto in rete

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Inserite nella proprietà Standby il nome del calcolatore che deve fungere da server ridondante. (Entrambi i calcolatori devono avere una connessione con il PLC).

    Interno ID: Impostazione di un server di standby.

    Standby

    Disponibile solamente se nella proprietà Server è stato inserito un server.
    Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

    Interno ID: Impostazione di un server di standby.

    Timeout [s]

    Disponibile solo se la proprietà Rete attiva è stata attivata.

    Interno ID: Impostazione di un server di standby.

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
    Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

    Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Impostazione di un server di standby.

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
    Attenzione: server e standby devono avere lo stesso tempo assoluto.
    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Potete inserire il nome del calcolatore:

    1. mediante la selezione dalla lista a cascata dopo aver cliccato sul pulsante ...
    2. digitandolo manualmente

Selezionate nella proprietà Tipo di ridondanza la forma di ridondanza desiderata scegliendola fra quelle proposte dalla lista a cascata:

Interno ID: Impostazione di un server di standby.

Tipo di ridondanza

Disponibile solo se nella proprietà Standby sia stato inserito un calcolatore!

zenon supporta due tipi di ridondanza:

Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ridondanza software:

    Il sistema è formato da un PLC e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

    Solo zenon è eseguito in modo ridondante. Il PLC non è ridondante.

  • Ridondanza hardware:

    Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

    Sia zenon che i PLC sono eseguiti in modo ridondante.


zenon ridondanza circolare

Manuale -> Rete -> Ridondanza -> zenon ridondanza circolare

La ridondanza circolare di zenon consente di realizzare un meccanismo di ridondanza senza interruzioni, che coinvolge diversi progetti; questo meccanismo ha l´ulteriore vantaggio di non richiedere un grande dispiego di risorse hardware. B

Per ogni progetto ridondante si ha bisogno normalmente di 2 calcolatori: un server e uno standby. 3 progetti, dunque, hanno bisogno di 6 calcolatori. Con la ridondanza circolare di zenon è sufficiente usare 3 calcolatori per gestire in modo sicuro tre progetti. Per ogni ulteriore progetto si ha bisogno di un altro PC. zenon unisce i vantaggi della Gestione multiprogetto a quelli della Ridondanza bumpless.

Concetto dell ridondanza circolare

La ridondanza circolare utilizza le possibilità messe a disposizione dalla gestione multiprogetto. su un PC possono essere attivi più progetti contemporaneamente. Ogni PC è una volta server e una volta standby per il suo progetto vicino e può essere anche client per altri progetti. Ne risulta una struttura circolare. Invece che, per esempio, 4 calcolatori e licenze per 2 progetti, 6 per 3 o 8 per 4, non avere bisogno che della metà.

Topologia con 3 progetti

  • Sul PC 1 è attivo il progetto A come progetto server e il progetto B come progetto standby
  • Sul PC 2 è attivo il progetto B come progetto server e il progetto C come progetto standby
  • Sul PC 3 è attivo il progetto C come progetto server e il progetto A come progetto standby

    Il cerchio si chiude.

  • Ogni calcolatore può fungere allo stesso tempo da client per tutti i progetti.
  • Risorse necessarie: 3 calcolatori e 3 licenze Runtime.

Normalmente si avrebbe bisogno per un sistema del genere di ben 6 calcolatori e 6 licenze Runtime. L’applicabilità della ridondanza circolare di zenon, ovviamente, non è limitata al numero di tre progetti; con tale funzionalità di zenOn si può connettere in circolo quanti progetti si voglia. Siccome i PC possono essere anche i client di altri progetti, è semplice realizzare una linea di produzione sicura, a basso costo, al riparo dal pericolo dell'insorgere di problemi e le cui risorse possono essere sfruttate appieno.

Sincronizzazione temporale con la ridondanza circolare di zenon

Se la zenon Sincronizzazione temporale è attiva, lo standby e i client ricevono il tempo attuale sempre dal server. Nel caso si usi la ridondanza circolare di zenon ciò non ha senso, visto per i singoli PC sono nel contempo server e standby. In questo caso, per esempio, il calcolatore 1 andrebbe a prendere il tempo dal 2, il 2 dal 3 e così via.

Raccomandazione: Vi consigliamo di disattivare in questo caso il meccanismo di sincronizzazione temporale di zenon e di effettuare una sincronizzazione esterna. La procedura da seguire in questo caso la trovate nel capitolo Sincronizzazione tempo in rete.


Redundancy Management Tool

Manuale -> Rete -> Ridondanza -> Redundancy Management Tool

Il Redundancy Management Tool controlla l´adattatore di rete e la sua connessione alla rete. Se l´adattatore non è più connesso alla rete (per es. perché viene staccato il cavo di rete), il Redundancy Management Tool ferma il Runtime. L´utente può interrompere questo processo entro un intervallo di tempo configurabile. Se la connessione alla rete viene ristabilita, il Redundancy Management Tool riavvia il Runtime.

Start e configurazione

Il Redundancy Management Tool può essere configurato tramite apposito dialogo o mediante riga di comando.

Ci sono tre possibilità di aprire il dialogo:

  • a partire dalla cartella start di Windows: Start -> Tutti i programmi -> COPA-DATA -> Tools -> Redundancy Management Tool
  • mediante lo Startup Tool: Tools -> zenon_redman
  • Start diretto del file zenon_redman.exe della cartella di programma di zenon

Dopo che è stato avviato il Redundancy Management Tool, il simbolo corrispondente appare nella parte destra della barra delle applicazioni di Windows. Cliccando due volte sul simbolo, si apre il dialogo di configurazione.

Parametri

Descrizione

Stato

Stato dell´adattatore di rete.

Network adapter connection state

Informazione sullo stato:

  • Connected: esiste una connessione con la rete.
  • Disconnected: la connessione con la rete è stata interrotta.

Runtime state

Stato del Runtime di zenon.

  • Running: il Runtime funziona.
  • Stopped by Redundancy Management Tool: il Runtime è stato interrotto dal Tool.
  • Stopped: il Runtime non funziona.

Settings

Impostazioni.

Monitored network adapter

Selezione dell´adattatore di rete da controllare fra quelli della lista a cascata. La lista mostra tutti gli adattatori trovati nell´apparecchio.

Runtime shutdown delay

Impostazione del tempo di ritardo espresso in secondi prima della chiusura del Runtime. Prima dello scadere di questo intervallo di tempo l´utente può interrompere il processo di chiusura del Runtime.

  • Valore massimo: 2147483647 s.
    I valori maggiori vengono interpretati come 0.

Apply

Riprende le impostazioni, scrive i valori nel file INI e chiude il dialogo.

File INI

Se si sceglie di configurare mediante il dialogo, nel percorso %ProgramData%\COPA-DATA\System viene impostato il file RedMan.ini. Esso contiene i seguenti inserimenti.

Parametri | Descrizione
[DEFAULT] |
ADAPTER= | connessione LAN selezionata
DELAY= | Valore del tempo di ritardo.

Riga comandi

Il Redundancy Management Tool può essere avviato anche mediante la riga comandi.

Possibili parametri:

  • ADAPTER=‘Name‘: Stabilisce l´adattatore di rete da controllare.
  • DELAY=‘secondi‘: Indica il tempo di attesa dopo l´interruzione della connessione.
    Valore massimo: 2147483647. I valori maggiori vengono interpretati come 0.
  • HELP,?: Mostra l´help concernente i parametri delle righe comandi.

Info Informazioni

Nel caso di configurazione mediante riga comandi:

  • vengono riprese direttamente queste impostazioni
  • viene disattivata la configurazione nel dialogo
  • non viene scritto nessun file INI

Nel funzionamento Runtime

Durante il funzionamento Runtime, il Redundancy Management Tool controlla continuamente la connessione di rete. Se la connessione viene interrotta, il Redundancy Management Tool visualizza un messaggio corrispondente e chiude il Runtime dopo lo scadere del tempo di ritardo configurato.

Non appena la connessione viene ripristinata, il Redundancy Management Tool riavvia il Runtime.

Cliccando sul pulsante Cancel , si interrompe il conto alla rovescia e si impedisce che il Runtime venga chiuso. Se la connessione viene ripristinata, il dialogo verrà visualizzato di nuovo se si verifica un´altra interruzione. L´utente può decidere di interrompere il processo di chiusura del Runtime, oppure di consentire che il tool chiuda il Runtime.

Lo stato attuale della connessione e del Runtime vengono sempre mostrati anche nel dialogo di configurazione.

Trattamento degli errori

Messaggi di errore

Gli errori vengono visualizzati mediante dei messaggi popup.

Segnalazione | Significato
GetAdapterAddresses not supported on this patform! Error code '%u'! | La versione del sistema operativo non viene supportata.
GetAdapterAddresses did not return information about network adapters. Error code '%u'! | Il sistema non ha trovato nessun adattatore di rete.

File LOG del Diagnosis Viewer

Nei file LOG del Diagnosis Viewer vengono documentati:

Inserimento | Debug Level | Significato
Network link '%s' down for '%u' seconds. zenon runtime will be terminated. | Errore | Connessione di rete interrotta: il runtime verrà chiuso.
Network link '%s' is up. Restarting zenon runtime now. | Informazione | La connessione di rete è di nuovo disponibile: il Runtime viene riavviato.


Routing

Manuale -> Rete -> Routing

Nel routing, i pacchetti dei progetti subordinati vengono inviati mediante il server del primo Client Projekt (ECP) nel ramo.

  • Esempio pratico: se, in una struttuta che consiste di diversi calcolatori, non ogni calcolatore può raggiungere gli altri, un calcolatore deve agire da router.
  • Realizzazione tecnica: il Server e il Standby dei progetti subordinati vengono modificati su quello di ECP; esso è Server/Standby attivo durante il Runtime.

    Interno ID: Routing

    Standby

    Disponibile solamente se nella proprietà Server è stato inserito un server.
    Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

    Interno ID: Routing

    Timeout [s]

    Disponibile solo se la proprietà Rete attiva è stata attivata.

    Interno ID: Routing

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
    Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

    Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
    Attenzione: server e standby devono avere lo stesso tempo assoluto.
    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Routing

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Routing in generale

Regole base

Nella progettazione di strutture di rete con routing, si devono tenere presente due regole fondamentali. Se una di queste due regole non viene rispettata potrebbero verificarsi dei problemi di comunicazione o altri effetti indesiderati, che però dipendono sempre dalla struttura della rete.

  • Regola 1: Server e livelli
    Un PC che funziona da Server puo essere usato solo nell´ambito di un livello (Ricordanza circolare) molteplicemente da Server o da Standby In un livello superiore o inferiore esso non può più essere definito come Server!
  • Regola 2: Progetti standalone

    Se il progetto di partenza è un progetto standalone, si può usare sotto un solo livello di progetti in rete!

Il client manda al suo server

  • Il client manda il pacchetto al server attivo nel progetto durante il runtime.
  • Se il progetto non è server su questo calcolatore, si continua ad inviare il pacchetto finché non arriva al server.
  • Questa funzionalità non viene influenzata da un progetto di integrazione.

Il server trasmette ad un client con routing.

  1. Se il server ha una connessione diretta con il client, il pacchetto viene mandato lì.
  2. Se esiste una connessione client con il computer di destinazione, il server trasmette il pacchetto a tutti i computer su cui il progetto è attivo per i quali esso funge da server.
  3. Se il nodo ha una connessione diretta con il client, il pacchetto viene mandato lì.
  4. Se il computer funge da nodo, il pacchetto viene mandato a tutti i computer che si sono connessi al computer nodo. Se il computer di destinazione è lo stesso computer sorgente, il pacchetto non viene trasmesso.
  5. La struttura viene continuata come al punto 3.

Indicazione: I punti 2 e 4 vengono eseguiti solo se è attivo il routing su questi computer.

Info Informazioni

Server e standby non devono corrispondere a quelli progettati sui computer client, ma possono variare a seconda della topologia di rete sui singoli computer.

Che cosa è una connessione client?

Per connessione client si intende una connessione di service di rete che viene instaurata mediante un client con il server o standby che guida il processo. La si riconosce dal fatto che esiste la connessione con la port 1100 sul computer di destinazione.

attenzione Attenzione

Non è garantito il fatto che un puro client-computer aggiunto ad una funzionante topologia funzionerà. Specialmente su puri client-computer può accadere a causa del routing, che alcuni progetti non possano essere raggiunti dal server.

Regole per il routing prima della versione 6.50 di zenon :

  1. Il primo progetto client di rete di un ramo su un PC definisce il server e lo standby per tutti i progetti subordinati nel ramo. Ciò vale anche
    • se un progetto subordinato su questo PC fosse server o standby
    • per progetti che in verità non hanno standby-server
  2. Se il progetto sovraordinato non è un progetto di rete o non è un server, i rami dei sottoprogetti de progetto di partenza vengono presi in considerazione parallelamente. In tal modo, diversi computer possono essere server per i progetti sottostanti. Per i rami valgono le regole del punto 1.
  3. Progetti standalone non vengono presi in considerazione per la topologia, fatta eccezione per il progetto di partenza.
  4. Se il progetto di partenza non è server (dunque standalone, client oppure standby che non guida il processo), nel service di rete il routing non viene attivato. Ciò concerne solamente la direzione dal server al client.

Regole per il routing a partire dalla versione 6.50 di zenon :

Di default, la funzione Attiva routing è disattivata a partire dalla versione 6.50.

Interno ID: Routing

Attiva routing

Attiva: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing. Per questo motivo, consigliamo di disattivare questa impostazione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Senza routing

Se nel progetto di partenza sul computer non è attiva la proprietà Attiva routing, non si effettua il routing. In questo caso, ogni progetto si collega al computer corrispondente dove è server, in modo diretto. In questo caso, il computer non è un nodo ed esso non effetta il routing per i pacchetti.

Con routing

Rimangono valide le regole vigenti prima della versione 6.50.

Eccezione:

  • un progetto che si trova sul computer che funge da server o da standby, rimane server o standby anche se il progetto sovraordinato usa un altro server o standby.

Controlla routing

Per controllare le impostazioni concernenti il routing, usate la procedura descritta in "Gestisce topologia di rete".


Esempio per routing

Manuale -> Rete -> Routing -> Esempio per routing

Routing per:

  • PC3 P1 + P1_1 via PC1
  • PC1/P1_1 via PC2

Situazione di partenza

La seguente grafica contiene i computer, i progetti che sono attivi in questi computer e i nomi server progettati.

  • PC1 ... PC4 = calcolatori da 1 a 4
  • Px = numero-progetto
  • IPRJ = progetto di integrazione
  • S = server
  • CL = client

Server nel runtime:

PC1 |
IPRJ | PC1
P1 | PC2
P1_1 | PC2

PC2 |
P1 | PC2
P1_1 | PC4

PC3 |
IPRJ | PC1
P1 | PC1
P1_1 | PC1

PC4 |
P1_1 | PC4

Esempio

Se un pacchetto di PC3/P1_1 viene trasmesso al suo server, la via è quella che segue.

PC3/P1_1 -> PC1 -> PC2 -> PC4

Collegamenti fra i computer:

Client instaura la comunicazione | Server
PC3 | PC1
PC1 | PC2
PC2 | PC4


Autorizzazioni di accesso in rete

Manuale -> Rete -> Autorizzazioni di accesso in rete

Sulla base dell´impostazione di base, un progetto di rete può essere gestito da tutte le stazioni. Gestire significa in questo caso: intervenire in modo attivo nel processo, cioè: settare dei valori, eseguire delle ricette, ripristinare degli allarmi, ecc.

Così può anche succedere che due utenti vogliano settare contemporaneamente da due stazioni diverse un valore per la stessa variabile. In questo caso:

  • vengono eseguite entrambe le azioni
  • il valore inserito per ultimo sovrascrive tutti i precedenti

Tuttavia zenon vi offre l´opportunità di rendere possibile la gestione del progetto solamente da una stazione alla volta. In questo caso, un utente deve procurarsi nella sua stazione le autorizzazioni di rete prima di poter gestire il progetto. L´apertura di immagini, la lettura delle liste, ecc. rimane anche in questo caso possibile da ogni stazione.

Procedura

Nel caso che la proprietà Autorizzazione attiva sia attiva:

Interno ID: Autorizzazioni di accesso in rete

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Interno ID: Autorizzazioni di accesso in rete

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • se si vuole effettuare un´azione di gestione attiva, bisogna anzitutto procurarsi la rispettiva autorizzazione.
  • Se la gestione è bloccata a causa di un altro calcolatore, viene aperto un dialogo sul calcolatore che provoca il blocco.
  • L´utente che provoca il blocco può rendere disponibile oppure continuare a bloccare l´autorizzazione.
  • Se non c´è alcuna risposta, l´autorizzazione viene resa di nuovo disponibile dopo la scadenza di un timeout predefinito.
  • Se il sistema riconosce un´interruzione della connessione in rete, l´autorizzazione per questo calcolatore viene azzerata.

Vedi i dettagli nel capitolo:

  • Configura autorizzazioni d´accesso
  • Autorizzazioni d´accesso nel Runtime

Variabile di sistema per l´autorizzazione di comando:

La variabile di sistema informa a proposito dell´autorizzazione di comando:

  • Calcolatore con autorizzazione di comando: Nome del calcolatore che dispone dell´ autorizzazione di comando (string)
  • Autorizzazione qui presente : Calcolatore possiede l´autorizzazione (Bool)
  • Autorizzazione rifiutata: Calcolatore richiede autorizzazione di comando, ma non la riceve (Bool)

Vedi dettagli nel capitolo Messaggi di rete del driver di sistema.


Configura autorizzazioni d´accesso

Manuale -> Rete -> Autorizzazioni di accesso in rete -> Configura autorizzazioni d´accesso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per consentire l´autorizzazione di comando in rete, dovete:

  • attivare le autorizzazioni di comando e configurare dei timeout
  • progettare delle funzioni per la gestione durante il Runtime
  • tenere presente il comportamento della Gestione utenti in rete

Attivare le autorizzazioni di comando

Questa autorizzazione di gestione in rete deve essere attivata nelle proprietà di progetto.

  • Navigate nelle proprietà fino a giungere al gruppo Rete

    Interno ID: Configura autorizzazioni d´accesso

    Rete

    Proprietà per l’utilizzo del progetto in rete

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Attivate la proprietà Autorizzazione attiva

    Interno ID: Configura autorizzazioni d´accesso

    Autorizzazione attiva

    Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
    L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
    Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
    Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
    Default: non attiva.

    Interno ID: Configura autorizzazioni d´accesso

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Fissate il Timeout per la richiesta [s]:

    Interno ID: Configura autorizzazioni d´accesso

    Timeout per la richiesta [s]

    Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
    Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    definite l´intervallo di tempo entro il quale il calcolatore deve rispondere alla richiesta di rendere disponibile un´autorizzazione. Dopo la scadenza di questo tempo, l´autorizzazione di comando viene resa disponibile automaticamente.

    Default: 60 secondi

  • Fissate il Timeout per l'autorizzazione utenti [s]:

    Interno ID: Configura autorizzazioni d´accesso

    Timeout per l'autorizzazione utenti [s]

    Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
    Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
    Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

    Interno ID: Configura autorizzazioni d´accesso

    Timeout [s]

    Disponibile solo se la proprietà Rete attiva è stata attivata.

    Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
    Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

    Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    definite l´intervallo di tempo entro il quale il calcolatore che possiede l´autorizzazione di comando, deve entrare in comunicazione con il server. Dopo la scadenza di questo tempo, l´autorizzazione di comando viene resa disponibile automaticamente. In tal modo il sistema riconosce il verificarsi di interruzioni di connessione in rete. L´autorizzazione di comando non può essere dunque bloccata a causa di un calcolatore non raggiungibile.

    Default: 60 secondi.

    Attenzione: selezionate un intervallo di tempo più corto del timeout di rete nella proprietà Timeout [s]

Funzioni per autorizzazione di comando nel Runtime

Per procurarsi le autorizzazioni utente oppure per renderle di nuovo disponibili, ci devono essere a disposizione nel Runtime le relative funzioni. A tal scopo, disegnate due pulsanti che verranno poi dotati delle funzioni corrispondenti:

  • Prendere i diritti di accesso: procura l´autorizzazione per il proprio calcolatore
  • Rendi disponibile autorizzazione d´accesso: rende di nuovo disponibile l´autorizzazone senza una richiesta esplicita

Prendere i diritti di accesso

  1. Create una nuova funzione.
  2. Selezionate nel gruppo Rete la funzione Autorizzazione comando in rete.
  3. Si apre il dialogo che serve alla scelta delle autorizzazioni in rete.

  4. Scegliete Prendere.

Se questa funzione viene eseguita durante il Runtime, l´autorizzazione di gestione può essere prelevata nella propria stazione.

Rendi disponibile autorizzazione d´accesso

  1. Create una nuova funzione.
  2. Selezionate nel gruppo Rete la funzione Autorizzazione comando in rete.
  3. Si apre il dialogo che serve alla scelta delle autorizzazioni in rete.

  4. Scegliete Rilasciare.

Se questa funzione viene eseguita durante il Runtime, l´autorizzazione di gestione viene resa di nuovo disponibile.


Autorizzazioni d´accesso nel Runtime

Manuale -> Rete -> Autorizzazioni di accesso in rete -> Autorizzazioni d´accesso nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui la proprietà Autorizzazione attiva sia attiva, le azioni di gestione attive vengono eseguite durante il Runtime solamente se la stazione in questione possiede un´autorizzazione di comando.

Interno ID: Autorizzazioni d´accesso nel Runtime

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Interno ID: Autorizzazioni d´accesso nel Runtime

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio

si vuole settare un valore impostabile per una variabile:

  • Questo valore impostabile non viene inviato all´hardware.
  • Si apre invece un box di comunicazione che Vi informa del fatto che non siete in possesso dell´autorizzazione comando per questo progetto.
  • Cliccate sul pulsante per procurarvi l´autorizzazione.

Se nessun altro calcolatore blocca l´autorizzazione:

quest´ultima è disponibile:

  • ottente l´autorizzazione
  • adesso potete settare il valore impostabile
  • Dopo aver effettuato l´operazione che volevate fare, potete rimettere a disposizione di altri utenti l´autorizzazione facendo uso della funzione "rendi disponibile autorizzazione comando".

Se un altro calcolatore blocca l´autorizzazione:

l´autorizzazione è bloccata:

  • sul calcolatore che provoca il blocco si apre un dialogo
  • l´utente di questo calcolatore deve rendere disponibile l´autorizzazione in modo esplicito
    • Si: L´autorizzazione comando viene trasmessa all´altro computer
    • No: l´autorizzazione rimane bloccata
    • Nessuna reazione: incomincia a scorrere un countdown che corrisponde al timeout stabilito nella proprietà Timeout per l'autorizzazione utenti [s]. Giunti a 00:00, l´autorizzazione viene resa disponibile in modo automatico.

      Interno ID: Autorizzazioni d´accesso nel Runtime

      Timeout per l'autorizzazione utenti [s]

      Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
      Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
      Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

      Interno ID: Autorizzazioni d´accesso nel Runtime

      Timeout [s]

      Disponibile solo se la proprietà Rete attiva è stata attivata.

      Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
      Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

      Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


zenon Funzioni in rete

Manuale -> Rete -> zenon Funzioni in rete

Quando si usano delle funzioni in rete, bisogna tener presente il Luogo di esecuzione. Per alcune funzioni, il luogo di esecuzione può essere configurato liberamente, per altre esso è predeterminato.

Funzioni speciali per la rete sono:

  • Autorizzazione in rete
  • Cambio ridondanza


Autorizzazione in rete

Manuale -> Rete -> zenon Funzioni in rete -> Autorizzazione in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per procurarsi le autorizzazioni utente oppure per renderle di nuovo disponibili, ci devono essere a disposizione nel Runtime le relative funzioni. A tal scopo, disegnate due pulsanti che verranno poi dotati delle funzioni corrispondenti:

  • Prendere i diritti di accesso: procura l´autorizzazione per il proprio calcolatore
  • Rendi disponibile autorizzazione d´accesso: rende di nuovo disponibile l´autorizzazone senza una richiesta esplicita

Prendere i diritti di accesso

  1. Create una nuova funzione.
  2. Selezionate nel gruppo Rete la funzione Autorizzazione comando in rete.
  3. Si apre il dialogo che serve alla scelta delle autorizzazioni in rete.

  4. Scegliete Prendere.

Se questa funzione viene eseguita durante il Runtime, l´autorizzazione di gestione può essere prelevata nella propria stazione.

Rendi disponibile autorizzazione d´accesso

  1. Create una nuova funzione.
  2. Selezionate nel gruppo Rete la funzione Autorizzazione comando in rete.
  3. Si apre il dialogo che serve alla scelta delle autorizzazioni in rete.

  4. Scegliete Rilasciare.

Se questa funzione viene eseguita durante il Runtime, l´autorizzazione di gestione viene resa di nuovo disponibile.


Cambio ridondanza

Manuale -> Rete -> zenon Funzioni in rete -> Cambio ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione si può passare da server a standby server durante il Runtime. Il server attuale diventerà server in standby e viceversa. Il cambio è permanente finché:

  • non viene eseguita la funzione nuovamente

    oppure

  • non vengono aggiornati i file Runtime provenienti dall´Editor

Dei possibili esempi di applicazione sono, ad esempio: lavori di manutenzione sul server, una migliore connessione hardware dello standby ecc.

Info Informazioni

Questa funzione non è adatta per testare la ridondanza, visto che il comportamento è diverso da quello in caso di malfunzionamento del server.

Per configurare la funzione:

  1. Create una nuova funzione.
  2. Selezionate nel gruppo Rete la funzione Cambio-ridondanza.

    (Non è necessario effettuare delle ulteriori configurazioni.)

  3. Collegate la funzione ad un bottone


Comportamento dei moduli di zenon in rete.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di progetti di rete si deve tener presente come si comportano i singoli moduli e le singole funzioni in rete.


AML e CEL

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gestione allarmi

Gli allarmi vengono gestiti dal server. Il server risponde alle richieste dei client concernenti gli allarmi. Le modifiche vengono sincronizzate fra server e standby.

Lista Eventi Cronologica

La CEL viene gestita sul server. Le modifiche vengono sincronizzate fra server e standby.


Archiviazione:

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Archiviazione:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´archiviazione si esegue sul server.

Il server sincronizza i dati di archivio con lo standby e risponde alle richiesta dei client.


Gestione utenti

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Gestione utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione utenti viene effettuata sul server. Procedura di un login:

  1. la richiesta di login viene inviata al server.
  2. Esso risponde con la lista degli utenti autorizzati.
  3. Il client verifica i dati.

Se durante il Runtime si effettuano su un client delle modifiche alla gestione utenti, tutta la lista di user viene inviata dal client al server.


File

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

File

Nello scambio dati fra server e server in standby vengono create delle liste per i file di tutti i moduli. Il server controlla queste liste per verificare la presenza di modifiche. Le modifiche appurate vengono trasmesse al server in standby.

attenzione Attenzione

Durante la generazione delle liste, il server non reagisce a watchdog che vengono mandati dal server in standby. Tenetelo presente quando fissate il tempo per la proprietà Timeout [s] nelle proprietà di rete.

Interno ID: File

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: File

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attraverso il trasporto remoto i seguenti file vengono trasmessi al sistema di destinazione. Vengono sempre trasmessi tutti i file delle cartelle:

  1. Standard

    Tutti i file che si trovano nel percorso runtime del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

    1. tutti i file d´immagine ("Bildname".zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (non per CE!)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Inoltre: project.ini e projekt.vba, che si trovano sempre nella cartella di progetto.

Info Informazioni

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re
  1. Opzionale

    In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Remote Transport. Questi file si trovano nei seguenti sotto percorsi del percorso del progetto:

    1. \zenon\custom\graphics: per grafiche
    2. \zenon\custom\lists: per le tabelle lingua
    3. \zenon\custom\media: per tutti i file media
    4. \zenon\custom\reports: per le tabelle del generatore report
    5. \zenon\custom\help: per i file della guida in linea
    6. \zenon\custom\additional: per file addizionali
    7. \zenon\custom\drivers: per driver
    8. \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

  2. Imposta progetto runtime remoto

    Per il Runtime, il progetto di partenza deve essere indicato nel zenon6.ini. A tale scopo, cliccate sul pulsante Remote Runtime Setta progetto di partenza che si trova nella Barra simboli Remote Transport. Vengono fatti i seguenti inserimenti:

    [PATH]

    VBF30=percorso del progetto

    [DEFAULT]

    DEFANWENDUNG30=nome del progetto

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene messo a disposizione automaticamente per il trasporto. Non occorre nessuna impostazione aggiuntiva. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiche inclusi nel progetto specifico!

attenzione Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, nessun file viene più sincronizzato.


Trend esteso

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Trend esteso mostra delle informazioni provenienti da archivi e dati online. Questi dati vengono salvati sul server.

Il server sincronizza i dati modificati con lo standby e risponde alle richiesta dei client.


Funzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di funzioni che vengono usate in rete:

  • il luogo nel quale esse vengono eseguite può essere in alcuni casi configurato liberamente
  • in altri casi tale luogo è definito in modo fisso

Info Informazioni

Gli script legano insieme diverse funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singoli funzioni.

Configura luogo di esecuzione

Nel caso delle funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente ha a disposizione i parametri corrispondenti, che si trovano nelle proprietà della funzione. Per definire il luogo di esecuzione:

  1. Navigate nelle proprietà della funzione fino a giungere al gruppo Esecuzione:

    Interno ID: Funzioni

    Esecuzione:

    Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Selezionate il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione si esegue sul calcolatore attuale.

      Interno ID: Funzioni

      PC attuale

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul computer sul quale è stata avviata.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Server: la funzione si esegue sul server.

      Interno ID: Funzioni

      Server

      Disponibile solo in progetti di rete:
      La funzione viene eseguita sul server di progetto.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Standby: la funzione si esegue sul server.

      Interno ID: Funzioni

      Standby

      Disponibile solamente in progetti di rete ridondati:
      La funzione viene eseguita solo sul Server Standby

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Client: la funzione si esegue su tutti i clients.

      Interno ID: Funzioni

      Client

      Disponibile solamente in progetti di rete:
      la funzione viene eseguita su tutti i client del progetto.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Visione generale - Funzioni in rete

La seguente tabella mostra quali funzioni vengono eseguite in quale posto.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Si

    -: No

    O: default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Calcolatore attivo
    • Server
    • standby
    • client

Funzione | Configurabile | PC attuale | Server | Standby | Client
AML e CEL |  |  |  |  |
Ripristino lampeggio allarmi | - | O |  |  |
Cancellazione allarmi | - |  | O | O |
Ripristina allarmi | - |  | O | O |
Attiva_disattiva gruppo allarmi_eventi | - | O |  |  |
Attiva/disattiva lista allarmi/gruppo allarmi/eventi/classi allarmi/eventi. | - |  | O | O |
Lista di informazione allarmi attiva | - |  | O |  |
Lista allarmi attiva/inattiva | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta AML | + | O |  |  |
Lista allarmi e CEL: Salvataggio buffer circolare | - |  | O | O |
Esporta CEL | + | O |  |  |
Stampa AML e CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia stampa online di una nuova pagina | + | O |  |  |
Cambio stampa online | - |  | O |  |
Applicazione |  |  |  |  |
Selezione stampante | + | O |  |  |
Partenza EMS | - |  | O |  |
Stop EMS | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Attiva funzioni per valori limite | - |  | O | O |
Attiva/distattiva funzioni per valori limite | - |  | O | O |
Disattiva funzioni per valori limite | - |  | O | O |
Richiama l’Help | + | O |  |  |
Aggiorna il progetto | + | O |  |  |
Determinare le operazioni di manutenzione aperte | - |  | O |  |
PFS - Attiva evento definito dall´utente | + | O |  |  |
Attivare/disattivare "Setta valore impostabile": | - | O |  |  |
Simulazione click tasto destro | + | O |  |  |
Salva dati ritentivi | + | O |  |  |
Terminare il runtime | + | O |  |  |
Analizzare euristica S7-Graph | + | O |  |  |
SAP-Esegui funzione | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca messa a terra | - |  | O |  |
Topologia - LoadShedding | - |  | O |  |
Server archivi |  |  |  |  |
Terminare archivio | - |  | O | O |
Indicizzare archivio | - |  | O |  |
Partenza archivio | - |  | O | O |
Esporta archivi | - | O |  |  |
Mostra archivi aperti | - |  | O | O |
Gestione utenti |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Logout | + | O |  |  |
Modifica password | - | O |  |  |
Immagini |  |  |  |  |
ALC - Modifica colore fonte | + | O |  |  |
Cambio immagine con Variabile | - | O |  |  |
Immagine: chiudi | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Attiva impostazione su elemento focalizzato | +- | O |  |  |
Focalizzazione sul modello | + | O |  |  |
Sposta focus | - | O |  |  |
Elimina focalizzazione dal modello | + | O |  |  |
Visualizza menu | + | O |  |  |
Assegna monitor | + | O |  |  |
Profili runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Ricerca errori in reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control Indicazione: teoricamente, i luoghi di esecuzione possono essere configurati a piacere. Le modifiche non hanno nessun effetto. Message Control viene eseguito sempre sul server. |  |  |  |  |
Visualizza banca dati dei destinatari | + | O |  |  |
Invia messaggio | + | O |  |  |
Messaggio invia: attivare | + | O |  |  |
Messaggio invia: disattivare. | + | O |  |  |
Rete |  |  |  |  |
Autorizzazione in rete | + | O |  |  |
Commutazione ridondanza | - |  |  | O |
Generatore di rapporti |  |  |  |  |
Stampare report | + |  |  |  |
Eseguire report | + |  |  |  |
Esporta report | + |  |  |  |
Ricette |  |  |  |  |
Manager gruppi ricette | - | O |  |  |
Ricette Standard | - | O |  |  |
Richiamo diretto ricetta standard | + | O | O | O | O
Richiamo ricetta singola con selezione | - | O |  |  |
Ricetta standard con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script. | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esportazione Dati | - |  | O |  |
Leggere file dBase | + | O |  |  |
Stampa valori momentanei | + | O |  |  |
Cambio unità | + | O |  |  |
Gestione HD on | - |  | O | O |
Gestione HD off | - |  | O | O |
Gestione HD off/active | - |  | O | O |
Setta valori impostabili | - |  | O |  |
Comandi driver | - | O |  |  |
Funzione Trasmetti driver-immagine di simulazione allo standby | - |  |  |  | O
Scrivere ora nella variabile | + | O |  |  |
Leggere ora da variabile | + | O |  |  |
VBA |  |  |  |  |
Aprire l’editor PCE | - |  | O |  |
Aprire l’editor VBA | + | O |  |  |
Esegui macro VBA | + | O |  |  |
VBA macro - Visualizza il dialogo | + | O |  |  |
VSTA |  |  |  |  |
Aprire l’editor VSTA | + | O |  |  |
Esegui macro VSTA | + | O |  |  |
Visualizza dialogo delle macro VSTA | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Start file audio continuo | + | O |  |  |
Stop file audio continuo | + | O |  |  |
Sullo sfondo | - | O |  |  |
In primo piano | - | O |  |  |
Stampa Screenshot | + | O |  |  |
Lancia programma | + | O |  |  |


Message Control

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Message Control è legato al server.

  • I dati vengono gestiti sul server.
  • I messaggi vengono sempre inviati dal server.
  • Le modifiche devono essere sempre effettuate sul server.
  • Le modifiche che sono effettuare su un client, vanno perdute.

Info Informazioni

Facendo uso delle proprietà del gruppo Esecuzione: in corrispondenza delle funzioni, è possibile teoricamente definire un luogo di esecuzione diverso dal server. Queste impostazioni rimangono però prive di alcun effetto. Le funzioni corrispondenti vengono eseguite automaticamente sul server.

Interno ID: Message Control

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Interfacce di programmazione

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Interfacce di programmazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

VBA e VSTA

Di default, Code in VBA o VSTA viene sempre eseguito localmente sul sistema su cui viene avviato.

Il luogo di esecuzione, però, può essere sempre definito in modo alternativo aprendolo tramite una Funzione.

PCE

PCE viene sempre eseguito localmente sul sistema su cui viene avviato.


Generatore di rapporti

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I file *.xrs del generatore di rapporti vengono sincronizzati su tutti i sistemi in rete (Client, Standby, Server).

Editor

Se il file viene modificato nell`Editor di zenon e tramesso al server, quest´ultimo invia il file modificato via servizio Push a tutti gli altri calcolatori della rete.

Runtime

Se il file viene modificato durante il Runtime, i cambi vengono salvati solo temporaneamente e sostituiti al momento del prossimo Reload o riavvio del Runtime.


Ricette

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´esecuzione di ricette è differente a seconda che si tratti di ricette standard o RGM.

Ricette standard

Le ricette standard vengono gestite sul server e sullo standby.

Se una ricetta standard deve essere modificata da un utente durante il Runtime, il client richiede al server la lista completa delle ricette. Quando si effettua la modifica, la lista delle ricette viene rimandata al server.

Info Informazioni

Questa lista non è identica al file rezepturen.cmp.

Se una ricetta viene modificata ed eseguita durante il Runtime sul client, essa viene eseguita con i nuovi valori. Al momento della chiusura della ricetta standard, il sistema offre la possibilità di salvare le modifiche.

Manager gruppi ricette

Con il caricamente dell´immagine Manager gruppi ricette sul client, una lista di tutti i nomi ricetta viene richiesta dal server. Non appena viene selezionata una ricetta, essa viene caricata dal server.


Script:

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Script:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli script legano insieme diverse funzioni. Il luogo di esecuzione dipende dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle singoli funzioni.

L´esecuzione di script in rete viene gestita da script predefiniti.

Script | Descrizione | Luogo di esecuzione
AUTOSTART | Lo script viene eseguito automaticamente al momento dell´avvio del Runtime ancor prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Quando vengono avviati i progetti subordinati, esso non viene eseguito. | Progetto di rete Server Progetto standalone: Calcolatore attivo
AUTOEND | Lo script viene eseguito automaticamente al momento della chiusura del Runtime se il progetto è quello di partenza del Runtime. Quando vengono chiusi i progetti subordinati, esso non viene eseguito. | Progetto di rete: Server Progetto standalone: Calcolatore attivo
AUTOSTART_CLIENT | Lo script viene eseguito automaticamente su un client al momento dell´avvio del Runtime ancor prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Quando vengono avviati i progetti subordinati, esso non viene eseguito. | client
AUTOEND_CLIENT | Lo script viene eseguito automaticamente su un client al momento della chiusura del Runtime se il progetto è quello di partenza del Runtime. Quando vengono chiusi i progetti subordinati, esso non viene eseguito. | client
AUTOSTART_SRVPRJ | Lo script viene eseguito automaticamente al momento dell´avvio del Runtime di un progetto qualsiasi sul server di progetto ancora prima del caricamento della schermata di partenza. | Server
AUTOSTART_SRVPRJ | Lo script viene eseguito automaticamente al momento della chiusura del Runtime di un progetto qualsiasi sul server di progetto. | Server


Driver - Variabili - Rema

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver - Variabili - Rema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella rete di zenon, solamente driver e standby comunicano con il PLC. Le richieste dei client passano attraverso il server. Il server va a prendere le informazioni dal PLC e le passa al client. I valori limite vengono tenuti sotto controllo dal server.

Driver

I driver vengono eseguiti solamente sul server.

Variabili interne

Nel caso di variabili interne, si può definire in zenon per ogni singola variabile se ne deve essere effettuato il calcolo localmente o in rete. Per far ciò:

  1. navigate al nodo Variabili Interne nell´ambito delle proprietà delle variabili interne

    Interno ID: Driver - Variabili - Rema

    Variabili Interne

    Proprietà per le variabili interne.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. stabilite mediante la proprietà Funzionamento quale deve essere il luogo di esecuzione:

    Interno ID: Driver - Variabili - Rema

    Funzionamento

    Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
    Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
    Rete: nei progetti di rete, la variabile interna viene valutata e/o gestita dal progetto sul sever. Essa ha lo stesso valore sul server e su tutti i client.
    Default: locale.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. Localmente: la variabile interna viene analizzata e gestita in caso di progetti di rete sul client. I valori non vengono sincronizzati con gli altri calcolatori della rete.
      Attenzione: i valori limite vengono calcolati e monitorati a livello locale. La conseguenza di ciò:
      - il valore della variabile può essere diverso su ogni client.
      - le funzioni vengono eseguite.
      - la funzione allarme non funziona, perché gli allarmi sono gestiti solamente dal server.
    2. Rete Nei progetti di rete, la variabile interna viene valutata e/o gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti i client.

Funzioni e variabili interne

  1. Calcolo in rete: Client

    Un valore limite di una variabile interna cacolata in rete attiva una funzione che deve essere eseguita su un client. Quando il valore limite viene violato, il sistema genera sul server i seguenti inserimenti Log:

    Il server è competente in caso di violazioni di valori limite e attiva perciò la funzione sul client.

  2. Calcolo in rete: Standby invece che Client

    Un valore limite di una variabile interna cacolata in rete attiva una funzione che deve essere eseguita su un client. Tuttavia, non è disponibile nessun client, ma solamente uno standby. Quando il valore limite viene violato, il sistema genera sul server i seguenti inserimenti Log:

    Il server tratta lo standby come se fosse un client.

  3. Calcolo in rete: Standby

    Un valore limite di una variabile interna cacolata in rete attiva una funzione che deve essere eseguita su uno standby. Quando il valore limite viene violato, il sistema genera sul server i seguenti inserimenti Log:

    Il server invia allo standby un messaggio perché esso esegua la funzione.

  4. Calcolo in rete: Client e Standby

    Un valore limite di una variabile interna cacolata in rete attiva una funzione che deve essere eseguita su un client e sullo standby. Quando il valore limite viene violato, il sistema genera sul server i seguenti inserimenti Log:

    Il server attiva una funzione sul client e invia allo standby un messaggio perché esso esegua la funzione.

Rema

Le matrici di reazione vengono calcolate su client e server.

Se una funzione viene eseguita tramite una matrice di reazione, il luogo di esecuzione viene determinato sulla base delle impostazioni effettuate per la funzione stessa.


Temporizzatori

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Temporizzatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I temporizzatori vengono eseguiti su server e standby.

La funzione attivata viene eseguita su quel sistema che nelle impostazioni è stato scelto per la esecuzione della funzione.


Attribuzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Attribuzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le attribuzioni vengono eseguite sul server e solo per la variabile originaria.

Le attribuzioni dei client vengono sempre ignorate.


Segnalazioni di rete del driver di sistema

Manuale -> Rete -> Segnalazioni di rete del driver di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following system driver variables are available for this subject area:

Name

Data type

Comment

Current server

STRING

local

Computer name of the server that is currently handling the process
If the name was acquired from the hosts file, this is the name entered there. For DNS, this is the Fully Qualified Doman Name.

Note: If the network is deactivated, the variable sends the status INVALID. The Current standby server remains empty in contrast.

Current standby server

STRING

local

Computer name of the server which is currently not handling processes.
If the name was acquired from the hosts file, this is the name entered there. For DNS, this is the Fully Qualified Doman Name.

Number of connected clients

UDINT

Delivers the number of clients currently connected to the server. This number also includes the standby server, if there is one.

Authorization: not granted

BOOL

Shows whether a requested authorization is denied in the network. The value of this variable is changed only for a short time and then changed back to the initial state.
0 = Request for Authorization granted
1 = Request for Authorization denied

Authorization exists (yes(1)(no(0))

BOOL

Shows whether there is an authorization for the current project on the local computer.
0 = no
1 = yes

Authorization: Computer that owns it.

STRING

Shows the name of the computer that has the authorization for the currently loaded project.

Names of connected clients

STRING

Delivers the names of the clients currently connected to the server. The standby server, if there is one, is also included.

Network timeout [milliseconds]

UDINT

Shows the timeout in milliseconds for the zenon network as configured in the project configuration.

Redundancy switch

BOOL

A binary variable that takes the value 1 for a short time when the system performs a redundancy switch between server and standby server.
0 = No redundancy switch
1 = Redundancy switch

Server offline

BOOL

local

Indicates that the connection to the process handling server was lost.
Depending on the network position of the computer, this means:

• Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the connection to the process handling server is lost. Always FALSE after synchronization.

• Non-dominant Server: Changes to TRUE if the connection to the dominant server, which was the process handling server, is lost. Changes back to FALSE if the StandBy was promoted to be the process handling server.

EVALUATION: Preferably via a REMA, as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.

• Client: Changes to TRUE if the connection to the process handling server is lost. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.

Server stop

BOOL

local

Indicates the regular stop of the process handling server.
The value changes to TRUE if the process handling server was stopped properly. FALSE if there is a process handling server in the net.

Depending on the network position of the computer, this means:

• Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the process handling server has stopped.

• Non-dominant Server: Changes to TRUE if the dominant server, which was the process handling server, has stopped. Changes back to FALSE if the StandBy was promoted to be the process handling server.

EVALUATION: Preferably via a REMA, as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.

• Client: Changes to TRUE if the dominant server has stopped. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.
Is also TRUE while the process handling non-dominant server changes back to be the non-process handling server.

Server-Standby in data update

BOOL

A binary variable that takes on the value 1 if the server and the standby server are synchronizing files after a redundancy switch.
0 = No file synchronization
1 = File synchronization active

Standalone/Server/Standby-Server/Client

DINT

Shows the type of the local computer in the network.
-1 = Single user
0 = Client
1 = Server
2 = Standby Server

Standby-Server offline

BOOL

Changes to TRUE if the connection to the currently non-process handling server is terminated unexpectedly. If there is a connection, the value is FALSE.

Depending on the network position of the computer, this means:

• Dominant Server: The variable only acts as described from the time when the standby became the server handling the process.

• Non-dominant Server: If, during file synchronization, the connection to a server that is dominant but is not handling the process is interrupted, the value changes to TRUE. Always FALSE if not the server handling the process.

• Client: As per server handling the process.

Standby-Server stop

BOOL

Is TRUE on the process handling server, if the non-process handling server was stopped properly and if there is no connection anymore. Changes to FALSE if the non-process handling server has registered at the process handling server.

Depending on the network position of the computer, this means:

• Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.

• Non-dominant Server: If this is ended during file synchronization with a server that is dominant but is not handling the process, the value changes to TRUE. Always FALSE if not the server handling the process.

• Client: As per server handling the process.

Standby-Server start

BOOL

TRUE if the non-process handling server has registered at the process-handling server and if the data update was performed and the connection between the two computers is active.

Depending on the network position of the computer, this means:

• Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.

• Non-dominant Server: Becomes TRUE if the dominant server not handling the process starts. Changes to FALSE if the computer is the server handling the process.

• Client: As per server handling the process.

Switch from Server to Standby

BOOL

A binary variable that takes on the value 1 if the server becomes the standby server during a redundancy switch.
0 = registered server is available as server in the network.
1 = registered server is available as standby server in the network.

Switch from Standby to Server

BOOL

A binary variable that takes on the value 1 if the standby server becomes the server during a redundancy switch.
0 = registered standby server is available as standby server in the network.
1 = registered standby server is available as server in the network.


Ricette standard

Manuale -> Ricette standard

Le ricette raccologono valori impostabili e comandi in una lista che viene aperte nel runtime con l´apertura di funzione.

Le ricette possono essere configurate sia nell´editor, che durante il runtime (per mezzo di un´immagine del tipo Ricetta standard).

Una raccolta di più ricette viene creata e gestita nel Manager gruppi ricette.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Ricette standard -> Progettazione nell'editor


menu contestuale - manager di progetto

Manuale -> Ricette standard -> Progettazione nell'editor -> menu contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Punto di menu | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Importa ASCII | Importa da file ASCII.
Profilo editor | Apre la lista a cascata per l´attribuzione di un Profilo editor.
Guida | Attiva la guida online


Menu contestuale Visualizzazione dettagliata:

Manuale -> Ricette standard -> Progettazione nell'editor -> Menu contestuale Visualizzazione dettagliata:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli

Punto di menu | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Crea una funzione standard | Apre il dialogo che serve alla selezione di una ricetta e di un´azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Spostare in sù | Sposta l´inserimento all´interno della lista ricette di una posizione verso l´alto.
Spostare in giù | Sposta l´inserimento all´interno della lista ricette di una posizione verso il basso.
Modifica valore impostabile | Attiva la cella Valore impostabile per inserire un valore.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Esporta ASCII selezionati | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinominare | Consente di rinominare della ricetta selezionata. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra proprietà.
Guida | Attiva la guida online

Mene contestuale albero nella visualizzazione dettagliata.

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Rinomina ricetta | Consente di rinominare della ricetta selezionata. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Crea una funzione standard | Apre il dialogo per la selezione di una ricetta e per la definizione dell´azione desiderata.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Esporta ASCII selezionati | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinominare | Consente di rinominare della ricetta selezionata. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra proprietà.
Guida | Attiva la guida online

Menu contestuale Dettagli

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elimina variabile | Elimina le variabili selezionate dopo una richiesta di conferma per ragioni di sicurezza.
Spostare in sù | Sposta la variabile selezionata di una posizione verso l´alto.
Spostare in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Apre la cella con il valore impostabile che si vuole modificare.
Elimina filtro | Elimina tutte le impostazioni di filtro attive
Guida | Attiva la guida online


Crea immagine del tipo "ricetta standard"

Manuale -> Ricette standard -> Progettazione nell'editor -> Crea immagine del tipo "ricetta standard"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione delle ricette durante il runtime si effettua mediante una Immagine del Tipo ricetta standard. Quest'immagine deve essere anzitutto definita nell'editor. (Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.)

Dopo l'apertura dell'immagine, viene aperta un'immagine vuota. Potete impostare gli elementi di controllo standard facendo uso del menu Elementi di controllo/>Inserisci modello.


Creare una nuova ricetta

Manuale -> Ricette standard -> Progettazione nell'editor -> Creare una nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare una nuova ricetta, si deve selezionare nel Manager di progetto la voce Nuova ricetta nel menu contestuale del punto Ricette/ Ricette standard. La nuova ricetta viene poi visualizzata nella sezione lista del Manager di progetto. Nella Sezione lista si effettua poi anche l'ulteriore lavoro di progettazione.


Aggiungere delle variabili alla ricetta

Manuale -> Ricette standard -> Progettazione nell'editor -> Aggiungere delle variabili alla ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo aver creato una nuova ricetta, potete aggiungervi delle variabili.

attenzione Attenzione

Variabili stringa non possono essere scritte con una ricetta standard sul PLC. Per le variabili stringa usate il manager di gruppi ricette.

Variabili vengono selezionate nel dialogo 'Filtro: Selezione variabili'. Le variabili vengono riprese o cliccando due volte, oppure usando il pulsante Aggiungi. E' possibile una selezione multipla. Possono essere utilizzate anche variabili provenienti da sotto-progetti caricati. Tutte le variabile che vengono aggiunte ad una ricetta non devono essere protette da scrittura. Se effettuate delle modifiche concernenti le variabili (ne cambiate la configurazione standard), anche il valore impostabile da settare viene adeguato nella ricetta in modo proporzionale.

Info Informazioni

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Smista variabili

Potete smistare le variabili a piacimento:

Selezionate la variabile la cui posizione nella successione deve essere modificata e scegliete una delle seguenti azioni:

  • spostare usando i tasti delle frecce che si trovano sulla tastiera in basso a destra
  • selezionare nel menu contestuale "su" o "giù".

Menu contestuale Supervisione variabili

Parametri | Descrizione
Inserisci Variabile | Apre il dialogo per la selezione delle variabili.
Elimina variabile | Cancella le variabili selezionate dalla lista dopo la conferma di una segnalazione corrispondente.
Spostare in sù | Sposta la variabile selezionata di una posizione verso l´alto.
Spostare in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Attiva la cellula Valore impostabile ed evidenzia il valore impostabile attuale.
+-E-limina tutti i filtri | Elimina tutti i filtri settati.
Guida | Attiva la guida online


Modifica valore impostabile

Manuale -> Ricette standard -> Progettazione nell'editor -> Modifica valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter modificare il valore impostabile per una variabile, potete o cliccare sulla voce Modifica valore impostabile del menu contestuale, oppure inserire direttamente la modifica desiderata nella colonna "valore impostabile". Per la verifica del valore impostabile vengono visualizzati per ogni variabile il valore minimo e massimo . Se si vuole cancellare delle variabili, è possibile selezionarne più di una, cosa che non è consentita nel caso si vogliano apportare delle modifiche.

La variabile _LASTRECIPE contiene il nome dell'ultima ricetta standard eseguita.

Questo Le permette di effettuare un management di ricette ed avrà in ogni momento l'informazione su quale ricetta viene attualmente modificata.

La variabile _LASTNEWRECIPE contiene il nome dell'ultima ricetta standard creata.

Le variabili _LASTRECIPE und _LASTNEWRECIPE possono essere basate su qualsiasi driver e deve esserne autorizzata la scrittura.

attenzione Attenzione

Eccezioni:

La variabile _LASTRECIPE non è realizzabile con il driver di sistema standard.

La variabile _LASTNEWRECIPE non è realizzabile con il driver di sistema standard.


Controlla Scrivi valore impostabile

Manuale -> Ricette standard -> Progettazione nell'editor -> Modifica valore impostabile -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo, non è stato possibile settare il valore.

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di stati permane finchè non viene inviato una nuova modifica di valore. Poi entrambi gli stati vanno a 0, finchè il procedimento di scrittura non è concluso. Come valore in risposta deve essere richiesta nella matrice la seguente combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attenzione Attenzione

Il meccanismo deve solo verificare che il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore è stato modificato nel PLC, poichè esso può rispedire indietro la modifica e sovrascrivere subito il valore. (Per esempio nella scrittura su uscite o bit di appoggio, che vengono settati solamente a breve termine.)

Module

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valori impostabili: Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .

    Interno ID: Controlla Scrivi valore impostabile

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Manager gruppi ricette: Attivare proprietà Scrittura sincrona.

Inserimento nella CEL

  • Setta valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

    Interno ID: Controlla Scrivi valore impostabile

    Funzioni settaggio valore

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
    Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
    Default: non attiva
    Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

    Interno ID: Controlla Scrivi valore impostabile

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Controlla Scrivi valore impostabile

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Eseguire le ricette

Manuale -> Ricette standard -> Progettazione nell'editor -> Eseguire le ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´esecuzione di ricette può avvenire:

  • durante il runtime per mezzo di pulsante nell´immagine ricetta standard,
  • tramite l´apertura progettata nell´Editor di una funzione per l´esecuzione della ricetta mediante:
    • Script (per es. AUSTOSTART-Script)
    • Stato variabili
    • Elemento ad immagine dinamico, per es. Pulsante


Funzione Cambio immagine Ricette standard

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione cambio immagine a una ricetta standard consente di aprire durante il runtime un´immagine con una ricetta standard.

Per progettare questa funzione:

  1. create una nuova funzione.
  2. selezionate Cambio immagine
  3. selezionate l´immagine desiderata del tipo Ricetta standard
  4. si apre il dialogo filtro per
    • Selezione ricette
    • Proprietà colonne
  5. definite Ricetta e Impostazioni colonne
  6. chiudete il dialogo cliccando su OK.


Cartella Selezione ricetta

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard -> Cartella Selezione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Ricette

Selezione della ricetta che deve essere visualizzata al momento del cambio immagine.

Proporre questo dialogo nel runtime

è attiva: durante il runtime, il sistema offre questo dialogo in concomitanza con un cambio immagine. La ricetta selezionata può essere modificata.

inattiva: l´immagine viene aperta con la ricetta definita nell´Editor. Nessuna possibilità di modifica nel runtime.


Scheda Proprietà colonne

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard -> Scheda Proprietà colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede stabilite quali colonne e in quale forma devono essere visualizzate nel campo lista.

Parametri | Descrizione
Colonne disponibili | Definizione delle colonne visualizzate nel runtime.
Parametri | Impostazione delle proprietà per la colonna evidenziata.
Didascalia: | didascalia della colonna durante il runtime.
Larghezza: | Larghezza della colonna in pixel.
Orientamento: | Orientamento testo della colonna.


Gestione durante il runtime

Manuale -> Ricette standard -> Gestione durante il runtime

Nel funzionamento online per la gestione delle ricette sono a disposizione le seguenti funzioni:

Parametri | Descrizione
Ricetta singola diretta | Trasmissione diretta della ricetta attiva
Ricetta singola con selezione | Modifica dei parametri della ricetta attiva
Ricetta singola con selezione online | Selezione di una ricetta e modifica dei relativi parametri

Con l'utilizzo della funzione ricetta singola con selezione viene aperta la maschera delle ricette.

I pulsanti utilizzabili sono:

Parametri

Descrizione

Salva

Salva le modifiche nella ricetta.

Chiudi

Chiude le impostazioni della ricetta.

Transmetti

Trasmette la ricetta con i parametri attuali.

Inserisci Variabile

Aggiunge una nuova variabile alla ricetta attraverso la lista delle variabili.

Sciogli variabile

Cancellazione temporanea della variabile selezionata dalla ricetta (se la ricetta viene salvata la cancellazione è definitiva).

Modifica valore impostabile

Modifica del valore della variabile selezionata.

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: Se questo elemento non esiste nell’ immagine, le ricette vengono visualizzate all’ interno della lista con l’ impossibilità di essere modificate.

Con l'utilizzo della funzione ricetta singola con selezione onlinepossono essere selezionati e modificati la ricetta ed i suoi parametri . Viene aperto il dialogo per la selezione della ricetta. Il procedimento da seguire è simile alla configurazione nell´ editor, solo che non sarà possibile cancellare una ricetta.

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Ulteriori informazioni sui file runtime modificati le potete trovare nel capitolo Progetto e Workspace /File runtime modificabili RT

Autorizzazioni d´accesso nel Runtime

Le azioni realizzate durante il runtime possono essere protette per mezzo di una Password e dei Livelli di autorizzazione :

  • Per cancellare, salvare e modificare le ricette, l'utente registrato deve disporre del livello di autorizzazione impostato nella ricetta. In mancanza dell'autorizzazione necessaria, l'operazione non viene eseguita.
  • Nel caso in cui il pulsante Modifica valore impostabile è protetto da una password, il valore nella tabella può essere modificato solo se l´utente dispone del livello di autorizzazione corrispondente. Altrimenti, nel caso di un Login temporaneo attivo, il dialogo per effettuare il Login viene aperto non appena si clicca su una colonna per modificare un valore.
  • Se il pulsante Salva modifiche è protetto da una password e l´utente non dispone del livello di autorizzazione necessario, dopo l´effettuazione di modifiche alla ricetta e quando si chiude l´immagine, viene aperto il dialogo per il Login temporaneo, per consentire di salvare le modifiche stesse.


Tipo di immagine "ricetta standard"

Manuale -> Ricette standard -> Gestione durante il runtime -> Tipo di immagine "ricetta standard"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La gestione delle ricette durante il runtime avviene mediante un'immagine del tipo Ricetta standard. (Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.)

Modifiche eseguite con successo possono essere registrate nella Lista eventi cronologici.

Info

Tutte le precendenti informazioni valgono anche per il Manager gruppi ricette.

Parametri

Descrizione

Pulsanti

Nuova ricetta

Creare una nuova ricetta

Salvare modifiche

Salvare la ricetta attuale con lo stesso nome

Leggi ricetta

I valori di tutte le variabili selezionate nella ricetta sono letti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Copia ricetta

Copia la ricetta attuale

Elimina ricetta

Cancellare la ricetta attuale

Modifica ricetta

Modificare la ricetta attuale.

Esporta ricetta

Salvare ricetta attuale come *.txt .

Importare una ricetta

Carica la ricetta attuale da un file *.txt .

Scrivi ricetta

I valori di tutte le variabili che si trovano nella ricetta selezionata sono scritti nel PLC nella stessa maniera di come sono rappresentati nella tabella.

Ricetta >

Passare alla ricetta seguente.

Ricetta >>

Passare all´ ultima ricetta.

Ricetta <

Richiama la ricetta precedente.

Ricetta <<

Richiama la prima ricetta

Tutti valori ++

Tutti valori della ricetta selezionata vengono aumentati di 1.

Tutti valori--

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

aggiungi variabile

Aggiunge una variabile alla ricetta selezionata E' possibile usare anche variabili di altri progetti caricati.

Sciogli variabile

Separa la variabile selezionata dalla ricetta

Modifica valore impostabile

Modifica il valore di una variabile selezionata nella ricetta un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: Se questo elemento non esiste nell’ immagine, le ricette vengono visualizzate all’ interno della lista con l’ impossibilità di essere modificate.

Generale

Nome ricetta

Nome della ricetta attualmente selezionata

Tabella ricetta

Rappresentazione della ricetta selezionata in forma tabellare.

Stato di avanzamento

Elemento combo, che mostra l' inserimento della ricetta.

L´elemento di controllo mostra la barra di avanzamento a seconda del posizionamento e delle caratteritiche dell´elemento o dal basso verso l´alto, oppure da sinistra a destra.

L´elemento di controllo è nascosto durante il Runtime e viene visualizzato solamente durante la scrittura di una ricetta.

Indicazione: l´elemento di controllo viene visualizzato solamente se la proprietà Scrittura sincrona è attiva.

Interno ID: Tipo di immagine "ricetta standard"

Scrittura sincrona

Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Scrivere simultaneamente:

se la proprietà Scrittura sincrona è attiva, l´elemento di controllo Stato di avanzamento viene visualizzato quando una ricetta viene scritta nel PLC e finché non giunge la conferma di scrittura al modulo ricette, indipendentemente dal fatto, se essa è positiva o negativa. Nel caso in cui si voglia che il sistema reagisca ad una conferma di scrittura negativa, si può raggiungere tale obiettivo facendo uso delle Matrici di reazione.

Info Informazioni

I pulsanti possono essere protetti per mezzo di una password e di un livello di autorizzazione. Per i dettagli si veda la sezione Gestione durante il runtime.


Funzioni - ricetta

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per rendere possibile un uso nella modalità runtime, si procede alla creazione delle desiderate funzioni ricetta.

Se si crea la funzione standard dal menu contestuale nella sezione lista, zenon genera automaticamente una funzione Ricette standard per la ricetta selezionata.


Ricetta singola

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta -> Ricetta singola

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzione Ricetta singola è disponibile in tre forme:

  • Ricetta singola diretta
  • Ricetta singola con selezione
  • Ricetta singola con selezione online

Ricetta singola diretta

Con questa funzione si setta direttamente nel funzionamento online una ricetta definita. All´interno di una ricetta possono essere selezionate solo le variabili di processo di un driver.

Si indica come parametro di trasferimento la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Ricetta singola con selezione

Con questa funzione si modifica (modifica del valore impostabile) direttamente nel funzionamento online una ricetta definita.

Si indica come parametro di trasferimento la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Dopo la scelta della ricetta si inserisce la funzione nella lista funzioni.

Nel funzionamento online viene aperto il dialogo di definizione del valore impostabile della ricetta.

Possibili impostazioni nell'editor e nel runtime sono:

Parametri | Descrizione
Inserisci Variabile | aggiungere una variabile nuova alla ricetta
Sciogli variabile | elimina la variabile dalla ricetta selezionata
Modifica valore impostabile | modificare il valore della variabile

Ricetta singola con selezione online

Con questa funzione si seleziona nel funzionamento online una ricetta per una modifica prima della trasmissione (Modifica del valore impostabile).

Si indica come parametro di trasferimento una ricetta predefinita. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Durante il runtime viene aperta una selezione ricetta.

Le opzioni progettabili sono:

Parametri | Descrizione
Nuovo | creare nuova ricetta
Copiare | copiare la ricetta selezionata e salvarla sotto un altro nome
Modifica | Modificare il nome della ricetta selezionata
Elimina | cancellare la ricetta selezionata

Dopo la scelta della ricetta si inserisce la funzione nella lista funzioni.

Le impostazioni progettabili sono:

Inserisci Variabile | aggiungere una variabile nuova alla ricetta
Sciogli variabile | elimina la variabile dalla ricetta selezionata
Modifica valore impostabile | modificare il valore della variabile

Per evitare la modifica delle ricette ed avere comunque una selezione di ricette sbloccate nel funzionamento online, si deve eseguire un’immissione nel filezenon6.ini.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0: nessuna modifica permessa 1: modifica permessa (default)


Ricette Standard

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta -> Ricette Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l'utilizzazione di questa funzione può essere eseguita durante il runtime una ricetta salvata, essere letta oppure esportata dall'hardware. E' possibile, inoltre, importare nuove ricette, oppure crearne delle nuove sulla base dei valori attuali provenienti dall'hardware.

Per impostare la funzione:

  1. create una nuova funzione.
  2. selezionate nel nodo Ricette la funzione Ricetta standard
  3. si apre il dialogo per la selezione ricette
  4. nella scheda Selezione ricette, selezionate la ricetta da aprire
  5. nella scheda Azione da eseguire definite l´azione che deve essere eseguita durante il runtime.

Selezione ricette

Parametri

Descrizione

Scegli ricetta

Selezione della ricetta che deve essere letta o scritta.

Nome ricetta come variabile

Il nome della ricetta che deve essere scritta o letta, viene definito mediante la variabile indicata.

Attenzione: prima della esecuzione della funzione, la variabile stringa deve contenere durante il runtime un nome ricetta valido, per es. Rezept_4. Altrimenti la funzione non potrà essere eseguita.

Azione da eseguire

Parametri | Descrizione
Setta valori | I valori della variabile della ricetta selezionata vengono scritti sul PLC.
Leggi valori | I valori delle variabili della ricetta selezionata vengono letti dal PLC e sono scritti sui valori esistenti nella ricetta stessa.
Duplica ricetta | La ricetta d'origine crea una copia di se stessa con il nome della ricetta di destinazione. Il nome della ricetta duplicata viene inserito nella variabile _LASTNEWRECIPE. I dettagli sulla configurazione li trovate nella sezione Duplica ricetta che si trova più avanti.
Esporta ricetta | Esporta ricetta. I dettagli sulla configurazione li trovate nella sezione Esporta ricetta che si trova più avanti.
Importare una ricetta | Importa la ricetta da file o da variabile. I dettagli sulla configurazione li trovate nella sezione Importa ricetta che si trova più avanti.
Proporre questo dialogo nel runtime | Offre un dialogo durante il runtime che serve a modificare le impostazioni.

Duplica ricetta

Parametri

Descrizione

Scegli ricetta di destinazione

Scelta di una ricetta esistente, che deve essere sovrascritta con i dati della ricetta di origine.

Attenzione: i dati della ricetta di destinazione vengono sovrascritti.

Nuova ricetta

(Genera nome)

Viene creata una nuova ricetta conforme alla sintassi standard. Le lacune nella successione ricette vengono riempite automaticamente.

Esempio: Esistono già Rezept_0 eRezept_2. Attraverso la prima duplicazione, viene impostata una nuova ricetta dal nome Rezept_1. Frutto della seconda duplicazione è una ricetta dal nome Rezept_3.

Ricetta di destinazione da variabile

Il nome della ricetta di destinazione viene definito dal contenuto di una variabile String.

Indicazione: se la variabile stringa della ricetta di destinazione non contiene nessun testo, il sistema assegna automaticamente un nome ricetta.

Esporta ricetta

Parametri | Descrizione
Genera automaticamente nome file | il nome file si genera automaticamente.
Definire il nome del file | Cliccando sul pulsante ... si apre l´Explorer che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome file.
Nome file da variabile | Il nome del file viene definito dal contenuto di una variabile String.

Importare una ricetta

Parametri | Descrizione
Definire il nome del file | Cliccando sul pulsante ... si apre l´Explorer che consente la selezione di una cartella di salvataggio e di un file.
Nome file da variabile | Viene importata una ricetta da una variabile collegata


Informazioni di stato nel caso di ricette e manager gruppi ricette

Manuale -> Ricette standard -> Gestione durante il runtime -> Informazioni di stato nel caso di ricette e manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il runtime, le informazioni di stato vengono rese disponibili nel caso di

  • Lettura / Scrittura
  • Esportare/importare
  • e salvare

Quando si scrive una ricetta, questa variabile contiene il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente (globale)

Valore | Risultato
0 | Setta valore di inizializzazione prima della ricetta
1 | Scrittura eseguita con successo
2 | Scrittura non eseguita perché esiste un errore di parametro
3 | Scrittura non eseguita con successo.
4 | Attendo "conclusione".
5 | Scrittura interrotta visto che si è terminato il Runtime.
6 | Intervenuto Timeout.

Avvertenza: Se nel progetto è attivata la funzionalità di rete, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale. .

Info Informazioni

Quando si parla di "scrittura" si intende la scrittura sul driver. Questo trasmette poi la ricetta al PLC. Il che significa:

  • proprietà Scrittura sincrona disattivata: Il valore 1 per Ricetta standard/RGM-Ricetta scritta completamente non significa che i valori sono sul PLC. Significa solamente che essi sono stati scritti sul driver.

    Interno ID: Informazioni di stato nel caso di ricette e manager gruppi ricette

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Proprietà Scrittura sincrona attiva: La modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Avvertenza: la visualizzazione dello stato di avanzamento della scrittura avviene solamente se Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

viene eseguito

0

Valore di inizializzazione, letto con successo

1

L'utente non ha l'autorizzazione comando

2

Nessuna autorizzazione in rete

3

Annullamento per opera dell'utente

4

Errore - non è stato possibile leggere tutto con successo per es.

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione

5

Errore nel salvataggio del file ricetta

Tipo immagine Funzioni specifiche

Al momento di

  • leggere (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportare/importare e
  • salvare

una ricetta per mezzo di una funzione specifica per tipo di immagine; sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

letto con successo

2

Errore nella lettura, esporta/importa oppure salva:

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione


Riferimenti incrociati

Manuale -> Riferimenti incrociati

I riferimenti incrociati permettono di avere una visione generale di quali moduli e funzioni sono collegati e in che modo. zenon mette a disposizione due strumenti per realizzare questa analisi:

  • Lista incrociata: mostra i collegamenti nel progetto in forma tabellare
  • Analisi di progetto: analizza l´uso di funzioni e variabili e trova quelle non usate

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Lista incrociata

Manuale -> Riferimenti incrociati -> Lista incrociata

La lista incrociata genera una visione generale riguardante il progetto in forma tabellare.
Tutte le relazioni fra variabili, funzioni, immagini, ricette ecc. vengono visualizzate ai fini della completezza della documentazione e della possibilità di verifica dei processi. La Lista incrociata, ad esempio, dà la possibilità di sapere quali variabili sono utilizzate nelle diverse immagini


Generale

Manuale -> Riferimenti incrociati -> Lista incrociata -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nell'editor di zenonla lista incrociata è inserita nel menu Opzioni raggiungibile dalla voce Lista incrociata .

Info Informazioni

Se la lista incrociata non dovesse essere visualizzata all’avvio dell'Editor, la si può caricare aprendo il menu Opzioni e confermando la voce Lista incrociata.

Per ottenere le informazioni desiderate su definiti moduli, basta aprire semplicemente il menu del modulo da interrogare.

I punti disponibili sono:

Parametri | Descrizione
Archivio | Funzioni
 | Variabili
Immagini | Elementi
 | Simboli
 | Variabili
Elementi | Immagini
 | Variabili
Trend esteso |
Funzioni | Archivio
 | Calcolo automatica Esecuzione di funzione
 | Immagini
 | Pulsante bitmap
 | PFS
 | MARE (Matrice reazione)
 | Script
 | Pulsante testo
 | Pulsante invisibile:
 | Valori limiti variabili
 | Temporizzatori
PFS | Funzioni
 | Variabili
MARE (Matrice reazione) | Funzioni
 | Variabili
Ricette | Variabili
Manager gruppi ricette | Gruppi ricette
 | Variabili
Script | Funzioni
Simboli | Immagini
 | Simboli collegati
Variabili | Archivio
 | Immagini
 | Elementi
 | Trend esteso
 | Matematica
 | PFS
 | MARE (Matrice reazione)
 | Ricette
 | Manager gruppi ricette
 | Attribuzioni
Temporizzatori | Funzioni
Attribuzioni | Variabili

Dopo un clic su uno degli oggetti proposti, vengono visualizzate le informazioni nella parte destra della lista.

Le informazioni sull'oggetto selezionato vengono indicate nella lista. Il contenuto può essere sorteggiato in ordine crescente o decrescente semplicemente con un clic sull’ indicativo della colonna.

Inoltre c'è la possibilità di filtraggio. Impostare semplicemente nella colonna da filtrare, il criterio di ricerca nel relativo box di impostazione (-> Prego introdurre qui il testo). Adesso vengono indicati tutti gli elementi, che corrispondono al criterio di ricerca impostato. E' anche possibile filtrare in più colonne contemporaneamente. Per far ciò, impostare come descritto sopra, il criterio di filtraggio su più colonne. Se un filtro non viene più utilizzato, deve essere solamente cancellato il testo dal relativo box di inserimento.


Menu contestuale

Per ottenere le funzionalità della lista incrociata, può essere aperto un menu con il tasto destro del mouse, quando il puntatore del mouse si trova nella finestra delle definizioni della lista incrociata.

I seguenti comandi sono disponibili:

Parametri | Descrizione
Lista / Stampa risultato della ricerca | Stampa la lista incrociata con le informazioni selezionate
Cerca elemento nella lista | Apre un box dialogo per la ricerca di un determinato oggetto
Chiamate di funzioni | Apre un box dialogo con una lista delle funzioni definite
Variabili utilizzate | Apre un box dialogo con una lista delle variabili definite
Variabili/Funzioni/Caratteri non utilizzati | Indica nella lista tutti i tipi di variabili/funzioni/caratteri non utilizzati
Testi utilizzati in immagini | Ricerca dei testi utilizzati in immagini
Selezionare elementi dalla lista | Apre il box dialogo per la selezione di uno o più elementi della lista
Guida | Richiama la guida in linea
Elimina | Non elimina elementi utilizzati nel progetto (Variabili, funzioni e caratteri)


Cerca elemento nella lista

La selezione del comando Cercare elemento nella lista dal menu contestuale, apre il seguente box dialogo:

Dopo l'inserimento di uno o più caratteri iniziali, nella lista viene selezionato il primo relativo oggetto.


Chiamate di funzioni

La scelta del comando Chiamata funzioni dal menu contestuale apre il seguente box dialogo, nel quale sono elencate tutte le funzioni del progetto attuale:


Variabili utilizzate

La scelta del comando Uso funzioni dal menu contestuale apre il seguente box dialogo, nel quale sono elencate tutte le variabili definite del progetto attuale:


Variabili/Funzioni/Caratteri non utilizzati

Nella lista degli elementi non utilizzati (variabili,funzioni,caratteri) il menu contestuale contiene un inserimento aggiuntivo; questo inserimento è: „Cancella“.

Con questo si possono selezionare dalla lista elementi che vogliamo eliminare, cancellandoli direttamente in questo punto.


Selezionare elementi dalla lista

La scelta del comando Selezionare elementi dalla lista dal menu contestuale, apre il seguente box dialogo:

Le seguenti opzioni sono disponibili:

Parametri | Descrizione
da - a | Selezione di oggetti nella lista attraverso i caratteri iniziali.
Tutti elementi che iniziano con... | Selezione di elementi attraverso una precisa stringa di caratteri iniziali.


Lista / Stampa risultato della ricerca

La selezione del comando Stampare lista o Stampare risultato di ricerca dal menu contestuale apre il seguente box dialogo:

Le seguenti opzioni sono disponibili:

Parametri | Descrizione
Tutti | Tutti gli elementi della lista vengono stampati
Elementi selezionati | Vengono stampati tutti gli elementi selezionati nella lista
In file | Attivando la casella di controllo la stampa viene deviata in un file. Appare un box di dialogo per l'impostazione del nome di file e del percorso. Confermando con „OK“ il file viene salvato. Il file ha il formato CSV e può successivamente essere caricato e adattato come preferito con EXCEL. Nell' aprire il file con EXCEL in un dialogo viene chiesto del carattere di divisione. Attivare qui la casella "Punto e virgola" e disattivare tutte le altre.


Analisi di progetto

Manuale -> Riferimenti incrociati -> Analisi di progetto

L´analisi di progetto analizza l´uso di elementi in un progetto.

Si può:

  • analizzare il collegamento con altri elementi
  • cercare gli elementi non utilizzati

L´analisi di progetto è disponibile al momento per:

  • Funzioni
  • Variabili

Analizza uso di un elemento

Per analizzare un elemento:

  1. evidenziate la variabile oppure la funzione desiderata nella visuale dettagliata
  2. selezionate nel menu contestuale il comando Variabili utilizzate oppure Utilizzo funzioni
  3. verrà aperta la lista risultati in una propria finestra

  4. tramite il menu contestuale si può passare ad un elemento

Trova elementi non utilizzati

Per trovare elementi non utilizzati:

  1. selezionate il nodo Variabili oppure Funzioni nella struttura ad albero del progetto
  2. selezionate nel menu contestuale il comando Visualizzare funzioni non utilizzate oppure Visualizzare variabili non utilizzati
  3. verrà aperta la lista risultati in una propria finestra

  4. tramite il menu contestuale si può passare ad un elemento o lo si può cancellare

attenzione Attenzione

I seguenti elementi non possono essere trovati dall´analisi di progetto:

  • variabili che vengono usate esclusivamente in VBA o VSTA.
  • Variabili che vengono usate in immagini del tipo Report Generator (Funzioni Report)

Prima di cancellare degli elementi bisogna controllare se le variabili da eliminare vengono usate in VBA/VSTA oppure in funzioni report.


Lista risultati

Manuale -> Riferimenti incrociati -> Analisi di progetto -> Lista risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I risultati dei singoli processi di analisi vengono visualizzati nella finestra Analisi del progetto in forma di lista. Questa finestra si apre automaticamente (nel caso in cui non sia già attiva) dopo la conclusione del processo di analisi. I risultati possono essere utilizzati in due modi:

  • analizzare uso nel progetto: passa a elementi collegati
  • trova elementi non utilizzati: passa ad elemento visualizzato o cancella elemento visualizzato

Analisi uso elementi

L´analisi di progetto fornisce i propri risultati sotto forma di lista.

Essa contiene:

  • il nome del progetto
  • il modulo
  • il nome dell´elemento collegato

Per passare ad un elemento visualizzato:

  1. selezionate l´elemento
  2. selezionate nel menu contestuale il comando Vai all'elemento collegato
  3. l´elemento collegato viene evidenziato nella lista dettagliata del suo nodo di modulo

Trova elementi non utilizzati

La ricerca degli elementi non utilizzati fornisce i suoi risultati in forma di lista.

Essa contiene:

  • il nome del progetto
  • il modulo
  • il nome dell´elemento non utilizzato

Passa all´elemento

Per passare ad un elemento visualizzato:

  1. selezionate l´elemento
  2. selezionate nel menu contestuale il comando Vai all'elemento collegato
  3. l´elemento collegato viene evidenziato nella lista dettagliata del suo nodo di modulo

Cancella elemento

Per cancellare uno o più elementi:

  1. selezionate gli elementi desiderati (multiselect possibile).
  2. selezionate nel menu contestuale il comando Elimina elementi selezionati
  3. gli elementi verrano cancellati dal progetto dopo che il sistema avrà posto una richiesta di conferma


Runtime

Manuale -> Runtime

Qui potete trovare le informazioni sulle possibilità di gestione durante il runtime.

zenon consiste di due componenti principali, l´editor e il Runtime:
I progetti vengono realizzati nell'editor, mentre la loro gestione e osservazione avviene nel runtime.

tutorial Informazioni sulla licenza

Il runtime zenon funziona solamente in presenza di una licenza valida. La licenza viene calcolata sulla base del numero dei Tags e IOs di cui si ha bisogno. I dettagli sul tema licenze li trovate al capitolo Licenze.

Il Runtime è a disposizione come zenon Supervisor e come zenon Operator per > sistemi operativi embedded. Le due versioni si differenziano nell´ampienzza delle funzioni disponibili. Per i dettagli vedi Limitazioni per zenon Operator.

attenzione Attenzione

Risoluzione di schermo Al fine di ottenere la visualizzazione migliore possibile durante il Runtime, usate l´impostazione standard del sistema operativo (100%).


Avvio del Runtime

Manuale -> Runtime -> Avvio del Runtime

Potete avviare il runtime nel modo seguente:

  • a partire dall´editor
    • premendo il tasto F5
    • mediante il simbolo Avvia runtime nella barra simboli File runtime
  • con il Startup-Tool
  • mediante il menu di Windows "Start":
  • per Windows Autostart.

Servizio zenAdminSrv

Per avviare il runtime, deve essere avviato il servizio zenAdminSrv . Se il servizio non è disponibile, riceverete il messaggio "Il runtime non può essere avviato perché il servizio 'zenAdminSrv' non è raggiungibile!".

Nel caso di uno start via Windows Aurostart, otterrete la segnalazione di errore "Attendere finché il servizio 'zenAdminSrv' è avviato". zenon cerca di avviare il runtime finché il servizio è disponibile, oppure Voi chiudete la segnalazione di errore usando il pulsante Cancel. Subito dopo, viene avviato il runtime.

Funzione "In primo piano"

Si può aprire il Runtime in background, vale a dire durante il funzionamento di altri programmi, facendo uso della funzione Porta sullo sfondo. Con la funzionePorta in primo piano, il Runtime viene richiamato in primo piano. Info Informazioni

Interno ID: Avvio del Runtime

Porta in primo piano

Questa funzione porta il Runtime di zenon in primo piano.

Attenzione: se si fa uso del comando "apri in primo piano", viene coperta la barra stato allarmi.

Ulteriori informazioni nella guida in linea

Interno ID: Avvio del Runtime

Porta sullo sfondo

Questa funzione sposta il runtime dello scada sullo sfondo.

Ulteriori informazioni nella guida in linea

Con la funzione "Apri il Runtime in primo piano", la finestra Runtime viene definita come finestra principale. In tal modo la Barra stato allarmi verrà coperta. Per riportare la Barra stato allarmi in primo piano, potete:

  • attivare i pulsanti di sistema (disattivare proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano con i tasti Alt+Tab

    Interno ID: Avvio del Runtime

    Pulsanti di sistema bloccati

    Attiva: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
    Non attiva: tasti di sistema non vengono bloccati.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Indicazione: possono essere bloccati altri tasti di sistema durante il runtime tramite Keyblock Runtime Start.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • attivare la Windows Taskbar e cliccare sulla finestra Status
  • Riportare il Runtime in background
  • Riavviare il Runtime


Compatibilità file runtime

Manuale -> Runtime -> Compatibilità file runtime

Il runtime zenon funziona in modo tale da garantire la compatibilità con le versioni precedenti. Il runtime può caricare sempre anche dei progetti di versioni precedenti e interpretarli e visualizzarli in modo corrispondente a tali versioni.

I progetti a partire dalla versione 6.20 SP4 possono essere avviati direttamente, anche senza averli prima convertiti. I progetti con un numero di versione inferiore, però, devono essere prima convertiti.

E´possibile anche un funzionamento misto. Ciò significa: con la gestione multiprogetto si può caricare e far funzionare contemporaneamente dei progetti creati con versioni differenti.

Compatibilità online

La compatibilità runtime online consente l´interazione di sistemi runtime (anche via Webclient) nella rete di zenon, anche se la versione del runtime client è di numero superiore a quella del runtime server.

Il runtime attuale può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21:00 SP0
  • 06:21:00 SP1
  • 06:22:00 SP0
  • 6.22 SP1
  • 06:50:00 SP0
  • 6.51 SP0
  • 07:00:00 SP0

Nell´ambito della gestione multiprogetto possono essere caricati anche diversi progetti. Ad esempio, il progetto I della versione 07:00:00 può essere un sotto-progetto della versione 06:51:00 e un ulteriore sotto-progetto della versione 6.22 SP1. Il funzionamento misto funziona anche in rete. In tal modo si possono avviare con il webclient di zenon dei progetti creati con versioni differenti.

Attenzione: server e sandby-Server devono essere sempre della stessa versione.

Compatibilità fra editor e runtime

Con l´editor di zenon, possono essere creati i file runtime per diverse versioni del runtime. La versione del runtime, dunque, non deve necessariamente essere la stessa di quella dell´editor. Questa compabilità verso il basso è particolarmente utile se si intende utilizzare dei sistemi misti. Ad esempio: un progetto viene realizzato con l´editor della versione 6.50, ma può essere avviato anche con il runtime della 6.22.

attenzione Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, queste proprietà non sono a disposizione se si lavora con quest´ultima versione. Ciò può avere delle conseguenze indesiderate nel funzionamento runtime.

Crea file runtime

Per creare nell´editor dei file runtime per versioni dal numero di serie inferiore, procedere come segue:

  1. selezionate il progetto nella struttura ad albero.
  2. passate alla proprietà di progetto, in particolare alla sezione Generale

    Interno ID: Compatibilità file runtime

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. aprite la lista a cascata della proprietà Crea RT file per

    Interno ID: Compatibilità file runtime

    Crea RT file per

    Default: I file runtime vengono generati per la versione attuale dell´Editor.

    6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

    6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

    6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

    06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

    06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

    06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

    06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

    Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. selezionate la versione desiderata:
    • Default: I file runtime vengono generati per la versione attuale dell´Editor.
    • 6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.
    • 6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.
    • 6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.
    • 06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.
    • 06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.
    • 06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.
    • 06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.


Gestione durante il runtime

Manuale -> Runtime -> Gestione durante il runtime

A seconda del tipo di apparecchi e di configurazione che usate, avete a Vostra disposizione durante il runtime il mouse e/o la tastiera come strumenti per effettuare degli inserimenti.


Mouse

Manuale -> Runtime -> Gestione durante il runtime -> Mouse

Facendo un semplice clic con il tasto sinistro del mouse su un Elemente dinamico (dipendente però dalle impostazioni nell´elemento dinamico), si apre il box di dialogo standard per il settaggio del valore impostabile. I seguenti dialoghi saranno aperti a seconda del tipo di dati associati alla variabile.

Impostazioni possibili sono:

Comando | Azione
Commutare su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima è stato visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrivere nuovo valore spontaneo nel PLC
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei comandi sopra indicati
Commutare su valore di riserva | Visualizzazione del valore di riserva (valore nella definizione variabile), se prima è stato visualizzato il valore spontaneo.
Modficare valore di riserva | Settare nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva: | Esecuzione contemporanea dei comandi sopra indicati
Disattivare valore spontaneo | Spegnimento del collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristinare il collegamento con il PLC per questo valore resettando il bit OFF.
Settare lo stato binario | - LOW (0) - HIGH (1)

Impostazioni possibili sono:

Comando | Azione
Commutare su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima è stato visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrivere nuovo valore spontaneo nel PLC.
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei comandi sopra indicati.
Commutare su valore di riserva | Visualizzazione del valore di riserva (valore nella definizione variabile), se prima è stato visualizzato il valore spontaneo.
Modficare valore di riserva | Settare nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva: | Esecuzione contemporanea dei comandi sopra indicati.
Disattivare valore spontaneo | Spegnimento del collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristinare il collegamento con il PLC per questo valore resettando il bit OFF.
Valore | Nuovo valore numerico (entro l´area di misurazione consentita).

Impostazioni possibili sono:

Comando | Azione
Commutare su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima è stato visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrivere nuovo valore spontaneo nel PLC
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei comandi sopra indicati
Commutare su valore di riserva | Visualizzazione del valore di riserva (valore nella definizione variabile), se prima è stato visualizzato il valore spontaneo.
Modficare valore di riserva | Settare nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva: | Esecuzione contemporanea dei comandi sopra indicati
Disattivare valore spontaneo | Spegnimento del collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristinare il collegamento con il PLC per questo valore resettando il bit OFF.
Testo | Testo nuovo

Lasso

Gli elementi dinamici che sono collegati a una variabile oppure a una funzione, possono essere preselezionati nel Runtime con il lasso e, in tal modo, utilizzati, per eventi VBA.

Selezione mediante lasso

Per selezionare nel Runtime degli elementi con il lasso, deve verificarsi quanto segue:

  • deve essere attiva nelle proprietà di progetto, la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo)

    Interno ID: Mouse

    Selezioni multiple in Runtime (Lazzo)

    Attiva: muovendo il mouse tenendo premuto il tasto sinistro potete selezionare numerosi elementi durante il funzionamento runtime. Una macro VBA può avere accesso a questi elementi.
    Non attiva: La funzionalità Selezioni multiple in Runtime (Lazzo) non viene utilizzata.
    Default: non attiva
    Indicazione: Lazzofunziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è conessa una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzione lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazzo.

    Interno ID: Mouse

    selezionabile tramite lazzo

    La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
    Attiva: l´elemento può essere selezionato nel Runtime con il lazzo.
    Disattivata: l´elemento non può essere selezionato nel Runtime.
    Default: Attiva

    Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo)!

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Mouse

    Runtime

    Proprietà di Runtime dell’elemento selezionato

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Mouse

    Impostazioni Runtime

    Proprietà di Runtime del progetto.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • nelle proprietà dell´elemento dinamico deve essere attiva la proprietà Runtime/selezionabile tramite lazzo

Durante il Runtime ci sono diversi metodi a disposizione dell´utente per selezionare degli elementi:

  • Seleziona elementi: cliccare con il tasto sinistro del mouse in una parte vuota dell´immagine e trascinare il lasso sugli elementi ad immagine tenendo premuto il tasto del mouse.
  • Estendi selezione: Ctrl+clic del mouse su un elemento per selezionarlo o deselezionarlo.
  • Aggiungi elementi: Aprendo il lasso, tenere premuto il tasto Ctrl: in tal modo si aggiungono nuovi elementi a quelli già selezionati.
  • Cancella selezione: aprire un lasso, che non contiene alcun elemento.


Impiego tastiera

Manuale -> Runtime -> Gestione durante il runtime -> Impiego tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel runtime, la navigazione e la gestione può essere effettuata completamente per mezzo della tastiera. Nel far ciò, anzitutto viene posto il focus su un modello; poi si naviga all´interno del modello con i tasti freccia e si inizia l´azione usando il tasto Enter. La gestione avviene con le seguenti Funzioni:

  • Focalizzazione sul modello
  • Elimina focalizzazione dal modello
  • Sposta focus
  • Attiva impostazione su elemento focalizzato

La successione nella quale si passa agli elementi, viene stabilita mediante la Attribuzione di numeri di indice agli elementi di un´immagine. Si può stabilire questa successione nella navigazione anche per mezzo dei simboli collegati.

La gestione mediante tastiera può avvenire anche con l´aiuto di combinazioni di tasti che possono essere liberamente destinate dall´utente allo svolgimento di determinate operazioni; un esempio è Ctrl+M. Potete depositare la combinazione di tasti per ogni elemento di gestione in corrispondenza della proprietà Combinazione tasti.

Interno ID: Impiego tastiera

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Funzioni

Manuale -> Runtime -> Gestione durante il runtime -> Impiego tastiera -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la progettazione della gestione tastiera, usate le seguenti funzioni:

Focalizzazione sul modello

Questa funzione setta il focus su un modello definito nel caso di una gestione tastiera nel runtime.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Attiva focus sul modello

    Interno ID: Funzioni

    Attiva focus sul modello

    Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

    Ulteriori informazioni nella guida in linea

    Interno ID: Funzioni

    Immagini

    Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

    Ulteriori informazioni nella guida in linea

  2. si apre il dialogo per selezionare un modello
  3. Selezionate il modello desiderato.
  4. nel caso di un sistema multi-monitor, selezionate il Monitor virtuale per l´apertura del modello

Nel runtime, il modello su cui è stato settato il focus, viene visualizzato con una cornice. La larghezza della linea e il colore della cornice vengono definite nelle proprietà di progetto nel nodo Aspetto grafico/Immagini.

Interno ID: Funzioni

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Funzioni

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dialogo Selezione modelli

Nel dialogo di selezione Modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Modelli

Selezione dei modelli.

Se selezionate diversi modelli, il sistema usa il primo modello scelto per l´esecuzione della funzione.

Proporre questo dialogo nel runtime

Apre durante il Runtime questo dialogo di selezione modelli nel corso dell´esecuzione della funzione.

Nessuna selezione

Non ha nessuna funzione per questa selezione di modelli.

Scrolla sul monitor

attivo: Durante il Runtime appaiono delle barre di scorrimento che Vi permettono di effettuare lo scroll.

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene:

  • monitor attuale
  • tutti i monitor virtuali definiti nella gestione monitor
    opzionale: tutti i monitor

Questa opzione è a disposizione solamente nei Sistemi multi-monitor.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online

Sposta focus

Questa funzione setta il focus su un elemento definito nel caso di una gestione tastiera nel runtime e può essere usato per la navigare all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´editor nel menu contestuale, oppure alla voce Modifica/Sposta successione per focus...-
Sull’elemento | Stabilire l’elemento che deve ricevere il focus. Si deve inserire il nome oggetto dell’elemento

Attiva impostazione su elemento focalizzato

Questa funzione attiva l´elemento che possiede il focus nel modello desiderato.

Elimina focalizzazione dal modello

Questa funzione toglie il focus dal modello attuale durante il runtime. Per continuare la gestione con tastiera, il focus deve essere settato di nuovo su un modello.


Stabilisci successione all´interno di un modello

Manuale -> Runtime -> Gestione durante il runtime -> Impiego tastiera -> Stabilisci successione all´interno di un modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In quale successione si deve passare agli elementi di un´immagine nella gestione con la tastiera, lo potete definire al momento della progettazione nell´immagine stessa:

  1. aprite anzitutto l´immagine;
  2. cliccate con il tasto destro del mouse su un´area vuota;
  3. selezionate nel menu contestuale che si aprirà Sposta successione per focus
  4. selezionate nella lista a cascata che si aprirà successione per sinistra/destra oppure successione per su/giù;
  5. ogni elemento nell´immagine viene contraddistinto con un numero che si trova nell´angolo in alto a sinistra.
  6. cliccate sull´elemento al quale volete si passi per primo;
  7. il numero dell´elemento diventerà die 1;
  8. cliccate su tutti gli altri elementi rispettando la successione che avete deciso di adottare;
    • gli elementi che sono stati già definiti, modificano il colore di sfondo del loro numero;
    • gli elementi che non possono essere raggiunti tramite la tastiera nel runtime (proprietà Focus impostato sull'elemento non attiva), sono contraddistinti da un numero rosso;

      Interno ID: Stabilisci successione all´interno di un modello

      Focus impostato sull'elemento

      Abilitata: L’elemento dinamico è disponibile per i controlli tramite tastiera.
      Disabilitata: L’elemento dinamico non può essere comandato tramite tastiera.
      Default: Abilitata.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • se si clicca su di un elemento tenendo premuto il tasto Ctrl, la numerazione inizia con l´indice numerico dell´elemento su cui avete cliccato.

Info Informazioni

Nelle proprietà degli elementi, la posizione viene visualizzata mediante le proprietà Posizione focus sinistra/destra e Posizione Focus sù/giù Queste proprietà servono solo a fornire l´informazione che i valori indice per il posizionamento non possono essere modificati in quella sede.

Interno ID: Stabilisci successione all´interno di un modello

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menu contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Stabilisci successione all´interno di un modello

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menu contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Simboli

Anche ai simboli collegati si può attribuire un indice. Nella compilazone dei file runtime, il simbolo viene scollegato e vengono aggiunti gli elementi esistenti nel simbolo. Nel far ciò, il sistema tiene conto della successione definita nel simbolo.

Esempio Esempio

In un´immagine si trovano tre elementi: il valore numerico Z, il pulsante B e il simbolo collegato VS. Il simbolo collegato proveniente dalla libreria del progetto, contiene 3 valori numerici: Z1, Z2 e Z3.

Se si fissa la successione all´interno dell´immagine nel modo seguente: B - VS - Z,
, la successione nel runtime sarà poi: dann lautet die Reihenfolge zur Runtime: B - Z1 - Z2 - Z3 - Z.


Blocca le combinazioni di tasti di Windows

Manuale -> Runtime -> Gestione durante il runtime -> Impiego tastiera -> Blocca le combinazioni di tasti di Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel funzionamento online è possibile bloccare combinazioni di tasti Windows , come ALT+TAB, ALT+ESC oppure ALT+F4:

Per bloccare tali combinazioni di tasti, disattivate anzitutto nelle proprietà di progetto, e più esattamente alla voce Impostazioni Runtime, la proprietà Pulsanti di sistema bloccati.

Interno ID: Blocca le combinazioni di tasti di Windows

Pulsanti di sistema bloccati

Attiva: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
Non attiva: tasti di sistema non vengono bloccati.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Indicazione: possono essere bloccati altri tasti di sistema durante il runtime tramite Keyblock Runtime Start.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Blocca le combinazioni di tasti di Windows

Impostazioni Runtime

Proprietà di Runtime del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Vengono bloccati:

Non vengono bloccati:

  • Alt+Esc
  • Ctrl+Alt+Canc
  • Ctrl+Esc

  • Alt+Tab

  • Alt+F4

  • Tasto Windows

tutte le azioni del mouse corrispondenti

Per bloccare tutti i tasti di sistema durante il Runtime:

  • attivate la proprietà Pulsanti di sistema bloccati
  • avviate il Runtime facendo uso di Keyblock Runtime Start
  • tenete presente le indicazioni in proposito contenute nel capitolo Proteggi file Runtime


Profili runtime

Manuale -> Runtime -> Profili runtime

Un profilo runtime è una rappresentazione momentanea ottica riproducibile di una immagine durante il runtime; il profilo, inoltre, fornisce delle informazioni su:

  • Schema immagine (sucessione e posizione)
  • Attribuzione monitor
  • Filtri

I profili runtime sono riferiti al progetto e all´utente.

I seguenti tipi di immagine supportano i profili Runtime:

  • Lista di informazioni allarmi
  • Elaborazione archivio:
  • Lista Eventi Cronologica
  • Trend esteso
  • Industrial Maintenance Manager
  • Industrial Performance Analyzer
  • Report Viewer
  • Message Control
  • Diagnosi variabili

Ogni utente zenon dispone di una propria cartella, in cui può gestire i suoi profili. Gli amministratori possono vedere e modificare i profili di tutti gli utenti e copiarli nell´utente Sistema. Tutti gli utenti possono caricare profili runtime dall´account utente System-. Esso funziona da account di scambio per profili runtime.

Indicazione: solo gli amministratori possono copiare dei profili nell´account utente System per poi gestirli. Tutti gli altri utenti possono gestire solo i loro proprio profili e caricare quelli dell´utente System .

Profili predefiniti

Accanto ai profili individuali, ci sono due profili runtime predefiniti:

  • DEFAULT: creato dall´utente e selezionato come profilo standard.
  • LAST: viene salvato automaticamente nel percorso dell´utente al momento in cui questi fa il logout.
    Eccezione: Il profilo LAST non viene salvato:
    • per l´utente Sistema
    • in caso di un login temporaneo senza diritti di scrittura

Al momento del loggin, ad ogni utente zenon può essere attribuito un profilo standard:

attenzione Attenzione

I profili possono essere salvati in modo corretto sul server solo se su quest´ultimo sono presenti tutti i progetti:

  • dai quali vengono aperte delle immagini sul client
  • che aprono delle immagini con una funzione di cambio immagine

Salvare dei profili Runtime che non soddisfano queste condizioni, può portare al verificarsi di errori durante il Runtime.


Crea e carica il profilo nel runtime.

Manuale -> Runtime -> Profili runtime -> Crea e carica il profilo nel runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter creare un profilo nel runtime, deve essere stata progettata una Funzione corrispondente:

  • Salvare profilo: salva il profilo attuale nel modo in cui è statao definito nella funzione
  • Gestione profilo: apre la gestione dei profili che serve a salvare, caricare, attribuire e gestire i profili.

Inoltre è possibile attivare nel runtime dei profili già esistenti:

  • Carica profilo

Quando si carica un profilo, lo stato viene ripristinato come al momento del salvataggio del profilo stesso. Viene ripristinata dunque la struttura dell´immagine, compresi tutti i filtri impostati (come al momento del salvataggio del profilo).

Attenzione: nel caso in cui ci dovessero essere nelle proprietà di un´immagine con Funzione apertura o Funzione chiusura delle funzioni di cambio immagine (Cambio immagine, Cambio immagine con variabile o Immagine indietro ), esse non vengono eseguite! Tutti gli altri tipi di funzione vengono eseguiti di nuovo.

Interno ID: Crea e carica il profilo nel runtime.

Funzione chiusura

Funzione da eseguire alla chiusura dell’immagine durante il Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Crea e carica il profilo nel runtime.

Funzione apertura

Funzione da eseguire all’apertura dell’immagine in Runtime. .
ATTENZIONE:La funzione è eseguita ad ogni esecuzione della funzione “Cambio Immagine” a questa immagine. Se si vogliono eseguire piu funzioni, creare uno script con all’interno tutte le funzioni desiderate e inserire qui la funzione di richiamo dello Script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Se nelle due funzioni viene aperto uno script, quest´ultimo viene eseguito per intero. Anche tutte le funzioni di cambio immagine in esso contenute. Può dunque succedere che la struttura immagine dopo il caricamento del profilo non corrisponda a quella al momento del salvataggio del profilo stesso.

Una cosa simile si verifica con Variabile di immagine attiva: se nella variabile viene eseguito un valore limite che contiene a sua volta una funzione di cambio immagine, essa viene eseguita e ciò ha eventuali conseguenze non volute sulla visualizzazione.

Interno ID: Crea e carica il profilo nel runtime.

Variabile di immagine attiva

La variabile bit collegata viene settata a 1, quando l’immagine viene aperta; viene settata nuovamente a 0, quando l’immagine viene chiusa. .
Apre il dialogo per la scelta di una variabile con un filtro sulle variabli di tipo BIT.

ATTENZIONE: Aprire un altra pagina basata sullo stesso modello chiude la pagina corrente e esegue le funzioni collegate.

Esempio: Si vuole far indicare tramite il colore di sfondo di un pulsante la pagina aperta attualmente. La singola variabile bit è collegata alla singola pagina e ha associato nel rispettivo valore limite[1] il colore verde e il colore bianco per il valore limite[0]. Il pulsante con il corrispettivo bit che carica la rispettiva pagina prenderà il colore verde, gli altri pulsanti saranno quindi di colore bianco.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Progettare una funzione

Manuale -> Runtime -> Profili runtime -> Crea e carica il profilo nel runtime. -> Progettare una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per caricare, salvare e getire durante il runtime dei profili, dovete anzitutto progettare nell´editor una funzione e poi attribuirla ad un pulsante:

  • scegliete Nuova funzione.
  • Navigate per raggiungere il nodo Immagini
  • selezionate Profilo Runtime

    Interno ID: Progettare una funzione

    Profilo Runtime

    Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

    Ulteriori informazioni nella guida in linea.

  • Si apre il dialogo per configurare la funzione.

Proprietà | Azione
Apri il dialogo di gestione nel runtime. | Apre nel runtime il Dialogo per gestire, creare, salvare e caricare dei profili.
Carica profilo | Carica il profilo definito nel dialogo durante il runtime:
DEFAULT | Carica il profilo di deafault. Esso è stato selezionato dall´utente come profilo standard fra quelli disponibili.
LAST | Carica il profilo LAST. Esso è stato scritto automaticamente al momento del logout di un utente nel suo percorso.
Nome libero | Carica il profilo che ha il nome indicato nel dialogo. Se questo profilo non esiste, si mantiene quello attuale.
Nome dalla variabile | Carica il profilo il cui nome è stato creato dalla variabile definita.
Salvare profilo | Salva il profilo definito nel dialogo.
DEFAULT | Salva il profilo attuale come impostazione di default.
Nome libero | Carica il profilo con il nome indicato nel dialogo.
Nome dalla variabile | Salva il profilo con il nome che viene creato dalla variabile definita nel dialogo.


Esporta e importa profili

Manuale -> Runtime -> Profili runtime -> Esporta e importa profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Mediante gli elementi di controllo per import e export, i profili Runtime possono essere trasmessi anche ad altri progetti e altri computer.

Per esportare dei profili:

  1. create nell´immagine gli elementi di controllo per import e export:
    Elementi di controllo -> Profili filtro -> Import o. Export
  2. avviate il runtime.
  3. aprite anzitutto l´immagine;
  4. impostate i profili desiderati
  5. salvate i profili
  6. esportate i profili:
    essi vengono salvati in un file XML e possono essere importati in altri progetti in presenza dello stesso tipo di immagine.

Per importare dei profili:

  1. salvate il file XML con i profili desiderati nel computer che funge da server, nel caso in cui esso sia diverso dal computer da cui si effettua l´export.
  2. avviate il runtime.
  3. aprite anzitutto l´immagine;
  4. importate i profili

Info Informazioni

Durante l´import, tutti i profili precedenti vengono cancellati. Il profilo attivo al momento dell´import, però, non viene modificato.

I file XML possono essere importati solamente nel tipo di immagine adatto, cioè con quello con cui sono stati realizzati. Se si tenta di importare dei profili di un altro tipo di immagine, l´import si blocca e appare un messaggio che fa presente all´utente l´errore commesso.


Attribuisci e gestisci profilo

Manuale -> Runtime -> Profili runtime -> Attribuisci e gestisci profilo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profilo possono essere attribuiti nell´editor e durante il runtime. La creazione e il salvataggio avviene nel runtime.

Nell’Editor

Nell´editor attribuite a utenti dei profili runtime:

  • ciò avviene nel dialogo al momento di impostare un nuovo utente con la proprietà Profilo runtime che viene aperto con il login:

  • facendo uso della proprietà Profilo runtime di un utente:

    Interno ID: Attribuisci e gestisci profilo

    Profilo runtime

    Selezione del profilo runtime che deve essere assegnato all´utente al momento del loggin. Possibili profili:

    nessuno: non viene assegnato nessun profilo.

    DEFAULT viene assegnato il profilo DEFAULT

    LAST: viene assegnato il profilo LAST

    Default: nessuno

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Nella lista a cascata trovate le seguenti impostazioni che potete utilizzare:
    • Nessuno: non viene assegnato nessun profilo (impostazione standard).
    • DEFAULT viene assegnato il profilo DEFAULT
    • LAST: viene assegnato il profilo LAST

Durante il runtime

Durante il runtime potete salvare, caricare, assegnare e gestire i profili facendo uso della gestione profili. A tal scopo, deve essere progettata la Funzione Profilo Runtime con la proprietà Apri dialogo di gestione nel runtime.

Interno ID: Attribuisci e gestisci profilo

Profilo Runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Ulteriori informazioni nella guida in linea.

Indicazione: gli amministratori possono gestire i profili di altri utenti.

Proprietà | Azione
Utente registrato | L´utente che è attualmente registrato nel sistema.
L´utente i cui profili vengono gestiti. | L´utente i cui profili possono essere visualizzati e gestiti.
Profili | Lista dei profili esistenti.
Nome profilo | Nome del profilo.
Modificato per ultimo | Data e ora dell´ultima mofica.
Rinominare | Apre il nome profilo selezionato al fine di rinominare il profilo stesso.
Elimina | Elimina il profilo selezionato dopo una richiesta di conferma per ragioni di sicurezza.
Copiare | Copia il profilo selezionato per l´utente Sistema. In questa sede si può cambiare anche il nome. Un consiglio: i profili per l´utente Sistema sono a disposizione di tutti gli utenti non registrati
Salvare profilo | Apre il dialogo che serve all´attribuzione di un nome profilo e salva il profilo con questo nome. Non sono consentiti: Spazio vuoto nonché i segni speciali / | \ : * ? ! " < > $
Carica profilo | Carica il profilo selezionato.
Chiudi | Chiude il dialogo

Combinazioni di tasti

Tasto | Azione
F5 | Attualizza la lista dei profili. Nel caso di eventi inaspettati nella rete di zenon (interruzione del funzionamento del server o standby), i contenuti della lista vengono automaticamente attualizzati.
Esc | Chiude il dialogo.
inserimento | Carica il profilo selezionato.
Ins. | Salva lo stato attuale come nuovo profilo.
F2 | Consente di modificare il nome del profilo selezionato.
Del | Elimina il profilo selezionato dopo una richiesta di conferma per ragioni di sicurezza.


Dove salvare i profili

Manuale -> Runtime -> Profili runtime -> Dove salvare i profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I dati dei profili vengono salvati in modo differente a seconda dell´uso nel runtime.

Tipo di modifica | Luogo di salvataggio
Server o standalone: | i dati vengono salvati localmente.
client | i dati si trovano sul server e vengono richiamati e modificati in modo interattivo.
standby | i dati si trovano sul server e vengono richiamati e modificati in modo interattivo, nonché sincronizzati localmente.


Trattamento degli orari

Manuale -> Runtime -> Trattamento degli orari

Le indicazioni di tempo in zenon sono: ora locale, orari UTC o periodi di tempo. In linea di principio vale le seguenti considerazioni:

  • tutti i tempi "da -a" in filtri, come quelli cambio ad un´immagine AML o CEL, vengono salvati in UTC.
  • gli orari (come nei moduli PFS e EMS) sono indicati nelle rispettive ore locali (Local Time)
  • Periodi di tempo in secondi

Eccezioni:

  • l´IPA scrive i dati storici usando l´ora locale come "datetime" nella banca dati
  • Acquisisci data/ora dalla variabile oppure Scrivi data/ora nella variabile non salvano nessun tempo, ma riprende dal PLC l´ora locale formattata come stringa, oppure scrive questo

UTC

UTC significa Coordinated Universal Time. L´unità di misura del tempo è il secondo SI. UTC è l´unità di riferimento utilizzata internazionalmente per l´indicazione del tempo, si basa su misurazioni condotte da orologi atomici e viene reso noto e messo a disposizione di tutti tramite trasmettitori appositi. A seconda del fuso orario, si deve aggiungere o sottrarre all´UTC un determinato valore. Questo valore può variare di un´ora in corrispondenza del cambio dall´ora solare a quella legale. Esempi:

Paese | Ora locale
Alaska | UTC -9
Australia, Queensland | UTC +10
Bulgaria | UTC +2
Gran Bretagna | UTC
Corea | UTC +9
Europa centrale (Central European Time) | UTC +1
Europa centrale (Central European Time) Ora legale | UTC +2
Arabia Saudita | UTC +3
USA costa orientale | UTC -5
Emirati Arabi Uniti | UTC +4

Effetti sulle configurazioni

Dalle indicazioni di tempo progettate conseguono diversi orari reali a seconda del luogo di esecuzione del Runtime. Ad esempio:

nell´Editor si imposta per il PFS per il fuso orario UTC +1 il valore 14.00 Uhr in corrispondenza del quale deve essere eseguita una funzione. Dopo il trasferimento dei file a un Runtime nel fuso orario UTC +10, questa funzione sarà eseguita alle 23 Uhr.


SAP interface

Manuale -> SAP interface

In order to connect the ERP level to the process level, zenon uses a bidirectional interface to interact with SAP applications. This gives SAP users direct access to the process level.

The control system can be configured to send messages about any type of events to the SAP application. Companies can establish a direct link between the process level and the ERP level via a closed loop, getting a complete overview over all processes – from order management and recipes to production and shipment. This allows them, for example, to monitor warehousing in real-time, as the control system in the SCADA level provides exact data about real resource consumption. With this, companies get important basic data for just-in-time production but also for long-term planning.

zenon provides an integrated communication module, which makes it possible to transfer process data directly to SAP ERP. In an SAP environment, this data is used, amongst other things, for the following tasks:

  • Transmission of the status of process orders
  • Information about consumption and production of materials
  • Information about the status of resources
  • Transmission of selected process events

Process messages in SAP can be used for tasks such as creating electronic batch and operation logs or updating a process order or the stock of materials.

tutorial Informazioni sulla licenza

Must be licensed for Editor and Runtime (standalone, server, standby).

Project Manager context menu

Menu item | Action
Save | Saves changes in the SAP ERP configuration.
Export XML all ... | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Editor profile | Opens the drop-down list that includes pre-defined editor profiles.
Help | Opens online help.

Info Informazioni

Measurement documents:

The control system allows to measure the values of process variables according to time schedules and then transfer them to the SAP system as measurement documents. These measurement documents can be used in the SAP system for planning and creating maintenance tasks or for statistical purposes.

Info Informazioni

Maintenance message:

In addition to the measured values from the alarm messages in the control system, it is also possible to create maintenance messages in the SAP system. These reports can then trigger other actions in the SAP system, depending on the workflows defined there. For example, a maintenance message may automatically trigger the creation of a maintenance task for the affected piece of equipment.

Info Informazioni

Function calls:

SAP function blocks can be called up from zenon and executed in Runtime. The zenon SAP function contains a list of objects that display the parameters and tables of the SAP function block.


Basics and requirements

Manuale -> SAP interface -> Basics and requirements

In order to use the direct integration into the SAP world, the computer running the control system must also have the SAP GUI installed. The program libraries included in the SAP GUI are absolutely required for communication with an SAP system.

No further configurations on the SAP side are required. Installing the SAP GUI is sufficient for enabling data exchange. The rest of the parameters can be entered right in the development environment.

Info Informazioni

Integration with SAP ERP was tested and approved with SAP interface version "7100.2.92.5705".

Using the RFC interface, actions in the SAP system are executed by calling up function blocks. Function blocks are supplied with the SAP system. User-defined function blocks can also be programmed via the ABAP Workbench. ABAP is a programming language developed by SAP, which is used for all function blocks in the SAP system. The integration in the control system is currently limited to the standard function blocks delivered by SAP. However, we created a flexible interface in the control system that lays the basics for integrating customer-specific function blocks. Extensions to the interface can be made after clearance by the product marketing and by way of standard extension cycles of the product.

The complete descriptions of function blocks with their parameters, internal tables and structures used can be read from the SAP system via RFC API functions or by means of different function blocks.

Integration is performed according to the following procedure:

Requirements in zenon

Info Informazioni

There must be a license for the SAP Interface module.

Requirements in the SAP ERP system

Info Informazioni

The maintenance module (category logistics) is required as the communication partner in the SAP ERP system.


Maintenance messages:

Manuale -> SAP interface -> Basics and requirements -> Maintenance messages:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The planning system must at all times be informed about malfunctions, downtimes, etc. Productivity indicators can only be calculated correctly when the according uptimes and downtimes are known. The SAP system uses maintenance messagees for this.

Every maintenance message defined in zenon for a process variable can be configured as a malfunction report. Relevant messages are usually documented in SAP. "Relevant" means that the messages require maintenance services in order to be resolved.

Maintenance messages are created from zenon alarms. When there is an alarm for one of the variables linked to the element, a maintenance message will be created in the maintenance module of the SAP system. If there is a Cleared event for an alarm, the maintenance message will be acquired via the document number, and the time stamp of the Cleared event will be recorded.

For each type of message from SAP, you own group of message types can be created in zenon. The most significant property of a message in the SAP system is the "notification type". It defines how the message will be processed in the workflow of the SAP system. There are predefined notification types in the SAP system. If you do not specify one of the predefined notification types when trying to create a maintenance message, the SAP system will not create a maintenance message but will return an error message instead.

Info Informazioni

You may also choose to define a maintenance plant and a reporter for every maintenance message. If you do not specify a plant or a reporter, the SAP system will insert default values.

Every maintenance message refers to an installation part that is predefined in the SAP system. Such an installation part can be a "functional location" or "equipment". Every functional location can in turn contain functional locations and/or equipments.

Every functional location and every item of equipment have a unique identification that must be specified when creating a malfunction report. The identification for functional locations or equipments is taken from the resources label of the linked variables. Via the property "Functional location/Equipment", you can configure whether the resources label shall be interpreted as the identification of a functional location or an equipment.

You can now link variables to the maintenance messages you just defined. If there is an alarm for one of the linked variables, a maintenance message will be created in the SAP system using the defined parameters and the value and the limit text of the variable.

The maintenance messages receive a unique document number in the SAP system, which will be stored as a comment in the alarm entry of the zenon variable. This allows you to map the alarm event to the document number of the maintenance message in the SAP system.

attenzione Attenzione

If an alarm has a dynamic limit text, the comment field of the entry is not available; instead, an entry to the Chronological Event List will be created, which allows to map the alarm to the document number.


Technical background

Manuale -> SAP interface -> Basics and requirements -> Maintenance messages: -> Technical background

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Maintenance messages in the SAP system are created by executing the function blocks ALM_PM_MAINTNOT_CREATE and ALM_PM_MAINTNOT_SAVE. If the alarm is cleared, the "Cleared time" will be entered into the maintenance message created before by executing the function blocks ALM_PM_MAINTNOT_MODIFY_DATA and ALM_PM_MAINTNOT_SAVE.

These function blocks are created in the SAP system during the standard installation of the maintenance module and are then available for external applications.

attenzione Attenzione

Due to individual adaptations of the SAP system to specific customer requirements, these function blocks may no longer be available! In this case, the SAP system will return the error message FU_NOT_FOUND.

If the event Alarm cleared occurs in zenon for one of the linked variables, the maintenance message belonging to the alarm will be searched via the document number and the time of clearance of the malfunction will be inserted. This happens by executing the ALM_PM_MAINTNOT_MODIFY_DATA function block. The document number of the maintenance message is handed over to the function block with the NUMBER parameter. The values of the fields that need to be changed are specified in the parameter NOTIFHEADER ; the fields that need to be changed are specified with flags in the parameter NOTIF .

The modified maintenance message will then be stored in the SAP database by executing the function blocks ALM_ and BAPI_TRANSACTION_COMMIT.


Measurement documents

Manuale -> SAP interface -> Basics and requirements -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In SAP applications, measured values describe a certain status of a production system at a certain time in the process flow. Any variable existing in zenon can be defined as a measurement document. This allows handing over protocol-independent data from the real time process to the superordinate management level.

In many cases, it is better to aggregate process data already on the process level and then pass it on in a condensed format to the SAP system for analysis. For example, zenon delivers average values and other statistical values calculated from value series to the SAP system. This avoids overloading the management system with raw data.

Measured values and counter readings are recorded cyclically and stored as measured documents for a measuring point in the SAP system. The properties of the measuring point in the SAP system determine whether it is a measured value or a counter. The current variable value is used as the value of the measurement document.

Several measuring points can be defined for every technical location or every piece of equipment in the SAP system. During the definition of the measuring points, you can configure whether the measuring point shall continue a measured value or a counter reading. Counter readings must have monotonously rising values, i.e. every new value you enter must be equal to or higher than the previous value.

Measured values and counter readings of measuring points are passed on to the SAP system by means of what are known as "measurement documents".

In the control system, measured values are recorded according to schedules. For every schedule, you can define the weekdays and the times at which measured values shall be recorded. A schedule can be executed either daily or only on specific weekdays. Furthermore, you can define a starting time and an ending time as well as an interval for every schedule. Between the starting time and the ending time, the measured values of the linked variables in the specified interval will be recorded.

You can link a number of values with every schedule. Every time the schedule is executed, the current values of the variables will be read out and a measurement document for every variable value will be created in the SAP system. Every measuring point has a unique number that must be put down in the measurement document. The resource label of the linked variables is used to determine the number of the measuring point.

Info Informazioni

The control system variables and the SAP measuring points are mapped via the ID of the measuring point in the SAP system. This unique consecutive number must be entered in the resource label of the variables in the control system.


Technical background

Manuale -> SAP interface -> Basics and requirements -> Measurement documents -> Technical background

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Measurement documents for measuring points and counters are created in the SAP system with the function block "MEASUREM_*" . The measurement document is allocated to a measuring point or counter. Whether it is a measuring point or a counter, will be defined during the creation of the measuring point. The measuring point/counter is identified via a unique number in the SAP system.

The measuring document contains the measuring date (date, time), a measured value and its unit, a reporter (creator of the document) and a short text. If the measuring date is not specified, the date of the creation of the document will be used. In case the unit of the measured value is left out, the unit specified at the measuring point/counter will be used.

Setting the COMMIT_WORK parameter causes the document to be written to the SAP database immediately. Measurement documents are created in the SAP system by executing the function block MEASUREM_DOCUM_RFC_SINGLE_001.

Info Informazioni

The MEASUREM_DOCUM_RFC_SINGLE_001 function block is created during the standard installation of the maintenance module in the SAP system.

attenzione Attention

Due to individual adaptations of the SAP system to specific customer requirements, these function blocks may no longer be available! In this case, the SAP system will return the error message FU_NOT_FOUND.


Function calls

Manuale -> SAP interface -> Basics and requirements -> Function calls

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Desired functions in the SAP system can be called up from zenon with very little programming work in VBA and with very little configuration work. To do this, an image of the interface of the function block to be called up is displayed in the editor with the required parameters, tables and structures and linked to zenon variables. The actual function call is made by executing a zenon function, which is given this image as a parameter.

Function blocks

Actions in the SAP system and the transfer of data to the SAP system is carried out by calling up the function blocks. Function blocks are supplied with the SAP system; however user-defined function blocks can also be created via the ABAP Workbench.

Parameters

Data is transferred to and from function blocks via the import and export parameters. Input data is "imported" from the point of view of the function blocks in the SAP system; result data is "exported". The documentation of the function blocks in the SAP system is based on this point of view.

In addition to import and export parameters, there are also changing parameters, which serve for both the transfer of data and the return of results.

Internal tables

Data in table form or lists can be transferred in what are known as internal or temporary tables and can be transferred by function blocks.

Data types, structures

In addition to the other simple data types (numerical, text, date, time, etc.), data can also be transferred in structures. Data in tables is usually transferred as structures, but parameters can also take on structured data.

Support from the SAP system

The complete interface descriptions of function blocks including their parameters, internal tables and structures used can be read from the SAP system.

The zenon SAP interface makes use of this possibility in that it offers an assistant to select function blocks and to read in the interface description.

The configured objects are also compared with the interface description of the function block in the SAP system called up when an SAP function is called up.


Engineering in the Editor

Manuale -> SAP interface -> Engineering in the Editor

Measuring points/maintenance messages and function calls can only be configured in the development environment if there is a licensed SAP interface. If this is licensed there are Settings for the SAP connection in the project tree of the SAP interface node. Details about the configuration of the parameters are described in the following chapters.

Context menu project manager node SAP ERP

Menu item | Action
Save | Saves changes in the SAP ERP configuration.
Export XML all ... | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Editor profile | Opens the drop-down list that includes pre-defined editor profiles.
Help | Opens online help.


Toolbar and context menus

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Symbol

Action

New message type

Inserts a new empty message into the list.

New time plan

Inserts a new empty time plan into the list.

New SAP function

Opens the assistant to select a new SAP function block.

Add variable

Opens the dialog for selecting variables.

New parameter

Creates new parameters for the highlighted function.

New table

Creates new table for the highlighted function.

New structure field

Creates a new structure field for highlighted parameters or highlighted table.

Create standard function

Creates a zenon "Execute SAP function" for the highlighted SAP function.

Jump back to starting element

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

Save

Saves changes in the SAP ERP configuration.

Delete

Deletes the selected entry after a confirmation message.

Move upwards

Moves highlighted element in the detail view up by a position.

Move downwards

Moves highlighted element in the detail view down by a position.

Expand all

Expands all closed structures.

Clicking on the arrow next to the symbol opens the drop-down list to select from:

  • Expand all
  • Reduce all
  • Expand selection
  • Reduce selection

Export XML all ...

Exports all entries as an XML file.

Import XML

Imports entries from an XML file.

Properties

Opens the property window.

Help

Opens online help.


Context menu node SAP ERP

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Context menu node SAP ERP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
Save | Saves changes in the SAP ERP configuration.
Export XML all ... | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.


Maintenance messages context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Maintenance messages context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
New message type | Inserts a new empty message into the list.
Export all XML maintenance messages | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.


Maintenance message context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Maintenance message context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
Add variable | Opens the dialog for selecting variables.
Linked elements | Shows elements linked to the maintenance message in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Properties | Opens the properties window.
Help | Opens online help.


Measurement documents nodes context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Measurement documents nodes context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
New time plan | Inserts a new empty time plan into the list.
Export all XML measurement documents | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.


Time plan context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Time plan context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
Add variable | Opens the dialog for selecting variables.
Linked elements | Shows elements linked to the time plan in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Properties | Opens the properties window.
Help | Opens online help.


Maintenance message and measurement document variable list context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Maintenance message and measurement document variable list context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Menu item | Action
Add variable | Opens the dialog for selecting variables.
Linked elements | Shows elements linked to the variable in a drop-down list and makes it possible to jump to these elements.
Remove selected variable | Deletes selected variables from the list.
Help | Opens online help.


Function calls context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Function calls context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Function call nodes context menu

Menu item | Action
New SAP function | Opens the assistant to select an SAP function block.
Export all SAP functions | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.

Function call table context menu

Parameters | Description
New SAP function | Create new SAP function
Create standard function | Creates a new zenon function to call up the selected SAP function.
Linked elements | Shows elements linked to the SAP function in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Import XML | Imports entries from an XML file.
Read in RFC function component from the SAP system | Reads in the interface description of the function block from the SAP system. If no SAP name is given, the assistant to select the function block is displayed.
Display RFC function block documentation | Reads in the documentation of the function block from the SAP system and displays it as an HTML file using the web browser.
Help | Opens online help.


Individual SAP function context menu

Manuale -> SAP interface -> Engineering in the Editor -> Toolbar and context menus -> Individual SAP function context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

SAP function context menu

Parameters | Description
New parameter | Create new parameter with the SAP function.
New table | Create new table with the SAP function.
Create standard function | Creates a new zenon function to call up the selected SAP function.
Linked elements | Shows elements linked to the SAP function in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Properties | Opens the properties window.
Read in RFC function component from the SAP system | Reads in the interface description of the function block from the SAP system. If no SAP name is given, the assistant to select the function block is displayed.
Display RFC function block documentation | Reads in the documentation of the function block from the SAP system and displays it as an HTML file using the web browser.
Help | Opens online help.

Context menu of the parameter lists of an SAP function

Parameters

Description

New parameter

Create new parameter with the SAP function.

New table

Create new table with the SAP function.

New structure field

Create new structure field for parameter or table.

Linked elements

Shows elements linked to the SAP function in a drop-down list and makes it possible to jump to these elements.

Delete

Deletes the selected entry after a confirmation message.

Expand/reduce nodes

Display or hide structure fields of parameters and tables.
  • Expand all

Display structure fields of all parameters and tables.
  • Reduce all

Hide structure fields of all parameters and tables.
  • Expand selection

Display structure fields of all selected parameters and tables.
  • Reduce selection

Hide structure fields of all selected parameters and tables.

Help

Opens online help.

Context menu parameter list of an SAP function with structure field selected

Parameters | Description
New structure field | Create new structure field for parameter or table.
Linked elements | Shows elements linked to the SAP function in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes selected structure fields.
Move upwards | Push selected structure field up by one position.
Move downwards | Push selected structure field down by one position.
Help | Opens online help.


Connection parameters to an SAP system

Manuale -> SAP interface -> Engineering in the Editor -> Connection parameters to an SAP system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to establish a connection to an SAP system, some basic parameters must be specified. These are configured in the SAP ERP properties in the project manager detail window.

Parameters | Description
SAP ERP System | Contains settings for the connected SAP ERP system.
SAP logon | Contains settings for the registration on the SAP system.
Messages | Contains information for messages.
Error search | Contains properties for troubleshooting.

You can find details on the individual properties in the properties help for the respective property.


Maintenance messages:

Manuale -> SAP interface -> Engineering in the Editor -> Maintenance messages:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The planning system must at all times be informed about malfunctions, downtimes, etc. The SAP system uses maintenance messages for this. Every maintenance message defined in zenon for a process variable can be configured as a malfunction report.

Info Informazioni

If there is an alarm for one of the linked variables, a maintenance message will be created in the SAP system using the defined notification type and the limit text of the alarm. The number of the installation part (functional location or equipment) will be acquired from the resources label of the variable.

Maintenance message context menu (group)

Menu item | Action
New message type | Inserts a new empty message into the list.
Export all XML maintenance messages | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.

Maintenance message context menu

Menu item | Action
Add variable | Opens the dialog for selecting variables.
Linked elements | Shows elements linked to the maintenance message in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Properties | Opens the properties window.
Help | Opens online help.


Measurement documents

Manuale -> SAP interface -> Engineering in the Editor -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In SAP applications, measured values describe a certain status of a production system at a certain time in the process flow. Any variable existing in zenon can be defined as a measurement document. This allows handing over protocol-independent data from the real time process to the superordinate management level. Measurement documents are passed on to an SAP system based on a fixed time schedule.

Info Informazioni

At the times defined in the schedule, the current values of the linked variables are read out. Then, a measurement document in the SAP system is created for every variable value.

Measurement documents context menu (group)

Menu item | Action
New time plan | Inserts a new empty time plan into the list.
Export all XML measurement documents | Exports all entries as an XML file.
Import XML | Imports entries from an XML file.
Help | Opens online help.

Measurement documents context menu

Menu item | Action
Add variable | Opens the dialog for selecting variables.
Linked elements | Shows elements linked to the time plan in a drop-down list and makes it possible to jump to these elements.
Delete | Deletes the selected entry after a confirmation message.
Export selected XML | Exports selected entries as an XML file.
Properties | Opens the properties window.
Help | Opens online help.


Function calls

Manuale -> SAP interface -> Engineering in the Editor -> Function calls

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Actions in the SAP system and the transfer of data to the SAP system are carried out by calling up the function blocks. Function blocks are supplied with the SAP system. However, user-defined function blocks can also be programmed via the ABAP Workbench.

Desired functions in the SAP system can be called up directly from zenon. To do this, an image of the interface of the function block to be called up is displayed in the editor with the required parameters, tables and structures and linked to zenon variables. The actual function call is made by executing a zenon function, which is given this image as a parameter.

Note: The SAP RFC interface only permits one function call at a time. To avoid overlapping function calls, the activity can be monitored using a variable.


Select function block with assistant

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> Select function block with assistant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To select a function block from SAP:

  1. In the SAP interface detail view, select the Function calls node

  2. select New SAP function... in the context menu or in the tool bar
  3. The assistant for the selection of the SAP function block is opened (to do this, the setting Use assistants must be open in the project options)

    Attention: Test your project in a test system before you call up SAP function blocks in a productive system. Errors when calling up can impair the integrity of the data in the SAP system.

  4. Select the desired function block.

Parameters | Description
Select function block | Combobox for selection of SAP function blocks. The search term can be entered freely or selected from a drop-down list.
List of function blocks | List of function blocks found that correspond to the search term.
Back | Switches back to the assistant start screen.
Finish | Saves function block with all attendant SAP elements in a zenon SAP function.
Cancel | Creates an empty SAP function in zenon


SAP functions

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> SAP functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

An SAP function displays a function block from the SAP system in zenon. It contains a list of objects that display the parameters and tables of the SAP function block. With an SAP function, variables can be linked that provide information on the call status and result of the last call.

Create SAP function

SAP functions are created via the New SAP function menu item in the context menu of the Function calls node or the list of SAP functions.

If the use assistants property was activated in the project options, the assistant starts for the selection of an SAP function block. The assistant reads in the interface description of the selected function block from the SAP and creates all objects in the editor.

The SAP functions can also be edited by hand:

  • To compare the SAP function with the interface description in the SAP system in the process, select the Read in RFC function block from SAP system command. If no function block name has been given, the assistant is opened to select function blocks. Settings that have already been defined, in particular linked variables, are not changed in the process.
  • When creating an SAP function, the Nome funzione property receives an automatically-created name for the SAP function; this can be changed at will.

    Interno ID: SAP functions

    Nome funzione

    Denominazione assegnabile a piacere alla funzione SAP.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • The RFC function block property contains the name of the function block in the SAP system. The given name must correspond to the name in the SAP system, otherwise the FU_NOT_FOUND Exception occurs when the SAP function is called up.

    Interno ID: SAP functions

    RFC function block

    Nome del blocco dati funzionale nel sistema SAP.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Error messages

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> SAP functions -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Variables give information on the result of the last call of the SAP function. To do this, the variables are linked with the respective properties:

  • Codice di errore: contains a numerical code that corresponds to the result of the last call.

    Interno ID: Error messages

    Codice di errore

    Variabile numerica per il codice di errore della chiamata funzione.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Testo di errore: a short description of the last error code that occurred.

    Interno ID: Error messages

    Testo di errore

    Variabile stringa per descrizione breve dell´ultimo errore verificatosi.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Descrizione di errore: extensive description of the last error that is generated by the SAP RFC interface.

    Interno ID: Error messages

    Descrizione di errore

    Variabile stringa per dettagliata descrizione dell´ultimo errore verificatosi.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Error codes of the RFC interface

Error code | Error text | Meaning
-1 | No connection to the SAP system | SAP system cannot be reached (network error, registration etc.).
0 | OK | No error occurred.
1 | Error occurred | Unknown error, details in the error description property.
2 | Exception raised | Exception occurred in the function block (invalid parameter etc.).
3 | System exception raised, connection closed | Exception occurred in the system.
4 | Call received | Other function call still active.

Hint:

  • The language of the error text depends on the system language of Runtime
  • Not all codes occur when the function blocks are called up.


Activity monitoring

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> SAP functions -> Activity monitoring

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A (numerical) variable linked with the Attività property can assume three different values depending on the status of the SAP function:

Interno ID: Activity monitoring

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

0 = inattivo.

1 = inserito in lista attesa aperture

2 = Chiamata attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • 0: The SAP function is inactive and is not currently being executed.
  • 1: The SAP function is queued in the call queue (the SAP RFC interface only permits one function call at a time).
  • 2: The function call is being sent to the SAP system; awaiting a response from the SAP system.
    After this the variable value goes back to 0 (inactive).

This variable can be used for an interlocking to avoid overlapping function calls, for instance.


RFC function block documentation

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> SAP functions -> RFC function block documentation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The documentation for an SAP function block can be called up via the Display documentation of the RFC function block in the context menu.

The documentation

  • must be present in the SAP system for this
  • is read in in the language of the registered SAP user
  • Is displayed in the web browser in HTML format.

Documentation that has already been read in is stored in the "Temp" folder of the current Windows user and called up from there next time it is displayed.

Individual design of the display

To design the display of the documentation individually:

  1. Create a stylesheet with the name sapdoc.css
  2. Store the stylesheet in the "Temp" folder of the user

Example for a stylesheet

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


RFC function block documentation

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> RFC function block documentation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The documentation for an SAP function block can be called up via the Display documentation of the RFC function block in the context menu.

The documentation

  • must be present in the SAP system for this
  • is read in in the language of the registered SAP user
  • Is displayed in the web browser in HTML format.

Documentation that has already been read in is stored in the "Temp" folder of the current Windows user and called up from there next time it is displayed.

Individual design of the display

To design the display of the documentation individually:

  1. Create a stylesheet with the name sapdoc.css
  2. Store the stylesheet in the "Temp" folder of the user

Example for a stylesheet

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


Parameters, tables and structure fields

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> Parameters, tables and structure fields

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When calling up an SAP function, data is transferred via parameters and tables. The values of the parameters, tables and their structure fields are taken from the linked variables (incoming parameters) or allocated to the linked variables after the call (return parameters).

Create parameters, tables and structure fields

Parameters, tables and structure fields are created via the context menu in the parameter list of an SAP function.

  • Naming
    • When being created via the context menu, the objects receive automatically-created names (Nome nel sistema SAP property). These must be changed in such a way that they correspond to the related objects in the SAP system.

      Interno ID: Parameters, tables and structure fields

      Nome nel sistema SAP

      Nome del parametro, della tabella o del campo struttura nel sistema SAP.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • When creating an SAP function with the help of the assistant, the names are automatically issued according to the interface description in the SAP system.
  • Parameters and tables
    • When the SAP function is called up, only those parameters and tables are used that are also actually in the interface description of the function block in the SAP system.
    • If non-optional parameters or tables are not configured or not linked to variables, they are populated with initial values when the SAP function is called up. This generally leads to an Exception and thus to an error message when a function is called up.
  • Informative properties
    • Some properties of parameters, tables and structure fields (type, optional and info) are only for information. These are populated with the information from the interface description in the SAP system by the assistant when an SAP function is created, but can be changed at any time.
    • They are not evaluated when the SAP function is called up. Instead, the actual inputs of the interface description in the SAP system are used.


Link variables

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> Link variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Variabile property is used to link variables of an SAP function with parameters, tables and structure fields.

Interno ID: Link variables

Variabile

Mit dem Parameter, der Tabelle oder dem Strukturfeld verknüpfte zenon Va\-riable. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

To link variables:

  • Use either the Variabile property in the properties window: Click on the ... button to open the dialog for selecting variables
    or
  • Drag & drop the desired variable onto an object in the parameter list with the mouse

If structure variables are linked to structured parameters and tables, the variables of the structure fields are also populated with the structure element of the variable if possible.

Attention: This currently only works when linking via drag & drop.

Calling up an SAP function

When calling up an SAP function, the values of the variables are read, which are linked with parameters and tables for the transfer of data to the function block and are allocated to the parameters and tables.

And vice versa, the parameters and table values that are returned from a function call are allocated to the linked variables.

Row number for tables

Objects for tables can be linked via a variable with the Conteggio righe property.

Interno ID: Link variables

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Accepting values:

  • Before a function call: The value of Conteggio righe determines how many rows of the linked (array) variable are transferred to the table.
  • After the function call: The value provides the number of rows in the table returned from the function call.


Call up SAP functions

Manuale -> SAP interface -> Engineering in the Editor -> Function calls -> Call up SAP functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

SAP functions are called up via a new zenon function type, execute SAP function. The function has the (internal) ID of the SAP function to be executed as a parameter.

To call up an SAP function of zenon in Runtime:

  1. Create a new zenon function via Functions -> Context menu -> New functions
  2. Select Execute SAP function in the Application node
  3. the dialog for configuring functions is opened
  4. select the desired SAP function

Parameters | Description
SAP function | Drop-down list to select an SAP function. This must already be created in the project.
Show this dialog in the Runtime | Opens this dialog in Runtime before executing the function.
OK | Creates function with selected parameters.
Cancel | Creates function without parameter.
Help | Opens online help.

Hint: In the editor, the Create standard menu item in the context menu can be used to automatically create a function for a selected SAP function, which executes the selected SAP function in Runtime.


Schedulatore

Manuale -> Schedulatore

Il PFS consente l' esecuzione di azioni associate ad un intervallo di tempo oppure a un modello ciclico. Per esempio il cambiamento di un valore impostabile di una variabile oppure l'avvio di una particolare funzione di sistema e molto altro ancora.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Lo schedulatore lavora con tempi assoluti negli orari. Per questo le seguenti funzioni non sono a disposizione:

  • Tempi relativi, per esempio inizio turno, fine turno, …
  • Eventi definiti dall’ utente

Info Informazioni

A differenza del PFS per il quale è necessaria una licenza, lo schedulatore può essere utilizzato anche con Windows CE.

Cambio fra schedulatore e PFS

Si usa lo schedulatore quando non si ha una licenza per il modulo Production and Facility Scheduler (PFS). Le sue funzioni sono analoghe al PFS, ma meno estese.

  • E’ sempre possibile effettuare un aggiornamento dello schedulatore con PFS tramite licenza, dato che i piani di lavoro sono fra loro compatibili.
  • I dati che sono stati creati nel PFS, non sono, però, più utilizzabili nello schedulatore!


Creazione di un’operazione pianificata

Manuale -> Schedulatore -> Creazione di un’operazione pianificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella finestra dettagli dello schedulatore può essere creato un nuovo orario.

Parametri | Descrizione
Crea | Creazione di un nuovo orario.
Incolla | Inserisce un orario esistente.
Salva | Salva i cambiamenti.
Elimina | Dopo la conferma della richiesta di sicurezza, le modifiche vengono irrimediabilmente cancellate.
Impostazioni | Richiama la pagina delle impostazioni dello schedulatore.
Guida | Apre l’ help online.


Punti di commutazione

Manuale -> Schedulatore -> Punti di commutazione

Info Informazioni

Per default switching points are always created as inactive in the Runtime and must be activated decidedly in order for them to work. Per default switching point are created as active in the Editor. .


Creazione di un punto di commutazione analogico

Manuale -> Schedulatore -> Punti di commutazione -> Creazione di un punto di commutazione analogico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un punto di accensione analogico serve per inserire un valore impostabile tramite una variabile numerica (per esempio UINT, INT, ecc.)

Poi è possibile selezionare il giorno, e inserirlo o eliminarlo dalla lista.

Info Informazioni

Esiste la possibilità di preselezionare gli oggetti dell'orario con il mouse; all'apertura del dialogo corrispondente, questi verranno poi indicati come oggetti già selezionati. Anche il tempo di avvio e fine, inoltre, viene assunto in corrispondenza all'area selezionata.


Inserimento variabili

Manuale -> Schedulatore -> Punti di commutazione -> Creazione di un punto di commutazione analogico -> Inserimento variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Si possono selezionare delle variabili. Viene suggerito l’orario di inizio:

Parametri | Descrizione
Ora di inizio | Tempo in cui deve essere avviato il punto di accensione.
Inserisci Variabile | Inserisce una nuova variabile nel piano di lavoro. Questa operazione è possibile anche in fase Runtime.
aggiungere funzioni | Inserisce una nuova funzione nel piano di lavoro. Questa operazione è possibile anche in fase Runtime.
valore impostabile | Consente l’ inserimento dei valori.
Rimuovi | Rimuove l’ associazione della variabile o della funzione al piano di lavoro. Punti di accensione, che utilizzano questa variabile o funzione, vengono cancellati.

Il valore impostabile per le variabili può essere definito liberamente nell'ambito dei limiti previsti (nel caso di variabili binarie 0 o 1).

Nei campi del valore min/max viene indicata l'area di misurazione della variabile.

Il piano di lavoro finito viene visualizzato come di seguito:


Aggiungere funzioni

Manuale -> Schedulatore -> Punti di commutazione -> Creazione di un punto di commutazione analogico -> Aggiungere funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le funzioni per il punto di commutazione possono essere selezionate.

Si possono collegare al punto di avvio e fine le funzioni desiderate, anche per più progetti contemporaneamente. E' possibile collegare più funzioni o diverse funzioni al punto d'avvio e a quello della fine.

Info Informazioni

Tramite la funzione " esegui macro VBA" si possono eseguire anche macro VBA in corrispondenza dei punti di commutazione.


Impostazione di un punto di commutazione on/off

Manuale -> Schedulatore -> Punti di commutazione -> Impostazione di un punto di commutazione on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

ILa funzione per definire un punto di commutazione on/off si basa principalmente nell’ impostazione di una variabile binaria a 1 oppure a 0, in un intervallo di tempo .

Info Informazioni

All’ inizio di un piano di lavoro simile, la variabile viene impostata automaticamente a 1, mentre alla conclusione a 0. Se si vuole inveritire, bisogna creare prima di tutto il punto di commutazione, e con un doppio click del mouse si entra nel menu, dove si possono definire manualmente i valori impostabili (editarli, impostarli attivi e inattivi, oppure modificare l’ ora).

Nell’ editor è raggiungibile con un click sul tasto destro del mouse, mentre nel runtime è a disposizione una funzione MDI.

Nel menu contestuale può essere definito un nuovo piano di lavoro.

Info Informazioni

Possono essere selezionate solamente variabili booleane.

Possono essere inseriti il tempo di inizio e di fine:

Esempio Esempio

Se un utente ha bisogno solo di un'ora di inizio (solo un punto di commutazione), deve impostare il punto di fine su quello dell'inizio oppure fissare il tempo di durata a 00:00:00- Poi si possono settare anche solo le variabili/funzioni in relazione ad un punto di avvio definito.


Modifica posteriore di punti di commutazione

Manuale -> Schedulatore -> Punti di commutazione -> Modifica posteriore di punti di commutazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite un doppio clic del mouse su punti di commutazione già progettati si può aprire un dialogo di modifica degli stessi. In tale dialogo si possono modificare tutte le proprietà (come ad esempio il tempo di inizio e di fine). Esiste, inoltre, anche la possibilità di creare nuovi punti di commutazione analogici e punti di commutazione off/on (binarii).


Colore dei punti di commutazione

Manuale -> Schedulatore -> Punti di commutazione -> Colore dei punti di commutazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Grazie al colore è chiaro di che tipo di punto di commutazione si tratti.

Parametri | Descrizione
Verde | Punto di commutazione numerico
Cachi | Punto di commutazione binario
Blu | Due punti di commutazione binarii che si sovrappongono
Turchese | Due punti di commutazione che si sovrappongono, uno binario e uno numerico


Possibilità di configurazione dello schedulatore

Manuale -> Schedulatore -> Possibilità di configurazione dello schedulatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Queste possono essere aperte tramite la voce Impostazioni nel menu contestuale nella sezione lista dello schedulatore.


Cambio ora estiva/invernale

Manuale -> Schedulatore -> Possibilità di configurazione dello schedulatore -> Cambio ora estiva/invernale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In queste impostazioni può essere stabilito in base a quali varianti di impostazioni temporali debba essere calcolato.

Parametri | Descrizione
Cambiamenti temporali positivi | L’ orario viene impostato ad un’ ora successiva, il tempo di sistema viene settato in un' orario successivo. (per esempio ora solare)
Ricava punti di commutazione | Eventi, che sono impostati tra il tempo attuale e il nuovo tempo impostato, vengono eseguiti immediatamente.
Ricalcola punti di commutazione | Eventi, che sono impostati tra il tempo attuale e il nuovo tempo impostato, vengono ignorati e non eseguiti I punti di commutazione vengono ricalcolati.
Cambiamenti di tempo negativi | L’orario viene impostato ad un’ora precedente a quella attuale, il tempo di sistema viene settato ad un'orario precedente. (p.e. ora legale)
Ignora punti di commutazione | I punti di commutazione non vengono ricalcolati. Vengono avviati per primi i punti di commutazione al sopragiungere dell'orario di esecuzione.
Ricalcola punti di commutazione | Operazioni, presenti tra l’ orario attuale e il nuovo orario impostato, vengono ricalcolate (questo significa che vengono eseguite nuovamente al raggiungimento dell' orario definito). Questo ha come conseguenza un avvio doppio del punto di commutazione presente nell’ orario corretto.
Commutazione SB | Commutazione del Server in Standby, valido per il tempo di timeout nella Ridondanza.
Ignora punti di commutazione | L’ esecuzione dei punti di commutazione avviene in corrispondenza della posizione attuale allo Standby. I punti di commutazione nell’ intervallo di tempo del cambio vengono eventualmente non eseguiti.
Ricalcola punti di commutazione | I punti di commutazione vengono ricalcolati ed eseguiti all’ orario attuale -30 secondi. Come conseguenza può esserci una doppia esecuzione dei punti di commutazione.
Tolleranza per divergenza temporale | La tolleranza, nella quale il tempo di sistema può essere modificato, senza un nuovo ricalcalo del punto di accensione con i criteri descritti sopra.


Giorni festivi

I giorni festivi possono essere inseriti automaticamente in base al paese.

I file base per i giorni festivi si trovano nel percorso del programma di zenon, nel file Feiertage.txt e possono essere elaborati con un qualsiasi editor testi.

Gli inserimenti per ogni paese iniziano con il nominativo del paese tra parentesi quadre e infine con il codice telefonico internazionale.

La definizione dei giorni festivi avviene dalla riga seguente, con l’ inserimento del nome e della data del giorno festivo.

[Italia] 39

Tutti santi, 01/11/2004

Tutti i santi, 01/11/2004

Tutti i santi, 01/11/2004

Tutti i santi, 01/11/2004

Tutti i santi, 01/11/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

...

La definizione corretta per il nominativo è indipendente dal modello utilizzato.

Con un doppio click sul calendario l' inserimento può essere corretto.


Creazione di un orario speciale

Manuale -> Schedulatore -> Creazione di un orario speciale

Oltre agli orari particolari per i giorni festivi ufficiali, esistono quelli speciali che l'utente può creare liberamente (per es. legati ai tempi di chiusura della ditta per ferie). Li si imposta tramite il menu dello schedulatore come "orario speciale". Anche in questo caso vale la regola dei giorni festivi: nel caso esista un orario speciale, i punti di commutazione dell'orario standard vengono sovrascritti da quelli dell'orario stesso orario speciale.

Per prima cosa viene definito il tempo.

Il giorno speciale viene inserito nella tabella:

attenzione Attenzione

Non è più possibile eseguire contemporaneamente più giorni speciali: ciò significa che per l'arco di tempo per cui è stato già progettato un giorno speciale, non ne può essere impostato un altro.


Cancellazione dell'orario speciale

Manuale -> Schedulatore -> Cancellazione dell'orario speciale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Piani di lavoro speciali possono essere cancellati tramite la voce Elimina nel menu contestuale. I modelli di tempo possono essere cancellati allo stesso modo tramite il menu contestuale, selezionando Ora nello stesso menu.


Copiare o sostituire orari

Manuale -> Schedulatore -> Copiare o sostituire orari

Con il tasto destro del mouse i calendari possono essere copiati o, attraverso sostituzioni, collegati ad altre variabili. Con inserisci, viene aperto il dialogo di sostituzione e la sostituzione può essere confermata, o con termina può essere creato un calendario identico.


Orari nel caso di progetti di integrazione

Manuale -> Schedulatore -> Orari nel caso di progetti di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se deve essere richiamato uno schedulatore con i dati di un sottoprogetto, bisogna richiamare la funzione corrispondente del sottoprogetto.

I dati per lo schedulatore provengono sempre dal progetto nel quale si trova la funzione di cambio immagine.


Script:

Manuale -> Script:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Più funzioni definite dall’utente possono essere collegate in una sequenza tramite uno script.

Nel sistema sono definiti due script che vengono eseguiti automaticamente.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuovo script | Crea un nuovo script.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Script:

Script

Descrizione

AUTOSTART

Lo script viene eseguito automaticamente all’avvio del runtime (stazione singola oppure server) dopo l’apertura dell’immagine di partenza (sulla stazione singola o sul server), se il progetto è un progetto runtime di partenza. Lo script non viene eseguito se il progetto non è definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multigerarchica.

AUTOEND

lo script viene eseguito automaticamente al termine del runtime (stazione singola oppure server) se il progetto è un progetto runtime di partenza. Lo script non viene eseguito se il progetto non è definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multigerarchica.

Attenzione:

  • L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx Skripte. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in "AUTO_END", devono essere attivate mediante Project.Inactive.
  • Non si devono riportare archivi ciclici nello script AUTOEND.

AUTOSTART_CLIENT

lo script viene eseguito automaticamente all’avvio del runtime (client) prima dell’apertura dell’immagine di partenza, se il progetto è un progetto runtime di partenza.

AUTOEND_CLIENT

lo script viene eseguito automaticamente al termine del runtime (client), se il progetto è un progetto runtime di partenza.

AUTOSTART_SRVPRJ

Lo script viene eseguito automaticamente all'avvio del runtime sul computer che svolge la funzione di server per il progetto e prima dell'apertura dell'immagine di partenza, indipendentemente se il progetto è stato definito come progetto di partenza oppure no, oppure se si tratta di un sottoprogetto in una rete multigerarchica.

AUTOEND_SRVPRJ

Lo script viene eseguito automaticamente alla chiusura del runtime sul computer che svolge la funzione di server per il progetto, indipendentemente se il progetto è stato definito come progetto di partenza oppure no, oppure se si tratta di un sottoprogetto in una rete multigerarchica.

These scripts are available for the simulation mode; they are executed automatically:

Script | Description
AUTOSTART_SIMUL | If Runtime is started in simulation mode, the script with the name AUTOSTART_SIMUL is executed automatically if it is available.
AUTOEND_SIMUL | If Runtime is ended in simulation mode, the script with the name AUTOEND_SIMUL is executed automatically if it is available.


Progettazione nell'editor

Manuale -> Script: -> Progettazione nell'editor

La lista degli script definiti per il progetto attivo viene aperta nella sezione lista dopo la selezione della voce Script nella lista gerarchica del manager di progetto.

Avendo aperto il menu contestuale della sezione lsita del manager di progetto tramite il tasto destro del mouse, sono a disposizione (a seconda che sia selezionato o no uno script) i comandi seguenti per l'elaborazione degli script:

Menu contestuale Nodo Script

Parametri | Descrizione
Nuovo script | Crea un nuovo script.
Esporta tutti in XML | Esporta tutti gli script in un file XML.
Importa XML… | Importa degli script da file XML.
Incolla | Dopo l'esecuzione dei comandi Copia o Taglia, questo comando permette di inserire lo script copiato o tagliato dagli appunti di Windows nello stesso progetto.
Guida | Attvia la guida online

attenzione Attenzione

Limite dell'immissione: Il nome dello script è limitato ad un massimo di 31 caratteri.

Info Informazioni

Se si modifica il nome dello script, i parametri delle funzioni collegate vengono cambiati in modo corrispondente. Nel caso dei progetti multiutente, le funzioni vengono adattate automaticamente dopo che il sistema ha posto la domanda di controllo Confermare modifiche . Dopo che la modifica è stata eseguita con successo, viene cambiato anche lo script.

Barra simboli Script

Parametri | Descrizione
Nuovo script | Aggiunge un nuovo script alla lista.
Aggiungere funzioni | Apre il dialogo che seve ad aggiungere delle funzioni.
Copiare | Copia lo script selezionato negli appunti di Windows.
Incolla | Aggiunge uno script copiato negli appunti.
Elimina | Cancella lo script selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Rinominare | Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra delle proprietà per lo script selezionato.
Guida | Attvia la guida online

Menu contestuale Script selezionato

Parametri | Descrizione
Aggiungere funzioni | Apre il dialogo che seve ad aggiungere delle funzioni.
Nuovo script | Aggiunge un nuovo script alla lista.
Rinomina script | Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Crea una funzione standard | Crea una nuova funzione Esegui script.
Copiare | Copia lo script selezionato negli appunti di Windows.
Incolla | Aggiunge uno script copiato negli appunti.
Elimina | Cancella lo script selezionato.
Proprietà | Apre la finestra delle proprietà per lo script selezionato.
Guida | Attvia la guida online

Dopo la creazione di un nuovo script, dev'essere inserito un nome ed il nuovo script appare nella struttura della sezione lista.

Menu contestuale Funzione

Parametri | Descrizione
Spostare in sù | Sposta la funzione selezionata verso l´alto.
Spostare in giù | Sposta la funzione selezionata in giù.
Cancella funzione | Elimina la funzione selezionata dallo script.
Guida | Attvia la guida online

Script predefiniti

Autostart

Nello script AUTOSTART oppure in quello AUTOSTART_CLIENT si progettano le informazioni di avviamento (per esempio aprire intestazione e riga di stato, azzerare allarmi etc.).

Attenzione: L’immagine di partenza non dev’essere riportata nello script AUTOSTART , visto che viene fissata tramite la proprietà di progetto Immagine di partenza.

Interno ID: Progettazione nell'editor

Immagine di partenza

Questa immagine viene aperta automaticamente all'avvio del runtime. La prima immagine generata in un progetto viene inserita qui automaticamente.
Cliccando sul pulsante ... si apre il dialogo di selezione immagini.

Indicazione: tipi speciali di immagine come immagine iniziale sono aperti con filtro vuoto e, dunque, senza dati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per aprire le immagini con le relative immagini dei pulsanti (righe menu specifici) bisogna definire uno script (per esempio "B_Bildname") (Creazione d´immagine) In questo modo si garantisce che, selezionando l’immagine attraverso la funzione Cambio di immagine, la lista immagine o la funzione Immagine indietro, si aprano sempre tutti le immagini dettagli.

Autoend

Nello scriptAUTOEND oppure in quello AUTOEND_CLIENTsi progettano le funzioni di termine (ripristinare clacson, azzerare variabili di processo di uscita PIO-8 etc.).

Attenzione:

  • Non si devono riportare archivi ciclici nello script AUTOEND.
  • L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx Skripte. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in "AUTO_END", devono essere attivate mediante Project.Inactive.


Funzioni per script

Manuale -> Script: -> Funzioni per script

Gli script vengono avviati durante il Runtime tramite funzioni.

  1. selezionate nel nodo Funzioni del menu contestuale, la voce Nuova Funzione...
  2. passate a Script
  3. selezionate
    1. Esegui script per eseguire durante il Runtime uno script già esistente nel nodo "Script".
    2. Script con selezione online per permettere durante il Runtime la selezione dello script da avviare.

Funzione "Esegui script"

La funzione Esegui script esegue durante il Runtime uno script predefinto nell´Editor.

La funzione "Script con selezione online"

Con questa funzione può essere selezionato uno script nel funzionamento online prima dell´esecuzione.

Al momento della progettazione, si deve indicare uno script predefinito. Questo script viene utilizzato nel runtime come selezione standard.

Script in rete

A rete attiva, tramite il nodo delle proprietà Esecuzione: si può stabilire su quale calcolatore deve essere eseguito un determinato script.

Interno ID: Funzioni per script

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Tenete presenti le priorità dell´esecuzione script in rete


Priorità in rete

Manuale -> Script: -> Funzioni per script -> Priorità in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A rete attiva, tramite il nodo delle proprietà Esecuzione: si può stabilire dove deve essere eseguito un determinato script. :

Interno ID: Priorità in rete

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • calcolatore attuale
  • client
  • Server
  • Standby

Questo luogo di esecuzione vale anche per tutte le funzioni raccolte nello script. Le funzioni cui originariamente era stato assegnato un altro luogo di esecuzione, riprendono il nuovo luogo di esecuzione definito in questa sede.

Esempio 1: calcolatore attuale

  • Funzione 1 è stata definita con luogo di esecuzione Server.
  • Funzione 2 è stata definita con luogo di esecuzione Client.
  • Per la funzione Esegui script è stato stabilito PC attuale.
  • Conseguenza: entrambi gli script vengono eseguiti esattamente sul calcolatore su cui viene eseguita la funzione Esegui script. Può essere un client, un server o uno standby.

Esempio 2: client versus server

  • Lo script contiene due funzioni con luogo di esecuzione Client.
  • Per la funzione Esegui script è stato stabilito Server.
  • Conseguenza: entrambi gli script vengono eseguiti sul server indipendentemente da qual è il calcolatore su cui viene avviata la funzione Esegui script.

Esempio 3: Comandi driver:

i comandi driver vengono eseguiti di default sul server e sullo standby. Se viene avviato uno script con comandi driver sul client:

  • la funzione comandi driver verrà avviata sul client
  • il driver verrà terminato sul server dopo l´esecuzione dello script


Gestione durante il runtime

Manuale -> Script: -> Gestione durante il runtime

Nel funzionamento online sono a disposizione le seguenti funzioni per l’utilizzazione dello script:

Parametri | Descrizione
Esegui script. | Esecuzione diretta dello script selezionato
Script con selezione online | Selezione di uno script prima della sua esecuzione.

Utilizzando la funzione Script con selezione online si apre il box dialogo dello script.

Nel runtime l'utente può selezionare uno script dalla lista. Attivando il pulsante OK lo script selezionato viene eseguito.


Server archivi

Manuale -> Server archivi

L´archiviazione, la registrazione dei dati di processo e delle variabili che ne derivano, avviene in zenon con l´aiuto del modulo Server archivi. Il server archivi gestisce la registrazione dei dati desiderati e mette a disposizione anche diversi formati per salvarli e per esportarli. I dati sono poi a disposizione degli utenti che ne possono effettuare in un secondo momento l´analisi e la modifica - anche all´esterno di zenon.

In zenon potete analizzare o modificare i dati di archivio servendovi del Trend esteso, del Generatore di rapporti, oppure dell´immagine del tipo Post-elaborazione archivio.

tutorial Informazioni sulla licenza

Nell´Editor e Rutime (standalone, server, standby) è necessaria una licenza.

Indicazione: una Starter Edition del server archivi ridotta nel numero delle funzioni disponibili è già disponibile nella licenza standard di zenon.


Generale

Manuale -> Server archivi -> Generale

Il modulo Server archivi è a Vostra disposizione in zenon in due versioni: Server archivi: Starter Edition e Server archivi: versione con licenza.

In generale, si differenzia in zenon fra tre tipi di archiviazione standard.

  • Archiviazione ciclica
  • Archiviazione Start/Stopp
  • RDA (Real Time Data Acquisition)


Server Archivi Starter Edition:

Manuale -> Server archivi -> Generale -> Server Archivi Starter Edition:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

ImNel pacchetto standard della versione a base zenon per il PC è contenuta una variante ridotta del Trend esteso. La Starter Edition si basa sul server archivi standard, ma presenta le seguenti limitazioni.

  • nessuna archiviazione charge
  • nessun RDA
  • nessuna registrazione in caso di una variazione del valore o archiviazione gestita dagli eventi, ma solo interrogazione ciclica.
  • nessuna esportazone dei dati, ma solo un buffer circolare
  • nessun archivio successivo
  • nessuna manipolazione di dati mediante Post-elaborazione archivio o Generatore di rapporti.
  • Export sotto CE possibile solo in formato ASCII (su PC anche in XML e DFB).
  • I dati archivio possono essere salvati solamente nel formato ARX.

Attenzione:

  • Se nell'editor è disponibile solo la licenza per la "Starter Edition" del server archivi, non possono essere impostate tutte quelle funzionalità che superano i limiti sopra indicati.
  • Se nel runtime è disponibile solo la licenza per la "Starter Edition" del server archivi, non possono essere avviati tutti quegli archivi che superano i limiti sopra indicati. Viene generato un inserimento nel server di diagnosi.
    Anche dal report e dalla post-elaborazione archivi non possono essere eseguite delle operazioni di salvataggio.
    Esempio: Un archivio è configurato con la previsione della registrazione in caso di modifica di valori. Non viene avviato nel runtime. Quindi non vengono neppure registrati dei dati per l'archivio.


Versione con licenza del server archivi

Manuale -> Server archivi -> Generale -> Versione con licenza del server archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sul PC, è possibile passare in qualsiasi momento dalla Starter Edition del Server archivi a quella completa del modulo, mantenendo la compatibilità dei dati (estensione della licenza).

  • Nel caso in cui disponiate di una licenza sia per la Starter Edition del Server archivi che per il Server archivi stesso, tutte le funzionalità di quest'ultimo sono a disposizione.
  • Per le versioni I/O non è disponibile la Starter Edition.
  • Per il runtime di Windows CE 6.0, la Starter Edition del server archivi è disponibile come opzione insieme alla Starter Edition del Trend Esteso. (export sotto CE solo in formato CSV).
    Per le versioni più vecchie di Windows CE, non è disponibile nessuno dei due moduli.

Salvataggio in SQL

La versione con licenza del server archivi può essere estesa con il salvataggio in SQL. A tal scopo dovete acquistare la licenza per il server SQL di zenon.


Archiviazione ciclica

Manuale -> Server archivi -> Generale -> Archiviazione ciclica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso dell´archivazione ciclica, un archivio viene avviato regolarmente e, dopo un arco di tempo definito, terminato.

Nel corso di questo periodo di tempo, i valori possono essere scritti nell´archivio. I valori possono essere scritti nell´archivio o facendo uso della registrazione ciclica, o della registrazione gestita dagli eventi, oppure della registrazione che si verifica nel caso di una modifica del valore.

Info Informazioni

Tenete presente la differenza fra l´archiviazione ciclica e l´interrogazione ciclica.

Archiviazione ciclica significa che, nell´ambito di un ciclo definito, un archivio viene avviato e terminato.

Esempio:

Un archivio viene avviato ogni giorno alle 0:00:00 e terminato alle 23:59:59.

Interrogazione ciclica significa che un valore viene scritto in un archivio sempre in corrispondenza di un tempo determinato.

Esempio: il valore della variabile X viene scritto ogni 10 minuti in un archivio.


Archiviazione Start/Stopp

Manuale -> Server archivi -> Generale -> Archiviazione Start/Stopp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete gestire l´archiviazione nel Runtime di zenon anche manualmente facendo uso delle funzioni Partenza archivio e Termina archivio .

Finché è attivo, dei valori possono essere scritti nell´archivio. I valori possono essere scritti nell´archivio o facendo uso della registrazione ciclica, o della registrazione gestita dagli eventi, oppure della registrazione che si verifica nel caso di una modifica del valore.


RDA - Real Time Data Acquisition

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La funzionalità RDA viene utilizzata per leggere i valori salvati nel PLC e per salvarli in un archivio di zenon. Un tipico caso di applicazione di questa funzione è l'archiviazione di compiti di archiviazione di PLC che non sono connessi in modo permanente a zenon.

RDA può essere usato anche per analisi post mortem in caso di errori sul PLC. A tal scopo bisogna configurare il PLC in modo corrispondente.

1. Definizione di variabili nel PLC

Una zona distinta, continua, lineare dev´essere definita nel PLC per ogni variabile RDA.

Per evitare dei problemi, dev´essere selezionato un tipo dati specifico per le variabili, il quale non dev´essere più piccolo di quello in cui è organizzato il sistema del PLC !

La prima variabile della zona riservata alle variabili RDA nel PLC serve da trigger del processo di trasferimento. Questo significa che, se questa variabile viene settata su 1 dal PLC, i valori successivi – come definiti nell´intestazione (vedi più in giù) - vengono caricati e archiviati in zenon. Una volta archiviati questi valori, il driver setta la variabile automaticamente al valore 0.

2. Definizione di variabili in zenon

In zenon potete definire le Vostre variabili come avete fatto finora. Queste variabili si devono trovare nel PLC in una zona di memoria continua e lineare.

E' importante che, nelle proprietà delle variabili alla voce Esteso/Harddisk sia impostata per valori HD-Werte la proprietà valori risorteggiati (RDA).

3. Creazione dell'archivio in zenon

Crei un archivio e selezioni le variabili RDA. L´archivio definito dev´essere un archivio spontaneo.


PLC formattazione dati

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> PLC formattazione dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I tipi dati RDA utilizzabili sono (“BYTE, WORD, DWORD, FLOAT“) a seconda del driver utilizzato in: zenon per es.: S5PG32, PSUNI32, ...

attenzione Attenzione

Non possono essere letti dei valori “futuri”. Questo può succedere, se nel PLC e nel sistema del calcolatore esistono dei tempi di sistema differenti. Per questo motivo i tempi dovrebbero essere sincronizzati.


Descrizione Header

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione Header

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Index [0] | La dimensione dipende dal tipo di dato in zenon per es.: (BYTE, WORD, DWORD, FLOAT) Trigger Flag: definito con il valore 1 dal PLC quando sono richiesti dei dati d´utente Il flag viene automaticamente riportato a 0 non appena zenon ha ottenuto i dati richiesti.
Index [1] | 32Bit Intel Format Nimero dei dati d´uso viene settato dal PLC.
Indice [2] | 32Bit Intel Format Tempo ciclo in ms, viene usato solamento per TYP1. Viene settato dal PLC.
Index [3] | Formato Intel 32Bit ?..... ? Tipo 1.....senza tempo? (esiste solo per motivi di compatibilità, non dovrebbe più essere utilizzato) Tipo 2......con formato tempo1 Tipo 3.... con formato tempo 2? Tipo 4? definito dal PLC
Index [4] | Formato Intel 32Bit ?Indice del valore più vecchio (solo rilevante con tipo 1). E' definito dal PLC ed ha gli effetti seguenti nell´archivio:
Index [5] | La grandezza dipende dal tipo di dati di zenon per es.: (“BYTE, WORD, DWORD, FLOAT“)


Descrizione tipi

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione tipi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Tipo 1

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione tipi -> Tipo 1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Index [5] | La grandezza dipende dal tipo di dati di zenon per es.: (“BYTE, WORD, DWORD, FLOAT“)
Index [6] |
Index (ecc..) |

Quantitá | 5 | Risultato in archivio |  |  |  |  |
Valore più vecchio |  | 0 | 1 | 2 | 3 | 4 | Archivio
Valore PLC | Indice PLC | Valore | Valore | Valore | Valore | Valore | Tempo
1 | 0 | 1 | 2 | 3 | 4 | 5 | 00:00
2 | 1 | 5 | 1 | 2 | 3 | 4 | 00:01
3 | 2 | 4 | 5 | 1 | 2 | 3 | 00:02
4 | 3 | 3 | 4 | 5 | 1 | 2 | 00:03
5 | 4 | 2 | 3 | 4 | 5 | 1 | 00:04

attenzione Attenzione

Questo tipo di RDA è stato sostituito con il tipo 4 e non viene piu utiliszzato E' ancora disponibile solo per ragioni di compatibilità.


Tipo 2

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione tipi -> Tipo 2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Index [5]

La grandezza dipende dal tipo di dati di zenon
per es.: (“BYTE, WORD, DWORD, FLOAT“)

Index [6]

4 Byte formato tempo lungo-->
Byte1=ore 0 - 23
Byte2=minuti 0 - 59
Byte3=secondi 0 - 59
Byte4=centesimi sec. 0 - 100

Index [7]

La grandezza dipende dal tipo di dati d zenon
per es.: (“BYTE, WORD, DWORD, FLOAT“)

Index [8]

4 Byte formato tempo lungo-->
Byte1=ore 0 - 23
Byte2=minuti 0 - 59
Byte3=secondi 0 - 59
Byte4=centesimi sec. 0 - 100

Index (ecc..)


Tipo 3

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione tipi -> Tipo 3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Index [5] | La grandezza dipende dal tipo di dati di zenon per es.: (“BYTE, WORD, DWORD, FLOAT“)
Index [6] | 8 Byte formato tempo lungo --> Byte1= anno 97,98,ecc. (INDICAZIONE: Il formato viene utilizzato a 2 cifre a partire da 1900, cioè, a partire da 2000 ci saranno 3 cifre)? Byte2=mese 1 – 12 Byte3=giorno 1 – 31 Byte4=ore 0 – 23? Byte5=minuto 0 – 59 ????Byte6=secondo 0 – 59 Byte7=cent. sec. 0 – 100? Byte8=res.
Index [7] | La grandezza dipende dal tipo di dati d zenon per es.: (“BYTE, WORD, DWORD, FLOAT“)
Index [8] | 8 Byte formato tempo lungo --> Byte1= anno 97,98,ecc. (INDICAZIONE: Il formato viene utilizzato a 2 cifre a partire da 1900, cioè, a partire da 2000 ci saranno 3 cifre)? Byte2=mese 1 – 12 Byte3=giorno 1 – 31 Byte4=ore 0 – 23? Byte5=minuto 0 – 59 ????Byte6=secondo 0 – 59 Byte7=cent. sec. 0 – 100? Byte8=res.
Index (ecc..) |


Tipo 4

Manuale -> Server archivi -> Generale -> RDA - Real Time Data Acquisition -> Descrizione tipi -> Tipo 4

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Parametri | Descrizione
Index [5] | 8 Byte formato tempo lungo --> Byte1= anno 97,98,ecc. (INDICAZIONE: Il formato viene utilizzato a 2 cifre a partire da 1900, cioè, a partire da 2000 ci saranno 3 cifre)? Byte2=mese 1 – 12 Byte3=giorno 1 – 31 Byte4=ore 0 – 23? Byte5=minuto 0 – 59 ????Byte6=secondo 0 – 59 Byte7=cent. sec. 0 – 100? Byte8=res.
Index [6] | La grandezza dipende dal tipo di dati di zenon per es.: (“BYTE, WORD, DWORD, FLOAT“)
Index (ecc..) |


Formato dei file di archivio

Manuale -> Server archivi -> Formato dei file di archivio

Gli archivi hanno la seguente struttura dato: Il nome di un archivio è costituito dalla descrizione breve, dal tempo di salvataggio in UTC nel formato JJMMTThhmmss, nonché dall’estensione ARX.

Il file di archivio con identificazione ARX comprende la definizione del canale e i dati numerici. Il file ARS comprende i dati stringa. Lo header d’archivio comprende le definizioni di archivio ed eventualmente il valore della variabile Charge. La quantità di memoria riservato al valore della variabile Charge dipende, se la variabile Charge è una stringa, dalla lunghezza della stringa; per le variabili numeriche sono 32 caratteri fissi. Variabili string charge sono archiviate in Unicode. Se non è definita alcuna Variabile charge, non è riservato nessuno spazio nella memoria.

Il record dati nel file ARX ha adesso una lunghezza di 24 Byte e offre anche la possibilità di depositare valori double. Le informazioni di stato sono 64Bit.

A causa del nome del file, adesso possono essere depositati archivi a distanza di 1 secondo. Per gli archivi ciclici è consigliato un tempo di salvataggio maggiore di > 30secondi.

Se è cambiato il formato dei file di archivio, all’avvio del runtime il sistema verifica se i file di archivio (riconosciuti dall’estensione ARV) si trovano nel percorso runtime. Dopo la conferma della conversione, i file vengono modificati nel nuovo formato. Questa conversione è effettuata per tutti i progetti prima dell’avvio del progetto.

La seguente struttura di dati: Il nome di un archivio è costituito dalla descrizione breve, dal tempo di salvataggio in UTC nel formato JJMMTThhmmss, nonché dall’estensione ARX. La indicazione dell'orario del file ARX dipende dalle diverse zone che sono state settate nelle impostazioni di Windows.

Esempio Esempio

A1070405071200.ARX

A1 | Nome dell'archivio
07 | anno
04 | mese
05 | giorno
07 | ora (UTC)
12 | Minuti
00 | secondi

Tempo UTC e ora locale

Quando salvano i dati, gli archivi usano il tempo UTC.

L´ora locale che viene settata sul computer, si compone di: UTC + fuso orario + ora legale/ ora solare.

Il Runtime zenon considera automaticamente l´ora locale quando interroga gli archivi.

Ad esempio: Berlino in estate

Ora locale 14:00

UTC: 14:00, meno 1 ora per l´ora legale, meno 1 ora per il fuso orario = 12:00 Uhr

Il valore che localmente sono le ore 14:00, in realtà viene salvato come ore 12:00.

Interrogate dei valori a Berlino fra le 13:00 e le 15:00, ora locale. Il Runtime richiede all´archivio i valori che hanno un timestamp compreso fra le 11:00 e le 13:00 e li visualizza con l´ora locale (fra le 13:00 e le 15:00).


Archiviazione "a cascata" e compressione dei dati

Manuale -> Server archivi -> Archiviazione "a cascata" e compressione dei dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'archiviazione si basa sul principio "a cascate", cioè in un archivio di base vengono raccolte le variabili desiderate e, in seguito trasferite tramite una funzione di compressione in un Archivio successivo.

Questo procedimento può essere ripetuto quante volte si vuole. La funzione di compressione è eseguita alla fine del ciclo di archiviazione. Le seguenti funzioni di compressione sono disponibili per ogni variabile di archivio:

  1. somma
  2. valore medio
  3. Minimum
  4. Maximum

Possono lavorare in un progetto anche più “cascate” in parallelo.

attenzione Attenzione

Variabili stringa non possono essere compresse.

Si distingue tra diversi tipi di archiviazione. Come trigger per gli inserimenti negli archivi sono disponibili:

Parametri | Descrizione
ciclico | La scrittura dei valori nell’archivio viene effettuata attraverso un ciclo di tempo fisso.
Gestito da eventi | La scrittura dei valori nell’archivio viene effettuata in base alla stato di un bit di una variabile.
Al cambiamento valore | La scrittura di valori in archivio avviene ad ogni cambio di valore di una variabile collegata, ciò significa che la quantità di valori archiviati dipende dalla frequenza di modifica valore. La definizione di un’isteresi può diminuire la frequenza.

attenzione Attenzione

In un archivio del tipo Al cambiamento valore , le variabili vengono salvate anche in concomitanza di ogni modifica di stato.

Ad esempio: Se viene fermato un driver, tutte le sue variabili ricevono lo stato OFF. Per questo motivo, uno stop e start del driver causa due inserimenti:

  • OFF
  • SPONT oppure GI (nel caso di una riconnessione coronata da successo)

Ciò accade anche se il valore della variabile non cambia.

Per l'esportazione di un ciclo di archiviazione esistono diverse possibilità.

Parametri | Descrizione
Database | Buffer circolare per ogni archivio nel quale è contenuta la quantità definita di cicli d´archivio; elaborazione successiva dei dati di archivio nel buffer. Nel caso di un sovraffollamento del buffer è necessario o liminare l'archivio o esportare su un file.
Esportazione file | dopo la chiusura di un ciclo d'archivio, esso viene immediatamente esportato su un file.
Funzione di esportazione | L'esportazione di un archivo, cioè il salvataggio di archivi su file con filtro tempo, viene eseguita in formati file standard (ASCII, dBase). I nomi dei file vengono generati dal sistema. La struttura (JJMMTThhmmss/XML) cifra l'ora dell'esportazione con un' identificazione per anno, mese, giorno, ora e minuto. Il file può essere depositato sia localmente, sia tramite la sua integrazione in una rete su un server file.

Se è modificato il formato dei file di archivio, all’avvio del runtime viene testato se i file di archivio (riconosciuti dall’estensione ARV) si trovano nel percorso RT. Dopo la conferma della conversione, i file vengono modificati nel nuovo formato. Questa conversione è effettuata per tutti i progetti prima dell’avvio del progetto.

I vecchi file di archivio vengono cancellati. Si consiglia di effettuare prima un salvataggio dei file.

SB e server effettuano la conversione in modo parallelo prima dell’allineamento dei file.


Progettazione nell'editor

Manuale -> Server archivi -> Progettazione nell'editor

Trovate il modulo server archivi nel manager di progetto. Impostate degli archivi e gestiteli.


Archivi Visualizzazione dettagliata Menu contestuale

Manuale -> Server archivi -> Progettazione nell'editor -> Archivi Visualizzazione dettagliata Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli Server archivi e Archivi

Parametri | Descrizione
Nuovo archivio | Apre l´assistente per la creazione di un archivio.
Nuovo archivio successivo | Apre l´assistente per la creazione di un archivio successivo.
Modifica archivio | Attiva il dialogo per editare l´archivio selezionato.
Inserisci Variabile | Apre il dialogo che serve alla selezione delle variabili.
Elimina variabile | Cancella variabili dalla lista senza controllo sicurezza.
Elimina | Cancella l´archivio selezionato.
Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML… | Importa file XML.
Rinomina archivio | Consente di modificare il nome dell´archivio.
Guida | Attiva la guida online

Menu contestuale Server archivi

Punto di menu | Azione
Nuovo archivio | Apre l´assistente per la creazione di un nuovo archivio.
Salva | Salva gli archivi nuovi e quelli modificati.
Esporta tutti in XML | Esporta tutti gli archivi in un file XML.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML… | Importa file XML.
Guida | Attiva la guida online

Menu contestuale Archivio

Punto di menu | Azione
Modifica archivio | Attiva il dialogo per editare l´archivio selezionato.
Inserisci Variabile | Apre il dialogo che serve alla selezione delle variabili.
Nuovo archivio successivo | Apre l´assistente per la creazione di un archivio successivo.
Elimina | Cancella l´archivio selezionato.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML… | Importa file XML.
Rinominare | Consente di modificare il nome dell´archivio.
Guida | Attiva la guida online

Menu contestuale Lista variabili

Punto di menu | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione delle variabili.
Guida | Attiva la guida online

Menu contestuale Variabili

Punto di menu | Azione
Elimina variabile | Cancella variabile dalla lista. Attenzione: non viene effettuato nessun controllo di sicurezza.


Creare un nuovo archivio

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostate un nuovo archivio selezionando in primo luogo nel manager di progetto il nodo Server archivi. Poi potete impostare un nuovo archivio sia facendo uso del simbolo corrispondente che si trova nella barra dei simboli, che servendovi del menu contestuale Nuovo archivio....

A questo punto si aprirà il relativo assistente (vedi Assistente). Se volete configurare l'archivio senza far ricorso all'aiuto dell'assistente, cliccate su Annulla.

Nel dialogo Nuovo archivio potete fissare le impostazioni per il nuovo archivio. Il dialogo viene visualizzato anche se volete modificare le poprietà di un archivio già esistente.


Assistente

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'assistente Vi aiuta nel lavoro di base di progettazione di un archivio. Viene aperto di Default. Se volete configurare l'archivio senza far ricorso all'aiuto dell'assistente, cliccate su Annulla.

Se volete procedere alla Creazione di un nuovo archivio o alla Definizione di archivi successivi, l'assistente Vi offre il suo aiuto e Vi accompagna passo per passo per tutto il processo di progettazione: Domanda il nome e il nome breve dell'archivio, rende possibile la selezione di variabili e le impostazioni per l'interrogazione dei valori delle variabili.

1. Nome breve e nome

Anzitutto avete la possibilità di dare un nome al nuovo archivio e di assegnarli un nome breve. Il nome breve non può essere modificato in seguito. Il nome, invece, può essere cambiato in un secondo momento. Solo quando si sono effettuati questi due inserimenti è possibile proseguire.

Avvertenza: Il nome breve può contenere solo ed esclusivamente dei caratteri alfanumerici: cioè tutte le lettere dalla A alla Z (ma nessuna dieresi, nessun segno speciale) e tutte le cifre da 0 a 9.

2. Selezione delle variabili

Cliccate sul pulsante Selezione variabili per passare al dialogo che serve alla selezione delle variabili che devono essere archiviate.

3 . Tipo di registrazione

Decidete quale tipo di registrazione desiderate. Vedi capitolo Registrazione.

Parametri | Descrizione
Registrazione ciclica | Poi impostate il ciclo di tempo.
Registrazione orientata agli eventi | Indicate una variabile d'evento pigiando il pulsante '...'.
Registrazione nel caso di modifica del valore | Non sono necessari ulteriori inserimenti.

Info Informazioni

Con un nuovo archivio viene visualizzato il dialogo per l'interrogazione; nel caso degli archivi successivi no, visto che questi ultimi hanno sempre un'interrogazione spontanea.

Parametri | Descrizione
Avanti | Passa alla pagina successiva dell'assistente.
Indietro | Passa alla pagina precendente dell'assistente.
Termina | Chiude l'assistente. Il nuovo archivio viene inserito nella visione ad albero degli archivi (sezione lista del Manager di progetto).
Annulla | Vengono rifiutate tutte le impostazioni effettuate. Non viene creato nessun archivio.

Ciclo ci memorizzazione - questo accade in background

Il ciclo nel quale i file di archivio vengono salvati e trasferiti (vedi sezione Salvataggio), viene determinato automaticamente in base ai dati impostati. Si cerca di trovare quanti più valori "ragionevoli" per il ciclo di memorizzazione, in modo tale che i dati che ne risultano non superino una grandezza utilizzabile; ma si cerca di fare anche in modo che siano a disposizione un numero di valori per la compressione negli archivi derivati.

Il ciclo di memorizzazione viene calcolato nel modo seguente: per gli archivi con interrogazione spontanea e orientata agli eventi, il ciclo di memorizzazione viene fissato a due ore. Per gli archivi con un'interrogazione ciclica o per gli archivi successivi (che hanno un'interrogazione spontanea, ma ricevono dei valori ciclici dal relativo archivio sorgente), il ciclo di memorizzazione viene settato in modo tale che non vengano inserite più di 65000 variabili per file di archivio (nel caso gli archivi con moltissime variabili), ma pro variabile perlomeno 6 valori. In tal modo ci sono abbastanza valori a disposizione per l'archivio successivo.

Nel caso in cui nell'archivio siano contenute poche variabile, il ciclo viene impostato in modo tale che la dimensione dei file non superi i 65000 valori e che il ciclo abbia il maggior numero possibile di valori "esatti" (multipli interi di 1,5 10,30 o 60 minuti).

Il tempo di salvataggio è fissato in un anno (senza trasferimento).

Il momento dell'inizio del ciclo di interrogazione e memorizzazione viene fissato alle ore 00:00:00 del primo gennaio dell'anno corrente.


Proprietà

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce "Proprietà" sono a Vostra disposizione le seguenti impostazioni.

Parametri

Descrizione

Denominazione archivi

Identificazione

L´identificazione univoca a due caratteri dell´archivio viene usata per l´assegnazione automatica del nome nell´ambito di funzione di export.

Attenzione: Non potete più cambiare l´identificazione in un secondo momento.
Attenzione: Usate per l´identificazione solo dei caratteri alfanumerici (A-Z e 0-9). In tal modo evitate eventuali problemi nell´effettuare l´export e la dislocazione degli archivi.

Nome archivio

Nome dell´archivio da creare.

Selezione delle variabili

Aggiungete per mezzo del menu contestuale le variabili di cui si deve tenere conto in questo archivio. Potete aggiungere al Vostro archivio le variabili provenienti da tutti i progetti che si trovano nello stesso workspace.

Avvertenza: La ridondanza non viene supportata. Ciò può condurre alla perdita di dati. Tenetelo presente al momento di creare i Vostri archivi.

Charge

Variabile charge

Variabile del tipo “Stringa”” Il valore delle variabili viene usato come nome charge. Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare la variabile desiderata.

Avvertenza: Il valore delle variabili viene usato come nome charge. Mentre l´archivio è attivo, il valore della variabile può cambiare, e, con esso, anche il nome charge. Tenetelo presente al momento di effettuare l´operazione di filtro.
Il valore delle variabili al momento della chiusura dell´archivio viene usato come nome charge definitivo.

Indicizzare Charge

Se attivate questa checkbox viene eseguita un´indicizzazione automatica del nome charge per l´archivio in questione. In tal modo è possibile un accesso rapido ai valori charge.

Definizione d´impianto

Gruppi di impianti

Definite l´appartenenza ad un gruppo di impianti. Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare il gruppo di impianti desiderato.

Info Info

Gli archivi possono archiviare variabili di sotto-progetti. Variabili provenienti da sotto-progetti sono riconoscibili dal loro nome, che contiene il nome del progetto di origine.

Nel caso delle variabili charge ( Archiviazione charge ) e delle variabili d'evento, possono essere utilizzate variabili da sotto-progetti.


Runtime

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce "Runtime" sono a Vostra disposizione le seguenti impostazioni.

Parametri | Descrizione
Start e fine |
All’avvio e alla fine del runtime | L´archivio viene automaticamente attivato e terminato con l'esecuzione del runtime Avvertenza: Se selezionate questa impostazione, rendete impossibile fermare o di avviare l´archivio tramite Funzioni. Ciò potrebbe causare problemi durante il funzionamento Runtime
Definito dall´utente (per es. grazie a funzioni) | L´archivio viene avviato e chiuso con l´aiuto delle funzioni Avvia archivio e Chiudi archivio.
RDA Archivio a blocchi | La gestione dell´archivio avviene tramite RDA.
Esegui funzione in concomitanza di |
Inizio archivio | Definite una funzione che deve essere eseguita al momento dell´apertura dell´archivio.
Fine archivio | Definite una funzione che deve essere eseguita al momento della chiusura dell´archivio.
Avvio dell´archivio |
Data/tempo | Definizione dell'ora di partenza per il ciclo di interrogazione e registrazione L'ora predefinita non riguarda la prima interrogazione, ma definisce il primo momento di salvataggio dei file che devono essere archiviati.

Esempio Esempio

C'è un ciclo di interrogazione e salvataggio (chiamato ASZ), come un ciclo di interrogazione (chiamato AZ). Non bisogna confondere questi due cicli.

La determinazione del tempo del primo valore (EWZ) mediante un arrotondamento del ciclo di interrogazione e salvataggio sul ciclo di interrogazione. Grazie all´implementazione di questa funzionalità si verificano alcuni casi particolari, di non facile intepretazione:

l'arrotondamento del ciclo di interrogazione e salvataggio sul primo ciclo di interrogazione avviene ora per ora, minuto per minuto e secondo per secondo. Ciò significa: se il valore da arrotondare (H:M:S) del ciclo di interrogazione e salvataggio è più piccolo di quello di interrogazione, questo è sempre 0!

Se il ciclo di interrogazione è un giorno, il ciclo di interrogazione e salvataggio comincerà sempre alle ore 0:0:0 ->-> la registrazione comincerà alle ore 0.

Nel caso in cui il ciclo di interrogazione sia mensile, la registrazione comincerà sempre il primo del mese alle ore 0:0:0.

Alcuni esempi:

ASZ: Ciclo di interrogazione e salvataggio
EZW: Tempo del primo valore
ASZr: Ciclo di interrogazione e salvataggio arrotondato
EZW: Ciclo di interrogazione

ASZ: XX:XX:XX AZ: 1T 00:00:00 -> EZW 00:00:00; ASZr 00:00:00 + AZ 00:00:00 = EZW 00:00.00

ASZ: 00:01:00 AZ: 0T 23:59:00 ->EZW 23:59:00; ASZr 00:00:00 + AZ 23:59:00 = EZW 23:59:00

ASZ: 00:30:00 AZ: 0T 00:30:00 ->EZW 01:00:00; ASZr 00:30:00 + AZ 00:30:00 = EZW 01:00:00

ASZ: 00:30:00 AZ: 0T 00:29:00 ->EZW 00:58:00; ASZr 00:29:00 + AZ 00:29:00 = EZW 00:58:00

ASZ: 00:30:00 AZ: 0T 00:05:00 ->EZW 00:35:00; ASZr 00:30:00 + AZ 00:05:00 = EZW 00:35:00

ASZ: 00:29:00 AZ: 0T 00:05:00 ->EZW 00:30:00; ASZr 00:25:00 + AZ 00:05:00 = EZW 00:30:00

ASZ: 00:00:00 AZ: 2T 00:00:00 ->EZW 00:30:00; ASZr 00:00:00 + AZ 2T 00:00:00 = EZW 3. 00:00:00

Ogni nuovo archivio comincia con un EZW corrispondente ai calcoli sopra riportati. Il ciclo di registrazione non ignora gli archivi, nel senso che se il ciclo di interrogazione non è contenuto pienamente nel ciclo di interrogazione e salvataggio, si crea un buco nella registrazione in caso di un cambio di archivio.


Tipo di registrazione

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Tipo di registrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce "Registrazione" sono a Vostra disposizione le seguenti impostazioni.

Parametri | Descrizione
Ciclica |
Registrazione ciclica | Attivate questo campo opzionale se volete una registrazione ciclica dei dati di archivio. Definite poi il ciclo.
Intervallo del ciclo | Definite in quale ciclo (giorni, ore, minuti e secondi) il sistema deve leggere i valori.
Mensile | I valori vengono letti ad ogni cambio del mese.
Offset | Definite per quanto tempo l´archivio deve attendere i valori richiesti. L´offset non ha alcun effetto sul timestamp dei valori. È necessario soprattutto in presenza di driver lenti. Attenzione: Tenete presente che l´offset deve essere sempre minore al tempo del ciclo.
Gestito da eventi |
Registrazione orientata agli eventi | Attivate questo campo opzionale se volete una registrazione gestita dagli eventi dei dati di archivio.
Variabile trigger | Definite la variabile che deve avviare la lettura dei valori. La lettura viene avviata dal ritardo fronte (0->1) delle variabili trigger.
Il timestamp viene ripreso da | Facendo uso di entrambi i campi opzionali potete definire se deve essere usata la variabile trigger o quella d´archivio per il timestamp.
Al cambiamento valore |
Registrazione nel caso di modifica del valore | Se attivate questo campo opzionale, le variabili vengono scritte nell´archivio solamente nel caso di una variazione di valore spontanea. Per fissare l´area di misurazione si può fissare un´isteresi (vedi capitolo Isteresi nella parte della guida dedicata alle Variabili).
Salva immagine di processo al momento dello start | Alla creazione di un nuovo file di archivio vengono inseriti i valori attuali delle variabili.
Salva immagine di processo al momento di terminare | Alla chiusura di un file di archivio vengono inseriti i valori attuali delle variabili . Nel caso in cui una variabile sia letta per la prima volta (come, ad esempio, al momento dell'avvio del runtime o se un server in stand-by passa alla funzione di server), può essere inserito un valore di inizializzazione.
Salvataggio ad evento/spontaneo |
Ignora valore di inizializzazione | Attivate questa checkbox se volete che non si tenga presente del valore di inizializzazione nell´archivio.


Salva

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Salva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete modificare i contenuti degli archivi servendovi di Trend esteso, Generatore di report oppure Tipo di immagine Post-elaborazione archivio . Definite le modalità di salvataggio di ogni archivio per poter poi modificare l´archivio stesso.

Vengono definite qui le condizioni di salvataggio dei file per l'archivio.

attenzione Attenzione

Alla modifica del modo di registrazione o del ciclo, l'archivio attuale alpha, cioè il file d'archivio attualmente usato da zenon, verrà cancellato.

Alla voce "Salva" sono a Vostra disposizione le seguenti impostazioni.

Parametri

Descrizione

Formato di salvataggio

Banca dati interna (*.arx)

I dati sono disponibili in un sistema circolare (FIFO) per la loro elaborazione successiva e analisi; i dati sono depositati dietro il percorso del progetto (...\\percorso \\calcolatore \\nome del progetto) e saranno trasferiti nel percorso di esportazione alla loro eliminazione.

dBase (*.dbf)

Quando si chiude un archivio, i dati vengono salvati subito in un file *.dbf.

(Attenzione: elaborazione successiva, creazione di report e grafica non sono più possibili per archivi trasferiti!)

CSV (*.txt)

Quando si chiude un archivio, i dati vengono salvati subito in un file *.txt.

(Attenzione: elaborazione successiva, creazione di report e grafica non sono più possibili per archivi trasferiti!)

Salva come Unicode

Se attivate questa checkbox, il file txt viene salvato in formato Unicode.

XML (*.xml)

Quando si chiude un archivio, i dati vengono salvati subito in un file *.xml.

(Attenzione: elaborazione successiva, creazione di report e grafica non sono più possibili per archivi trasferiti!)

Ciclo di memorizzazione

Ciclo

Attivate questo campo opzionale per stabilire la lunghezza dei singoli archivi in termini di giorni, ore, minuti e secondi. La lunghezza dei singoli archivi può avere effetti sulla grandezza del file e la quantità dei file di archivio e determina il ciclo per gli archivi successivi

Giorni

Definite il ciclo di salvataggio dell´archivio.

Ore

Definite il ciclo di salvataggio dell´archivio.

Minuti

Definite il ciclo di salvataggio dell´archivio.

Secondi

Definite il ciclo di salvataggio dell´archivio.

Cambio mese

Attivate questo campo opzionale per salvare l´archivio in corrispondenza di ogni passaggio da un mese all´altro. (Archivi mensili.)

Annualmente

Attivate questo campo opzionale per salvare l´archivio in corrispondenza di ogni passaggio da un anno all´altro. (Archivi annuali)

Dislocamento

Durata di conservazione

Definite la durata di conservazione dell´archivio in ore, oppure giorni, mesi o anni.
Tenete presente che la durata di conservazione ha a che fare direttamente con il ciclo di slavataggio. Possono essere conservati al massimo 65535 archivi.

Esempio: Ciclo 1 secondo -> massima durata di conservazione 18 ore. Ciclo 1 minuto -> massima durata di conservazione 1092 ore o 45 giorni o 1 mese.

Dislocamento dopo durata di conservazione

Non dislocare (gli archivi verranno cancellati)

Attivate questo campo opzionale se gli archivi devono essere cancellati dopo la fine della durata di conservazione.

Banca dati interna (*.arx)

Se attivate questo campo opzionale, gli archivi vengono dislocati nel formato interno di banca dati *.arx. File ARX possono essere riletti e scritti in zenon.

Banca dati SQL

Se attivate questo campo opzionale, gli archivi vengono dislocati in una banca dati SQL. Definite la banca dati SQL cliccando su ....
Attenzione: Gli archivi dislocati in una banca dati SQL possono essere solo letti in zenon.

Impostare tabelle

Cliccate su questo pulsante per impostare le tabelle necessarie in SQL, oppure per attualizzarle.

XML (*.xml)

Se attivate questo campo opzionale, gli archivi vengono dislocati nel formato XML

CSV (*.txt)

Se attivate questo campo opzionale, gli archivi vengono dislocati nel formato TXT

Esporta in formato Unicode

Attivate questa checkbox per salvare il file TXT dislocato come Unicode.

dBase (*.dbf)

Se attivate questo campo opzionale, gli archivi vengono dislocati nel formato DBF.

Colonne esportate per dislocamento CSV/dBase: V-nome variabile, I-identificazione, W-valore, S-stato, D-data, Z-tempo

Nel caso delle opzioni di dislocamento dBase e CSV, avete la possibilità di dislocare anche alcuni parametri e variabili archiviate.
Inserite nel campo di testo le lettere del parametro che volete dislocare.
V = nome variabile
I = identificazione variabile
W = valore
S = stato
D = data
Z = tempo
Di default sono selezionati tutti i parametri.

La configurazione del separatore colonne (esportazione ASCII) e del numero delle cifre decimali si effettua nel file project.ini.

Parametri | Descrizione
[ARCHIVIO] |
SEPARATORE= | Indicazione dei separatori possibili

I nomi dei file archivi da esportare sono definiti come segue:

Parametri | Descrizione
nnJJMMTThhmmss.xxx | Nome del file
- nn | Denominazione breve dell'archivio secondo definizione
jj | Anno (per es. 05 per 2005)
- mm | Mese (ad es. 03 per Marzo)
- tt | Giorno
hh | Ore nel tempo UTG/GMT
- mm | Identificazione minuti 01..59
- ss | Identificazione secondi 00..59
- xxx | Tipo file (DBF, TXT)

attenzione Attenzione

Nel caso di partenza e termine degli archivi definito dall'utente:

Una impostazione nella sezione ciclo non è necesaria, perché l'avvio e la chiusura dei file di archivio è fatta manualmente (cioé tramite funzioni). Perciò tale valore viene ignorato, nella misura in cui sia interessata la lunghezza dei file.

Tuttavia questo valore ha importanza per determinare quanti file di archivio devono essere conservati. L'effettiva diversa lunghezza dei file di archivio, infatti, non viene presa in considerazione in questo caso. In pratica, zenon calcola il numero dei file di archivio da conservare nel modo seguente:

Esempio: 5 ore ( Conserva archivi) / 15 minuti ( ciclo) = 20 file di archivio da conservare


Disloca archivi

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Salva -> Disloca archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce Salva potete stabilire come dislocare archivi conclusi. Avete due possibilità di farlo.

  • Non dislocare (gli archivi verranno cancellati)
  • Banca dati interna (*.arx)
  • Banca dati SQL

Non dislocare (gli archivi verranno cancellati)

I più vecchi file di archivio vengono cancellati.

attenzione Attenzione

Se nella proprietà "Conserva archivi" viene inserito il valore 0, non viene salvato nessun archivio. Esiste solo l'archivio attualmente attivo.

Banca dati interna (*.arx)

Se viene raggiunto il numero dei file d'archivio da conservare, vengono salvati gli archivi più vecchi nel formato ARX. Questo file può essere reimportato in zenon e, in questa sede, sia letto e che descritto.

Banca dati SQL

Se viene raggiunto il numero dei file d'archivio da conservare, vengono salvati gli archivi più vecchi nel server SQL.
La dislocazione in una banca dati SQL ha il vantaggio che i dati di archivio sono a disposizione in zenon per trend e report anche dopo la dislocazione.
Per collocare il file di un archivio in una banca dati SQL:

  1. selezionate alla voce Salva la proprietà Banca dati SQL:
  2. cliccate sul pulsante ... per aprire il dialogo che serve alla scelta della banca dati
  3. cliccate sul pulsante Crea tabelle per creare delle tabelle

    Facendo uso del pulsante Crea tabelle queste ultime possono essere create di nuovo in qualsiasi momento, oppure le si può adattare automaticamente se, ad esempio, delle variabili vengono aggiunte o cancellate dall´archivio, oppure la Providerstring viene modificata manualmente.

    Se configurate un archivio per l´esportazione in SQL e lo riconfigurate poi in un secondo momento, dovete modificare in modo corrispondente anche le tabelle in SQL.
    Esempio:
    se avete configurato un archivio per l´esportazione SQL, e le tabelle in SQL sono state già create, e Voi collegate poi una variabile per l´archiviazione charge, le tabelle in SQL devono essere create nuovamente perché altrimenti la dislocazione SQL non può essere eseguita. La tabella per l´informazione charge non esiste. In questo caso verrà scritta una segnalazione nella CEL e nel Diagnose Viewer dalla quale risulta che non è stato possibile esportare l´archivio.

    Ogni volta che aggiungete o eliminate delle variabili da archivi che sono configurati per l´esportazione SQL, le tabelle in SQL devono essere attualizzate (adattate) in modo corrispondente.

Info Informazioni

Troverà delle informazioni più dettagliate nella documentazione Microsoft.

Gli archivi trasferiti in una banca dati SQL vengono, contrariamente a file dBase, ASCII o XML, automaticamente riletti se necessario (ad esempio trend esteso).
Il pulsante ... apre il dialogo Microsoft per la selezione del provider OLE DB e la definizione del collegamento.

Formato della tabella banca dati: Nome progetto_Nome breve

Colonna

Typ

Significato

VARIABILE

int[4]

Variabile numerica ID

CALCOLAZIONE

int[4]

Tipo di compressione per archivi successivi.

E' possibile un numero massimo di 4 valori. Somma, valore medio, minimo, massimo.
Nel caso si esporti un archivio successivo in un file (per es. .csv), i valori da 1 a 4 vengono scritti in forma di stringa:

  • 1=somma
  • 2=valore medio
  • 3=minimo
  • 4=massimo

Nel caso di dislocazione o export in SQL, i valori vengono scritti in codice ASCII come integer:

  • 49=somma
  • 50=valore medio
  • 51=minimo
  • 52=massimo

TIMESTAMP_S

int[4]

Timestamp in formato tempo UNIX.

TIMESTAMP_MS

int[4]

Quota di millesecondi del Timestamp

VALUE

float[8]

Valore

STATO

int[4]

Flag di stato per il valore (zenon Stato)

GUID

char[36]

prende il progetto-GUID da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.

STRVALUE:

varchar

Varchar: la dimensione della colonna dipende dalla lunghezza massima delle stringhe archiviate. Per un valore numerico questo campo è “NULL”

Il nome della tabella della banca dati Projektname_VARIABLES è costituito dal nome del progetto e dal nome breve dell'archivio. Queste due parti sono collegate da una lineetta. Se il nome del progetto, dunque, è ARV_IN_DB e il nome breve dell'archivioA1, il nome della tabella è ARV_IN_DB_A1.

Tabelle Nome lotto

La tabella contenente i nomi lotto per gli archivi esportati in SQL:

  • ha il nome [Projektname]_[Archivkürzel]_BATCH
  • consiste di tre colonne:
SPalte | Typ | Significato
BATCH | varchar (128) | Nome lotto
START_S | int | Data/ora Unix dell´inizio lotto
END_S | int | Data/ora Unix della fine lotto

Formato della tabella lista incrociata

Colonna | Typ | Significato
VARIABILE | int[4] | Variabile numerica ID
NOME | varchar[128] | nome della variabile
GUID | char[36] | prende il GUID di un altro progetto se la variabile non proviene dallo stesso progetto. Normalmente "NULL"

Il nome della tabella lista incrociata è costituito dal nome progetto e dalla formula finale VARIABLES. Queste due parti sono collegate da una lineetta. Se il nome del progetto, dunque, è ARV_IN_DB, il nome della tabella sarà ARV_IN_DB_VARIABLES.

Le colonne GUID e STRVALUE devono essere inserite manualmente nella banca dati SQL, oppure provvede l'editor ad aggiungerle. Nell'editor bisogna cambiare alla scheda di memoria per ogni archivio interessato. Qui si deve aprire la stringa di collegamento con la banca dati e confermare il dialogo. Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

attenzione Attenzione

Se non rendete effettive queste modifiche, non viene trasferito nessun dato di archivio nella banca dati SQL!

  • XML (*.XML): Se viene raggiunto il numero dei file d'archivio da conservare, vengono salvati gli archivi più vecchi nel formato XML.
  • CSV (*.txt): Se il numero dei file di archivio da conservare è stato raggiunto, gli archivi più vecchi vengono salvati in formato CSV in un file TXT.
    Se attivate la checkbox,esporta in Unicode, il file TXT dislocato viene salvato in formato Unicode.
  • dBase (*.dbf): Se viene raggiunto il numero dei file d'archivio da conservare, vengono salvati gli archivi più vecchi nel formato DBF.


Opzioni

Manuale -> Server archivi -> Progettazione nell'editor -> Creare un nuovo archivio -> Opzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla voce "Opzioni" sono a Vostra disposizione le seguenti impostazioni.

Parametri

Descrizione

Calcolo nell´archivio a cascata

Riprendere valori nel calcolo di archivi a cascata solamente se è corretto il seguente filtro di stato.

Selezionate questa checkbox se volete tenere presente dei bit di stato per il calcolo dei valori di archivi in cascata.

Gli altri stati vengono

  • indicati nell´editor degli archivi
  • indicati in corrispondenza del report e possono anche essere settati.

Definizione degli stati la trovate nel capitolo Elaborazione stati
Indicazione: Se attivate la checkbox, dovete selezionare almeno un bit di stato.

Setta time stamp in archivi a cascata

Temporizzazione del valore minimo/massimo

Attivate questo campo opzionale se volete usare come time stamp quello del valore minimo/massimo trovato.

Timestamp del calcolo

Attivate questo campo opzionale se volete usare come time stamp quello del calcolo trovato.

Archivio di riserva

Crea archivi di riserva

Attivo: Dei file di archivio mancanti (runtime inattivo) sono creati alla prossima partenza del runtime
Avvertenza: A tal scopo, deve essere selezionata la registrazione ciclica

Disattivato: Vene riempito solamente il ciclo attuale.

Crea un filtro di stato

Cliccando sulla checkbox accanto allo stato visualizzato, potete decidere per ogni valore dell´archivio se esso verrà preso in considerazione per l´archivio a cascata.

Esempio Esempio

Nell´archivio a cascata devono essere presi in considerazione solo quei valori per i quali è settato il bit NORM e non è settato quello INVALID.

A tal scopo settate per NORM un 1 verde e per INVALID un 1 rosso. Le checkbox di tutti gli altri bit rimangono grigi.

Potete escludere o includere esplicitamente bit settati o non settati.

Info Info

Non tutti i bit di stato settati nella registrazione vengono visualuzzati. I bit non visualizzati sono.

  • T_EXTERN (Statusbit 21)
  • T_INTERN (Statusbit 22)
  • INFO (Statusbit 26)
  • RES28 (Statusbits 28)
  • RES31 (Statusbits 31)
  • WR_ACK (Statusbit 40)
  • WR_SUC (Statusbit 41)
  • COT0 (Statusbit 32) fino a COT5 (Statusbit 37)
  • T_STD (Statusbit 30)

I bit di stato non visualizzati vengono:

  • non scritti al momento del salvataggio come file TXT o XML.
  • non stampati al momento della stampa
  • non visualizzati nel manager gruppo ricette.

Trovate una visione generale su tutti i bit di stato nel capitolo Bit di stato


Colonne archivio nella sezione lista

Manuale -> Server archivi -> Progettazione nell'editor -> Colonne archivio nella sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'archivio di nuova creazione viene visualizzato nella sezione lista. Le seguenti colonne sono visualizzate di default:

Archivi

Avvio, chiusura

Inizio

Interrogazione

Disloca

Charge

Quantitá

Dimensione stimata

Queste colonne sono statiche e non possono essere cancellate.


Ricerca incrementale

Manuale -> Server archivi -> Progettazione nell'editor -> Colonne archivio nella sezione lista -> Ricerca incrementale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare la ricerca incrementale fate clic nella sezione lista sul titolo di una colonna. La colonna selezionata viene contrassegnata dall'icona "canocchiale". Potete inserire una parola da cercare e l'editor passa all'inserimento adeguato.


Creazione di archivi successivi

Manuale -> Server archivi -> Creazione di archivi successivi

Selezionate l´archivio di cui volete realizzare un archivio a cascata e cliccate poi sul simbolo Nuovo archivio a cascata che si trova nella bara menu. Potete anche selezionare l´inserimento Nuovo archivio a cascata nel menu contestuale per poi inziare la definizione dell´archivio stesso.
Come nel caso della creazione di un archivio, Vi accompagna un Assistente nella realizzazione di questa operazione.


Selezione archivio e variabile per archivio in cascata

Manuale -> Server archivi -> Creazione di archivi successivi -> Selezione archivio e variabile per archivio in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sono disponibili le seguenti proprietà:

Parametri | Descrizione
Archivi disponibili | Selezionate fra gli archivi disponibili le variabili di cui si deve tener conto nell´archivio a cascata. Selezione multipla con Ctrl oppure Shift.
Somma | Attivate questa checkbox se volete che l´addizione dei valori delle variabili selezionate avvengano in dipendenza del ciclo di salvataggio.
valore medio | Attivate questa checkbox se volete stabilire il valore medio fra quelli delle variabili selezionate.
Minimum | Attivate questa checkbox per la determinazione del minimo per le variabili selezionate.
Maximum | Attivate questa checkbox per la determinazione del massimo per le variabili selezionate.

La lista delle variabili selezionate e dei tipi di compressione di dati è disponibile nella visione dettagliata degli archivi. In questa sede possono essere aggiunte od eleminate delle colonne.

Ulteriori variabili possono essere aggiunte direttamente in un archivio successivo anche tramite “Drag and Drop” i. Ci sono due possibilità: variabili individuali che possono essere selezionate dalla lista delle variabili dell'archivio di base e spostate verso il tipo di compressione dati desiderato in un archivio successivo (tasto destro premuto) oppure si sposta tutto l´archivio di base verso un tipo di compressione dati – in questo modo tutte le variabili vengono trasferite.

Gli archivi successivi sono automaticamente settati in caso di una modifica del valore sul tipo di archivizione da zenon. Il tipo di archiviazione non può essere modificato. La frequenza di controllo è determinata dalla lunghezza dell´archivio di base. I valori delle variabili vengono scritti nell’archivio al momento di terminazione dell’archivio base. Tutti gli inserimenti dell´archivio di base sono considerati come standard per il calcolo (cioè anche inserimenti INVALID e valori manuali), se in “opzioni” non è stato configurato in un altro modo.


Archiviazione charge

Manuale -> Server archivi -> Archiviazione charge

L’archiviazione charge Vi consente, di effettuare con semplicità l´organizzazione di classificazioni charge in un archivio. Con l´aiuto di denominazioni charge potete effettuare qualsiasi operazione di filtro quando lavorate con i dati archivio per esempio nel modulo Trend esteso, oppure nel Generatore di rapporti.

Per un accesso più veloce ai valori charge, nel filtro charge è generato un indice di questi dati per ogni archivio. Per permettere l’indicizzazione automatica, è possibile abilitare il Checkbox „Indicizzare charge". L’indice viene depositato nel file<Identificazione breve>.ARI. In caso di salvataggio di un file di archivio charge, viene eseguito anche un inserimento nel file di Index. In fase di esportazione, il file di index viene sempre attualizzato.

Per l’esportazione in formato ARX è stata creata l’opzione aggiuntiva „Formato interno“.

Se degli archivi vengono cancellati con delle operazioni file, deve essere inziata una nuova indicizzazione con una nuova funzione "indicizzare archivio".

L’ Index è elaborato solo da file di archivio nel percorso RT. Se si legge dal percorso di backup, viene letto un file di archivio alla volta.

Tramite la funzione Indicizza archivio può essere avviata una nuova elaborazione dell'index charge per un archivio. Il tempo di generazione del file di indice dipende dalla dimensione dei file di archivio. Per evitare il blocco del runtime, questa operazione viene fatta in background. Se l’indicizzazione non è ancora terminata, ma sono già necessari i valori charge, questa richiesta deve attendere finché l'operazione non è terminata. Con l’opzione “esecuzione sincrona” la funzione attende che l’indicizzazione sia terminata.


Gestione del filtro charge

Manuale -> Server archivi -> Archiviazione charge -> Gestione del filtro charge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il filtro charge viene utilizzato in varie funzioni (Cambio immagine, esporta, stampa, ecc.). e viene qui definito in modo globale.

Le impostazioni progettabili sono:

Parametri

Descrizione

Filtro su charge attivo:

Attiva filtro charge
questa opzione deve essere abilitata per poter usare l'archivio e il protocollo funzioni batch e batchnr.

Charge

Nome della charge da filtrare.
*: Tutte le charge nell’intervallo ?
Charge1|Charge2: Lista charge

Ultima charge conclusa

Gli ultimi X archivi portati a termine vengono visualizzati.

Questa impostazione funziona solamente per gli archivi, ma non per AML e CEL.

Presupposti per questa impostazione: Filtro per charge attivio è stato attivato.

Limiti tempo

Definisce limiti di tempo per accettazione di charge
  • Al di fuori

Le Charge che si trovano parzialmente nell’intervallo di tempo vengono considerate completamente per l’analisi
  • All’interno

Le charge che si trovano parzialmente nell’intervallo tempo non vengono considerate per l’analisi.
  • Dal di fuori

Le charge che si trovano parzialmente all’inizio del limite di tempo vengono considerati completamente per l’analisi; charge che si trovano parzialmente al termine del limite di tempo non vengono considerati per l’analisi.
  • Fino al di fuori

i charge che si trovano parzialmente all’inizio del limite di tempo non vengono considerati per l’analisi; i charge che invece si trovano parzialmente al termine del limite di tempo vengono considerati completamente per l’analisi.
  • Taglia

Le Variabili della charge che si trovano parzialmente nell’intervallo di tempo si considerano nell’analisi, se le variabili si trovano nell’intervallo di tempo impostato.

Vedi anche i capitoli Trend esteso, Generatore di rapporti e la sezione Tipo d'immagine post-elaborazione archivi.


Archiviazione di stringhe

Manuale -> Server archivi -> Archiviazione di stringhe

Le variabili stringa possono essere ora archiviate. Queste vengono salvate in un file con il nome <Breve descrizione><Data/ora>.AVS.

I file contengono solo i valori della stringa e il link al file ARX. Nei file ARX è segnato se il tipo di archivio è tipo stringa.

Info Informazioni

Se non ci sono stringhe nell’archivio, non viene prodotto nessun file ARS.

Le operazioni dati devono puntare a entrambe le estensioni !! Se i file ARS mancano, anche i dati letti dai file ARX non possono essere letti !!!

I dati della stringa sono salvati in formato UNICODE, con dimensione dei dati dinamica. Ciò avviene per risparmiare memoria ed è indipendente dalla lunghezza della stringa. Nel record del file ARX viene segnata la posizione del record stringa per il file ARS. Presupporre dove si trova la stringa nell'archivio ARS non è possibile, perché la loro posizione durante l'editazione può variare.

Nella proprietà delle variabile, per le stringhe esiste sempre il valore di riserva in modo tale da poter fornire sempre valori all'archivio. Il valore di sostituzione stringa viene usato se il sistema di controllo (per esempio per il riempimento di archivi ciclici) ha bisogno di un valore per la variabile stringa, ma non è disponibile nessun valore. Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido.

Nell'editor, nell'analisi della dimensione dell'archivio, viene usata sempre la lunghezza massima della stringa.

attenzione Attenzione

Se cambia la lunghezza della variabile string da archiviare, bisogna adattare anche il campo di file!

L'adattamento può avvenire manualmente mediante l'uso di uno strumento di gestione della banca dati (per esempio: Enterprise Manager per MS-SQL Server), oppure tramite la configurazione degli archivi. Nell'Editor deve essere modificato per tutti gli archivi interessati alla voce "Salva", deve essere aperta la string di connessione alla banca dati e deve essere confermato il dialogo. Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

Eseguire queste modifiche prima di trasferire le modifiche stesse nel runtime (tramite aggiorna progetto runtime o rilancia runtime). Altrimenti i più lunghi valori string vengono archiviati in modo incompleto!


Modalità di visualizzazione

Manuale -> Server archivi -> Modalità di visualizzazione

Parametri | Descrizione
Generatore di rapporti | Si può visualizzare gli archivi “Stringa” in una cella del report
Trend esteso | La selezione di variabili stringa come dati è disabilitata.
Salvataggio DBF | Se è stato selezionato DBF come fiormato di registrazione, la tabella riceve una ulteriore colonna con il nome "StrWer”. Come larghezza colonna il limite è di 255 per stringa.
SQL | La tabella <Nome progetto>_<Nome breve> ha ricevuto due ulteriori colonne: GUID: char 36;prende il GUID di un altro progetto se la variabile non proviene dallo stesso progetto. Normalmente "NULL" STRVALUE: Varchar; la dimensione della colonna corrisponde alla lunghezza massima delle stringhe archiviate. Per un valore numerico questo campo è “NULL” La tabella <Nome progetto>_VARIABLES ha una nuova colonna: GUID: char 36;prende il GUID di un altro progetto se la variabile non proviene dallo stesso progetto. Normalmente "NULL" Una ulteriore tabella contiene le informazioni charge inerenti all'archivio. In questa tabella si trovano informazioni sul nome charge, tempi di avvio e chiusura.

attenzione Attenzione

Se si usano archivi di grandi dimensioni, possono esserci diminuzioni di prestazioni del sistema a runtime!!!


Procedura dell´archiviazione

Manuale -> Server archivi -> Procedura dell´archiviazione

Dev´essere tenuto conto che il trasferimento di dati in un evento trigger assorbe un certo tempo e provoca un tempo di attesa di qualche secondo, dipendente dalla quantità di valori.

Inoltre si deve tenere conto che il calcolatore lavora in modo non simultaneo con il PLC e quindi non tutti i bit di trigger possono essere eseguiti nello stesso tempo. Questo fatto può provocare delle differenze di tempo a livello dati. (può essere provocato solo con tipo 1).

Una soluzione al problema presenta la temporizzazione nel PLC (tipo 2, tipo 3 e tipo 4).

Con il tipo 4, al contrario dei tipi 2 e 3, è trasferito solo il tempo di partenza . Bisogna fare attenzione che gli inserimenti con il tipo 4 vengano effettuati in ordine inverso.

attenzione Attenzione

In caso di ridondanza, il settaggio come server principale avviene solo quando tutti i progetti sono stati caricati e sincronizzati. Visto che per i punti dato di un sotto-progetto non possono essere realizzati dei buffer di cambiamento, questi dati, nel tempo del cambiamento del SB a server e nel corso del caricamento, non sono attuali!!

Info Informazioni

Generale

PLC formattazione dati

Descrizione Header

Descrizione tipi


Profili filtro

Manuale -> Server archivi -> Profili filtro

I profili filtro sono impostazioni di filtro che possono essere salvate dall'utente nel runtime. Per utilizzare i profili filtro, esiste nel menu Elementi di controllo un sottomenu Profili filtro con i seguenti elementi:

Parametri | Descrizione
Profili filtro | Gestione profilo
Selezione profilo | selezionare profilo salvato (lista a cascata).
Salva | Salvare impostazioni come profilo (pulsante)
Elimina | Cancellare profilo (pulsante)

Nel runtime possono essere modificate le proprietà di filtro. Poi si deve inserire un nome a scelta, ma unico, per l'impostazione definita in Selezione profilo. Il pulsante Salva permette di salvare il profilo ed è a disposizione per ulteriori applicazioni.

Profili non più utilizzati possono essere cancellati dopo essere stati selezionati nell'elemento Selezione profilo mediante il pulsante Cancella.


Funzioni

Manuale -> Server archivi -> Funzioni

In zenon sono a Vostra disposizione numerose funzioni che Vi consentono di gestire l´archiviazione.


Cambio immagine – Post elaborazione archivio

Manuale -> Server archivi -> Funzioni -> Cambio immagine – Post elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l’apertura di un’immagine del tipo tipo di finestra Elaborazione archivio successiva si possono progettare i filtri nell’editor (archivio definito, archivio con bit di stato preselezionati).

Info Info

Le proprietà del filtro sono modificabili durante il Runtime.

Le impostazioni progettabili sono:

Parametri | Descrizione
Filtri | Stabilisce criterio filtro (variabili, valore, stato etc.)
Formato | Formato di visualizzazione e ordinamento degli inserimenti dell'archivio visualizzato
-Tempo | Ordina per data e ora
- Variabile | Ordina secondo nome variabile
-Non ordinato | Nessun ordinamento
Lettura della cartella di backup | Attivate questa checkbox se avete intenzione di utilizzare degli archivi della cartella di backup.

Dopo aver marcato l’archivio si possono selezionare i filtri.

Info Informazioni

Beachten Sie, dass Sie die gewünschten ausgelagerten Archive erst in den Backuporder kopieren müssen, bevor Sie über Lesen vom Backuporder darauf zugreifen können.
Beim Auslagern werden Archive im Order Ausgelagerte Archive gespeichert. Questa cartella non corrisponde a quella di backup.
Le cartelle per il backup dei file le definite nel dialogo Impostazioni standard nella tab Cartella. Trovate il dialogo alla voce File -> Configurazione generale -> Standard.


Filtri

Manuale -> Server archivi -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´opzione Filtro apre un dialogo con tre schede:

  • Filtro archivio
  • Tempo
  • Charge

Filtro archivio

Filtri progettabili e combinazioni sono:

Parametri | Descrizione
Stato | Filtra secondo determinati bit di stato
Variabile | Variabili da filtrare dall’archivio selezionato; Selezione variabili con si effettua con un clic
Valore (Minimo, Massimo) | Filtra tutti i valori dell’archivio i cui valori tecnici si trovano tra un minimo e un massimo

Per la modifica di archivi si devono considerare i limiti di memoria (dimensione massima da visualizzare) definiti nel paragrafo Tipo di finestra – Post elaborazione archivio.

La selezione di 'Stato', 'Variabili' e 'min/max' è possibile solo quando non sia stata settata l'opzione 'Tutte le proprietà' nel dialogo 'Filtro'.

Indicazione Scheda Tempo: se si setta l´opzione Nessun filtro tempo come tipo di filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti dal 1/ 1/ 2000.


Terminare archivio

Manuale -> Server archivi -> Funzioni -> Terminare archivio

Con questa funzione nello stato online si termina l' archivio attualmente in corso. Dopo il termine si esegue lo script d'uscita progettato nell’archivio.

Indicate come parametro di trasmissione l´archivio che deve essere chiuso. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

L’archivio deve essere definito nell’editor prima di applicare questa funzione. L’archivio si sceglie nella selezione archivio e si conferma con il pulsante OK.

Nella gestione funzioni si indica come parametro di trasferimento dopo la funzione di sistema l’identificazione breve dell’archivio (per esempio: “Terminare archivio [01]”).

attenzione Attenzione

Attenzione: se si definisce lo start e lo stop dell´archivio facendo uso di Start/Stop del runtime, l´arresto oppure l´avvio manuale dell´archivio tramite funzioni possono condurre ad un comportamento anomalo del runtime.


Indicizzare archivio

Manuale -> Server archivi -> Funzioni -> Indicizzare archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione serve per la successiva indicizzazione degli archivi caricati . Questo può essere sensato anche dopo la cancellazione o la modifica del singolo archivio.

Indicate come parametro di trasmissione l´archivio charge che deve essere indicizzato. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo: Qui vengono visualizzati solo gli archivi progettati.

Parametri | Descrizione
Esecuzione sincrona | Vale solamente per l´esecuzione di uno script. Attivate questa checkbox se volete che la prossima funzione si avvii solamente quando questa è terminata.

Info Info

La funzione Indicizza file d'archivio viene sempre eseguita sul server di processo.


Partenza archivio

Manuale -> Server archivi -> Funzioni -> Partenza archivio

Con questa funzione si fa partire nel funzionamento online un archivio progettato. Dopo la partenza dell’archivio si esegue lo script iniziale progettato nell’archivio.

Indicate come parametro di trasmissione l´archivio che deve essere aperto. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

L’archivio deve essere definito nell’editor prima di applicare questa funzione. L’archivio si sceglie nella selezione archivio e si conferma con il pulsante OK.

Nella gestione funzioni si indica come parametro di trasferimento dopo la funzione di sistema l’identificazione breve dell’archivio (per esempio: “Partenza archivio [01]”).

attenzione Attenzione

Attenzione: se si definisce lo start e lo stop dell´archivio facendo uso di Start/Stop del runtime, l´arresto oppure l´avvio manuale dell´archivio tramite funzioni possono condurre ad un comportamento anomalo del runtime.


Mostra archivi attivi

Manuale -> Server archivi -> Funzioni -> Mostra archivi attivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione visualizza durante il Runtime una finestra di sistema predefinita con gli archivi attivi al momento. La finestra di sistema è permanentemente aperta in primo piano.


Esporta archivi

Manuale -> Server archivi -> Funzioni -> Esporta archivi

Con questa funzione si esportano i valori registrati in un archivio su un file.

Come parametri di trasferimento si indicano la gestione file (nome, percorso, formattazione etc), l’archivio ed il filtro tempo. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Le impostazioni progettabili sono:

Parametri | Descrizione
Generale | Stabilire il rispettivo nome file per l’esportazione archivio
Archivio | scelta dell’archivio
Tempo | Stabilire il rispettivo intervallo di tempo con formato e tipo
Charge | Selezione della charge desiderata

Info Informazioni

Se esportate un archivio charge attivo, il sistema inserisce come tempo finale quello in cui si effettua l´export. Come nome charge viene usato il valore attuale delle variabili charge.

Vi preghiamo di tener presente che questi valori non devono necessariamente corrispondere ai quelli dell´archivio charge concluso.

Controllo della memoria in caso di backup

Quando viene effettuato il backup di archivi salvati, il sistema controlla la memoria disponibile.

SQL

Se meno del 10% della memoria disponibile nel sistema è libera, la lettura dei dati provenienti dal server SQL viene interrotta.

File ARX

Prima della lettura di file di archivio (*.arx), il sistema controlla il posto disponibile. La lettura viene interrotta se:

  • meno del 10% della memoria disponibile nel sistema è libera
  • se la dimensione del project.ini definita per il posto memoria riservato (SPEICHER=) viene superata

L´interruzione della lettura dei dati viene resa nota all´utente mediante l´emissione di un messaggio di errore nel Diagnose Viewer.

attenzione Attenzione

Se nel corso dell´archiviazone vengono generati file la cui dimensione supera il posto memoria riservato nel project.ini, oppure la regola citata del 10%, non è possibile continuare la lettura di questi file.

XML-Export

Le colonne Nome variabile (V) e Identificazione (I) contengono solamente il nome o l´identificazione della variabile. Nelle versioni più vecchie di zenon, nella colonna Nome variabile venivano salvate anche altre informazioni. Tenete presente il fatto che, proprio per questo motivo, si possono verificare dei problemi di incompatibilità fra versioni più vecchie e quella attuale nel caso dell´export XML.


Generale

Manuale -> Server archivi -> Funzioni -> Esporta archivi -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per esportare i dati su un file sono da indicare le opzioni e le proprietà del file.

Proprietà progettabili del file:

Parametri

Descrizione

Formato di export

dBase

dBase IV - Datei (*.dbf)
Attenzione: I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

CSV

CSV-File di testo (*.txt)

Struttura (-> sta per tabulazione):
Nome -> Identificazione -> Valore -> Unità -> (Status_HI_DWORD)(Status_LO_DWORD) -> Secondi

XML

XML - file (*.xml)

SQL

Spostamento in una banca dati SQL

Indicazione: L´export in una banca dati SQL è possibile solamente se possedete la licenza corrispondente per l´editor e il runtime.

Colonne esportate

nome variabile (V)

Nome variabile

Identificazione (I)

Identificazione variabile

Valore (W)

valore tecnico registrato

Unità (U)

unità corrispondente

Stato (S)

Corrispondente stato della variabile

Data (D)

Corrispondente inserimento timestamp

Tempo (Z)

Timestamp

Opzioni

Proporre questo dialogo nel runtime

Se attivate questa opzione, il dialogo viene visualizzato al momento dell´apertura dell´immagine nel runtime.

Leggi archivi dalla cartella backup

Gi archivi che devono essere esportati, vengono letti dalla cartella di backup.

Esporta in formato Unicode

Disponibile solamente se avete selezionato il formato di export CSV.

Se attivate questa opzione, il file esportato viene salvato in formato Unicode (UTF-16).

Export in file

Nome del file

Nome file liberamente assegnabile da parte dell’utente (il file viene esportato sempre con lo stesso nome)
Indicazione: il nome non deve contenere dei segni speciali. Il campo di inserimento viene nascosto non appena avete attivato l´opzione Genera nome file automaticamente.

Genera automaticamente nome file

Se attivate questa opzione, il nome file si genera automaticamente da una breve identificazione, dall’identificazione utente e da una chiave giornaliera.

Nome

JMTHMM.yyy con

J

Anno (una cifra) 1..9, A, B, C, ...)

M

Mese (una cifra) 1..9, A, B, C, ...)

G

Giorno (una cifra) 1..9, A, B, C, ...)

H

Ora (una cifra) 1..9, A, B, C, ...)

MM

Minuti (2 cifre)

yyy

tipo file (DBF, TXT, XML)

Genera nome file dal nome charge.

Visibile solo se avete attivato l´opzione Genera automaticamente nome file.

Crea il nome file dal nome della charge

Indicazione: se scegliete questa opzione, dovete fare attenzione che il nome charge non contenga dei segni speciali.

Postfix

identificazione libera (ASCII - 29 caratteri); viene attaccata automaticamente al nome file.
Indicazione: Solo nel caso abbiate settato l´opzione Genera automaticamente nome file

Cartella di export impostata

Visualizzazione della cartella impostata per l´export.

Modifca al punto di menu File-> Configurazione generale -> Standard scheda Cartella Archivi esportati.

Esportazione in banca dati SQL

Connessione a database

Nel caso di trasefrimento in un una banca dati SQL, si può indicare in questa sede la database da utilizzare.

Indicazione: L´export in una banca dati SQL è possibile solamente se possedete la licenza corrispondente per l´editor e il runtime.

Tabella

Nel caso di spostamento un una banca dati SQL, si può indicare in questa sede la tabella da utilizzare.

Indicazione: L´export in una banca dati SQL è possibile solamente se possedete la licenza corrispondente per l´editor e il runtime.


Archivio

Manuale -> Server archivi -> Funzioni -> Esporta archivi -> Archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Dopo la gestione del file si deve indicare l’archivio da esportare.

Info Informazioni

L’archivio da esportare viene marcato con il mouse. L’archivio deve essere definito nell’editor prima di applicare questa funzione.

Nella gestione funzioni viene visualizzato il nome breve come parametro di trasmissione (per es.: “Esportazione archivio ([auto] “01” [T]ascii” ).


Gestione durante il runtime

Manuale -> Server archivi -> Gestione durante il runtime

Durante il runtime il Tipo di finestra Elaborazione archivi viene aperto tramite un richiamo di funzione (per es.: pulsante). Verrà aperta la maschera online dell’immagine definita nell’editor.

Le opzioni online possibili sono:

Parametri | Descrizione
Apri.. | Apre un altro archivio e definisce le condizioni di filtro
Chiudi | Chiudere l’archivio attualmente aperto
Salva | Salva l’archivio modificato e aggiorna archivi successivi a richiesta
Modifica | Elaborazione degli inserimenti di archivio selezionati, modifica di stato secondo “valore manuale”
Incolla | Inserisce gli inserimenti archivio nei respettivi file di archivio Se per queste zone di tempo non esiste nessun file di archivio, il comando “aggiungi” non potrà essere eseguito. Verrà emesso un messaggio di errore.
Elimina | Cancella inserimento archivio
Selezione | Permette la selezione di più inserimenti dell'archivio e di marcare questi inserimenti per l´elaborazione
Finestra | Viene aperto un box di dialogo per la visualizzazione della lista settaggio archivi. Qui si possono definire la larghezza delle colonne per la visualizzazione e il carattere.
Stampa | Stampare l'nformazione archivio aperta

Per la stampa dell'archivio viene utilizzato il fileARV_G.FRM con le rispettive parole chiavi. La parte ciclica viene inserita tra i caratteri "%%". Il file deve essere depositato nel percorso d´installazione.

Parole chiavi |
- @HEADZEIT | Data/ora dell´archivio
- @ARCHIVNAME | Nome dell'archivio
- @DATZEIT | Data/ora dell'inserimento nell'archivio
@KANALNAME | Nome della variabile dell'inserimento archivio
- @WERT | Valore dell'inserimento archivio
- @EINHEIT | Unità dell´inserimento archivio
@AMELDUNG | Testo di stato dell´inserimento archivio
@STATUS | Testo di stato dell´inserimento archivio

Esempio Esempio

ARV_G.FRM

@HEADZEIT @ARCHIVNAME
pagina: @SEITE -----------------

Datum/Zeit TTA Wert Einheit Zustandstext Status
-------------------------------------------------------------------------------------------------
%%
@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
%%

I pulsanti vengono sbloccati e bloccati a seconda della loro funzione. Al di sopra del pulsante ci sono dei campi con le indicazioni per

Parametri | Descrizione
Nome archivio | Identificazione breve dell´archivio attualmente aperto
Numero degli inserimenti | Numero totale degli inserimenti visualizzati delle variabili di processo (secondo condizioni di filtro!)
Numero disturbi | Numero degli inserimento archivio con stato INVALID

Per una visione globale delle impostazioni di filtro e stati d´elaborazione può essere utilizzato il listbox filtro.

Se deve essere aperto un archivio diverso dall’archivio interessato dalla funzione, si può, attivando il pulsante “apri”, visualizzare la maschera di selezione archivio con i parametri per il sorteggio e le condizioni di filtro.

Se un archivio è aperto e visualizzato, possono essere modificati i valori d´archivio.


Tipo d'immagine Post-elaborazione archivio

Manuale -> Server archivi -> Gestione durante il runtime -> Tipo d'immagine Post-elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il tipo di finestra post elaborazione archivio serve alla visualizzazione online in forma tabellare e all'editazione di valori d'archivio salvati. (Informazioni più precise sui tipi di immagine predefiniti le potete trovare in "Immagini / Tipi immagine predefiniti'.)

attenzione Attenzione

Per utilizzare la funzione bisogna essere in possesso della licenza del modulo archivio.

La creazione dell’immagine post elaborazione archivio, avviene tramite la definizione di una finestra del tipo Post elaborazione archivio.

Dopo l´apertura dell´immagine si apre un’immagine vuota e viene riempita la lista a cascata Elementi di controllo nella riga menu..

Con l’ aiuto degli elementi di controllo è possibile posizionare nell’ immagine i singoli elementi per la gestione online (visualizzazione nell´ editor soltanto bidimensionale) Gli elementi di funzione si distinguono in pulsanti (Per la gestione online), liste (Visualizzazione dell’ archivio e delle condizioni filtro) e elementi di segnalazione (Visualizzazione di informazioni per l’ emissione di valori archivio).

Elementi di controllo sono:

Parametri | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Pulsanti | elementi di comando predefiniti
Apri.. | visualizzare un nuovo archivio
Chiudi | deselezionare l’ archivio attuale
Salva | Salvare le modifiche nell’ archivio
Modifica | elaborare valore(i) selezionati
Incolla | inserire nuovi valori nell´archivio
Elimina | cancellare valori dall´archivio
Selezione | definire criterio filtro per marcatura
Colonne | impostazione colonne
Stampa | stampare rappresentazione
Liste |
listbox archivio | rappresentazione degli archivi
listbox filtro | rappresentazione del criterio filtro
visualizzazione |
numero valori | valori letti
Quantitá INVALID | valori letti essendo marcati con INVALID (bit di stato)
visualizzazione denominazione breve | visualizzare denominazione breve archivio
archivio attivo | stato d´elaborazione attuale dell´archivi (attivo, inattivo)
Profili | Gestione profilo
Selezione profilo | selezionare profilo salvato
Salva | Salvare impostazioni come profilo
Elimina | cancellare profilo

Info Informazioni

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attivando il punto menu Default del menu pulldown Elementi di controllo si caricano tutti gli elementi di controllo con valori standard su posizioni predefinite all'interno dell’immagine.

È possibile modificare la grandezza, l'orientamento e la disposizione degli elementi di controllo e del tipo di carattere. Il tipo di carattere definito non viene visualizzato che nel funzionamento online. Elementi che nella visualizzazione online non sono necessari oppure non devono essere presenti si possono cancellare dall'immagine (p.e. aprire, cancellare, salvare etc.) E' anche possibile aggiungere altri elementi d'immagine dinamici ed elementi d'immagine vettoriali.

L’apertura dell’immagine con la funzione editare archivio nel funzionamento online avviene tramite la funzione Cambio immagine - Post-elaborazione archivio


Filtro in caso di cambio immagine

Manuale -> Server archivi -> Gestione durante il runtime -> Tipo d'immagine Post-elaborazione archivio -> Filtro in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se aprite un´immagine del tipo Post-elaborazione archivio, viene visualizzato il seguente filtro. se si setta l´opzione come tipo di filtro tempo Nessun filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti dal 1/ 1/ 2000.

Parametri

Descrizione

Filtro charge

Avete la possibilità di scegliere l´archivio desiderato fra quelli disponibili che vedete apparire a sinistra. A destra, invece, sono visualizzate le charge disponibili. Qui avete la possibilità di filtrare le charge.

Nome lotto

In questa colonna vengono visualizzati i nomi di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine alfabetico crescente o decrescente.

Nella parte inferiore dell´intestazione potete indicare una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

In questa colonna viene visualizzata la data di start di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di inizio verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di inizio, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di start

Disponibile solamente se indicate una data di inizio.

In questa colonna viene visualizzata l´ora di inizio di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di inizio manualmente.

Avvertenza: '*' sta per l´orario 0:00:00.

Data di fine

In questa colonna viene visualizzata la data della fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di fine verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di fine, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di fine

Disponibile solamente se indicate una data di fine.

In questa colonna viene visualizzata l´ora di fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di fine manualmente.

Avvertenza: '*' sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutte le cherge disponibili. Serve solo a visualizzare.

Info Informazioni

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

Info Informazioni

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.


Lavorare con l'archiviazione

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le seguenti funzioni sono a disposizione per il controllo e la sorveglianza degli archivi.

Parametri | Descrizione
Partenza archivio | Partenza dell´archivio creato nell´editor
Terminare archivio | Termina l´archivio creato nell´editor
Archivi attivi | Finestra di controllo per la rappresentazione degli archivi attualmente attivi
Indicizzare archivio | Indicizza in un secondo momento gli Archivi charge.

Info Informazioni

L'archivio aperto scrive i dati registrati in un archivio alfa (kk.ARX; kk - nome breve dell'archivio). Se il sistema termina l'archivio (funzione Termina archivio), il file viene copiato con un altro nome. Se il runtime viene terminato senza che una definizione sia stata fatta (interruzione di corrente), l´archivo Alpha viene conservato. Se l'archivio è stato configurato come archivio ciclico, riceverà ad ogni nuova partenza del funzionamento online dei valori di riserva corrispondenti alla zona mancante nell'intervallo in corso. Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. Gli inserimenti esistenti non vengono sovrascritti.


Editare valori

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Editare valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli inserimenti dei valori d´archivio possono essere modificati con un doppio clic su una casella valori o attivando il pulsante modifica dai valori marcati. Viene richiesto l'inserimento del nuovo valore.

Se uno o più valori sono stati modificati, lo stato dell´inserimento viene ampliato con “valore manuale”. Nello stesso tempo il colore nella intestazione della colonna cambia dal blu al rosso e viene sbloccato il pulsante salva. La marcatura viene rimpostata.


Riempimento di valori

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Riempimento di valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per l´aggiunta di valori mancanti negli archivi chiusi, non attivi, bisogna attivare il pulsante Inserisci. La maschera d´introduzione viene aperta.

  • Se un inserimento nell'archivio è evidenziato, può essere indicato il numero dei valori ed il valore di una variabile di processo dell´archivio selezionata . Tutti gli inserimenti ricevono la stessa temporizzazione quando vengono inseriti.
  • Se non è selezionato nessun inserimento, oltre al valore e la quantità di valori può essere definita anche l´ora esatta ed il ciclo (in secondi) dell´aggiunta dei valori.

Se uno o più valori sono stati modificati, lo stato dell´inserimento viene ampliato con “valore manuale”. Nello stesso tempo il colore nella intestazione della colonna cambia dal blu al rosso e viene sbloccato il pulsante salva. La marcatura viene rimpostata.


Cancellazione di valori

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Cancellazione di valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se uno o più inserimenti devono essere cancellati dall´archivio, devono essere selezionate le righe con il mouse o il pulsante Scegli per poi cliccare sul pulsante Elimina Verrà apertalLa maschera d´interrogazione.

Se un valore deve essere cancellato definitivamente, deve essere selezionato il pulsante Sì, altrimenti quello No.


Salvare valori nell’archivio

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Salvare valori nell’archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le modifiche in corso e non registrate nell'archivio, sono simbolizzate tramite una riga d'intestazione rossa. I valori vengono salvati nell'archivio cliccando sul pulsante salva. Se sono associati all'archivio attualmente modificato degli archivi successivi, questi Archivi successivi vengono aggiornati automaticamente.


Definire la visualizzazione di una tabella

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Definire la visualizzazione di una tabella

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se deve essere definita la formattazione della visualizzazione della lista, bisogna cliccare nel funzionamento online sul pulsante Finestra.


Selezione multipla di valori

Manuale -> Server archivi -> Gestione durante il runtime -> Lavorare con l'archiviazione -> Selezione multipla di valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la selezione multipla di inserimenti valori si usa il pulsante selezione.

Il Checkbox "tutti gli inserimenti" sugerisce "tutte le variabili". L'attivazione di questo checkbox disattiva la selezione variabili e influenza il filtro tempo.

Durante il runtime, quando le condizioni di filtraggio sono state definite, gli inserimenti archivio vengono visualizzati su sfondo scuro.

Se le marcature devono essere ripristinate, si deve definire nella maschera “scegli..” l´opzione “Nessun inserimento”.


Struttura file

Manuale -> Struttura file

Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-INI.

Info Informazioni

In linea di principio, le impostazioni di progetto dovrebbero essere effettuate nell'Editor. L'effettuazione di modifiche in zenon6.ini deve essere riservata a degli esperti.


File di sistema

Manuale -> Struttura file -> File di sistema

Qui di seguito trovate la documentazione concernente gli inserimenti dei file di sistema.

File

Descrizione

dBaseIV file variabile

Impostazioni del file di importazione dBase IV.

project.ini

Impostazioni per il progetto.

Trovate il project.ini nel percorso Runtime del progetto relativo. Per aprire il percorso:

  • selezionate il progetto
  • premete la combinazione tasti Ctrl+Alt+E
  • viene aperta la cartella SQL che appartiene al progetto
  • passate a ...\FILES\zenon\system

startup.ini

Impostazioni dello Startup Tool di zenon.

zenon6.ini

Impostazioni del software di visualizzazione.

Trovate lo zenon6.ini nel percorso:

Windows Vista/7: C:\ProgramData\COPA-DATA\System\

Windows XP C:\Documents and Settings\All Users\Dati di applicazione\COPA-DATA\System

zenDB.ini

Impostazioni della banca dati SQL

Elaborazione in zenon6.ini

Le impostazioni in zenon6.ini vengono elaborate nella seguente successione:

  1. zenon6.ini
  2. Valori di Default

Viene usato il primo inserimento trovato.

Elaborazione in project.ini

Le impostazioni in project.ini vengono elaborate nella seguente successione:

  1. project.ini
  2. zenon6.ini
  3. Valori di Default

Viene usato il primo inserimento trovato.


dBaseIV file variabile

Manuale -> Struttura file -> dBaseIV file variabile

Per l´importazione e esportazione di variabili il file dBaseIV deve avere la struttura e il contenuto seguente.

attenzione Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

Struttura

Identificazione | Typ | Gr. campo | Nota
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “KANALNAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata coll'inserimento del valore 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dati (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto driver.
HWKANAL | Num | 3 | Indirizzo bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (unicamente variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: Indirizzo bite Per variabili Byte: 0=parte bassa, 8= parte alta? per variabili string: Lunghezza string (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice? ATTENZIONE: Solamente la prima variabile è disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: Settare valore impostabile non permesso? 1: Settare valore impostabile permesso
MIT_ZEIT | L | 1 | Settaggio valore tempo in zenon (solo se supportato dal driver)
OBJEKT | N | 2 | Numero ID specifico per i driver dell´oggetto primitivo Si compone di KANALTYP e DATENART
SIGMIN | Float | 16 | Segnale del valore di origine minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore di origine massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la rappresentazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza update per le variabili matematiche (in sec, una cifra decimale possibile) ? non utilizzato con tutte le altre variabili
MEMTIEFE | N | 7 | Esistente per motivi di compatibilità
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità HD per valori storici (Quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal server standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal server standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJVVBA | L | 1 | Adattamento di valori non-lineari 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJVVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.

attenzione Attenzione

In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Identificazione | Typ | Gr. campo | Nota
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | protocollo in CEL
ALARM1 | L | 1 | Allarm
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite? il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la gestione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata? (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppo-allarmi/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
COLORE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


project.ini

Manuale -> Struttura file -> project.ini

Indicazione: In linea di principio, le impostazioni di progetto dovrebbero essere effettuate nell'Editor. L'effettuazione di modifiche in project.ini deve essere riservata a degli esperti.

Inserimento

Funzione

[DEFAULT]

BLINK=500

Frequenza di lampeggo in millisecondi negli elementi dinamici .

MOUSE_FOCUS=

1: Focus mouse attivo (default)
0: Focus Mouse non attivo

VERS_CHECK=

1: viene verificato il numero della versione delle DLL all´avvio del programma

RELEASE=5
  • 0: Titolo con menu di sistema, pulsante min. e max.
  • 1: titolo con pulsante min. e max.
  • 2: titolo con pulsante min.
  • 3: titolo con pulsante max.
  • 4: Titolo senza elemento di comando (nessun menu di sistema, pulsanti min. e max.)
  • 5: nessun titolo – l´immagine progettata sarà spostata della grandezza della barra di titolo in sù. Presenta il vantaggio che si può usare tutta l´area dello schermo – ne deve essere tenuto conto già nella fase di progettazione.
  • 6: titolo con menu di sistema altrimenti titolo con menu di sistema, pulsante min. e max.

AUFFUELLEN=
  • 0: nella gestione di dati HD e di memoria viene salvato alla volta ogni valore in entrata.
  • 1: i valori si depositano nell’intervallo definito (a intervalli temporali più grandi si devono salvare eventualmente più dati).

SYSKEY=

0: pulsanti di sistema non vengono bloccati
1: Tasti di sistema sono bloccati nel runtime.
Pulsanti di sistema: Alt+TAB, Alt+ESC, Alt+F4 ecc.

BTB_DRUCKEN=0

1: stampa lista CEL diretta alla stampante
0: stampa allarmi diretta alla stampante

ONLINE_DRUCKEN=1

1: inserimenti online (CEL o allarmi) sono protocollati.
0: protocollaggio valori disattivato.

CURSOR=1

1: è visualizzato nel runtime il cursore Windows normale (default)
0: spegnere il cursore (principalmente per la gestione touch)

MILLISEK=0

Visualizzazione dati HD e trend intervalli in millisecondi (=1) oppure no (=0)

HDDATEN=1

Gestione HD attiva (1) o inattiva (0)

HEX=0

0: indirizzi variabili sono visualizzati in modo normale
1: Indirizzi delle variabili in visualizzazione hexadecimale

GW_FKT_AT_RT_START =1

Se 0, all´avvio del runtime un valore limite risulta violato le funzioni di valore limite non verranno eseguite.

LOG_FLAGSx

A partire dalla versione 5.50 tramite questa impostazione può essere attivata la funzionalità logging estesa X è da sostituire con il gruppo log attivato Per ogni gruppo può essere indicato tramite bitcode, quali segnalazioni devono essere protocollate. Queste segnalazioni sono emesse tramite Windows-Debug-Interface. In caso di creazione di un file di errore, viene eseguito anche un inserimento in questo file di errore.
Attualmente solo il gruppo 0 è implementato per il PFS. Questo gruppo supporta i bit seguenti:
0 // Errori sempre attivi? ?
1 // Avvertimenti
?2 // Protocollo di calcolo
3 // Protocollaggio dei messaggi saltati nel calcolo.
4 // Protocollaggio dell´esecuzione??? ?
5 // Segnalazioni generali
6 // Protocollaggio della lista dei punti di commutazione dopo il calcolo
7 // Protocollaggio della lista completa dei punti di commutazione dopo il calcolo?
8 // Protocollaggio di segnalazioni di rete?
9 // Protocollaggio della conversione di profili?
10 // Protocollaggio di segnalazione server, standby, rete
11 // Segnalazioni per l´aggiornamento dei riferimenti oggetti

USEREVENTNEEDMODEL=1

Se 0, gli eventi utenti vengono eseguiti anche senza turno del giorno.

[FUNKTIONEN]

EIN=1

ZURUECK_SCHABLONEN=

Nomi dei modelli le cui immagini sono state riprese nella lista delle immagini per la funzione immagine indietro (possono essere elencati più nomi di modelli, separati tramite spazi). ZURUECK_SCHABLONEN=_111,_333,_BU,)

Nel caso di un Progetto di integrazione, i nomi dei modelli di tutti i sotto-progetti devono essere inseriti anche nel project.ini, in modo tale che la variabile di sistema funzioni anche nel sotto-progetto

ZURUECK_ANZAHL=

Quantità di immagini per la funzione immagine indietro.

PROJECTONLY=0

0: Immagine indietro funziona al di là dei confini del singolo progetto.(default)
1: Immagine indietro funziona solamente con immagini interne al progetto

SOUND=

Numero da 1 a 255 che definisce ed attiva l'audio nella funzione Esegui file audio continuo.

Interno ID: project.ini

Esegui file audio continuo

Questa funzione esegue un file audio (*.wav) ripetutamente.

Ulteriori informazioni nella guida in linea

REZEPTUR_AENDERN=

1: Ricette possono essere modificate nel Runtime

0: le ricette non possono essere modificate nel Runtime

NAMEN=0

Visualizzazione delle funzioni secondo nome (1) o per funzione (0=default)

[ALARM]

Sezione allarmi

EIN=1

Stabilisce se l’ elaborazione degli allarmi dev´essere attivata all´avvio del runtime (1) o disattivata (0).

ALARMLISTE=03452

Definisce l´ordine degli inserimenti nella lista degli allarmi.

  • 0: nome variabile univoco
  • 1: identificazione
  • 2: testo allarme
  • 3: momento allarme in entrata
  • 4: momento allarme in uscita
  • 5: momento del ripristino

Per esempio:

ALARMLISTE=13452
Identificazione - entra - esce - ripristinato- testo di allarme

NACHSCHIEBEN=0

Visualizza nella riga di stato ogni nuovo allarme (1) a sua volta oppure deve rendere visibile la riga solo ad ogni allarme nuovo (0).

ZEIT_TYP=6

Formato dell´emissione del tempo

VAR_ANZ=

Quantità dei caratteri per il nome della variabile

TAG_ANZ=

Quantità dei caratteri per l’identificazione

ALA_ANZ=

Quantità dei caratteri per il testo di allarme

STAT_ANZ=

Quantità dei caratteri per il testo di stato

USER_ANZ=

Quantità dei caratteri per il nome dell´utente

COMPUTER_ANZ=

Quantità dei caratteri per il nome del calcolatore

RTEXT_ANZ=

Quantità dei caratteri per il testo di reazione

CLASS_ANZ=

Numero dei caratteri per classi allarmi/eventi

GROUP_ANZ=

Numero dei caratteri per gruppi allarmi/eventi

AELTESTER=1
  • 1: viene visualizzato l´allarme più vecchio nella barra di stato degli allarmi.
  • 0: viene visualizzato nella barra di stato degli allarmi l´allarme che si è presentato per ultimo.

STATUS=

1: viene visualizzata la barra stato allarmi.

0: non viene visualizzata la barra stato allarmi.

MILLISEK=0
  • 0: in tempo entrata non vengono né visualizzati, né stampati i millesecondi.
  • 1: vengono visualizzati anche i millesecondi.

FARBE_KOMMT=rosso

Colore di testo per allarme in entrata nella lista degli allarmi

FARBE_GEHT=verde

Colore di testo per allarme in uscita nella lista degli allarmi

FARBE_QUIT=blu

Colore di testo per allarme “ripristina” nella lista degli allarmi

BEEP=1
  • 1: al presentarsi del primo allarme, il sistema emette un suono (bip).
  • 0: non viene emesso nessun suono.

STATUS_SCHRIFT=0

Indice del tipo di carattere scelto per il testo nella riga di stato. Da impostare nella maschera di configurazione per la gestione degli allarmi (default 0 carattere di sistema).

TITLE_NAME=

Nome per la colonna.(default: i titoli vengono presi dalle risorse e devono essere inseriti solo se devono essere modificati)

TITLE_TAGNR=

vedi TITLE_NAME

TITLE_TEXT=

vedi TITLE_NAME

TITLE_COMES=

vedi TITLE_NAME

TITLE_GOES=

vedi TITLE_NAME

TITLE_QUIT=

vedi TITLE_NAME

TITLE_TIME_LASTING=

vedi TITLE_NAME

TITLE_STATUS=

vedi TITLE_NAME

TITLE_VALUE=

vedi TITLE_NAME

TITLE_USER=

vedi TITLE_NAME

TITLE_COMP=

vedi TITLE_NAME

TITLE_REACT_TIME=

vedi TITLE_NAME

TITLE_REACT_COUNT=

vedi TITLE_NAME

TITLE_REACT_STAT=

vedi TITLE_NAME

TITLE_ACT_TEXT=

vedi TITLE_NAME

TITLE_CLASS=

vedi TITLE_NAME

TITLE_GROUP=

vedi TITLE_NAME

HEADER=1

Visualizzazione di un titolo di colonna nella lista degli allarmi

HEADER_ENABLE=1

1: si può gestire il titolo delle colonne

0: il titolo delle colonne viene usato solamente per la visualizzazione.

RESOURCELABEL

Descrizione della colonna per la identificazione servizio.

RESOURCELABEL_ANZ

Larghezza della colonna per l´indentificazione servizio in caratteri.

COMES_ANZ

Larghezza della colonna "tempo entra" in caratteri.

GOES_ANZ

Larghezza della colonna "tempo esci" in caratteri.

QUIT_ANZ

Larghezza della colonna "tempo ripristina" in caratteri.

REACT_TIME_ANZ

Larghezza della colonna "tempo di riattivazione" in caratteri.

REACT_COUNT_ANZ

Larghezza della colonna "numero riattivato" in caratteri.

REACT_STAT_ANZ

Larghezza della colonna "stato variabile riattivato" in caratteri.

TIME_LASTING_ANZ

Larghezza della colonna "tempo di attesa" in caratteri.

PREF_COMES

Prefisso di default per Allarme entra.
Default: Default:"TEXT=>> „

PREF_GOES

Prefisso di default per Allarme esce.
Default: Default:"TEXT=<< „

PREF_QUIT

Prefisso di default per Allarme ripristinato.
Default: Default:"TEXT=-- „

PREF_IMAGE_COMES

File grafico per Allarme entra

PREF_IMAGE_GOES

File grafico per Allarme esce

PREF_QUIT_GOES

File grafico per Allarme ripristinato

GROUPSYMBOL_ANZ

Larghezza della colonna "Classe allarme/eventi Simbolo" in caratteri.

TITLE_GROUPSYMBOL_STYLE

Tipo di visualizzazione della colonna Gruppo-allarmi/eventi Simbolo.

TITLE_GROUPSYMBOL

Descrizione della colonna Gruppo-allarmi/eventi Simbolo..

CLASSSYMBOL_ANZ"

Larghezza della colonna "Classe allarme/eventi Simbolo" in caratteri.

TITLE_CLASSSYMBOL_STYLE

Tipo di visualizzazione della colonna Classe-allarmi/eventi Simbolo.

TITLE_CLASSSYMBOL

Descrizione della colonna Classe-allarmi/eventi Simbolo.

TITLE_STATUSCAPTION_STYLE

Tipo di visuale della colonna Stato allarme.

AREA_ANZ

Larghezza della colonna Area allarme in caratteri.

AREA

Descrizione della colonna Area allarme.

AREANR_ANZ

Larghezza della colonna Area allarme Numero in caratteri.

AREANR

Descrizione della colonna Area allarme Numero.

QUIT_IN_CEL=0

Il ripristino di un allarme viene protocollato nella CEL.

COLOR_CLASS=

1: i colori vengono presi dalle classi,
0: (Default) come fino ad ora (ordinati-non ordinati-colori).

Se un valore limite non è collegato con una classe viene utilizzato il colore progettato nell´elemento.

COLOR_BACKGROUND=

1: colore di classe viene interpretato come colore di sfondo,
0: Colore di classe determina il colore del testo.

Se non è collegata una classe con un valore limite, viene ripreso il colore di sfondo o il colore di testo dalle impostazioni dell´elemento nella lista nell´immagine

DYN_LIMIT_FILE=0

Valori limiti dinamici (gestione degli allarmi) utilizzano il campo per i commenti per la deposizione di contenuti dinamici (limitati a 80 caratteri). In questo modo il campo commenti viene bloccato. In caso che si voglia utilizzare comunque il campo commenti o utilizzare i 256 caratteri, s´inserisce qui 1 (viene creato un ulteriore file con A*.AML con il finale D*.AML):

COLOR_ACKN_MARKER = xxx

Con questo inserimento due rettangoli lampeggiano con colore xxx se gli alarmi non sono ripristinati. Dopo il ripristino si passa alla luce di fondo.

xxx è così definito: Parte rossa (0-255) + 256 * Parte verde (0-255) + 65536* Parte blu (0-255)

[BTB]

Lista Eventi Cronologica

DRUCKE_SYSMLDG=1

Anche i messaggi di sistema vengono stampati (1) o solo protocollati nella lista (0).

EIN=1

List aeventi cronologica attiva.

FARBE_SORT=blu

Colore per gli inserimenti ordinati

FARBE_UNSORT=nero

Colore per gli inserimenti non ordinati

HEADER=1

Visualizzazione di un titolo di colonna nella lista

HEADER_ENABLE=1

1: si può gestire il titolo delle colonne

0: il titolo delle colonne viene usato solamente per la visualizzazione.

VAR_ANZ=

Quantità dei caratteri per il nome della variabile nella lista

TAG_ANZ=

Quantità dei caratteri per l´identificazione delle variabili

TXT_ANZ=

Quantità dei caratteri per il testo collegato

WERT_ANZ=

Quantità di caratteri per l´allarme in presenza

STAT_ANZ=

Quantità dei caratteri per lo stato

USER_ANZ=

Quantità dei caratteri per il nome dell´utente

COMPUTER_ANZ=

Quantità dei caratteri per il nome del calcolatore

RTEXT_ANZ=

Quantità dei caratteri per il testo di reazione

CLASS_ANZ=

Numero dei caratteri per classi allarmi/eventi

GROUP_ANZ=

Numero dei caratteri per gruppi allarmi/eventi

ZEIT_TYP=6

>5: emissione con data
2,3,6 o 7: emissione con tempo
3 o 7: Consente la visualizzazione dell'ora in millisecondi

BTBLISTE=032

Inserimenti e ordine desiderati nella lista
0: Nome variabile
1: identificazione
2: Testo
3: Data ingresso
6: Informazione di stato
7: Valore
8: Emetti utente

SOLLWERT=0
  • I valori impostati vengono protocollati nel CEL:
    0: tutte le azioni vengono accettate
    1: modifiche effettuate solo tramite la maschera setta valore impostabile
    2: nessuna azione è ripresa

ISTWERT=0
  • 0: il valore attuale non viene protocollato.
  • <>0: il valore attuale è protocollato, se la modifica del valore impostabile è inserita nella CEL.

REZEPT=1

0: nessun inserimento nella CEL
1: Ricette settate del manager dei gruppi di ricette vengono inserite nella CEL

RTEXT_ANZ=45

Quantità dei caratteri per il testo di reazione nella CEL

FIRST_ENTRY=0

All´avvio del runtime viene ignorata la situazione attuale dei valori limiti; solo dopo la partenza allo scatenarsi di nuovi eventi, si effettuano nuovi inserimenti (0). Settando 1 anche le violazioni di valori limiti presenti allo start vengono inseriti.

TITLE_NAME=

Nome per la colonna.(default: i titoli vengono presi dalle risorse e devono essere inseriti solo se devono essere modificati)

TITLE_TAGNR=

vedi TITLE_NAME

TITLE_TEXT=

vedi TITLE_NAME

TITLE_COMES=

vedi TITLE_NAME

TITLE_STATUS=

vedi TITLE_NAME

TITLE_VALUE=

vedi TITLE_NAME

TITLE_USER=

vedi TITLE_NAME

TITLE_COMP=

vedi TITLE_NAME

TITLE_ACT_TEXT=

vedi TITLE_NAME

TITLE_CLASS=

vedi TITLE_NAME

TITLE_GROUP=

vedi TITLE_NAME

TXT_FILE=0

0 Gli inserimenti CEL vengono salvati nel formato scada (*.CEL)
1 Gli inserimenti CEL vengono salvati in formato di testo (*.TXT) e e non sono più leggibili per zenon.

NAME_BTB=

(solo se TXT_FILE=1)??
Denominazione breve per i file di testo salvati
(default=BTB, cioè. BTBTTMM.TXT, TT=giorno MM=mese)

SPONTAN=

1 Tutti i nuovi inserimenti CEL vengono inseriti immediatamente (eccetto a lista stoppata mediante apposito tasto)
0 Per visualizzare i nuovi inserimenti occorre effettuare un refresh della pagina (Vantaggio: diminuisce il traffico dati in caso di progetti in rete)

COLOR_CLASS=

1- I colori vengono ripresi dalle classi di allarme
?0- (default) come finora (ordinato-non ordinato-colori). Se un valore limite non è collegato con una classe viene utilizzato il colore progettato nell´elemento.

COLOR_BACKGROUND=

1=Colore di classe come colore di sfondo
0=Il colore di classe determina il colore di testo Se non è collegata una classe con un valore limite, viene ripreso il colore di sfondo o il colore di testo dalle impostazioni dell´elemento nella lista nell´immagine

DYN_LIMIT_FILE=0

Valori limiti dinamici (gestione degli allarmi) utilizzano il campo per i commenti per la deposizione di contenuti dinamici (limitati a 80 caratteri). In questo modo il campo commenti viene bloccato. In caso che si voglia utilizzare comunque il campo commenti o utilizzare i 256 caratteri, s´inserisce qui 1 (viene creato un ulteriore file con A*.AML con il finale D*.AML):

[FRM_PRNT]

LINES=

Indicazione del numero di righe per pagina nell´applicazione del FRM_PRNT.DLL (emissione formattata della lista allarmi).
Default = 0

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Fattore di moltiplicazione per intervalli di tempo nel trend Una linea viene disegnata solo, se la distanza tra 2 valori registrati rappresenta un fattore multiplo della frequenza di aggiornamento necessaria. Se il valore è 0 non avviene nessuna verifica (verifica solo da valori passati)(default 20)

[DRUCKER]

MAXPJ=90

Quantità massima di comandi di stampa per il printmanager di Windows. Se questa quantità viene sorpassata, avviene un inserimento nella CEL.

MAXNAMEN=9

Nelle stampe online i singoli inserimenti vengono considerati come singoli comandi di stampa. Per evitare dei conflitti di nomi si può attribuire un numero (ad es: per i nomi Allarme 1, Allarme 2, Allarme 9)

DRUCKZEIT=2

In caso di apparizione di molti allarmi contemporanei si possono raggruppare più inserimenti in un solo comando di stampa (non deve presentarsi per almeno 2 secondi nessun nuovo allarme prima di avviare il comando di stampa).

[PATH]

EXPORTPFAD=

Percorso per l´esportazione di dati oppure tabelle nel runtime.

REPORTS=

Percorso per i report,per funzione immagine diretta,esportazione o stampa tabella.

VIDEO=

Percorso file video *.avi nel runtime.

LISTEN=

Percorso per stampa online o spontanei di file *.txt , *.qrf e *.frm

BACKUP=

Percorsi per file di archivio salvati?
^ = (default = percorso banca dati).

[ARCHIVIO]

TRENNZEICHEN=

Segno di separazione per esportazione in file ASCII tra i campi

ARCHDIGITS=

Numero delle cifre decimali nell´export di archivi in formato TXT, XML e DBF, così come per l´export in un server SQL.
default = 1

KANALAUSWAHL=1

Valido per i Trend basati su archivi:
1 Nel box di dialogo per la selezione degli archivi compare il checkbox “tutti i canali”
2 Nel box di dialogo per la selezione degli archivi non compare il checkbox “tutti i canali”

SPEICHER=

Numero massimo dei valori da leggere nella memoria per Trend esteso, postelaborazione archivi, AML, CEL e tabelle.

Indicazione in kilobyte.

Per es.: 2000000 per 2GB)

default dalla versione 6:20 1000000 (=1 GB)

Attenzione: nel caso di dati di archivio, vengono letti sempre tutti i valori, anche se viene visualizzata solamente una variabile.

Indicazione: prima della lettura di file di archivio (*.arx), il sistema controlla il posto disponibile. Se si ha bisogno di una grandezza maggiore di quella qui definita, la lettura verrà interrotta e una segnalazione di errore verrà scritta nel protocollo del Diagnose Viewers.

STATUSSPERRBIT=1

Tramite questo viene definito un bit nello stato e viene utilizzato come blocco d´archivio. Tutti i valori avendo settato questo bit sono sostituiti nell´archiviazione nel valore di riserva con INVALID.
Valori ammessi da 0 a 31?
Default: -1 – off

ZEIT_AUTOMATISCH=0

1: per gli archivi successivi viene eseguita una correzione automatica di un secondo (per es: per spostare un valore dalle ore 24:00 al giorno precedente => 23.59).
0: nessuna correzione.

CLIENTS_LOAD_LOCAL=0

1: file di archivio vengono letti sul client localmente e non vengono ripresi dal server. Non funziona se viene utilizzata la charge. Solo per il formato archivi *.arx e per la esportazione in banca dati SQL.

Attenzione: se si setta questo inserimento non avviene che i dati generati dal Runtime vengono sincronizzati con il client di zenon. I dati di archivio devono essere copiati manualmente sul client.

SQL_MAXROWS=

numero massimo di valori da leggere dalla banca dati SQL. L´inserimento avviene secondo la seguente proporzione. 100 = 100.000 valori.

A partire dalla versione 6.50, il sistema verifica automaticamente che perlomeno il 10% della memoria sia libero.

[ARCHEDIT]

DATUMBREITE=

Quantità di caratteri della colonna data nel box lista degli archivi.

VARIABLEBREITE=

Quantità di caratteri della colonna nome variabile.

WERTBREITE=

Quantità di caratteri per la colonna dei valori.

EINHEITBREITE=

Quantità di caratteri della colonna per l‘ unità di misura.

STATUSBREITE=

Quantità di caratteri della colonna per lo stato.

ZUSTANDBREITE=

Quantità di caratteri della colonna per il testo di valore limite.

KENNUNGBREITE=

Quantità di caratteri della identificazione della variabile.

ARCHEDITFONT=

Carattere

Tutte queste impostazioni possono essere effettuate online negli elementi di controllo (“Visualizza”).

KURZBEZEICHNUNG=

1 Viene visualizzata nella tabella la descrizione breve dell’archivio
0 Non viene visualizzata

ZWANGSSPEICHERN=0

1 Aggiornamento di tutti gli inserimenti dell’archivio derivato
0 Aggiornamento solo inserimenti modificati (default)

[EXPORT]

OK_MESSAGEBOX=1

Finestra di dialogo “I dati sono stati esportati con successo”.
1 Una Finestra di dialogo appare sullo schermo.
0 Nessuna segnalazione.

FILEEXIST_MESSAGEBOX

Finestra di dialogo “Dati sovrascritti!”
1 Appare un message box con il messaggio.
0 Nessuna segnalazione.

FILEEXIST_OVERWR_APP_CAN=

0 OVERWRITE file viene sovrascritto.
1 APPEND dati vengono aggiunti..
2 CANCEL l’esportazione viene interrotta.

MAX_LAENGE=32

Lunghezza nassima dei nomi variabili nell'archiviazione nel file DFB, Default=32

[EW_TREND]

ANZEIGE_GWTEXT=0

La visualizzazione del testo del valore limite può essere spenta o attivata (riguarda lo scan di curve)

[PS3]

COM=com1:96,n,8,2

Impostazione della porta seriale

TYPE=PS32

Impostazione del tipo PLC utilizzato (PS32/PS3XX)

[SAT-DRIVER]

Parametri del driver SAT

DDE-SERVER=2

Versione del server DDE
2 server DDE 2.0
3 server DDE 3.0
Valore Default è 2. Viene utilizzato a partire dalle versioni 3.51.

BUFFER_SIZE=300

Grandezza del buffer trasmesso al runtime. La grandezza del buffer può essere aumentata se necessario, al massimo fino a BUFFER_SIZE_MAX.

BUFFER_SIZE_MAX=10000

Grandezza massima del buffer trasmesso in direzione runtime zenon RT (SICAM 230 RT).

INTERN_BUFFER_SIZE=2000

A partire la versione 3.50 viene utilizzato un buffer circolare per la comunicazione con il server DDE. La dimensione (quantità di valori che possono essere salvati) viene definita qui.

TIMER_TIMEOUT_MSEC=500

Durata della rimanenza nel buffer in millesecondi. Il buffer può essere svuotato anche più fequentemente (quando, per esempio i dati provenienti dalla stessa variabile si susseguono rapidamente o quando la capacità del buffer viene superata).

EZ_PUFFERGROESSE=200

Grandezza del buffer nei dati di tempo reale

[RT]

Impostazioni runtime

CURSOR_STEPS=2

Distanza di spostamento del cursore in pixel in caso di manipolazione tramite tastiera.

ERSTE_TASTE=0

Parametro specifico per l´utilizzazione di tasti di funzione 0= eseguire tutte le funzioni o 1= eseguire unicamente la prima funzione rilevata

SELECTION_NORMAL=1

segnare un inserimento selezionato in una lista (allarmi o CEL); (=1) barra, (=0) cornice.

WITH_ACTION=1

Parametro specifico per l´utilizzazione del software con il mouse; definisce se l´elemento azionato è il primo elemento posizionato sotto il cursore (0) o il primo elemento incontrato collegato con una funzione (1).

NOT_WORKING_AKTIV=0

Dopo un certo tempo senza che sia intervenuto l´utente, una funzione selezionata può essere eseguita automaticamente. Questa impostazione permette d´attivare (1) o disattivare (0) l´esecuzione di questa funzione.

NOT_WORKING_TIME=60

Tempo in minuti dopo di che la funzione specificata dev´essere eseguita.

NOT_WORKING_FUNC=0

Numero della funzione che dovrà essere eseguita dopo la scadenza del tempo specificato

WIN_CE=0

si tratta di un progetto compatibile con CE (1= alcune funzioni non sono accessibili) o no (=0 .. default: funzionalità complete a seconda delle versioni).

TOUCHSCREEN=1

Attivare la tastiera automatica per touchscreen

[STATUS]

STATUS0=

Testo per informazioni di stato, se bit 0 è settato. E possibile inserire un testo lungo o un testo breve, separati da ;

STATUSx=

Vedi STATUS0 per i numeri x= 1 a 63

[TABELLE]

TRENNZEICHEN=

Carattere di separazione per le singole celle nell´esportazione dal runtime in Formato “*.TXT” (p.e. “-” o tasto “TAB”)

[SYSTEMDRIVER]

UPDATE_SEK=5

Tempo ciclico di update del driver di sistema in secondi.

WISCHER_BOXEN=
  • 0: invece di visualizzare una finestra di dialogo nel runtime , il sistema emette un suono beep (attraverso le variabili di sistema è possibile visualizzare delle informazioni personalizzate).
  • 1: Finestre di dialogo vengono visualizzate come d´abitudine.

WISCHER_BOXEN_USERLEVEL=

Attivo solamente se WISCHER_BOXEN=1

  • 0: nel caso di autorizzazione d´uso non sufficiente apparirà una segnalazione di errore.
  • 1: nel caso di autorizzazione d´uso non sufficiente non apparirà una segnalazione di errore.

[PROJEKTLINKS]

Parametri per progetti collegati

LINK1=PROJEKTNAME

Definizione dei nomi di progetti

LINKPATH1=PROJEKTPFAD

Definizione dei percorsi di progetti

GLINK=PROJEKTNAME

Definizione del nome del progetto globale

GLINKPATH=PROJEKTPFAD

Definizione del percorso progetto globale

[NETZ]

Rete

SERVER=[Valore]

Valore -1: rete inattiva, calcolatore standalone.
Valore >= 0: Rete attiva.

SERVER1=COMPUTER1

Server

SERVER2=COMPUTER2

Server standby

RELOADDELAY_SEC=

Delay di ricarico per client in secondi nel caso di grandi progetti di rete.

0: nessun ritardo.

[TOKEN]

Amministrazione dell´autorizzazione in rete

ACTIVE=0

Attivazione (1) o disattivazione (0) dell´autorizzazione in rete

QUIT_TIMEOUT=60

Se un client possiede un´autorizzazione d´accesso, questa dev´essere confermata in modo ciclico. Nel caso in cui questa conferma non sia trasmessa entro il tempo impostato, il client perde automaticamente il token.

QUESTION_TIMEOUT=60

Se un calcolatore sollecita il token, chi però è in possesso di un altro calcolatore il sistema domanda a quest ultimo di trasferirlo. Il calcolatore in possesso del token deve rispondere entro il tempo qui impostato.

[ED_REMOTE]

Trasporto remoto

DEVICE=1

Tipo di apparecchio
0 seriale
1 TCP/IP

CONFIG=CDSBG024;PORT=95;TIMEOUT=10

String di configurazione del calcolatore per baudrate seriale o numero porta TCP/IP

[DIRLIST]

Percorsi per il trasporto remoto

GLOBAL_AKTIV=1

0 Non aggiornare Progetto globale
1 aggiorna anche progetto globale

PROJECTBASE=Pfad

Percorso di base del progetto

BITMAP=Pfad

Percorso destinazione dei bitmap

BITMAP_AKTIV=1

0: non controllare percorso
1: controlla percorso

LISTEN=Percorso

Percorso per le liste

LISTEN_AKTIV=1

0: non controllare percorso
1: controlla percorso

VIDEO=Pfad

Percorso file video

VIDEO_AKTIV=1

0: non controllare percorso
1: controlla percorso

REPORTS=Percorso

Percorso per i report

REPORTS_AKTIV=1

0: non controllare percorso
1: controlla percorso

SOURCE_0=Percorso

Sorgente percorso utente o file

TARGET_0=Pfad

Percorso per utenti o file

AKTIV_0=1

0: non controllare percorso
1: controlla percorso

TYPE_0=0

0: non controllare percorso
1: controlla percorso

COMMENT_0=String

Commento utente

[TEXTLIST]

Parametri per liste di lingue

File#x=36

L´editor memorizza per la finestra delle lingue la larghezza della colonna con le parole chiavi (x=numero della colonna 2).

Width#x=36

L´editor memorizza per la finestra delle liste string la larghezza della colonna con le parole chiavi.(x=numero della colonna p.e. 2).

TRANSLATE=1

1... testi delle immagini nell´editor vengono tradotti tramite la tabella delle lingue.
0...Visualizza il testo originale (p.e: @parola chiave).

TRANSLATE_INDEX=1

Indice della colonna attraverso la quale la traduzione viene effettuata nell´editor.

[VERSION]

Informazioni relative alla versione di zenon con la quale è stato elaborato l'ultima volta il progetto.
(una versione specifica è unicamente compatibile con delle versioni successive, e non con versioni precedenti)

VERSION1=

L´editor memorizza il numero di versione per il progetto.

VERSION2=

L´editor memorizza il numero di versione per il progetto.

SP=

L´editor memorizza il numero di service pack utilizzato per il progetto

PROJECT_VERSION_ACTIVE=

0: versionamento non attivo

1: Attiva versionamento

Default: 0

XML_EXPORT_ACTIVE=

0: nessun export XML in caso di versionamento

1: export XML attivo per versionamento

Default: 0

PROJ_MAJOR=

Numero assegnato dall´utente per la versione principale.

PROJ_MINOR=

Numero di versione dettaglio incrementato automaticamente dal sistema.

PROJ_TIMESTAMP=

Il momento dell´ultimo backup di progetto in UTC come secondi.

[PASSWORD]

Impostazioni per la gestione password

LOGTEMP =1

Login temporaneo per l´esecuzione di una funzione on (1) o off (0)

[RS232LOG]

Parametri per il protocollaggio della porta seriale

LOGCOMx=0

Se viene specificato il valore 1 per questo inserimento, viene creato un file di report contenente tutti i dati trasmessi o ricevuti tramite la porta seriale x. Il file porta il nome LOG_COMxxx.TXT e si trova nel percorso dal quale è stato avviato il driver.

[RTDATEN]

Le impostazioni per la creazione di dati modificabili nel runtime

NOOVERWRITE_REZEPTE=0

1… Non è pemessa la sovrascrittura del gruppo di ricette.

NOOVERWRITE_REZEPTUREN=0

1… Se esiste gia, il file rezepturen.cmp non viene sovrascritto

NOOVERWRITE_PASSWORT=0

1… Se esiste gia, il file password.cmq non viene sovrascritto

NOOVERWRITE_FPM=0

1… Se esiste gia, il file fpm.cmp non viene sovrascritto

[ERRORLOG]

Parametri relativi alla creazione e contenuto del file di errore

CE_DRV_ERROR_FILE=0

1… il driver crea un file di errore sotto Windows CE

[LON_32]

Impostazioni Driver LON

DIAG_LEVEL=0

Dipendente dal livello le azioni vengono registrate nel file di errore.
0 nessun protocollo (Default)
1 errore
2 scrivere
3 leggere
4 Advise / Unadvise
5 Intern

[S7TCP32]

Parametri per il driver S7TCP32

FS=0

Con 1 vengono indicati i tipi F&S DB Bit, F&S DB Byte, F&S Bit e F&S Byte.

[TRANSPASS]

Password trasporto Remoto (su stazione editor)

KEY=***

Password per il trasporto remoto

FIX=0

1: salvata

0: non salvata

NET=

Se questo inserimento non è uguale 0, l´Editor invia all´appecchio remoto dopo l´instaurazione di una connessione Remote Transport la richiesta per ottenere i dati per la configurazione della crittografia. L´inserimento viene settato dal dialogo Stabilisci collegamento e risettato a 0 subito dopo l´invio della richiesta.

[WORLDVIEW]

Visualizzazione globale

MarkCenter=
  • 0: non è selezionata nessuna stazione
  • 1: alla selezione di una stazione, la stazione viene evidenziata per breve tempo nell´immagine

[PFM]

Impostazioni per il Production and Facility Manager

AnzeigenMitStrg=

Gestisce la visualizzazione del dialogo in caso di inserimento di orari.

Valori:

  • 1: il dialogo viene visualizzato solamente nel caso in cui, al momento dell´inserimento di un orario, si tiene premuto il tasto Ctrg.
  • 0: il dialogo viene visualizzato sempre.

Modifica e riprendi inserimenti

Per assumere degli inserimenti fatti nel project.ini si consiglia di procedere nel modo seguente:

  1. identificare il progetto: notare GUID (le prime 4-6 posizioni saranno sufficienti) e chiudere workspace o Editor.
  2. passare alla cartella SQL: Nel percorso SQL si trova una cartella con il numero GUID
  3. passare al project.ini: alla voce /FILES/zenon/system in questa carella GUID si trova il file project.ini
  4. modificare project.ini: Efffettuare le modifiche, salvarle e chiudere il project.ini.
  5. Aprire l´Editor: riaprire l´Editor o caricare il progetto, creare i file Runtime modificati e trasmetterli

Info Informazioni

Il project.ini viene salvato, indipendentemente dal nome del progetto, sempre come 'project.ini' nel percorso Project_SQL_Ordner/FILES/zenon/system/project.ini.

Un consiglio: selezionate il progetto nel manager di progetti -> premete la combinazione di tasti Ctrl+Alt+E -> l´Explorer apre la cartella Project_SQL_directory/FILES/


startup.ini

Manuale -> Struttura file -> startup.ini

Indicazione: In linea di principio, le impostazioni dovrebbero essere effettuate nello Startup-Tool. Le modifiche nello startup.ini devono essere fatte da esperti.
Momentaneamente esiste una documentazione solamente per le impostazioni per la crittografia della comunicazione in rete.

Inserimento | Funzione
[Settings] |
USE_ENCRYPTION= | Attiva o disattiva crittografia 0: disattivato. 1: attivo Inserimento viene ripreso nello zenon6.ini dopo il settaggio e il salvataggio nello Startup Tool.
ENCRYPTION_PWD | Qui viene inserita automaticamente in modo cifrato la password dopo che essa è stata creata. La password viene cifrata in dipendenza del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento. Inserimento viene ripreso nello zenon6.ini dopo il settaggio e il salvataggio nello Startup Tool.
PWD_VALIDATION= | Hash che controlla se i dati usati per la crittrografia sono cambiati.


zenDB.ini

Manuale -> Struttura file -> zenDB.ini

Gli inserimenti nello zenDB.ini definiscono la connessione con il server SQL. Esse vengono fissate con lo Startup Tool.

Inserimenti nello zenDB.ini

Dalla versione 7:00 SP0

Inserimento | Valore default | Descrizione
[PATH] | nessuno | Percorso
DB60_SQL2008= | nessuno | Definisce il percorso su cui vengono depositate le banche dati SQL per i progetti Editor di zenon. Esempio: DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Impostazioni di connessione per SQL Server 2008 R2
USER= | Startup Tool: nessuno Altrimenti: zenOnSrv | Definisce il nome utente con cui il zenDBSrv si registra sul server SQL.
PW= | Startup Tool: nessuno Altrimenti: srv_700 | Definisce la password che zenDBSrv usa per l´autentificazione nei confronti del server SQL. La password viene depositata in forma cifrata nello zenDB.ini. Si può però usare il valore di default non cifrato per instaurare la connessione, visto che, a causa della sua durata, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per la instaurazione della connessione. Indicazione: ogni componente scrive questo valore in forma cifrata nel file INI.
SQLINSTANCE= | Startup Tool: nessuno Altrimenti: localhost | Definisce l´istanza del server SQL alla quale si connette zenDBSrv. Con il valore di default non si può instaurare nessuna connessione, visto che esso non contiene nessun nome istanza. Prima dell´instaurazione della connessione, „localhost" viene sostituito nel nome istanza dal nome computer attuale. Esempio: SQLINSTANCE=localhost\ZENON_2008R2
SQLPROVIDER= | Startup Tool: nessuno Altrimenti: SQLNCLI10.1 | Inserimento facoltativo per il provider che zenDBSrv usa per instaurare una connessione con la banca dati. Il valore di default corrisponde al SQL Server 2008 R2 Native Client. Esempio: SQLPROVIDER=SQLNCLI10.1

Versione 6.51 SP0

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60_SQL2005= | nessuno | Definizione del percorso Esempio: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nome del servizio che avvia la istanza SQL Server. L´inserimento PROVIDER_SQL2005= nella sezione Data Source deve essere corrispondente! Esempio: SQLSERVICE_SQL2005=MSSQL$ZENON_DEV
USER= | nessuno | Utente. Esempio: USER=zenOnSrv
PW= | nessuno | Password. Viene assegnata nello Startup Tool e depositata in forma cifrata in questa sede. Esempio: PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | nessuno | SQL Instant. Esempio: SQLINSTANCE=localhost\ZENON_DEV

A partire dalla versione 6.21 SP0 fino alla versione 6.50 SP0

Inserimento

Valore default

Descrizione

[PATH]

Percorso

DB60_SQL2005=

Nessuno

Definizione del percorso

Esempio:
DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\

[CONFIG]

SQLSERVICE_SQL2005=

localhost\ZENON_DEV

Nome del servizio che avvia la istanza SQL Server. L´inserimento Data Source nella sezione PROVIDER_SQL2005= deve essere corrispondente!
Esempio:

SQLSERVICE_SQL2005=MSSQL$ZENON_DEV

PROVIDER_SQL2005=

Inserimento per il provider che zenDBSrv usa per instaurare una connessione con la banca dati.
Esempio:

PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;

Fino alla versione 6.20 SP4

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60= |  | Esempio: DB60=C:\SQL\
[CONFIG] |  |
SQLSERVICE= | MSSQL$ZENON | Definisce il percorso su cui vengono depositate le banche dati SQL per i progetti Editor di zenon.
Provider= |  | Inserimento per il provider che zenDBSrv usa per instaurare una connessione con la banca dati. Esempio: Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\ZENON


zenon6.ini

Manuale -> Struttura file -> zenon6.ini

Indicazione: In linea di principio, le impostazioni di progetto dovrebbero essere effettuate nell'Editor. L'effettuazione di modifiche in zenon6.ini deve essere riservata a degli esperti.

Parametri

Descrizione

[DEFAULT]

Impostazioni di default

DEFANWENDUNG30=

Nome del progetto attuale caricato all´avvio del programma

DEFWORKSPACE=

Nome del workspace attuale caricato all´avvio del programma

LANGUAGE=

Lingua impostata?
default = GERMAN
ENGLISH, ITALIAN

TIMER_FKT=

Frequenza di ripetizioni con il temporizzatore
default = 5000 ? 5 secondi

WARTE_ZEIT=

Il sistema ritenta di effettuare le transazioni banca dati dopo la scadenza del tempo progettato [s].
L´inizio delle transazioni viene effettuato in una fila.
Default = 10

SERIAL7=

Chiave di attivazione per dongle e licenza software.

ACTIVATIONKEY7=

Attivazione crittografata per licenza dongle e licenza software.

INTERVALL=900

Considera questo inserimento come proposta per il ciclo nella definizione di una nuova funzione nella temporizzazione
(900 = 15 Minuti).

SERIALIZE=

Deposita le immagini online in file binario
0: non attiva (default)
1: attivo

STARTDELAY=

Ritardo di avvio del Runtime in ms in caso di booting.
Nel caso dell´insorgere di problemi in fase di avvio automatico del sistema operativo, lo start del Runtime può essere ritardato tramite questa impostazione. In tal modo il sistema operativo ha più tempo per avviare tutti i servizi necessari.

SCREENPROFILE=

Profilo monitor selezionato per questo calcolatore.

AUTOEXCEPTTIME=

Tempo espresso in secondi per la visualizzazione della Exception-Box.
Se manca questo inserimento oppure esso è stato settato a 0, la box viene visualizzata finché non la si conferma cliccando suOK.

RT_CXMAINFRAME=

Larghezza della risoluzione di tutti i monitor meno 1 pixel.

Salva insieme a RT_CYMAINFRAME= la posizione e dimensione della finestra runtime.

RT_CYMAINFRAME=

Larghezza della risoluzione di tutti i monitor meno 1 pixel.

Attenzione: Se la barra task è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.

Salva insieme a RT_CXMAINFRAME= la posizione e dimensione della finestra runtime.

[FUNKTIONEN]

Gestione delle funzioni

LIST_BOX=

Ultima posizione a sinistra della maschera di inserimento.

Formato: sinistra, su, destra, giù

nessun inserimento = usa posizione di default

[DRUCKER]

Attribuzione stampante

ALARM=

Stampante per la lista allarmi o CEL.

ALARM_OFFL=

Per le stampe offline può essere definita una stampante ad hoc. Se non c´è alcun inserimento, viene usata la stampante degli allarmi.

ALARM_OFFL_PAGE=

Impostazione della pagina per la stampante degli allarmi.

HDDRUCKER=

Stampante per hardcopy.

HDDRUCKER_PAGE=

Impostazione della pagina per la stampa harddisk.

LISTDRUCKER=

Stampante per le liste generali.

LISTDRUCKER_PAGE=

Impostazioni pagina per stampa lista.

WERTE=

Stampante per l´emissione dei valori attuali.

WERTE_PAGE=

Impostazione della pagina per la stampa valori attuali.

[PATH]

Impostazione percorsi

EXE=

Percorso dei file EXE (cartella di programma).

VBF30=

Percorso dell’attuale banca dati del progetto.

BILDER=

Percorso dei file BLD.

DLL=

Percorso dei file DLL (cartella di programma).

GRAPHIK=

Percorso dei file grafici per l´importazione della grafica.

BITMAP=

Percorso dei file Bitmap:

  • *.bmp
  • *.wmf
  • *.jpg
  • *png

ZUORDNUNG=

Esistente per motivi compatibilità

EXPORTARV=?

Percorso per gli archivi trasferiti manualmente (*.arv).

WEB_PROJECT_PATH=

Percorso per i file Runtime del webclient. Se questo inserimento non è disponibile, viene usata la cartella %temp%\zenWebCli.

[EXPORT]

Esportazione

AML_CEL_NEU=1

Esportazione in file dbase nel formato default (0) oppure come le colonne progettate per le finestre liste nell´editor (1).

[STATISCH]

Impostazioni editor

SUCHE=

Radio in pixel per stabilire quando un punto di un poligono deve essere uguale ad un altro.
Default = 5

[SAT-DRIVER]

Impostazioni Driver SAT

DATENPUNKTAUFZEICHNEN=0

Indirizzo del punto di dato da protocollare in CS_PROT.TXT .

Valore di default: 0 - non viene messo a protocolo nessun punto di dato.

A partire dalla versione 3.51 dev´essere iscritto qui il nome della variabile.

DATENPUNKTAUFZEICHNEN2=

Vedi REGISTRAZIONE PUNTI DATO.)

DATENPUNKTAUFZEICHNEN3=

Vedi REGISTRAZIONE PUNTI DATO.)

DATENPUNKTAUFZEICHNEN4=

Vedi REGISTRAZIONE PUNTI DATO.)

CHECK_VARIABLES=0
  • 1: le variabili vengono controllate e i risultati vengono scritti nel file SAT_PROT.TXT.
    Tutte le variabili o solo quelle che sono registrate solo da una parte (Server DDE o SICAM 230) vengono protocollate. .

Default: 0

KDA_BUFFERSIZE=200

Dimensione buffer.

KDA_TIMER_MSEC=30000

Ciclo di interrogazione.

[RT]

DRIVER_QUE=0

Dimensione della queque di trasmissione nel Runtime.
(0=illimitata)

DRIVER_COUNT=0

Impostazione TMP per Driver e runtime

DYNRAHMEN=

Cornice per la visualizzazione degli elementi dinamici nel funzionamento online.
0: non rappresentare
1: visualizza

RECT_ANZ=50

Impostazione per misure di ottimizzazione.

Le aree nuove da rappresentare in un immagine sono raccolte in rettangoli e di seguito ridisegnate. Dopo aver raggiunto il valore fissat, le nuove aree sono aggiunte al primo rettangolo.

[EDITOR]

Impostazioni nell’editor

LASTWORKSPACE=1

1: viene caricato automaticamente l´ultimo workspace
0: Editor parte senza aprire area di lavoro.

WORKSPACEVIEW=1

1: anteprima workspace attiva
0: Visualizzazione area di lavoro non attiva

SPOT=

Dimensione dei punti d’angolo degli elementi
default = 2

SUCHE=

Identificazione dello stesso punto per lo spostamento
Default = 2

DYNRAHMEN=

Visualizzazione di una cornice intorno agli elementi dinamici:
0: non attivo
1: attivo (default)

RASTER=

Posizionare nella griglia:
0: non attivo
1: attivo (default)

RASTER_GRID=

Mostra la griglia::
0: non attivo (default)
1: Attiva

RASTER_ABSTAND_X=

Spaziatura griglia orizzontale in pixel.
Default = 5

RASTER_ABSTAND_X=

Spaziatura griglia verticale in pixel.
Default = 5

KOORD_GLOBAL=

Tipo di coordinate visualizzazione:
0: coordinate pixel (Default)
1: Coordinate globali

EINGABE_SOFORT=0

Apertura della maschera di inserimento di un elemento in caso di creazione:

  • 0: no
  • 1: subito

SELECT_INVERSE=1

Inversione dello sfondo:

  • 1: la selezione di un elemento viene rappresentata tramite l´inversione dello sfondo. Con determinati colori (p.e. grigio scuro) è difficile da distinguere.
  • 0: con 0 è utilizzato il colore di SELECT.

SELECT_COLOR=rot

Colore utilizzato nell´editor per l´identificazione degli elementi selezionati se SELECT_INVERSE non è attivo.

RUECK_ANZ=10

Quantità delle azioni che possono essere annulate

KONVERT=0

All´apertura di progetti più vecchi della versione 3.51 SP3 si possono produrre delle spostamenti di elementi. Per evitare ciò vengono proposte delle checkbox all´apertura di un immagine, dove si possono eseguire delle impostazioni di configurazione.

1: attivo

WINDOW=3,109,181,589,661

L´editor memorizza alla chiusura la sua posizione attuale e la salva nel zenon6.ini. Al momento del prossimo start, esso viene avviato nella posizione salvata.

Primo numero: stabilisce se la finestra deve essere visualizzata minimizzata, massimizzata o normale.

Altri numeri: posizione a partire dall´angolo a sinistra in alto.

KEY_WIDTH=36

L´editor memorizza per la finestra con le liste string la larghezza della colonna con le parole chiavi.

SYMBOL_COLOR=16777215 (=bianco)

Colore di sfondo del simbolo nell´editor dei simboli per poter meglio riconoscere l´area dei caratteri disponibili.

POST_BUILD_STEP=

Una volta creati i file runtime viene automaticamente eseguito il programma qui indicato:

parametro1: Nome del progetto

parametro2: Percorso progetto

[VBA]

Parametri per Visual Basic for Applications

EIN=1

Attiva VBA
0: Off
1: on

EVENT=1

Attiva VBA Events (eventi)
0: Off
1: on

BREAK=1

Attivazione della finestra di dialogo VBA in caso di errore con interrogazione per debug durante il runtime
1: ON (default)
0: off

[VSTA]

Parametri per VSTA

ON=1

1: VSTA attivo (default)

0: VSTA disattivato

CSHARP=1

linguaggio di programmazione VSTA per l´editor ->

1: C#

0: VB.NET

LOADED=1

1: VSTA-Add-in per l´editor viene caricato al momento dell´avvio

0: al momento dell´avvio dell´Editor, il sistema pone la domanda tramite un apposito dialogo, se il VSTA Add-in deve essere caricato.
Indicazione: nel caso in cui un Add-in errato conduce all´interruzione del funzionamento dell´Editors, l´inserimento viene settato automaticamente su 0.

[SYMBOL]

VISIBILE=

Stabilisce se la lista simboli deve essere visibile al momento dell´avvio del programma:
1: visibile (default)
0: invisibile

SUBSTITUTE=

Può applicata la funzione Substitute all´inserimento di un simbolo in un immagine.

  • 1: sì (default)
  • 0: no

La funzione ha degli effetti solo con gli elementi che sono collegati almeno con una variabile.

VORSCHAU=

Stabilisce se la finestra di anteprima viene visualizzata:

  • 1: sì (default)
  • 0: no

Disattivare (0) risparmia posto nell´Editor.

BREITE=

Larghezza di schermo impostata all'ultima elaborazione.

HOEHE=

Altezza schermo impostata all'ultima elaborazione.

LINKS=

Definisce il bordo sinistro della finestra.

RECHTS=

Definisce il bordo destro della finestra.

TOP=

Definisce il bordo superiore della finestra.

BOTTOM=

Definisce il bordo inferiore della finestra.

STRETCHED=1

Visualizzazione dei simboli nella finestra di anteprima:

  • 1: adattamento alla grandezza di
  • 0: relazioni pagine viene mantenuto

[VarListBox]

Impostazioni per lista variabili

SINGLE=

Posizione della lista delle variabili (selezione singola) all´ultima visualizzazione (nessun inserimento

Formato: Links=Sinistra Rechts=Destra Oben=Su Unter=Giù

MULTI=

Posizione destra della lista delle variabili (selezione multipla) all´ultima visualizzazione (nessun inserimento

Formato: Links=Sinistra Rechts=Destra Oben=Su Unter=Giù

[ALARM]

Gestione allarmi

RAS_AML_INIT=0

0: non attivo (default)
1: All´avvio del RAS Client tutti i file AML vengono copiati.

[NETZ]

Impostazioni rete

QUESIZE=5000

Massima quantità di oggetti in queue nella rete.
Default = 5000

NET_TIMEOUT_MSEC=

Timeout per comunicazione di rete in millesecondi.
Default = 30000

NET_NETMODULE_TIMEOUT_MSEC=

Timeout per comunicazione moduli in millesecondi.
Default = 30000

NET_CONNECTCOUNT=

Ripetizioni del TCP/IP Connect sul client.

0: ripetizione immediata
Default = 0

NET_CONNECTWAIT_MSEC=30000

Tempo di attesa in seguito ad un connect TCP/IP fallito sul clien in millesecondi.
Default = 30000

USEIPV6=

Regola l´uso di IPv6.

1: attivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.

0: disattivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Non è possibile un funzionamento duale.

Indicazione: se questa impostazione viene modificata, tutti i processi di zenon in corso devono essere riavviati. Ciò riguarda in particolare zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Attenzione: funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

WAN=

connessione client con il server
0: LAN (default)
1: WAN

WAN_IDLETIME=

WAN Tempo di funzionamento a vuoto
dopo questo tempo, la connessione con il server o il client viene chiusa.
Default = 30000 ms

TIMESYNCH=

1: = il tempo viene sincronizzato con un progetto server (default)
0: = il tempo non viene sincronizzato (per esempio per ridondanza circolare)

USE_ENCRYPTION=

Attiva o disattiva crittografia

0: disattivato.

1: attivo

ENCRYPTION_PWD

Qui viene inserita automaticamente in modo cifrato la password dopo che essa è stata creata. La password viene cifrata in dipendenza del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento.

PWD_VALIDATION=

Hash che controlla se i dati usati per la crittrografia sono cambiati.

NET_PROXYPORT=

Port per la connessione del webclient con il webserver: webserver ascolta alla port, webclient si connettet alla port.
Default:

  • TCP: 1102
  • HTTP: 8080

POLLING_INTERVALL=

tempo di attesa in millesecondi fino a quanfdo il webclient manda di nuovo una richiesta HTTP-GET al webserver, quando il buffer per una connessione è vuoto.

Default: 2000

[IPADDR]

Solo sotto Windows CE.

Siccome CE non supporta nessun file HOSTS, i nomi dei calcolatori vengono attribuiti agli indirizzi IP tramite una lista di attribuzione.

Si ha bisogno di questa lista solo in reti senza DNS. Se esiste un server DNS, Windows CE è in grado di identificare il nome.
La lista è impostabile solo manualmente con un editor testo. Normalmente dev´essere inserito soltanto l´indirizzo del server progettato.

COMPUTERNAME1=

Attribuisce un indirizzo IP al calcolatore. Ad esempio:

COMPUTERNAME1=192.52.109.62

COMPUTERNAME2=192.52.109.63

Attenzione: Tutti gli inserimenti (nomi dei calcolatori) devono essere scritti maiuscoli, altrimenti non possono essere riconosciuti.

[MESSAGE CONTROL]

Impostazioni per il modulo Message Control.

Per quello che concerne gli inserimenti e la loro configurazione, vedi la sezione Message Control.

[TERMINAL]

Impostazioni per Terminal server

CLIENT=

Possibili valori:

  • 0: il runtime può essere avviato solamente semplicemente. Un funzionamento sul Terminal Server non è possibile.
  • 1: viene usato terminalserver. Il runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono effettuate automaticamente dal runtime.

Default: 0

CLIENT_NO_FILE_ALIGN=

Parametri per la sincronizzazione dei client con il server:

  • 0: I progetti vengono sempre ricaricati da tutti i client.
  • 1: allineamento selettivo attivo.
    Solo il client di zenon che viene avviato nella sessione console del terminal-server, sincronizza i file Runtime con il server di zenon

SERIALIZE=

Definizione della risoluzione immagine:

  • 0: risoluzione immagine individuale, tutte le immagini vengono ricalcolate per ogni client.
  • 1: il primo client avviato detta la risoluzione immagine.

[editor/CustomMenu]

Inserimenti per i menu definiti da utente nell´editor

Name#0=

Inserimento nel menu per programma 0.

File#0=

Nome del file da eseguire per l´inserimento menu 0.

Arguments#0=

Parametro per esecuzione programma.

[PASSWORD]

Impostazioni per la gestione password

LOGOFF=0

Tempo in minuti senza azioni di comando per eseguire il logout automatico.

[comando]

TYP

Tipo della finestra comando?
(applicazione speciale = DBAG)

POSITION=

Definisce posizione e grandezza della maschera Login/Logout:
xlinks, xrechts, yoben, yunten
Area valori da 0 a 1
Default: 0.001 , 0.999 , 0.835 , 0.964

SCHRIFT=

Tipo di carattere nel funzionamento online
default = -13,0,0,0,400,0,0,0,0,3,2,1,34,Arial

CODE=

Interrogazione numero di codice
0: Off (default)
1: on

String di comando =

Protocollaggio di „Comando“ nella CEL a comando
1: = attiva (default)

CodeKontrolle=

Controllo di plausibilità all’interrogazione del numero di codice:
0: off (default)
1: on

TASTE=

Impostazione tasti per uso a due mani
nessun inserimento -> una mano
RETURN
SPACE
F2..F12
A..Z 0..9
default = nessuno

[TRANSPASS]

Password Trasporto Remoto (su stazione remota)

KEY=***

Password per il trasporto remoto

FIX=0

1: salvata

0: non salvata

InitWait=0

Tempo di attesa per avvio del driver in locale zenon RT aspetta l´intervallo di tempo impostato in millesecondi, in modo tale che il driver possa partire in modo corretto.

Per esperienza, necessario solo sotto Windows 95 a causa del comportamento multitasking non perfetto.

Valore di riferimento: =500 ms

[STATISCH]

SUCHE=5

Fine di un poligono: radio in pixel per stabilire quando un punto deve essere uguale ad un altro. Se non c´è questo inserimento, il sistema riprende il valore di default.

Default: 5

[EW_TREND]

AUTOSKALIERUNG=0

Definisce se autoscala è attiva di default o no.

[SYS_REMOTE]

gestione del parametro trasporto remoto in rete.

Configurazione del server di diagnosi, vedi capitolo: Configurazione del server di diagnosi per mezzo dello zenon6.ini

CONFIG=

Stringa di configurazione per zenSysSrv . Remote Transport e Diagnose-System usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. Per i dettagli sulla configurazione, soprattutto a partire dalla versione 7, vedi capitolo: Configurazione del server di diagnosi per mezzo dello zenon6.ini

La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: setta il tipo di comunicazione usata.
    TCP/IP e seriale sono a disposizione.
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

[SIMULATOR]

OFFSET=0

Offset per le variabili di comando nel simulatore.

DWBEGIN=

Inizio degli indirizzi per le variabili DWORD.

DWEND=

Fine degli indirizzi della variabile DWORD.

FLOATBEGIN=

Fine degli indirizzi per le variabili Float.

FLOATEND=

Fine degli indirizzi per le variabili Float.

UPDATE=

Update in millesecondi.
Default: 500 (= 0,5 secondi)

BACKUP=1

0: valori HD non vengono salvati su disco fisso.
1: valori HD vengono salvati su disco fisso (default).

MAXHDVALS=1024

Indica l´area massima di offset 1 nei dati HD Per le Stringhe HD l´offset dev´essere inferiore di 4 da questo valore.

Default: 1024

DIAG_LEVEL=
  • 1: Protocollare la diagnosi nel file di errore (settare valori impostabile)
  • Default: 0

Info Informazioni

Trovate lo zenon6.ini nel percorso:

Windows Vista/7: C:\ProgramData\COPA-DATA\System\

Windows XP C:\Documents and Settings\All Users\Dati di applicazione\COPA-DATA\System


Configurazione del server di diagnosi per mezzo dello zenon6.ini

Manuale -> Struttura file -> zenon6.ini -> Configurazione del server di diagnosi per mezzo dello zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7, trasporto remoto e diagnosi vengono svolti tramite due diversi servizi. Se su di un apparecchio ci sono sia vecchi che nuovi client o server di diagnosi, essi possono essere configurati indipendentemente gli uni dagli altri tramite degli inserimenti INI. In tal modo, per esempio, si può attingere agli inserimenti Log di vecchi client di diagnosi senza che gli inserimenti Log di nuovi client di diagnosi ne siano toccati.

Diagnose Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per zenSysSrv (Remote Transport e Diagnose Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c`è questo inserimento, il sistema prende come valore standard la cartella LOG che si trova in ProgramData-Cartelle della versione utilizzata.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server e il zenSysSrv . Remote Transport e Diagnose-System usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usata.
    TCP/IP e seriale sono a disposizione.
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima che si vada al di sotto di questo valore, i file Log verranno cancellati.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, i file Log verranno cancellati.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce la durata dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo di cui i campi LOG incrementali vengono scritti.

Default: 0

LOGLogUpdateTime=

Numero di millesecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che vengono mantenuti in un buffer se non è possibile scrivere in file.

Default: 10240

LOGMaxLogFileSize=

Grandezza massima di un file LOG in Byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema controlla il posto di memoria occupato dai file LOG.

Default: 60

INIT=

azione al momento dell´avvio sotto Windows CE:

  • 0: chiudi subito
  • 1 (o altro valore superiore 2): aprire Listening Port e minimizzare System Tray
  • 2: mostra solo superficie

Default: 1

Indicazione: in seguito alla sepazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Server. Riguarda solamente zenLogSrv e non ha alcun effetto su zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa come valore standard:

il percorso estratto dalla registry
z.B. %ProgramData%\COPA-DATA\LOG

la cartella LOG nel percorso ProgramData del zenLogSrv, nel caso in cui nella registry non sia definito nessun percorso.
per es. %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima che si vada al di sotto di questo valore, i file Log verranno cancellati.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, i file Log verranno cancellati.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce la durata dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo di cui i campi LOG incrementali vengono scritti.

Default: 0

LOGLogUpdateTime=

Numero di millesecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che vengono mantenuti in un buffer se non è possibile scrivere in file.

Default: 10240

LOGMaxLogFileSize=

Grandezza massima di un file LOG in Byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema controlla il posto di memoria occupato dai file LOG.

Default: 60

INIT=

azione al momento dell´avvio sotto Windows CE:

  • 0: chiudi subito
  • 1 (o altro valore superiore 2): aprire Listening Port e minimizzare System Tray
  • 2: mostra solo superficie

Default: 1

Diagnose Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Qui si deposita la stringa di configurazione per il Diagnose Client. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnose Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Qui si deposita la stringa di configurazione per il Diagnose Client. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Avvertenza:

INIT sotto CE

Per quello che concerne Windows CE si consiglia calorosamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Causa: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente la superficie e non aprono la listening port.
Se poi un Diagnose Client vuole instaurare una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la port, ogni singolo Diagnose Client avvia tale processo. La conseguenza sono molti paralleli processi LogSrvCE e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il passare del timeout al momento di instaurare la connessione di diagnosi.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnose Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Causa: i client più vecchi usano poi il zenLogSrv come Diagnose Server. I nuovi client lo fanno automaticamente. Sul PC, questo servizio viene avviato automaticamente al momento dell´avvio del sistema, sotto CE deve essere avviato manualmente.

Attenzione: se la port non è raggiungibile, i client più vecchi avviano il zenSysSrv e cercano di instaurare con esso una connessione.


Message Control

Manuale -> Struttura file -> zenon6.ini -> Message Control

Le proprietà globali per l´invio di messaggi nel modulo Message Control vengono salvate nello zenon6.ini nella sezione [MESSAGE CONTROL].

Inserimento | Descrizione
[MESSAGE CONTROL] | Sezione nello zenon6.ini
Outlook_Profile= | Nome del profilo Outlook che deve essere utilizzato per l´invio. Default: vuoto
Outlook= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Subject= | ID univoco che le mail in entrata devono contenere per poter essere elaborate nel modulo Message Control. Default: vuoto
Telephone_Timeout= | Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio. Default: 1
Telephone_WelcomeMessageCount= | Quantità delle ripetizioni per il testo di benvenuto. Default: 5
Telephone_IgnoreDisconnect= | 1: l´interruzione della connessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta. 0: il messaggio viene interotto quando si interrompe la comunicazione. Default: 0
Telephone= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Speech= | Invio attivo? 0: disattivato. 1: attivo Default: 0
Speech_Rate= | Velocità della voce. Minimo: -10 Massimo: 10 Default: 0
Speech_Volume= | Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata. Massimo: 100 Minimo: 1 0: viene ripreso il valore dal sistema operativo senza alcuna modifica. Default: 0
Speech_Name= | selezione della voce e della lingua Default: vuoto
SMSGateway= | Invio attivo? 0: disattivato. 1: attivo Default: 0
SMSGateway_Inbox= | Cartella in entrata per invio di SMS. Default: vuoto
SMSGateway_Outbox= | Cartella in uscita per invio di SMS. Default: vuoto
SMSGateway_Statusbox= | Cartella per segnalazione di stato nel caso di invio di SMS. Default: vuoto
SMSGateway_Prefix= | Lettera iniziale dei file SMS. Lunghezza: 1 caratteri Default: F
SMSGateway_SemaphorPrefix= | Lettera iniziale del file semaforo. Lunghezza: 1 caratteri Default: S
SMSGateway_OriginId= | Identificazione mittente per invio di SMS. Default: vuoto
SMSGateway_TimeOut= | Tempo di timeout espresso in minuti per messaggi in uscita. Stablisce alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo". Default: 60
SMSGateway_SmartAlarm= | Viene usato smartalarming. Default: 0
SMTP_POP_MAIL= | L´inserimento stabilisce se la modalità d´nvio è attivo. 1: attivo 0: disattivato. Default: 0
SMTP_SRV_IS_POP= | L´inserimento stabilisce se il server POP3 viene usato come server SMTP. 1: POP 3 è SMTP 0: POP3 e SMTP sono server differenti Default: 0
SMTP_SERVER= | Il server SMTP indicato dall´utente. Default: vuoto
SMTP_PORT= | Definisce la port usata dal server SMTP. Default: 25
SMTP_SECURITY= | Tipo di meccanismo di sicurezza della connessione con il server SMTP. 0: nessun meccanismo di sicurezza. 1: SSLv2 e SSLv3 2: TLSv1 Default: 0
SMTP_AUTH= | autenticazione sul server di posta in uscita. 0: nessun meccanismo di sicurezza. 1: prima dell´invio registrare sul server POP3 2: SMTP AUTH Default: 0
SMTP_OTHER_CREDS= | Stabilisce se il server di posta in uscita utilizza altri dati di registrazione di quelli del server di posta in entrata. 0: disattivato. 1: attivo Default: 0
SMTP_USER= | Nome user per il server di posta in uscita salvato. Default: vuoto
SMTP_PASSWORD= | Hex-Dump della password crittografata per l´autenticazione sul server di posta in uscita. Default: vuoto
SMTP_SUBJECT= | Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio. Default: MsgCtrl_Alert
SMTP_USER_IS_ADDR= | Definisce se il nome utente viene usato come indirizzo mittente per messaggi in uscita per l´autenticazione nei confronti del server di posta in uscita. 1: attivo 0: disattivato. Default: 0
SMTP_OUT_ADDR= | Indirizzo per le E-Mail in uscita. Default: vuoto
POP_SERVER= | Server POP3 salvato. Default: vuoto
POP_PORT= | Definisce la port usata sul server POP3 . Default: 110
POP_SECURITY= | Tipo di meccanismo di sicurezza della connessione con il server POP3. 0: nessun meccanismo di sicurezza. 1: SSLv2 e SSLv3 2: TLSv1 Default: 0
POP_APOP= | Stabilisce se si deve usare il comando APOP. 1: attivo 0: disattivato. Default: 0
POP_KEEP_MAILS= | Stabilisce se le E-Mail lette devono rimanere sul server. 1: le E-Mail non vengono cancellate dopo essere state aperte sul server. 0: le E-Mail vengono cancellate dopo essere state aperte sul server. Default: 0
POP_USER= | Nome user per il server di posta in uscita. Default: vuoto
POP_PASSWORD= | Hex-Dump della password crittografata per l´autenticazione sul server di posta in uscita salvato. Default: vuoto
POP_POLL_INTERVALL= | Intervallo minimo fra due richieste POP3 espresso in secondi. Minimo: 10 Default: 60
GSM_SMS= | Attivazione di SMS tramite GMS come tipo di invio. 0: attiva non 0: non attiva. Default: 0 L´inserimento corrisponde nel Message32.ini all´inserimento [GSM] a On e il sistema ne tiene conto quando vengono importate/esportate le impostazioni INI.
GSM_SMS_COM= | La porta COM che viene usata per la connessione con il modem. Default: vuoto
GSM_SMS_SMSC= | Numero di telefono del Short Message Service Centre del provider GSM. Default: vuoto
GSM_SMS_PIN= | Codice PIN che viene usato per l´autenticazione nei confronti del modem. Default: vuoto

Info Informazioni

Visto che alcune proprietà possono riprendere i valori di altre e memorizzano i valori inseriti per ultimi, i valori degli inserimenti INI non devono corrispondere sempre a quelli delle proprietà visualizzati nell´Editor. Ciò riguarda le seguenti proprietà quando esse vengono rappresentate come non disponibili:

SMTP_SERVER -> Indirizzo server

Interno ID: Message Control

Indirizzo server

Disponibile solo se Utilizza server di posta in arrivo per le E-Mail in uscita è disattivato.

Interno ID: Message Control

Utilizza server di posta in arrivo per le E-Mail in uscita

Attiva: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indirizzo completo del server SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_USER -> Nome user

Interno ID: Message Control

Nome user

Nome user per il server di posta in uscita.

Disponibile solo se Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà non è attiva, viene visualizzato il nome utente dalla proprietà Nome user del gruppo Server di posta in arrivo. Altrimenti viene visualizzato il nome utente inserito per ultimo per il server di posta in uscita.

Interno ID: Message Control

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Message Control

Nome user

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Message Control

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Interno ID: Message Control

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Disattivata: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_PASSWORD -> Password

Interno ID: Message Control

Password

Password per il server di posta in uscita.

Disponibile solo se la proprietà Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà è disattivata, è salvata la password definita nella proprietà Password del gruppo Server di posta in arrivo.

Interno ID: Message Control

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

SMTP_OUT_ADDR -> Indirizzo delle E-Mail in uscita

Interno ID: Message Control

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Interno ID: Message Control

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autentificazione.

Attiva: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.

Non attiva: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


zenWebSrv.ini

Manuale -> Struttura file -> zenWebSrv.ini

Impostazioni per il Webserver zenon.

Parametri

Descrizione

[DEFAULT]

Impostazioni di base.

INIT=

Impostazioni per l´attivazione del webserver di zenon.

Altre impostazioni che 0: Webserver è stato avviato a partire dal pannello di controllo.

USE_HTTP_PROXY=

Stabilisce se la connessione avviene via TCP o HTTP.

  • 0: viene usato TCP.
  • Non 0: viene usato HTTP Tunnelling.

Il valore può essere settato direttemente tramite il Dialogo di configurazione del Webserver

[PROXY]

Scambio dati fra Webserver zenon e pannello di controllo.

REMOVE_CLIENT

Questo inserimento segnala al Webserver di zenon quando è stato rimosso un client registrato nel pannello di controllo.

MAX_CLIENT

Numero massimo di client. (dipende dal tipo di licenza).

AKT_CLIENT

Numero attuale dei client registrati.

SERIAL7=

Numero di serie per zenon: Webserver

ACTIVATIONKEY7=

Numero di attivazione crittografata per zenon: Webserver

LICENCEINFO

Informazione sulla licenza nel modo in cui essa è visualizzata nel pannello di controllo:

  • Demo Webserver Pro
  • Demo Webserver
  • Runtime Webserver Pro
  • Runtime Webserver

[CLIENTLIST]

Lista dei client registrati.

NAME_[Indice 00 in sù]

Nome dei client registrati.

Indicazione: gli inserimenti in [PROXY] e [CLIENTLIST] vengono cancellati al momento dell´avvio del webserver di zenon. Se il servizio riceve un comando di gestione dal pannello di controllo, gli inserimenti vengono, a seconda della necessità, scritti o letti.

Info Informazioni

Trovate il zenWebSrv.ini nel percorso %cd_system%.


Temporizzatori

Manuale -> Temporizzatori

Con i temporizzatori vengono definite tutte le chiamate di funzioni, che devono essere eseguite in ciclo o entro un tempo determinato (fisso).
In tal modo è possibile salvare giornalmente in una rete sul server importanti dati relativi alla produzione.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuova funzione tempo | Crea una nuova funzione per i temporizzatori.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Temporizzatori -> Progettazione nell'editor

La definizione della temporizzazione viene effettuata tramite selezione della voce Temporizzatori nel Manager di progetto. Funzioni di tempo già esistenti vengono rappresentate dopo la selezione nella sezione lista del manager di progetto.

Una nuova funzione di tempo può essere creata con selezione della voce Nuova funzione tempo dal menu contestuale.

Nella Finestra delle proprietà vengono ora visualizzate le proprietà della nuova funzione di tempo, che possono anche essere modificate.

Troverà una descrizione dettagliata delle singole proprietà nell' Help delle proprietà.

Indicazione: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 1° 1° 2012 ore 00:00:00.


Temporizzatori Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Temporizzatori -> Temporizzatori Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Nuova funzione tempo | Aggiunge una nuova funzione tempo nella lista.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Tool startup

Manuale -> Tool startup

Lo Startup Tool permette di:

  • avviare editor e runtime con determinati parametri.
  • far funzionare diverse versioni di zenon parallelamente su un computer
    (le versioni di zenon già installate vengono aggiunte automaticamente nello Startup Tool al momento dell´installazione della nuova).
  • gestire diverse instanze SQL per la stessa versione di zenon
  • gestire impostazioni di diverse versioni.
  • definire la lingua dell´editor e del runtime prima dello start.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

attenzione Attenzione

Il tool "startup" non si avvia se non funziona il zenAdminSrv. Se quest´ultimo non dovesse essere attivo, può essere avviato manualmente nel Pannello di controllo di Windows alla voce Gestione/Servizi .


Dialogo di partenza

Manuale -> Tool startup -> Dialogo di partenza

Nel dialogo di partenza gestite le versioni attualmente installate di zenon.

Pulsanti | Funzione
Editor | avvia l´editor della versione selezionata di zenon
Runtime | avvia il runtime della versione selezionata di zenon
Registro | avvia tutti i servizi della versione selezionata di zenon
Help | Apre l'help di zenon.
Tools | apre un dialogo per avviare ulteriori applicazioni della versione selezionata di zenon.

Processi al momento dello start

Al momento dell´avvio dell´editor, oppure del runtime, i dati delle impostazioni standard vengono scritti nel file zenon6.ini. Le impostazioni presenti in quel momento nel file ini vengono sovrascritte.

A partire dalla versione 5, la comunicazione di rete si effettua mediante i servizi (zenNetSrv.exe e zenSysSrv.exe). Entrambi i file devono trovarsi nel percorso zenon. Questi servizi dipendono dalle diverse funzioni e proprio per questo devono essere registrati in modo adeguato alle diverse versioni.

attenzione Attenzione

Dopo la conversione di un progetto in una versione di zenon più recente, esso non è più modificabile con le versioni precedenti, né può funzionare sulla base di esse. Nel caso dei progetti di rete, sul server e sui client devono essere avviate le stesse versioni di zenon.


Application

Manuale -> Tool startup -> Dialogo di partenza -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Inserimento | Funzione
Options | Apre il dialogo per la configurazione dell´impostazione.
Exit | Chiude lo Startup Tool

Options

L´inserimento Options del menu Application apre le impostazioni per lo Startup Tool:

  • General: impostazioni generali
  • Encrypt network communication: Configurazione della forte cifratura della comunicazione di rete


General

Manuale -> Tool startup -> Dialogo di partenza -> Application -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostazioni generali:

Parametri

Attiva

inattivo.

Start Startup Tool mimimized

Apre il Tool come icona. Il Tool può essere aperto cliccando sul pulsante corrispondente che si trova sulla barra task.

Il menu contestuale offre per la versione attiva di <CD_PRODUKTNAME< tutte le azioni possibili nel Dialogo start.

Apre il Tool sul desktop (default).

Remember last registered version

Setta la versione selezionata su standard e la sceglie automaticamente al momento del prossimo start. La versione non viene più registrata in seguito (default).

Al momento dello start dello Startup Tool, offre alla scelta dell´utente la prima versione che si trova nella lista. Quando si apre l´editor oil runtime, viene registrata sempre di nuovo la versione in questione.

Register all OCX files of selected version

registra tutti i file OCX (ActiveX Controls) che si trovano nel percorso di programma.

Questa opzione assicura che vengano registrati sempre gli ActiveX Controls adatti alla versione in questione (default).

Attenzione: non esercita alcuna influenza sulla registrazione di ActiveX Control e server COM, che vengono indicati alla voce Impostazioni individualinella versione corrispondente.

registra solamente le componenti poste prima.

Questa opzione sveltisce il processo di registrazioine ed è da raccomandare soprattutto per tutti i progetti che rinunciano all´uso di Actice X.

set Language for Editor or Runtime

Avvia l´editor oppure il runtime con la lingua selezionata nella lista.

Garantisce che zenon venga avviato a partire dallo Startup Tool sempre nella lingua definita. Non ha alcuna influenza sull´avvio diretto di zenon.exe.

Avvia l´editor oppure il runtime con la lingua selezionata in zenon6.ini. Questa è l´ultima usata in zenon oppure quella selezionata alla voce Opzioni -> Impostazioni -> Editor e Runtime Lingua selezionata (default).


Network configuration

Manuale -> Tool startup -> Dialogo di partenza -> Application -> Network configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire dalla versione 7 di zenon si può:

  • usare IPv6
  • crittografare la trasmissione in rete

configurare questo dialogo:

  • Timeouts
  • l´uso di TCP/IP tramite IPv4 o IPv6
  • l´elevato livello di crittografia della comunicazione di rete sul calcolatore locale

Parametri

Descrizione

General settings

Impostazioni generali

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nello zenon6.ini oppure nello zenon.ini e sovrascrivono in quella sede le configurazioni che dovessero discostarsi dalle nuove.

Le impostazioni modificate devono essere eseguite per tutti calcolatori Runtime oppure tutte le stazioni collegate. Nel caso di modifiche dell´impostazione IPv6 , il calcolatore deve essere riavviato.

Le modifiche vengono eseguite alla chiusura del dialogo solo dopo che l´utente ha confermato una segnalazione del sistema cliccando sul pulsante Sì.

Network communication timeout

Timeout per comunicazione di rete in secondi.
Default = 30

Corrisponde all´inserimento NET_TIMEOUT_MSEC= nello zenon6.ini.

Network module timeout

Timeout per comunicazione moduli in secondi.
Default = 30

Corrisponde all´inserimento NET_NETMODULE_TIMEOUT_MSEC= nello zenon6.ini.

Time synchronisation with server project

Attivo: il tempo viene sincronizzato con un progetto server (default)

Disattivato: il tempo non viene sincronizzato (per esempio per ridondanza circolare)

Corrisponde all´inserimento TIMESYNCH nello zenon6.ini.

Use IPv6 for all TCP/IP connections

attivo: tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.

Disattivato: tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Non è possibile un funzionamento duale.

Corrisponde all´inserimento USEIPV6= nello zenon6.ini.

Indicazione:se si modifica questa opzione, il calcolatore deve essere riavviato. La modifica deve essere eseguita anche su tutte le stazioni collegate.

Le seguenti componenti non sono interessate dall´impostazione:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Attenzione: funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

Encrypt network communication

Impostazioni per l´elevata crittografia in rete.

Encrypt network communication

attivo: La comunicazione di rete viene cifrata.

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo Elevata crittografia della comunicazione di rete.

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

La password configurata in questa sede viene depositata nello zenon6.ini .

Verify password

Confermare la password inserendola una seconda volta.

attenzione Attenzione

Se sono stati modificati manualmente degli inserimenti nello zenon6.ini locale, essi verranno sovrascritti non appena, effettuando la registrazione, si conferma la corrispondente richiesta del sistema con un "Sì".

Messaggi

Trovate una spiegazione concernente le segnalazioni di sistema e di errore nella sezione Segnalazioni in fase di registrazione.

Info Informazioni

Delle indicazioni sui messaggi di errore della cifratura forte li trovate in:

guida in linea Rete -> capitolo Cifratura forte della comunicazione di rete ->, più in particolare nella sezione Messaggi di errore.


Item

Manuale -> Tool startup -> Dialogo di partenza -> Item

Il menu Item contiene le seguenti voci:

Inserimento | Funzione
New | Realizza un nuovo inserimento nella lista e apre il dialogo Properties.
Delete | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Properties | Apre il dialogo Properties per l´inserimento selezionato.


Help

Manuale -> Tool startup -> Dialogo di partenza -> Help

Nel menu help si trovano i seguenti inserimenti:

  • Help: apre la guida online
  • Info about: mostra informazioni concernenti la versione:


Properties

Manuale -> Tool startup -> Properties

Nel dialogo Properties vengono definiti i parametri di ogni inserimento:

Inserimento | Funzione
General | Impostazioni generali
Database | Impostazioni concernenti il collegamento alla banca dati.
Extras | Impostazioni per la regsitrazione di ActiveX Controls (ocx) e COM Server (dll), nonché per lo start di ulteriori programmi o file di batch.


General

Manuale -> Tool startup -> Properties -> General

In questa sezione vengono inseriti i dettagli delle versioni dizenon

Sono disponibili le seguenti proprietà per un inserimento:

General

Parametri | Descrizione
Name | Nome univoco, nel modo in cui deve essere visualizzato nella lista. L´inserimento è assolutamente necessario.
Version | Startup Tool inserisce automaticamente il numero della versione di zenon. A tal scopo, bisogna selezionare in precedenza alla voce Path un percorso di programma.
Programm path | Il percorso di programma nel quale è stato installato zenon.

Editor

Parametri

Descrizione

Workspace

Il workspace desiderato al momento dell´apertura dell´editor. Non appena si è indicato questo workspace, tutti i progetti che vi si trovano vengono visualizzati automaticamente nella lista a cascata alla voce Editor - progetto.

Editor-Project

Selezione del progetto che deve essere attivo dopo lo start dell´editor.

Read back the INI settings

attivo: tutte le impostazioni modificate vengono lette autonomamente dopo la chiusura dell´editor e utilizzate al prossimo start. Sono interessati Workspace, Editor-Project, RT-Project e RT-Path).

Disattivato: Al momento dello start dell´editor, vengono usate sempre le impostazioni di questo dialogo. Le modifiche che sono state apportate lavorando con l´editor, vengono rimosse.

Runtime

Parametri | Descrizione
RT-Project | Il progetto che è settato come progetto di partenza per il runtime.
RT-Path | Il percorso del progetto. Nel caso in cui il progetto RT sia contenuto nel workspace, il percorso viene impostato automaticamente.

Info Info

Parametri sconosciuti?

Nel caso in cui le impostazioni per il workspace non dovessero essere conosciute, utilizzate il seguente procedimento:

  1. inserire Nome, Path eWorkspace;
  2. lasciare liberi Editor-Project, RT-Project eRT-Path;
  3. attivare Read back the INI settings ;
  4. chiudere il dialogo cliccando su OK .

Dopo che l´editor è stato avviato e chiuso, le impostazioni standard vengono riprese automaticamente dal file INI.


Database

Manuale -> Tool startup -> Properties -> Database

In questa sede definite le proprietà della banca dati. Queste ultime consentono di usare diverse istanze SQL per diversi inserimenti (versioni zenon).

attenzione Attenzione

A partire dalla versione 6.51, può essere definita l´istanza SQL e la password viene salvata in forma cifrata. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti.

Compatibilità: finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precendenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Visualizzazione dialoghi: la visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi SQL Instance, DB Path, User e Password.

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

SQL Instance

Selezione dell´istanza del server SQL che deve essere usata.

Il nome può essere scritto direttamente nel campo di inserimento, oppure selezionato fra quelli della lista a cascata.
Indicazione: cliccando sulla lista a cascata, il sistema ricerca nel calcolatore locale le istanze, che poi vengono presentate in una lista. La ricerca può durare un po´di tempo.

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Ad esempio: C:\ProgramData\COPA-DATA\SQL\

Attenzione: il SQL Server 2005 e il SQL Server 2008 R2 devono usare assolutamente dei percorsi separati.

Ragione: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

User

Username per la banca dati.

Diritti necessari

L´utente deve disporre nel server SQL dei seguenti Server roles:

  • public
  • sysadmin

Password

Password dell´utente. Essa viene depositata in modo cifrato. La lunghezza dell´inserimento viene visualizzata sempre con 20 caratteri, indipendentemente dalla lughezza reale.

Attenzione: la cifratura avviene mediante il Startup Tool. L´impostazione della banca dati deve avvenire assolutamente con lo Startup Tool.


Database prima della versione 6.51

Manuale -> Tool startup -> Properties -> Database -> Database prima della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostazione per le proprietà della banca dati prima di zenon 6.51:

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi Provider e DB Path.

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

Provider

Collegamento con la istanza SQL. Gli inserimenti importanti sono:

  • nome istanza
  • provider utilizzato
  • nome utente
  • User passoword

Ad esempio:
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Ad esempio: C:\ProgramData\COPA-DATA\SQL\

Attenzione: il SQL Server 2005 e il SQL Server 2008 R2 devono usare assolutamente dei percorsi separati.

Ragione: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

attenzione Attenzione

L´inserimento per Provider in questo dialogo è differente da quello nel zenDB.ini.

Dialogo: La stringa inizia con Provider=...

zenDB.ini: La stringa inizia con Provider=Provider=...


Extras

Manuale -> Tool startup -> Properties -> Extras

In questa sede definite ActiveX Controls (*.ocx) oppure COM Server (*.dll), che devono essere registrati con la versione di zenon in questione. Questi ocx e dll possono provenire da qualsiasi fonte, essere scritti dunque autonomamente, oppure essere di altri produttori. Inoltre, potete definire in questa sede i programmi che devono essere eseguiti prima dello start e dopo la chiusura dell´editor o del runtime.

Registrazione di ActiveX Controls - COM Server

Tutti i file qui indicati vengono registrati automaticamente al momento della registrazione della versione corrispondente di zenon, indipendentemente dalla Impostazione centrale Registro.

Parametri | Descrizione
Filename/Filepath | Lista di tutti i file da registrare
Add | Apre il dialogo di Windows che serve alla selezione di un file da registrare. In questo dialogo, potete selezionare singoli file ocx o dll e aggiungerli alla lista. A questo scopo, selezionate nel dialogo in primo luogo il tipo di file desiderato (ocx o dll). Tutti i file vengono salvati con indicazione del percorso. Se cambia il percorso, eliminate il riferimento corrispondente usando il comando Remove e impostate poi un altro percorso.
Remove | Cancella tutti gli inserimenti selezionati dalla lista di selezione dei file da registrare.

Programmi pre e post start.

Pre Start e Post Start Vi consentono di definire quei programmi e file batch che devono essere eseguiti prima dello start o dopo la chiusura di zenon.

Parametri | Descrizione
Pre Start | Programma esterno che deve essere avviato prima dello start dell'editor o del runtime.
Post Start | Programma esterno che deve essere avviato dopo la chiusura dell'editor o del runtime. Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata.


Messaggi durante la registrazione

Manuale -> Tool startup -> Messaggi durante la registrazione

Popup durante la registrazione

Segnalazione

Significato

You have changed the IPv6 setting. All internal TCP/IP connections will be switched to IPv6/IPv4.

To ensure that all affected components are properly switched you have to restart the computer! You will also have to change this setting on all connected station!

Do you really want to apply the change?

Modificate le impostazioni per il protocollo IP da IPv4 a IPv6 o viceversa.

Dopo aver effettuato la modifica, dovete riavviare il computer in modo tale che tutti i service vengano modificati nel modo corrispondente. La modifica deve essere effettuata anche su tutte le stazioni collegate.

Queste modifiche vengono scritte al momento della registrazione nello zenon6.ini oppure nello zenon.ini e sovrascrivono in quella sede le configurazioni che dovessero discostarsi dalle nuove.

Gerneral network configuration settings will be changed.

You have to restart the runtime to apply the changes!

Attention: Do not forget to adept the settings on other stations as well.

Apply settings.

Are you sure this is your intent?

Modificate Impostazioni generalicome timeouts.

Queste modifiche vengono scritte al momento della registrazione nello zenon6.ini oppure nello zenon.ini e sovrascrivono in quella sede le configurazioni che dovessero discostarsi dalle nuove.

Le impostazioni modificate devono essere effettuate per tutti i Runtime.

Messaggi durante la registrazione

Al momento di registrare i servizi, tutti gli stadi del processo vengono visualizzati un una finestra propria, che viene poi chiusa autonomamente dopo quattro secondi. Se si verifica un errore, una segnalazione corrispondente Vi informa sulla causa che l´ha provocato. Dopo aver confermato la segnalazione stessa cliccando su ok, il processo viene interrotto e zenon non viene avviato. Possibili segnalazioni di errore:

Segnalazione | Causa | Consiglio:
Couldn´t find zenSysSrv.exe service! | O manca il file zenNetSrv.exe nella cartella dei programmi di zenon, oppure è presente, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenNetSrv.exe still running! | Non è stato possibile chiudere il servizio zenNetSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.
Couldn´t find zenSysSrv Service! | O manca il file zenSysSrv.exe nel percorso dei programmi di zenon, oppure è presente, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenSysSrv.exe still running! | Non è stato possibile chiudere il servizio zenSysSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.


Riga comandi

Manuale -> Tool startup -> Riga comandi

Lo Startup Tool può essere gestito anche facendo uso della riga comandi. A tal fine, però, zenon_Startup.exe si deve trovare nel percorso di sistema. Trovate il file

  • sotto Vista/7 nel percorso C:\Program Files\Common Files\COPA-DATA\STARTUP
  • sotto VP nel percorso C:\Programmi\ Common Files\COPA-DATA\STARTUP

Facendo uso della barra comandi potete:

  • creare nuovi inserimenti
  • riorganizzare degli inserimenti esistenti (per es. dopo la cancellazione di versioni precedenti).
  • registrare degli inserimenti


Parametri

Manuale -> Tool startup -> Riga comandi -> Parametri

L´indicazione viene avviata con zenon_Startup.exe seguito da un Parametro e da eventuali nomi campo.

Parametri:

Parametri | Funzione | Nomi campo | Valore di risposta
-new | Crea un nuovo inserimento | sì, Lista vedi new | 0 oppure 1
-reorg | controlla e riorganizza gli inserimenti esistenti. | non esistente | nessuno
-reg | registra servizi | Nome dell´inserimento | nessuno

Uso di più parametri contemporaneamente:

E´possibile usare più parametri contemporaneamente. Se si usano piú parametri -new contemporaneamente, il valore di risposta non può essere analizzato in modo univoco.

In linea di principio, nel caso di denominazioni multiple si procede nella seguente successione:

  1. –new: Crea nuovi inserimenti.
  2. –reg: Registra l´inserimento impostato.
  3. –reorg: Rimuove tutti gli inserimenti non validi per le versioni cancellate di zenon.


new - Creazione di nuovi inserimenti

Manuale -> Tool startup -> Riga comandi -> Parametri -> new - Creazione di nuovi inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il parametro -new serve a creare dei nuovi inserimenti. Sono necessari almeno due nomi campo:

  • NAME, il nome univoco dell´inserimento.

    Nel caso in cui il nome dovesse essere stato già assegnato, il sistema non crea nessun inserimento.

  • PATH, il percorso in cui è stato depositato zenon.

Sintassi:

La sintassi è strutturata nel seguente modo: zenon_Startup.exe -> Parametro> Nome campo="TEXT"

  1. zenon_Startup.exe
  2. Passaggio vuoto
  3. Parametri
  4. Passaggio vuoto
  5. Nome campo
  6. = Segno
  7. Virgolette di apertura
  8. Testo
  9. virgolette di chiusura

Esempio Esempio

zenon_Startup.exe -new NAME="Neuer Eintrag" PATH="C:\Beispiel Verzeichnis\zenon"

Nomi campo

Possono essere utilizzati i seguenti nome campo:

Nome campo | Campo obbligatorio | Descrizione
NOME | X | Nome univoco dell'inserimento. Per esempio: NAME="Test"
PATH | X | Il percorso d´uso in cui si trova zenon. Per esempio: PATH="C:\Program Files\COPA-DATA\zenon 6.50 SP0"
PROJECT_RT | - | Nome del progetto rumtime da avviare. Per esempio: PROJECT_RT="Progetto test"
PROJECT_RT_PATH | - | Il percorso runtime del progetto (vedi PROJECT_RT). Per esempio: PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\Testprojekt"
PROJECT_ED | - | Il progetto che deve essere attivato nell'editor. Per esempio: PROJECT_RT="Progetto test"
WSP | - | La postazione di lavoro che deve essere caricata con l´editor. Per esempio: WSP="C:\Users\Public\Documents\zenon_Projects\DEMO622.WSP6"
SQLSRV | - | Denominazione del server SQL che deve essere usato dall´editor. Per esempio: SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | String provider per la inizializzazione della connessione SQL. Per esempio: PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Percorso della banca dati SQL da utilizzare. Per esempio: DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Apertura di programma che deve essere eseguita prima dello start dell´editor oppure del runtime, nonché prima della registrazione di questa versione. Per esempio: PRESTART="C:\zenon Versionen\zenon 6.50\Dlls\zenVNCCli.exe"
POSTSTART | - | Apertura di programma che deve essere eseguita dopo la chiusura dell´editor. Per esempio: POSTSTART="C:\zenon Versionen\zenon 6.50\Dlls\zenVNCCli.exe" Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata nello Startup Tool o nel file Startup.ini.

Più nomi campo sono divisi da spazi vuoti.

Info Informazioni

I percorsi con segni vuoti devono essere messi sempre fra parentesi.

Valori di risposta

0 - esecuzione senza errori

1 - non è stato possibile realizzare l´inserimento


reorg - Riorganizzare gli inserimenti

Manuale -> Tool startup -> Riga comandi -> Parametri -> reorg - Riorganizzare gli inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il parametro -reorg controlla tutti gli inserimenti per verificare se la versione collegata dizenon è ancora presente nel sistema file. Nel caso in cui i dati di applicazione non dovessero essere più reperibili, l´inserimento viene definitivamente cancellato dallo Startuptool.

Il comando non fornisce alcun valore di risposta. Dopo l´esecuzione, viene avviato lo Startup Tool.

Esempio: zenon_Startup.exe -reorg


reg - Registrazione di inserimenti

Manuale -> Tool startup -> Riga comandi -> Parametri -> reg - Registrazione di inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il parametro –reg registra tutti i servizi necessari nel percorso dell´inserimento indicato. L´apertura avviene tramite:

  • -reg "Nome dell´inserimento"

Nel caso in cui lo Startup Tool dovesse essere già avviato, non si effettua la registrazione, ma lo Startup Tool viene aperto in primo piano.

Il comando non fornisce alcun valore di risposta.

Esempio Esempio

zenon_Startup.exe -reg "Version 6.50"

registra la versione 6.50.

Condizione: deve esistere un inserimento nel tool startup con questo nome.


Trasporto remoto

Manuale -> Trasporto remoto

Il trasporto remoto permette di trasportare i file runtime ad un sistema di destinazione. Informazioni sul tema salvataggio e realizzazione di backup di file esitenti, le trovate nel capitolo Backup di progetto.

Nel caso in cui runtime e l'editor si trovino sullo stesso calcolatore, i file runtime sono direttamente a disposizione per il runtime. Nel caso in cui il runtime non si trovi sullo stesso calcolatore, esistono due possibilità.

  1. Il relativo percorso con i file runtime verrà sbloccato e collegato con il lettore di rete.
  2. I file runtime verranno copiati sul calcolatore di destinazione.

Nel caso di implementazione come drive di rete, il funzionamente del Runtime dipende dal fatto se è disponibile una rete dalle prestazioni sufficienti. Se i file sono disponibili direttamente sul calcolatore Runtime, è più semplice garantire esecuzione e prestazioni.

La trasmissione dei file Runtime ai calcolatori Runtime può avvenire con il Windows Explorer. Tuttavia essa avviene in modo più sistematico e sicuro quando si fa uso del trasporto remoto di zenon. Il trasporto remoto garantisce che tutti i file necessari giungano sempre al calcolatore di destinazione.

attenzione Attenzione

I file per immagini del tipo PNG non possono essere sovrascritti durante il funzionamento Runtime.

Ragione: il Runtime blocca i file .png aperti per evitare che possano venire sovrascritti.

Il trasporto remoto permette anche il trasporto di qualsiasi altro file.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Funzionalità

Il trasporto remoto mette a disposizione, oltre alla funzionalità di copia, anche altre funzionalità.

Parametri | Descrizione
Copia incrementale | L´Editor riconosce automaticamente quali file del sistema di destinazione sono ancora diversi da quelli da trasmettere e trasmette solo quelli che sono stati modificati.
Imposta progetto runtime remoto | Attraverso il trasporto remoto il progetto di partenza può essere settato sul calcolatore remoto.
Avvia e termina runtime remoto | Il Runtime può essere avviato e chiuso sul calcolatore remoto.
Richiedi lo stato del sistema remoto | Può essere visualizzato lo stato attuale del calcolatore remoto (sistema operativo, zenon versione, lettori esistenti ecc.).
Riavvia OS | Un calcolatore può essere riavviato in modo remoto.
Aggiornamento online | In tal modo il runtime remoto viene aggiornato online.
Avvia collegamento desktop remoto | Instaura un Collegamento desktop remoto
Rileggi tutti i file progetto | Un progetto completo può essere ricopiato da un sistema remoto.
Copia e registra file | I file non sono solo copiati, ma anche registrati nel sistema di destinazione. Particolarmente interessante per font e elementi Active X.
Copia e esegui file | I file eseguibili vengono copiati e avviati.


Barra simboli Trasporto remoto

Manuale -> Trasporto remoto -> Barra simboli Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Un computer di sviluppo può realizzare delle connessioni remote con altri calcolatori. La batta simboli Trasporto remoto mette a disposizione delle funzioni che servono alla trasmissione e alla interrogazione di dati.

Simbolo

(da sinistra a destra)

Funzione

Trasporto remoto: Crea collegamento

Instaura un collegamento con il computer destinatario.

Trasporto remoto: Impostazioni di collegamento

Apre il dialogo per la configurazione del collegamento.

Remote: Trasmetti i file runtime modificati

Trasmette al computer di destinazione tutti i file runtime modificati sul computer di sviluppo.

Remote: Rileggi tutti i file runtime modificati

Rilegge tutti i file modificabili nel runtime (come ricette, oppure gestione user) sul computer di sviluppo.

Remote: Imposta progetto di partenza

Setta il progetto di partenza per il computer di destinazione.

Remote: Lanciare runtime

Avvia il runtime sul computer di destinazione.

Remote: Terminare il runtime

Chiude il runtime sul computer di destinazione.

Remote: Aggiorna progetto

Esegue sul computer di destinazione la funzione aggiorna.

Remote: Avvia connessione con il desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via Remote Desktop.

Opzioni per barre dei simboli

Cliccando sulla freccia si apre il sotto-menu:

attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menu Opzioni -> Barre dei simboli.

Ulteriori simboli possono essere aggiunti facendo uso di Opzioni della barra simboli:

Trasmetti tutti i file runtime.

Trasmette tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Indicazione: tutti i comandi per il trasporto remoto sono a disposizione anche nel Menu contestuale del progetto.


Menu contestuale Trasporto remoto

Manuale -> Trasporto remoto -> Menu contestuale Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Avete accesso ai comandi per il trasporto remoto tramite la barra dei simboli oppure il menu contestuale del progetto:

  1. cliccate con il tasto destro del mouse sul progetto nel manager di progetto
  2. selezionate nel menu contestuale il nodo Trasporto remoto
  3. scegliete poi nella lista a cascata che si aprirà il comando desiderato;

Comando

Funzione

Crea collegamento

Instaura un collegamento con il computer destinatario.

Impostazioni di collegamento

Apre il dialogo per la configurazione del collegamento..

Trasmetti i file runtime modificati

Trasmette al computer di destinazione tutti i file runtime modificati sul computer di sviluppo.

Trasmetti tutti i file runtime.

Trasmette tutti i dati runtime dal computer di sviluppo a quello di destinazione.

Rileggi tutti i file runtime modificati

Rilegge tutti i file modificabili nel runtime (come ricette, oppure gestione user) sul computer di sviluppo.

Settare progetto come progetto di partenza

Setta il progetto di partenza per il computer di destinazione.

Lanciare runtime

Avvia il runtime sul computer di destinazione.

Terminare il runtime

Chiude il runtime sul computer di destinazione.

Aggiorna progetto

Esegue sul computer di destinazione la funzione aggiorna.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Remote: Avvia connessione con il desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via Remote Desktop.


Progettazione nell'editor

Manuale -> Trasporto remoto -> Progettazione nell'editor

Si configura il Trasporto remoto nelle proprietà di progetto alla voce Generale/Trasporto remoto e lo si gestisce facendo uso della Barra dei simboli del trasporto remoto.

Interno ID: Progettazione nell'editor

Trasporto remoto

Apre la finestra di dialogo per la configurazione del Trasporto remoto.
Il trasporto remoto consente di trasportare, aggiornare, lanciare, terminare un progetto in un computer remoto e di riceverne lo stato attuale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Progettazione nell'editor

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Al fine di configurare il trasporto remoto:

  1. passate alla proprietà di progetto, in particolare al nodo Generale
  2. cliccate sulla proprietà Trasporto remoto
  3. verrà aperto il dialogo che serve a configurare le proprietà della connessione e i file da trasmettere.

Parametri

Descrizione

Medio di trasporto

Seriale

Trasmissione tramite una connessione seriale, per es. a un terminale CE.

  • Port

Selezione del port COM per la connessione seriale.

TCP/IP

Trasmissione per TPC/IP in una rete o tramite un modem.

  • Nome PC o indirizzo IP

Il nome calcolatore o l´indirizzo TPC/IP viene indicato come destinazione.

  • Inserimento del nome calcolatore manualmente o cliccando sul pulsante ...
  • Inserimento manuale dell´indirizzo IP

L´indirizzo IP deve corrispondere al formato della versione IP impostata (IPv4 o IPv6).

Indicazione: In connessione al nome possono essere usati anche numeri port. Ad esempio: Runtime1;PORT=1105

Origine/Destinazione

Lista delle connessioni.

Nella prima riga può essere definita una destinazione per la cartella più alta della struttura. Cliccando con il tasto destro del mouse si apre il menu contestuale che consente la selezione.

Attenzione: questo percorso deve esistere permanentemente nel sistema di destinazione. Dunque nessun processore di rete implementato e nessun supporto dati mobile.

Attiva

Definisce i file opzionali da trasmettere.

Percorso base del progetto non può essere escluso.

Origine

Cartella per file che vengono trasmessi.

Destinazione

Cartella di destinazione.

Destinazioni per la cartella superiore e nuovi inserimenti possono essere definite.

Le sottocartelle non possono essere modificate. In tal modo si garantisce che nel Runtime tutti i file vengano trovati sul sistema di destinazione.

Indicazione: la cartella di Default è la cartella Runtime definita nelle proprietà di progetto. Se la cartella di destinazione viene inserita manualmente, fate attenzione che essa termini con il nome del progetto. Ciò è importante per la gestione multi-progetto. Ad esempio:
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Modifica

Modo di trasmissione. Può essere scelto liberamente per la cartella superiore e nuovi inserimenti. Cliccando con il tasto destro del mouse si apre la lista a cascata.

  • Copiare: copia file
  • Copiare e registrare: copia file e li registra nel sistema. Utile per elementi ActiveX e per caratteri (file ttf).
  • Copiare ed eseguire: copia file e li esegue.

Descrizione

Per nuovi inserimenti, inserimento testo opzionale per descrivere i file da trasmettere.

attenzione Attenzione

Nell’utilizzo della ridondanza vale la seguente regola: se si utilizzano driver che hanno bisogno di un file di configurazione, l´inserimento \zenon\custom\drivers deve essere disattivato.

Abstand embedded

Gestire trasporto remoto in rete

Selezionate nel menu contestuale del progetto -> Trasporto remoto -> <Comando>:

Parametri

Descrizione

Crea collegamento

Viene instaurata una connessione con il sistema destinatario per mezzo del servizio zenSysSvr. Su entrambi i sistemi deve essere stato attivato il servizio zenSysSvr bzw. oppure deve essere avviato sull'apparecchio CE il servizioSysSrvCE.exe. Le versioni devono essere identiche.

Trasmetti i file runtime modificati

Nel caso in cui si selezioni questa impostazione, vengono trasmessi solo i file runtime che sono stati modificati dal momento dell'ultima trasmissione. Se non esistono dei file runtime nel sistema destinatario, vengono trasmessi tutti i file runtime.

Trasmetti tutti i file runtime.

Se si attiva questa impostazione, vengono trasmessi tutti i (nuovi) file runtime. La sola eccezione sono quei file, come, per esempio, le ricette standard o le informazioni della gestione messaggi, che siano stati esplicitamente esclusi dalla trasmissione selezionando l'impostazione " Dati modificabili RT".

Rileggi tutti i file runtime.

Se si seleziona questa impostazione, tutti i file runtime dei moduli Ricette, Manager gruppi ricette, Message Control , Gestione utentie Production and Facility Scheduler (PFS) vengono trasportati dal sistema destinatario alla directory runtime locale. Le modifiche del runtime possono poi essere lette nell'editor tramite l'opzione "importa i file runtime".

Settare progetto come progetto di partenza

Il progetto selezionato è definito come progetto di partenza. Ogni volta che viene aperto il runtime, viene caricato questo progetto.

Lanciare runtime

Lancia il progetto in Runtime.

Terminare il runtime

Chiudi il runtime.

Aggiorna progetto

Il progetto viene aggiornato. Vengono letti i file runtime modificati.

Riavvia il sistema operativo

Il sistema, con il quale esiste una connessione, viene rilanciato dopo una richiesta di conferma da parte del sistema. E´possibile che dobbiate effettuare un nuovo loggin nel sistema operativo. Questa opzione non viene supportata con Windows CE.

Richiedere lo stato di sistema

Si verifica se il runtime è attivo sul sistema di destinazione e qual è lo stato e la versione di zenon che vi è installato. Il sistema rileva quanto segue:

  • Nome computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password
  • Visualizzazione e modifica della licenza
  • Configurazione della crittografia

Avvia connessione remote desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via Remote Desktop.


TCP/IP

Manuale -> Trasporto remoto -> Progettazione nell'editor -> TCP/IP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il nome o l´l'indirizzo IP del calcolatore di destinazione verrà indicato nella configurazione del trasporto remoto. L´indirizzo IP deve corrispondere al formato della versione IP impostata, cioè essere conforme a IPv4 se si usa IPv4, e conforme a IPv6 se si usa IPv6.

se usate il nome, verranno salvati gli ultimi nomi utilizzati a cui si potrà poi accedere per selezionarne uno mediante una lista a cascata. L´uso di numeri di porta è possibile solo in collegamento ad un nome.

Impostazione automatica per progetti di server

Se il progetto che deve essere trasmesso viene utilizzato come progetto server, nella configurazione del trasporto remoto sotto Parametri di configurazione non dev´essere indicato il nome del calcolatore. l trasporto remoto utilizza in tal caso sempre il calcolatore definto come Server nella configurazione di rete . Ciò garantisce che le modifiche verranno sempre trasmesse sul server che le trasmette a sua volta automaticamente ai client!

attenzione Attenzione

Di default, il trasporto remoto usa la port TPC 1101. Questa port non deve essere bloccata da altre applicazioni,


Seriale

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Seriale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La comunicazione nel trasporto remoto avviene di default via TCP/IP. Si può però passare anche ad una comunicazione seriale. In tal modo, ad esempio, si può entrare in comunicazione con apparecchi sui cui è installato Windows CE. A tal scopo si deve:

  • cambiare sull´apparecchio remoto mediante lo zenon6.ini il tipo di comunicazione del servizio di trasporto
  • configurare nell´Editor il trasporto remoto

attenzione Attenzione

Una modifica del file zenon6.ini avrà effetto solo dopo un nuovo avvio del servizio di trasporto remoto.

Inserimenti nello zenon6.ini

Nel caso in cui il servizio trasporto dovesse essere utilizzato per il trasporto seriale, in zenon6.inisul calcolatore remoto dovrebbero essere inserite le seguenti impostazioni manualmente. Indicazione: con Windows CE queste impostazioni saranno generate automaticamente attraverso l'interfaccia del servizio trasporto remoto nel file zenon6.ini.

[SYS_REMOTE]

; SysService è collegato con la porta Com:

CONFIG=DEVICE=COM;

PORT=COM2;

attenzione Attenzione

Non dev'essere dimenticato il ; (punto e virgola) conclusivo.

Con questa impostazione, il trasporto remoto funziona con un baudrate di 115200 bit/secondo. Nell´editor è defintio in forma standard lo stesso baudrate.

Impostazioni dell´Editor

Selezionate nell´Editor:

  1. seriale come modalità di trasporto
  2. nella lista a cascata della port COM del calcolatore sorgente


Definizione di file

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Definizione di file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quali file vengono trasmessi, lo definite nel dialogo di configurazione facendo uso della checkbox della colonna attivo. La riga con il percorso del progetto di base non può essere deselezionata. I file di progetto verranno sempre trasmessi.

Indicazione: i percorsi sorgente sono sempre impostati in relazione al percorso base del progetto.

attenzione Attenzione

Tenete presente quelli che sono gli effetti delle impostazioni che prendete se il progetto viene usato in rete!

Ad esempio:

la tramissione di grafiche può essere disattivata visto che questi dati si trovano già sul server. Allora viene avviato il client. Il client determina che le grafiche non sono state trasportate e non se le va neanche a prendere da solo. Sul client, dunque, non verrà visualizzata nessuna grafica.

Oppure, vengono trasmessi al client dei file che ne sovrascrivono degli altri lì presenti.

File da trasmettere

Attraverso il trasporto remoto i seguenti file vengono trasmessi al sistema di destinazione. Vengono sempre trasmessi tutti i file delle cartelle:

  1. Standard

    Tutti i file che si trovano nel percorso runtime del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

    1. tutti i file d´immagine ("Bildname".zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (non per CE!)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Inoltre: project.ini e projekt.vba, che si trovano sempre nella cartella di progetto.

Info Informazioni

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re
  1. Opzionale

    In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Remote Transport. Questi file si trovano nei seguenti sotto percorsi del percorso del progetto:

    1. \zenon\custom\graphics: per grafiche
    2. \zenon\custom\lists: per le tabelle lingua
    3. \zenon\custom\media: per tutti i file media
    4. \zenon\custom\reports: per le tabelle del generatore report
    5. \zenon\custom\help: per i file della guida in linea
    6. \zenon\custom\additional: per file addizionali
    7. \zenon\custom\drivers: per driver
    8. \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

  2. Imposta progetto runtime remoto

    Per il Runtime, il progetto di partenza deve essere indicato nel zenon6.ini. A tale scopo, cliccate sul pulsante Remote Runtime Setta progetto di partenza che si trova nella Barra simboli Remote Transport. Vengono fatti i seguenti inserimenti:

    [PATH]

    VBF30=percorso del progetto

    [DEFAULT]

    DEFANWENDUNG30=nome del progetto

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene messo a disposizione automaticamente per il trasporto. Non occorre nessuna impostazione aggiuntiva. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiche inclusi nel progetto specifico!

Selezione di file individuali

Per trasmettere propri file individuali:

  1. cliccate con il tasto destro del mouse nella prima cella vuota della colonna Sorgente
  2. selezionate nel menu contestuale Scegli file oppure Selezione cartella
  3. verrà aperto l´explorer per effettuare la selezione
  4. selezionate il file desiderato oppure la cartella desiderata
  5. attivate la checkbox nella colonna attivo
  6. cliccate con il tasto destro del mouse nella cella della colonna Destinazione
  7. definite la cartella di destinazione
    Se la destinazione rimane vuota, i file vengono trasmessi nell´ordine definito alla voce sorgente.

attenzione Attenzione

Indicare i percorsi in modo relativo!

Indicate i percorsi per i Vostri file individuali in modo relativo al percorso base del progetto. In tal modo, il sistema di destinazione manterrà sempre la struttura directory corretta.
Esempio:

Indicazione per Sorgente: /default.iso eingegeben.
Così il trasporto remoto sa automaticamente che il file si trova nel percorso base del progetto.
I percorsi vengono indicati analogamente.

Windows CE:

Se l´apparecchio di destinazione è un terminal Windows CE, e nel caso in cui non sia stata definita una destinazione specifica per il percorso base di progetto, verrà utilizzata in forma standard la destinazione /Storage Card/Data.

Azione in caso di trasmissione

Nella colonna Edita si regola con righe aggiunte che cosa succederà con i file durante il Trasporto remoto Ci sono tre possibilità:

Azione | Descrizione
Copiare | Copia il file sul sistema remoto.
Copia&Registra | Copia il file sul sistema remoto e lo registra lì nella registry ( es *.ocx, dll). Un consiglio: Utile per elementi ActiveX e per caratteri (file ttf).
Copia&Esegui | Copia il file sul sistema remoto e lo esegue.


Runtime: file modificabili

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Runtime: file modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon esistono dei dati che possono essere soggetti ad una modifica sia nell'editor che nel runtime. Sono file per:

  • Manager gruppi ricette
  • Ricette standard
  • gestione utenti
  • Schedulatore

Proteggere i file runtime in modo tale che non siano sovrascritti

Nel caso in cui si creasse o trasmettesse nuovamente nell'editor tutti i file runtime, i dati modificati nel runtime verrebbero sovrascritti. In modo da evitare l´effetto non voluto che i dati siano sovrascritti, si può scegliere qui Non rigenerare e ritrasmettere selezionando quali file non devono essere creati o trasmessi nuovamenteselezionando quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor in modo tale che non siano sovrascritti

I dati modificati nel runtime possono essere riletti nell´editor. In tal modo, i dati corrispondenti nell´editor verranno sovrascritti. Per evitare l'effetto non voluto di sovrascrivere dati, si può scegliere qui selezionando Non decompilare quali file non devono essere riletti.

Dialogo RT dati modificabili

Accedete al dialogo per la configurazione dei file runtime modificabili tramite le proprietà di progetto Generale/RT dati modificabili:

Interno ID: Runtime: file modificabili

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Runtime: file modificabili

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

I seguenti tipi di file sono selezionabili:

Parametri | Descrizione
Manager gruppi ricette | Gruppi di ricette e ricette del manager dei gruppi di ricette Nel corso della trasmissione, nuovi file vengono trasmessi e impostate delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard
gestione utenti | Gestione utenti per Login e gestione diritti nel Runtime.
Schedulatore | Modifiche nei modelli di tempo e orari del PFS.

attenzione Attenzione

Effettuando una conversione di progetto fate attenzione a convertire anche i file Runtime modificabili. I file Runtime devono essere importati nella versione di partenza dell´Editor, e, dopo l´update, di nuovo caricati nel Runtime. Per i dettagli al proposito, consultate il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasmissione dei file

Durante il runtime

Per poter trasmettere i file durante il Runtime:

  1. vengono trasmessi tutti i file
  2. vengono trasmessi solamente i file modificati

Entrambe le possibilità sono praticabili per i file definiti in RT dati modificabili.

Dal Runtime

Ci sono due possibilità di leggere file dal Runtime:

  1. Importa tutti file Runtime:
    1. importa tutti i file Runtime nella cartella che è stata definita nella proprietà Cartella Runtime

      Interno ID: Runtime: file modificabili

      Cartella Runtime

      percorso per i file runtime del progetto.
      In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
      Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

      Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    2. indipendentemente dall´impostazione della proprietà RT dati modificabili
  2. Importa i file runtime:
    1. importa i file definiti nella proprietà RT dati modificabili e
    2. sostituisce la progettazione nell´Editor con questi file Runtime
    3. sistema particolarmente adatto a riprendere i dati di un sistema remoto nell´Editor

Errore di connessione

Nella trasmissione vengono sovrascritti dei file esistenti in modo corrispondente a quanto previsto nelle impostazioni.

Se emergono degli errori durante la trasmissione oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Windows CE

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La trasmissione a sistemi Windows CE può avvenire direttamente o tramite scheda di memoria.

Configurazione

  1. Fate attenzione che sia attiva nelle proprietà del progetto nel nodo Generale la proprietà Progetto WindowsCE.

    Interno ID: Windows CE

    Progetto WindowsCE

    Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
    Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

    Interno ID: Windows CE

    RGM formato dati

    selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
    MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
    File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

    Default: file binari (compatibile con CE)

    Indicazione: una conversione successiva dei dati non è prevista.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
    Default: non attiva.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Windows CE

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Il dialogo di configurazione contiene adesso dei nuovi inserimenti; C:\Storage Card\Data è impostato come directory di destinazione.

Trasmissione per scheda di memoria

Il trasporto remoto supporta una possibilità di trasporto speciale con il quale il progetto viene trasportato al posto di un collegamento seriale o TCP/IP direttamente sulla scheda di memoria. Per questo è necessario un calcolatore nel quale può essere inserita la scheda di memoria (PCMCIA, ATA , Compact Flash etc...).

attenzione Attenzione

Bisogna fare attenzione, però, che il CE Runtime e il zenon6.ini si trovino nel ROOT della scheda!

Inserisca la scheda nell’unità corrispondente e faccia attenzione su quale lettore del sistema operativo viene collegata la scheda. (D:, o E:, ...)
  1. Attivate la checkbox Utilizza dispositivo locale di lettura.
  2. Definite la cartella Runtime sul dispositivo di destinazione.

    Esempio: se la scheda di memoria in CE è visualizzata come \Storage Card, dev´essere indicato C:\Storage Card\Projektpfad come Cartella Runtime sul dispositivo! Il C:\ verrà automaticamente eliminato dal trasporto remoto.

  3. Instaurate una connessione con il Vostro PC e trasferite i file sulla scheda di memoria locale.
  4. Scrivete la cartella Runtime sul dispositvo di destinazione con la funzione Settare progetto di partenza remoto (Barra simboli Remote-Transport) nello zenon6.ini sulla scheda di memoria.
  5. Infilate la scheda di memoria nel terminale CE e avviate il Runtime.


Crea collegamento

Manuale -> Trasporto remoto -> Crea collegamento

Per instaurare una connessione remota:

  1. cliccate sul pulsante corrispondente che si trova sulla Barra dei simboli Remote-Transport

    oppure selezionate nel menu contestuale del progetto: Remote-Transport -> Stabilisci collegamento

  2. verrà aperto il Dialogo per stabilire una connessione

Parametri | Descrizione
Password per la connessione | Impostazioni per la password per la connessione remota.
Password | Inserimento della password per l´instauramento della connessione (facoltativo).
Modifica password per l´instauramento della connessione | Apre il dialogo che serve a modificare la password.
Configurazione del sistema di destinazione | Impostazioni del sistema di destinazione.
Configura numero di serie e numero di attivazione | attivo: La Licenza del calcolatore remoto viene visualizzata dopo l´instaurazione della connessione e può essere modificata in questa sede.
Configura crittografia della comunicazione di rete | Attivo: dopo l´instaurazione della connessione, la crittografia della comunicazione di rete può essere attivata o disattivata sul sistema di destinazione. Indicazione: la connessione del trasporto remoto deve essere protetta con una password.
Non mostrare più questo dialogo | attivo: questo dialogo non viene più aperto al momento dell´instaurazione della connessione. Indicazione: per far sì che il dialogo venga visualizzato di nuovo, selezionate nel menu contestuale del progetto Remote-Transport -> Cambia la password e visualizza la licenza
OK | Riprende le impostazioni e instaura la connessione.
Annulla | Rifiuta le modifiche e chiude il dialogo senza instaurare la connessione.
Guida | Apre la guida online


Modifica password per l´instauramento della connessione

Manuale -> Trasporto remoto -> Crea collegamento -> Modifica password per l´instauramento della connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per modificare la password di connessione:

  1. selezionate nel menu contestuale del progetto Remote-Transport -> Stabilisci collegamento oppure Cambia la password e visualizza la licenza
  2. cliccate all´interno del dialogo sul pulsante Modifica password di connessione
  3. si apre il dialogo che serve alla modifica della password

Parametri | Descrizione
Vecchia password | Inserire la password esistente.
Nuova password | Immettere la password nuova:
Confermare la password | Confermare la nuova password inserendola una seconda volta.


Configura crittografia della connessione di rete

Manuale -> Trasporto remoto -> Crea collegamento -> Configura crittografia della connessione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La comunicazione di rete può essere protetta tramite un´elevata forma di crittografia. La crittografia viene attivata sia localmente mediante lo Startup Tool di zenon, direttamente sul webclient di zenon oder via Remote Transport nel dialogo Stabilisci collegamento:

Parametri

Descrizione

Leggere la configurazione locale

Legge i parametri di crittografia del calcolatore locale.

Cifrare la comunicazione di rete

attivo: sul calcolatore remoto viene attivata la crittografia della rete.

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo "Elevata crittografia della comunicazione di rete".

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

Confermare la password

Confermare la password inserendola una seconda volta.

OK

Salva le modifiche e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

La password configurata in questa sede viene depositata nello zenon6.ini del calcolatore remoto.

Info Informazioni

Delle indicazioni sui messaggi di errore della cifratura forte li trovate in:

guida in linea Rete -> capitolo Cifratura forte della comunicazione di rete ->, più in particolare nella sezione Messaggi di errore.


Trend esteso

Manuale -> Trend esteso

Il trend esteso serve a visualizzare in forma di curve valori online e valori storici (Valori di archivio) di variabili e variabili derivate. Consente la rileggibilità dei dati storici. Lo scroll all´interno del Trend esteso offre una funzione righello, zoom e una analisi trend. A differenza dell’elemento dinamico Trend, è possibile zoomare, sfogliare, esaminare e scalare valori online e valori di archivi. Per utilizzare questa funzionalità è necessaria la licenza del relativo modulo.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Indicazione: una Starter Edition del server archivi ridotta nel numero delle funzioni è già disponibile nella licenza standard di zenon.

Starter Edition del Trend esteso:

Nel pacchetto standard della versione a base TAG per il PC è contenuta una variante ridotta del Trend esteso. La Starter Edition si basa sulla versione Standard del Trend esteso.

La "Starter Edition" del trend esteso presenta le limitazioni seguenti:

  • nessun trend XY
  • nessun secondo asse tempo
  • numero di curve limitato a 8.
  • nessuna rappresentazione logaritmica.
  • nessuna interrogazione.

Per le ulteriori limitazioni d´uso nell´ambito di progetti Windows CE, vedi la guida zenon sotto Windows CE, capitolo Limitazioni per zenon.

Attenzione!

Se nell'editor è disponibile solo la licenza per la "Starter Edition" del Trend esteso, non possono essere impostate tutte quelle funzionalità che superano i limiti sopra indicati.

Se nel runtime è disponibile solo una licenza per la Starter Edition del Trend esteso, non è possibile eseguire in modo corretto le funzioni di cambio immagine che non corrispondono alle regole sopra citate. L'immagine di Trend esteso viene aperta con il filtro di default (=filtro vuoto). In questo caso, viene generato un inserimento corrispondente nel Server di diagnosi.

Esempio: cercate di eseguire nel runtime una funzione di passaggio ad un'immagine di trend esteso con 10 curve. Questa immagine viene aperta, ma non viene visualizzata alcuna curva.

Licenza

Sul PC, è possibile passare in qualsiasi momento dalla Starter Edition del Trend esteso a quella completa del modulo, mantenendo la compatibilità dei dati (estensione della licenza). Nel caso in cui disponiate sia di una licenza per la Starter Edition del Trend esteso, sia di quella per il Trend esteso, tutte le funzionalità di questo modulo di zenOn sono a Vostra disposizione.
Per le versioni I/O provviste di licenza, non è disponibile la Starter Edition.

Per il runtime di Windows CE 6.0, la Starter Edition del Trend esteso è disponibile come opzione insieme alla Starter Edition del server archivi. Per le versioni più vecchie di Windows CE, non è disponibile nessuno dei due moduli.


Progettazione nell'editor

Manuale -> Trend esteso -> Progettazione nell'editor


Crea un'immagine del tipo Trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Crea un'immagine del tipo Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante il Runtime, la gestione del Trend esteso avviene tramite unaimmagine del tipo Trend esteso. Quest'immagine deve essere anzitutto definita nell'editor.

Per creare un tipo di immagine del tipo Trend esteso:

  1. selezionate nella barra dei simboli o nel menu contestuale del nodo Immagini il comando Nuova immagine
  2. si aprirà un´immagine vuota del tipo standard.
  3. modificate il tipo di immagine nella visuale dettagli; per far ciò
    1. cliccate nella colonna Tipo d´immagine sulla voce Standard
    2. Selezionate nella lista a cascata l´inserimento Trend esteso.
  4. cliccate sull´immagine
  5. selezionate nella barra menu il punto Elementi di controllo
  6. cliccate nella lista a cascata su Inserisci modello
  7. verranno aggiunti gli elementi standard
  8. selezionate, se necessario, ulteriori elementi e aggiungeteli nel posto desiderato dell´immagine

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

elementi di comando predefiniti

Pulsante diagramma

Modificare parametri del diagramma

Pulsante curve

modificare parametri curve

Impostazioni diagramma

attiva il Dialogo per le impostazioni diagrammi e emissione cursore.

Pulsante zoom

ingrandire visualizzazione

Pulsante rezoom

impicciolire visualizzazione

Zoom +

riduce gli intervalli di tempo della rappresentazione

Zoom -

ingrandisce gli intervalli di tempo della rappresentazione

Pulsante refresh

Attualizza rappresentazione

Pulsante indietro

Scorrere indietro nel tempo sull’ asse tempo (Storico)

Pulsante avanti

Scorrere avanti nel tempo sull’ asse tempo (Attuale)

Pulsante stop

non aggiornare schermo

Pulsante play

aggiornare schermo

Cursore on/off

Esamina valori

Cursore doppio on/off

Valori che si trovano fra 2 cursori, mostra

Cursore un pixel a sinistra

Sposta il cursore di un pixel a sinistra

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Cursore un pixel a destra

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Stampa

Stampa diagramma.

Indicazione:può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante la funzione Stampa diagramma Trend esteso. La funzione parte dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.

Dialogo stampa

Stampare visualizzazione diagramma

Copia negli appunti

Salvare visualizzazione negli appunti

Pulsante indietro quarto

sposta indietro l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta

Pulsante avanti quarto

sposta avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta

Pulsante-asse X

apre Dialogo per impostazioni dell´asse X

Esporta dati visualizzati

esporta tutti i dati visibli di tutte le curve visualizzate in un file CSV.

Finestra

Visualizzazioni

Finestra di diagramma

Finestra che serve alla visualizzazione della grafica lineare

Nome diagramma

visualizza il nome diagramma

Finestra di emissione del cursor

Indica la posizione del cursore nella finestra di diagramma e i valori fissati alla voce Impostazioni diagrammi e emissione cursore.

Lista curve

Lista a cascata delle curve

Lista estesa curve

Lista curve che può essere modificata durante il Runtime:

  • Nome curva
  • titolo
  • Colore
  • Asse Y
  • Attivo

Indicazione: Non è a disposizione sotto Windows CE e viene sostituito in quella sede dalla normale lista curve.

Profili filtro

Gestione profilo

Selezione profilo

selezionare profilo salvato

Salva

Salvare impostazioni come profilo

Elimina

cancellare profilo

Info Informazioni

Gli elementi di controllo Cursore Sx di un Pixel e Cursore Dx di un Pixel spostano il cursore, ammesso che esso sia attivo, ma non il trend. Al posto degli elementi di controllo, si possono usare anche i tasti freccia della tastiera. Se si tiene premuto il tasto SHIFT durante lo spostamento per mezzo di tasti freccia o elementi di controllo, il movimento si verifica in passi da 10 pixel.


Creazione di un nuovo diagramma

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare un nuovo diagramma, progettate un cambio immagine che porta ad un´immagine del tipo Trend esteso. Si aprirà il dialogo che serve alla configurazione del diagramma:

Le impostazioni progettabili sono:

Parametri

Descrizione

Origine dati

Dati online

Usate i valori online attuali e i valori salvati per la rappresentazione in diagrammi.

Dati array

Usate delle variabili con valori array per la rappresentazione in diagrammi.

La rappresentazione di variabili con valori array funziona esattamente come quella XY. Tuttavia, non dovete selezionare nessun filtro tempo e nessuna variabile X. Nel dialogo Asse X indicate in corrispondenza di scala Da e A, gli indici array corrispondenti dei dati fonte. .

Indicazione: dati array non significa variabili array, ma la proprietà Grandezza array, che può essere impostata in una variabile.

Interno ID: Creazione di un nuovo diagramma

Grandezza array

Ormai disponibile solamente per ragioni di compatibilità.
Fino alla versione 5.50 Definizione della Grandezza array.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dati archivio

Usate dei valori di archivio salvati nella banca dati (formato ARX oppure dati SQL) per la rappresentazione in diagrammi.

Info: archivi in formato XML-, dBase- oppure TXT non vengono più visualizzati dopo la fine del ciclo di salvataggio.

Leggi dati dalla cartella backup

Disponibile solo se avete selezionato il campo opzioni Dati archivio.

Per la rappresentazione vengono usati i dati storici della cartella di backup.

Visualizzazione

Nome diagramma

Un nome diagramma liberamente progettabile può essere rappresentato nell´elemento di controllo.
Nel caso in cui la stringa nel nome diagramma contenga la combinazione di caratteri %c%, essa viene sostituita nel runtime con i nomi charge che soddisfano le condizioni di filtro. Ad esempio:
Diagrammname = Diagramm1_%C%_Ende
sarà nel runtime
Diagramm1_Charge1_Ende

Carattere

Selezione e impostazione del carattere definito dall’utente per la descrizione degli assi e le segnalazioni dei valori.

Impostazioni di diagramma e emissione cursore.

Apre il dialogo per stabilire delle ulteriori impostazioni per la visualizzazione del diagramma (vedi Impostazioni dagramma e Emissione cursore).

Larghezza scroll [%]

Definire lo scroll dell'immagine una volta raggiunto il margine destro del diagramma.
Attenzione: solamente per diagrammi con valori online.

Refreshrate [s]

Stabilire la attualizzazione dell´immagine in secondi.

  • Nel caso di dati online e array, il valore deve essere superiore a 0.
  • Nel caso di dati online e array, non è possibile nessuna apertura statica.
  • Nel caso di dati archivio, la Refreshrate si adatta dinamicamente al tempo di carico dei dati. Se il carico dura più a lungo della metà dell´intervallo di Refresh, la Refreshrate viene raddoppiata.
    In alternativa, si può anche settare il valore della Refreshrate a 0.
    La conseguenza di ciò è che i dati visualizzati non vengono aggiornati.
    Quest´impostazione è molto utile se si deve visualizzare una grande quantità di dati nell´ETM. Se in questo caso la Refreshrate è settata su un valore troppo piccolo, può succedere che si verifichi un infinite loop.

Ottimizzare refreshrate: nell´effettuare la lettura di dati di archivio, all´inizio e alla fine viene generata dal server (anche standalone) e dal client una segnalazione log, che può essere letta con il Diagnose Viewer. In tal modo si può stabilire quanto dura la lettura dei dati e si può scegliere la migliore Refreshrate.

Offset [s]

Spostamento del punto zero dell´asse del tempo in maniera corrispondente del valore indicato in secondi.

Asse X

Visualizzazione XT

Visualizzazione delle curve in funzione del tempo.

Visualizzazione XY

Visualizzazione delle curve tramite un´altra variabile.

Asse X e filtro tempo/asse tempo e filtro tempo

Apre il dialogo per le impostazioni dell´asse X/asse tempo e del filtro tempo (vedi Asse X e filtro tempo).

La progettazione del periodo avviene in modo analogo a quella del filtro tempo in AML e CEL (vedi capitolo Filtro tempo nella guida Lista informazioni allarmi).

curve:

Aggiungi curva

apre il dialogo per la selezione delle variabili.

Cancella curva

Cliccate su questo pulsante per cancellare le curve selezionate.

Lista curve estesa

Apre il Dialogo Impostazioni colonne per la configurazione delle colonne per la Lista curve estesa.

Modifica curva

Apre il dialogo per le impostazioni curva e quelle per l´asse Y (vedi Modifica curva).

Visualizza curva

Per ogni curva selezionata, potete decidere con l´aiuto di questo checkbox se essa deve essere visualizzata al momento dell´apertura del diagramma.

Se disattivate questo checkbox, potete selezionare la curva poi nell´immagine Trend esteso e potete visualizzarla.

La prima x a destra accanto al nome della curva indica, se avete attivato il checkbox per questa curva.

Visualizza l´asse Y per la curva.

Per ogni curva selezionata, potete decidere con l´aiuto di questo checkbox se l´asse Y deve essere visualizzato al momento dell´apertura del diagramma.

Se disattivate questo checkbox, potete selezionare l´asse Y per la curva poi nell´immagineTrend esteso e potete visualizzarla.

La seconda x a destra accanto al nome della curva indica, se avete attivato il checkbox per questa curva.

Opzioni

Impostazioni stampante

Attiva il dialogo per le impostazioni stampante. Potete sia stampare i diagrammi che salvarli in un file (vedi Stampa diagramma).

Esporta impostazioni

Esporta i parametri diagramma impostati (variabili, cornice, tempi ecc) in un file DRG.

Importa impostazioni

Importa i parametri diagramma impostati (variabili, cornice, tempi ecc) da un file DRG.

OK, Annulla, Guida

Pulsanti per la conferma delle impostazioni, l´annullamento e l´apertura della guida.

Indicazione: il pulsante OK è attivo solamente dopo la progettazione di perlomeno una curva.

Ogni curva trend è caratterizzata da una propria denominazione. Per non perdere una visione chiara, non dovrebbero essere visualizzate troppe curve trend allo stesso tempo. La progettazione può essere eseguita per più variabili, che poi si attivano liberamente nel funzionamento online.

Info Informazioni

Con l´aiuto del campo opzioni Dati array, potete far in modo che siano visualizzate solamente quelle variabili che si basano su un driver che supporta variabili con valori array.

Dati array

Per visualizzare variabili con dati array:

  • definite per le variabili corrispondenti la proprietà Grandezza array nel gruppo Impostazioni aggiuntive, per esempio 10

    Interno ID: Creazione di un nuovo diagramma

    Impostazioni aggiuntive

    Impostazioni avanzate per la variabile.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • selezionate in corrispondenza della funzione Cambio immagine per un´immagine ETM, la proprietà Dati array:

Nella visuale delle variabili del RGM si può notare che ogni variabile esiste come blocco da 10 (da 0 a 9):

risultato nel Runtime

Quando si avvia il Runtime, l´immagine ETM è ancora vuota:

non appena i valori della ricetta sono stati settati, vengono visualizzati i valori delle variabili con array.


Impostazioni di curva

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni di curva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per ogni curva trend possono essere parametrizzate le impostazioni della curva stessa.

Parametri

Descrizione

Curva

Nome curva

Nome curva liberamente definibile.
di default, viene inserito il nome variabile.

Indicazione: una modifica del nome variabile effetuata in un secondo momento non ha alcun effetto sul nome curva esistente.

Larghezza linea [Pixel]

Definite la larghezza della curva in pixel.

Distanza dal margine superiore [Pixel].

Disponibile solo per la visualizzazione Gantt.

Definite la distanza in pixel di Gantt Chart fino al margine superiore del diagramma.

Forma di visualizzazione.

Definizione del tipo di linea da utilizzare per la curva trend: Possibili forme di visualizzazione:

  • Linea
  • Tratti
  • Punti
  • Tratto-punto
  • Tratto-punto-punto

Avvertenza: Se nella proprietà Qualità grafica si seleziona Windows Basis, in presenza di una larghezza della linea pari a 1 possono essere rappresentate nel trend esteso solamente delle linee piene.

Interno ID: Impostazioni di curva

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Impostazioni di curva

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Impostazioni di curva

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interpolazione

Collegare i valori tramite polilinea (punti d’ appoggio);?se questa opzione non è settata la visualizzazione è a "scala"

Lunghezza curve

La curva viene prolungata dall'ultimo punto dato disponibile finno al bordo destro.

Visualizza area

I valori vengono rappresentati anziché sotto forma di linee come aree.

Visualizzazione Gantt

Attiva il diagramma Gannt per questa curva. Il nome curva viene usato come didascalia Per indicazioni relative alle limitazioni, vedi sezioni Diagramma Gantt e Parametro asse Y.

Mostra valore limite

Disponibile solo per la visualizzazione Gantt.

Viene rappresentato il valore limite numerico.

Mostra testo valore limite

Disponibile solo per la visualizzazione Gantt.

Viene rappresentata la denominazione del valore limite.

Colore

Colore curva

Definite il valore della curva.

Colori di riempimento

Definite il colore di riempimento della curva. Questo ha effetto solo nel caso in cui abbiate selezionato l´impostazione Visualizza area.

Trasparenza Colore di riempimento [%]

Definite la trasparenza del colore di riempimento della curva. In tal modo potete evitare che curve vengano coperte da curve con visualizza area. 0 significa nessuna trasparenza. 100 significa trasparenza completa.

Indicazione: Disponibile sotto Windows CE.

Spostamento visualizzazione

Giorni

Sposta la curva del numero di giorni impostato.

Ore

Sposta la curva del numero di ore impostato.

Minuti

Sposta la curva del numero di minuti impostato.

Cambio mese

Sposta la curva di un mese.

Annualmente

Sposta la curva di un anno


Visualizzazione Gantt

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni di curva -> Visualizzazione Gantt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´aiuto della visualizzazione Gantt, potete visualizzare lo stato di un impianto nel Trend esteso. Potete visualizzare, per esempio, quando un´impianto si trovava in funzione, in manutenzione, in pausa ecc. Grazie alla visualizzazione nel trend esteso, potete confrontare gli stati dell´impianto con le linee di sviluppo processo. Potete dunque valutare il comportamento del Vostro impianto. Un esempio: constatate un comportamento anormale delle linee di sviluppo processo, ma vedete, sulla base di Gantt Charts, che l´impianto in quel momento si trovava in fase di manutenzione.

Progettazione

Nella visualizzazione Gantt vengono utilizzati a fini di analisi i valori limite e le matrici di reazione e non i valori effettivi delle variabili in questione. La visualizzazione rispecchia lo stato dell´impianto; il valore esatto non gioca nessun ruolo.

I singoli Gantt Charts vengono visualizzati nella cornice superiore dell´elemento di controllo diagramma. Progettate la cornice in modo tale che sia abbastanza grande da non provocare nessun problema di visualizzazione.

Come base per il colore delle singole Gantt Charts si usa il valore limite violato oppure la matrice di reazione. Viene sempre usata con i valori e gli stati attualmente progettati la Rema. Se modificate queste ultime, anche le analisi storiche vengono visualizzate con i valori attuali. Non c`è una storia per i valori limite oppure gli stati delle matrici di reazione.

Parametri curve

Per le impostazioni curve vale quanto segue:

  • il nome curva viene usato come didascalia
  • i parametri vengono impostati nella scheda Impostazioni curve:
    • Distanza dal margine superiore
    • Mostra valore limite
    • Mostra testo valore limite

    Se si usano insime le opzioni Visualizza valore limite e Visualizza testo valore limite, la visualizzazione avviene come:
    Testo valore limite/Valore limite

  • Le proprietà della didascalia vengono impostate nella scheda Asse Y:
    • Colore
    • La posizione in % della larghezza dell´asse X (misurato da sinistra)

Le seguenti impostazioni dell´asse Y non sono a disposizione per rappresentazioni Gantt:

  • Mostra linea griglia orizzontale
  • Tipo di asse
  • Scala
  • Rappresentazione esponenziale
  • Suddivisione assi


Parametri asse y

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Parametri asse y

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede e nel dialogo Impostazioni curve vengono definiti i parametri delle curve.

Parametri

Descrizione

Visualizzazione

I parametri per la rappresentazione di curve durante il Runtime.

Titolo asse

Denominazione dell´asse

Position

Posizionamento dell´asse Y rispetto all´asse X in percentiale della lunghezza dell´asse X.

  • 0 = sinistra
  • 100 = destra

Colore

Definizione dei colori degli assi.

Attenzione: progettabile indipendentemente dal colore della curva.

Mostra linee griglia orizzontali

Visualizzazione di linee ausiliarie per le suddivisioni principali.

(Non disponibile per diagramma Gantt.)

Tipo di asse

Impostazione della scala dell’asse Y.

(Non disponibile per diagramma Gantt.)

Lineare

Divisione lineare dell’asse Y.

(Non disponibile per diagramma Gantt.)

Logaritmica

Divisione logaritmica dell’asse Y.

Scala

Impostazione del campo di visualizzazione delle variabili di processo all’interno dei limiti tecnici progettati (funzione zoom).

(Non disponibile per diagramma Gantt.)

Da

Valore iniziale scala.

Default: -32768

Fino a

Valore finale scala.

Default: 32768

Descrizione

Posizione della descrizione degli assi.

A sinistra dell´asse

I valori vengono visualizzati a sinistra dell´asse.

A destra dell´asse

I valori vengono visualizzati a destra dell´asse.

Rappresentazione esponenziale

I valori vengono rappresentati in modo esponenziale.

(Non disponibile per diagramma Gantt.)

Nascondi unità

attivo: l´unità per la didascalia asse non viene visualizzata. Consente la rappresentazione di diverse variabili con differenti unità.

Default: inattivo.

(Non disponibile per diagramma Gantt.)

Suddivisione assi

Impostare suddivisione degli assi.

(Non disponibile per diagramma Gantt.)

Numero delle suddivisioni principali.

Numero di suddivisioni principali con segnalazione valori.

Lunghezza delle suddivisioni principali (pixel)

Lunghezza delle suddivisioni principali in pixel.

Numero delle divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Scala automatica

Impostazione automatica della scala e della suddivisione degli assi nel funzionamento online.

Dopo la progettazione dei parametri della curva e dei quelli del rispettivo asse Y, viene visualizzata premendo il pulsante "OK" la nuova curva nel diagramma. La curva è segnalata nel diagramma come curva trend disponibile (nome curva trend, nome variabile di processo).

Per ogni curva si deve impostare il rispettivo tipo di elaborazione (attivo, con asse Y). La progettazione si realizza selezionando la curva di trend nella finestra delle impostazioni e settando le opzioni desiderate..


Impostazioni di diagramma e emissione cursore.

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni di diagramma e emissione cursore.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Potete effettuare altre impostazioni concernenti la visualizzazione del diagramma usando il pulsante Impostazioni diagramma e emissione cursore.

Sono disponibili le seguenti impostazioni:

Parametri

Descrizione

Distanza diagramma dalla cornice finestra [Pixel]

Su

Distanza tra il margine superiore dell'elemento di controllo e la curva in esso rappresentata
(Attenzione: Lasciare eventualmente spazio per inserire successivamente le informazioni della funzione di righello)

Giù

Distanza tra il margine inferiore della cornice dell'elemento di controllo e l’asse X (origine 0% asse Y)
(Attenzione: spazio per la legenda a due righe dell’asse X con i caratteri definiti da utente)

A sinistra

Sinistra: distanza tra il margine sinistro dell’elemento di controllo e l’asse Y (origine 0% asse X)
(Attenzione: spazio per la legenda dell’asse Y dalla parte sinistra con i caratteri definiti da utente)

A destra

Distanza tra il margine destro dell’elemento di controllo e l’asse Y (origine 100% asse X)
(Attenzione: spazio per la legenda dell asse Y dalla parte destra con i caratteri definiti da utente)

Colori:

Colore sfondo

Colore di sfondo della grafica rappresentata

Colore griglia

Colore della griglia sovrapposta

Emissione cursore

Visualizza intestazione in modalità compatibilità

Attivo: Per le versioni di zenon precedenti alla 6.51 SP0, vengono visualizzate per la "finestra di interrogazione in modalità compatibilità" delle intestazioni di colonna. Si usa, per esempio, per la visualizzazione di progetti convertiti durante il Runtime.

Per i progetti a partire dalla versione 6.51, tutto ciò non è più necessario. In questo caso, tutti i titoli di colonne vengono visualizzati nella Lista di interrogazione.

Data

Larghezza colonna del timestamp nell´aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Variabile

Larghezza colonna dei nomi variabili nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Valore

Larghezza colonna del valore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Unità

Larghezza colonna dell´unità nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Stato

Larghezza colonna dello stato nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Stato

Larghezza colonna dello stato nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Valori fra primo e secondo cursore.

Minimum

Larghezza colonna del valore minimo fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

valore medio

Larghezza colonna del valore medio fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Maximum

Larghezza colonna del valore massimo fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Differenza di tempo

Larghezza colonna della differenza di tempo fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Differenza valore

Larghezza colonna della differenza di valore fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Somma

Larghezza colonna della somma dei punti di misurazione fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Deviazione standard

Larghezza colonna del divergenza standard fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Numero dei punti di misurazione

Larghezza colonna del numero dei punti di misurazione fra primo e secondo cursore nella lista aspetto cursore. Con l´aiuto della checkbox potete attivare questa colonna.

Info Informazioni

Il titolo dell´intestazione dell´aspetto cursore sono modificabili a piacere con l´aiuto della funzione del cambio lingua.

Per rendere disponibile l´intestazione anche nel caso di conversione di vecchi progetti, potete cancellare l´attuale lista aspetto cursore e sostituirla con la nuova, oppure attivare la checkbox Visualizza intestazione.

Se create un progetto per una versione di zenon più vecchia di 6.51 SP0, potete aggiungere la corrispondente lista aspetto cursore dopo l´impostazione della versione runtime di destinazione.


Adattare l´aspetto del cursore lista di emissione

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni di diagramma e emissione cursore. -> Adattare l´aspetto del cursore lista di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´aspetto del cursore lista di emissione può essere adattato alle esigenze individuali.

Barra di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto della barra di scorrimento, della intestazione e di una griglia per la tabella:

  1. attivate fra le proprietà di progetto nel gruppo Visualizzazione quella Funzionalità grafiche avanzate

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Funzionalità grafiche avanzate

    Disponibile solo per PC.

    Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Visualizzazione

    Proprietà per la rappresentazione grafica dell´elemento.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista allarmi nell´immagine.

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Intestazione e griglia

    Proprietà per l´intestazione e per la griglia.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Barra di scorrimento

    Proprietà per le barre di scorrimento orizzontale e verticale.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto del cursore lista di emissione

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: Adattare l´aspetto del cursore lista di emissione

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Adattare l´aspetto del cursore lista di emissione

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Adattare l´aspetto del cursore lista di emissione

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ordina durante il Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente con un file grafico

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    In ordine decrescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Stile di visualizzazione

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

    Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Angolo [°]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

    Minimo: 0

    Massimo: 360

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Offset [%]

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

    Minimo: -100

    Massimo: 100

    Default: 0

    Ulteriori informazioni nella guida in linea AML.

    Ulteriori informazioni nella guida in linea CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Effetto riempimento 3-D

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

    Lineare: effetto omogeneo

    Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

    Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

    Default: Lineare

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Sfumatura colore

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    Colore riempimento

    Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

    Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

    Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

    Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

    Default: Standard.

    Ulteriori informazioni nella guida in linea per AML.

    Ulteriori informazioni nella guida in linea per CEL.

    Ulteriori informazioni nella guida in linea per ETM.

    Ulteriori informazioni nella guida in linea per RGM.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Adattare l´aspetto del cursore lista di emissione

    In ordine crescente

    Non disponibile se Funzionalità grafiche avanzate è attiva.

    Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

    Default: nessun file.

    Ulteriori informazioni nella guida in linea per AML

    Ulteriori informazioni nella guida in linea per CEL

    Ulteriori informazioni nella guida in linea per ETM

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. durante il Runtime viene visualizzata nella colonna rilevante per l´ordinamento la grafica selezionata.
  4. Cliccando sulla grafica si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Gestire l´intestazione durante il Runtime

Potete consentire agli utenti di gestire l´intestazione durante il Runtime. In tal modo è possibile un adattamento individuale della visualizzazione nel runtime:

  • Sposta colonne
  • Modifica grandezza
  • Modifica ordine.

Nell´ambito delle impostazioni di progetto passate al gruppo Lista di informazione allarmi e selezionate in corrispondenza della proprietà Header AML il valore Intestazione modificabile . In alternativa, potete far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

Info Informazioni

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Interno ID: Adattare l´aspetto del cursore lista di emissione

Intestazione utilizzabile

Disponibile solamente se avete selezionato Intestazione modificabile nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.

Disponibile per la lista aspetto cursore nel trend esteso.

Permette di gestire l´intestazione per la lista corrispondente. Durante il funzionamento runtime, potete spostare le singole colonne e potete modificarne la larghezza. Potete ordinare la visualizzazione sulla base di una colonna qualsiasi.

attivo: L´intestazione è gestibile.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Anteprima

Attivando la proprietà Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In tal modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.


Progettazione dell’asse tempo o dell’asse valori (asse X)

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L’ asse X può essere gestito con due progettazioni differenti.

  • Visualizzazione YT (asse tempo): rappresentazione della curva trend nell`arco di tempo progettato.
    Nella configurazione dell’asse tempo sono definibili l'arco di tempo, i charge e la rappresentazione degli assi.
  • Visualizzazione XY: visualizzazione dei valori di una variabile o di una variabile derivata (curve locali e punti d´operazione etc.).

Per configurare l´asse X:

  1. selezionate nel dialogo del cambio immagine nel settore Asse X il modo di visualizzazione (Visualizzazione XT, Visualizzazione XY)
  2. Cliccate sul pulsante Asse tempo e filtro tempo
  3. definite le proprietà desiderate.
  4. Confermate con OK
    (Nel caso in cui, se si scelgonoDati online, i parametri tempo dovessero divergere dai valori progettati nel gruppo Salvataggio dati Harddisk, il sistema proporrà per mezzo di un Dialogo di riprendere delle impostazioni adeguate).

    Interno ID: Progettazione dell’asse tempo o dell’asse valori (asse X)

    Salvataggio dati Harddisk

    Proprietà per la gestione del salvataggio dati su disco (HDD).

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Visuale YT

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X) -> Visuale YT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Position

Posizione dell´asse X riferita all´altezza dell´asse Y. Valore percentuale fra 0 e 100. Ad esempio:

0 %: all´estremità inferiore dell´asse Y.

100 %: all´estremità superiore dell´asse Y.

50 %: al centro dell´asse Y.

Colore

Definizione dei colori degli assi.

Indicazione: progettabile indipendentemente dal colore della curva.

Confronto con secondo periodo

attivo: Mostra confronto con un secondo periodo.

Possibile solo per archivi con filtro online.

Per ogni variabile di archivio vengono mostrati contemporaneamente due archi di tempo (per esempio: confronto settimane). Al momento dell´apertura, vengono aperti due trend; il secondo periodo viene rappresentato sulla parte opposta dell´asse tempo nel colore delle linee griglia.

Mostra linea griglia verticale

attivo: visualizzazione di linee ausiliarie per le suddivisioni principali.

Visualizza in tempo reale

attivo: l´asse viene segnato con le determinazioni tempo esistenti.

Disattivato: il momento dell´apertura viene definito con 00:00 e viene descritto in modo relativo nel passato ... -01:00

Scala

Definisce i valori della scala tramite checkbox:

JJ: anno

MM: mese
TT: giorno

HH: ora

MM: Minuti

SS: secondi

MS: millesecondi

Descrizione

Posizione della descrizione degli assi.

sopra l´asse

- Su

Sotto l´asse

– giù

Suddivisione assi

Impostare suddivisione degli assi

Numero delle suddivisioni principali.

Numero di suddivisioni principali con segnalazione valori

Lunghezza delle suddivisioni principali.

Lunghezza delle suddivisioni principali (pixel)

Numero delle divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Mostra questo dialogo nel Runtime

Questo dialogo viene aperto nel Runtime al momento del cambio immagine.

Cursore

Rappresentazione del cursore.

Dimensioni punto di ancoraggio [Pixel]

Diametro del punto di ancoraggio a forma di cerchio, rappresentato centrato al fine di facilitare l´uso dei righelli, per esempio nel funzionamento touch.

  • 0: nessun punto di ancoraggio (compatibile con progetti di versioni precedenti alla 7)
  • >0: il punto di ancoraggio viene rappresentato in modo corrispondente al valore indicato

Default: 0

Massimo: 100


Visualizzazione XY

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X) -> Visualizzazione XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Variabile per l´asse X

Selezionare e marcare una variabile inserita nel diagramma. Essa viene utilizzata per l'asse X.

Colore

Definizione dei colori degli assi.

Avvertenza: progettabile indipendentemente dal colore della curva.

Titolo asse

Testo del titolo asse durante il Runtime.

Position

Posizione dell’asse X nel diagramma? (0=giù, 100=su).

Mostra linea griglia verticale

attivo: visualizzazione di linee ausiliarie per le suddivisioni principali.

Tipo di asse

Impostazione della scala dell’ asse X.
  • Lineare

Divisione lineare dell’asse X.
  • Logaritmica

Divisione logaritmica dell’asse X.

Scala

Impostazione del campo di visualizzazione delle variabili di processo all’interno dei limiti tecnici progettati (funzione zoom).

Descrizione

Posizione della descrizione degli assi:

sopra l´asse

I valori vengono visualizzati sopra l´asse.

Sotto l´asse

I valori vengono visualizzati sotto l´asse.

Suddivisione assi

Impostare suddivisione degli assi.

Numero delle suddivisioni principali.

Numero di suddivisioni principali con segnalazione valori.

Lunghezza delle suddivisioni principali.

Lunghezza delle suddivisioni principali (pixel).

Numero delle divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Scala automatica

Impostazione automatica della scala e della suddivisione degli assi nel funzionamento online.

Mostra questo dialogo nel Runtime

Questo dialogo viene aperto nel Runtime al momento del cambio immagine.

attenzione Attenzione

Visualizzazione dell´asse x nel diagramma a partire dalla versione 6.51

Per ragioni di salvaguardia delle prestazioni, i dati di archivio per l´asse x non vengono più caricati automaticamente. Per visualizzare nonostante questo l´asse x nel diagramma:

  • aggiungete la variabile selezionata come variabile per l´asse X anche come curva nel diagramma
  • disattivate la visualizzazione per questa curva

Info Informazioni

Se, nel caso di valori online, i parametri tempo divergono dai valori progettati nel gruppo Salvataggio dati Harddisk, appare un Dialogo in cui il sistema propone di riprendere dei valori adeguati.

Interno ID: Visualizzazione XY

Salvataggio dati Harddisk

Proprietà per la gestione del salvataggio dati su disco (HDD).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Tempo

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X) -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I filtri tempo offrono la possibilità di limitare le date che devono essere visualizzate o esportate. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I meccanimi qui descrutti valgono nel caso del cambio immagine, ma anche in caso di Export per:

  • Lista di informazioni allarmi
  • Lista Eventi Cronologica
  • Elaborazione archivio:
  • Trend esteso
  • Generatore di rapporti
  • Report Viewer

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica ciclo temporale nell´Editor
    Vengono utilizzati intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Info Informazioni

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.

Per l´impostazione Imposta filtro su tipo filtro tempo si può selezionare l´opzione Mostra dialogo filtro nel Runtime, ma essa non è disponibile durante il Runtime.


Filtro tempo nel runtime modificabile a piacere

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X) -> Tempo -> Filtro tempo nel runtime modificabile a piacere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Filtro tempo nel runtime modificabile a piacere

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  3. selzionate nella lista a cascata Selezione intervallo di tempo l´impostazione Imposta filtro su tipo filtro tempo

    Indicazione: l´opzione Mostra dialogo filtro nel Runtime può essere selezionata, ma non è disponibile nel Runtime l´opzione Imposta filtro su tipo filtro tempo per l´impostazione.

  4. selezionate l´intervallo di tempo dalla lista a cascata Tipo filtro tempo

Parametri

Opzioni

Descrizione

Periodo assoluto

Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.
Esempio: volete vedere tutti gli allarmi dal 01.01.11 al 31.12.11; inserite i dati corrispondenti in da e a .

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Da

Definisce il punto di partenza in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Fino a

Definisce il punto finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione! questo filtro viene aggiornato continuamente. Si sposta.

Ad esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine del tipo Lista di informazione allarmi con questo filtro tempo. In questo caso, verrano visualizzati gli allarmi dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine del tipo Lista di informazione allarmi rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedete gli allarmi dalle 11:51 alle 12:01 ecc.

Tempo

Definisce il periodo di tempo relativo in termini di giorno, ora (HH), minuti (MM) e secondi (SS).

Ab HH:MM:SS Uhr

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di ore (HH), minuti (MM) e secondi (SS).

Da giorno - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro non viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di giorni, ore (HH), minuti (MM) e secondi (SS).

Da giorno, mese - ore HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate come mese ottobre, giornoil 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto il termine temporale del 5 ottobre delle 20:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Tempo

Definisce il punto di partenza in termini di mesi, giorni, ore (HH), minuti (MM) e secondi (SS).

Nessun filtro temporale

Non viene usato nessun filtro temporale.

Nel Report Viewer e nella Post-elaborazione archivio con questa impostazione si mostrano tutti gli inserimenti a partire dal 1/ 1/ 2000.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Indicare intervallo nell´editor

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Progettazione dell’asse tempo o dell’asse valori (asse X) -> Tempo -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attenzione Attenzione

Se usate questo tipo di filtro, non potete adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. create una nuova funzione Cambio immagine.
  2. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.

    Un consiglio: attivate nel dialogo filtro della scheda Generale l´opzione Mostra dialogo filtro nel Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
    Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

  3. selezionate nella lista a cascata Selezione intervallo di tempo il filtro desiderato;
    Eccezione: Imposta filtro su tipo filtro tempo - questo è previsto per l´opzione Filtro tempo adattabile nel Runtime
  4. configurate l´intervallo di tempo selezionato

Parametri

Descrizione

Imposta filtro al tipo filtro tempo

attiva la possibilità di adattare nel Runtime il filtro.

Un giorno

Il filtro avviene per un giorno intero:
dalle 00:00:00 alle 23:59:59.

Una settimana

Il filtro avviene per un´intera settimana:
da lunedì alle 00:00:00 fino a domenica alle 23:59:59.

Due settimane

Il filtro avviene per due settimane intere:
dal lunedì della prima settimana alle 00:00:00 a domenica della seconda settimana alle 23:59:59.

Un mese

Il filtro avviene per un mese intero:
dal primo del mese alle 00:00:00 fino all´ultimo del mese alle 23:59:59.

Un anno

Il filtro avviene per un anno intero:
dal primo gennaio dell´anno alle 00:00:00 fino al 31 dicembre dell´anno alle 23:59:59.

15 minuti

Il filtro viene effettuato per un intervallo di tempo di 15 minuti.

30 minuti

Il filtro viene effettuato per un intervallo di tempo di 30 minuti.

60 minuti

Il filtro viene effettuato per un intervallo di tempo di 60 minuti.

Periodo relativo

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita la funzione, viene visualizzato un dialogo per mezzo del quale si può inserire un intervallo di tempo relativo in giorni, ore (HH), minuti (MM) e secondi (SS).

Attenzione! l´intervallo di tempo selezionato si riferisce al punto di apertura. L´intervallo di tempo filtrato viene stabilito in modo fisso.
Esempio: quando si attiva la funzione sono le 10:23:00. Voi impostate un intervallo di tempo relativo di un´ora. Il filtro viene impostato dalle 9:23:00 alle 10:23:00.

Periodo assoluto

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare un intervallo di tempo assoluto. Definite il punto iniziale e quello finale in termini di giorno, mese, anno, ora (HH), minuti (MM) e secondi (SS).

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Charge

Per questo tipo di filtro dovete attivare l´opzione Mostra nel runtime il dialogo filtro della scheda Generale. Se l´opzione non è attivata, l´intervallo di tempo viene impostato nel runtime a 0 secondi.

Quando viene eseguita una funzione, viene visualizzato un dialogo con cui potete indicare una charge Il filtro tempo viene impostato sull´intervallo della charge. Potete, ad esempio, effettuare il filtro degli allarmi oppure di tutti gli inserimenti CEL che si verificano durante una charge.

Avvertenza: Il filtro mostra solamente le charge già terminate.

Charge relativo

Solo per Trend esteso.

La rappresentazione parte sempre dal punto zero. Consente un confronto diretto di diversi charge.

Opzioni

Per tutti gli intervalli tempo (fatta eccezione per intervallo tempo assoluto e relativo, nonché charge) sono possibili le seguenti impostazioni:

Parametri

Opzioni

Descrizione

Usare ultimo intervallo tempo terminato

attivo: Si usa sempre l´intervallo di tempo attuale. Se l´opzione è attiva, invece, viene visualizzato l´intervallo di tempo precedente.

Esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.

Sposta intervallo di tempo indietro di

Attivo: l´intero intrevallo di tempo viene spostato indietro del tempo indicato. La lunghezza di periodo di tempo non è influenzata da questa impostazione.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. Nel runtime, il filtro non inizierà allo scoccare dell´ora, ma sempre 5 minuti più tardi, cioè, per esempio, alle 10:05:00, alle 11:05:00 ecc. Ma l´operazione di filtro riguarda sempre 60 minuti, cioè, per esempio, dalle 11:04:59 alle 12:04:59, ecc.

Tempo

Definisce il fuso orario in termini di ore (HH), minuti (MM) e secondi (SS).

Modifica il periodo di tempo di

Attivo: l´intevallo di tempo filtrato viene accorciato o allungato.

Esempio: mettiamo che abbiate scelto un filtro di 60 minuti e che abbiate indicato in questa sede un tempo di 5 minuti. L´opzione conta anche il tempo indicato è settata. Nel runtime

non si filtra solamente il periodo di tempo di 60 minuti, ma 65 minuti, cioè, per esempio, dalle 10:00:00 alle 11:04:59.

Tempo

Definisce il tempo che accorcia o allunga il periodo di tempo preso in considerazione per il filtro. in ore (HH), minuti (MM) e secondi (SS).

conta anche il tempo indicato

L´intervallo di tempo selezionato viene allungato aggiungendo il tempo indicato.

sottrai tempo indicato

L´intervallo di tempo selezionato viene accorciato sottraendo il tempo indicato.

attenzione Attenzione

Se nell´Editor si seleziona per la lista allarmi o quella eventi cronologica in corrispondenza del filtro tempo un altro Arco di tempo come Imposta filtro come filtro temporale, durante il Runtime non verrà ripreso il tempo dell´immagine che apre.


Impostazioni colonne per lista curve estesa

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni colonne per lista curve estesa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per configurare le impostazioni colonne per la visualizzazione della lista curve estesa nel Runtime:

  1. cliccate nel dialogo del Cambio immagine sul pulsante della lista curve estesa
  2. si apre il dialogo per configurare le colonne

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
OK | Riprende e accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online


Selezione colonne

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni colonne per lista curve estesa -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede configurate durante il Runtime le colonne che andranno visualizzate.

Pulsanti | Funzione
Aggiungi | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, esse vengono visualizzate nella visualizzazione dettagliata.
Aggiungi tutte | Sposta tutte le colonne disponibili nelle colonne selezionate.
Rimuovi | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
Cancella tutte | Cancella tutti le colonne dalla lista delle colonne scelte.
In sù | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
OK | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Formato colonne

Manuale -> Trend esteso -> Progettazione nell'editor -> Creazione di un nuovo diagramma -> Impostazioni colonne per lista curve estesa -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa sede si formattano le colonne.

Parametri

Descrizione

Colonne disponibili

Lista delle colonne disponibili facendo uso della Selezione colonne. La colonna selezionata in questa sede viene configurata mediante le proprietà della sezione Parametri.

Parametri

Impostazioni per colonna selezionata.

Descrizione

Nome del titolo della colonna Il titolo colonna è traducibile online. A tal scopo dovete inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo a riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo a riferimento il bordo destro.

Blocca il filtro colonna nell´immagine di processo

attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Indicazione: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Message Control
  • Manager gruppi ricette

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Procedura di progettazione

Manuale -> Trend esteso -> Progettazione nell'editor -> Procedura di progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La procedura della progettazione del trend esteso avviene come segue:

Parametri | Descrizione
Creare nuova immagine del tipo “trend esteso” | Assegnare modello nuovo, oppure modello già esistente di un altro trend esteso, posizionare elementi di controllo nella nuova immagine
Funzione per la rappresentazione diagramma tramite “Cambio immagine” | Creare la funzione 'cambio immagine', selezionare l'immagine del 'Trend esteso' e poi fissarne i parametri.
Inserimento nel filePROJECT.INI |


Inserimenti PROJECT.INI per il trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Inserimenti PROJECT.INI per il trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel file PROJECT.INIsi possono effettuare i seguenti inserimenti per il trend esteso .

Parametri

Descrizione

[DEFAULT]

MILLISEK=

1 - Visualizzazione in millisecondi ?
0 - Visualizzazione frequenza update

[EW_TREND]

ANZEIGE_GWTEXT=

1 - Segnalare testo valore limite (default),?
0 - non segnalare

[ARCHIVIO]

Progettazione archivio

ARCHDIGITS=

Numero delle cifre decimali nell´export di archivi in formato TXT, XML e DBF, così come per l´export in un server SQL.
default = 1

TRENNZEICHEN=

Separatori nel caso di dislocazione ASCII?
default = ;

SPEICHER=

Numero massimo dei valori da inserire (leggere) nella memoria per il trend esteso, edizione successiva dell’archivio e le tabelle
default = 1000

KANALAUSWAHL=

per canali archivi ETM? checkbox per "tutti canali" alla selezione?
1 = visualizzare (default)?
2 = non visualizzare

SQL_MAXROWS=

numero massimo di valori da leggere dalla banca dati SQL. L´inserimento avviene secondo la seguente proporzione. 100 = 100.000 valori.

A partire dalla versione 6.50, il sistema verifica automaticamente che perlomeno il 10% della memoria sia libero.


Profili filtro

Manuale -> Trend esteso -> Progettazione nell'editor -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate dall'utente nel runtime. Per utilizzare i profili filtro, esiste nel menu Elementi di controllo un sottomenu Profili filtro con i seguenti elementi:

Parametri | Descrizione
Profili filtro | Gestione profilo
Selezione profilo | selezionare profilo salvato (lista a cascata).
Salva | Salvare impostazioni come profilo (pulsante)
Elimina | Cancellare profilo (pulsante)

Nel runtime possono essere modificate le proprietà di filtro. Poi si deve inserire un nome a scelta, ma unico, per l'impostazione definita in Selezione profilo. Il pulsante Salva permette di salvare il profilo ed è a disposizione per ulteriori applicazioni.

Profili non più utilizzati possono essere cancellati dopo essere stati selezionati nell'elemento Selezione profilo mediante il pulsante Cancella.


Funzioni

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Cambio immagine – Trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Cambio immagine – Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La definizione di un diagramma di trend avviene dopo la progettazione di un'immagine del tipo Trend esteso usando la Funzione Cambio immagine.

Le impostazioni progettabili sono:

Parametri

Descrizione

Origine dati

Dati online

Usate i valori online attuali e i valori salvati per la rappresentazione in diagrammi.

Dati array

Usate delle variabili con valori array per la rappresentazione in diagrammi.

La rappresentazione di variabili con valori array funziona esattamente come quella XY. Tuttavia, non dovete selezionare nessun filtro tempo e nessuna variabile X. Nel dialogo Asse X indicate in corrispondenza di scala Da e A, gli indici array corrispondenti dei dati fonte. .

Indicazione: dati array non significa variabili array, ma la proprietà Grandezza array, che può essere impostata in una variabile.

Interno ID: Cambio immagine – Trend esteso

Grandezza array

Ormai disponibile solamente per ragioni di compatibilità.
Fino alla versione 5.50 Definizione della Grandezza array.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Dati archivio

Usate dei valori di archivio salvati nella banca dati (formato ARX oppure dati SQL) per la rappresentazione in diagrammi.

Info: archivi in formato XML-, dBase- oppure TXT non vengono più visualizzati dopo la fine del ciclo di salvataggio.

Leggi dati dalla cartella backup

Disponibile solo se avete selezionato il campo opzioni Dati archivio.

Per la rappresentazione vengono usati i dati storici della cartella di backup.

Visualizzazione

Nome diagramma

Un nome diagramma liberamente progettabile può essere rappresentato nell´elemento di controllo.
Nel caso in cui la stringa nel nome diagramma contenga la combinazione di caratteri %c%, essa viene sostituita nel runtime con i nomi charge che soddisfano le condizioni di filtro. Ad esempio:
Diagrammname = Diagramm1_%C%_Ende
sarà nel runtime
Diagramm1_Charge1_Ende

Carattere

Selezione e impostazione del carattere definito dall’utente per la descrizione degli assi e le segnalazioni dei valori.

Impostazioni di diagramma e emissione cursore.

Apre il dialogo per stabilire delle ulteriori impostazioni per la visualizzazione del diagramma (vedi Impostazioni dagramma e Emissione cursore).

Larghezza scroll [%]

Definire lo scroll dell'immagine una volta raggiunto il margine destro del diagramma.
Attenzione: solamente per diagrammi con valori online.

Refreshrate [s]

Stabilire la attualizzazione dell´immagine in secondi.

  • Nel caso di dati online e array, il valore deve essere superiore a 0.
  • Nel caso di dati online e array, non è possibile nessuna apertura statica.
  • Nel caso di dati archivio, la Refreshrate si adatta dinamicamente al tempo di carico dei dati. Se il carico dura più a lungo della metà dell´intervallo di Refresh, la Refreshrate viene raddoppiata.
    In alternativa, si può anche settare il valore della Refreshrate a 0.
    La conseguenza di ciò è che i dati visualizzati non vengono aggiornati.
    Quest´impostazione è molto utile se si deve visualizzare una grande quantità di dati nell´ETM. Se in questo caso la Refreshrate è settata su un valore troppo piccolo, può succedere che si verifichi un infinite loop.

Ottimizzare refreshrate: nell´effettuare la lettura di dati di archivio, all´inizio e alla fine viene generata dal server (anche standalone) e dal client una segnalazione log, che può essere letta con il Diagnose Viewer. In tal modo si può stabilire quanto dura la lettura dei dati e si può scegliere la migliore Refreshrate.

Offset [s]

Spostamento del punto zero dell´asse del tempo in maniera corrispondente del valore indicato in secondi.

Asse X

Visualizzazione XT

Visualizzazione delle curve in funzione del tempo.

Visualizzazione XY

Visualizzazione delle curve tramite un´altra variabile.

Asse X e filtro tempo/asse tempo e filtro tempo

Apre il dialogo per le impostazioni dell´asse X/asse tempo e del filtro tempo (vedi Asse X e filtro tempo).

La progettazione del periodo avviene in modo analogo a quella del filtro tempo in AML e CEL (vedi capitolo Filtro tempo nella guida Lista informazioni allarmi).

curve:

Aggiungi curva

apre il dialogo per la selezione delle variabili.

Cancella curva

Cliccate su questo pulsante per cancellare le curve selezionate.

Lista curve estesa

Apre il Dialogo Impostazioni colonne per la configurazione delle colonne per la Lista curve estesa.

Modifica curva

Apre il dialogo per le impostazioni curva e quelle per l´asse Y (vedi Modifica curva).

Visualizza curva

Per ogni curva selezionata, potete decidere con l´aiuto di questo checkbox se essa deve essere visualizzata al momento dell´apertura del diagramma.

Se disattivate questo checkbox, potete selezionare la curva poi nell´immagine Trend esteso e potete visualizzarla.

La prima x a destra accanto al nome della curva indica, se avete attivato il checkbox per questa curva.

Visualizza l´asse Y per la curva.

Per ogni curva selezionata, potete decidere con l´aiuto di questo checkbox se l´asse Y deve essere visualizzato al momento dell´apertura del diagramma.

Se disattivate questo checkbox, potete selezionare l´asse Y per la curva poi nell´immagineTrend esteso e potete visualizzarla.

La seconda x a destra accanto al nome della curva indica, se avete attivato il checkbox per questa curva.

Opzioni

Impostazioni stampante

Attiva il dialogo per le impostazioni stampante. Potete sia stampare i diagrammi che salvarli in un file (vedi Stampa diagramma).

Esporta impostazioni

Esporta i parametri diagramma impostati (variabili, cornice, tempi ecc) in un file DRG.

Importa impostazioni

Importa i parametri diagramma impostati (variabili, cornice, tempi ecc) da un file DRG.

OK, Annulla, Guida

Pulsanti per la conferma delle impostazioni, l´annullamento e l´apertura della guida.

Indicazione: il pulsante OK è attivo solamente dopo la progettazione di perlomeno una curva.

Ogni curva trend è caratterizzata da una propria denominazione. Per non perdere una visione chiara, non dovrebbero essere visualizzate troppe curve trend allo stesso tempo. La progettazione può essere eseguita per più variabili, che poi si attivano liberamente nel funzionamento online.


Salvataggio dati harddisk

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Salvataggio dati harddisk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si vuole che delle variabili online vengano visualizzate nel Trend esteso, Vi consigliamo di realizzare una sincronizzazione dei valori per il salvataggio dei valori variabile sul disco fisso. Se in sede di configurazione del cambio ad un´immagine del tipo Trend esteso è stata settata l´opzione Dati online, quando si chiuderà il dialogo ne verrà aperto un altro per fissare il tempo del ciclo e il numero dei valori.

Questo dialogo proporrà i valori ottimali per il salvataggio dei valori variabile sul disco fisso. Cliccando su OK, i valori verranno ripresi e verranno inseriti nelle proprietà corrispondenti delle variabili. Annulla determina il cambio immagine senza che i valori della variabili siano modificati. Questi possono essere anche modificati manualmente.

Parametri

Descrizione

Proposta per i valori da salvare

Valori proposti dal sistema per le proprietà del gruppo Salvataggio dati Harddisk.

Interno ID: Salvataggio dati harddisk

Salvataggio dati Harddisk

Proprietà per la gestione del salvataggio dati su disco (HDD).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Quantitá

Numero dei valori che vengono scritti. Corrisponde al valore che viene inserito nella proprietà Quantità valori.

Interno ID: Salvataggio dati harddisk

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Interno ID: Salvataggio dati harddisk

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tempo ciclo [s]

Tempo ciclo in secondi. Corrisponde al valore che viene inserito nella proprietà Frequenza d'interrogazione [s].

Interno ID: Salvataggio dati harddisk

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Campo lista

Mostra i valori attuali delle variabili che devono essere sostituiti con i valori proposti.

Accetta proposta

Scrive i valori proposti nelle proprietà corrispondenti delle variabile e chiude il dialogo.

Se la proprietà HD attivo è disattivata, viene attivata.

Rifiuta proposta

Chiude il dialogo senta sostituire i valori delle variabili. Questi possono essere anche modificati manualmente in qualsiasi momento.

Guida

Apre la guida online

Nel caso delle variabili, trovate le impostazioni nel gruppo Salvataggio dati su disco fisso. Questo comprende le proprietà:

Interno ID: Salvataggio dati harddisk

Salvataggio dati su disco fisso

Impostazioni per la registrazione dei valori della variabile sul disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • HD attivo: attiva o disattiva il salvataggio dati.
  • Quantità valori: numero dei valori che vengono salvati.
  • Frequenza d'interrogazione [s]: tempo ciclo in secondi.
  • Tipo di registrazione: tipo di salvataggio:

    Interno ID: Salvataggio dati harddisk

    Tipo di registrazione

    Disponibile solo se la proprietà HD attivo è attiva:
    dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
    Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • dati disco fisso (ciclico): scrittura ciclica dei valori sul disco fisso.
    • Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso.
      Si adatta all´analisi cosiddetta post-mortem. Il PLC deve essere configurato per salvarei dati in caso di errore e scriverli dopo la nuova messa in opera sul disco fisso..


Stampa diagramma Trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Stampa diagramma Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG o BMP) senza essere costretti ad aprire l´immagine del tipo trend esteso.

Trovate la funzione nella lista nel nodo Applicazioni.

Indicazione:può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante la funzione Stampa diagramma Trend esteso. La funzione parte dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.


Generale

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Stampa diagramma Trend esteso -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri | Descrizione
Emissione |
Stampanti | Se selezionate questo campo opzioni, il diagramma viene emesso sulla stampante che aveve definito come quella per screenshots. Vedi anche capitolo Stampanti.
File | Se selezionate questo campo opzioni, il diagramma viene salvato come file. Con l´aiuto di una lista a cascata potete stabilire se il diagramma deve essere salvato come JPG o BMP. Nel campo accanto alla lista a cascata, viene visualizzato il nome del file. Potete definire il nome facendo uso delle due seguenti opzioni e del checkbox Con prefisso.
Nome libero | Se selezionate questo campo opzioni, potete indicare nel campo apposito un qualsiasi nome per il file.
Nome automatico | Se selezionate questo campo opzioni, il nome file viene generato automaticamente nel seguente formato. YYYYMMDD_HHMM
Con prefisso | Disponibile solo se avete selezionato Nome automatico. Indicate un prefisso a piacere per il nome file generato automaticamente.
Larghezza [pixel] | Indicate la larghezza in pixel dal file grafico.
Altezza [pixel] | Indicate l´altezza in pixel dal file grafico.
Legenda |
Visualizzazione | Attivate la checkbox se volete stampare la legenda insieme al diagramma. Nella legenda, per esempio, c´è l´indicazione di quale colore ha una determinata curva.
Area di pagina |
Stampa su una pagina | Attivate il checkbox se volete che la legenda sia stampata sulla stessa pagina del diagramma.


intestazione, piè di pagina

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Stampa diagramma Trend esteso -> intestazione, piè di pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si stampa un diagramma Trend esteso possono essere impostate altre informazioni per l'intestazione e per il piè di pagina. Con l´aiuto di quattro simboli, potete inserire data, ora, nome diagramma e numero di pagine.


Titolo /commento

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzioni -> Stampa diagramma Trend esteso -> Titolo /commento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si stampa un diagramma Trend esteso, si può impostare anche la stampa di un titolo con commento. Con l´aiuto di quattro simboli, potete inserire data, ora, nome diagramma e numero di pagine.


Gestione durante il runtime

Manuale -> Trend esteso -> Gestione durante il runtime

Nel funzionamento online la finestra del trend esteso viene aperta attraverso una chiamata di funzione (per esempio pulsante). Verrà aperta la maschera onlinedell’immagine definita nell’editor..

Con lista curve estesa:

Per la gestione del Trend esteso e la visualizzazione sono a disposizione a seconda di quanto stabilito in fase di Progettazione diversi elementi di controllo. Progettabili sono:

Elemento

Descrizione

Inserisci modello

Apre il dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma li si può impostare anche individualmente.

I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

elementi di comando predefiniti

Pulsante diagramma

Modificare parametri del diagramma

Pulsante curve

modificare parametri curve

Impostazioni diagramma

attiva il Dialogo per le impostazioni diagrammi e emissione cursore.

Pulsante zoom

ingrandire visualizzazione

Pulsante rezoom

impicciolire visualizzazione

Zoom +

riduce gli intervalli di tempo della rappresentazione

Zoom -

ingrandisce gli intervalli di tempo della rappresentazione

Pulsante refresh

Attualizza rappresentazione

Pulsante indietro

Scorrere indietro nel tempo sull’ asse tempo (Storico)

Pulsante avanti

Scorrere avanti nel tempo sull’ asse tempo (Attuale)

Pulsante stop

non aggiornare schermo

Pulsante play

aggiornare schermo

Cursore on/off

Esamina valori

Cursore doppio on/off

Valori che si trovano fra 2 cursori, mostra

Cursore un pixel a sinistra

Sposta il cursore di un pixel a sinistra

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Cursore un pixel a destra

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Stampa

Stampa diagramma.

Indicazione:può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante la funzione Stampa diagramma Trend esteso. La funzione parte dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.

Dialogo stampa

Stampare visualizzazione diagramma

Copia negli appunti

Salvare visualizzazione negli appunti

Pulsante indietro quarto

sposta indietro l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta

Pulsante avanti quarto

sposta avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta

Pulsante-asse X

apre Dialogo per impostazioni dell´asse X

Esporta dati visualizzati

esporta tutti i dati visibli di tutte le curve visualizzate in un file CSV.

Finestra

Visualizzazioni

Finestra di diagramma

Finestra che serve alla visualizzazione della grafica lineare

Nome diagramma

visualizza il nome diagramma

Finestra di emissione del cursor

Indica la posizione del cursore nella finestra di diagramma e i valori fissati alla voce Impostazioni diagrammi e emissione cursore.

Lista curve

Lista a cascata delle curve

Lista estesa curve

Lista curve che può essere modificata durante il Runtime:

  • Nome curva
  • titolo
  • Colore
  • Asse Y
  • Attivo

Indicazione: Non è a disposizione sotto Windows CE e viene sostituito in quella sede dalla normale lista curve.

Profili filtro

Gestione profilo

Selezione profilo

selezionare profilo salvato

Salva

Salvare impostazioni come profilo

Elimina

cancellare profilo

Info Informazioni

Gli elementi di controllo Cursore Sx di un Pixel e Cursore Dx di un Pixel spostano il cursore, ammesso che esso sia attivo, ma non il trend. Al posto degli elementi di controllo, si possono usare anche i tasti freccia della tastiera. Se si tiene premuto il tasto SHIFT durante lo spostamento per mezzo di tasti freccia o elementi di controllo, il movimento si verifica in passi da 10 pixel.

Info Informazioni

Nal caso del trend di archivio, la refreshrate si adatta dinamicamente al tempo di carico dei dati. Se l´operazione di carico dei dati dura più a lungo della metà dell´intervallo di refresh, la refreshrate viene raddopiata.

Cursore

Cliccate sul pulsante Cursore on/off per avviare la modalità di interrogazione. Appare un cursore al centro del diagramma. Potete muovere il cursore cliccando su di esso e muovendo il mouse tenendo premuto il tasto del mouse. In alternativa potete usare anche la tastiera. Premete il tasto a sinistra oppure a destra per muovere il cursore a piccoli passi. Per realizzare uno spostamento più ampio, tenete premuto anche il tasto Shift. Vedrete il valore corrispondente nella finestra di emissione del cursore. Cliccate di nuovo sul pulsante Cursore on/off per avviare la modalità di interrogazione. Potete visualizzare le seguenti informazioni nella finestra di interrogazione del cursore:

Parametri | Descrizione
Data | Data/tempo del valore salvato
Variabile | Nome variabile del valore salvato
Valore | Valore tecnico del valore salvato
Unità | Unità del valore salvato
Stato | Testo di stato (testo valore limite) del valore salvato
Stato | Stato del valore salvato
Minimum | Valore minimo del tempo di misurazione
valore medio | Valore medio del tempo di misurazione (opzionale)
Maximum | Valore massimo del tempo di misurazione (opzionale)

Per modificare le informazioni visualizzate e le larghezze colonne relative, cliccate sul pulsante Impostazioni diagramma... ; si apre la finestra Impostazioni diagramma e Emissione cursor.

In corrispodenza dell´area Emissione cursore, potete impostare l'ampiezza delle colonne della finestra di emissione cursore che ospitano le diverse informazioni. Con l´aiuto della checkbox potete stabilire quali colonne volete siano visulizzate.

Cursore doppio on/off

Se avete configurato l´elemento di controllo cursore doppio on/off, avete la possibilità di usare un secondo cursore nel diagramma. Per far sì che sia possibile un´interrogazione con due cursori, procedete come segue: cliccate sul pulsante Cursore on/off per far sì che vengano visualizzati due cursori, uno all´estremità sinistra e l´altro all´estremità destra della finestra di diagramma. Potete muovere il secondo cursore con il mouse, oppure con la tastiera. Tenendo premuto il tasto Ctrl e premete il tasto a sinostra oppure a destra er muovere il cursore a piccoli passi. Per realizzare uno spostamento più ampio, tenete premuto anche il tasto Shift.

Potete far sì che vengano visualizzati i valori fra primo e secondo cursore nella finestra di emissione del cursore. Le colonne che sono a Vostra disposizione, possono essere adattate ai Vostri desideri e alla Vostre esigenze nel dialogo Impostazioni di diagramma e Emissione cursore.

Info Informazioni

Nella rappresentazione di dati array, non è disponibile il cursore doppio.

Impostazioni diagramma

Dalla progettazione attuale, che è stata eleborata nell’ editor, si possono effettuare modifiche temporanee durante il funzionamento online (senza salvataggio) . Cliccate sul pulsante Diagramma..., per aprire la finestra Imposta diagramma (vedi screenshot).

Le possibile modifiche sono:

Parametri | Descrizione
Attivo | Attiva e disattiva la visualizzazione della curva.
Asse Y | Visualizzazione dell’ asse Y rispetto alla curva
Modifica curva | Modifica delle proprietà della curva trend selezionata
Impostazioni di diagramma e emissione cursore. | Impostazioni dei parametri del diagramma ? (sfondo del diagramma, limiti cornice, colore, ampiezza delle colonne, ecc)
Carattere | Carattere definito dall’ utente per la descrizione dell’ asse X e Y e per la segnalazione del valore
Frequenza di refresh | Aggiornamento del diagramma con dati online


Esportazione Dati

Manuale -> Trend esteso -> Gestione durante il runtime -> Esportazione Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Come elemento di controllo, un pulsante Esporta tutti i dati può essere inserito nell´immagine per il Trend esteso e usato durante il runtime. In tal modo tutti i dati visibili di tutte le curve visualizzate vengono salvati in un file di testo in formato CSV.

Formato del file CSV

  • L´emissione avviene in un file di testo Unicode.
  • Carattere di separazione: punto e virgola (;)
  • Il posto in cui viene salvato il file e il nome dello stesso possono essere scelti liberamentenel dialogo in cui si effettua il salvataggio.
  • Il file non ha un header.
  • I dati vengono visualizzati in un file di testo nella seguente successione:

    Nome variabile; identificazione;unità; stato; tempo

Proprietà

Formato

Nome variabile:

Catena di caratteri

Identificazione:

Catena di caratteri

Valore:

  • fino ad otto posizioni davanti al separatore decimale,
  • 8 posizioni dietro il separatore decimale

Unità:

Catena di caratteri

Stato:

Catena di caratteri

Ora:

dd.mm.yyyy hh:mm:ss.ms

Se una proprietà di variabile esportata è vuota, non viene emessa.

Beispiel: MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attenzione Attenzione

Se vengono selezionate molte curve per l´export, la quantità di dati può richiedere un considerevole intervallo di tempo.


Gestisci lista curve estesa

Manuale -> Trend esteso -> Gestione durante il runtime -> Gestisci lista curve estesa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si progetta nell´Editor una lista curve estesa, le curve possono essere modificate durante il Runtime. E' possibile:

  • effettuare un´operazione di filtro sulla base di nome, titolo, colore, asse Y e attivazione.
  • Modifiicare i nomi curva
  • Modificare i titoli
  • Modificare i colori
  • Attivare o disattivare l´asse Y
  • Attivare o disattivare le curve

Per modificare un elemento, cliccate sulla cella corrispondente della lista.

Info Informazioni

Sotto Windows CE non è possibile rappresentare la lista curve estesa, che, in quella sede, viene sostituita dalla normale lista curve.

Definire l´aspetto delle checkbox per mezzo della grafica

Si può modificare individualmente l´aspetto delle checkbox. A tal scopo, configurate nell´Editor le proprietà corrispondenti della lista curve.

  • In

    Interno ID: Gestisci lista curve estesa

    In

    Selezione di una grafica che rappresenta nel Runtime lo stato „Valore è 1 e Proprietà può essere modificata".

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • In (inattivo)

    Interno ID: Gestisci lista curve estesa

    In (inattivo)

    Selezione di una grafica che rappresenta nel Runtime lo stato „Valore è 1 e Proprietà non può essere modificata".

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Out

    Interno ID: Gestisci lista curve estesa

    Out

    Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà può essere modificata".

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Out (inattivo)

    Interno ID: Gestisci lista curve estesa

    Out (inattivo)

    Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Possono come file grafici.... La grafica definita viene disegnata durante il Runtime tenendo conto delle relazioni pagine (Aspect Ratio).


Filtro in caso di cambio immagine

Manuale -> Trend esteso -> Gestione durante il runtime -> Filtro in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se aprite un´immagine del tipo Trend esteso, viene visualizzato il seguente filtro.

Parametri

Descrizione

Filtro charge

Avete la possibilità di scegliere l´archivio desiderato fra quelli disponibili che vedete apparire a sinistra. A destra, invece, sono visualizzate le charge disponibili. Qui avete la possibilità di filtrare le charge.

Nome lotto

In questa colonna vengono visualizzati i nomi di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine alfabetico crescente o decrescente.

Nella parte inferiore dell´intestazione potete indicare una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

In questa colonna viene visualizzata la data di start di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di inizio verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di inizio, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di start

Disponibile solamente se indicate una data di inizio.

In questa colonna viene visualizzata l´ora di inizio di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di inizio manualmente.

Avvertenza: '*' sta per l´orario 0:00:00.

Data di fine

In questa colonna viene visualizzata la data della fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente. Le charge con la stessa data di fine verranno ordinate sulla base dell´ora di inizio.

Nella parte inferiore dell´intestazione potete fissare manualmente la data di fine, oppure selezionarne una con l´aiuto del calendario che verrà visualizzato.

Tempo di fine

Disponibile solamente se indicate una data di fine.

In questa colonna viene visualizzata l´ora di fine di tutte le charge disponibili. Cliccando con il tasto sinistro del mouse sulla parte superiore dell´intestazione, ordinate le charge in ordine crescente o decrescente.

Nella parte inferiore dell´intestazione potete fissare l´ora di fine manualmente.

Avvertenza: '*' sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutte le cherge disponibili. Serve solo a visualizzare.

Info Informazioni

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

Info Informazioni

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.


Indicazioni per il funzionamento online

Manuale -> Trend esteso -> Gestione durante il runtime -> Indicazioni per il funzionamento online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il nome attuale del diagramma può essere trasmesso ad un elemento di controllo all’apertura del diagramma nel funzionamento online.

Con il pulsante Zoomare c’è la possibilità di visualizzare i valori disponibili con una risoluzione più grande e su un intervallo di tempo più piccolo (asse X e Y). Per attivare lo zoom, si preme il pulsante e si seleziona un’area desiderata all’interno del diagramma. E’ possibile eseguire uno zoom multiplo. Lo zoom è possibile solamente se l’area selezionata contiene almeno una suddivisione per asse.

Premendo il pulsante Rezoom si ripristina lo zoom precedente.

Se nel trend esteso si visualizzano valori d’archivio, oppure se l’aggiornamento continuo dei valori online è spento, si inseriscono i valori attuali delle curve con un clic sul pulsante Refresh. In alternativa, si attualizzano i dati con il refresh rate impostato nel Diagramma.

Nel trend esteso è possibile, inoltre, scorrere tra i valori con un clic sul pulsante << (visualizzare valori più vecchi) oppure >> (visualizzare valori più recenti). Quando si visualizzano i valori online, si può vedere al massimo la profondità HD definita per la variabile di processo. Per la visualizzazione di valori d’archivio, è fondamentale la progettazione degli archivi salvati nella banca dati.

Nel caso di dati online, l’aggiornamento continuo visualizza ad ogni refresh gli inserimenti più attuali. Se si desidera scorrere i dati, si deve interrompere il refresh continuo nel funzionamento online. L’interruzione viene effettuata cliccando sul pulsante Stopp. In questo modo è possibile scorrere i valori. Se si desidera riattivare l’aggiornamento dati, bisogna premere sul pulsante Play. Con il successivo ciclo di refresh, si attualizzano nuovamente i dati e l’ambito di visualizzazione dell’ asse X.

Info Informazioni

Variabili online nel Trend esteso:

Le variabili online per il Trend esteso vengono progettate nell `Editor e non possono più essere modificate nel Runtime. In sede di configurazione nell´Editor viene configurato anche il buffer circolare HDD per le variabili. Non è possibile nel Runtime né creare, né modificare il buffer per le variabili. Per questo motivo, le curve di variabili online non possono essere adattare nel Runtime.

Le variabili di archivi, invece, possono essere aggiunte anche durante il Runtime.

Le informazioni segnalate sono:

Elemento | Descrizione
Colore curva | Testo nel colore col quale è stata progettata la curva
Data | Data del valore interrogato
Tempo | Ora del valore interrogato
Nome | Nome curva
Valore | Valore tecnico
Segnalazione valore limite | Visualizzazione di un valore limite settato, se impostato nel file project.ini [EW_TREND] ANZEIGE_GWTEXT=1 testo valore limite 0 = non segnalare 1 = segnalare (default)


Modifica rapida dei parametri degli assi nel funzionamento online

Manuale -> Trend esteso -> Gestione durante il runtime -> Modifica rapida dei parametri degli assi nel funzionamento online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per stabilire in modo esatto i valori delle curve visualizzate, possono essere spostati gli assi X e Y. Si può realizzare tale spostamento per:

  • Drag&Drop usando il tasto sinistro del mouse
    • spostando l´asse X verticalmente
    • spostando l´asse Y orizzontalmente
      Quando viene spostato, l´asse Y viene duplcato: mentre si sposta la copia, l´asse originale rimane al suo posto.
  • clic con il tasto destro destro del mouse per aprire il dialogo per la configurazione:
    Dialogo asse X
    Dialogo asse Y

Quando si riapre l´immagine, lo spostamento viene annullato.


Variabili

Manuale -> Variabili

Le variabili, anche quelle di processo o punti di dato, sono l’interfaccia tra la fonte di dati (PLC, bus di campo) e zenon. Rappresentano determinati valori di misurazione o stati sull´hardware, incluse proprietà come scala, valori limite ecc.

Le variabili sono gestite e parametrizzate nella lista centrale di variabili di un progetto e sono da lì accessibili da qualsiasi punto (funzioni, variabili, archivi etc.). Nei cosidetti progetti d´integrazione dai sotto-progetti si può accedere anche alle variabili dei progetti “principali”.

Una variabile è basata sempre su due componenti: tipo di dato e tipo di oggetto driver. Entrambe le due componenti sono indipendenti l´una dall´altra e possono quindi essere configurate in maniera separata.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menu | Azione
Nuova Variabile... | Apre l´assistente per la creazione di una nuova variabile.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da file XML.
Importazione - Esportazione estesi | Apre la lista a cascata con formati predefiniti import/export.
Visualizza variabili non utilizzate | Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica delle variabili. (Di default si trova sul margine inferiore dell´editor)
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Ad ogni variabile possono essere conferiti attributi propri. Complessivamente sono definiti 64 stati / attributi.


Variabili Visualizzazione dettagli Barra simboli e Menu contestuale

Manuale -> Variabili -> Variabili Visualizzazione dettagli Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Barra simboli

No. | Simbolo | Azione
01 | Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
02 | Copiare | Copia gli inserimenti selezionati negli appunti
03 | Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
04 | Elimina | Cancella gli inserimenti selzionati.
05 | Crea una funzione standard | Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
06 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
07 | Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
08 | Sostituisci testo in valore limite | Apre il dialogo che serve a selezionare la proprietà dinamica e, di seguito, il dialogo che serve alla ricerca e alla sostituzione.
09 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
10 | Espandi tutto | Lista a cascata per estedere tutti nodi o quelli selezionati, oppure per ridurli.
11 | Attiva | Attiva gli elementi selezionati di una variabile struttura.
12 | Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
13 | Attiva tutti | Attiva tutti gli elementi non attivi di una variabile struttura.
14 | Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
15 | Importa XML… | Importa file XML.
16 | Importazione progetto S7 | Importa un progetto Simatic S7.
17 | Attiva | attiva o disattiva impostazioni di filtro estese.
18 | Torna all'elemento originario | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
19 | Elimina filtro | Elimina tutte le impostazioni di filtro
20 | Guida | Attiva la guida online

Menu contestuale

Punto di menu | Azione
Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Crea una funzione standard | Apre il dialogo che serve alla selezione delle variabili e dei valori impostabili.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo in valore limite | Apre il dialogo che serve a selezionare la proprietà dinamica e, di seguito, il dialogo che serve alla ricerca e alla sostituzione.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Ingrandisci / riduci nodo | Apre un sottomenu che serve ad estendere e chiudere i nodi.
Attiva tutti | Attiva tutti gli elementi non attivi di una variabile struttura.
Attiva | Attiva gli elementi selezionati di una variabile struttura.
Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa da file XML.
Importazione - Esportazione estesi | Apre il menu per importare ed esportare i progetti/S7, dBase und csv.
Variabili utilizzate | Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Filtri estesi | Apre il sottomenu che serve ad attivare o a disattivare dei filtri, oppure ad eliminare tutte le impostazioni di filtro.
Elementi collegati | Mostra gli elementi collegati con le variabili.
Guida | Attiva la guida online


Denominazione di oggetti

Manuale -> Variabili -> Denominazione di oggetti

Il nome di un oggetto deve essere univoco in zenon.

Per la denominazione, si distingue fra lettere maiuscole e minuscole. Ne consegue che possono essere impostate delle variabili con lo stesso nome, che però si distinguono per l´uso di lettere maiuscole e minuscole. Per esempio le variabili test e Test sono due variabili differenti.

Info Informazioni

Il carattere # non è consentito per i nomi variabili.

Attenzione: nomi uguali che divergono solamente per l´uso delle lettere maiuscole e minuscole, possono provocare delle difficoltà in relazione a driver o zenon Logic, in particolare nel caso di:

  1. Configurazione driver:

    nel caso in cui la denominazione driver diverga solamente per l´uso di lettere maiuscole e minuscole, entrambi i driver in questione usano lo stesso file di attribuzione.

  2. zenon Logic:

    zenon Logic non distingue fra lettere maiuscole e minuscole. Due variabili che in zenon si differneziano solamente per la scrittura in lettere maiuscole e minuscole, non possono essere usate in zenon Logic. Ciò riguarda le variabili:

    • per un progetto zenon Logic con driver zenon Logic, driver IEC870 e driver IEC850.
    • che sono settate in zenon su Visibile esternamente.
    • che sono assegnate ad un driver per cui è stato creato un progetto zenon Logic per Simulazione - programmata

Info Informazioni

Raccomandazione: usate nomi oggetto univoci che non si differenzino solamente per la scrittura in lettere maiuscole e minuscole.


Tipi di dato

Manuale -> Variabili -> Tipi di dato

Ogni variabile è basata su un tipo di dato IEC. Il tipo di dato dispone delle stesse proprietà della variabile stessa (unità, risoluzione segnale, valori limite ecc.)- Un´eccezione sono le proprietà specifiche del driver, come, ad esempio, l´indirizzamento del PLC. Un tipo di dato è un modello di base per la variabile senza riferimento al processo. Il riferimento al processo stesso viene creato soltanto con il tipo d´oggetto del driver nella variabile.

Al momento di creare una nuova variabile, dev´essere selezionato un tipo di dato. Nello stesso tempo tutte le proprietà del tipo di dato vengono attribuite alla variabile. Le proprietà sono riferenziate dal tipo di dato facendo da base, cioè, se una proprietà del tipo di dato è soggetta ad modifica, questa proprietà subisce la modifica in tutte le variabili che sono state create con lo stesso tipo di dato.

Se un valore è soggetto di “riferimento” lo si può notare dal rispettivo simbolo nella finestra di proprietà.

Questa eredità può anche essere bloccata. Ulteriori informazioni le trovate nella sezione Concetto di trasmissione ereditaria .

menu contestuale - manager di progetto

Punto di menu | Azione
Nuovo tipo di dato semplice.... | Apre il dialogo per la creazione di un nuovo tipo di dato.
Nuovo tipo di dato struttura ... | Apre il dialogo per la creazione di un nuovo tipo di dato struttura.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa degli inserimenti da file XML.
Guida | Attiva la guida online

Tipi di dato IEC

Tipi di dato IEC sono tipi di dato di norma secondo IEC 61131-3. Al momento, zenon supporta i seguenti tipi di dato IEC:

Denominazione breve

Denominazione lunga

Annotazione/area di valore

Numero bit

BOOL

Boolean

Bit: 0/1

1

BYTE

SINT

Short integer

Byte con segno

-128 fino a 127

8

USINT

Unsigned short integer

Byte: 0 fino a 255

8

INT

Integer

Word con segno

-32768 fino a 32767

16

UINT

Unsigned integer

Word: 0 fino a 65535

16

DINT

Double integer

Double con segno

-2147483648 fino a 2147483647

32

UDINT

Unsigned double integer

Double:

0 fino a 4294967295

32

LINT

Long integer

Visto che zenon non può mantenere il campo valori di un numero 64bit, il vero campo numeri viene limitato a 52 Bit. Vorzeichenbehaftete Zahlen sind im Bereich von –2251799813685248 bis 2251799813685247 möglich. Le cifre al di là di questo ambito hanno come effetto un superamento oppure il rimanere sotto corrispondente ad un integeer 52Bit.

Con una piena risoluzione 64 Bit lavorano nel runtime di zenonle seguenti parti:

  1. La shared memory VBA Interface se il valore è indicato nella risoluzione segnale.
  2. La shared memory interface di zenon Logic.
  3. Il kit driver funziona per tutto l'ambito di 64 Bit e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC. Al momento questi sono Sample32, Intern e STRATON32.

Il Manager gruppi ricette e le rocette non possono salvare neanche un valore 52bit con un'esattezza completa.

64 appure 52

ULINT

Unsigned long integer

Visto che zenon non può mantenere il campo valori di un numero 64bit, il vero campo numeri viene limitato a 52 Bit. Vorzeichenbehaftete Zahlen sind im Bereich von 0 bis 4503599627370496 möglich. Le cifre al di là di questo ambito hanno come effetto un superamento oppure il rimanere sotto corrispondente ad un integeer 52Bit.

Con una piena risoluzione 64 Bit lavorano nel runtime di zenonle seguenti parti:

  1. La shared memory VBA Interface se il valore è indicato nella risoluzione segnale.
  2. La shared memory interface di zenon Logic.
  3. Il kit driver funziona per tutto l'ambito di 64 Bit e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC. Al momento questi sono Sample32, Intern e STRATON32.

Il Manager gruppi ricette e le rocette non possono salvare neanche un valore 52bit con un'esattezza completa.

64 appure 52

REAL

Real numbers

Numero reale esteso

32

LREAL

Real numbers

Numero reale esteso

64

STRING

Variable-length single byte character string

Stringa ASCII (la lunghezza massima è dipendente dal driver).
La lunghezza stringa è settata di default a 5 caratteri. Durante la progettazione va inserita la lunghezza corretta della stringa.

>= 8xlunghezza stringa

WSTRING

Variable-length

multi-byte character string

Contiene stringhe multi-byte, ad esempio stringhe in codificazione Unicode (UTF-8 ecc).
La lunghezza stringa è settata di default a 5 caratteri. Durante la progettazione va inserita la lunghezza corretta della stringa.

>= Nxlunghezza stringa

DATE

Date

Data IEC in passi dal giorno 1

16

TIME

Duration

Durata in formato IEC. Tempo IEC in step (letteralmente: passi) di 1ms, intero con segno

32

TOD

Time of day

Orario (tempo) in step di 1ms

32

DATE_AND_TIME

Date and time of Day

Definisce un periodo di tempo con 64 bit e viene salvato in formato decimale codificato in modo binario.

64

attenzione Attenzione

In zenon, i tipi di dato DATE, TIME, TOD, allo stesso modo come un tipo di dato UDINT, vengono trattati in formato tempo Unix (secondi passati dal 01.01.1970). Il tipo di dato DATE_AND_TIME corrisponde a quello FLOAT nel formato tempo Unix. Nel formato UNIX, il tempo viene salvato fino ai millesecondi (tre cifre dopo la virgola). In un primo momento, il driver trasforma il tipo di dato usato in zenon il quello corrispondente e manda il nuovo valore al PLC.
Non tutti i driver supportano questi tipi di dato. Se il driver usato supporta i tipi di dato, lo potete verificare consultando la documentazione dello stesso driver.

Per la descrizione dettagliata dell'eredità di proprietà di tipi di dato, consultate il capitoloConcetto di trasmissione ereditaria.


Tipi di dato Visualizzazione dettagli Barra simboli e Menu contestuale

Manuale -> Variabili -> Tipi di dato -> Tipi di dato Visualizzazione dettagli Barra simboli e Menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Nuovo tipo di dato semplice | Apre il dialogo che serve a creare un nuovo tipo di dato semplice.
Nuovo tipo di dato struttura | Apre il dialogo che serve a creare un nuovo tipo di dato struttura.
Nuovo elemento struttura | Apre il dialogo che serve ad aggiungere un elemento struttura per un tipo di dato struttura.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo in valore limite | Apre il dialogo che serve a selezionare la proprietà dinamica e, di seguito, il dialogo che serve alla ricerca e alla sostituzione.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa file XML.
Importazione - Esportazione estesi | Apre il menu per importare progetti/S, dBase und csv.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Attiva la guida online


Tipi di dato:

Manuale -> Variabili -> Tipi di dato -> Tipi di dato:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esistono principalmente due diversi tipi di dato:

  • tipi di dato semplici; essi, a loro volta, consistono di:
    • tipi di dato semplici preconfigurati
    • tipi di dato semplici definiti dall´utente
  • Struttura di tipi di dato


Tipi di dato semplici preconfigurati

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Tipi di dato semplici preconfigurati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questi vengono forniti con il pacchetto standard di zenon e sono a disposizione subito al momento della creazione di una nuova variabile.. Essi corrispondono ai Tipi di dato semplici previsti dalla norma IEC 61131-3, come INT, USINT ecc. Essi definiscono un´area di valori fissa (limiti superiori e inferiori fissi) con un numero fissato di valori. Pertanto i numeri reali possono essere mappati come numeri in virgola mobile solamente con una certa precisione.

Le proprietà dei tipi di dato semplici possono essere modificate. I nomi di questi tipi di dato corrispondono con i nomi die tipi di dato IEC. I nomi die tipi di dato IEC non possono ne essere rinominati ne cancellati.

I tipi di dato sono visibili in zenon soltanto quando nel progetto è stato creato un driver. Ogni driver ha una lista di tipi di dato che vengono supportati. Nel caso in cui un tipo di dato IEC non risultasse nella lista di tipi di dato, vuol dire che non è supportato da nessuno dei driver implementati.

Modifiche delle proprietà di tipi di dato hanno un effetto su tutte le variabili collegate ed anche sulle strutture di tipi di dato collegate.


Tipi di dato semplici definiti dall´utente

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Tipi di dato semplici definiti dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questi tipi di dato possono essere generati dall´utente. Per la creazione viene utilizzato un tipo di dato già esistente. Al momento della creazione, tutte le proprietà di questo tipo di dato vengono copiatesul nuovo tipo di dato e possono essere ulteriormente modificate. Non esiste alcuna referenza con il tipo di dato che originariamente ne era alla base. Tutti i tipi di dato possono essere configurati indipendentemente l´uno dall´altro.

Per i tipi di dato definiti da utente possono essere modificate tutte le proprietà, ivi inclusi nome e tipo di dato IEC.

attenzione Attenzione

Tutte le variabili che si basano su un tipo di dato per il quale viene modificato il tipo di dato IEC, devono eventualmente essere configurate di nuovo manualmente.

Esempio

Un tipo di dato IEC INT è modificato in un tipo di dato IEC BOOL. Tutti i limiti di valore impostabile di tutte le variabili ovunque la variabile è stata utilizzata (immagini), non sono più corretti. Questo fatto diventa particolarmente critico, se le proprietà della variabile sono state sovrascritte e non sono più collegate con il tipo di dato.

Quindi alla creazione di un nuovo tipo di dato definito da utente dovrebbe sempre utilizzare un tipo di dato che dispone dello stesso tipo di dato IEC di cui ha bisogno.

attenzione Attenzione

Sconsigliamo vivamente di modificare in un secondo momento il tipo di dato IEC!
Dal tipo di dato IEC dipendono moltissime impostazioni che devono essere poi configurate manualmente se esso viene modificato. (Es. Area PLC, area di misurazione, isteresi, limiti di valori impostabili, adattamento non lineare del valore etc….).
In caso di modifica del tipo di dato IEC tutte le proprietà specifiche tipi di dato devono essere controllate!!! In parte le proprietà devono essere adattate prima della modifica, dato che p. es. per una variabile BOOL non potranno più essere modificati ne la risoluzione segnale ne l´area di misurazione .


Creazione di un tipo di dato definito da utente

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Tipi di dato semplici definiti dall´utente -> Creazione di un tipo di dato definito da utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Apra il nodo Variabili e clicchi su Tipo di dato.

Tutti i tipi di dati già esistenti saranno elencati nella sezione lista. Alla prima apertura compaiono nella lista soltanto i tipi di dato predefiniti corrispondenti ai tipi di dato IEC. Un tipo di dato definito dall’utente è sempre basato su un tipo di dato IEC. Clicchi adesso con il tasto destro del mouse nella lista e clicchi nel menù contestuale su Nuovo tipo di dato semplice.

Nel dialogo che si apre inserisca il nome del tipo di dato definito da utente. Questo tipo di dato serve da modello per il nuovo tipo di dato da creare. Tutte le proprietà verranno copiate nel nuovo tipo di dato. Nella finestra di proprietà possono essere ulteriormente adattate. Non esisterà più nessun riferimento al tipo di dato originario, il quale fa da base per quello nuovo.

Info Informazioni

La lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri.

Cliccate su Termina. Il nuovo tipo di dato definito da utente risulta adesso nella lista dei tipi di dato semplici nella sezione lista.


Modifica delle proprietà di un tipo di dato definito da utente

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Tipi di dato semplici definiti dall´utente -> Modifica delle proprietà di un tipo di dato definito da utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La modifica della proprietà di un tipo di dato definito da utente può essere effettuata nella finestra di proprietà nella quale sono elencate tutte le proprietà del tipo di dato.

Vi preghiamo di tenere presente che il tipo di dato IEC non dovrebbe essere cambiato, perché, in tal caso, cambierebbe anche la risoluzione del segnale.


Eliminazione di un tipo di dato definito da utente

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Tipi di dato semplici definiti dall´utente -> Eliminazione di un tipo di dato definito da utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezioni il tipo di dato da eliminare dalla lista e confermi l´azione nel box di dialogo seguente.

attenzione Attenzione

In caso di eliminazione di un tipo di dato definito da utente, tutte le variabili basate su questo tipo di dato verranno cancellate.


Struttura di tipi di dato

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Strutture di tipi di dato sono sempre Tipi di datodefiniti dall'utente. Contrariamente ai tipi di dato semplici che consentono solo una lista di variabli “piana” con questo tipo di dato `può costruire una vera e proprio struttura. Questa struttura può presentarsi anche in modo molto complesso.

Per creare una struttura di variabile dev´essere prima creata una struttura di tipo di dato. Una struttura consiste in un nome di struttura e in elementi di struttura. Elementi di struttura possono essere tipi di dato semplici oppure altre strutture. Elementi di struttura possono anche essere degli array (campi) con al massimo 3 dimensioni.

attenzione Attenzione

Delle variabili di struttura possono essere impostate solo in fase di creazione. Non è possibile una modifica posteriore.

Arrays ossono essere impostati solo in fase di creazione. Non è possibile una modifica posteriore.

Dovete definire al momento della creazione se l´elemento struttura usa il tipo collegato o scollegato. Non è possibile apportare delle modifiche in un secondo momento.

Esempio per una struttura di tipo di dato:

Nella fig. rappresentata sopra sono visualizzate due strutture:

La struttura regolatore consiste in due elementi di struttura. Valore impostabile di numero di giri e un valore effettivo di numero di giri.

  • L'elemento di struttura valore effettivo di numero di giri è stato collegato con il tipo di dato “INT”, il che significa, che tutte le proprietà del tipo di dato predefinito “INT” vengono ereditato da questo elemento di struttura.
  • L'elemento di struttura numero di giri effettivo è indipendente da questa struttura. Tutte le proprietà di un tipo di dato quindi possono essere impostate direttamente con l´elemento di struttura.

La struttura illustrata „motore” consiste nei seguenti elementi di struttura: Potenza assorbita, Assorbimento di corrente, Voltaggio, Temperatura di avvolgimento [3] e la struttura regolatore giri.

  • L'elemento di struttura Assorbimento di corrente è collegato con il tipo di dato predefinito “UINT”- vengono ereditate tutte le proprietà relative UINT.
  • L'elemento di struttura assorbimento di corrente ha reso indipendente (embedded) il tipo di dato “INT” – tutte le proprietà possono essere impostate direttamente all'elemento di struttura.
  • L´elemento di struttura voltaggio è collegato con il tipo di dato definito da utente “voltaggio”. L´elemento eredita tutte le proprietà da questo tipo di dato.
  • L'elemento di struttura Temperatura di avvolgimentoè rappresentato in un array unidimensionale (un campo) di tre elementi del tipo di dato predefinito “SINT”.
  • L'elemento di struttura Regolatore giriè collegato con la struttura regolatore, che è già stata descritta più in alto. Non possono essere embedded delle strutture di struttura . Sono sempre collegate con la struttura originale. La struttura contiene altri due elementi di struttura: „Valore impostabile numero di giri“ e „Valore effettivo numero di giri“ le cui proprietà vengono accettate dalla struttura orginaria.


Creazione di una struttura di tipi di dato

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato -> Creazione di una struttura di tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per impostare una variabile struttura, dovete procedere nel modo seguente:

  1. cliccate con il tasto destro del mouse nella lista su un tipo di dato definito da utente e selezioni nel menu contestuale nuova variabile struttura.
  2. Verrà visualizzato un dialogo nel quale potete definire il nome.

    Indicazione: La lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri.

  3. Concludete l'operazione con Finisci. Il nome della struttura del tipo di dato può essere ulteriormente modificato nella finestra di proprietà.
  4. Adesso si apre un box di dialogo nel quale può essere creato il primo elemento di struttura.
  5. Assegnate un nome univoco.
  6. Selezionate la variabile sulla quale deve basarsi l´elemento. Un clic sul comando ... apre il dialogo di selezione.

    Potete collegare anche delle strutture come elementi di struttura. Non è possibile utilizzare strutture come elemento di struttura embedded. Della stessa maniera solo strutture intere e non parti di struttura possono essere soggetto di un collegamento.

  7. Stabilite se la variabile deve essere collegata in maniera scollegata oppure collegata.
  8. Difinite le dimensioni array.
    Nel caso in cui non volesse utilizzare nessun array, definisca per nella dimensione 0.
  9. Concluda l'operazione con Finisci.

Inserire in modo scollegato o collegare

Parametri | Descrizione
Elementi di struttura scollegati | Elementi di struttura embedded possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà possono essere impostate appositamente e salvate con per ogni singolo elemento di struttura.
Elementi di struttura collegati | Elementi di struttura collegati riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario si modificano anche tutti gli elementi di struttura collegati !


Aggiungere ulteriori elementi di struttura

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato -> Aggiungere ulteriori elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aggiungere ulteriori elementi struttura:

  1. cliccate con il tasto destro del mouse sul tipo di dato struttura desiderato.
  2. Selezionate nel menu contestuale Nuova struttura di tipo di dato....
  3. Definite nel dialogo che si aprirà
    1. una denominazione univoca (il nome è limitato ad un lunghezza massima di 128 caratteri)
    2. le dimensioni array e
    3. se volete un elemento di struttura scollegato oppure collegato.

Se adesso evidenziate il tipo di dato struttura nella visuale dettagliata, gli elementi struttura già esistenti vengono visualizzati come sottopunti.


Modificare le proprietà di un elemento di struttura

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato -> Modificare le proprietà di un elemento di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per modificare le proprietà di un elemento struttura:

Elementi di struttura separati

  1. selezionate l´elemento struttura nella visualizzazione dettagliata.
  2. Modificate nella finestra delle proprietà quella desiderata.

Elemento struttura collegato

Nel caso di elementi struttura collegati, possono essere modificati nella finestra delle proprietà:

  • Nome
  • Offsets
  • dimensione dell´array
  • Descrizione

Tutte le altre proprietà possono essere modificate direttamente nel tipo di dato originario.

attenzione Attenzione

La preghiamo di considerare che le modifiche sul tipo di dato hanno effetto immediato sulle variabili collegate ed anche su tutte le strutture di tipi di dato che sono collegati con questo tipo di dato!

Non si consiglia di effettuare delle modifiche nel tipo di dato. Esse devono essere preparate in modo molto prudente ed effettuate con attenzione. Soprattutto nel caso delle impostazioni di tipi di dato IEC, dell´area di misurazione, dei limiti di valori impostabili ecc.

Si corre il rischio, infatti, di dover modificare manualmente tutte le variabili e le immagini in cui vengono usate queste variabili!


Sposta elemento struttura

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato -> Sposta elemento struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli elementi di un tipo di dato struttura possono essere spostati per per Drag&Drop. Per spostare degli elementi:

  1. selezionate l´elemento desiderato
  2. Potete selezionare anche più elementi correlati
  3. cliccate nella selezione e trasportate gli elementi al posto desiderato

Nel caso di progetti multiuser, il sistema provvederà a verificare se lo stato del tipo di dato da modificare è settato su Rendi possibili le modifiche, oppure se può essere settato in tal modo.

Sposta più elementi

Elementi correlati possono essere spostati per mezzo del Drag&Drop. A questo proposito vale quanto segue:

  • Possono essere spostati solo elementi struttura correlati.

  • Nel caso in cui dovesse scoprire l´esistenza di una lacuna, il sistema non consentirà di effettuare l´azione di drop.


Eliminazione di una struttura di tipo di dato

Manuale -> Variabili -> Tipi di dato -> Tipi di dato: -> Struttura di tipi di dato -> Eliminazione di una struttura di tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per cancellare un tipo di dato struttura:

  1. cliccate con il tasto destro del mouse sul tipo di dato struttura desiderato nella lista.
  2. selezionate nel menu contestuale Cancella
  3. Il tipo di dato struttura viene cancellato con tutti i suoi elementi struttura.

attenzione Attenzione

Facendo questo tutte le variabili basate su questa struttura di tipo di dato verrano eliminate!!


Driver

Manuale -> Variabili -> Driver

zenon offre più di 300 diverse connessioni ai più diversi PLC, sistemi bus e applicazioni.

Per potere comunicare con una fonte di dati è necessario collegarsi attraverso un driver di interfaccia (driver di protocollo). Il driver crea il collegamento tra il PLC e zenon. La sorgente dati però non deve essere per forza un PLC. Il driver DDE comunica con il server DDE, il driver OPC client con il server OPC ed il driver SNMP con gli agenti SNMP etc.

E a disposizione un gran numero di driver diversi che possono anche essere utilizzati in parallelo.

attenzione Attenzione

Con Windows CE può essere avviato solo un tipo di driver alla volta.

menu contestuale - manager di progetto

Punto di menu | Azione
Driver nuovo... | Apre la visualizzazione dettagliata per la scegliere un driver.
Guida | Attiva la guida online

Alla creazione di una nuova variabile dev´essere sempre definito il driver sul quale la variabile dev´essere creata.

I driver zenon sono driver protocollo. Non sono da confondere con driver d´interfaccia del sistema operativo (p.e. driver per una scheda LAN o driver per un interfaccia seriale). I driver zenon sono sempre basati sui driver d´interfaccia del sistema operativo e comunicano attraverso il rispettivo protocollo (p.e. Modbus RTU, MPI, Melsec A etc), che è comprensibile per il rispettivo PLC.

I seguenti driver sono a disposizione gratuitamente in zenon: Le variabili basate su questi driver non sono considerate nel calcolo della licenza:

Parametri

Descrizione

driver di simulazione SIMUL32

Per variabili interne.

Le variabili generate all' interno dello scada (variabili harddisk, Merker) possono essere definite come oggetti merker; per la simulazione dinamica gli oggetti merker possono cambiare automaticamente il valore!

Driver matematico MATHDR32

Variabili di questo driver servono al calcolo di funzioni matematiche oppure per contatori impulsi e contatori ore di servizio.

Driver di sistema Sysdrv

Variabili per la sorveglianza e la gestione dell´hardware, della rete ed altre proprietà specifiche progetto.

Driver interno Intern

Variabili definibili dall'utente senza collegamento con un PLC. (Simili alle variabili del driver di sistema definibili dall'utente).

Ogni variabile ha il suo valore individuale. Non è possibile, dunque, per es. estrarre delle variabili Bit o Byte da una variabile Integer.

La progettazione di informazioni d'indirizzo non è necessaria; le proprietà interessate non possono essere modificate neanche nella finestra di proprietà.

Trovate le dettagliate descrizioni dei singoli driver nelle corrispondenti documentazioni, le quali sono a Vostra disposizione nella guida online nel capitoloDriver e nel DVD di installazione.

Alla creazione di un nuovo driver è aperto un dialogo di selezione dove sono elencati tutti i driver disponibili. Le informazioni per questo dialogo sono salvati nei file Treiber_DE.xml, Treiber_EN.xmla seconda della lingua. Se vuole aprire o modificare un singolo file XML, può utilizzare il tooldriverinfo.exe.


Driver Visualizzazione dettagliata Barra simboli e menu contestuale

Manuale -> Variabili -> Driver -> Driver Visualizzazione dettagliata Barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale

Punto di menu | Azione
Driver nuovo | Apre il dialogo per la creazione di un nuovo driver.
Cambio del Driver | Apre la finestra di selezione che serve alla definizinoe di un driver.
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Configurazione driver. | Apre il dialogo per la configurazione del driver.
Importa variabili del driver. | Apre il dialogo che serve all´import delle variabili.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. E' a disposizione solo se è possibile la modifica.
Sostituisci testo nella colonna selezionata... | Apre un dialogo che serve a ricercare i caratteri nella colonna che ha il focus e a sostituirli automaticamente.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Elimina tutti i filtri | Cancella tutti i filtri attivi nella lista.
Guida | Attiva la guida online


Tipo di oggetto driver

Manuale -> Variabili -> Driver -> Tipo di oggetto driver

I tipi di oggetto del driver determinano quale area di una variabile deve essere riferita nel PLC. Attualmente i produttori usano diverse denominazioni per le aree nei loro PLC. Nel mondo Siemens ci sono componenti dati, Merker, I/S etc; nel mondo Modbus ci sono coils e Holding register. Ogni driver di zenon all´interno mette a disposizione una lista con i driver tipi d´oggetto disponibili. Alla creazione di una nuova variabile deve essere definito a quale area nel PLC si riferisce la variabile.

Separazione netta fra tipo di dato e tipo di oggetto driver

La separazione netta consente di impostare una struttura come tipo di dato in modo completamente indipendente e, per questo, in modo indipendente dal PLC. Questa struttura può essere assegnata a qualunque driver come variabile. Una struttura può essere in tal modo collegata 1:1 sia con un PLC Siemens che con un PLC Modbus mediante l'utilizzo dei driver corrispondenti.


Creazione di un driver

Manuale -> Variabili -> Driver -> Creazione di un driver

Per creare un nuovo driver:

  • Clicchi con il tasto destro del mouse nel manager di progetto su drivere selezioni nel menu contestuale driver nuovo.
  • Nel box di dialogo che si apre viene presentato un elenco con tutti i driver disponibili.

  • Selezioni il driver desiderato e attribuisca un nome.
    • La denominazione del driver deve essere univoca, cioè, se un driver è utilizzato più volte nel progetto, gli si deve attribuire ogni volta un nuovo nome.
    • La denominazione del driver è una parte del nome file. Perciò deve contenere solamente dei caratteri che vengono supportati dal sistema operativo. I caratteri non validi vengono sostituiti con una lineetta in basso (_).
    • Attenzione: la denominazione non può essere cambiata in seguito.
  • Confermi cliccando su OK. Nel successivo box di dialogo è possibile effettuare la configurazione del driver.
  • Per un progetto possono essere caricati soltanto i driver necessari. Un inserimento successivo di un altro driver non rappresenta nessun problema.

Info Informazioni

Nel caso di progetti di nuova creazione o di progetti che sono stati convertiti nella versione 6.21, vengono creati automaticamente i seguenti driver:

  • Interna
  • MathDr32
  • SysDrv.


Configurazione di un driver

Manuale -> Variabili -> Driver -> Configurazione di un driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Parametri

Descrizione

Modo:

permette la commutazione fra hardware e modalità di simulazione.

  • Hardware:

    Viene creato un collegamento con il PLC.

  • Simulazione statica

    Si costruisce una comunicazione con il PLC; i valori vengono simulati dal driver. In questa modalità i valori rimangono costanti, le variabili mantengono i valori settati mediante zenon Logic. Ogni variabile ha il suo proprio settore di salvataggio. Per esempio: due variabili del tipo merker con offset 79 possono avere diversi valori nel runtime, e non si influenzano reciprocamente. Eccezione: Driver di simulazione.

  • Simulazione – conta

    Si costruisce una comunicazione con il PLC; i valori vengono simulati dal driver. In questa modalità il driver calcola i valori nell'ambito della loro area di misurazione in modo automatico.

  • Simulazione - programmata

    Non viene instaurata una comunicazione con il PLC; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene realizzato con il workbench di zenon Logic e funziona in un runtime di zenon Logic integrato nel runtime. Per i dettagli vedi Capitolo Simulazione driver.

Lista Update nella memoria Halten

Le variabili che sono state richieste una volta vengono anche in seguito richieste dal PLC, anche se esse non sono più necessarie.
Ciò ha il vantaggio che, ad esempio, i cambi immagini ripetuti vengono velocizzati dopo la prima apertura visto che le variabili non devono essere richieste nuovamente. Lo svantaggio è un grande carico della comunicazione verso il PLC.

Uscite scrivibili

Attivo: le uscite possono essere dotate di una denominazione scritta.

Disattivata: la scrittura delle uscite non è consentita.

Avvertenza: non è disponibile per ogni driver.

Immagine variabile ritentiva

Questa opzione salva e ripristina il valore attuale, il dato data/ora e lo stato di un punto dato.

Presupposto di base: la variabile deve possedere un valore valido e un timestamp.

L´immagine variabile viene salvato in modalità hardware se:

  • uno degli stati S_MERKER_1(0) fino S_MERKER8(7), REVISION(9), AUS(20) o ERSATZWERT(27) deve essere attivo.

L´immagine variabile viene salvata sempre se:

  • la variabile è del tipo di oggetto Variabile driver;
  • il driver funziona in modalità di simulazione. (simulazione non programmata)

I seguenti stati non vengono restaurati all´avvio del runtime.

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

La modalità Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentiva.

Terminare sul server in standby

Impostazione per la ridondanza con driver che consentono solamente una connessione di comunicazione. A tal scopo verrà interrotto il driver sul server di standby e riavviato solamente quando verrà settato come server.

Attenzione: se questa opzione è attiva, non è più possibile assicurare un´archiviazione completa e senza soluzioni di continuità.

Attivo: fa passare automaticamente il driver in uno stato simile a quello di stop sul server che non gestisce il processo. A differenza di quando accade nel caso di stop provocato attraverso il comando driver, la variabile non riceve lo stato Spento, ma un valore vuoto. In tal modo il sistema evita che, nel passaggio al ruolo di server, vengano creati dei valori non rilevanti in AML, CEL e archivi.

Update del tempo globale

Attivo: Il Tempo update globale impostato in ms viene usato per tutte le variabili nel progetto. La priorità impostata nelle variabili non viene utilizzata.
Disattivo: le priorità impostate vengono usate per le singole variabili.

Priorità

In questa sede vengono impostati i tempi di polling delle singole priorità. Per tutte le variabile con la corrispondende priorità viene realizzato il polling nel tempo impostato. L'assegnazione alle variabili viene effettuata in modo separato per ogni variabile mediante l'impostazione nelle proprietà delle variabili.
Con le priorità la comunicazione delle singole variabili può essere ridotta secondo i criteri dell'importanza e della attualità necessaria. Ne deriva una migliore distribuzione del carico della comunicazione.

Update Tempo Driver ciclico

Per i driver ciclici vale quanto segue:

Con Settaggio valori, Advicen di variabili e con Requests si attiva subito un ciclo di lettura per tutti i driver, indipendentemente dal tempo impostato per l´update. In tal modo c´è la garanzia che il valore, dopo la scrittura, sia subito disponibile nella visualizzazione. Per questa ragione, nel caso di driver ciclici i tempi dell´update possono essere più corti di quanto è stato fissato in fase di impostazione.


Driver simulation

Manuale -> Variabili -> Driver -> Driver simulation

If the underlying process is not available when configuring, this can be simulated and tested in advance. Three modes are available for this:

  • simulation - static: constant values simulated by the driver
  • simulation - counting: values simulated by the driver are counted up
  • simulation - programmed: Values are calculated via a simulation project with zenon Logic

attenzione Attenzione

If the driver is stopped in mode Simulation - counting, only the counting is stopped. The variable is not switched to faulty. In all other modes the driver is really stopped.

Hint: Simulation - programmed is not supported by drivers for:

  • Internal variables
  • Mathematical variables
  • Simulator variables
  • System variables

Info Informazioni

zenon variables which represent the zenon Logic IO variables are available in the project in state Driver simulation programmed.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime


Simulation static

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation static

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For a static simulation, no communication to the control is established; the values are simulated by the driver. In this mode the value remains constant. Values can be changed by the Runtime or the user. At a restart of the Runtime with Simulation - static theses values will however not be saved and are lost.


Simulation - counting

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - counting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For a counting simulation, no communication to the control is established; instead the values are simulated by the driver. In this mode, the driver increments the values within a value range automatically, starting with 0. If the maximum value has been reached, the counting process starts at 0 again.

Info Informazioni

For negative starting values, the counting process only starts at 0.

INT uses the maximum value from USINT to count.

attenzione Attenzione

If the driver is stopped in mode Simulation - counting, only the counting is stopped. The variable is not switched to faulty. In all other modes the driver is really stopped.


Simulation - programmed

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

For Simulation - programmed, no communication is established to the PLC; instead, the values are calculated by a freely programmable simulation project. The simulation project is created with the help of the zenon Logic Workbench and runs in the zenon Logic Runtime. It enables the status and time stamp of variables to be modified on the driver. Write commands to variables by zenon are forwarded to the simulation, redundant servers and standby servers are synchronized. This is how you also simulate complex processes.

To start the simulation program, select the Simulation - programmed mode in driver configuration.

Info Informazioni

Windows CE

Simulation - programmed is not vailable for Windows CE.


Editor

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Create project

Create project

To create a program for Simultion - programmed, you must:

  • select a single process driver
  • make sure that the project name is valid.

attenzione Attenzione

Simulation - programmed is not supported by drivers for:

  • Internal variables
  • Mathematical variables
  • Simulator variables
  • System variables

To create a simulation project:

  • click in the group Progetto di simulazione del driver in the property Modifica on Click here ->

    Interno ID: Create project

    Modifica

    Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

    Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Progetto di simulazione del driver

    Contiene tutte le proprietà per la configurazione di simulazione - programmata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • A new zenon Logic project is created.
  • Nome and port numbers for Porta eventi and Porta standard are automatically issued; change these as you wish

    Interno ID: Create project

    Porta standard

    Disponibile solo se è stato generato un progetto di simulazione.

    TCP/IP Port per la comunicazione con il workbench di zenon Logic. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

    Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

    Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)

    Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

    Default: 6000

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Porta eventi

    Disponibile solo se è stato generato un progetto di simulazione.

    TCP/IP Port per lo scambio dati spontaneo. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

    Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

    Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

    Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

    Default: 6001

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Create project

    Nome

    Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

    Condizioni per la validità dei nomi:

    - non deve essere vuoto.

    - deve essere univoco nel progetto.

    - deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

    Minimo: 1 caratteri

    Massimo: 15 caratteri.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the zenon Logic Workbench is opened

The simulation project's workshop is automatically closed if:

  • the zenon editor is closed
  • a driver is deleted and its simulation project is currently being edited in Workbench
  • the simulation project for the driver is deleted via the Elimina property

    Interno ID: Create project

    Elimina

    Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

    Cancella il progetto di simulazione dopo una richiesta di conferma.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the simulation project is renamed

Project archiving

A zenon Logic project contains many files and folders. To manage them, in particular to simplify distributed engineering, all files are archived in compressed form in the Simul_<Treiber-ID>.zip file in the <Sql Projekt Pfad>\FILES\zenon\custom\drivers. This file is in the driver files in the editor. When starting zenon Logic Workbench, the files are automatically decompressed are compressed again when it is ended.

Creating variables

When creating variables in a simulation project, the succesion is important:

  1. create the variable
  2. select the valid data type in the zenon Logic Workbench
  3. after that activate property embed symbol

Background: Per default variables are created with the driver object type PLC marker. This object type does not support all data types for all drivers. If a variable is copied in the zenon Logic Workbench with active property embed symbol, you must deactivate this property in order to change the data type. With this the variable is then deleted in zenon.

Info Informazioni

Error message "Can not create variable"

A variable cannot be created in the simulation object if the driver does not have driver object types - exception

driver variable - which support this data type.

On activation of embed symbol, the error message "can not create variable" is displayed.

Structure data types

At creating variable with a structure data type:

  • they are created with the driver object type PLC marker if possible
  • all driver object types with the exception of driver variable are tried until one can be used for all elements
  • if no fitting driver object type is available,
    • no variable is created for non-structure variables
    • driver object type PLC marker is used for structure variables

Example:

A structure data type contains elements of type UINT and STRING. A variable is created for S7TCP driver and embed symbol is activated.

  • The variable is not created in the PLC marker but as Ext. Datablock in which all structure elements exist.
  • A new type LINT is added; it is not supported by the Ext. Datablock.
  • When a new variable is created, it is created as type PLC marker. Only the first complex variable can be activated (UINT). For the existing structure variable the object type Ext. Datablock remains and the last structure element (LINT) cannot be activated.

Compiling the files

If a simulation project is compiled in zenon Logic Workbench, this causes a variable to be created in zenon and the Runtime program file.
When compiling, a subfolder is created in Runtime-Folder\RT\FILES\zenon\custom\drivers with the name of the simulation project. The file with the code of the simulation is SIMULRT.COD is archived in this folder.

The following message is displayed in the output window:

SIMULRT.COD

And if compiled with the C compiler, then also:

T5APP.DLL

attenzione Attenzione

For multi-user projects you must not create simulation projects offline. They cannot be deleted anymore.


Delete project

Delete project

To delete a simulation project:

  1. click on the Click Here-> button in the Elimina property in the Progetto di simulazione del driver group

    Interno ID: Delete project

    Progetto di simulazione del driver

    Contiene tutte le proprietà per la configurazione di simulazione - programmata.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Delete project

    Elimina

    Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

    Cancella il progetto di simulazione dopo una richiesta di conferma.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. confirm this when requested to do so
  3. the ZIP file with the project files is deleted
  4. the zenon Logic Workbench is ended

Note:

  • the Runtime folder for the simulation project remains
  • function Undo is not available for this action,
  • click on Modifica to create a new simulation project

    Interno ID: Delete project

    Modifica

    Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

    Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • for multi-user projects:
    • the driver must be configured to Make changes possible so that the simulation program can be deleted
    • the project is not displayed as deleted on other Clients as long as it has not been synchronized;

      if you try to open a deleted project before it has been synchronized (click on Modifica), a new simulation project will be created

    • you cannot reverse the deletion of single-user projects via Cancel changes

attenzione Attenzione

The Simulation project is immediately removed from the local database and the server database when deleted. This action cannot be undone!

Note:Manual deletion of the ZIP file of the driver also leads to the simulation project being deleted. Requirement: The zenon Logic Workbench for this driver is not opened. We do not recommend doing it this way!


Distributed engineering

Distributed engineering

For multi-user projects, all running zenon Logic Workbenches that are part of the project are closed when:

  • Accept changes for modules that are completely locked for other users in Enable changes, such as variables, drivers and data types
  • Discard changes:
    • new projects are not created on the server
    • Changes in the simulation program are lost
    • Driver files not present in the server database are also lost in the local database
  • Synchronize:
    changes made locally to the simulation program program are lost
  • Update local version:
    changes made locally to the simulation program in the simulation program are lost

attenzione Attenzione

The status of the simulation project's ZIP file may not be additionally modified(Accept Changes, Enable Changes, Discard Changes multi-user status), to ensure correct Accept Changes and Enables Changes for the driver!

Delete project

For multi-user projects

  • the driver must be configured to Make changes possible so that the simulation program can be deleted
  • the project is not displayed as deleted on other Clients as long as it has not been synchronized;
    • if you try to open a deleted project before it has been synchronized (click on Modifica), a new simulation project will be created

      Interno ID: Distributed engineering

      Modifica

      Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

      Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • you cannot reverse the deletion of single-user projects via Cancel changes

attenzione Attenzione

A simulation project with the status of Enable Changes cannot be deleted in Offline mode.

A simulation project created offline in a multi-user project can therefore no longer be deleted.


Change driver

Change driver

For a driver change in zenon the following is true:

  • The simulation project is maintained.
  • All ports are however set to 0. To receive working port numbers, open the project in the Editor. At this new port numbers are entered automatically. Port numbers can also be assigned manually.

attenzione Attenzione

I driver che sono collegati con un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML export/import

XML export/import

A project in mode Simulation - programmed can be exported via XML. It can however not be imported as new project for another driver.

Workaround:

  1. Export the zenon Logic programs.
  2. Import them to the new project for the new driver.
  3. Replace the variables via search and replace.


Driver configuration

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> Driver configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

There are four modes available when configuring the driver:

  • Hardware
  • Simulation - counting
  • Simulation static
  • Simulation - programmed

Select the simulation - programmed mode.


Driver variable status

Driver variable status

The status of zenon Logic Runtime is displayed in the driver variable SimulRTState on Offset 60. The variable is numerical and cannot be written. The value informs you of the status of Runtime:

Bit | Meaning | Description
31 | without application | Runtime has not loaded a program, the program was stopped or not loaded in Runtime.
30 | not instanced | Runtime was not instanced, for example because the DLL with Runtime could not be loaded, there was too little memory available, there is no DDL or it is the wrong version.
18 | p-code available | p-code is available together with compiled code; switching is possible.
17 | compiled code active | Runtime runs with compiled code (otherwise: interpreted p-code).
16 | compiled code available | Compiled code from the C compiler is available
15 | application is loaded | an application is present, Runtime is running
14 | cant start - missing handlers | Some "C" functions are missing.
13 | active breakpoints installed | At least one breakpoint was set by the debugger.
12 | CT segment exists | Application was compiled separately with the "complex variables in separate segment" option.
11 | Reserved | (Internal, for Runtime only.)
10 | sysinfo request is available | (Internal, for Runtime only.)
9 | freeze event production | Binding does not transmit events.
8 | single cycle mode | (Internal, for Runtime and debugger only.)
7 | Reserved | (Internal, for Runtime only.)
6 | locked variables | at least one variable is locked.
5 | trigo functions are in degrees | Trigonometric functions are given in degrees.
4 | log message(s) in stack | (Internal, for Runtime only.)
3 | application stopped between 2 progs | Runtime stopped between two steps whilst debugging.
2 | application stopped on SFC breakpt | (Internal, for Runtime only.)
1 | application stopped on error | Runtime stopped with serious error, restart required.
0 | application is running | TRUE = application is in "run" mode. FALSE = application paused in "cycle to cycle" mode.

Info Informazioni

The driver variable SimulRTState with offset 60 shows the status of the Runtime on the Server. This is also true when the variable is displayed on the Standby.


Cyclic comparison

Cyclic comparison

Simulations run in network operation on the server and standby server independently of one another. When the standby server is started, a comparison is made with the server. Nevertheless:

  • This first comparison is delayed by the packet transfer time
  • small differences in execution lead to increasing divergence

Thus the status of simulated variables is also different. To keep these differences small, use the transfer driver simulation to stand by function to compare the simulation image.

  • create a new function
  • select the transfer driver simulation image to standby function

  • the dialog for the selection of drivers opens

  • all process related drivers are available in the list (with the exception of the simulator) (clicking on the column header changes the sorting)
  • select the driver to be compared
  • An image is requested for each function request to the standby server for the selected driver

The differences in the current simulation status can be minimized through cyclical activation. Adjust the execution grid to the scope of data to be compared, because a load for the network and computer is generated as a result of this.

The Esecuzione: of the function is set Standby at and cannot be changed. This only happens if:

Interno ID: Cyclic comparison

Standby

Disponibile solamente in progetti di rete ridondati:
La funzione viene eseguita solo sul Server Standby

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cyclic comparison

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the computer is a standby server
  • the server is online
  • the project is a network project
  • Drivers were selected for comparison

To change the selection of drivers

  • click on driver properties in the Generale group in the Parametri property

    Interno ID: Cyclic comparison

    Parametri

    Parametri di trasferimento della funzione; Dipendente dal tipo di funzione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Cyclic comparison

    Generale

    Proprietà generali per la funzione.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • the dialog to select the driver opens


zenon Logic Workbench

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The Simulation - programmed is programmed in the in the zenon Logic Workbench, which works in close conjunction with the zenon Editor. For the simulation, (in contrast to the integrated solution) only the variables of a driver are exchanged between the editors.

Definition of the variables to be exchanged:

When starting zenon Logic Workbench, all driver variables that are not yet present in zenon Logic are created as global variables. The Embed symbol is automatically activated for these.

Visibility

If a new variable is defined in Workbench in the global or retain area, this is only visible in zenon Logic. To make it visible in zenon too, the Embed symbols option must be activated. From this point in time, all variables are updated by both editors.

If the Embed symbol option is deactivated, the variable is deleted in the zenon editor. This action enables global or retain variables to be defined in zenon Logic, which are not visible for zenon.

For a newly-created variable created by the zenon Logic Workbench in zenon, an attempt is made to assign this to the SPSMERKER area. In the event that the zenon driver does not support the configured data type, a search is made for the first data area that supports the data type. If no area is found, the variable cannot be created.

A variable is only locked if in the case of a multi-user project and the enable changes status has not been set.

Project Settings

Some settings under Project -> Project parameters... -> Further options-> Extended in zenon Logic influence the functionality of the simulation.

Extended settings

Description

Runtime: execute mode

Recommendation:

Mode: triggered

cycle time: 1/4 to 1/3 of the driver update time
for frequent value changes to simulated variables lead to increased load placed on the computer.

compiler/options: Embed symbols of all variables

Recommendation: Deactivate.
Active: Data for a variable are exchanged, because the symbol names are assigned in Runtime.

But: Changes to the configuration of the variables are not updated between zenon and zenon Logic. It is no longer possible to make changes online.

compiler/options: Retain capitalization of symbols

without effect: Variable names are always converted to capitals in Runtime.

compiler/options: Create status bits for variables with a profile

Active: The status of variables is simulated or reacted to in the simulation program.

"C" compiler

Native code is supported.

Name of the DLL that the compiled code must contain: t5app.dll.


Runtime

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com


Functionality

Functionality

zenon Logic Runtime offers the following functions:

  • File transfer
  • Data types:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • zenon arrays (see also Arrays and simulation)
  • Date stamp/time stamp
  • Digital recording of values
  • Dynamically linked function blocks, stored in t5block*.dll
  • Hot Restart
  • Logging:
    • Trace messages from the program (printf)
    • Error messages in Runtime
    • all sent to Workbench and to the diagnosis server
  • Machine code: Native compiled code with C post compiler (not available under Windows CE)
  • Online Change
  • Programming languages: IL, AS, FDB, LD, ST
  • Retain Data (remanant Data)
  • Special function blocks and features:
    • Data serialization
    • dynamic memory allocation
    • embedded recipes
    • embedded variable lists
    • File Management
    • Files
    • Math
    • Random
    • Signals
    • String tables
    • Trigonometry
    • Time
  • Spontaneous communication
    • Value change as an event
    • 16 connections
    • Hysteresis
  • UDP & TCP/IP for IEC languages
  • Variable interlocking


Arrays and simulation

Arrays and simulation

To simulate multidimensional arrays at driver simulation, you must activate property 'Save complex variables in own segment' in the zenon Logic Workbench.

Arrays with start index 1

If at a simulation arrays with start index 1 exist, these arrays are created with one more index in the zenon Logic Workbench.

Esempio Esempio

In zenon an array has indices 1 to 4. This array has the indices 0 to 4 in the zenon Logic Workbench.

This guarantees that the same indices are used in zenon and in zenon Logic. Index 0 is not transferred to the driver.

If you change array in the zenon Logic Workbench, you must consider this additional index.


Runtime files

Runtime files

When creating Runtime files, a subfolder with the name of the simulation project is created in the Cartella Runtime of the project in the \RT\FILES\zenon\custom\drivers path. The SIMULRT.COD file with the code of the simulation is archived in this folder.

Interno ID: Runtime files

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The following message is displayed after successful compilation in Workbench and transfer to the Runtime folder in the editor's output window:

SIMULRT.COD

And if compiled with the C compiler, then also:

T5APP.DLL

Remote Transport

The Runtime files for the simulation are generated as subfolders of the driver files. For Remote Transport, the subfolder with all files contained therein is transferred to the target computer


Data exchange

Data exchange

the exchange of data from zenon Logic Runtime to the driver starts with the 2nd cycle of zenon Logic Runtime. Therefore the first run is available to initialize all variables in Runtime.

Data is only exchanged if:

  • The variable is requested and:
    • did not yet receive a value
    • does not have status Switched off (OFF/_VSB_N_UPD) or Alternate value (ALT_VAL/_VSB_AVALUE) in the driver
    • is still required by the driver.
    • has changed value or status

The exchange of data to the driver is carried out asynchronously to the Runtime cycle. The driver runs through the value changes once per update cycle. All values changed - with the exception of the Switched off (OFF/_VSB_N_UPD) or the Alternate value (ALT_VAL/_VSB_AVALUE) status - are entered into the list of variables to be updated in the driver and sent to Runtime.

Switch driver simulation screen to standby function

This function is only carried out on the standby server (for configuration, see Cyclical Comparison chapter). The data is synchronously obtained from the server that composes the screen. The driver has 5 seconds of time for this. Because the data for the image is created in the same thread as that in which the simulation runs, it is necessary to ensure that the simulation is processed within 5 seconds. If this image is exceeded, no image is carried over for this driver.

Value simulation

Value changes are not transferred immediately, but stored in a buffer. The size of the buffer amounts to 8192 value changes or the five time the number of variables, according to whatever value is greater. The delay in transferring resulting from the driver cycle can be up to 100 ms. If the value changes again whilst it is waiting to be transferred, all values that have not yet been transferred are sent to Runtime and the new value is then noted. This can lead to an increased load for the computer and network, but ensures that all values are transferred in Runtime.

Driver write command

If simulation - programmed is configured and active, the write commands at standby are passed through in Runtime.

Write operations are carried out by the driver asynchronously to Runtime. Data is exchanged via a buffer. The size of the buffer amounts to 8192 value changes or the five time the number of variables, according to whatever value is greater.

Write commands are ran through after their values are changed in Runtime. If a write command cannot be executed correctly, the error message Write queue full! Write command for <DP-Name> lost! is displayed.

If the status bits are activated, setting Writing successful will display if the value was written from the driver to the value of the variable. The Runtime program should delete this status again after processing the write command. A status bit that is already active does not cause any delay in the driver writing again. Write commands are also executed if the Runtime program was stopped by a breakpoint.

Note: Not all write commands from the driver must be visible in Runtime. If several write commands are in the buffer,only the last one is visible in Runtime.

switch off variables, switch to substitute value

If the variable is switched off or switched to a substitute value, this is not recognizable for Runtime. Changes in values that are also carried out by Runtime are not assigned to the variables in the driver. If the variables are again switched to spontaneous value or activated, the current value is again carried over from Runtime to the driver. When turning off the spontaneous value status bit OFF is set. When you switch back to the spontaneous value, bit OFF is reset.


Data storage

Data storage

Retain Data

Retain data is stored in the SimulRt<TreiberID>.ret file. One file such as this is created per simulation, provided retain variables are present. The file is taken into account when a comparison is carried out in the network.

Driver remanent

The Simulation - programmed setting at the driver start is not a criterion in order to restore the remanant variable image.


Redundancy

Redundancy

Start on standby server

If the driver is already running on a standby basis, then the image for the simulation should already be available. In this case, the simulation is started "hot" with this image. If there is no image, a warm a start is carried out.

Switch driver simulation screen to standby function

This function is only carried out on the standby server (for configuration, see Cyclical Comparison chapter). The data is synchronously obtained from the server that composes the screen. The driver has 5 seconds of time for this. Because the data for the image is created in the same thread as that in which the simulation runs, it is necessary to ensure that the simulation is processed within 5 seconds. If this image is exceeded, no image is carried over for this driver.

Comparison

In addition to the program files of the simulation, the following are also compared:

  • Retain data (*.ret)
  • all *.simul files
    This file extension is created by the simulation program for simulation specific files and archived in the folder with the computer description below the Cartella Runtime.

    Interno ID: Redundancy

    Cartella Runtime

    percorso per i file runtime del progetto.
    In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
    Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

    Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Status

Status

Status simulation

For the status simulation, in zenon Logic under Project -> Project parameters -> Extended -> Compiler -> Options -> Create status bits for variables with a profile must be active. If the status of a variable is modified, this triggers the transmission of a variable to the driver.

Changes to the following states does not trigger a value change at the driver and is also not taken over from the simulation:

  • Real time external (T_EXTERN/_VSB_RT_E)
  • Real time internal (T_INTERN/_VSB_RT_I)
  • Standard time (T_STD/_VSB_WINTER)
  • Writing acknowledged (WR_ACK/_VSB_WR_ACK)
  • Writing successful (WR_SUC/_VSB_WR_SUC)
  • Normal status (NORM/_VSB_NORM)
  • Deviation from normal status (N_NORM/_VSB_ABNORM)
  • Select in the network (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In process (PROGRESS/_VSB_DIREC)
  • Switched off (OFF/_VSB_N_UPD)
  • Substitute value (ALT_VAL/_VSB_AVALUE)

Info Informazioni

State bit Writing successful (WR_SUC/_VSB_WR_SUC) is available in the Runtime program and can be set back in order to display successful writing.

However only setting back the state does not trigger the transfer to the <CD_PRODCUTNAME> Runtime. Only value changes are transferred from the driver to the Runtime.

Status bits handled differently

The following status bits cancel each other out:

Bit

Description

17: Spontaneous
(SPONT/_VSB_SPONT)

Status SPONTAN is set. This is the status set if status handling is turned off or no status was defined. Status GI + INAVLID is deleted.

18: Invalid
(INVALID/_VSB_I_BIT)

Status INVALID is set. Status SPONTAN + GI is deleted.

16: General interrogation
(GI/_VSB_GR)

Status General Interrogation is set. Status SPONTAN + INAVLID is deleted.

8: Select in the network
(NET_SEL/_VSB_SELEC)

If this status bit is active (BSO activation/deactivation) the following status bits are accepted with 0 and also transmitted as 0 to the driver to identify a change:

  • Select in the network (NET_SEL)
  • Cause of transmission (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test bit (TEST)
  • Writing successful (WR_SUC)

select before operate (SBO)

Status simulation must be available in the Runtime program in order for Seleziona prima di operare to be reacted to. The procedure for Seleziona prima di operare is defined in Runtime.

Interno ID: Status

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870, IEC850 e DNP3 e solo se in Comando per la proprietà Tipo, è stata selezionata l´opzione Doppio comando.

Interno ID: Status

Tipo

Disponibile solamente con l´azione 'Comando':
tipo del comando
Doppio comando: Scrive il valore della proprietà "stato di comando".
Comando singolo: Scrive il valore della proprietà "stato di comando". Dopo "Ritardo fronte" viene scritto il valore 0. Questa scrittura non è più sottoposta a Watchdog timer.
Default: Comando unico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: prima che il valore venga scritto nell´hardware, zenon domanda se la variabile è disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi singoli, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà Ritardo fronte.

Interno ID: Status

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando singolo.
Dopo la scadenza di questo tempo espresso in millesecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non attiva: il valore della variabile viene scritto nell´hardware senza che il sistema ponga alcuna domanda all´utente = Direct execute.
Default: non attiva
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Activation

If an SBO select is sent to the driver, it triggers a value being written with state Select in the network (NET_SEL) + cause of transmission (COT_act).

A corresponding SBO procedure must be implemented and must start in Runtime.

The state bit Select in the network (NET_SEL) must be set back in the Runtime program.

Deactivation

The deactivation triggers the writing of a values with status Select in the network (NET_SEL) + Cause of transmission (COT_deact).

The SBO procedure must be ended in Runtime accordingly.

The state bit Select in the network (NET_SEL) must be set back in the Runtime program.


Start / stop

Start / stop

Driver start

The value updating only starts at the standby server if the driver has received the process image from its server. The image must be received within the time out module, otherwise the driver will start without an image. If the standby server is upgraded to the server within the waiting waiting time, waiting is also ended. Drivers that start in a network project or without a network have no waiting time. This behavior applies for both the simulation as well as for the hardware mode.

Runtime start

If the driver starts the simulation - programmed, the first stage is loading the DLL with the simulation Runtime. After this, Runtime is parametered and the Runtime program starts, provided it can be successfully loaded.

If an image of Runtime is present, Runtime is started hot with this. Otherwise, a warm start is carried out. If this is also not possible, an attempt is made to start Runtime cold. If there is no valid program, Runtime boots up stopped. The status of all variables is set to INVALID.

The simulation program runs in it own thread and is therefore completely independent from the driver cycle.

Info Informazioni

Retain variables

Retain data contain only the value of the zenon Logic variables not their status. This means for the start:

  • Warm start: The status which was set for a variable is restored - regardless of whether it is a retain variable or not.
  • Cold start with retain variables: Only the value of the retain variable in zenon Logic is restored, not the status.

Stop Runtime

If Runtime is stopped, the status INVALID is set for all variables. Variables that are requested when Runtime is stopped have the status INVALID as initialization. Runtime secures the data for the warm start and online change:

  • SIMULRT.HOT: Contains the data for the hot restart.
  • SIMULRT.UPD: Contains the data for the online change.

Both these files are created in the Runtime program folder. Runtime must have write authorization for this folder.

Reload

  • Recompiling the simulation project:
    causes the corresponding driver to be reloaded.
  • Modification of the Time Out module:
    is not recognized as a change by Runtime and does not cause the driver to be reloaded.

Standard implementation in the driver kit triggers a hot restart when reloading the simulation project. If this is not possible (for example because the program is different), a cold start is carried out with retain.

Removing Runtime

If Runtime is running, this is stopped. Before Runtime is removed, all outstanding value updates are sent to the driver. Only then is Runtime released and SimulRuntime.dll removed from the PC.


Driver commands

Driver commands

Driver commands are used to influence drivers via zenon, e.g. start and stop.
The engineering is implemented with the help of function Driver commands.

Stop/start driver

If the driver is stopped in simulation - programmed mode, this will result in Runtime being removed from the memory. All variables obtain status INVALID. When the driver is restarted, the simulation is reloaded and Runtime is started.

Switch hardware/simulation driver

When switching between modes Hardware and Simulation, the driver behaves according to the following pattern:

  1. If the driver was configured for hardware mode in the Editor:
    • the driver is set to mode Simulation static after function Driver command is executed with parameter Driver in simulation mode.
  2. If the driver was configured in the Editor for one of the simulation modes (static, counting, programmed:
    • the driver is set to hardware mode and communicated with the control after function Driver command is executed with parameter Driver in hardware mode.
    • the driver then changes back to the configurated simulation mode after function Driver command was executed with parameter Driver in simulation mode


Linking variables

Linking variables

The zenon driver is allocated to the zenon Logic variables via the names converted into capital letters. If the zenon Runtime requests a variable from the driver, it forwards this to the simulation. If no simulation is loaded, the variable receives status Switched off ( OFF/VSB_N_UPD) when the driver is stopped. Otherwise it receives status Invalid (INVALID/_VSB_I_BIT). Variables of driver variable object type are never requested by the simulation.


time stamp

time stamp

o use time stamping, in zenon Logic under Project -> Project parameters -> Extended -> Compiler -> Options -> Create status bit for variables with a profile must be active.

If the the date is set for a variable in Runtime, the value of date and time is used as a time stamp. If the date or time of a variable changes during the last cycle, this always triggers transmission of the values to the driver. This also applies if neither the value nor the status have changed.

Most of the drivers only transfer a new time stamp to the Runtime when value and/or status have also changed. An exception is for example the IEC870 driver which also transfers new time stamps from the hardware (or Simulation - programmed) without the value or status having changed to the Runtime.

Info Informazioni

It must be ensured that the date and time always increase. If this is not the case, this can lead to problems when archiving. The date must always have a value higher than or less than 0.

Variables stamped by Runtime are given the status of Real time external (T_EXTERN/_VSB_RT_E).

All variables to be transmitted to the driver that have not been stamped by Runtime receive a joint time stamping in the cycle. As a result, it is ensured that the time corresponds to that of the change. These drivers receive the status Real time internal (T_INTERN/_VSB_RT_I).

date & time

The following applies for all date and time indications:

  • Times correspond to the UTC.
  • All times must be between Jan 2 1970 und 2038.
  • The dates are converted into a string in the format of YYYY/MM/DD.
  • The time is converted into the format HH:MM:SS .


Please not for variables in simulation projects

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> Please not for variables in simulation projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The following is true for the creation and modification of variables in simulation projects:

  1. zenon Logic

    If variables are created for a simulation project in the zenon Logic Workbench, they do not have a valid addressing for the communication. If the communication is switch to hardware, the communication can be interrupted when the new variables are used in screens without a adjusting the addressing correctly.

  2. Rename

    If a variable is renamed in a simulation project, the name of the variable is also changed in zenon accordingly. So for example you must adjust the names of variables which are used in a VBA project also in the VBA code.

  3. Integrated solutions

    Variables of integrated solutions such as zenon Logic, IEC870 or IEC850 must not be renamed in the simulation project. In this case the variables lose their project information.
    For example: If you rename Project0/Global/NewVar to myNeVariablenwVar in the simulation project, it becomes myNewVar in zenon. After the renaming a communication with the zenon Logic Runtime is impossible.

  4. Communication based on variable names

    Variables of a driver which communicates based on the variable names must not be renamed in the simulation project.

  5. Deleting or importing variables

    If a variable is deleted or imported while online change is activated in zenon Logic, all variables are removed and inserted again in zenon Logic.

  6. Variables with active "embed" symbol

    Variables which exist in a program and whoses "embed" symbol is active are not available via the Shared Memory interface in zenon. If a variable with an active "embed" symbol is moved from the global area to a program, the variable is deleted in zenon.


Error messages

Manuale -> Variabili -> Driver -> Driver simulation -> Simulation - programmed -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Error messages in zenon editor:

Error message

cause and solution

The chosen name was already used for another driver or contains invalid characters! Please select another name.

The new name of the simulation project is already used in the project or is not valid.

  • Give it a valid name

The simulation project from the <File name>/<Description> driver has not been compiled and cannot be supported! Please compile the project in Workbench.

A simulation project is available for the driver in Workbench. This was not compiled however.

  • Start the zenon Logic Workbench with this driver's simulation project
  • compile the project

Tip: I does not make a difference if the diver settings are set to simulation - programmed in the driver settings

Write queue full! Write command for <Name Variable> lost!

Displays the loss of a write command.


Cambio del Driver

Manuale -> Variabili -> Driver -> Cambio del Driver

Si possono sostituire i driver in zenon. Le variabili sono disponibili e funzionanti anche dopo il cambio del driver, sempre che fossero esistenti nel driver cambiato. Il cambio della definizione driver è possibile solamente per driver disponibili e compatibili tra di essi .

attenzione Attenzione

I driver che sono collegati con un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.

Per sostituire un driver già esistente:

  1. selezionate il driver da sostituire nella visuale dettagliata
  2. aprite il menu contestuale cliccando con il tasto destro del mouse
  3. selezionate il comando Cambia driver.
  4. si aprirà lo stesso Dialogo che si apre quando si imposta un driver
  5. selezionate il nuovo driver

Le impostazioni necessarie per i driver (interfaccia, indirizzo interrupt etc.) vengono definite nella progettazione delle variabili.

Esempio Esempio

Durante la fase di sviluppo di un progetto, il concetto indirizzi per zenon non è ancora stabilito. Sono definite solamente le variabili da utilizzare.

Per rendere possibile l’elaborazione in parallelo del progetto, si implementa come driver il Driver per simulatore-variabili. In questo modo è possibile creare immagini con elementi dinamici ed eseguire test online (settaggi valore etc.).

Una volta stabilito il concetto indirizzi definitivo con l’accoppiamento a zenon, si effettua il cambio del driver che servirà in condizione di funzionamento definitivo.

Il cambio di un driver è possibile solamente a condizione che il driver utilizzato durante la progettazione e quello definitivo abbiano le stesse caratteristiche (tipi di variabili).


Eliminazione driver

Manuale -> Variabili -> Driver -> Eliminazione driver

Per cancellare un driver, selezionate nella visuale dettagliata del driver il comando Cancella nel menu contestuale o nella barra dei simboli. Il procedimento di cancellazione deve essere confermato.

Attenzione: vengono anche cancellate anche tutte le variabili appartenenti a questi driver.


Variabili del driver

Manuale -> Variabili -> Driver -> Variabili del driver

Il kit driver implementa una serie di variabili driver. Queste sono suddivise in:

  • Informazione
  • Configurazione
  • statistica e
  • Messaggi di errore

Le definizioni delle variabili implementate nel kit driver si trovano nel file d´importazione drvvar.dbf (sul CD nel percorso: CD_Laufwerk:/Predefined/Variables) e possono essere importate.

Indicazione: i nomi variabili devono essere unici in zenon. Se dopo un import di variabili driver da drvvar.dbf ne deve essere effettuato un altro, le variabili importate devono essere rinominate.

Info Informazioni

Non ogni driver supporta le isteresi di tutte le variabili driver.

Ad esempio:

  • le variabili per informazioni modem vengono supportate solamente da driver modem-compatibili
  • le variabili driver per il ciclo polling, solo per i puri driver polling
  • informazioni relative alla connessione come, ad esempio, ErrorMSG, solo da driver che lavorano in un determinato momento solamente con una connessione

Informazione

Nome dall´import | Typ | Offset | Descrizione
Versione principale | UINT | 0 | Numero di versione principale del driver
Sub versione | UINT | 1 | Numero di versione subordinata del driver
BuildVersion | UINT | 29 | Numero di versione build del driver
RTMajor | UINT | 49 | zenon: numero della versione principale
RTMinor | UINT | 50 | zenon numero della sottoversione.
RTSp | UINT | 51 | zenon numero del Servicepack
RTBuild | UINT | 52 | zenon: numero build
LineStateIdle | BOOL | 24.0 | TRUE, se linea modem è occupata
LineStateOffering | BOOL | 24.1 | TRUE, quando arriva una chiamata
LineStateAccepted | BOOL | 24.2 | La chiamata viene accettata.
LineStateDialtone | BOOL | 24.3 | suono è stato riconosciuto.
LineStateDialing | BOOL | 24.4 | selezione attiva.
LineStateRingBack | BOOL | 24.5 | ..in collegamento..
LineStateBusy | BOOL | 24.6 | stazione di destinazione occupata.
LineStateSpecialInfo | BOOL | 24.7 | Ricevere delle informazioni di stato specifiche.
LineStateConnected | BOOL | 24.8 | Collegamento stabilito.
LineStateProceeding | BOOL | 24.9 | Composizione numero eseguita.
LineStateOnHold | BOOL | 24.10 | Collegamento in attesa.
LineStateConferenced | BOOL | 24.11 | Collegamento in modalità di conferenza.
LineStateOnHoldPendConf | BOOL | 24.12 | collegamento in attesa per conferenza.
LineStateOnHoldPendTransfer | BOOL | 24.13 | collegamento in attesa per trasferimento.
LineStateDisconnected | BOOL | 24.14 | collegamento terminato.
LineStateUnknow | BOOL | 24.15 | stato di collegamento non conosciuto.
ModemStatus | UDINT | 24 | Stato di modem attuale.
Driver stop | BOOL | 28 | Driver fermato Nel caso di Stop driver, la variabile ha il valore TRUE e un bit OFF. Dopo l´avvio del driver, la variabile ha il valore FALSE e nessun bit OFF.
SimulRTState | UDINT | 60 | Fornisce informazioni sullo stato del runtime nella simulazione driver.

Configurazione

Nome dall´import | Typ | Offset | Descrizione
ReconnectInRead | BOOL | 27 | Se TRUE, viene creato automaticamente alla lettura un nuovo collegamento.
ApplyCom | BOOL | 36 | Attribuire le modifiche delle impostazioni alle interfaccie seriali La scrittura su quella variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyCom (attualmente senza ulteriori funzioni).
ApplyModem | BOOL | 37 | Attribuire le modifiche alle impostazioni del modem La scrittura su quella variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyModem Esso chiude la connessione attuale e ne apre una nuova corrispondente alle impostazioni PhoneNumberSet e ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Numero di telefono da comporre.
ModemHwAdrSet | DINT | 39 | Indirizzo hardware appartenente al numero di telefono.
GlobalUpdate | UDINT | 3 | Tempo di update in millesecondi (ms).
BGlobalUpdaten | BOOL | 4 | TRUE, se il tempo di update è globale
TreiberSimul | BOOL | 5 | TRUE se il driver è in simulazione
TreiberProzab | BOOL | 6 | TRUE, se le variabili sono tenute in memoria
ModemActive | BOOL | 7 | TRUE, se il modem è attivo con questo driver
Device | STRING | 8 | Nome dell´interfaccia seriale o nome del modem.
ComPort | UINT | 9 | Numero della porta seriale
Baudrate | UDINT | 10 | Baudrate della porta seriale
Parity | SINT | 11 | parità della porta seriale
ByteSize | SINT | 14 | Quantità di bit per carattere del port seriale Valore = 0, se il driver non può instaurare nessuna comunicazione seriale.
StopBit | SINT | 13 | Quantità dei bit stopp della porta seriale
Autoconnect | BOOL | 16 | TRUE se il collegamento modem dev´essere automaticamente creato alla lettura/scrittura.
PhoneNumber | STRING | 17 | Numero di telefono attuale
ModemHwAdr | DINT | 21 | Indirizzo hardware per il numero di telefono attuale
RxIdleTime | UINT | 18 | Se non si svolge nessun traffico di dati con successo più a lungo di questo tempo definito in secondi (s), sara interrotto il collegamento modem.
WriteTimeout | UDINT | 19 | Massima durata di scrittura nel caso di una connessione modem in millesecondi (ms).
RingCountSet | UDINT | 20 | Numero di squilli prima che la chiamata sia accettata
ReCallIdleTime | UINT | 53 | Tempo di attesa fra chiamate in secondi (s).
ConnectTimeout | UDINT | 54 | Tempo in secondi (s) per l´instaurazione della connessione.

Statistica

Nome dall´import | Typ | Offset | Descrizione
MaxWriteTime | UDINT | 31 | Il tempo più lungo in millesecondi (ms) che è necessario per la scrittura.
MinWriteTime | UDINT | 32 | Il tempo più corto in millesecondi (ms) che è necessario per la scrittura.
MaxBlkReadTime | UDINT | 40 | Tempo più lungo in millesecondi (ms) impiegato per la lettura di un blocco dati
MinBlkReadTime | UDINT | 41 | Tempo più corto in millesecondi (ms) impiegato per la lettura di un blocco dati
WriteErrorCount | UDINT | 33 | Numero degli errori di scrittura
ReadSucceedCount | UDINT | 35 | Numero di tentativi di lettura con successo
MaxCycleTime | UDINT | 22 | Tempo massimo in millesecondi (ms) impiegato per la lettura di tutti dati richiesti
MinCycleTime | UDINT | 23 | Tempo minimo in millesecondi (ms) impiegato per la lettura di tutti dati richiesti
WriteCount | UDINT | 26 | Numero di tentativi di scrittura
ReadErrorCount | UDINT | 34 | Numero di tentativi di lettura falliti
MaxUpdateTimeNormal | UDINT | 56 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Normale in millesecondi (ms).
MaxUpdateTimeHigher | UDINT | 57 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Piú alto in millesecondi (ms).
MaxUpdateTimeHigh | UDINT | 58 | Intervallo dall´ultimo aggiornamento del gruppo di priorità alto in millesecondi (ms).
MaxUpdateTimeHighest | UDINT | 59 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Il più alto in millesecondi (ms).
PokeFinish | BOOL | 55 | Va per un'interrogazione su 1, se tutti i pokes in attesa sono eseguiti.

Messaggi di errore

Nome dall´import | Typ | Offset | Descrizione
ErrorTimeDW | UDINT | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore
ErrorTimeS | STRING | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore come stringa.
RdErrPrimObj | UDINT | 42 | Numero dell´oggettoPrim quando l´ultimo errore di lettura è stato causato
RdErrStationsName | STRING | 43 | Numero della stazione quando l´ultimo errore di lettura è stato causato
RdErrBlockCount | UINT | 44 | Numero dei blocchi da leggere quando l´ultimo errore di lettura è stato causato
RdErrHwAdresse | UDINT | 45 | Indirizzo hardware quando l´ultimo errore di lettura è stato causato
RdErrDatablockNo | UDINT | 46 | Numero di componente quando l´ultimo errore di lettura è stato causato
RdErrMarkerNo | UDINT | 47 | Numero di merker quando l´ultimo errore di lettura è stato causato
RdErrSize | UDINT | 48 | grandezza del blocco quando è stato causato l´ultimo errore di lettura.
DrvError | SINT | 25 | Numero messaggio di errore.
DrvErrorMsg | STRING | 30 | Stringa contenente il messaggio di errore.
ErrorFile | STRING | 15 | Nome del file degli errori.


Documentazioni driver

Manuale -> Variabili -> Driver -> Documentazioni driver

Informazioni su tutti i driver zenon le potete trovare nella documentazione relativa. Quest´ultima la trovate nel capitolo Driver.

Info Informazioni

Nel caso in cui non doveste trovare un driver o una documentazione driver, potete rivolgervi a support@copadata.com.


Creare, modificare e usare variabili

Manuale -> Variabili -> Creare, modificare e usare variabili

Si possono creare delle variabili.

  • come variabili semplici
  • in Arrays
  • come Variabili struttura

Variabile dialogo

Per creare una nuova variabile, non importa di quale tipo:

  1. selezionate nel nodo Variabili nel menu contestuale il comando Nuova variabile

  2. si apre il dialogo per configurare la variabile.
  3. configurate la variabile
  4. dipende dal tipo della variabile quali impostazioni sono possibili

Proprietà

Descrizione

Nome

Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.

Attenzione:Il carattere # non è consentito per i nomi variabili. S si usano dei caratteri non consentiti, non è possibile portare a termine l´impostazine della variabile, il pulsante Termina non è attivo.

Driver

selezionate il driver desiderato fra quelli della lista a cascata.

Indicazione: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).

Tipo di oggetto driver

selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.

Tipo di dati

Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..

Impostazioni array

Impostazioni estese per variabili array I dettagli relativi li potete trovare nel capitolo Array

Opzioni di indirizzamento

Impostazioni estese per Arrays e Variabili struttura. I dettagli relativi li potete trovare nel capitolo corrispondente.

Attivazione elementi automatica

Impostazioni estese per Arrays e Variabili struttura. I dettagli relativi li potete trovare nel capitolo corrispondente.

Derivazione di tipo di dato

Area di misurazione, Risoluzione segnalee Settaggio valore impostabile sono sempre:

  • derivati dal tipo di dato
  • e adattati automaticamente in caso di modifica del tipo di dato

Indicazione Risoluzione segnale: nel caso di passaggio ad un tipo di dato che non supporta la Risoluzione segnale impostata, la Risoluzione segnale viene adattata automaticamente. Per esempio, nel caso di passaggio da INT aSINT, la Risoluzione segnale viene modificata a 127. L´adattamento avviene anche se la Risoluzione segnale non è derivata dal tipo di dato. In questo caso la Area di misurazione deve essere modificata manualmente.


Variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le variabili semplici consistono sempre di un tipo di dato e un tipo di oggetto driver. Esse costituiscono la base di variabili array e variabili struttura.


Creazione di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice -> Creazione di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Cliccate con il tasto destro del mouse all´interno del Manager di progetto su Variabile; poi scegliete nel menu contestuale la voce Nuova variabile..

Nel dialogo successivo, definite il nome, Driver , Driver - Tipo di oggetto e Tipo di dato.

Proprietà | Descrizione
Nome Interno ID: Creazione di una variabile semplice Nome Nome univoco della variabile. Il carattere # non è consentito. Indicazione: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic. Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE). Attenzione:questa proprietà non è a disposizione per il cambio lingua. Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver Interno ID: Creazione di una variabile semplice Driver Driver per la variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede. Indicazione: i driver per i progetti zenon Logic non possono essere più modificati in seguito. Ulteriori informazioni nella guida in linea Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | selezionate il driver desiderato fra quelli della lista a cascata.
Tipo di oggetto del Driver Interno ID: Creazione di una variabile semplice Tipo di oggetto del Driver Dipendente dal driver utilizzato.Alla creazione della variabile viene selezionato un tipo di oggetto e tramite questa proprietà è possibile modificarlo ulteriormente. Siemens: Blocco dati esteso (DB), Merker, Input/Output. Modbus: Coil,Holding Register. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dato Interno ID: Creazione di una variabile semplice Tipo di dato Tipo di dato della variabile; viene selezionato alla creazione della variabile e può essere ulteriormente modificato. Più informazioni nell'Help Online Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "" | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..

La nuova variabile verrà poi visualizzata nella Visualizzazione dettagli del Manager di progetto. Le ulteriori proprietà delle variabili le fisserete nella Finestra delle proprietà delle variabili.


Modifica delle proprietà di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice -> Modifica delle proprietà di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le modifiche di proprietà di variabili si effettuano nella finestra proprietà. A questo scopo clicchi sulla variabile da modificare nella sezione lista e inserisca le modifiche desiderate nella finestra proprietà.


Modificare variabili

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice -> Modifica delle proprietà di una variabile semplice -> Modificare variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il dialogo Modifica variabili viene aperto quando vengono selezionate una o più variabili e viene scelta una delle seguenti proprietà:

  1. Tipo di dato

    Interno ID: Modificare variabili

    Tipo di dato

    Tipo di dato della variabile; viene selezionato alla creazione della variabile e può essere ulteriormente modificato.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. Driver

    Interno ID: Modificare variabili

    Driver

    Driver per la variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.

    Indicazione: i driver per i progetti zenon Logic non possono essere più modificati in seguito.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. Tipo di oggetto del Driver

    Interno ID: Modificare variabili

    Tipo di oggetto del Driver

    Dipendente dal driver utilizzato.Alla creazione della variabile viene selezionato un tipo di oggetto e tramite questa proprietà è possibile modificarlo ulteriormente.
    Siemens: Blocco dati esteso (DB), Merker, Input/Output.
    Modbus: Coil,Holding Register.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. Impostazioni array

    Interno ID: Modificare variabili

    Impostazioni array

    Proprietà per la strutture di variabili.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    1. Dim 1

      Interno ID: Modificare variabili

      Dim 1

      Grandezza della prima dimensione dell’ array.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    2. Dim 2

      Interno ID: Modificare variabili

      Dim 2

      Grandezza della seconda dimensione dell’ array.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    3. Dim 3

      Interno ID: Modificare variabili

      Dim 3

      Grandezza della terza dimensione dell’ array.

      Più informazioni nell'Help Online

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    4. Indice di start Array

      Interno ID: Modificare variabili

      Indice di start Array

      Selezionate l'indice di inizio dell'array fra quelli della lista dropdown.

      Ulteriori informazioni nella guida in linea

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  5. Calcolo offset

    Interno ID: Modificare variabili

    Calcolo offset

    Selezionate il tipo di calcolo desiderato per l´offset. Sono disponibili le seguenti possibilità di selezione:

    • indirizzo segue tipo di dato Offset e Start-Offset
    • Indirizzamento automatico
    • Indirizzamento manuale

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  6. Tipo di dato

In questa sede si modificano le impostazioni che formano una unità; ciò avviene per tutte le variabili che sono state selezionate (è possibile una scelta multipla).

Modifica quando sono state selezionate più variabili:

Se il valore della proprietà è uguale per tutte le variabili selezionate, esso viene visualizzato nel dialogo corrispondente; altrimenti l'inserimento rimane vuoto. Questo spazio vuoto significa che l'impostazione non è stata definita. Nel caso in cui si sia operata una selezione, non è più possibile scegliete "nessuna selezione". Nel caso lo si desideri, però, si deve lasciare il dialogo con annulla e si deve riaprirlo. (Eccezione: i checkbox).

Finché il driver non è specificato, il Combobox tipo di oggetto driver contiene tutti i tipi che sono possibili per il driver della variabile selezionata. Quando si è selezionato il driver, vengono visualizzati solo i tipi del driver specificato. Se un driver viene modificato in uno di zenon Logic, il nome della variabile viene automaticamente modificato e adattato.
Nel caso di una selezione multipla, i checkbox hanno tre stati: in, out e non definito. I campi non definiti non vengono modificari nella variabile. Se un campo è stato specificato, esso definisce il nuovo valore di tutte le variabili selezionate.

Controllo della modifica:

Per ogni variabile si controlla prima della modifica, se l'impostazione risultante è permessa o no.

Esempio Esempio

Esempio di una modifica proibita: una variabile array e una semplice sono state selezionate e la dimensione array viene modificata. Errore: una variabile semplice non può essere modificata a posteriori in una del tipo array.

Per quelle variabili che non possono essere modificate secondo le nuove impostazioni, viene generata una segnalazione di errore. Prima della modifica, queste segnalazioni vengono visualizzate nel dialogo ' Errore nella modifica di variabili', a modifica avvenuta, nella finestra di emissione dell'editor.


Errori nella modifica di variabili

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice -> Modifica delle proprietà di una variabile semplice -> Errori nella modifica di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso in cui una modifica dovesse essere impossibile per una o più variabili, viene aperto il dialogo Errore nella modifica di variabili. Esso serve a indicare le variabili che non possono adottare le modifiche apportate. Questo dialogo viene aperto prima che una modifica venga resa operante e solo se esistono delle variabili per cui questo cambiamento non è possibile. Gli inserimenti sono filtrabili e ordinabili.

Parametri | Descrizione
Nome | Nome della variabile che non può adottare le modifiche.
Driver | Nome del driver con relativa definizione sul quale si basa la variabile in questione.
Tipo di dati | Tipo di dato che usa la variabile.
Tipo di oggetto driver | Tipo di oggetto driver che usa la variabile.
Segnalazione | Descrizione della causa per cui la variabile non può adottare la modifica.
Esci | La modifica della variabile viene interrotta. Non viene effettuato alcun cambiamento.
Ignora tutto | Tutte le variabile che non hanno potuto adottare le modifiche, vengono ignorate. Le variabili, invece, per cui la modifica è possibile, vengono modificate. Per quelle ignorate, viene generata una segnalazione nella finestra di emissione. Il testo corrisponde a quello della "segnalazione".
Indietro | Si torna indietro al dialogo di modifica.
Riga di stato | Numero delle variabili selezionato e delle cause che hanno impedito le modifiche. Con il riconoscimento della prima causa, la variabile viene considerata non modificabile. Ci possono essere anche delle altre cause che impediscono la modifica, ma esse non vengono cercate dal sistema. Nel caso delle variabili complesse (array o strutturate), vengono controllate anche tutte le variabili già attivate, per verificare se ci sono problemi con le modifiche. Per ogni variabile non modificabile, viene generata una segnalazione. Da quanto detto deriva che il numero delle cause che impediscono la modifica può essere maggiore a quello delle variabili selezionate.


Cancellazione di variabili semplici

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabile semplice -> Cancellazione di variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Clicchi nella sezione lista con il tasto destro del mouse sulla variabile da cancellare ed ottiene le opzioni di cancellazione nel menù contestuale:

Clicchi su Elimina ed ottiene il box di dialogo per la seguente verifica:


Arrays

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Arrays sono campi di tipi di dato o di variabili. Distinguiamo:

  • Tipo di dato array: possono essere realizzati solo in strutture.
  • Variabili array: possono essere invece realizzati con tipi di dato semplici.

Gli arrays possono essere realizzati con al massimo 3 dimensioni.

Esempio Esempio

Esempio per una variabile array a due dimensioni.

Numero di giri [2,3]
Questa variabile è costruita in fin dei conti di 6 variabili (2x3):

  • Numero di giri [1,1]
  • Numero di giri [1,2]
  • Numero di giri [1,3]
  • Numero di giri [2,1]
  • Numero di giri [2,2]
  • Numero di giri [2,3].

Internamente gli array sono trattati come delle strutture. Questo riguarda specialmente l´indirizzamento.

attenzione Attenzione

Le variabili array, che si basano su un driver stratonNG oppure straton32, non possono cominciare con 1. Un array zenon della dimensione 1,2,2 viene impostato in zenon Logic solamente come semplice variabile.

Variabili non attive

In un array singole variabili possono essere disattivate. Variabili non attive

  • non sono disponibili in zenon
  • non vengono registrate nel driver
  • non vengono tenute in considerazione nel calcolo di I/Os per la grandezza della licenza

Potete impostare in un array delle variabili di riserva, che in un secondo momento, p.es. in un ampliamento, possono essere riattivate.

Grandezza di array blocco (fino alla versione 5.50)

Fino alla versione 5.50 si poteva definire tramite la proprietà Grandezza array la grandezza di array blocco. In tal modo è possibile, ad esempio, utilizzare solamente una variabile con licenza, ma indirizzare indirettamente in RGM o in VBA diverse variabili con driver che usano indirizzi offset. Questa proprietà è ancora disponibile per ragioni di compatibilità.

Interno ID: Arrays

Grandezza array

Ormai disponibile solamente per ragioni di compatibilità.
Fino alla versione 5.50 Definizione della Grandezza array.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione: Il Driver interno non supporta questa proprietà. Nell´editor si può definire un valore, ma nel runtime non viene visualizzata nessuna variabile (valore sempre 0).


Creazione di variabili array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Creazione di variabili array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La creazione di arrays di variabili viene effettuata nello stesso modo delle variabili semplici.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Indicazione: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dati | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale.
Ogni tipo di dato parte con nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di array. Attiva: per ogni elemento array inizierà un nuovo offset. Non attiva: Offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Attiva alla creazione della nuova variabile array tutti gli elementi automaticamente
Attiva elementi manualmente | Gli elementi alla loro creazione non vengono attivati Devono essere attivati manualmente nella lista delle variabili La rispettiva procedura viene eseguita attraverso il menù contestuale della lista variabile.


Indirizzamento

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Indirizzamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Di default gli array vengono indirizzati automaticamente. Nel caso di variabili array, si indicano:

  • Indirizzo di rete
  • Start-Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Per i singoli elementi di array non dev´essere impostato niente di più. Il calcolo dell´indirizzo avviene automaticamente.

In caso di indirizzamento manuale di array, l'opzione Indirizzamento automatico dev´essere attivata già alla creazione dell´array, oppure in un secondo momento nella finestra proprietà.

Il calcolo dell´indirizzo viene eseuito una seconda volta nel caso di modifica di:

  • tipo di dato di un array
  • Tipo di oggetto driver
  • Driver
  • dimensione dell´array


Esempio per array con indirizzamento automatico per una variabile INT

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Indirizzamento -> Esempio per array con indirizzamento automatico per una variabile INT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Vogliamo creare un array di 5 variabili integer.

Configurazione base

Nel dialogo di configurazione delle variabili

  • Nome assegnazione libera
  • Driver: S7 TCP/IP
  • Tipo di oggetto driver: Blocco dati esteso
  • Tipo di dati: INT
  • Array: L´indice di partenza è 1
  • Dim 1: 5
  • Dim 2: 0
  • Indirizzamento: Indirizzamento automatico
  • Ogni tipo di dato parte con nuovo offset: Attiva
  • Attivazione elementi: Attiva tutti gli elementi

Cliccando su OK vengono create le 5 variabili desiderate ed una rispettiva variabile di array per la quale possono essere determinate le proprietà array.

Configurazione dettagliata

La selezione di una variabile array nella sezione lista permette di influire sulle proprietà di tutto l´array. Le impostazioni più importanti si trovano nel gruppo “Indirizzamento”. In questa sede, impostiamo per l´array:

  • Blocco dati
  • Indirizzo di rete (=indirizzo bus)
  • Startoffset

Avendo selezionato „indirizzamento automatico“, tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza. Nel nostro esempio, modifichiamo il blocco dati passando a 50, l´indirizzo di rete lo lasciamo a 0 , mentre cambiamo l´Offset portandolo a 100.

La risoluzione dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile INT necessita 16 bit. Ne risulta il seguente indirizzamento automatico per il nostro array:

Array | Indirizzo di rete | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100
Array of INT[2] | 0 | 50 | 102
Array of INT[3] | 0 | 50 | 104
Array of INT[4] | 0 | 50 | 106
Array of INT[5] | 0 | 50 | 108

Gli offset quindi sono sempre spostati di 2, siccome una variabile di 16 bit necessita due offset 8 bit.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5 si presenterebbe un'altra scena. Sul driver S5 i blocchi dati hanno una risoluzione di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD. A progettazione identica si presenterà la scena seguente:

Array | Indirizzo di rete | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100NT
Array of INT[2] | 0 | 50 | 101
Array of INT[3] | 0 | 50 | 102
Array of INT[4] | 0 | 50 | 103
Array of INT[5] | 0 | 50 | 104

Gli offset sono aumentati di una cifra dato che una variabile a 16 bit non necessita un offset a 16 bit.


Esempio per array con indirizzamento automatico per una variabile BOOL:

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Indirizzamento -> Esempio per array con indirizzamento automatico per una variabile BOOL:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Procediamo come nell´esempio dell´indirizzamento automatico con il tipo di dato INT, ma usiamo il tipo di dato standard BOOL. Tutte le altre impostazioni restano come descritto sopra e creiamo un nuovo array di variabile.

Nelle proprietà dell´array di variabile definiamo i valori come segue:

Blocco dati: 50

Indirizzo di rete: 0

Offset: 100

numero bit: 0

Nel caso del driver S7, dall´indirizzamento automatico deriva la seguente immagine:

Array | Indirizzo di rete | Blocco dati | Offset | numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 101 | 0
Array of INT[3] | 0 | 50 | 102 | 0
Array of INT[4] | 0 | 50 | 103 | 0
Array of INT[5] | 0 | 50 | 104 | 0

Una variabile 1 bit trova spazio in un offset 8 bit. Avendo impostato Ogni tipo di dato parte con un nuovo offset, ogni elemento di array è stato messo su un nuovo offset.

Se disattiviamo questa proprietà dell´array di variabile, si presenta questa scena modificata:

Array | Indirizzo di rete | Blocco dati | Offset | numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 1
Array of INT[3] | 0 | 50 | 100 | 2
Array of INT[4] | 0 | 50 | 100 | 3
Array of INT[5] | 0 | 50 | 100 | 4

I bit vengono quindi messi nello stesso offset uno dopo l´altro. Nel caso in cui un offset non bastasse come per esempio con un array di 20 variabili BOOL, sarà continuato con il prossimo offset. Per un array di 20 variabili BOOL quindi basterebbe dall´offset 100 numero bit 0 fino all´offset 102 numero bit 3.


Esempio di array con indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Indirizzamento -> Esempio di array con indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

per l´indirizzamento automatico, nella configurazione variabili deve essere selezionata la proprietà Indirizzamento automatico. Poi possono essere indicate manualmente per ogni elemento array le informazioni concernenti:

  • indirizzo di rete
  • Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Per l´esempio di array con indirizzamento automatico per una variabile BOOL, potremmo avere la cosa seguente:

Array | indirizzo di rete | Blocco dati | Offset | numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 2
Array of INT[3] | 0 | 50 | 101 | 0
Array of INT[4] | 0 | 50 | 101 | 2
Array of INT[5] | 0 | 50 | 102 | 0

attenzione Attenzione

Se l'offset di partenza dell'array o la grandezza della dimensione dell'array stesso vengono modificate, tutte le informazioni d'indirizzo (offset e indirizzo Bit) vengono ricalcolate.

Nel caso di una modifica dello start-offset, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili array rimane dunque immutata.


Modifica delle proprietà di un array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Modifica delle proprietà di un array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le proprietà vengono modificate mediante la finestra di proprietà e il dialogo Modifica variabili.

Tenete presente soprattutto due proprietà speciali:

  • „Ultimo offset utilizzato“: indica quale offset (incluso numero di bit) è stato utilizzato come ultimo nell´indirizzamento automatico.
  • „Grandezza in byte“: mostra quanti byte sono utilizzati dall´array utilizzato.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Indicazione: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dati | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di array. Attiva: per ogni elemento array inizierà un nuovo offset. Non attiva: Offset vengono usati completamente (le variabili vengono messe in successione).

Indicazione a proposito della modifica del tipo di dato IEC

Se il tipo di dato IEC d un array viene modificato, vale quanto segue:

  • finché il valore della risoluzione segnale attuale si trova nell´ambito delle risoluzioni segnale del tipo di dato, non viene effettuato alcun adattamento:
  • L´area di misurazione non viene adattata:

    Eccezione: nel caso del tipo di dato BOOL la risoluzione segnale e l´area di misurazione vengono sempre adattate.

Per l´adattamento della risoluzione segnale vale la regola per cui la nuova risoluzione deve essere minore di quella precedente:

  • SingalbereichMin viene adattato solamente se SignalbereichMinNeu < è SignalbereichMinAlt
  • SignalbereichMax viene adattato solamente se SignalbereichMaxNeu< è SignalbereichMinAlt


Attivazione/Disattivazione di elementi array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Arrays -> Attivazione/Disattivazione di elementi array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ogni array può essere attivato e disattivato in maniera separata. L´attivazione può essere effettuata o alla creazione dell´array (“attiva tutti gli elementi”) o manualmente attraverso il menù contestuale dei singoli elementi array. L´indirizzamento automatico considera gli elementi array inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.


Variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una struttura consiste di elementi singoli. Essi sono sempre dei tipi di dati. Per creare di un elemento di struttura deve sempre essere selezionato un tipo di dato già esistente. Elementi di struttura possono essere o embedded o collegati.

Parametri | Descrizione
Elementi di struttura scollegati | Elementi di struttura embedded possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà possono essere impostate appositamente e salvate con per ogni singolo elemento di struttura.
Elementi di struttura collegati | Elementi di struttura collegati riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario si modificano anche tutti gli elementi di struttura collegati !

Struttura di tipi di dato

I dettagli sulla creazione dei tipi di dato struttura li potete trovare nel capitolo Tipi di dato/Tipi di dato struttura.

Variabili struttura

Variabili struttura si basano sempre su un tipo di dato struttura. Rappresentano quindi principalmente la costruzione della struttura sulla quale sono basate. Nella creazione di una struttura di variabili possono essere indicate le seguenti opzioni:

Parametri

Descrizione

Arrays

Può essere definito se una struttura deve consistere in una singola struttura di variabile oppure in un array. Per le strutture di arrays possono essere definite fino a tre dimensioni.

Indirizzamento

L´indirizzamento delle strutture di variabili può essere effettuato automaticamente o manualmente. Di default l´indirizzamento è calcolato in modo automatico. Il calcolo dell´indirizzo dipende dalla risoluzione dal tipo di oggetto del driver e dagli elementi di struttura utilizzati.

Nel caso dell´indirizzamento automatico, ogni tipo di dato può essere avviato con un nuovo offset.

Attivazione di elementi in variabili struttura

Può essere impostato se tutti gli elementi di struttura sono attivati oppure no.

Attivazione significa che tutti gli elementi sono attivi. Le variabili attive possono essere utilizzate subito in zenon. Le variabile disattivate non sono disponibili e non vengono considerate nel calcolo I/O in zenon per quanto riguarda la licenza e non sono neanche registrate nel driver. In tal modo, potete impostare in una struttura delle aree di riserva che possono essere attivate in un secondo momento. Al momento, tutti gli elementi di una variabile struttura sono attivabili e disattivabili mediante il menu contestuale.

Indicazione: anche le variabili struttura disattivate vengono tenute in considerazione per il calcolo di indirizzamento. Se non lo si desidera, gli indirizzi devono essere assegnati manualmente, oppure deve essere cancellato l´elemento struttura corrispondente nel tipo di dato.

Comportamento nel caso di import XML

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di esse vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati attraverso il loro nome.
  • Nel caso di elementi di struttura già esistenti, il tipo viene adattato nella misura in cui si differenzia.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo elemento di struttura, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che inattive. Gli elementi esistenti non vengono sovrascritti quando si effettua l´import. Se quindi si importa in un progetto una variabile inattiva e poi la si attiva, essa rimane attiva anche dopo un nuovo import XML.


Creazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare una variabile struttura:

  1. create anzitutto una variabile semplice
  2. selezionate il tipo di dato struttura
  3. selezionate il driver e il tipo di oggetto driver
  4. definite le dimensioni array

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Indicazione: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dati | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attiva: per ogni elemento struttura inizierà un nuovo offset. Un Bit-Offset > 0 causa l´aumento dell´Offset pari a 1. Non attiva: Offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Attiva automaticamente alla creazione della nuova variabile struttura tutti gli elementi
Attiva elementi manualmente | Gli elementi alla loro creazione non vengono attivati Devono essere attivati manualmente nella lista delle variabili La rispettiva procedura viene eseguita attraverso il menù contestuale della lista variabile.

Orientamento di tipi di dato nel caso di indirizzamento automatico

  • Un driver con granularità BYTE può usare con BOOL solamente i bit da 0 a 7. Tutti gli altri tipi di dato iniziano con bit 0.
  • Con WORD: BOOL Bits 0 fino a 15, U(S)INT Bit 0 e 8. Tutti gli altri tipi di date iniziano con Bit 0.
  • Con DWORD: BOOL Bits 0 fino a 31, U(S)INT die Bit 0, 8, 16, 24. (U)INT Bit 0 e 16. Tutti gli altri tipi di date iniziano con Bit 0.
  • Le stringhe devono iniziare sempre con Bit 0.
    Ne consegue che: se nell´indirizzo attuale il Bitoffset > è 0, la variabile viene settata su bit 0 e offset+1.

Esempio

USINT = 8Bit, granularità WORD = 16bit.

La variabile può iniziare solamente con i bit 0 oppure 8. Se, per esempio, è stato progettato come bitoffset 2 e l´indirizzo attuale è Offset=0 Bit=0, la variabile viene settata su Offset 0 Bit 8. Se invece l´indirizzo attuale fosse Offset=0 e Bit=7, su Offset=1 Bit=0


Struttura semplice con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Struttura semplice con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esempio

In un primo passo, creiamo un tipo di dato struttura. A tale scopo, creiamo una struttura Slider con quattro elementi:

  • numero di giri set value (UINT),
  • numero di giri attuale (USINT),
  • Array [2] di
    • on/off (BOOL) e
  • controllo (SINT).

Poi dobbiamo creare facendo uso del dialogo Crea variabile una variabile strutturata che si basa su questo tipo di dato. Usiamo per questo esempio:

  • il driver S7 TCP/IP
  • il blocco dati Area
  • la dimensione array 0
  • le opzioni attivate
    • Indirizzamento automatico
    • Ogni tipo di dato parte con nuovo offset
    • Attiva tutti gli elementi

Nella lista variabili viene generata, facendo clic su finisci, la struttura desiderata con tutti gli elementi.

Se si seleziona la struttura di variabile “Regolatore numero di giri” nella sezione lista, è possibile influire sulle proprietà di tutta la struttura nella finestra di proprietà. Le impostazioni più importanti si trovano nel grupp Indirizzamento. Li vengono definiti il blocco dati, l´indirizzo di rete (=indirizzo bus) e l´offset di partenza per la struttura. Avendo selezionato Indirizzamento automatico, tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza.

Nel nostro esempio impostiamo:

Blocco dati: 50

Offset: 100

Indirizzo di rete: 0

La risoluzione dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile UINT necessita 16 bit, ogni variabile USINT 8 bit, ogni variabile BOOL 1 bit ed ogni variabile SINT 8 bit.

Ne risulta il seguente indirizzamento automatico per la nostra struttura.

Variabile | indirizzo di rete | Blocco dati | Offset | numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 104 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 105 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 106 | 0

Ultimo offset utilizzato: 105 Bit 7

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile 8 bit „Regolatore-Giri.Valore impostabile numero giri" utilizza 1 offset, la variabile 16 bit „regolatore numero giri. valore attuale numero giri" utilizza 2 offset, le 2 variabili BOOL utilizzano in un´offset 2 bit e la variabile „regolatore numero giri. sorveglianza numero giri" utilizza 1 offset.

Gli indirizzi non possono essere adattati che attraverso la struttura di tipo di dato o attraverso le impostazioni indirizzo nella struttura di variabile, non possono essere adattati attraverso i singoli elementi di struttura. Soltanto l´indirizzamento manuale permetterebbe questo.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5 si presenterebbe un'altra scena. Sul driver S5 i blocchi dati hanno una risoluzione di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD.

A progettazione identica si presenterà la scena seguente:

Variabile | indirizzo di rete | Blocco dati | Offset | numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 101 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 102 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 102 | 8

„Ultimo offset utilizzato“: 102 Bit 15

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile a 8 bit „Regolatore-Giri.Valore impostabile numero di giri" utilizza metà offset (bit 0 – 7); la variabile 16 bit „Regolatore-Giri. Valore attuale numero giri" utilizza un offset. Le 2 variabili BOOL utilizzano solo i primi 2 bit dell´offset 102 e quindi la variabile „Regolatore-Giri.Sorveglianza" parte nello stesso offse delle 2 BOOL con numero bit 8.


Variabile struttura come array con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Variabile struttura come array con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Array nel caso di elemento struttura con tipo di dato semplice

Le variabili vengono indirizzate in forma compatta a partire dall´offset, in corrispondenza di tipo di dato IEC e granularità. Non esiste dunque nessuna differenza rispetto all´indirizzamento "a pacchetto".

Variabili struttura come array

L´indirizzo del primo elemento struttura nell´indice n deriva dall´indirizzo dell´ultimo elemento struttura nell´indice n-1 più l´offset nell´elemento struttura.

Se la proprietà ogni tipo di dato parte con nuovo offset

  • attivo: l´indice comincia sempre con un Offset intero (Bit è 0, eventualmente spostato di Offset in elementi struttura).
  • non attivo: si indirizza "a pacchetto" in modo corrispondente al tipo di dato e granularità e spostato dell´offset dell´elemento struttura. Indipendentemente da ciò, la variabile viene orientata in corrispondenza di tipo di dato e granularità.

Esempio

Usiamo lo stesso esempio come nel capitolo Struttura semplice con indirizzamento automatico, cambiamo però nelle proprietà della variabili struttura la dimensione array 1 da 0 a 2.

Cliccando su Finiscisi presenta la scena seguente nella lista delle variabili:

La struttura esistente è stata modificata in modo da mettere a disposizione ogni elemento di struttura in modo duplice.

Per il nostro esempio con il driver S7 si presenta quindi la scena seguente per l´indirizzamento automatico, quando sono state effettuate le impostazioni seguenti: ogni tipo di dato parte con nuovo offset:

Variabile | indirizzo di rete | Blocco dati | Offset | numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 103 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 103 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 104 | 0
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 105 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 106 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 109 | 0

Ultimo offset utilizzato: 109 Bit 7

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce.

Alla modifica del driver verso il driver S5 si presenta la scena seguente:

Variabile | indirizzo di rete | Blocco dati | Offset | numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 102 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 102 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 102 | 8
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 103 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 104 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 105 | 7

Ultimo offset utilizzato: 105 Bit 15

Ogni tipo di dato parte con nuovo offset

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce. Ci possono essere delle differenze a causa dell'opzione Ogni tipo di dato parte con nuovo offset. Se questa opzione è settata la partenza della prossima struttura di array è depositata sempre su un nuovo offset, anche se la prossima struttura riuscirebbe a rientrare ancora in questo offset.

Esempio Esempio

L´ultimo elemento di struttura è un SINT (8 bit) e utilizza offset 102 bit 0 a 7. Per l´esempio driver S5 (16 bit offset) la prossima struttura partirebbe come segue:

  • Opzione attivata: “Ogni tipo di dato parte con nuovo offset” Offset 103 Bit 0
  • Opzione disattivata: “Ogni tipo di dato parte con nuovo offset” Offset 102 Bit 8. Le strutture verranno allineate direttamente una all´altra.


Indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso dell´indirizzamento manuale, gli indirizzi possono essere assegnati in modo semiautomatico o completamente automatico.

Soluzione semiautomatica

Gli offset ed il numero bit sono definiti negli elementi di struttura nel tipo di dato. Tuttavia, in quella sede è definito soltanto un offset relativo. Nella struttura di variabile è definito un offset di partenza e tutti gli offset relativi vengono aggiunti a questo offset di partenza.

Esempio

come in struttura semplice con indirizzamento automatico, creiamo il tipo di dato struttura Struttura Regolatore. Con i singoli elementi di struttura, poi, viene impostato per ogni elemento un qualsiasi offset, per es.offset 3 per l'elemento struttura numero di giri oggettivo.

Alla creazione di una variabile struttura, l´opzioneIndirizzamento automaticoviene disabilitata. Nelle proprietà della struttura di variabile viene definito 100 come offset di partenza.. zenon calcola adesso per l´indirizzo della variabile „Regolatore-giri.Valore impostabile numero di giri“ l´offset 103 (100 dalla struttura e 3 dall´elemento di struttura).

In caso di modifica dell´offset relativo in un ulteriore momento si deve procedere come segue:

  • Prima l´offset dell´elemento di struttura dev´essere modificato nel tipo di dato.
  • Poi l´offset di partenza deve essere modificato nella variabile struttura (per esempio portandolo a 101).
  • E poi di nuovo all´offset di partenza (nel nostro esmpio 100).

Ragione: Il nuovo calcolo d´indirizzo viene effettuato soltanto alla modifica dell´offset di partenza nella struttura di variabile e non se soltanto l´offset in un elemento di struttura viene modificato.

Soluzione completamente manuale

La progettazione si effettua nella stessa maniera della soluzione semiautomatica a differenza che, nella struttura di variabile, gli indirizzi vengono definiti manualmente per ogni elemento.

Nel caso di una modifica dello start-offset di una variabile struttura, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili struttura rimane dunque immutata.


Modifica di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

le modifiche vengono effettuate mediante le proprietà e il dialogo Modifica variabili.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Indicazione: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dati | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre il dialogo che serve alla selezione delle variabili..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attiva: per ogni elemento struttura inizierà un nuovo offset. Non attiva: Offset vengono usati completamente (le variabili vengono messe in successione).


Modificare le proprietà

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le modifiche vengono effettuate attraverso la finestra di proprietà.

Consideri, che le modifiche nella struttura di variabile possano avere un effetto sui singoli elementi della struttura di variabile (p.e. calcoli d´indirizzamento alla modifica dell´offset di partenza resp. del driver). Le proprietà di ogni elemento di struttura di variabile possono essere modificate separatamente. Modifiche possono essere effettuate o per singoli elementi o per gli elementi di struttura della “struttura di tipo di dato” che fa da base. Le modifiche vengono poi ereditate. (A questo proposito vedi capitolo Concetto di trasmissione ereditaria)


Attivazione e disattivazione di elementi di struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Attivazione e disattivazione di elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´elemento deve essere selezionato e poi la relativa azione viene eseguita tramite menù contestuale. L´indirizzamento automatico considera gli elementi inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.

Variabili non attive

  • non sono disponibili in zenon
  • non vengono registrate nel driver
  • non vengono tenute in considerazione nel calcolo di I/Os per la grandezza della licenza

Indicazioni importanti

tenete presente al momento della disattivazione di variabili delle cose seguenti:

  • riferimenti variabili in elementi ad immagine vanno perduti. Questi riferimenti possono essere ripristinati solo manualmente.
  • Se un elemento di struttura è basato su un tipo di dato IEC che non è ammissibile con il driver selezionato, l´elemento non puo essere attivato!
  • Quando si disattivano e poi si riattivano delle variabili, gli elementi dinamici per queste variabili non sono attualizzati nell´editor. Per attualizzarli, cliccate all´interno della finestra delle proprietà dell´elemento sulla variabile in questione.


Modificare l’ordine

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare l’ordine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una modifica degli elementi di una struttura di variabile può essere effettuata solo dalla rispettiva struttura di tipo di dato. In caso di modifiche sulla struttura di tipo di dato, tutte le strutture di variabili basate su questa verranno di conseguenza modificate!


Cancellazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Cancellazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate la variabile nella visuale dettagliata e premete il tasto Canc.


Variabili per più progetti

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili per più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Possono essere selezionate anche le variabili di altri progettil.. Esse possono poi essere usate in più progetti contemporaneamente. È anche possibile stabilire un meccanismo di tipo gerarchico. Le variabili di progetti di livello superiore, dello stesso livello o subordinati, ma anche quelle di progetti non collegati ad altri, possono essere usate a piacere.

Per poter utilizzare delle variabili in diversi progetti, tutti questi, sia nel momento della progettazione che durante il runtime, devono:

  • essere attivi
  • essere accessibili in rete
    Indicazione: zenon controlla durante il runtime se il progetto non è accessibile nell´ambito della rete.

Nel progetto, le variabili provenienti da altri progetti vengono visualizzate nel seguente modo:
[Nome progetto]#[Nome variabile], per esempio Projekt1#WIZ_VAR_10

Nel caso in cui un uso in diversi progetti non dovesse essere possibile, altri progetti vengono visualizzati in colore grigio (non selezionabili) nel Dialogo di selezione variabili.

Indicazione: se i nomi progetto vengono modificati in un secondo momento, o se il progetto viene copiato, si deve provvedere a preservare un´assegnazione corretta. A tal scopo usate il Dialogo di sostituzione di riferimenti di progetto.

attenzione Attenzione

Tenete presente le particolari condizioni che vigono nel caso delle variabili in uso in diversi progetti in riferimento alla funzione comandi .


Concetto di trasmissione ereditaria

Manuale -> Variabili -> Concetto di trasmissione ereditaria

Trasmissione ereditaria significa che le proprietà di un oggetto vengono trasmesse ad un oggetto derivante da questo oggetto. L´oggetto derivante accetta principalmente tutte le proprietà dell´oggetto di base; possono però essere modificate=sovrascritte tutte le proprietà o in parte.

Esiste anche il contrario, il collegamento. Anche qui il nuovo oggetto ha tutte le proprietà dell´oggetto di base, però nonpossono essere modificate /sovrascritte nell´oggetto di base. Una modifica è possibile solo nell´oggetto di base.

Vale per tutte le due possibilità: Se una proprietà viene modificata nell´oggetto di base, tutti gli oggetti derivanti da questo oggetto di base, accettano questa modifica. Le proprietà individuali quindi non sono salvate nell´oggetto, esiste un riferimento all´oggetto di base.

Eccezione: Appena un valore è stato sovvrascritto (modificato) nell´elemento questa proprietà non ha più nessun effetto sull´oggetto di base. Se una proprietà sovrascritta è modificata nell´oggetto di base, questa modifica non ha nessun effetto sull´oggetto trasmesso. Questo vale soltanto per quelle proprietà che hanno perso il loro riferimento all´oggetto base. Tutte le altre proprietà mantengono il loro riferimento con l´oggetto di base. Una proprietà sovrascritta può essere ad ogni momento rimodificata con una proprietà derivante.


Eredità in zenon

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon gli oggetti base sono i tipi di dato. Tipi di dato semplici come anche le strutture di tipi di dato collegano le loro proprietà alle variabili basate su di loro.

Le variabili rappresentano gli oggetti derivanti dai tipi di dato. Da questi sono trasmessi in ereditarietà principalmente tutte le proprietà. Un´eccezione la troviamo nelle proprietà che

sono impostabili solo con le variabili, come, ad esempio, l'indirizzamento, che non hanno la loro origine in tipi di dato, ma che dipendono dal tipo di oggetto driver.

Nelle strutture esistono gli elementi di struttura. Questi possono essere embedded o collegati . In caso di collegamento accettano tutte le proprietà dal tipo di dato con il quale sono collegati. Tutte le modifiche effettuate sul tipo di dato originario vengono adottate 1:1. Non può però essere sovrascritta nessuna proprietà, dato che è soltanto collegata e non trasmessa in eredarietà.

Gli elementi di struttura embedded di una struttura di tipo di dato in principio non hanno più nessun riferimento con il loro tipo di dato originario. Sono delle copie, nelle quali tutte le impostazioni possono essere effettuate separatamente. Modifiche al tipo di dato originario non hanno nessun effetto. Elementi di struttura embedded possono essere rimodificati ad ogni momento in elementi di struttura collegati e viceversa.


Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon -> Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Come nelle strutture di variabili funziona allo stesso modo nelle variabili semplici. Solo le proprietà sono da impostare per ogni singolo elemento di struttura. Ogni elemento di una “variabile strutturata” è collegato con un “elemento di struttura” della “struttura di tipo di dato” sul quale si basa la variabile.

Un elemento di struttura a sua volta può essere anche collegato con un tipo di dato.

In tal modo l´elemento di struttura di variabile prende le proprietà dell´elemento di struttura il quale a sua volta è collegato con un tipo di dato.

Diventa ancora più complesso se delle strutture sono utilizzate nelle strutture.

Variabile con una struttura in una struttura

Nell'esempio descritto sopra vediamo la variabile “Motore.Regolatore-giri”. “Regolatore-Giri“ è derivata dalla struttura motore. Questa, a sua volta contiene, l'elemento di struttura “Regolatore-giri”, che è una struttura. Questa struttura è collegata con la struttura motore, dato che le strutture nelle strutture possono solo essere collegate. In questa struttura „Regolatore numero di giri” è collegato il tipo di dato UINT.

Se allora in questo tipo di dato ci sono delle modifiche, queste hanno un effetto diretto sulla variabile “Motore.Regolatore-Giri .valore effettivo numero di giri“.

Anche qui racommandiamo molta prudenza per le modifiche sui tipi di dato.

Sovrascrivere le proprietà o il ripristino del riferimento al tipo di dato viene effettuato come descritto sopra.


Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla creazione di una nuova variabile tutte le proprietà sono trasmesse dal tipo di dato. Questa circostanza è segnalata tramite una simbolo di collegamento davanti alla proprietà.

Proprietà derivanti sono riconoscibili tramite una freccia verso l’alto.

In questo esempio, tutte le proprietà provengono dal tipo di dato, tranne “cifre decimali”. Questa è stata sovrascritta nella variabile. Nel caso in cui la proprietà “cifre decimali” venisse modificata nel tipo di dato originario, verrà modificata questa proprietà “cifre decimali” in tutte le variabili basate su questo tipo di dato. Questo non vale per quelle variabili le quali proprietà sono state sovrascritte (modificate).

attenzione Attenzione

Faccia attenzione al fatto, che tutte le modifiche apportate al tipo di dato modificano sempre tutte le variabili basate su questo tipo di dato (ad eccezione che queste proprietà siano state modificate).


Sovrascrivere le proprietà

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Sovrascrivere le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Proprietà di variabili possono essere sovrascritte in due modi:

  • La proprietà viene modificata tramite tastiera o mouse. Una volta effettuata la modifica, il riferimento di questa proprietà con il tipo di dato non esiste più.
  • La proprietà viene separata dal tipo di dato tramite il menù contestuale relativo. In questo caso o solo la proprietà selezionata o tutte le proprietà della variabile possono essere separate da questo tipo di dato. (Vedi screenshot!)

Una volta sovrascritta la proprietà il simbolo sparisce. Tutte le modifiche nel tipo di dato non avranno più nessun effetto sulle proprietà sovvrascritte di una variabile.


Ripristino delle proprietà di un tipo di dato

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Ripristino delle proprietà di un tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate la proprietà sovrascritta e scegliete nel menu contestuale la voce Tutti i valori del tipo di dato oppure solo il '<Nome>' Valore del tipo di dato. Alla proprietà o a tutte le proprietà vengono restituiti i loro simboli di collegamento.


Calcolo valore

Manuale -> Variabili -> Calcolo valore

Il calcolo valore definisce mediante diverse proprietà il campo valore di una variabile.

Valori fluttuanti possono essere neutralizzati facendo uso di diverse proprietà, in modo tale da poter evitare delle reazioni indesiderate come allarmi e inserimenti in archivi. Si fa una differenza fra:

  • Isteresi: impedisce la trasmissione di valori fluttuanti dal driver alle variabili.

    Interno ID: Calcolo valore

    Isteresi

    Proprietà per l´isteresi.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Isteresi per archivio: impedisce la generazione di inserimenti archivi nel caso di modifiche fluttuanti di valori relative all´area di misurazione.
  • Valore soglia: impedisce delle reazioni indesiderate come allarmi nel caso di valori numerici fluttuanti.

    Interno ID: Calcolo valore

    Valore soglia

    puó essere dichiarata una soglia che determina l´uscita del valore limite. In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili.
    Esempio 1: Esempio: valore massimo 900, soglia=10 => 890
    Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
    Esempio 2: Valore minimo = 900, valore soglia = 10, = 910
    Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
    A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Isteresi

Manuale -> Variabili -> Calcolo valore -> Isteresi

L´isteresi definisce l´area all´interno della quale il sistema ignora una modifica di valore. In tal modo si vuole evitare che dei valori fluttuanti vengano visualizzati nell´elemento ad immagine e scatenino una continua violazione di valori limite.

In <CD_ PRODUCTNAME> si possono definire delle isteresi nelle proprietà delle variabili (Calcolo valore/Isteresi) per:

Interno ID: Isteresi

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Isteresi

Calcolo valore

Definizione del limite della variabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • calcolo valore delle variabili: proprietà Positiva per il segnale e Negativa per il segnale per risoluzione segnale

    Interno ID: Isteresi

    Negativa per il segnale

    Isteresi per valore limite riferito alla risoluzione segnale.

    Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono intepretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
    Default: 0 (nessuna isteresi)

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Isteresi

    Positiva per il segnale

    Isteresi per valore limite riferito alla risoluzione segnale.

    Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono intepretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
    Default: 0 (nessuna isteresi)

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    I valori in cambiamento che sono compresi all´interno dell´isteresi, non vengono trasmessi dal driver alla variabile.

  • Inserimento in archivi nel caso di modifica valore: proprietà Positiva per l'archivio e Negativa per l'archivio per area di misurazione

    Interno ID: Isteresi

    Negativa per l'archivio

    Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

    Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
    Default: 0 (nessuna isteresi)

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Isteresi

    Positiva per l'archivio

    Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

    Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
    Default: 0 (nessuna isteresi)

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Valori modificati che sono compresi nell´ambito dell´isteresi non vengono inseriti nell´archivio.

Esempio Esempio

Un valore limite è definito con 50° C. La temperatura oscilla un po´ normalmente. Per questo motivo, ogni superamento verso il basso o verso l´alto del valore di 50° C causerebbe una violazione del valore limite e dunque provocherebbe un allarme e un inserimento nell´archivio.

Se però si definisce per la variabile l´isteresi:

  • Positiva per il segnale: 2
  • Negativa per il segnale: 2

E per l´archivio l´isteresi:

  • Positiva per l'archivio: 8
  • Negativa per il segnale: 6

La conseguenza è:

  • solamente nel caso in cui si superino i 52° o si vada sotto i 48°, il sistema riconoscerà una violazione di valore limite
  • solamente nel caso in cui si superino i 58° o si vada sotto i 44°, il sistema genererà un inserimento di archivio

Indicazione: le isteresi che devono solamente evitare il verificarsi di reazioni non volute (come allarmi) a violazioni di valori limite in caso di valori numerici fluttuanti, possono essere realizzate tramite valori soglia.

Info Informazioni

Non ogni driver supporta le isteresi. Se il Vostro driver supporta le isteresi o meno, lo potete verificare consultando la documentazione del driver in questione.


Valori limiti

Manuale -> Variabili -> Valori limiti

I valori limite hanno il compito di avviare una reazione al raggiungimento di un valore o uno stato. Il limite è definito di maniera fissa nell´editor oppure si definisce in dipendenza del valore di un´altra variabile nel funzionamento online. I metodi di reazione sono vari. Ad esempio: Citiamo come esempio il cambio di colore, inserimenti allarme o CEL, stampe, chiamate di funzione etcc. L'esecuzione della reazione viene eseguita inzenon.

La progettazione di Valori Limite definisce il comportamento variabili di tipo numerico.

La progettazione di Stati definisce il comportamento di Variabili binarie (low, high,logiche 0,1).

La preghiamo di notare che per ragioni di validità generale utilizzeremo anche per “stati” nel contesto di questo capitolo il termine “valore limite”.

Nel caso in cui fosse necessaria un analisi complementare delle informazioni di stato delle variabili, la relativa progettazione deve essere effettuata tramite matrici di reazione.

Potete trovare delle informazioni dettagliate sulle matrici di reazione nella sezione Matrici di reazione.


Progettazione di valori limite nell'editor

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con la selezione di una variabile nella sezione liste del manager di progetto vengono visualizzate tutte le proprietà della variabile selezionata nella finestra proprietà.

Per creare nuovi valori limiti, clicchi su Nuovo limite. Ogni volta che clicca su inserisci valori limite viene inserito un nuovo valore limite (valore limite 1, valore limite 2 ….) nella lista dietro.

Tutte le opzioni per la progettazione di valore limite si trovano nella finestra proprietà e sono descritte nella guida delle proprietà. Questa guida specifica viene automaticamente visualizzata ogni volta alla selezione di una proprietà.

Può essere definito per ogni variabile un numero qualsiasi di limiti.

Apra adesso la lista cliccando sul segno + davanti alla proprietà “Valori limite”. Tutti i valori limite generati sono elencati in questa lista. Se seleziona adesso un valore limite facendo un clic con il mouse, si apre la lista delle proprietà di valore limite da definire.


Tempo di ritardo:

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Tempo di ritardo:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Tramite la proprietà Tempo di ritardo [s], si può progettare nelle proprietà per il valore limite un valore per un tempo di ritardo. Questo valore definise l´intervallo in secondi per cui deve esistere una violazione di valore limite perché vengano attivate le azioni definite per la violazione stessa.
Valore di default: 0 - : nessun ritardo.

Interno ID: Tempo di ritardo:

Tempo di ritardo [s]

Periodo di tempo in secondi in cui la violazione del valore limite deve essere in attesa. Il valore deve essere in attesa ininterrottamente perlomeno per la durata del periodo indicato affinché vengano iniziate le azioni definite in caso di violazione del valore limite.
AML/CEL:
- come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il momento della prima violazione.
- come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

ATTENZIONE: in combinazione con la proprietà Lampeggio, la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo.: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Interno ID: Tempo di ritardo:

Lampeggio

Attiva: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattiva.
ATTENZIONE: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Valore massimo: 4294967295 secondi

Il tempo di ritardo vale indipendentemente in quale direzione il valore limite viene violato.

Esempio:

  • Progettazione
    • Valore limite 1 è settato sul valore 50.
    • Valore limite 2 è settato sul valore 100.
    • Il tempo di ritardo è di 3s.
  1. Il valore sale a 110.
    • Dopo che la violazione è durata per 3 secondi, essa viene visualizzata per il valore 100.
  2. Il valore scende a 70.
    • Non appena questo valore è durato per 3 secondi, viene disattivato l´allarme per la violazione di valore limite 100 e viene visualizzata una violazione per il valore 50.
  3. Se il valore scende a 40, viene disattivato l´allarme dopo 3 secondi.

Timestamp e valore

Come dato data/ora per la violazione del valore limite nella AML e nella CEL viene inserito il punto temporale della prima violazione.
Come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

Legenda:

Cifra

Descrizione

1

Momento del superamento del valore limite.

Avvio del tempo di ritardo progettato.

Valore scatenante.

2

Fine del tempo di ritardo progettato. Allarme in entrata:

  • Ora: Momento della violazione del valore limite (1)
  • Valore visualizzato valore dopo il tempo di ritardo (2)

attenzione Attenzione

In combinazione con Lampeggio, questa proprietà ha effetto in rete nel modo seguente:

  • Valore limite con lampeggio e senza ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo:
    Gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.


valore soglia

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> valore soglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I cosiddetti valori soglia impediscono il verificarsi di reazioni non desiderate a valori numerici fluttuanti. Essi generano una isteresi di valore limite. In questo caso il valore limite all´inizio della violazione è un altro al momento della fine della violazione stessa.

Ad esempio: valore limite max. a 100, valore soglia 10. Non appena il valore della variabile raggiunge 100, siamo in presenza di una violazione del valore limite stesso. Se il valore cade a 95, non avviene nessuna reazione. Solo quando il valore cade a 89, la violazione del limite sarà terminata.

I valori soglia possono essere settati sia per definire un valore massimo che minimo. Nel caso del massimo, il valore soglia si muove verso il basso, nel caso del minimo, verso l´alto.
Esempio valore massimo: valore massimo 900, soglia=10 => 890
Il valore limite è violato a partire dal valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio valore minimo: valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.


Derivazione di valori limite da tipi di dato

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Derivazione di valori limite da tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I valori limite possono essere già definiti con i tipi di dato. I valori limite progettati sono a disposizione in tutte le variabili che sono basate sul rispettivo tipo di dato. Viene adottato anche qui il concetto di trasmissione ereditaria come descritto più in alto. Tutte le proprietà si comportano come il tipo di dato e possono essere sovvrascritte per ogni singola variabile. In tal modo un valore limite può essere disattivato per ogni singola variabile in modo selettivo. Un valore limite derivante da un tipo di dato non può essere cancellato in una variabile (può essere cancellata solo con il tipo di dato). Possono essere aggiunte però ad una variabile anche ulteriori valori limite. Questi valori limiti specifici della variabile invece possono essere cancellati nella variabile stessa.

Potete trovare delle informazioni dettagliate sui tipi di dato nella sezione Tipi di dato.


Selezione multipla

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Selezione multipla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Alla simultanea selezione di più variabili possono essere modificate anche le proprietà di più valori limite nello stesso tempo. Se una delle variabili selezionate non possiede il valore limite da modificare, questo non viene neanche generato.

Con la funzionalità Multi-select le proprietà comuni delle variabili sono rappresentate in colore rosso nella finestra della proprietà. (Viene visualizzata la proprietà della prima variabile selezionata.) Se ci sono delle proprietà che non sono in comune con le variabili scelte (es. val. limiti), esse sono rappresentate in colore giallo.


Cancellazione di valori limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Cancellazione di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Cliccate nelle proprietà-valore limite su "cancella valore limite".


Valori limiti sovrapposti

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Valori limiti sovrapposti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I valori limiti analogici possono già essere progettati in maniera sovrapposta. zenon riconosce automaticamente quale valore limite è valido in quel momento.

Esempio Esempio

Valore limite 1 (Massimo) configurato a 100. Valore limite 2 (Massimo) configurato a 200. Se la variabile raggiunge nel funzionamento online un valore da 100 fino a 199 viene violato il valore limite 1. Se il valore raggiunge o sorpassa il valore 200 avviene una violazione del valore limite 2.


Valori limite durante il runtime

Manuale -> Variabili -> Valori limiti -> Valori limite durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon reagisce in caso di variabili binarie al raggiungimento dello stato (fronte positivo). In caso di variabili numeriche avviene la reazione al raggiungimento e superamento del valore massimo impostato (operazione > =) oppure se il valore va al di sotto del valore minimo impostato (operazione < =). Si parla allora di una violazione di valore limite.

Info Informazioni

Nel caso delle variabili binarie ci sono due valori limite, un valore limite "min" e uno "max". Vale quanto segue: indicare come valore limite 1 il "valore limite MIN", come valore limite 2 quello MAX.

Nel calcolo dei valori limite di variabili numeriche, se non viene definito in altro modo mediante 'l'adattamento valore non lineare', il valore grezzo delle variabile (risoluzione del signale) viene ricalcolaro per l'uso nel sistema di controllo sempre in modo lineare nell'area di misurazione.

Esempio: Un sensore della temperatura trasmette il suo valore al PLC. La variabile Byte corrispondente ha una risoluzione di 0...255. Nel sistema di controllo la variabile corrispodente ha un'area di misurazione di 0...100. Da ciò consegue:

Gestione | Sistema di controllo
0 | 0
127 | 50
255 | 100

Ad una nuova partenza di zenon, se un valore limite viene violato, la reazione viene eseguita subito al momento della partenza.

Eccezione: Se per la reazione è definito un inserimento allarme oppure CEL viene prima verificato se questo inserimento è già presente nella rispettiva lista Se questo è il caso,non viene eseguito nuovamente l´inserimento allarme / CEL. In tal modo vengono evitati inserimenti duplici. L´esecuzione dell´altra reazione viene effettuata comunque.

attenzione Attenzione

Può essere attivo sempre solo un valore limite alla volta.

Trova dettagli sulla conversione dall'area di risoluzione nell'area di misurazione nell’help della finestra proprietà sotto “Valore”.


Fine della violazione del valore limite

Manuale -> Variabili -> Valori limiti -> Valori limite durante il runtime -> Fine della violazione del valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se un valore limite è stato violato, un cambio di valore entro l´area del limite non provoca nessuna nuova reazione.

Ad esempio: un valore limite è definito da 100-200. Se il valore cambia da 110 a 115 non avverrà nessun altra reazione. Se il valore cambia verso 210 avviene un'altra reazione dovuta al prossimo valore limite.

In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili tramite Valori soglia.


Testo dinamico con valore limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico con valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili (anche a Matrice de reazione). E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua (vandi anche Uso di parole chiave in liste di testi). Questo testo del valore limite può essere poi visualizzato nella Lista allarmi, nella Lista eventi cronologica oppure nella riga di stato. Nell'elemento dinamico Collega testo e nell'elemento dinamico Stato non può essere visualizzato il testo del valore limite.

Sintassi:

Per la parametrizzazione del Testo Valore Limite vale la seguente nomenclatura:

Parametri | Descrizione
$ | Identificazione per un testo di valore limite dinamico; questo segno deve essere inserito nel primo spazio (all'inizio) del testo stesso.
; | separatore per istruzioni Utilizzato per la separazione delle parti di testo costanti dalle parti di testo dinamiche. Nel caso della separazione con la variabile, non deve esserci nessuno spazio vuoto fra il segno di separazione e la variabile stessa.
@Testo | Testo della tabella lingua attualmente caricata.
%PV | Valore du un'altra variabile con il nome „PV“
@Text+%PV: | Parola chiave composta per il testo della tabella lingua attualmente caricata. Viene salvato il valore della variabile "PV" e il sistema cerca al momento di visualizzarla un testo della tabella lingua che si compone di "Text" e valore della variabile.

Questa codificazione di testo funziona solo ed esclusivamente nella Lista allarmi o nella Lista eventi cronologica. Non funziona negli elementi di testo. Grazie all'uso di parole chiave composte, sono possibili dei testi valore limite dinamici di una lunghezza superiore a 80 caratteri.

Esempio Esempio 1

Testo valore limite = $@Text; X-Pos ;%Wert1; Y-Pos ;%Wert2

Valgono i presupposti:

  • @Text è una parola chiave nella tabella lingua corrispondente a „Testo dalla tabella“
  • Wert1 è una variabile integer con il valore 14
  • Wert2 è una variabile integer con il valore 12

Emissione = Testo dalla tabella X-Pos 14 Y-Pos 12

Esempio Esempio 2

$AUS in Stellung ;%String1

Valgono i presupposti:

  • %String1 è una variabile string con il contenuto „ORT“

Emissione = AUS in posizione ORT

Esempio Esempio 3

$%@message_+Valore1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • Wert1 è una variabile integer con il valore 12

Con la parola chiave composta, ne deriva la parola chiave „Meldung_12“ e il testo corrispondente della tabella lingua viene visualizzato.

Esempio Esempio 4

$%@message_+String1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • String1 è una variabile string con il contenuto „zenon“.

Con la parola chiave composta, ne deriva la parola chiave „Message zenon“ e il testo corrispondente della tabella lingua viene visualizzato.

Limitazioni a causa testi di valori limite dinamici.

Salvare i testi dei valori limite dinamici porta ad alcune limitazioni:

  1. testo statico viene salvati nel settore di memoruia per il valore limite:
    al massimo 128 caratteri.
  2. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:
    al massimo 80 caratteri e al massimo 3 variabili.
  3. Se vengono utilizzati testi di valori limite dinamici, non possono essere inseriti dei commenti per questi allarmi.

Queste limitazioni possono essere evitate:

espansione per testi di valori limite dinamici lunghi

Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio.

Condizione: Nelle proprietà del progetto sono nel gruppo Lista informazioni allarmi la proprietàTesti lunghi per valori limiti - AML e nel gruppo Lista eventi cronologica la proprietà Testi lunghi per valori limiti - CEL attiva.
Invece che nel campo riservato al commento, i valori vengono salvati in un file proprio. Per valore limite sono a disposizione 264 byte. Ne vengono utilizzati 10 byte per una variabile per informazioni di sistema interne.

Interno ID: Testo dinamico con valore limite

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Testo dinamico con valore limite

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Esempio 1: Valore limite con una variabile stringa:
Dei 264 Byte

  • vengono utilizzati per le informazioni di struttura 10 Byte e
  • 254 Byte rimangono per il contenuto della variabile string.

Esempio 2: Valore limite dinamico con una variabile stringa ed una variabile word:
Dei 264 Byte

  • vengono utilizzati 20 Byte per informazioni struttura
  • 2 Byte per il contenuto della variabile word
  • 244 Byte rimangono per il contenuto della variabile string.

Non è più valido il limite fisso di 3 variabili per testo di valore limite.
I nomi dei file per i file da creare sono Dxxx.aml e Dxxx.cel.
Per il buffer circolare vengono salvate le ulteriori informazioni in aml.bin e cel.bin.

Testi erronei nel runtime

Parametri | Descrizione
XXX | la variabile per la quale è disponibile un valore, ha subito una modifica
--- | il valore della variabile non è ancora presente (possibile all’avviamento del programma).
>3 | numero delle variabili collegate è maggiore di 3 (quindi il valore non è salvabile).


Parole chiave dinamiche in testi di valori limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico con valore limite -> Parole chiave dinamiche in testi di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Allarmi di variabili booleane in caso di segnalazioni multiple non danno informazioni sul motivo di attivazione dell'allarme. Per far sì che il testo di valore limite esprima nonostante questo la causa dell´allarme, la causa stessa può essere trasmessa con l´aiuto di una variabile index. Facendo uso del testo dinamico di valore limite, il sistema cerca nella tabella lingua (vedi capitolo Cambio lingua) il testo corretto e lo visualizza. Come parola chiave non ne viene usata una fissa, ma una dinamica. Essa si compone di prefisso+valore della variabile index: %@errornr+mIndex

È possibile usare delle parole chiave a più dimensioni (diversi indici).
Ad esempio: testo fisso; @Motorfehler%meinIndex1-%meinIndex2 diviene nel runtime, per esempio, @Motorfehler4-67. Il sistema cerca questa parola chiave nella tabella lingua e visualizza il testo corrispondente.

Esempi

Esempio 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Spiegazione:

$ definisce un testo dinamico di valore limite.

@error in module: una normale parola chiave tratta dalla tabella lingua

%moduleNr: viene sostituito nel runtime dal valore della variabile ModuleNr (funzionalità del testo dinamico di valore limite)

@error type: una normale parola chiave tratta dalla tabella lingua

@errornr: la prima parte della parola chiave dinamica

+mIndex: viene sostituito nel runtime con il valore della variabile mIndex, e completa la parola chiave @errornr

Risultato:

valore di mIndex | Parola chiave
1 | @errornr1
2 | @errornr2

Esempio 2: Strings

$%@Meldung_+Index_UINT_001;/;%@Ursache_+Index_STRING_004

Se Index_UINT_001 ha il valore 4 e Index_STRING_004 quello 'Feuer', il sistema cerca i testi Meldung_4 e Ursache_Feuer nella tabella lingua e li visualizza nella AML/CEL.


Matrici di reazione

Manuale -> Variabili -> Matrici di reazione

Info Informazioni

E' possibile definire delle informazioni su valori limite in sede centrale utilizzando una matrice di reazione (abbreviazione: Rema).
Se, ad esempio, deve essere eseguito lo stesso controllo per diversi stati di riempimento, ciò può essere definito in un'unica matrice di reazione. Ciò consente, ad esempio, di modificare il valore inferiore a livello centrale.

Vantaggi nei confronti di valori limite:

le matrici di reazione sono utilizzabili più volte. Una matrice di reazione può anche essere collegata con più variabili, che si possono basare su differenti tipi di dato.

Matrici di reazione per variabili numeriche possono trattare ogni modifica del valore di variabile come nuova violazione di valore limite. Per i valori limite questo non è possibile.

Per mezzo delle matrici di reazione si possono interrogare anche stato come, per esempio, Invalid (vedi Modifica di stato). Ciò non è possibile con valori limite.

Potete trovare delle informazioni dettagliate sui valori limite nella sezione Valore limite.


Creazione di una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Creazione di una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezioni „Matrice di reazione“ sotto “Variabili” nel Manager di progetto ed apra il menu contestuale con il tasto destro del mouse. Selezioni Nuova Matrice di reazione....

Nel box di dialogo che si apre inserisca il nome ed il tipo della matrice di reazione. Tenete presente che questa attribuzione non sarà più modificabile in seguito. Il nome può essere modificato anche più tardi.

I singoli tipi della matrice di reazione possono essere utilizzati nel modo seguente:

Parametri | Descrizione
Binari | Evacuazione di stati discreti (Orientati a bit)
Numerico | Valuazione di stati analogici (orientati valore)
Multi-binaria | Analisi estesa di variabili a 32 bit; i primi 16 bit determinano il valore della variabile e vengono trasmessi come numero; manovra di bit di stato; funzione speciale (disattivare variabili a bit di stato settato)?(progettazione dati protetti - solamente SAT)
Multi-numerica | Analisi estesa con simultanea gestione di stato e funzione speciale (disattivare variabili a bit di stato settato)
String: | Valutazione di stati per variabili stringa


Editare una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Editare una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per modificare una matrice di reazione:

  • selezionate anzitutto la matrice di reazione nella visualizzazione dettagliata;
  • scegliete poi nel menu contestuale che si aprirà il comando desiderato;

Menu contestuale Visualizzazione dettagliata Matrice di reazione

Parametri | Descrizione
Nuova matrice di reazione | Crea una nuova matrice di reazione.
Configurazione | Apre il dialogo per la configurazione della matrice di reazione.
Copiare | Copiare la matrice di reazione selezionata
Incolla | Inserire la matrice di reazione copiate o tagliata
Elimina | Cancellare la matrice di reazione selezionata
Esporta selezione in XML | Esporta tutte le matrice di reazione selezionate in un file XML.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella che serve per apportare delle modifiche, sempre che essa possa essere modificata nella lista.
Proprietà | Apre la finestra proprietà.
Guida | Apre la guida online

Dialogo stati e reazioni

Cliccando su Configurazione si apre il dialogo che serve alla configurazione degli stati. Le possibilità di configurazione dipendono dal tipo di matrice di reazione.

Nella lista Stati possono essere selezionati e modificati anche diversi stati. Diverse impostazioni vengono evidenziate grazie allo sfondo rosso, oppure ad una cornice rossa.

Un consiglio: in questo modo potete modificare contemporaneamente stato e valori di più stati.

Menu contestuale Stati

Nella finestra liste Stati sono a disposizioni i seguenti comandi nel menu contestuale:

Comando | Descrizione
Crea nuovo stato | crea un nuovo stato sulla base di quello attualmente selezionato.
Crea nuovo sottostato | Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.
Copiare | Copia lo stato selezionato negli appunti Avvertenza Multibinarie: è possibile copiare solo degli stati principali. Sottostati vengono copiati automaticamente.
Incolla | Inserisce stato selezionato proveniente dagli appunti
Elimina | Cancella lo stato selezionato dalla lista. Lo stato di default non può essere cancellato.
Test | Apre il dialogo che serve a testare lo stato.
In sù | Sposta gli inserimenti selezionati verso l´alto. (Possibile anche per Drag & Drop.)
In giù | Sposta gli inserimenti selezionati verso il basso (Possibile anche per Drag & Drop.)
Guida | Apre la guida in linea relativa alla matrice di reazione corrispondente.

Impostazioni generali e definizione dei valori li trovate nella relativa matrice di reazione:

  • Binari
  • Numerico
  • String:
  • Stati multi-binari e reazioni
  • Stati multi-numerici e reazioni

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.


Tipi di matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono 5 tipi di matrici di reazione:

  • Binari
  • Numerico
  • String:
  • Multibinaria
  • Multi-numerica

Per i tipi Multi-binaria e Multi-numerica possono essere configurati anche Testo AML/CEL, Gestione stato e Trattamento variabile.


Binari

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Binari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una matrice di reazione binaria viene utilizzata per l’analisi di qualsiasi bit di stato di variabili digitali. La valutazione è orientata bit. Anche variabili analogiche possono essere analizzate in questo modo.

Parametri

Descrizione

Stati

Lista degli stati progettati con valore, stato e causa di trasmissione.

Nuovo stato

crea un nuovo stato sulla base di quello attualmente selezionato.

Sottostati

Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.

Elimina

Cancella tutti gli stati selezionati dalla lista.

Test

Apre il dialogo che serve a testare lo stato.

In sù

Ordina lo stato selezionato verso l´alto.

In giù

Ordina lo stato selezionato verso il basso.

Stato

Selezione dello stato

Causa di trasmissione

Ulteriore stato per la causa di trasmissione.

Funzione

Apre il dialogo per la connessione di una nuova funzione. Una funzione già collegata può essere deselezionata facendo uso di questo dialogo grazie al pulsante Nessuna selezione.

Apertura mediante lista di informazioni allarmi.

Disponibile solamente se è stata attivata in AML/CEL l´opzione In Lista di informazioni allarmi.

Attivo: La funzione viene aperta facendo uso di ALM.

Attributi ulteriori

Colore di valore limite

Colore in caso di violazione di valore limite

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File - guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto alla voce File/guida.

Durante il runtime viene aperto il file dell´help collegato se nella lista allarmi viene selezionato l´allarme corrispondente e si clicca sul pulsante Apri la Guida Online.

Indicazione: la proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione dei capitoli della giuda.

Indicazione:sta a disposizione solo se è attiva la proprietà Come allarme.

Informazione aggiuntiva 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Informazione aggiuntiva 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

AML/CEL

Nella lista di informazioni allarmi

Attivo: Viene inserita in AML.

Ripristino necessario:

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di ripristino.

Commento obbligatorio

Per ripristinare l´allarme, si deve anzitutto inserire un Commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Cancellazione necessaria

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di cancellazione.

Stampa

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Vene stampata facendo uso della stampante impostata come standard.

in Lista eventi cronologica

Attivo: Viene inserita nella CEL.
Avvertenza: se il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata eliminata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.

Gruppo-allarmi/eventi

Assegnazione a un gruppo allarmi/eventi.

Classe allarmi/eventi

Assegnazione a una classe allarmi/eventi.

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Testo di stato per contatori nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Attivando le caselle delle opzioni si definisce una combinazione di valori e/o di condizioni e di stato. Il valore di stato è il valore di origine con cifratura binaria delle variabili binarie. Non viene considerato il valore convertito nell´area di misurazione (adattamento di valore lineare resp. non-lineare) !

L'attribuzione bit è:

Stato: |
Bit valore raw "0" | 2^0 = 1
Bit valore raw "1" | 2^1 = 2
Bit valore raw "2" | 2^2 = 4 ....

Sono possibili 2 collegamenti. Il significato delle caselle è :

Stato: |
Non rilevante: | Punto, non settato
Verifica su “0” | Verificare se il bit ha il valore logico “0”
Verifica su “1” | Verificare se il bit ha il valore logico “1”

L’ordine della progettazione è decisivo per la successiva applicazione. Quando si esegue la matrice di reazione nel funzionamento online, il controllo della combinazione di stato parte dalla riga superiore. Si prosegue con il controllo fino alla riga che soddisfa le condizioni impostate. Tutte le altre condizioni non si controllano più. Se nessuna riga soddisfa lo stato attuale delle variabili, vale lo stato default. In questo modo è possibile definire un criterio di priorità per i testi di valore limite della lista eventi cronologica, dell’allarme e della lista allarmi. La verifica del valore di stato viene effettuata nello stesso modo come la verifica di stato della variabile.

Valutazione:

Nelle variabili binarie viene discriminato solo il bit 0. Gli altri bit non vengono considerati. Nelle variabili 8 bit (tipo di dato IEC, SINT, USINT) vengono discriminati i bit da 0 fino a 7.

Esempio | (segnalazione singola con controllo disturbi)
Verificare INVALID-Bit settato | ................, ............1...
Verifichi se Bit= è settato | ...............0, ................
Verifichi se Bit è settato | ...............1, ................

Nell’esempio sopra riportato si conclude il controllo INVALID-Bit presente indipendentemente dallo stato della singola segnalazione (variabile disturbata) dopo la prima riga. Le attribuzioni delle variabili (allarme, lampeggio, CEL etc.) sono gestite esclusivamente da questa condizione. Se lo stato INVALID-Bit non è più presente si eseguono le altre righe. Per modificare l’ordine delle righe, si seleziona la rispettiva riga e si attivano i pulsanti Nuovo, Elimina, in sùu e in giù.


Numerico

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Numerico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Unamatrice di reazione numerica viene utilizzata per l’analisi di qualsiasi stato di valore limite e bit di stato delle variabili. Al contrario alla matrice di reazione binaria,la discriminazione degli stati avviene attraverso valori numerici. Non il valore di origine viene considerato per l'analisi ma il valore convertito nell´area di misurazione (dopo adattamento di valore lineare o non lineare).

Parametri

Descrizione

Stati

Lista degli stati progettati con valore, stato e causa di trasmissione.

Nuovo stato

crea un nuovo stato sulla base di quello attualmente selezionato.

Sottostati

Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.

Elimina

Cancella tutti gli stati selezionati dalla lista.

Test

Apre il dialogo che serve a testare lo stato.

In sù

Ordina lo stato selezionato verso l´alto.

In giù

Ordina lo stato selezionato verso il basso.

Stato

Selezione dello stato

Causa di trasmissione

Ulteriore stato per la causa di trasmissione.

Funzione

Apre il dialogo per la connessione di una nuova funzione. Una funzione già collegata può essere deselezionata facendo uso di questo dialogo grazie al pulsante Nessuna selezione.

Apertura mediante lista di informazioni allarmi.

Disponibile solamente se è stata attivata in AML/CEL l´opzione In Lista di informazioni allarmi.

Attivo: La funzione viene aperta facendo uso di ALM.

Attributi ulteriori

Colore di valore limite

Colore in caso di violazione di valore limite

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File - guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto alla voce File/guida.

Durante il runtime viene aperto il file dell´help collegato se nella lista allarmi viene selezionato l´allarme corrispondente e si clicca sul pulsante Apri la Guida Online.

Indicazione: la proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione dei capitoli della giuda.

Indicazione:sta a disposizione solo se è attiva la proprietà Come allarme.

Informazione aggiuntiva 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Informazione aggiuntiva 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

AML/CEL

Nella lista di informazioni allarmi

Attivo: Viene inserita in AML.

Ripristino necessario:

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di ripristino.

Commento obbligatorio

Per ripristinare l´allarme, si deve anzitutto inserire un Commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Cancellazione necessaria

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di cancellazione.

Stampa

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Vene stampata facendo uso della stampante impostata come standard.

in Lista eventi cronologica

Attivo: Viene inserita nella CEL.
Avvertenza: se il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata eliminata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.

Gruppo-allarmi/eventi

Assegnazione a un gruppo allarmi/eventi.

Classe allarmi/eventi

Assegnazione a una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Trattare ogni modifica del valore come violazione del valore limite.

Attiva: ogni modifica di valore viene visualizzata come violazione di valore limite.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Info Informazioni

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


String:

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> String:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una matrice di reazione Stringa si utilizza per l’analisi di valori limiti e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri

Descrizione

Stati

Lista degli stati progettati con valore, stato e causa di trasmissione.

Nuovo stato

crea un nuovo stato sulla base di quello attualmente selezionato.

Sottostati

Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.

Elimina

Cancella tutti gli stati selezionati dalla lista.

Test

Apre il dialogo che serve a testare lo stato.

In sù

Ordina lo stato selezionato verso l´alto.

In giù

Ordina lo stato selezionato verso il basso.

Stato

Selezione dello stato

Causa di trasmissione

Ulteriore stato per la causa di trasmissione.

Funzione

Apre il dialogo per la connessione di una nuova funzione. Una funzione già collegata può essere deselezionata facendo uso di questo dialogo grazie al pulsante Nessuna selezione.

Apertura mediante lista di informazioni allarmi.

Disponibile solamente se è stata attivata in AML/CEL l´opzione In Lista di informazioni allarmi.

Attivo: La funzione viene aperta facendo uso di ALM.

Attributi ulteriori

Colore di valore limite

Colore in caso di violazione di valore limite

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File - guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto alla voce File/guida.

Durante il runtime viene aperto il file dell´help collegato se nella lista allarmi viene selezionato l´allarme corrispondente e si clicca sul pulsante Apri la Guida Online.

Indicazione: la proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione dei capitoli della giuda.

Indicazione:sta a disposizione solo se è attiva la proprietà Come allarme.

Informazione aggiuntiva 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Informazione aggiuntiva 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

AML/CEL

Nella lista di informazioni allarmi

Attivo: Viene inserita in AML.

Ripristino necessario:

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di ripristino.

Commento obbligatorio

Per ripristinare l´allarme, si deve anzitutto inserire un Commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Cancellazione necessaria

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di cancellazione.

Stampa

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Vene stampata facendo uso della stampante impostata come standard.

in Lista eventi cronologica

Attivo: Viene inserita nella CEL.
Avvertenza: se il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata eliminata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.

Gruppo-allarmi/eventi

Assegnazione a un gruppo allarmi/eventi.

Classe allarmi/eventi

Assegnazione a una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Rispetta minuscolo/maiuscolo

Nel confronto delle stringhe vengono rispettati i caratteri minuscolo/maiuscolo.

Wildcard permessi

Gli stati possono utilizzare i Wildcards di Windows.

(Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Trattare ogni modifica del valore come violazione del valore limite.

Attiva: ogni modifica di valore viene visualizzata come violazione di valore limite.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Esempio Esempio

Esempio 1:
In successione con una analisi da grande a piccolo:
Strings: Mein,Name,ist, Hase.
Successione dell'analisi:
ist,Name,Mein,Hase.

Motivazione:
ist, inizia con una lettera minuscola e perciò più grande di tutte le altre strings.
Name, N è più grande di M e H, Mein, M è più grande di H.


Matrice di reazione multipla in generale

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Schede | Descrizione
Stati e reazioni | Configurazione degli stati e reazioni, diversa per Multibinari e Multi-numerici.
Testo AML / CEL | Configurazione dell´emissione del valore accanto al testo di stato AML e CEL.
Manovra di stato: | Configurazione della gestione di stato.
Funzioni speciali: | Configurazione delle funzioni speciali.

Indicazione: i bit NORM e N_NORM sono a disposizione in entrambi i tipi di matrici a reazione multipla (non nelle matrici standard).

Elaborazione di messaggi

I 16 bit maggiori (bit 16.....31) si utilizzano per elaborare le segnalazioni nella progettazione dati protetti; nei 16 bit maggiori è depositato il numero di segnalazione.

La matrice di reazione multibinaria è identica alla matrice di reazione binaria per gli stati principali. Quando si modificano gli stati principali vengono eseguite le rispettive progettazioni di stato (allarme, CEL, testo etc.):

  • Se uno stato principale possiede stati secondari, si controllano al raggiungimento dello stato principale prima gli stati secondari.
  • Se nessuna condizione secondaria coincide con la condizione attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato principale.
  • Se lo stato secondario coincide con lo stato attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato secondario.
  • Se lo stato della variabile cambia dallo stato secondario allo stato principale non si effettua una nuova emissione alla CEL e alla lista allarmi

Esempio:

Parametri | Descrizione
Valore principale | Engineering -> Valore inferiorexxxxxx00 nessun allarme, testo CEL off -> xxxxx100 allarme, testo CEL Interruttore off xxxxxx01 nessun allarme, testo CEL on xxxxxx10 allarme, testo CEL differenza xxxxxx11 allarme, testo CEL malfunzione
cambio da “ON” a “OFF” | nessun allarme, inserimento CEL “on”
cambio da “ON” a “ Interruttore OFF” | Immissione allarme "Interruttore off", testo CEL "Interruttore off" -> Ripristino dell'interruttore (commutare da "INTERRUTTORE OFF" a "OFF") allarme in uscita "Interruttore off"; nessun ulteriore testo CEL.

Per l’emissione nella CEL e nelle immagini di processo si può suddividere il contenuto totale delle variabili in due parti. Una parte si utilizza per la progettazione del testo valore limite, l’altra parte (valore) si trasmette alle immagini (applicazione: (Applicazione: telegrammi protetti in SAT 1703).

Causa di trasmissione

Matrici di reazione multibinarie e multianalogiche consentono l´analisi della Causa di trasmissione conformemente

alla norma IEC 60870-5-101/104. La causa di trasmissione consiste di:

Bit | Descrizione
6 Bit : | Valore della causa di trasmissione da 0 ... 63
1 Bit : | N_CONF (P/N-Bit): 0 = positiva 1 = conferma negativa
1 Bit : | Test-Bit

Nella matrice di reazione ad ogni stato può essere assegnata l´identificazione della causa di trasmissione + N_CONF Bit (P/N-Bit). Così lo stato è violato soltanto se la causa di trasmissione ricevuta è la stessa come la causa di trasmissione definita.

Parametri | Descrizione
Checkbox Causa di trasmissione | Attiva la valutazione del campo d´inserimento Causa trasmissione.
Campo d´inserimento Causa di trasmissione | Attende un valore di 0-63 come identificazione della causa trasmissione.


Stati multi-binari e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-binari e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una matrice di reazione multibinaria serve all’analisi di bit di valore e di stato delle variabili digitali. I bit inferiori (bit 0..15) si utilizzano come valore da visualizzare nelle immagini (elementi dinamici) e nella lista eventi cronologica (casella “Valore”). Oltre alla nota progettazione delle combinazioni di valore e di stato sono possibili progettazioni aggiuntive.

Parametri

Descrizione

Stati

Lista degli stati progettati con valore, stato e causa di trasmissione.

Nuovo stato

crea un nuovo stato sulla base di quello attualmente selezionato.

Sottostati

Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.

Elimina

Cancella tutti gli stati selezionati dalla lista.

Test

Apre il dialogo che serve a testare lo stato.

In sù

Ordina lo stato selezionato verso l´alto.

In giù

Ordina lo stato selezionato verso il basso.

Stato

Selezione dello stato

Causa di trasmissione

Ulteriore stato per la causa di trasmissione.

Funzione

Apre il dialogo per la connessione di una nuova funzione. Una funzione già collegata può essere deselezionata facendo uso di questo dialogo grazie al pulsante Nessuna selezione.

Apertura mediante lista di informazioni allarmi.

Disponibile solamente se è stata attivata in AML/CEL l´opzione In Lista di informazioni allarmi.

Attivo: La funzione viene aperta facendo uso di ALM.

Attributi ulteriori

Colore di valore limite

Colore in caso di violazione di valore limite

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File - guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto alla voce File/guida.

Durante il runtime viene aperto il file dell´help collegato se nella lista allarmi viene selezionato l´allarme corrispondente e si clicca sul pulsante Apri la Guida Online.

Indicazione: la proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione dei capitoli della giuda.

Indicazione:sta a disposizione solo se è attiva la proprietà Come allarme.

Informazione aggiuntiva 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Informazione aggiuntiva 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

AML/CEL

Nella lista di informazioni allarmi

Attivo: Viene inserita in AML.

Ripristino necessario:

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di ripristino.

Commento obbligatorio

Per ripristinare l´allarme, si deve anzitutto inserire un Commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Cancellazione necessaria

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di cancellazione.

Stampa

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Vene stampata facendo uso della stampante impostata come standard.

in Lista eventi cronologica

Attivo: Viene inserita nella CEL.
Avvertenza: se il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata eliminata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.

Gruppo-allarmi/eventi

Assegnazione a un gruppo allarmi/eventi.

Classe allarmi/eventi

Assegnazione a una classe allarmi/eventi.

Checkbox Status

Ogni status può assumere cinque possibili stati. La definizione avviene cliccando nella checkbox dello status corrispondente.

Stati possibili:

  • non considerato (Punto)
  • ein (1)
  • aus (0)
  • kommend (Freccia verso l´alto)
  • gehend (Freccia verso il basso)
  • wechselnd (Doppia freccia)

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Testo di stato per contatori nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Info Informazioni

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


Stati multi-numerici e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-numerici e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una matrice di reazione multinumerica viene utilizzata per l’analisi di valori limite e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri

Descrizione

Stati

Lista degli stati progettati con valore, stato e causa di trasmissione.

Nuovo stato

crea un nuovo stato sulla base di quello attualmente selezionato.

Sottostati

Solo con multibinarie: crea un nuovo sottostato per quello attualmente selezionato.

Elimina

Cancella tutti gli stati selezionati dalla lista.

Test

Apre il dialogo che serve a testare lo stato.

In sù

Ordina lo stato selezionato verso l´alto.

In giù

Ordina lo stato selezionato verso il basso.

Stato

Selezione dello stato

Causa di trasmissione

Ulteriore stato per la causa di trasmissione.

Funzione

Apre il dialogo per la connessione di una nuova funzione. Una funzione già collegata può essere deselezionata facendo uso di questo dialogo grazie al pulsante Nessuna selezione.

Apertura mediante lista di informazioni allarmi.

Disponibile solamente se è stata attivata in AML/CEL l´opzione In Lista di informazioni allarmi.

Attivo: La funzione viene aperta facendo uso di ALM.

Attributi ulteriori

Colore di valore limite

Colore in caso di violazione di valore limite

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File - guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto alla voce File/guida.

Durante il runtime viene aperto il file dell´help collegato se nella lista allarmi viene selezionato l´allarme corrispondente e si clicca sul pulsante Apri la Guida Online.

Indicazione: la proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione dei capitoli della giuda.

Indicazione:sta a disposizione solo se è attiva la proprietà Come allarme.

Informazione aggiuntiva 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Informazione aggiuntiva 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

AML/CEL

Nella lista di informazioni allarmi

Attivo: Viene inserita in AML.

Ripristino necessario:

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di ripristino.

Commento obbligatorio

Per ripristinare l´allarme, si deve anzitutto inserire un Commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Cancellazione necessaria

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Obbligo di cancellazione.

Stampa

E' a disposizione solo se è attiva Nella lista di informazioni allarmi.

Attivo: Vene stampata facendo uso della stampante impostata come standard.

in Lista eventi cronologica

Attivo: Viene inserita nella CEL.
Avvertenza: se il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata eliminata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.

Gruppo-allarmi/eventi

Assegnazione a un gruppo allarmi/eventi.

Classe allarmi/eventi

Assegnazione a una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Trattare ogni modifica del valore come violazione del valore limite.

Attivo: ogni modifica di valore viene visualizzata come violazione di valore limite.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Info Informazioni

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


Configurazione testo AML/CEL

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione testo AML/CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda viene configurata l´emissione nella AML e nella CEL.


Configurazione Gestione stato

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione Gestione stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda viene configurata la gestione stato. Manovra di bit ( anche negati) su altri Bit

Possibili fonti: bit valore 0 ... 31l

Parametri | Descrizione
Bit d’origine | Scelta di un Qeullbit dalla listbox
NEG: | Negare il bit d’origine alla manovra
Bit di stato: | Zielbit da una Listbox
Accetta | confermare la manovra selezionata
Elimina | cancellare manovra selezionata; attenzione: Non sarà effettuata nessun altra interrogazione
In sù | spostare la manovra selezionata in su nell’ordine
In giù | spostare la manovra selezionata in giù nell’ordine


Configurazione funzioni speciali

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione funzioni speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda vengono configurate le funzioni speciali.

Con i bit di stato le variabili possono essere disattivate automaticamente cosi come possono essere concessi dei cambi di stato (per reset) per le variabili disattivate. Per i dettagli vedi capitolo Definizione stato.

Parametri | Descrizione
Disattivare a: | Bit di stato, al quale si deve disattivare la variabile Controllo sul valore "0" oppure "1" possibile
Cambiamenti di stato ammessi: | bit di stato ai quali è ammessa una modifica dello stato
nessun paragone vecchio/nuovo | non viene effettuata nessun controllo di modifiche
Nessun confronto vecchio/nuovo con dati real time. | non viene effettuato nessun controllo di modificazione di dati real time


Test

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Consente il test delle impostazioni per la matrice di reazione. Sulla base della configurazione della matrice di reazione, il sistema simula che cosa accade quando si raggiungono i valori definiti. Vengono simulati inserimenti nella CEL o nella AML. Questa feature riguarda SICAM 230.

Parametri | Descrizione
Stato | Per simulare delle modifiche di stato.
Valore | Simulazione di modifiche di valore.
Risultato del test | Emissione di modifiche di stato e valore nella CEL e AML.
SendenEZ | Inviare modifiche in tempo reale.
SendenNEZ | Invia modifiche.


Testi valore limite dinamici nelle matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Testi valore limite dinamici nelle matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I testi valore limite dinamici possono essere visualizzati anche nelle matrici di reazione:

$ %PV

$ @text

Vedi anche capitolo Testo dinamico valore limite.

Le matrici di reazione possono essere utilizzate per diverse variabili.


Lista bit di stato

Manuale -> Variabili -> Matrici di reazione -> Lista bit di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Bit numero | Denominazione breve | Denominazione lunga | zenon Logic indicatore
0 | M1 | Stato utente 1 | _VSB_ST_M1
1 | M2 | Stato utente 2 | _VSB_ST_M2
2 | M3 | Stato utente 3 | _VSB_ST_M3
3 | M4 | Stato utente 4 | _VSB_ST_M4
4 | M5 | Stato utente 5 | _VSB_ST_M5
5 | M6 | Stato utente 6 | _VSB_ST_M6
6 | M7 | Stato utente 7 | _VSB_ST_M7
7 | M8 | Stato utente 8 | _VSB_ST_M8
8 | NET_SEL | Select in rete | _VSB_SELEC
9 | REVISION | Revisione | _VSB_REV
10 | PROGRESS | In uso | _VSB_DIREC
11 | TIMEOUT | Runtime exceeded | _VSB_RTE
12 | MAN_VAL | Valore manuale | _VSB_MVALUE
13 | M14 | Stato utente 14 | _VSB_ST_14
14 | M15 | Stato utente 15 | _VSB_ST_15
15 | M16 | Stato utente 16 | _VSB_ST_16
16 | GI | Interrogazione generale | _VSB_GR
17 | SPONT | Spontaneo | _VSB_SPONT
18 | INVALID | Non valido | _VSB_I_BIT
19 | T_CHG_A | Cambio orario estivo/invernale | _VSB_SUWI
20 | OFF | Spenta | _VSB_N_UPD
21 | T_EXTERN | Tempo reale esterno | _VSB_RT_E
22 | T_INTERN | Tempo reale interno | _VSB_RT_I
23 | N_SORTAB | Non filtrati | _VSB_NSORT
24 | FM_TR | Transformer | _VSB_DM_TR
25 | RM_TR | Transformer anomaly | _VSB_RM_TR
26 | INFO | Info della variabile | _VSB_INFO
27 | ALT_VAL | Valore di riserva: Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. | _VSB_AVALUE
28 | RES28 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES28
29 | N_UPDATE | Non attualizzato | _VSB_ACTUAL
30 | T_STD | Ora solare | _VSB_WINTER
31 | RES31 | Riservato per uso interno (lampeggio allarmi) | _VSB_RES31
32 | COT0 | Causa trasmissione Bit 1 | _VSB_TCB0
33 | COT1 | Causa trasmissione Bit 2 | _VSB_TCB1
34 | COT2 | Causa trasmissione Bit 3 | _VSB_TCB2
35 | COT3 | Causa trasmissione Bit 4 | _VSB_TCB3
36 | COT4 | Causa trasmissione Bit 5 | _VSB_TCB4
37 | COT5 | Causa trasmissione Bit 6 | _VSB_TCB5
38 | N_CONF | Conferma negativa del select dell´apparecchio (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test-Bit (IEC 60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Conferma scrittura | _VSB_WR_ACK
41 | WR_SUC | Scrittura avvenuta con successo | _VSB_WR_SUC
42 | NORM | Stato normale | _VSB_NORM
43 | N_NORM | Normal deviation | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Timestamp non valido | non definito
50 | CB_TRIP | Segnalazione di Switch riconosciuta | non definito
51 | CB_TR_I | Segnalazione di Switch non attiva | non definito
52 | RES52 | riservato | non definito
53 | RES53 | riservato | non definito
54 | RES54 | riservato | non definito
55 | RES55 | riservato | non definito
56 | RES56 | riservato | non definito
57 | RES57 | riservato | non definito
58 | RES58 | riservato | non definito
59 | RES59 | riservato | non definito
60 | RES60 | riservato | non definito
61 | RES61 | riservato | non definito
62 | RES62 | riservato | non definito
63 | RES63 | riservato | non definito

Info Informazioni

In formule sono disponibili tutti i bit di stato. Per altri usi la disponibilità può essere ridotta.

Dettagli per la modifica degli stati li potete trovare nel capitolo Modifica stati.


Funzioni per variabili

Manuale -> Variabili -> Funzioni per variabili

Le funzioni Vi consentono di mettere in atto dei comandi durante il runtime facendo uso di un pulsante o uno script.

Per creare una funzione:

  1. selezionate nel menu contestuale oppure nella barra dei simboli del nodo "Funzione" il comando Nuova funzione..
  2. navigare per raggiungere la Variable
  3. Selezionate la funzione desiderata.


Esportazione Dati

Manuale -> Variabili -> Funzioni per variabili -> Esportazione Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione consente di esportare durante il runtime dati variabili.

Il formato d´esportazione e il nome file vengono definiti nell´editor. Il posto di salvataggio in caso di esecuzione durante il runtime è la cartella Export nella cartella runtime.

Cosiglio: Accedete alla cartella di progetto selezionando il progetto nell´editor e premendo la combinazione tasti Ctrl+Alt+R.

Per impostare la funzione:

  1. create una nuova funzione.
  2. selezionate Esportazione dati
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Formato di emissione

Formato

Selezionate uno dei possibili tipi di dato:

  • dBase IV (*.dbf)
  • XML (*.xml)
  • CSV (*.txt)

Come Unicode

Questa checkbox è attiva solamente se avete selezionato come Tipo di dato CSV (*.txt).
Attiva: Il file viene salvato in Unicode (UTF-16).

Nome file

Definite il nome file.
Nel caso di file DBF è consentito un numero massimo di 8 caratteri.

Indicazione: il nome non è più modificabile nel runtime.

Posto di salvataggio nel runtime: cartella Export nella cartella runtime.

Variabili

Selezione delle variabili

Numero delle variabili da esportare. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Questa selezione non è più modificabile nel runtime.

Indicazione: Affinché si possa selezionare una variabile, per essa deve essere attiva la proprietà HD attivo nel gruppo Salvataggio dati su disco fisso.

Interno ID: Esportazione Dati

Salvataggio dati su disco fisso

Impostazioni per la registrazione dei valori della variabile sul disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Esportazione Dati

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Inizializzare nuovamente i valori

Nel caso dei dati HD, un buffer circolare viene riempito e portato avanti parallelamente.
Attivo : Il buffer circolare viene vuotato al momento dell'effettuazione dell'operazione di export e inizializzato di nuovo.
Non attivo : Il buffer circolare mantenuto al momento dell'effettuazione dell'operazione di export.


Leggere file dBase

Manuale -> Variabili -> Funzioni per variabili -> Leggere file dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione nello stato online viene letto un file Dbase e depositato come ricetta.

Come parametro di trasferimento è da indicare il file DBase. Il nome del file e della directory devono corrispondere alle convenzioni DOS.

Questo file contiene i nomi delle variabili di processo ed i rispettivi valori impostabili. Se, nel corso dell'esecuzione della funzione, la variabile di processo definita è presente nel progetto attivo in quel momento, il valore impostato nel file DBase viene trasmesso al PLC come nuovo valore impostabile.

Il file dBaseIV deve avere la seguente struttura ed i seguenti contenuti:

Identificazione | Typ | Valore | Nota
NAME | Char | 32 | Nome variabile di processo
WERT | Num | 20 | Valore tecnico
TYP | Char | 8 | tipo dati (C=stringa, N=numerico)
DIRECTION | Char | 12 |


Stampa valori attuali

Manuale -> Variabili -> Funzioni per variabili -> Stampa valori attuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione nello stato online può essere stampato un semplice protocollo degli attuali valori delle variabili (variabili di processo e variabili derivate).

Come parametro di trasferimento bisogna indicare un file di formattazione. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Le impostazioni progettabili sono:

Parametri | Descrizione
Pulsanti di sistema | OK, Annulla, Guida
Con dialogo annulla | Visualizza il dialogo "annulla" durante la generazione dell'operazione di stampa nello stato online
Scelta formato file | Apre un box di dialogo che serve alla selezione del file *.FRM. Qust'ultimo viene generato con il bottone situato sotto. La descrizione del formato FRM si trova più avanti in questo capitolo.
Lancia l'editor formato | lancia l'editor di testo per la generazione del file
Carattere | stabilisce il carattere da usare

Selezionato il pulsante “Scelta formato file”, si può scegliere il file (tipo file *.FRM).

Nel file di formattazione vengono utilizzate determinate parole chiave. Nel runtime vengono inoltre inseriti, al posto delle parole chiave, i rispettivi parametri delle variabili.

Le parole chiave sono:

Parola chiave | Descrizione
@TTA.name | Emetti nome variabile
@TTA.wert | emettere il valore tecnico più attuale; emettere stati binari come valore oppure come contenuto di variabili stringa.
@TTA.einheit | emetti l’unità della variabile di processo
@TTA.text | emetti il testo definito per la variabile di processo
@TTA.status | emetti gli attuali bit di stato della variabile di processo in successione con l’identificazione breve (dal file ZENON6.INI).

Per la formattazione della pagina da emettere oppure come generale informazione sono disponibili le seguenti parole chiave:

Parola chiave | Descrizione
%DATE | emissione della data attuale
%TIME | emissione dell’ora attuale
%PAGE | emissione del numero pagina attuale

Sono progettabili l’intestazione e il piè di pagina. Con un “%%” bisogna selezionare l’inizio e la fine delle aree (intestazione, parte principale, piè di pagina). Dopo l’ultimo “%%” bisogna immettere tre spazi.

L’utilizzo di tabulati potrebbe causare errori nel caso di emissioni di lunghezza diversa. Per il posizionamento si devono usare solo spazi. Il simbolo chiave “@” non va contato.

File FRM “PROJEKT.FRM”

%%
Intestazione della pagina
%%
%%
%date Protocollo del valore di misurazione dell'impianto XYZ

Identificazione dell'unità di valore tecnica
Valore di misurazione 1 @MESSWERT1.valore bar
Valore di misurazione 2 @MESSWERT2.valore kV
Valore di misurazione 3 @MESSWERT3.valore ºC

Pagina %page
%%
%%
Piè di pagina
%%

Stampa online con il file “PROJEKT.FRM”

Intestazione

21.02.1995 Protocollo del valore di misurazione dell'impianto XYZ

Denominazione dell'unità di valore tecnica
Valore di misurazione 1 0.63 bar
Valore di misurazione 2 9.98 kV
>Valore di misurazione 3 17.3 ºC

> Pagina 5

Piè di pagina

Se la formattazione dei valori attuali è più stretta del posto tra le parole chiave TTA, si può utilizzare un file QRF con lo stesso nome. Le variabili di processo nel file QRF si riferiscono a merker definiti. Ogni merker (xxx) inizia con un “$” ed è definito da un determinata sintassi.

define “$xxx” as “Variable” |
- xxx | identificazione breve libera oppure cifra
- Variabile | Nome variabile

Nel file FRM si può accedere a questi merker. Le variabili di processo rispondono quindi ad altri parametri.

$xxx.1 | nome variabile di processo
$xxx.2 | Valore tecnico
$xxx.3 | Unità
$xxx.4 | Testo di stato

Indicazione: i nomi variabile con un punto devono essere messi tra virgolette, per es.: "Variable.Test".

Esempio per la struttura del file QRF

File QRF “MOMENT.QRF”

define $001 as TTA1
define $002 as TTA2

File FRM “MOMENT.FRM”

%%
Intestazione
%%
%%
Area principale
Valore di TTA1= @$001.2
Valore di TTA2= @$002.2
%%
%%
Piè di pagina
%%

Stampa online con il file “MOMENT.FRM”

Intestazione
Valore di TTA1= 100.25
Valore di TTA2= 25.745
Piè di pagina


Gestione HD on

Manuale -> Variabili -> Funzioni per variabili -> Gestione HD on

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

Non sono necessari parametri di trasferimento.


Gestione HD off

Manuale -> Variabili -> Funzioni per variabili -> Gestione HD off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

attenzione Attenzione

Non si salvano più valori! Valori online vengono aggiornati. Non sono necessari parametri di trasferimento.


Gestione HD off/on

Manuale -> Variabili -> Funzioni per variabili -> Gestione HD off/on

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa funzione commuta nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online) tra le due condizioni. All’avviamento del funzionamento online si legge lo stato salvato nel file project.ini.

[DEFAULT] |
... |
HDDATEN= | 0 – off
 | 1 – on


Setta valori impostabili

Manuale -> Variabili -> Funzioni per variabili -> Setta valori impostabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione può essere settato un valore impostabile su una variabile (valore impostabile, comando, messaggio singolo).

Si indicano come parametri di trasferimento la variabile, il valore impostabile ed il tipo di impostazione. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo: E' possibile un'immisione con la tastiera numerica. I segni decimali del valore impostabile vengono accettati come punto e virgola.

Le impostazioni progettabili sono:

Proprietà valore impostabile:

Parametri | Descrizione
Valore impostabile/Modifica di | Valore impostabile tecnico da impostare della variabile
Direttamente verso il hardware: | Attivo: Il valore impostabile viene settato nel funzionamento online senza bisogno di ulteriore conferma dopo l'attivazione della funzione. Disattivata: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.
Proponi valore attuale | Attivo: Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Viene modificata, inoltre, la descrizione del campo Valore impostabile in Modifica di e il valore lì impostato viene addizionato al default (sottratto nel caso di valori negativi). Disattivata: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.
Prelevare i valori limiti dalla variabile | Attivo: I valori impostabili permessi vengono ripresi dalla definizione delle variabili ( Denominazione/setta valore impostabile). Disattivata: I valori impostabili permessi possono essere impostati direttamente nella funzione ( Min e Max).
Attendi conferma scrittura | Attivo: L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso. In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata. La conferma può essere richiesta anche tramite il bit di stato WR-SUC. Disattivata: Non si attende una conferma scrittura.

Impostare valore con variabili numeriche nel runtime:

A. | Box di dialogo | L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se disponibile nel progetto, viene usata automaticamente l'immagine keybord SETVALUEKBD.
B. | Immagine | in preparazione
C. | Programma | con un programma autogenerato

Info Informazioni

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Se vengono impostate variabili binarie (messaggio, comando), cambia il box di dialogo.

Le impostazioni progettabili sono:

Parametri | Descrizione
LOW (0) | setta valore variabile su “LOW” (0)
HIGH (1) | setta valore variabile su “HIGH” (1)
TOGGLE | commuta valore variabile sullo stato complementare (opposto):
Direttamente verso il hardware: | Attivo: Il valore impostabile viene settato nel funzionamento online senza bisogno di ulteriore conferma dopo l'attivazione della funzione. Disattivata: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.
Proponi valore attuale | Attivo: Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Disattivata: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.
Attendi conferma scrittura | Attivo: L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso. In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata. La conferma può essere richiesta anche tramite il bit di stato WR-SUC. Disattivata: Non si attende una conferma scrittura.

Impostare valore con variabili binarie nel runtime:

Parametri | Descrizione
Box di dialogo | L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se disponibile nel progetto, viene usata automaticamente l'immagine keybord SETBOOLKBD.
Immagine | in preparazione
Programma | con un programma autogenerato

Dopo la progettazione, si inserisce la funzione con i parametri di trasferimento nella lista funzioni. Se il valore impostabile viene emesso direttamente verso l'hardware, nella gestione funzioni è riportato un -> davanti al valore.

Il tipo di protocollaggio del valore impostabile può essere progettato nella configurazione del progetto Gestione CEL....

Info Informazioni

Nel caso in cui si verifichi un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.


Controlla Scrivi valore impostabile

Manuale -> Variabili -> Funzioni per variabili -> Setta valori impostabili -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo, non è stato possibile settare il valore.

Info Informazioni

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di stati permane finchè non viene inviato una nuova modifica di valore. Poi entrambi gli stati vanno a 0, finchè il procedimento di scrittura non è concluso. Come valore in risposta deve essere richiesta nella matrice la seguente combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attenzione Attenzione

Il meccanismo deve solo verificare che il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore è stato modificato nel PLC, poichè esso può rispedire indietro la modifica e sovrascrivere subito il valore. (Per esempio nella scrittura su uscite o bit di appoggio, che vengono settati solamente a breve termine.)

Module

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valori impostabili: Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .

    Interno ID: Controlla Scrivi valore impostabile

    Scrittura sincrona

    Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
    In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
    La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
    Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Manager gruppi ricette: Attivare proprietà Scrittura sincrona.

Inserimento nella CEL

  • Setta valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

    Interno ID: Controlla Scrivi valore impostabile

    Funzioni settaggio valore

    Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
    Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
    Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
    Default: non attiva
    Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

    Interno ID: Controlla Scrivi valore impostabile

    Abilita CEL

    Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
    Non attiva: Non viene registrato nessun evento.
    Default: Attiva

    Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Controlla Scrivi valore impostabile

    Lista eventi cronologica (CEL)

    Impostazioni per la gestione della lista eventi cronologica.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Comandi driver

Manuale -> Variabili -> Funzioni per variabili -> Comandi driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo capito descrive le funzionalità standard valide per la maggiore parte dei driver di zenon. Non tutte le funzionalità descritte in questa sede sono a disposizione per ogni driver. Per esempio, un driver, che secondo la descrizione non supporta una connessione modem, non contiene nessuna funzionalità modem.

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver. Per far ciò:

  • create una nuova funzione.
  • selezionateVariabili > Comandi driver
  • si apre il dialogo di configurazione

Parametri

Descrizione

Driver

Lista a cascata con tutti i driver caricati nel progetto.

Stato attuale

Inserimento fisso, nelle versioni attuali senza funzione.

Comando driver

Lista a cascata che serve alla selezione del comando.

  • Avvia driver (modalità online)

Reinizializzare e lanciare il driver
  • Termina driver (modalità offline)

Il driver viene fermato, non si accettano più nuovi dati.

Indicazione: se il driver è nella modalità offline, tutte le variabili che sono state impostate per questo driver, ricevono lo stato Spento (OFF; Bit 20).

  • Driver un modalità di simulazione

Il driver viene settato nel modo simulazione.
Il Driver simula i valori di tutte le variabili del driver. Non viene visualizzato nessun valore dall’Hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Driver nella modalità hardware

Il driver viene settato nella modalità hardware.
Per le variabili del driver vengono visualizzati i valori provenienti dall’hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Comando specifico per il driver

Inserimento di comandi driver specifici Apre il campo per l´inserimento di un comando.

  • Attiva driver Setta valore impostabile.

E´ permesso settare valore impostabile su driver
  • Disattiva Setta valore impostabile su driver.

Settare valore impostabile su driver non è permesso
  • Instaura connessione con il modem.

Creare collegamento (per modem driver). Apre il campo di inserimento per digitare l´indirizzo hardware e per inserire il numero da selezionare.

  • Interrompi connessione con il modem.

Terminare collegamento (per driver modem)

Proporre questo dialogo nel runtime

Nel runtime viene offerto un dialogo per consentire delle modifiche.

Comandi driver in rete

Se un computer sul quale viene eseguita la funzione comandi driver , si trova nella rete di zenon, vengono eseguite ulteriori azioni. Viene spedito dal computer al server del progetto uno speciale comando di rete che esegue poi l´azione desiderata sul suo driver. Il server manda poi lo stesso comando driver allo standby del progetto. Anche lo stanby esegue l´azione anche sul suo driver.

In tal modo si assicura che il server e lo standby siano sincronizzati. Ciò funziona solamente se il server e lo standby hanno entrambi una connessione funzionante e indipendente con l´hardware.


Scrivere ora nella variabile

Manuale -> Variabili -> Funzioni per variabili -> Scrivere ora nella variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione, un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione, viene presa l´ora di sistema e scritta in una variabile string nel formato: DD.MM.YYYY HH:MM:SS .

Come parametro va indicato il nome della variabile.


Leggere ora da variabile

Manuale -> Variabili -> Funzioni per variabili -> Leggere ora da variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con questa funzione un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione la variabile string viene letta dal PLC e se la differenza di tempo tra il calcolatore e il PLC è più grande di un secondo, viene settato il tempo di sistema del calcolatore e scritto un inserimento CEL. La variabile string deve avere il formato seguente: DD.MM.YYYY HH:MM:SS.

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Come parametro va indicato il nome della variabile.


Immagine Diagnosi variabili

Manuale -> Variabili -> Immagine Diagnosi variabili

Un´immagine Diagnosi - variabili permette di visualizzare variabili nel runtime e di settare valori impostabili. Informazioni più precise sui tipi di immagine predefiniti le potete trovare nel capitolo "Immagini / Tipi immagine'.


Crea immagine del tipo Diagnosi - variabili.

Manuale -> Variabili -> Immagine Diagnosi variabili -> Crea immagine del tipo Diagnosi - variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un tipo di immagine Diagnosi - variabili:

  • impostate una nuova immagine.
  • selezionate come tipo di immagine Diagnosi - variabili
  • Viene generata un´immagine vuota.
  • Selezionate nella lista a cascata del menu Elementi di controllo il comando Inserisci modello, oppure selezionate gli elementi di controllo desiderati per la gestione durante il runtime.

Elemento di controllo | Descrizione
Inserisci modello | Apre il dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma li si può impostare anche individualmente. I modelli insericono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Visualizzazione tabellare |
Diagnosi variabili | Finestra lista nel runtime.
Valori decimali | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo decimale.
Valori esadecimali | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo esadecimale.
Valori binari | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo binario.
Valori ottali | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo ottale.
Valori decimali esponenziali | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo decimale esponenziale.
Variabili |
Inserisci Variabile | Aggiungere variabile alla lista nel runtime
Sciogli variabile | Elimina variabile dalla lista nel runtime.
Attualizzazione del valore |
Aggiornamento valore attuale ON | Attiva lettura automatica dei valori attuali della variabile
Aggiornamento valore attuale OFF | Lettura automatica dei valori attuali della variabile viene disattivata
Attualizza adesso valori attuali | Leggi di nuovo valori attuali della variabile
Tutte le variabili: setta valori impostabili. | Settaggio di valori impostabili della variabile all´hardware
Variabil selezionate: setta valori impostabili. | Settaggio di valori impostabili delle variabili selezionate nell´hardware
Modifica valore impostabile | modificare il valore impostabile della variabile selezionata
Operazioni di trasmissione. |
Variabili selezionate: passa a valore spontaneo | Passa a valore spontaneo per le variabili selezionate.
Variabili selezionate: passa a valore di sostituzione | Passa a valore di sostituzione per le variabili selezionate.
Variabili selezionate: modifica il valore di sostituzione | Modifica il valore di sostituzione delle variabili selezionate.
Variabili selezionate: attiva il valore spontaneo. | Per la variabili selezionate viene attivato il valore spontaneo. Per questo viene resettato il bit di stato OFF (Bit 20).
Variabili selezionate: disattiva il valore spontaneo. | Per la variabili selezionate viene disattivato il valore spontaneo. Per questo viene settato il bit di stato OFF (Bit 20).
Variabili selezionate: attiva revisione. | Per la variabili selezionate viene attivata la revisione. Per questo viene settato il bit di stato OFF (Bit 09).
Variabili selezionate: disattiva revisione. | Per la variabili selezionate viene disattivata la revisione. Per questo viene resettato il bit di stato OFF (Bit 09).
Profili filtro.... |
Selezione profilo | selezionare profilo salvato
Salva | Salvare impostazioni come profilo
Elimina | cancellare profilo

Info Informazioni

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.

Per utilizzare la diagnosi variabili nel runtime dovete prima di tutto creare una Funzione con cambio immagine per passare all´immagine in questione.

Info Informazioni

Potete effettuate il filtraggio sulla base del bit di stato NORM e N_NORM.


Cambio immagine Diagnosi variabili

Manuale -> Variabili -> Immagine Diagnosi variabili -> Cambio immagine Diagnosi variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I parametri necessari per di una finestra Diagnosi variabilisono le variabili da rappresentare nell´immagine ed i valori impostabili per le variabili selezionate.

Diagnosi variabiliDiagnosi variabili procedete come segue:

  • scegliete Nuova funzione.
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Diagnosi variabili
  • si apre un dialogo di configurazione

Parametri

Descrizione

Variabili

Lista delle variabili e delle loro proprietà.

Inserisci Variabile

Apre il dialogo per la selezione delle variabile; facendone uso, potete aggiungere una o più variabili.m

Sciogli variabile

Delle variabili selezionate vengono sciolte dall´immagine.

Modifica valore impostabile

I valori impostabili proposti possono essere modificati per le variabili dell´immagine. I valori impostabili possono essere modificati anche cliccando sulla cella con il valore che si intende mutare.

Opzioni

Base numerica per la visualizzazione

Definisce la rappresentazione dei valori durante il runtime.

Possibili valori:

  • Decimali
  • Esadecimali
  • Binari
  • Ottali
  • Decimali esponenziali

Aggiornamento valore attuale ON

Attivo: quando si apre la finestra durante il runtime, i valori attuali vengono attualizzati.

Proporre questo dialogo nel runtime

Attivo: Il dialogo viene visualizzato all´apertura dell´immagine nel runtime.

Info Informazioni

Potete modificare le colonne (testo visualizzato, tipi colonne e larghezza colonne) cliccando con il tasto destro del mouse sul titolo della colonna. Nel menu contestuale trovate le impostazioni di cui avete bisogno per effettuare le modifiche. Esse vengono trasmesse dall´editor al runtime e possono essere modificare anche in questa sede con lo stesso meccanismo.


Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura

Il cambio unità di misura permette la conversione e il cambio di unità di base in cosiddette unità di commutazione, per esempio metro in yard o metro in decimetro, centimetro in millimetro. Un´unità base contiene il valore di partenza per una conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe dispongono di una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Interno ID: Cambio unità di misura

Posizione della virgola decimale

Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cambio unità di misura

Offset

da unità primaria (d per y=kx+d)

Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Cambio unità di misura

Fattore

Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Al momento di definire i parametri di una variabile, si può selezionare un´unità di base. Mediante la funzione Cambio unità di misura si può passare durante il runtime da un´unità all´altra.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

menu contestuale - manager di progetto

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Info Informazioni

Il cambio dell´unità di misura non deve essere usato in concomitanza con la funzione report variablerw. Tale funzione, infatti, rende disponibile un cambio di unità per progetti più vecchi. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.


Unità di misura Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Variabili -> Cambio unità di misura -> Unità di misura Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Menu contestuale Unità di misura Visuale dettagli

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Menu contestuale e barra simboli Unità base/Unità convertita

Punto di menu | Azione
Nuova unità base | Crea una nuova unità base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento originario | Lista a cascata con link che riconduce all´elemento dal quale si è giunti all´unità. Esiste solamente se l´unità è collegata con un altro elemento.
Rinominare | Permette il cambiamento della denominazione dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura che sono già connesse a variabili oppure che vengono utilizzate in funzioni, devono essere adattate manualmente nelle corrispondenti variabili oppure nella relativa funzione. Vedi per ulteriori informazioni: Attribuzione a una variabile dell´unità base e Funzione "Conversione unità di misura".
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML… | Importa delle unità di misura da un file XML.
Copiare | Copia gli inserimenti selezionati negli appunti
Incolla | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selzionati.
Guida | Attiva la guida online


Progettare unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Progettare unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per il calcolo, dovete creare una unità di base e un´unità di conversione, nonché i parametri per il calcolo. Il calcolo viene effettuato secondo la formula y=kx+d (Austria) oppiure y=mx+b Germania). Ogni unità di base può essere assegnata a una Variabile come unità di misura.

Per creare un´unità di base, seguite la seguente procedura:

  • selezionate nel manager di progetto il nodo Unità di misura.
  • Cliccate poi con il tasto destro del mouse su Unità di misura.
  • Selezionate nel menu contestuale il comando Nuova unità di base.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • Impostate un´unità di conversione.

Per creare un´unità di conversione, seguite la seguente procedura:

  • cliccate con il tasto destro del mouse su Unità di base.
  • Selezionate nel menu contestuale il comando Nuova unità di conversione.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • impostate un Fattore per la conversione

    Interno ID: Progettare unità di misura

    Fattore

    Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • stabilite un valore Posizione della virgola decimale per

    Interno ID: Progettare unità di misura

    Posizione della virgola decimale

    Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • stabilite un valore Offset per

    Interno ID: Progettare unità di misura

    Offset

    da unità primaria (d per y=kx+d)

    Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


Attribuzione a una variabile dell´unità base

Manuale -> Variabili -> Cambio unità di misura -> Attribuzione a una variabile dell´unità base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Assegnate delle unità basi ad una variabile nelle proprietà Unità di misura (nodo Generale).

Interno ID: Attribuzione a una variabile dell´unità base

Generale

Proprietà generale della variabile o del tipo di dato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Attribuzione a una variabile dell´unità base

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri.
Default: vuoto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In questa sede potete scegliere una denominazione a piacere per le unità. Se volete utilizzare la conversione dell´unità durante il runtime, selezionate in primo luogo una unità base definita scegliendola fra quelle della lista dropdown.

Un consiglio: Quando assegnate una denominazione a piacere, Vi consigliamo di impostare subito dopo nel nodo Unità di misura L´unità base con lo stesso nome.

Per far in modo che venga effettivamente eseguito il calcolo di conversione durante il runtime, dovete impostare una Funzione "Conversione unità di misura" .

attenzione Attenzione

Se poi si decide di modificare l´unità di misura in un secondo momento, il cambiamento della denominazione non viene effettuato automaticamente per le variabili già connesse.

Per cambiare la denominazione di unità di misura già connesse, procedete nel modo seguente:

  • selezionate la visualizzazione dettagli del manager di progetto
  • poi selezionate la colonna "unità di misura", oppure aggiungetela alla visualizzazione nel caso in cui essa non venga ancora visualizzata.
  • Selezionate poi nel menu contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nel dialogo che si aprirà, poi, cercate il vecchio nome e sostituitelo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Indicazione: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Cambio a | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

Info Informazioni

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attenzione Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Variabili -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e containpulsi nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella finestra Energy Management System vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Wizard

Manuale -> Wizard

Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, zenon mette disposizione dei wizards concernenti diversi settori dell´engineering.

Gli utenti possono creare anche dei propri wizard.

tutorial Informazioni sulla licenza

Contenuta nella licenza standard per Editor e Runtime

Avvia wizard

Per avviare un wizard:

  • selezionate nella lista a cascata File l´inserimento Wizards ...

    oppure

  • premete la combinazione tasti Alt+F12

Il wizard per l´impostazione del progetto viene offerto dal sistema automaticamente al momento della creazione di un nuovo progetto.

Impostazioni zenon6.ini

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.


Temi

Manuale -> Wizard -> Temi

I seguenti wizard sono a Vostra disposizione in zenon:

  • Esportazione/Importazione
    • FactoryLink Import Wizard
    • Wizard per l'importazione
    • PDiag Import Wizard
    • XML Export Wizard
  • Language table
    • Wizard per testi di sistema
  • Project
    • Project Wizard VBA
    • Project Wizard VSTA
    • Wizard di documentazione
  • Screens and Frames
    • Immagine globale - World View Wizard
  • Variables and functions
    • Funzioni - Wizard for Functions
    • Crea variabili di sistema - - System Variable Creation Wizard
    • Crea variabili - Wizard for creating variables


Analyzer Export Wizard

Manuale -> Wizard -> Temi -> Analyzer Export Wizard

L´Analyzer Export Wizard di zenon supporta l´export di metadati provenienti da zenon per il zenon Analyzer.

Possono essere esportati:

  • dati del progetto globale
    • modelli di impianti
    • Classi allarmi/eventi
    • gruppi allarmi/eventi
    • utente
  • variabili dei progetti locali

Indicazione: il wizard è a disposizione solamente in lingua inglese.

Noch in diesem Kapitel

Installa e apri Wizard

Finestra start

Configurazione

Termina Wizard


Installa e apri Wizard

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Installa e apri Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per installare il Wizard:

  1. aprite in zenon il workspace
  2. scegliere dal menu File il comando aggiornamento Wizard.
  3. cliccate nel settore Altre cartelle per VSTA Wizards sul pulsante ...
  4. passate all´interno del browser file al medium d´installazione
  5. selezionate in questa sede la cartella [Installationsmedium]\Setup\Wizard\zenon7.00\WizardsVSTA
  6. selezionate wizards.ini
  7. avviate l´update.
  8. il Wizard è stato inserito adesso nel percorso dei wizard e può essere avviato

Indicazione: se il Wizard non dovesse essere visualizzato, aggiungete al Workspace Add-in le seguenti referenze: system.core

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1. Per aprire il Wizard:

  1. aprite in zenon il menu File
    oppure premete la combinazione di tasti Alt+F12
  2. selezionate l´inserimento Wizards....
  3. si apre il dialogo di selezione
  4. navigate per raggiungere il nodoAnalyzer
  5. selezionate il Analyzer Export Wizard

  6. cliccando su OK aprite il Wizard


Finestra start

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Finestra start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante Next procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli selezionati nella scheda Data collection vengono offerti in successione per realizzarne la configurazione dettagliata. Cliccando sul pulsante Next compite un passo in avanti nella lista.

Potete selezionare anche direttamente singole schede cliccando sul titolo della scheda in questione. In tal modo è possibile modificare in qualsiasi momento i passi del processo di configurazione, oppure effettuare un nuovo processo di export con parametri modificati senza dover riavviare il Wizard.

Le seguenti schede sono a Vostra disposizione per l´export:

  • Data collection: Opzione per raccogliere i metadati
  • Equipment modeling: Export dei gruppi modelli
  • Alarm_event classe: Classi allarmi/eventi
  • Alarm_event groups: Gruppi allarmi/eventi
  • Users: utente
  • Projects: Progetti
  • Variables: Variabili
  • Export overview: Visione generale dei metadati da esportare
  • Finish: Avvio dell´export e risultato

Ogni scheda è suddivisa in tre settori:

  1. settore informazioni:
    indicazioni su quali dati vengono configurati in questa scheda e quali possibilità avete.
  2. Campo lista: lista degli oggetti a disposizione per l´export.
  3. Settore di configurazione: possibilità di modificare i dati prima dell´export.


Data collection

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Data collection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Su questa scheda stabilite:

  1. oggetti che devono essere esportati
  2. banca dati con la quale ci si connette
  3. opzioni generali per l´export

Parametri

Descrizione

Data Collection

Informazioni e indicazioni concernenti i processi di export in corso

Collection settings

Impostazioni per la collezione dati

SCADA side

Impostazioni per zenon:

Definisce gli elementi da esportare dal workspace di zenon. Le impostazioni stabiliscono quali elementi sono da esportare. Le impostazioni dettagliate vengono effettuate nella scheda relativa.

Equipment modeling

Attivo: i modelli di impianti vengono esportati dal progetto globale.

Alarm/event classes

Attivo: le classi allarmi/eventi vengono esportate dal progetto globale.

Alarm/event groups

Attivo: i gruppi allarmi/eventi vengono esportati dal progetto globale.

Users

Attivo: gli utenti vengono esportati dal progetto globale.

Projects

Attivo: la lista progetti viene esportata.

Variables

Attivo: le variabili vengono esportate dai progetti.

E' a disposizione solo se l´opzione Projects è stata attivata.

Database side

Impostazioni per la banca dati. Definisce il calcolatore, nonché nome e istanza della banca dati. I cui record sono:

  • destinazione dell´export
  • sorgente nel caso di eventuale convergenza

DB host

calcolatore che ospita la banca dati.

DB name

Nome del database

DB instance

Istanza del database

Options

Opzioni generali per l´export

Preselect the existing database objects in the collected meta data sets

Attivo: tutti gli inserimenti che sono sia in zenon che nella banca dati, vengono preselezionati nel settore di selezione della finestra principale.

Suggest the changeable form the existing database objects

Attivo: i valori modificabili degli inserimenti preselezionati provengono dalla banca dati.

Essi non vengono modificati quando li si esporta.

Disponibile solamente se Preselect the existing database objects in the collected meta data sets è stato attivato.

Remove the positive database difference to the selected objects

Attivo: inserimenti dati che si trovano nella banca dati, ma non in zenon, vengono cancellati nel database.

Report the raised troubles

Attivo: vengono segnalati eccezioni ed errori verificatesi durante l´esecuzione del Wizard..

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Equipment modeling

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Equipment modeling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dei gruppi modello da esportare dal progetto globale.

Parametri

Descrizione

Equipment modeling

Informazioni e indicazioni concernenti l´export

Equipment modeling settings

Campo lista con possibilità di selezione di gruppi modello. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Classi allarmi/eventi

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Classi allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Alarm/event classes

Informazioni e indicazioni concernenti l´export

Alarm/event classes settings

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Color

Colore attuale. Con un clic si apre la tavolozza che serve a scegliere un colore.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Allarmi/Eventi_Gruppi

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Allarmi/Eventi_Gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Alarm/event groups

Informazioni e indicazioni concernenti l´export

Alarm/event groups settings

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Color

Colore attuale. Con un clic si apre la tavolozza che serve a scegliere un colore.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Users

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Users

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione degli utenti da esportare dal progetto globale.

Parametri

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Users settings

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Projects

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione dei progetti locali da esportare.

Parametri

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Projects settings

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Server

Indirizzo del server.

Standby

Indirizzo del server ijn standby.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Variables

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione delle variabili da esportare dal progetto locale.

Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti nella finestra di selezione.

Parametri

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Variables settings

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Project

Lista a cascata che serve a scegliere i progetti nei quali selezionare le variabili. Vengono visualizzate sempre solo le variabili del progetto selezionato.

Si possono aprire diversi progetti in successione per selezionare le loro variabili.

La selezione delle variabili viene visualizzata nella scheda Export overview.

Show variables of selected equipment modeling nodes only

Attivo: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Settore di editazione

Consente di modificare elementi scelti nella finestra di selezione.

Nome

Nome dell´inserimento.

Description

Descrizione integrativa.

Continual edit

Attivo: disattiva il pulsante Edit. Le modifiche vengono riprese non appena un inserimento viene lasciato, senza che il sistema ne faccia esplicita richiesta all´utente.

Vantaggio: modifica veloce di più dati.

Svantaggio: sono possibili delle modifiche dati casuali e non volute.

Edit/Apply

Disponibile solo se Continual Edit non è attiva.

Edit apre la modalità modifica singola per l´inserimento selezionato. Il pulsante passa a Apply.

Le modifiche devono essere confermate con Apply, oppure rifiutate facendo uso del pulsante Cancel.

Se si clicca su un altro elemento nel campo di selezione, oppure se si cambia il livello di editazione, il sistema pone la seguente domanda:

  • riprendi dati modificati: pulsante Sì
  • rifiuta: pulsante No
  • Non cambiare elemento: pulsante Annulla

Vantaggio: Controllo esatto dei dati. Kontrolle der Daten.

Svantaggio: Modifica lenta dei dati.

Cancel

Rifiuta tutte le modifiche per l´elemento selezionato.

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Export overview

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Export overview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa scheda elenca in una lista gli elementi selezionati per l´export.

I seguenti inserimenti vengono creati dal Wizard e non possono essere modificati dall´utente.

  • Status texts
  • Variable to equipment modeling mappings
  • Equipment modeling to operating shift mappings

Navigazione

Pulsanti

Descrizione

Back

Fa un passo indietro nella fase di avanzamento del Wizard.

Next

Cloccando su questo pulsante, si fa un passo in avanti.

Finish

Esegue l´export.

È a disposizione solamente nella scheda Finish.

Cancel

Termina l´esecuzione del Wizard.

Al momento della chiusura del Wizard, un dialogo pone la domanda se la configurazione debba essere salvata.

  • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.

Modifica configurazione

Per modificare inserimenti prima dell´export:

  • cliccate sul pulsante Back
    oppure
  • selezionate la scheda direttamente

Esportazione Dati

Per confermare tutte le impostazioni ed esportare i dati:

  • Cliccate sul pulsante Next
  • cliccate nell´ambito della scheda Finish sul pulsante Finish

Indicazione: a seconda delle Impostazioni effettuate, l´export provoca anche la cancellazione di dati nella banca dati.

Esegui altri export

Per configurare altri export e per avviarli:

  • cliccate sul pulsante Back oppure selezionate direttamente la scheda.
  • configurate di nuovo il livello di export desiderato
  • cliccate nell´ambito della scheda Finish sul pulsante Finish


Finish

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Configurazione -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per esportare i dati configurati:

  1. cliccate nell´ambito della scheda Finish sul

  2. l´export viene avviato
  3. nella finestra di emissione vengono documentati gli elementi esportati

  4. cliccate su Cancel per terminare il Wizard
    oppure configurate la scheda nuovamente per preparare un nuovo export


Termina Wizard

Manuale -> Wizard -> Temi -> Analyzer Export Wizard -> Termina Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per terminare il Wizard:

  • cliccate sul pulsante Close oppure su Cancel
  • un dialogo pone la domanda se la configurazione debba essere salvata.
    • Se si clicca su Sì, il sistema scrive la configurazione nella Registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
    • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Esportazione/Importazione

Manuale -> Wizard -> Temi -> Esportazione/Importazione

Wizard per l´export e l´import di dati.


FactoryLink Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il FactoryLink Import Wizard è un assistente che aiuta l´utente quando egli vuole importare un progetto FactoryLink in zenon.

attenzione Attenzione

Si consiglia di impostare come lingua dell´editor di zenon l´inglese, per garantire un import per quanto possibile esente da errori.


Export dei dati di progetto da FactoryLink

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Export dei dati di progetto da FactoryLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´export di dati di progetto FactoryLink deve avvenire tramite il menu Display - Library Converter nell´applicazione ClientBuilder. Qui dovete selezionate le libraries necessarie e tutti i contenuti di progetto da convertire.

attenzione Attenzione

ASCII deve essere assolutamente selezionato come formato di destinazione.

Inoltre deve essere garantito l´accesso delle bitmap usate nel progetto. Tutti i file devono rimanere nella struttura cartelle che è stata creata da FactoryLink.


Import del progetto

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Import del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Mediante il menu File - Wizards..., appare un dialogo che mostra tutti i Wizard disponibili in zenon. Il FactoryLink Import Wizard si trova nel gruppo Wizards - Export/Import - FactoryLink Import Wizard.


Welcome

Welcome

Sulla prima pagina del wizard vengono descritte brevemente la struttura e le seguenti pagine del wizard.


Preparation

Preparation

In questa pagina troverete delle informazioni basilari concernenti l´esecuzione del wizard. Per escludere che, nell´operazione di import, ci siano doppi nomi di immagini e modelli, Vi consigliamo di creare un nuovo progetto in zenon. Cliccando suCreate empty project, si apre il dialogo di zenon che serve ad impostare un nuovo progetto, sempre che quello attualmente caricato non dovesse essere un progetto vuoto.

attenzione Attenzione

Dopo la creazione di un nuovo progetto, si apre automaticamente il dialogo di scelta wizard di zenon. Questo dialogo deve essere chiuso visto che il FactoryLink Import Wizard è attivo in background.


Tag selection

Tag selection

In questa pagina dovete selezionare il file imltags.asc del progetto FactoryLink che deve essere importato. Se cliccate su Import!, verranno importate in zenon tutte le informazioni variabili del progetto. Il wizard apre il file con le informazioni variabili e legge nome, tipo e descrizione delle variabili. Il driver interno viene usato in zenon come driver standard.

Info Informazioni

Dopo l´effettuazione dell´import delle variabili, i driver usati in zenon possono essere modificati facendo uso di Properties -> Addressing -> Driver Connection ->.


Mimic selection

Mimic selection

In questa pagina devono essere selezionate tutte le cartelle rilevanti in cui si trovano i dati d´immagine, i modelli, le bitmap e i simboli del progetto.

Oltre al normale import come simbolo d´immagine, nel wizard esiste la possibilità di creare un´immagine simbolo. Il wizard crea un´immagine con tutti i simboli contenuti nel progetto. Questi simboli devono poi essere copiati manualmente nella libreria locale dei simboli del progetto di zenon. Se il progetto FactoryLink contiene delle animazioni (per esempio Symbols Bit Group) nelle quali vengono collegate variabili con simboli, il wizard può trasmettere in tal modo le animazioni ad un ellemento combinato di zenon.


Events

Events

Su questa pagina viene visualizzato un riassunto delle conversioni. La lista può essere filtrata, se necessario, sulla base di determinati eventi.


Lista degli oggetti importabili

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Lista degli oggetti importabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • Import di nomi variabili, descrizione e tipi, trasmissione di collegamenti FactoryLink al driver interno di zenon
  • Import e creazione di FactoryLink Templates e Mimics.
  • Import di bitmaps di FactoryLink nella cartella immagini del manager di progetto di zenon.
  • Import e creazione di elementi immagine statici:
  • Rettangolo
  • Linee
  • Rettagoli arrotondati
  • Ellisse/Cerchio
  • Testo
  • Poligoni
  • Polilinea
  • Diagramma a torta
  • Bitmaps
  • Import nella tabella lingua di zenon di testi MultiLang da elementi di testo
  • Le dimensioni dei caratteri di progetti FactoryLink vengono riprese per approssimazione e vengono adattati a quelli standard.
  • Possibilità di creazione di immagine simbolo che contiene tutti i simboli per l´import manuale nella libreria simboli locale.
  • Import simboli FactoryLink come simboli immagine di zenon
  • Import simboli alternativo dalla libreria di simboli di zenon quando è stato effettuato un import manuale.
  • Conversione di animazioni CB (ColorBit) su un elemento combi di zenon
  • Conversione di animazioni OBG (Symbols Bit Group) su un elemento combi di zenon
  • Conversione di animazioni DR (Display Register) su un elemento testo di zenon
  • Conversione di animazioni SR (Send Register) su un pulsante di testo di zenon


PDiag Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il PDiag Import Wizard di zenon è un aiuto nel caso di import di segnalazioni PDiag. In questo contesto bisogna dire che questo wizard può servire anche da base per estensioni individuali.

Il PDiag Import Wizard è a disposizione solamente in lingua inglese.


Requisiti

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il wizard importa un file XML esportato da Simatic Modul Prozess Diagnose (PDiag). Questo export può essere eseguito in Simatic Manager/Diagnosi di processo tramite il punto di menu Diangosi di processo | Esporta .

Il file XML generato in tal modo viene importato in zenoncon il wizard. Allo stesso tempo, vengono impostate delle variabili basate sul driver S7-TCP, con il tipo di oggetto driver Alarm-S. Ogni messaggio e ogni valore di accompagnamento corrispondono a una variabile di zenon.

Come valori di accompagnamento vengono impostate solamente delle variabili UINT. Il testo di segnalazione viene analizzato sulla base della denominazione Simatic PDiag "@1X%2d@", "@1X%3d@" e viene adattato in modo corrispondente a "@1X%4d@" analysiert und für zenon. E´possibile anche usare la tabella lingua per testi dinamici. I testi al di fuori del wizard devono essere trasferiti nella tabella lingua di zenon.

Questo wizard importa anche le segnalazioni S7-Graph che vengono generate automaticamente da PDiag e che, perciò, sono contenute anche nel file XML.


Impostazioni

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare il wizard:

  1. scegliere dal menu File il comando Wizard....

    Alternativa: combinazione di tasti Alt+F12

  2. si apre il dialogo per la selezione dei wizard di zenon
  3. aprite il nodo Export/Import
  4. selezionate PDIAG Wizard

Attraverso le cartelle

  • Welcome
  • Settings
  • Finish

il wizard porta all´importazione di un file XML.


Welcome

Welcome

La cartella Welcome contiene una breve spiegazione sul tipo di funzione e requisiti del wizard.

Per giungere alla cartella Settings, cliccate sul punto di menu Settings oppure sulla freccia in basso a sinistra.


Settings

Settings

Nella cartella Settings eseguite le impostazioni per l´operazione di import.

Impostazione

Descrizione

Driver

Selezione del driver S7-TCP dal progetto attivo per il quale deve essere effettuata l´operazione di import.

PDIAG XML File

Selezione dei file XML che devono essere importati.

Identification

Inserimento facoltativo per l´identificazione della variabile. Può essere effettuata un´operazione di filtro nella lista variabili sulla base di questo inserimento.

Net Adress

Fissa l´indirizzo di rete per l´indirizzamento della variabile di zenon. L´indirizzo di rete valido lo sapete consultando la configurazione driver.

Alarm Group

Fissa il gruppo allarmi/eventi delle segnalazioni importate.

Attenzione: il wizard non imposta autonomamente nessun gruppo allarmi/eventi in zenon. Questi ultimi devono essere creati manualmente prima dell´import.

In IPA

attivo: setta per le variabili la proprietà Salva nel database IPA. In tal modo, le segnalazioni vengono trasmesse all´Industrial Performance Analyzer.

Interno ID: Settings

Salva nel database IPA

Attiva: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: non attiva.

Attenzione: il Production Facility Scheduler è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Get Alarm Class

attivo: la priorità segnalazioni settata nel Simatic Manager viene interpretata come una classe allarmi/eventi di zenon.

Attenzione: il wizard non imposta autonomamente nessuna classe allarmi/eventi in zenon. Questi ultimi devono essere creati manualmente prima dell´import.

Con Finish si avvia l´operazione di import. Questo pulsante è attivo solamente nella cartella Finish. Cliccate sull´inserimento di menu Finish oppure sulla freccia in basso a sinistra.


Finish

Finish

Per avviare l´import, cliccate sul pulsante Finish.


Import dei messaggi

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Import dei messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Durante l´import vengono emesse delle indicazioni:

dopo la conclusione dell´import appare un´informazione relativa al numero delle variabili che sono state importate.

Messaggi importanti

Segnalazione | Descrizione
message text too long | Il testo di allarme è troppo lungo e viene ridotto alla lunghezza consentita in zenon.
creating attribute variable for dynamic limit text | Accanto alla variabile di feedback, viene impostata una variabile di valore di accompagnamento per il testo dinamico di valore limite.


WinCC Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il WinCC Import Wizard importa parti selezionate di progetti WinCC esistenti nel progetto zenon attualmente caricato. L´import dei dati progetto WinCC avviene tramite due programmi:

  • WinCC Graphics Converter: esporta immagini, modelli e simboli da WinCC in un file XML
  • WinCC Import Wizard: importa
    • Data Blocks (Structure Tags), tags, allarmi e archivi direttamente
    • Immagini, modelli e simboli via file XML che sono stati creati precedentemente grazie al WinCC Graphics Converter


Installazione

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter eseguire il WinCC Import Wizard, dovete in primo luogo installare tutto le componenti.

Info Informazioni

Tenete presente che NON dovreste installare zenon sullo stesso calcolatore di WinCC.

Installation WinCC Graphics Converter

Per poter accedere alle informazioni WinCC, si deve installare il WinCC Graphics Converter localmente sul calcolatore sul quale è attivo il progetto WinCC. Il Setup si trova sul supporto di installazione di zenon nella cartella \Additional_Software\WinCC Graphics Converter.

Dopo l´installazione, trovate alla voce Start - Tutti i programmi - COPA-DATA - WinCC Graphics Converter il tool di conversione per diverse versioni di WinCC. Avviate sempre solamente il tool adeguato.

Info Informazioni

Presupposto per l´uso del Converter è .NET Framework 3.5. Al momento dell´installazione del convertitore, il sistema verifica la presenza del Framework. Se esso manca, l´installazione viene terminata. Installate in questo caso il .NET Framework 3.5 e riavviate poi l´installazione del convertitore.

Installazione del Wizard a partire dalla versione 7.0 di zenon

Il Wizard viene installato automaticamente con l `Editor <CD_PRODUCTAME>. Non è necessario effettuare delle impostazioni separate. Potete avviare subito il Wizard nell´Editor di zenon alla voce Datei - Wizards... e lì nel settore Export/Import.

Installazione del Wizard per zenon 6.51

Visto che il Wizard non è una componente di 6.51 SP0, per la sua installazione dovete effettuare i seguenti passi:

  • installate anzitutto perlomeno il Build 6 di zenon 6.51. Potete richiedere il Build 6 al Vostro distributore, oppure al COPA-DATA Support.
  • Installate il Wizard con il WinCC Graphics Converter. Questo Setup installa il WinCC Graphics Converter Tool e anche il Wizard, sempre che zenon 6.51 SP0 sia installato. Potete richiedere il setup al Vostro distributore, oppure al COPA-DATA Support.
  • Dopo aver effettuato l´installazione, avviate l´Editor di zenon. Appare il dialogo per l´aggiornamento del Wizard. Per mezzo di "Inizio aggiornamento", il Wizard viene aggiunto al workspace di VSTA.
    Se volete effettuare questo passo in un secondo momento, potete ritornare in qualsiasi momento a questo dialogo, che trovate nell´Editor di zenon nel menu File -Aggiorna Wizard ... .

  • Avviate l `Editor di VSTA nell´Editor di zenon, per la precisione nel menu File - Apri Editor di VSTA... e selezionate nella finestra Project Explorer il nodo References. Nel menu contestuale eseguite Add Reference... per aggiungere due referenze mancanti:
    • MSDASC: Nell´ambito del dialogo Add Reference, passate alla scheda COM e aggiungete la componente Microsoft OLE DB Service Component 1.0 Type Library al progetto.
    • ADODB: Nell´ambito del dialogo Add Reference, passate alla scheda Browse. Passate alla cartella C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies e selezionate il file adodb.dll.

  • Adesso potete selezionare nell´Editor di VSTA, nella finestra Project Explorer il nodo WorkspaceAddin e compilare l´Addin facendo uso del comando Build del menu contestuale.

Non appena il processo di compilazione si è concluso con successo, il Wizard è a Vostra disposizione nell´Editor di zenon alla voce Datei - Wizards... e lì nel settore Export/Import.


WinCC Graphics Converter

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Graphics Converter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il WinCC Graphics Converter consente di selezionare immagini, modelli e simboli di progetti WinCC e di esportarli in forma di file XML.

Info Informazioni

Al momento possono essere creati file XML con progetti WinCC della versione 7.0 e 7.0 SP1.


Welcome

Welcome

Per mezzo del WinCC Graphics Convert è possibile convertire file grafici WinCC (pdl) in un formato XML leggibile per il WinCC Import Wizard. Le informazioni grafiche esistenti vengono salvate come file PNG e WMF insieme con i file XML e depositate in una cartella selezionata.

Per eseguire il convertitore:

  1. clicchi su start.
  2. passate a COPA-DATA -> WinCC Graphics Converter
  3. avviate il WinCC Graphics Converter
  4. seguite le istruzioni del Wizard


Select .pdl files

Select .pdl files

In questa scheda selezionate i file PDL che devono essere esportati dal progetto WinCC. Per far ciò:

  1. Cliccate sul pulsante Select .pdl files
  2. passate alla cartella di progetto che contiene i file PDL.

    Indicazione: perché possano essere selezionati dei dati, il progetto WinCC deve essere caricato sul calcolatore!

  3. selezionate i file desiderati
  4. tutti i file PDL selezionati vengono visualizzati nella finestra di anteprima


Select output folder

Select output folder

In questa scheda selezionate la cartella in cui devono essere salvati i file esportatati. Per far ciò:

  1. cliccate sul pulsante Select output folder
  2. passate alla cartella in cui devono essere salvati i file esportatati
  3. Indicazione: potete anche creare nel dialogo di selezione una nuova cartella.


Convert

Convert

Nella scheda eseguite la conversione.

Copiate la cartella, dopo averne effettuato l´export con successo, sul calcolatore con il progetto zenon in cui i dati devono essere esportati. Oppure fare in modo che il calcolatore con il progetto zenon abbia accesso alla cartella export.


WinCC Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´Import WinCC Wizard viene avviato tramite il dialogo Wizard dell´Editor e serve all´import dei seguenti elementi WinCC:

  • importazione degli Screens (i file XML creati tramite WinCC Graphics Converter vengono trasformati in modelli, immagini e simboli di zenon)
  • Import dei WinCC Tags (solo S7 TCP)
  • Import dei WinCC Structure Tags (solo S7 TCP)
  • Import Alarm Limits
  • Import Archive Tags

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

[VSTA]

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. aprite in zenon il menu File
    oppure premete la combinazione di tasti Alt+F12
  2. selezionate l´inserimento Wizards....
  3. si apre il dialogo di selezione
  4. navigate per raggiungere il nodoExport/Import
  5. selezionate il WinCC Import Wizard
  6. cliccando su OK aprite il Wizard

Il Wizard è diviso in settori:

  • Welcome: Visione d´insieme del Wizard.
  • Settings: Impostazioni per la connessione con il progetto WinCC. Dopo aver instaurato la connessione con successo, il sistema visualizza le schede per l´import diretto.
    • Data Blocks: Structure Tags aus WinCC
    • Tags: Tags di WinCC
    • Alarm Limits: Classi di allarmi e allarmi di WinCC
    • Archive Tags: Dati archivio di WinCC
  • Screens: Import delle immagini di WinCC tramite WinCC Graphics Converter


Welcome

Welcome

La pagina di partenza del Wizard fornisce informazioni a proposito di tutti i seguenti passi del processo di importazione.

L´import diretto di dati è possibile solo dopo che si è proceduto a configurare la connessione con il progetto WinCC nella scheda Settings.


Settings

Settings

In questa scheda configurate la connessione con il progetto WinCC i cui dati devono essere importati.

Parametri | Descrizione
WinCC DB connection | Configurazione della connessione con la banca dati WinCC.
Connected with | Visualizzazione della connessinoe attiva.
Connect | Instaura la connessione.
New Connection | Apre il dialogo per la configurazione di una nuova connessione.
Driver selection (S7 TCP) | Configurazione del driver di zenon.
Driver | Selezione di un driver zenon fra quelli offerti dalla lista a cascata.
Create new Driver | Apre il dialogo per la creazione di un nuovo driver.

attenzione Attenzione

Perché sia possibile creare la connessione, il progetto WinCC deve essere attivo sul PC con cui viene instaurata la connessione, oppure essere aperto nel WinCC Explorer.

Configurazione della connessione

Per instaurare una connessione:

  1. Cliccate sul pulsante New connection
  2. si aprirà il dialogo per le impostazioni della connessione

  3. sulla scheda Provider selezionate il provider Microsoft OLE DB Provider for SQL Server
  4. nella scheda Connection:
    1. Alla voce server name, indicate l´istanza del server SQL in cui si trova il progetto WinCC. Per es..: HOSTNAME\WINCC
      Importante: l´istanza WinCC SQL Server (sqlsrv.exe) deve essere resa disponibile nel firewall.
    2. Alla voce logon information inserite i Vostri dati di accesso. I dati di accesso devono essere impostati in primo luogo con il SQL Server Management Studio nell´istanza SQL Server.
      Importante: attivate l´opzione Allow saving password
    3. Alla voce database selezionate il WinCC Editor Project. Si tratta del nome della banca data senza il conclusivo _R
      Indicazione importante: il progetto deve essere caricato e attivo nell´Editor WinCC, altrimenti non è a disposizione nel server della banca dati.
    4. Testate la connessione.
  5. chiudete il dialogo di configurazione cliccando su OK.
  6. successivamente potete instaurare la connessione al progetto WinCC nel Wizard facendo uso del pulsante Connect .
  7. selezionate un driver di zenon

Dopo che la connessione è stata instaurata con successo ed è stato selezionato un driver di zenon, verranno visualizzate le schede per l´import diretto.


Data Blocks

Data Blocks

In questa scheda si selezionano i blocchi dati visualizzati in WinCC Explorer alla voce Data Blocks e li si importa come tipi di dato in zenon.

I Data Blocks WinCC vengono raggruppati secondo driver e visualizzati secondo Block-Type e Block-Name.

Per importare dei blocchi dati:

  1. selezionate i blocchi dati desiderati
  2. cliccate su Import Data Blocks

Risultato

Data Blocks in WinCC:

Tipi di dato in zenon


Tags

Tags

In questa scheda si selezionano i tags (S7) che sono visualizzati nel WinCC Explorer alla voce Tag Management e che poi vengono importati come variabili di zenon. L´export può avvenire direttamente secondo zenon, oppure in un file CSV.

Per importare tag:

  1. selezionate i tag desiderati
  2. cliccate su Import Tags oppure su Import to CSV

Risultato

Tag in WinCC:

Variabili in zenon:


Alarm Limits

Alarm Limits

In questa scheda vengono importati classi di allarmi e valori limite:

  • Import Alarm Classes : importa classi allarmi in un progetto globale esistente
  • Import Alarms: importa classi e gruppi allarmi nel progetto zenon locale e crea variabili per i valori limite.

Import Alarm Classes:

importa classi allarmi da WinCC in in progetto globale in zenon. Il progetto globale deve essere già impostato e attivo in zenon.

Per importare delle classi di allarmi:

  1. selezionate le classi allarmi desiderate
  2. cliccate su Import Alarm Classes

Risultato

Classi allarmi in WinCC:

Classi allarmi in zenon

Import Alarms

Con questa forma di importazione, tutti le classi e i gruppi allarmi vengono importati nel progetto zenon. I testi Limit di WinCC vengono sostituiti da variabili valori limite.

Per importare degli allarmi:

  1. selezionate gli allarmi desiderati
  2. cliccate su Import Alarms

Risultato

Allarmi in WinCC:

Allarmi in zenon


Archive Tags

Archive Tags

Su questa scheda possono essere selezionati e importati tags che sono registrati nel WinCC Explorer alla voce Tag Logging. L´import avviene in uno dei due archivi impostati nel progetto di zenon: BINARY o ANALOG.

attenzione Attenzione

I tag vengono depositati in archivi di zenon solamente se essi sono stati precedentemente importati come tag.

Per importare tags archivio:

  1. selezionate i tags archivio desiderati
  2. cliccate su Import Archiv Tags

Risultato

Archive Tags in WinCC:

archivi in zenon


Screens

Screens

In questa scheda vengono importati XML generati con il WinCC Graphics Converter nel progetto attivo di zenon. In zenon, i modelli, le immagini e gli elementi ad immagine vengono creati automaticamente sulla base delle informazioni salvate nel file XML, nonché nei file WMF e PNG che si trovano nel percorso.

Parametri | Descrizione
Lista file | Mostra tutti i file che si trovano nella cartella scelta.
Select Folder | Apre il dialogo che serve a scegliere la cartella con i file di importazione.
Select All | Seleziona tutti i file che si trovano nella finestra.
Import XML | Startet den Import.

Um Bilder zu importieren:

  1. wählen Sie die gewünschten XML-Dateien aus
  2. klicken Sie auf XML-Import

Risultato

Immagini in WinCC:

Immagini in zenon

Quali elementi ad immagine WinCC vengono impostati automaticamente in zenon ED?

Elementi ad immagine standard

  • Line
  • Poligono
  • Polilinea
  • Ellisse:
  • Circle
  • Elipse Segment
  • Pie Segment
  • Elipse Arc
  • Circular Arc
  • Rectangle
  • Rounded Rectangle
  • Static Text

Tube Objects

  • Polygon tube
  • T-piece
  • Double T-piece
  • Tube bend

Smart Objects

  • I/O Field
  • Graphic Object
  • Windows Objects
  • Pulsante

Per altri oggetti WinCC viene creato un carattere jolly in zenon.


XML Export Wizard VSTA

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il wizard XML Export esportate tutti i metodi desiderati di un progetto in una cartella a Vostra scelta. Per ogni modulo viene impostato un proprio file XML.

Il wizard è a disposizione solamente in lingua inglese.


Avvia wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare il wizard:

  • cliccate su File -> Wizards...
    • premete la combinazione tasti Alt+F12
  • si apre la finestra di selezione che mostra i wizard disponibili
  • selezionate la directory Export/Import

  • selezionate in questa sede XML Export Wizard

  • cliccate su OK.
  • il wizard si avvia con la pagina di benvenuto e mostra:
    • una breve introduzione
    • la versione di zenon
    • il nome del progetto dal quale si effettua l´operazione di export
    • Projekt-GUID
    • percorso di progetto

  • il tasto con la freccia Vi conduce passo per passo attraverso il wizard
    • cliccando su una delle voci della cartella si apre l´impostazione corrispondente
  • per attivare il tasto Export deve essere aperta la pagina Export XML progress


Seleziona file XML

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Seleziona file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Selezionate quali moduli del progetto devono essere esportati:

  • cliccate su Select Directory, per definire la cartella per l´ Export.
  • scegliete, attivando le checkbox, i moduli e gli elementi che devono essere esportati (se necessario, scrollate verso il basso)


Esportazione

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Esportazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare l´export:

  • Cliccate sul pulsante Export
  • vengono esportati i moduli desiderati.
  • nella finestra di emissione verrà mostrato quali moduli vengono esportati con successo.
  • il wizard si chiude automaticamente 3 secondi dopo la fine dell´operazione dell´export


XML Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo wizard Vi aiuta al momento di importare delle variabili, delle funzioni, delle immagini o degli script da un file XML.

attenzione Attenzione

Questo wizard non supporta l'engineering distribuito e non è utilizzabile nei progetti multi-user.


Language table

Manuale -> Wizard -> Temi -> Language table

Wizards per il cambio lingua


Wizard parole chiave - Language Text Wizard

Manuale -> Wizard -> Temi -> Language table -> Wizard parole chiave - Language Text Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo wizard cerca dei testi e delle parole chiave e crea delle liste di testo.

Questo Wizard crea le parole chiavi a partire dai testi.

Il progetto viene esaminato completamente e a tutti i testi rilevati viene applicato il carattere di identificativo per le parole chiave (carattere ‘@’).

Vengono ricercate tutte le parole chiave all'interno del progetto. Queste parole chiave vengono inserite nella tabella lingua.


Industria farmaceutica.

Manuale -> Wizard -> Temi -> Industria farmaceutica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Wizard per l´industria farmaceutica.


Pharmaceutical Wizard

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Pharmaceutical Wizard consente la gestione di progetti validati da usare nell´industria farmaceutica. Esso riassume le impostazioni rilevanti per un progetto Good Maufacturing Process (GMP). Esso possono essere gestite e modificate grazie a questo Wizard. Le impostazioni vengono caricate nel Wizard andando a prenderle da un progetto esistente, oppure facendo uso di un file di configurazione.

Vengono gestite le seguenti impostazioni:

  • impostazioni di progetto generali
  • gestione utenti
  • gruppi utenti
  • impostazioni per la lista eventi cronologica
  • impostazioni per la lista informazioni allarmi
  • modelli XML

Le impostazioni progettate nel Wizard:

  • possono essere assegnate ad un progetto attivo
  • possono essere salvate in un nuovo progetto
  • possono essere salvate in uno speciale file di configurazione.
    Questi file di configurazione creati nel Wizard, possono essere sempre riutilizzati ed estesi, ma sono sempre leggibili e modificabili solamente con il Wizard.


Avvia wizard

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare il wizard:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. selezionate il percorso Pharmaceutical
  4. selezionate in questa sede Pharmaceutical Wizard

  5. cliccate su OK.
  6. il wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tab Welcome fornisce delle informazioni concernenti prestazioni e uso del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando su Cancel si chiude il Wizard. Tutte le modifiche effettuate dal momento dell´ultimo salvataggio in un file o in un progetto vengono rifiutate.


Settings

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda:

  • vengono caricate le impostazioni
  • vengono adattate le descrizioni di progetto

Parametri

Descrizione

Configuration

Definizione di quale progetto viene modificato.

Load from active project

Carica le impostazioni del progetto attivo nel workspace nel Wizard.

Load from configuration file

Carica i dati di un file di configurazione salvato (*.cof). Il file viene selezionato fra quell della lista. La lista mostra tutti i file di configurazione esistenti nella cartella scelta (Select directory).

Informazioni: i file di configurazione possono essere letti, creati e modificati solamente con il Wizard.

Select directory

Apre il dialogo selezione file che Vi permette di scegliere la cartella in cui si trovano i file di configurazione (*.cof) desiderati. Questi ultimi vengono visualizzati nella lista sotto il pulsante.

Templates

Impostazioni per modelli XML e XRS.

Project description

Indicazioni concernenti il progetto, come definito nel Dialogo della proprietà Descrizione progetto.

Interno ID: Settings

Descrizione progetto

Apre il dialogo di configurazione per le informazioni di progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Viene ripreso dal progetto caricato e può essere modificato in questa sede. Tutte le modifiche vengono visualizzate nella scheda Finish per essere controllate.

Author

Autore del progetto.

Manager

Manager di progetto.

Company

Impresa.

Comment

Commenti.


Project properties

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Project properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostazioni per:

  • Rete
  • Autorizzazioni di accesso in rete
  • Log modifiche progetto

Parametri

Descrizione

Network

Interno ID: Project properties

Rete

Interno ID: Project properties

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Active

Interno ID: Project properties

Rete attiva

Interno ID: Project properties

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Server name

Interno ID: Project properties

Server

Interno ID: Project properties

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome Standby

Interno ID: Project properties

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Redundancy type

Interno ID: Project properties

Tipo di ridondanza

Interno ID: Project properties

Tipo di ridondanza

Disponibile solo se nella proprietà Standby sia stato inserito un calcolatore!

Interno ID: Project properties

Standby

Disponibile solamente se nella proprietà Server è stato inserito un server.
Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Interno ID: Project properties

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: server e standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

zenon supporta due tipi di ridondanza:

Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se nella proprietà Standby sia stato inserito un calcolatore!

zenon supporta due tipi di ridondanza:

Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Network authorization

Interno ID: Project properties

Autorizzazione

Interno ID: Project properties

Autorizzazione

Proprietà per l’autorizzazione in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà per l’autorizzazione in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Active

Interno ID: Project properties

Autorizzazione attiva

Interno ID: Project properties

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Timeout for request [s]

Interno ID: Project properties

Timeout per la richiesta [s]

Interno ID: Project properties

Timeout per la richiesta [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Timeout for acknowlewdgement [s]

Interno ID: Project properties

Timeout per l'autorizzazione utenti [s]

Interno ID: Project properties

Timeout per l'autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

History of changes

Interno ID: Project properties

Log delle modifiche

Interno ID: Project properties

Log delle modifiche

Proprietà per il log delle modifiche.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà per il log delle modifiche.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Active

Interno ID: Project properties

Log delle modifiche attivo

Interno ID: Project properties

Log delle modifiche attivo

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Detailing level

Interno ID: Project properties

Livelli di dettaglio

Interno ID: Project properties

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


User administration

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Impostazioni per la gestione utenti:

Parametri

Descrizione

User administration

Interno ID: User administration

Gestione user

Interno ID: User administration

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Delete users

Interno ID: User administration

Eliminazione utenti

Interno ID: User administration

Eliminazione utenti

Abilitata: È permessa l’eliminazione di un utente in Runtime
Disabilitata: E’ concesso solamente di marcare un utente come eliminato (a seconda delle direttive FDA).
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata: È permessa l’eliminazione di un utente in Runtime
Disabilitata: E’ concesso solamente di marcare un utente come eliminato (a seconda delle direttive FDA).
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Minimum password length

Interno ID: User administration

Lunghezza minima password

Interno ID: User administration

Lunghezza minima password

Numero minimo obbligatorio di caratteri per una password.
Minimo: 0.
Massimo: 20.
Default: 6.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numero minimo obbligatorio di caratteri per una password.
Minimo: 0.
Massimo: 20.
Default: 6.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Period of password validity [days]

Interno ID: User administration

Periodo di validità pass. [gg]

Interno ID: User administration

Periodo di validità pass. [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova passoword.
Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
Massimo: 4294967295.
Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perchè le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova passoword.
Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
Massimo: 4294967295.
Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perchè le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Number of invalid user name inputs

Interno ID: User administration

Lunghezza minima password

Numero minimo obbligatorio di caratteri per una password.
Minimo: 0.
Massimo: 20.
Default: 6.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Number of invalid password inputs

Interno ID: User administration

Num max inserimento password

Interno ID: User administration

Num max inserimento password

Numero di inserimenti incorretti della password.
Se questo numero viene superato il rispettivo utente verrà bloccato.
Un corrispondente evento verrà inserito nella Lista Eventi Cronologica CEL. Solo l’amministratore è in grado di sbloccarlo.
Minimo: 0.
Massimo: 65535.
Default: 3.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Numero di inserimenti incorretti della password.
Se questo numero viene superato il rispettivo utente verrà bloccato.
Un corrispondente evento verrà inserito nella Lista Eventi Cronologica CEL. Solo l’amministratore è in grado di sbloccarlo.
Minimo: 0.
Massimo: 65535.
Default: 3.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

User administration storage

Salvataggio della gestione utenti

Selected user storage

Selezione del posto in cui le impostazioni user devono essere salvate:

  • Progetto
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

ADAM connection string

Interno ID: User administration

Connessione ADAM/AD-LDS

Interno ID: User administration

Connessione ADAM/AD-LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=700,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=700,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

ADAM user identification

Interno ID: User administration

Nome utente ADAM/AD-LDS

Interno ID: User administration

Nome utente ADAM/AD-LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

ADAM password

Interno ID: User administration

Password ADAM/AD-LDS

Interno ID: User administration

Password ADAM/AD-LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Log out/log in

Proprietà per login/logout

Activate automatical logout

Interno ID: User administration

Logout automatico attivo

Interno ID: User administration

Logout automatico attivo

Abilitata: Viene automaticamente fatto un logout dell’utente dopo la scadenza di un periodo di tempo impostabile.
Disabilitata : Non viene effettuato il logout automatico dal sistema.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata: Viene automaticamente fatto un logout dell’utente dopo la scadenza di un periodo di tempo impostabile.
Disabilitata : Non viene effettuato il logout automatico dal sistema.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Activate temporary login

Interno ID: User administration

Login temp. Attivo

Interno ID: User administration

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Locked buttons style

Interno ID: User administration

Tasti bloccati

Interno ID: User administration

Tasti bloccati

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Interno ID: User administration

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Questa proprietà agisce indipendentemente dalla proprietà Descrizione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Interno ID: User administration

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Set names for authorization levels

Corrisponde alla proprietà Amm. Livelli di aut..

Interno ID: User administration

Amm. Livelli di aut.

Oltre al numero, si può assegnare ai 128 livelli di autorizzazione un nome. Qui viene aperto il dialogo per la definizione del nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Oltre al numero, si può assegnare ad ognuno dei 128 livelli di autorizzazione un nome. Se si clicca sulla colonna destra, è possibile cambiare questo nome.


User groups

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda assegnate ai gruppi utenti i livelli di autorizzazione.

Parametri | Descrizione
User groups | Lista dei gruppi utenti
User group levels | Lista dei livelli di autorizzazione
Delete | Cancella un oggetto selezionato senza richiesta di conferma.

Se si clicca su un gruppo user, il sistema mostra il relativo livello di autorizzazione. Se si clicca sul livello, è possibile modificarlo. Il nome verrà adattato automaticamente. Se si clicca su un livello vuoto è possibile inserire un nuovo livello di autorizzazione.

Cliccando su Delete si possono cancellare sia gruppi che livelli di autorizzazione assegnati. Quando si effettua la cancellazione, il sistema non fa una richiesta di conferma.


CEL & Alarms

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> CEL & Alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione della Lista eventi cronologica e della Gestione allarmi.

Parametri

Descrizione

Chronlogic Event List and Alarm Message List

Interno ID: CEL & Alarms

Lista eventi cronologica (CEL)

Interno ID: CEL & Alarms

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

CEL active

Interno ID: CEL & Alarms

Abilita CEL

Interno ID: CEL & Alarms

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Update automatically

Interno ID: CEL & Alarms

Aggiorna automaticamente

Interno ID: CEL & Alarms

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: Mentre è aperta la CEL nel Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
Non attiva: Mentre la CEL è aperta, non vengono aggiunti nuovi inserimenti. I nuovi inserimenti vengono aggiunti solo quando si apre la CEL un´altra volta.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: Mentre è aperta la CEL nel Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
Non attiva: Mentre la CEL è aperta, non vengono aggiunti nuovi inserimenti. I nuovi inserimenti vengono aggiunti solo quando si apre la CEL un´altra volta.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Print system messages

Interno ID: CEL & Alarms

Stampa messaggi di sistema

Interno ID: CEL & Alarms

Stampa messaggi di sistema

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Attiva: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Attiva: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Long dynamic limit texts CEL

Interno ID: CEL & Alarms

Testi lunghi per valori limiti - CEL

Interno ID: CEL & Alarms

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Signature text editable

Interno ID: CEL & Alarms

Testo firma modificabile

Interno ID: CEL & Alarms

Testo firma modificabile

Abilitata: Nel Runtime viene aperto una finestra di dialogo per inserire un testo di firma
Disabilitata: Il testo di firma non è richiesto nel Runtime. . Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata: Nel Runtime viene aperto una finestra di dialogo per inserire un testo di firma
Disabilitata: Il testo di firma non è richiesto nel Runtime. . Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Data storage CEL

Interno ID: CEL & Alarms

Storico CEL

Interno ID: CEL & Alarms

Storico CEL

Proprietà di salvataggio degli inserimenti della Lista Eventi Cronologica CEL nella memoria e sull’Harddisk.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà di salvataggio degli inserimenti della Lista Eventi Cronologica CEL nella memoria e sull’Harddisk.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Size of the ringpuffer

Interno ID: CEL & Alarms

Dimensione buffer circolare

Interno ID: CEL & Alarms

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Save CEL data

Interno ID: CEL & Alarms

Salvataggio dati CEL

Interno ID: CEL & Alarms

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Buffer circolare e dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.

Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).
Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Buffer circolare e dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.

Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).
Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Save ringpuffer on change

Interno ID: CEL & Alarms

Salva buffer circolare in modo spontaneo

Interno ID: CEL & Alarms

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Attiva: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Attiva: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Logging

Interno ID: CEL & Alarms

Salvataggio di

Interno ID: CEL & Alarms

Salvataggio di

Proprietà generali per la Lista Cronologica Eventi (CEL)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Proprietà generali per la Lista Cronologica Eventi (CEL)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Alarm acknowledgement

Interno ID: CEL & Alarms

Ripristino allarmi

Interno ID: CEL & Alarms

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: non attiva.

Interno ID: CEL & Alarms

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Function Set SV

Interno ID: CEL & Alarms

Funzioni settaggio valore

Interno ID: CEL & Alarms

Funzioni settaggio valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
Default: non attiva
Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
Default: non attiva
Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Send recipes

Interno ID: CEL & Alarms

Dichiarazione ricette

Interno ID: CEL & Alarms

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollato nella CEL
Protocolla ricette: Se si setta una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si setta una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollato nella CEL
Protocolla ricette: Se si setta una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si setta una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Change recipes

Interno ID: CEL & Alarms

Modifica ricette

Interno ID: CEL & Alarms

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL
Protocolla ricette: Se si modifica una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si modifica una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL
Protocolla ricette: Se si modifica una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si modifica una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Alarm groups

Gruppi allarmi/eventi

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuovo gruppo allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella gruppo-allarmi/eventi evidenziato

Alarm classes

Classi allarmi/eventi

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuova classe allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella classe-allarmi/eventi evidenziato


Templates I

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Immagini
  • Tipi di dato
  • Tavolozza dei colori
  • Matrici di reazione

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML disponibili per l´elemento nell´attuale file di configurazione.

Pulsanti | Funzione
Lista a destra |
Esportazione | Apre il dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Importazione | Apre il dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. I file vengono importati nella cartella %ProgrammData%\Copa-Data\zenon700\Templates\PharmaWizard
Delete | Cancella i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto attuale o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Templates II

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates II

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Simboli
  • Report del generatore di rapporti

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML a disposizione nel file di configurazione attuale. I report vengono salvati come file XRS.

Pulsanti | Funzione
Lista a destra |
Esportazione | Apre il dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Importazione | Apre il dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. C:\\ProgrammData\Copa-Data\zenon700\Templates\PharmaWizard.
Delete | Cancella i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto attuale o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Finish

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa scheda viene:

  • inserita la descrizione di progetto
  • definito in che modo le modifiche di progetto devono essere salvate

Parametri

Descrizione

Project description

Indicazioni sul progetto come definito nella scheda Settings. Solo visualizzazione, non è possibile nessuna modifica.

Author

Nome del progettista.

Manager

Nome del manager.

Company

Impresa.

Comment

Commento sul progetto.

Save configuration settings

Opzioni per il salvataggio delle modifiche realizzate nel Wizard.

Campo messaggi

Segnalazioni che informano se le azioni di salvataggio dati hanno avuto successo o meno.

... in current project

Tutte le impostazioni vengono caricate nel progetto attuale. In questo caso, le impostazioni nel progetto verranno sovrascritte.

... as new project

Viene creato un nuovo progetto con le impostazioni settate e i modelli selezionati. Deve essere stato selezionato prima un nome progetto.

... as fíle

Viene creato un nuovo file di configurazione del tipo dato *.cof. Se il nome è già utilizzato da un file di configurazione esistente, quest´ultimo verrà sovrascritto.

Attenzione: i file di configurazione creati possono essere letti, creati e modificati solamente con il Wizard.

Nome

Nome del file di configurazione.


Project

Manuale -> Wizard -> Temi -> Project

Wizards per:

  • Creazione del progetto
  • il confronto di Backup progetto
  • la creazione di una documentazione di progetto


Project comparison

Manuale -> Wizard -> Temi -> Project -> Project comparison

Il Wizard consente di confrontare fra di loro i backup di progetto. Il fine di questo confronto è stabilire quali oggetti e elementi sono stati cancellati, aggiunti oppure modificati. Il risultato può essere salvato e visualizzato come file XML oppure file HTML.

Requisiti

Il Wizard può leggere e realizzare un confronto fra quei backup di progetto che:

  • sono stati salvati come file ZIP.
  • sono stati creati con versionamento attivo.
  • sono stati creati con export XML attivo.

Per attivare il versionamento e l´export XML:

  1. aprite il nodo Generale delle proprietà di progetto.

    Interno ID: Project comparison

    Generale

    Proprietà generali del progetto

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  2. passate alla sezione Versionamento

    Interno ID: Project comparison

    Versionamento

    Proprietà per il versionamento dei backup di progetto.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  3. attivate la proprietà Attiva versionamento

    Interno ID: Project comparison

    Attiva versionamento

    Disponibile solo se la proprietà Attiva versionamento è stata attivata.

    Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

    Disattivata: nessun versionamento dei backup di progetto.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  4. attivate la proprietà Esportazione XML attiva

    Interno ID: Project comparison

    Esportazione XML attiva

    Disponibile solo se la proprietà Attiva versionamento è stata attivata.

    Attiva: Nel backup di progetto viene inserito un file XML (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

    Indicazione: nei progetti multiutente, solo nel caso di backup locale.

    Default: non attiva.

    Ulteriori informazioni nella guida in linea.

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File temporanei

Durante il confronto, il Wizard apre i backup di progetto nella cartella temporanea BackUpComparisonWorkingFolder. Essa viene collocata nel percorso C:\Users\Public\Documents\zenon_Projects\Worspace. Questa cartella temporanea viene cancellata non appena si chiude il Wizard.


Avvia wizard

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare il wizard:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. selezionate la directory Project
  4. selezionate in questa sede Backup Comparison Wizard

  5. cliccate su OK.
  6. il wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tab Welcome fornisce delle informazioni concernenti prestazioni e uso del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando su Cancel si chiude il Wizard.


Settings

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si selezionano i due backup di progetto che devono essere confrontati l´uno con l´altro; in questa sede si effettua anche la scelta dei moduli di zenon che saranno coinvolti in questo confronto.

Parametri

Descrizione

Select project backups

selezione dei file di backup.

Latest version

Versione più recente. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un backup di progetto.

Indicazione: i backup di progetto si trovano di norma nella cartella %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Project], ma possono essere depositati a mezzo di export in una qualsiasi altra cartella.

Versione più vecchia

Versione precedente. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un backup di progetto.

Select project modules

Selezione del moduli che devono essere confrontati. La selezione avviene mediante l´attivazione delle checkbox che si trovano davanti ai moduli.

Queste impostazioni sono salvate individualmente per ogni utente e sono di nuovo disponibili alla prossima apertura del Wizard.

Tasti con frecce

Cliccando sul pulsante si passa alla tab precedente o seguente.

Cancel

Chiude il Wizard.


Compare

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Compare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab, i backup di progetto vengono confrontati sulla base dei moduli selezionati.

Parametri

Descrizione

Campo lista

Se si clicca sul pulsante Compare, vengono visualizzate nel campo lista le differenze fra i backup di progetto.

Contenuto delle colonne:

  • Moduli: nome del modulo.
  • Result: nome dell´oggetto.
  • Elemento: visualizzazione e descrizione dell´elemento.
  • Parametro: nome del parametro modificato.
  • Old: valore vecchio di un parametro modificato.
  • New: nuovo valore di un parametro modificato.

Identificazione tramite colore:

  • blu: nuovi oggetti e elementi
  • rosso: oggetti e elementi cancellati
  • verde: oggetti e elementi modificati
  • nero: oggetti e elementi immutati

Navigazione

Elementi che consentono la navigazione nella lista.

Changed elements

Attiva: cliccando sul pulsante freccia verticale, si passa all´elemento modificato precedente/seguente.

Deleted elements

Attiva: cliccando sul pulsante freccia verticale, si passa all´elemento cancellato precedente/seguente.

New elements

Attiva: cliccando sul pulsante freccia verticale, si passa al nuovo elemento precedente/seguente.

Show only differences

Attiva: se si clicca sul pulsante Compare verrà rappresentato mediante colori solamente ciò che è cambiato, mentro gli elementi rimasti immutati non verranno visualizzati.

Se si cambia questa opzione, il confronto deve essere riavviato cliccando su Compare.

Compare

Confronta i backup di progetto in base alla selezione e mostra quest´ultima nel campo lista.

Tasti a freccia doppia verticale

Cliccando sul pulsante, si passa al modulo precedente/seguente.

Tasti freccia verticale

Cliccando sul pulsante, si passa (a seconda dell´impostazione) al risultato precedente/seguente dello stesso tipo:

  • Changed elements
  • Deleted elements
  • New elements

Tasti freccia orizzontale

Cliccando sul pulsante si passa alla tab precedente o seguente.

Cancel

Chiude il Wizard.

Esempio confronto di progetti:

Tutti gli oggetti:

Alcune modifiche:

Nel modulo Immagini:

  • è stata cancellata l´immagine batch
  • nell´immagineSYSTEM_2 è stato modificato un elemento di testo
  • nell´immagine START è stato aggiunto un pulsante dal nome Name Button_1
  • nell´immagine ALARM non è cambiato nulla

Solo differenze:

le differenze sono riconoscibili come nel precedente screenshot. Gli oggetti e gli elementi rimasti immutati vengono esclusi.


Documentation

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Documentation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il risultato del confronto dei backup di progetto può essere visualizzato e salvato come file XML o HTML in questa tab.

Parametri

Descrizione

Settings

Impostazioni per tipo della documentazione.

Create XML

Attiva: viene creato un file XML.

Create HTML

Attiva: viene creato un file HTML.

Save Path

Percorso per la cartella in cui viene salvato il file. Solo visualizzazione. la selezione avviene attraverso il pulsante Compare.

Create documentation

Cliccando sul pulsante:

  • si apre il file-browser: selezionate in questa sede il posto in cui salvare il file e assegnate un nome al file di documentazione.
  • La documentazione viene salvata nel tipo desiderato e la mostra nel campo lista.

Campo lista

Visualizzazione del documentazione.

Tasto freccia

Cliccando sul pulsante si passa alla tab precedente.

Cancel

Chiude il Wizard.

Esempio File XML

Visualizzazione nel wizard:

visualizzazione come file XML:

Esempio File HTML

Durante la creazione di un file HTML vengono creati nel percorso di salvataggio anche un file XML e un file XSLT. Sulla base di questi due file viene creato in modo dinamico il file HTML.

Struttura del file HTML:


Wizard di progetto

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto

Con questo Wizard si possono creare degli oggetti base per i nuovi progetti. È possibile configurare quanto segue:

  • informazioni concernenti il progetto
  • driver, anche con variabili driver
  • impostazioni grafiche
  • Immagini base con simboli, elementi WPF, AML, CEL, informazioni di sistema e una visione generale delle variabili di simulazione
  • Navigazione

Le impostazioni modificate nel Wizard vengono salvate nel profilo user del sistema operativo e caricate nel momento in cui lo stesso utente riavvia il sistema.

Il wizard viene eseguito in inglese; la lingua del progetto corrisponde a quella dell´editor di zenon aperto. Questo Wizard viene eseguito automaticamente quando si crea un nuovo progetto.


Avvia wizard

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo Wizard viene avviato automaticamente quando si crea un nuovo progetto. Lo si può anche selezionare direttamente nel dialogo che serve a lanciare i Wizard.

Attenzione: se si avvia il Wizard in un progetto già esistente, gli oggetti vengono eventualmente modificati o sovrascritti.

Per avviare il wizard manualmente:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. selezionate la directory Project

  4. selezionate in questa sede Project Wizard VSTA

  5. cliccate su OK.
  6. il wizard si avvia con una pagina di benvenuto

Se aprite il Wizard a partire da un progetto esistente, comparirà un avvertimento:

cliccando su Sì confermate di accettare le modifiche della Vostra configurazione attuale.


Welcome

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tab Welcome fornisce delle informazioni concernenti prestazioni e uso del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando su Close si chiude il Wizard.

Se si clicca su Overwrite, viene creato il progetto e, se ci sono degli oggetti, essi vengono sovrascritti. Il pulsante si attiva solamente se la tab Finish viene aperta.


Project info

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Project info

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si configurano le impostazioni generali del progetto, nonché quelle relative al versionamento e al Log delle modifiche.

Parametri

Descrizione

Author

Autore del progetto.

Manager

Manager responsabile.

Company

Impresa.

Comment

Commento sul progetto.

Backup settings

Impostazioni per il versionamento.

Versionamento

Interno ID: Project info

Attiva versionamento

Interno ID: Project info

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

XML export active

Interno ID: Project info

Esportazione XML attiva

Interno ID: Project info

Esportazione XML attiva

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: Nel backup di progetto viene inserito un file XML (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Indicazione: nei progetti multiutente, solo nel caso di backup locale.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: Nel backup di progetto viene inserito un file XML (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Indicazione: nei progetti multiutente, solo nel caso di backup locale.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

History of changes

Impostazioni per il Log delle modifiche.

Active

Interno ID: Project info

Log delle modifiche attivo

Interno ID: Project info

Log delle modifiche attivo

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Detailing levels

Interno ID: Project info

Livelli di dettaglio

Interno ID: Project info

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tasti con frecce

Passare al tab successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente se la tab Finish viene aperta.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.


Driver

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si selezionano i driver di zenon di cui si ha bisogno.

Parametri

Descrizione

Lista driver

Lista dei driver di zenon. La scelta avviene cliccando sul driver.

Driver information

Visualizzazione delle informazioni concernenti il driver selezionato.

Driver name

Nome del driver nella forma in cui esso deve apparire nel progetto. Libero inserimento di testo.

Interno ID: Driver

Nome

Interno ID: Driver

Nome

Identificazione univoca del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Identificazione univoca del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Add

Aggiunge il driver selezionato alla lista dei driver da impostare.

Remove

Cancella il driver selezionato alla lista dei driver da impostare.

Lista dei driver da impostare

Lista dei driver da impostare con nome, descrizione e nome file.

Create screen with driver statistic variables

Attiva: per ogni driver viene creata un´immagine con variabili driver.

Tasti con frecce

Passare al tab successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente se la tab Finish viene aperta.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.


Graphic settings

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Graphic settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si configurano la risoluzione, nonché le impostazioni per Runtime e Touchscreen.

Parametri

Descrizione

General project settings

Impostazioni grafiche generali per il progetto.

Current primary monitor size

Visualizzazione dell´attuale risoluzione dello schermo. Nel caso di sistemi multiscreen, verrà visualizzata la risoluzione dello schermo principale.

Screen resolution

Selezione della risoluzione dello schermo desiderata fra quelle della lista a cascata.

Runtime title

Interno ID: Graphic settings

Driver invisibile

Interno ID: Graphic settings

Driver invisibile

Attiva: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Disattivata: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Disattivata: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Graphics quality

Interno ID: Graphic settings

Qualità grafica

Interno ID: Graphic settings

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Graphic settings

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Graphic settings

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Menu position

Selezione della posizione del menu fra quelle della lista a cascata.

Runtime settings

Impostazioni per il Runtime

Alarm status active

Interno ID: Graphic settings

Linea stati attiva

Interno ID: Graphic settings

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: Graphic settings

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: questo Wizard attiva automaticamente la proprietà Lista di informazione allarmi attiva.

Driver invisible

Interno ID: Graphic settings

Driver invisibile

Attiva: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Disattivata: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Touch operation

Impostazioni per gestione touch

Multitouch

Interno ID: Graphic settings

Multitouch attivo

Interno ID: Graphic settings

Multitouch attivo

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Cursor visible

Interno ID: Graphic settings

Cursore visibile

Interno ID: Graphic settings

Cursore visibile

Abilitata: Il cursore nel runtime è visibile.
Disabilitata: Il cursore non è visibilie a Runtime.
Nei progetti con touchscreen il cursore può disturbare e può essere nascosto. .
Default: Abilitata.

ATTENZIONE: Questa funzionalità è disponilbile solamente per gli elementi dello SCADA (immagini,elementi,..) ma non in ambiente Windows (Barre del titolo, menu, barre di scorrimento,…). Per questo il cursore deve essere disabilitato direttamente nel sistema operativo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Abilitata: Il cursore nel runtime è visibile.
Disabilitata: Il cursore non è visibilie a Runtime.
Nei progetti con touchscreen il cursore può disturbare e può essere nascosto. .
Default: Abilitata.

ATTENZIONE: Questa funzionalità è disponilbile solamente per gli elementi dello SCADA (immagini,elementi,..) ma non in ambiente Windows (Barre del titolo, menu, barre di scorrimento,…). Per questo il cursore deve essere disabilitato direttamente nel sistema operativo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Automatic keyboard

Interno ID: Graphic settings

Tastiera automatica

Interno ID: Graphic settings

Tastiera automatica

Per progetti con touchscreen.
Abilitata: Viene aperta automaticamente una tastiera virtuale nel momento in cui ci sia la necessità di effettuare un inserimento (p.e. settaggio di un valore impostabile).
Per gestire correttamente la tastiera abilitare la seguente proprietà sotto gli elementi dinamici “Settare valore impostabile tramite: Su elemento”.
DisabilitataSettaggio dati tramite maschera standard.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Per progetti con touchscreen.
Abilitata: Viene aperta automaticamente una tastiera virtuale nel momento in cui ci sia la necessità di effettuare un inserimento (p.e. settaggio di un valore impostabile).
Per gestire correttamente la tastiera abilitare la seguente proprietà sotto gli elementi dinamici “Settare valore impostabile tramite: Su elemento”.
DisabilitataSettaggio dati tramite maschera standard.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Create keyboard screen

Attiva: crea DIALOGKBD per inserimenti alfanumerici e SETVALUEKBD per inserimenti numerici. Per i dettagli, vedi capitolo Crea immagine del tipo Keyboard. Per poter usare questi strumenti nel Runtime, deve essere attiva l´opzione Automatic Keyboard.

Keybooard size (%)

Interno ID: Graphic settings

Dimensione Keyboard [%]

Interno ID: Graphic settings

Dimensione Keyboard [%]

Definisce con quale percentuale della grandezza orginale deve essere visualizzata la Keyboard automatica nel Runtime.
Minimo: 50 %
Massimo: 300 %
Default: 100 %

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Definisce con quale percentuale della grandezza orginale deve essere visualizzata la Keyboard automatica nel Runtime.
Minimo: 50 %
Massimo: 300 %
Default: 100 %

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Tasti con frecce

Passare al tab successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente se la tab Finish viene aperta.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.


Screen selection

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Screen selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si possono selezionare delle immagini che devono essere impostate nel progetto.

Attenzione: le funzioni di cambio alle immagini selezionate devono essere configurate con le impostazioni standard. Non si effettuano delle impostazioni speciali, come filtri, variabili ecc.

Parametri

Descrizione

Screen types

Configurazione delle immagini.

Campo di selezione

Selezione del tipo di immagine fra quelle della lista a cascata.

Lista dei modelli (template)

Selezione dei modelli per l´immagine. Verranno visualizzate grandezza e anteprima.

Width

Larghezza dell´immagine

Solo visualizzazione,

Height

Altezza dell´immagine

Solo visualizzazione,

Anteprima

Anteprima del tipo di immagine selezionato con il modello scelto. Standard viene visualizzato vuoto.

Campo inserimento Nome

Nome dell´immagine scelto liberamente.

Add

Aggiunge l´immagine con il nome selezionato alla Lista delle immagini.

Remove

Cancella l´immagine selezionata dalla Lista delle immagini.

Lista delle immagini

Dispone nell´ambito di una lista tutte le immagini configurate con nome, tipo e grandezza.

È possibile impostare un massimo di 14 immagini.

Demo project

Impostazioni per un esempio di progetto.

Create demo screens

Attiva: Vengono creati degli esempi di immagini per la progettazione. Selezione delle immagini demo:

  • Demo pages: Esempi di pagine (vengono sempre creati)
  • Alarm message list: AML
  • Chronologic event list: CEL :
  • System information: pagine con informazioni di sistema, il cui numero dipende dalla risoluzione

Tasti con frecce

Passare al tab successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente se la tab Finish viene aperta.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.

Esempio di configurazione


Finish

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab viene creato il progetto.

Se si clicca sul pulsante Overwrite, il sistema crea il progetto sulla base delle impostazioni fissate nelle altre tab. Se esistono già degli oggetti, essi verranno sovrascritti. Il Wizard rimane aperto per consentire delle ulteriori operazioni di configurazione. Per chiudere il Wizard cliccate su Close.


Esempio nel Runtime

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Esempio nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Di seguito, potete vedere due esempi delle conseguenze che hanno i Vostri inserimenti nel wizard sulla rappresentazione durante il Runtime.

  • Esempio 1: con opzione attiva Create demo screens.
  • Esempio 2: senza immagini esempio.


Con immagini demo

Con immagini demo

Pagina iniziale:

Navigazione:

SIMUL Information:

Report Viewer:

AML:

CEL :

SystemInfo_1 (a seconda della risoluzione dello schermo 1-3 immagini):

SystemInfo_2 (1280x1024):

Driver:


senza immagini demo

senza immagini demo

Pagina iniziale:

Navigazione:


Wizard di documentazione

Manuale -> Wizard -> Temi -> Project -> Wizard di documentazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo wizard Vi accompagna nei passi che sono necessari per creare un documento del progetto attivo.

Si può stabilire quali moduli devono essere inclusi nel documento e quali no.

Il wizard è modificabile.


Screens and Frames

Manuale -> Wizard -> Temi -> Screens and Frames

Wizard per immagini e modelli.


Immagine globale - World View Wizard

Questo wizard Vi aiuta a creare un'immagine globale in un progetto esistente.

Offre i seguenti tipi di immagine:

  • visualizzazione globale
  • immagine globale
  • funzione cambio immagine

attenzione Attenzione

Questo wizard non supporta l'engineering distribuito e non è utilizzabile nei progetti multi-user.


Variables

Manuale -> Wizard -> Temi -> Variables

Wizards per variabili.


Variable creation wizard

Manuale -> Wizard -> Temi -> Variables -> Variable creation wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo wizard serve ad impostare velocemente molte variabili.

attenzione Attenzione

Questo wizard non supporta l'engineering distribuito e non è utilizzabile nei progetti multi-user.


Simulation Driver

Manuale -> Wizard -> Temi -> Variables -> Simulation Driver

Il Wizard crea per ogni driver del progetto zenon, per cui è stato impostato un progetto di simulazione driver, un proprio programma straton. Questo programma straton simula per tutte le coppie di variabili del driver per le quali vale una regola di sostituzione, un´assegnazione diretta di variabile di comando a variabile di Feedback.

Esempio

  • Variabili di zenon:
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO: USINT
    • Switch_RV: LREAL
  • Regole di sostituzione:
    • *_CO -> *_RV
  • Risultato in straton:


Avvia wizard

Manuale -> Wizard -> Temi -> Variables -> Simulation Driver -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per avviare il wizard:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. selezionate il percorso Variables
  4. selezionate in questa sede Driver Simulation Wizard

  5. cliccate su OK.
  6. il wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Variables -> Simulation Driver -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La tab Welcome fornisce delle informazioni concernenti prestazioni e uso del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando su Close si chiude il Wizard.


Settings

Manuale -> Wizard -> Temi -> Variables -> Simulation Driver -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab vengono create le regole di sostituzione.

Parametri

Descrizione

Execute wizard when compiling straton project

Attiva: non appena viene eseguita in zenon l´azione Compilazione file Runtime, vene eseguito anche il Wizard.

Indicazione: la logica di creazione del progetto straton funziona in background. La superficie del Wizard non viene aperta.

Drivers with simulation project

Mostra in una lista tutti i driver del progetto di zenon attualmente attivo nell´Editor di zenon, per i quali è stato impostato un progetto di simulazione driver. Se si seleziona un driver di questa lista, verranno visualizzate nel settore Replacement pattern le regole di sostituzione definite per esso.

Replacement pattern

Regole di sostituzione.

COMMAND Variable

Variabile comando.

È consentito l´uso al massimo di una Wildcard (*).

RESPONSE Variable

Variabile di feedback

È consentito l´uso al massimo di una Wildcard (*).

Add

Aggiunge le regole alla Lista delle regole.

Modify

Permette di effettuare delle modifiche delle regole selezionate.

Remove

Cancella le regole selezionate dalla Lista delle regole.

Lista delle regole

Mostra in una lista le regole che sono state definite.

Tasti con frecce

Passa alla tab precedente o successiva.

Close

Chiude il Wizard.

Se vengono modificate le regole, al momento della chiusura del dialogo il sistema propone di ricreare il processo di simulazione. A tal scopo viene aperto un dialogo:

Indicazione: confermate questo dialogo cliccando su Sì se volete che per un driver siano cancellate tutte le regole di sostituzione. Non si tengono in considerazione i progetti di simulazione senza regole di sostituzione nella compilazione dei file Runtime in zenon.


Rebuild

Manuale -> Wizard -> Temi -> Variables -> Simulation Driver -> Rebuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questa tab si può avviare un rebuild di tutti i progetti simulazione straton.

Se si clicca sul pulsante Rebuild , si avvia la nuova creazione dei progetti di simulazione driver per tutti i driver corrispondenti nel progetto.


Crea o adatta wizard

Manuale -> Wizard -> Crea o adatta wizard

I wizard sono comuni formulari, che contengono determinate funzioni nella parte codice. In questo modo i formulari vengono riconosciuti come wizard di zenon.

I wizard forniti con zenon possono servire da base per wizard proprio.

I wizard propri possono essere salvati in cartelle ad hoc. Tutte le informazioni devono essere inserite nel filewizards.ini. Quest´ultimo può essere utilizzato al momento dell´aggiornamento del wizard.

Wizard VBA e VSTA

Per creare dei Wizard sono necessarie per VBA e VSTA le seguenti indicazioni:

  • Nome
  • Descrizione
  • Categoria
  • Visualizzazione nel dialogo
  • Numero di versione

Queste funzioni vengono lette da zenon per identificare formulari come wizard e visualizzare le informazioni corrispondenti nel dialogo wizard.

I dettagli concernenti la creazione di Wizard VSTA li trovate nella sezione Dettagli VSTA-Wizards.

Nome

indica il nome Wizard così come visualizzato nel dialogo per i Wizard

Esempio: Project Wizard VSTA

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Project-Wizard" End Function | GetWizardName (Type string)

Descrizione

Contiene la descrizione del Wizard come essa viene visualizzata nel settore "Descrizione" del dialogo.

Esempio: This wizard creates a simple zenon Project (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Wizard for creation of a project" End Function | GetWizardInfo (Type string)

Categoria

indica la categoria nella quale viene inserito il Wizard.

Ad esempio: Project

Indicazione: possono essere usate le categorie esistenti. Wizard VBA e VSTA possono essere inseriti nella stessa categoria.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Project" End Function | GetWizardCategory (Type string)

Visualizzazione nel dialogo

Stabilisce se il Wizard viene visualizzato nel dialogo o meno. In tal modo è possibile escludere un Wizard dalla visualizzazione senza che tutte le funzioni debbano essere cancellate, oppure essere rimosse dall´Add-in.

= true: viene visualizzato

= false: viene escluso dalla visualizzazione

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (Type bool)

Numero di versione

Indica i numero di versione che viene visualizzato nella descrizione. Il numero di versione è necessario per gestire l´aggiornamento del wizard.

Esempio: (V.1)

Indicazione: nell´ambito di una Wizard class non devono essere contenute delle funzioni con lo stesso nome. Ciò vale anche se rispondono diversi parametri.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (Type int)


Dettagli VSTA-Wizard

Manuale -> Wizard -> Crea o adatta wizard -> Dettagli VSTA-Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

VSTA Wizard

#region Wizard_Identification

/// <summary>
/// This Static method returns the name of the wizard,
/// which will be displayed in the wizard-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// This Static method returns the description of the wizard,
/// which will be displayed at the bottom of the wizard-dialog.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// This static method returns the category name of the wizard,
/// which will be used as node-name in the wizards-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

/// <summary>
/// This static method returns a bool which can be used to "switch" the wizard
/// on/off in the wizard dialog (false=wizard is not shown in the tree).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// This static method returns the version of the wizard.
/// Indicated at the bottom of the wizard-dialog.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// This method is called when the wizard has been selected in the
/// wizard dialog and confirmed with "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'This shared method returns the name of the wizard,
'which will be displayed in the wizard-tree.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'This shared method returns the description of the wizard,
'which will be displayed at the bottom of the wizard-dialog.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "A more detailed description of the wizard."
End Function

'This shared method returns the category name of the wizard,
'which will be used as node-name in the wizards-tree.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'This shared method returns a bool which can be used to "switch" the wizard
'on/off in the wizard dialog (false=wizard is not shown in the tree).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'This shared method returns the version of the wizard.
'Indicated at the bottom of the wizard-dialog.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'This method is called when the wizard has been selected in the
'wizard dialog and confirmed with "OK".

Public Sub StartWizard()
Me.Show()
End Sub

C# Workspace

Perché l`Editor possa creare in modo dinamico un´istanza della VSTA-Class, deve essere aggiunta un´ulteriore funzione per "Default" Workspace Code. Questo segmento codice deve essere presente perché il Wizard venga visualizzato nel dialogo. Questo segmento codice non dovrebbe essere modificato!

#region Wizard

/// <summary>
/// This Routine Enables the Dynamic creation of VSTA-Wizards.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Retrieve the ClassType by its Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Since the ClassType has been found, let's create it.
//The wizard from ClassType %strClassname% is required
//to have a Constructor with ZenWorkspace Parameter!

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

And for the VB.Net workspace like this:
'This Routine Enables the Dynamic creation of VSTA-Wizards,
'and should not be modified or removed!

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Attualizzare i wizard

Manuale -> Wizard -> Attualizzare i wizard

Quando installate un servicepack di zenon, il sistema offre automaticamente l´update dei wizard.

I wizard esistenti non vengono sovrascritti dal setup. Per questo motivo può rendersi necessario che dei wizard debbano essere importati e attualizzati manualmente.

Richiedi update

Un update può essere iniziato in qualsiasi momento anche manualmente facendo uso dell´inserimento Aggiorna wizard che si trova nella lista a cascata File.

Parametri

Descrizione

Lista wizard

Ordina in una lista tutti i wizard VBA e quelli VSTA disponibili nell´Add-in attivo.

  • Nome

Nome del wizard.
  • Nome oggetto

Nome oggetto VBA/VSTA.
  • Versione precedente

Versione usata attualmente.
  • Nuova versione

Versione verso la quale viene effettuato l´update.

  • Informazione

informazioni sullo stato e sull´azione imminente:

  • Nuovo: il wizard non è ancora presente nel file VBA.
  • Modificato: è disponibile una nuova versione.
  • Non più aggiornato: il wizard disponibile è vecchio e viene cancellato.
  • Typ

VBA o VSTA
  • Specifico per utente

il wizard è stato creato o modificato dall´utente

Sorgente dati

Possibilità di definire delle cartelle proprie per propri wizard Viene inserito il luogo in cui è stato salvato il wizards.ini individuale.

Gli inserimenti corrispondenti vengono salvati nello zenon.ini nella sezione [VSTA] o [VBA] come WIZARDPATH=.

Cartella ulteriore per wizard VSTA

Luogo di salvataggio individuale per wizard VSTA propri.

Cartella ulteriore per wizard VBA

Luogo di salvataggio individuale per wizard VBA propri.

Ricorda un'altra volta

il dialogo viene aperto di nuovo al momento del prossimo start dell´editor.

Avvia aggiornamento

I wizard mostrati nella lista corrispondente vengono aggiornati.

Esci

Il dialogo viene terminato senza update e solo dopo la prossima istallazione di un servicepack esso verrà offerto dal sistema ancora una volta.

Assicurare attualità

Visto che oggetti non istanziati al momento dell´apertura del dialogo non possono essere controllati, il sistema offre sempre l´update di alcuni oggetti. In tal modo il sistema garantisce che Voi non dobbiate lavorare con un versione superata. La versione visualizzata nel dialogo di update funge solamente come forma di informazione per consultig e sviluppo.

Distribuisci wizard nell´azienda

Se avete scritto dei wizard propri e volete metterli a disposizione anche di altri utenti, potete usare anche questo meccanismo.
A tal scopo, esportate i wizard dal Vostro ambiente di sviluppo VBA/VBA; Vi consigliamo di deporre questo file di esportazione in un drive di rete disponibile. A gestire l´import servono i file ini. Dovete creare questi ultimi in modo corrispondente e dovete depositarli nel drive di rete.
La descrizione della struttura dei file la trovate qui: per VBA e per VSTA.

Adesso dovete solamente indicare ai Vostri colleghi il posto in cui li avete salvati ed essi possono comodamente importare i wizard nel loro editor. Se avete nuovi wizard o wizard modificati, dovete esportare solamente lo stato più recente, salvarlo e aumentare il numero di versione. In tal modo potete distribuire dei wizard comodamente all´interno dell´azienda.

Errori che possono emergere al momento dell´aggiornamento di wizard VSTA.

Errore

Possibili cause

Nel dialogo per l´aggiornamento non vengono mostrati wizard VSTA

  • Vengono indicati nella lista solo i wizard che si trovano nell´Add-in caricato.
    Se non vengono indicati i wizard VSTA, dever essere attivato VSTA-Add-in al momento dello start dell´editor. A tal scopo, settato in zenon6.ini nella sezione [VSTA] l´inserimento LOADED= a 1.
  • Se il workspace non può essere compilato a causa di errori nel codice, non viene mostrato nella lista nessun wizard.

Non viene mostrato un particolare wizard.

  • Il wizard non supporta i metodi necessari.
  • Il workspace non è stato compilato dopo che il wizard è stato implementato; l´Add-in attivo non contiene ancora il wizard.

Non vengono mostrati wizard di creazione propria.

  • Il percorso configurato è sbagliato.
  • Il wizards.ini aperto nel percorso configurato è vecchio o errato.


Struttura del wizards.ini

Manuale -> Wizard -> Attualizzare i wizard -> Struttura del wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Struttura del file INI per la gestione dei wizard in VSTA e VBA.

Info Informazioni

Questa documentazione è disponibile solamente in lingua inglese.


VSTA wizards.ini

Manuale -> Wizard -> Attualizzare i wizard -> Struttura del wizards.ini -> VSTA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Manuale -> Wizard -> Attualizzare i wizard -> Struttura del wizards.ini -> VBA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Metodi necessari per l´aggiornamento

Manuale -> Wizard -> Attualizzare i wizard -> Struttura del wizards.ini -> Metodi necessari per l´aggiornamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Esempio di metodi di cui si ha bisogno per far in modo che i wizard siano visualizzati nel dialogo per l´aggiornamento:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


zenon Demo Project

Manuale -> zenon Demo Project

A demo project is installed with zenon as standard. This project contains several subprojects that demonstrate the use of zenon in different sectors:

  • Automotive
  • Energy
  • Infrastructure
  • Building Automation
  • Food and Beverage
  • Pharmaceutical industry

The demo project is automatically loaded when you start zenon Editor for the first time. The project DEMO_INTEGRATION is already preset as a start project. To start the project in Runtime, press the F5 key in the editor. The integration project is opened in Runtime.


Integration project

Manuale -> zenon Demo Project -> Integration project

The integration project contains a number of subprojects that you can start from this screen. The projects can include language switching. The project is started in the language of the editor. To switch the language, click on the System button and select the desired language.

Overview and operation

The start screen provides navigation elements and an overview of the industries:

  • Automotive
  • Energy
  • Infrastructure
  • Building Automation
  • Food and Beverage
  • Pharmaceutical industry

Note: In this integration project, Energy, Infrastructure and Building Automation are summarized in the Navigation.

Parameters

Description

Logo

In this case, the logo of the product zenon Supervisor. Can be replaced by any desired logo.

The logo was assigned a function, which loads the project when it is clicked on. When reloading, changes that have been made in the Editor since Runtime was started are transferred to the project that is running.

Welcome User

User is the name of the user who is logged on. To login with a different name and different authorizations, click on the Log on/off button at the bottom right.

Subprojects

The subprojects are displayed in the six areas. You can start subprojects by:

  • Clicking on a detail link
    or
  • Clicking on one of the navigation buttons underneath this.

Navigation bar

Enables you to switch to other projects, to switch system information and the logon screen, as well as to end Runtime:

  • Home:
    Switches to the start screen of the respective subproject.
  • [Project]:
    Opens the respective project. Assigned to screens of a project within the project.
  • System:
    Opens a screen with system information and language switching.
  • Log on/off:
    Opens the dialog for a user to log on.
  • Exit:
    Ends Runtime.


System

Manuale -> zenon Demo Project -> Integration project -> System

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

By clicking on the System button, you open a dialog in which you:

  • Can receive general system information via system driver variables:
    • Computer name
    • Version of the Runtime files
    • Version of the project
    • Time idle
    • Utilization of working memory
  • Can switch the color scheme with Chameleon Technology
  • Can select the language


User logon

Manuale -> zenon Demo Project -> Integration project -> User logon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

By clicking on the Log on/off button, you open a dialog in which you can log on as a user. The user called User is automatically logged on when Runtime is started.

You also receive information on other user names and passwords in the dialog, to enable you to try out Runtime in different roles with different authorizations.

Access data for demo project:

Note capitalization.

User name | Password
User | User
Operator | Operator
Manager | Manager


Automotive

Manuale -> zenon Demo Project -> Automotive

In this project, you see a typical automotive project with screens for:

  • Alarms
  • Events
  • Trends
  • Reports
  • Key figures
  • Attachments

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

Button | Description
Alarm Message List: | Displays the current alarms. These can be filtered to provide a better overview. Some filtered views have already been predefined in a submenu. Alarms can also be acknowledged here. The Alarm Statistics button opens a screen with the Industrial Performance Analyzer.
Event list: | Displays entries in the Chronological Event List. Some have already been defined in a submenu.
Trend: | Provides different evaluations. Some have already been defined in a submenu.
Report: | Provides reports that can be displayed with the Report Viewer in RDL format. Some have already been defined in a submenu.
Key figures: | Display of the performance meters (mathematics driver) and S7 implementation. Some have already been defined in a submenu.
Attachments: | Provides an overview of the whole facility. With integrated World View functionality and zooming and scrolling for multi-touch.


Energy

Manuale -> zenon Demo Project -> Energy

In this project, you can see models of applications from the energy sector.

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

Button

Description

Wind

Display of a wind park.

  • Wind Turbine:
    Dynamic rotation of static elements with various values displayed.
  • Wind Park:
    World screen with decluttering mechanism; wind turbines are displayed if you zoom in.
  • Turbine Report:
    Report that, using the Report Viewer, shows the output of turbines as a gar graph and the energy generated as a trend.
  • Wind Park Report:
    Reports from the Report Generator, and utilization displays as bar graphs.

Hydro PP

Display of a hydro-electric power station.

  • HPP_M1:
    Simulation of different energy modes such as network mode or turbine mode and their frequency/output diagram.
  • Hydro PP:
    Overview screen of a hydro-electric power plant with water levels. Uses zenon ALC technology.
  • Putting into operation.
    Summarizes all important data in one screen.

Substation

Visualization of a substation with World View and different details.

Distribution

Visualization of the energy distribution.


Infrastructure

Manuale -> zenon Demo Project -> Infrastructure

Infrastructure project that displays the traffic flow in a tunnel.

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

By right clicking on the Traffic Program North or Traffic Program South button, you receive a context menu in which you can switch between the operating modes Stop, Slow and Normal.


Building Automation

Manuale -> zenon Demo Project -> Building Automation

The project for building automation uses the EMS (Energy Management System). It:

Interno ID: Building Automation

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Displays the current and expected energy use
  • Allows interventions to be made to control energy use
  • Control the air conditioning system

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

Button | Description
EMS view: | Provides an overview of energy consumption and an outlook of the expected consumption.
EMS devices: | Control of devices in order to influence energy use. Two different consumer groups and a diesel generator can be switched separately. You can see the effects of the switching in the EMS View screen.
Building automation: | Control of the air conditioning system and display of consumption. Is used for the WPF pie chart.


Food and Beverage

Manuale -> zenon Demo Project -> Food and Beverage

Foodstuffs production with batch processing, filling, packaging and pasteurization.

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

You can find out more about batch control in the Batch Control section.

Button

Description

Batch production

Batch production with recipe administration.

  • Start of the batch via selection of a template recipe. This can be carried out as a text and can be entered freely. After approval, a control recipe can be created and started.
  • Depending on the recipe, ingredients must be added manually to both tanks. A pop-up window appears for this purpose.
  • The product is automatically filled once the pH value has been checked.

Submenu:

  • Process control:
    Control of batch production.
  • Recipe management:
    Create and edit template recipes and control recipes.
    Different recipes with different ingredients can be created. Two editors are available for this.
  • Event list:
    Displays important CEL entries during the batch process.
  • Batch trend:
    A trend screen set up for the batch process, which shows the complete batch process using charts and Gant.
  • Batch report:
    Reports on batch production.

Packaging line:

Display of a packaging line with dynamic process status color changing and display of attendant OEE key figures and simulation control.

The simulation includes:

  • Startup
  • Production
  • Rundown

The simulation starts together with Runtime; in doing so, an initial start-up phase is carried out first. The production phase is repeated until the simulation is ended with "Rundown PLMS". The simulation then starts automatically again with a new batch.

  • Trends, Alarms and OEE display the most important values during the production process on the production line.
  • The Alarm Report shows a graphical evaluation of the alarms that have occurred during the whole production phase.

Filling machine

The status information offers a detailed insight into the simulation values based on the filling machine.

  • The status model is derived from the Weihenstephan status model. It represents the current operation status of the filling machine.
  • In the Recipe Group Manager, recipes with shadow variables and recipe checking can be managed.
  • The CEL displays events filtered for the filling machine, Consumption Report provides reports on production and consumption of resources.

Pasteurizer
  • WPF display of temperatures. If the simulation system is switched off, it is possible to switch between three modes (OFF, CIP and Pasteurization) manually.
  • It is possible to switch between Celsius and Fahrenheit with unit switching implemented.
  • Trend, CEL and Alarm Message List display online data and historical data for monitoring machine process values.
  • The Report Generator summarizes all important data from the machine.


Pharmaceutical industry

Manuale -> zenon Demo Project -> Pharmaceutical industry

Pharmaceutical production with batch process.

The green bar on the top left shows you where you are and allows you to easily navigate to the starting point.

You can find out more about batch control in the Batch Control section.

Button

Description

Process
  • Start of the batch process by selecting the desired batch recipe.
  • Start of a batch and input of a signature in accordance with FDA. (for the user called User, the password is User. For other users, see user logon.)
  • The user must add ingredients for Primary Reactor 2 manually during the batch process. To do this, the ingredient and the amount thereof must be added manually using the dosing system.
  • Manual alarms can be created by clicking on the motor of the rector or the cone mixer.
  • Temperatures, pressures and stirring speed can be displayed and analyzed using the trend screens.
  • The batch is automatically concluded after the batch has been accepted.
  • The report shows the complete batch process of the selected recipe.

CIP – CIP RGM
  • Select the desired recipe group to display a list of the recipes contained therein.
  • The recipe list displays the status and the version of all recipes from this recipe group. Recipes can be sorted and filtered for quick and easy selection.
  • As soon as a recipe has been selected, this can be - depending on authorization level - loaded or modified
  • The recipe value list displays the recipe-dependent variables and the attendant variable values of the recipe.
  • The values of the selected recipe can be displayed directly in the process in the process window. The Read from recipe button displays the values in the process. The Write to recipe button modifies the selected recipe with the amended values.
  • Load a recipe and click on Start CIP in the CIP screen.

Combined filter
  • Global filter possibility for Alarm Message List, Chronological Event List and Trend Screen.


zenon Logic

Manuale -> zenon Logic

zenon Logic is the programming interface integrated in zenon in accordance with IEC 61131. It is available as Editor and Runtime (Soft PLC).

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Note: 8 TAGs are included in the standard license. For details about licensing see chapter Licensing.


Basics zenon Logic Workbench (IEC 61131-3)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In the case of zenon, the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.
With zenon Logic development environment - the Workbench - PLCs can be engineered and programmed in the five defined languages of IEC 61131-3.

Project Manager context menu

Menu item | Action
New zenon Logic project | Opens the assistant to create a new zenon Logic project.
Import XML... | Imports entries from an XML file. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Import external zenon Logic project... | Opens the dialog to select a zenon Logic project folder.
Editor profiles | Opens the drop-down list that includes pre-defined editor profiles.
Help | Opens online help.


General information about this help chapter

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> General information about this help chapter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This manual provides a quick introduction in the use of zenon Logic in combination with the integrated solution with zenon. This manual does not provide an instruction into computer languages, functions and function blocks. For this use the extensive help included directly in the zenon Logic Workbench (IEC 61131-3 programming environment).

The zenon Logic Workbench provides an extensive help functionality. In order to access this help function, open the entry Help in the menu of the zenon Logic Workbench or click here. In order to access a help chapter about a certain topic (e.g. function block), select it with a mouse click and then press F1.

The in zenon integrated zenon Logic Workbench has not TAG limitation independent of I/O or TAG extension of the zenon Editor.


zenon Logic General

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In case of zenon the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.

zenon Logic Workbench

The zenon Logic Workbench is the tool for programming the zenon Logic PLC. The zenon Logic Workbench is started in the zenon Editor. All five IEC 61131-3 predefined languages are available.

Abbreviation | Long form of the langauge
SFC | Sequential Function Chart
FBD | Function Block Diagram
LD | Ladder Diagram
ST | Structured Text
IL | Instruction List

IEC 61131-3

Part three of the IEC 61131 describes the syntax and semantic of compuer languages for PLCs which have been defined in part 1 of the IEC 61131.

zenon Logic Runtime

The zenon Logic Runtime is the target system and executes the compiled code of the zenon Logic Workbench. The zenon Logic soft PLC is available for the PC (Windows® XP, XPe, Vista, Server) and for Windows® CE platforms. Beside the soft PLC there are also hard PLCs, which have implemented the zenon Logic Runtime kernel as OEM software. The manufacturers of these hardware PLCs can be found on www.copalp.com.

You can find more information about zenon Logic here: zenon Logic Runtime (Soft PLC)


zenon Logic detail view toolbar and context menu

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic detail view toolbar and context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Context menu

Menu item | Action
New zenon Logic project | Opens the dialog to create a new project, create it in the list and opens the zenon Logic Workbench with the new project.
Open zenon Logic project in Workbench | Opens the selected project in zenon Logic Workbench.
Delete | Deletes selected entries after a confirmation message.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Replace text in selected column | Opens the dialog for searching and replacing texts.
Properties | Opens the Properties window for the selected entry.
Import XML | Imports from an XML file. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Import external zenon Logic project | Opens a window to select the project folder.
Remove all filters | Removes all filter settings.
Help | Opens online help.


First steps with zenon Logic in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Here the first steps in order to create a zenon Logic project in zenon are explained. In addition information is given on how to configure and edit the project in zenon. If you work for the first time with zenon Logic in zenon, we recommend you follow this manual.


Creating a zenon Logic project in a zenon project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Creating a zenon Logic project in a zenon project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To create a new zenon Logic project:

  1. right click on node zenon Logic (IEC 61131-3) or in the detail view
  2. select in the context menu or in the tool bar command New zenon Logic project...
  3. The configuration dialog is opened
  4. give it a valid name
  5. select the desired driver
    • straton driver are automatically configured
    • for IEC driver the configuration dialog is opened after the dialog is closed
  6. create the project by clicking on Finish

Info Informazioni

You adjust the properties of the zenon Logic projects in the zenon project in the properties window of the zenon Editor. You will find a description of the single properties in the property help.

You can change the settings of the zenon Logic project in its project settings. In order to do this open the project settings in the Workbench under Project/Settings....

New dialog project

Parameters

Description

Name

Freely definable name for the zenon Logic project.

Hint: The Name

  • consists of alphabetic characters
  • must not exceed 15 characters
  • must not be empty
  • must only contain valid characters:
  • invalid characters are: all numbers and special characters such as \ / , ; ß ä ö ü : * ? " < > | ( )
  • a dot may only be used within the name not at the beginning of the name
  • Button Finish is only active if an valid name was entered.

Drivers

Selection of the driver. You have the choice between:

  • stratonNG.(default):
    creates a new connection with the correct project name, the zenon Logic Runtime port and the IP address 127.0.0.1
  • straton32:
    creates a new connection with the zenon Logic Runtime port and the IP address 127.0.0.1
  • IEC870:
    opens configuration dialog
  • IEC850:
    opens configuration dialog

This selection defines the eventual Runtime communication between zenon Logic and zenon. In addition the creation of the operating and monitoring (O and M) variables is based on this:

  • name based at the STRATON driver,
  • address bassed at the IEC driver

Finish

Creates the new zenon Logic project.

Cancel

Cancels project creation

Help

Opens online help.

Select driver

Decision help for the driver selection:

Drivers

Properties

straton32 driver:

Ethernet TCP/IP based.

Advantages:

  • can be used cyclic or spontaneous (on change)
  • supports complex data types (structure data types or arrays)

stratonNG driver:

Defautl driver for zenon Logic projects. Fulfills all requirements just like straton32.

In addition:

  • enables several connections with one driver to several Runtimes at the same time (recommended for using with Windows CE))
  • works more performant ant than the straton32 driver

IEC870 driver:

It is mostly used in the infrastructure automation.

Properties:

  • can be operated serial (-101) or over Ethernet TCP/IP (-104)
  • Data traffic is generally spontaneous (on change)
  • complex data types are not supported

IEC850 driver:

Successor of the IEC60870 standard and is completely object-orientated.

For information about the configuration of the driver see the respective help of the driver:

  • straton32 driver: straton32
  • stratonNG driver: stratonNG
  • IEC870 driver: IEC870
  • IEC850 driver: IEC850

attenzione Attenzione

If you have selected a driver once, you cannot change it afterwards.

Exception: Changing from the straton32 to the stratonNG driver is not possible.

Change driver

To make a driver change from starton32 to stratonNG:

  • select the detail view of node Variables/Driver of the zenon Logic project with the straton32 driver
  • select Change driver in the context menu
  • the dialog for the selection of the driver is opened
  • you can only select the stratonNG driver
  • select the driver
  • close the dialog
  • the configuration is taken over in the zenon Logic project


Editing a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Editing a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

With a double click on the project or the context menu, you can open an existing zenon Logic project for editing. Alternatively you can click the corresponding icon in the toolbar in the details window.


Deleting a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Deleting a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

To delete a zenon Logic project:

  1. select menu item delete in the context menu of the project or in the tool bar

    (Multi-select is possible)

  2. confirm the confirmation message whether you really want to delete the project
  3. select whether you want to delete the driver of the project

    (When simultaneously deleting several projects, the deleting the driver is prompted for each project.)

attenzione Attenzione

When you delete the driver, all variables linked to the driver in zenon are also deleted.


Design of the Workbench

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Design of the Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Workbench can be divided in the following areas:

Range | Description
1 | In this section documents are displayed and edited (programs, watch lists, ...).
2 | The workspace: Documents are created and opened in this list.
3 | The output window displays messages and provides diagnosis tools.
4 | In the variable editor variables and instances are declared.
5 | The property tab and the Z arrangement are used for the engineering of the graphics documents.
6 | The tab Libraries lists all available functions and function blocks
7 | The tab Spy list displays the online values of selected variables during the debugging.
8 | The tab Definitions displays all definitions.
9 | The tab Graphics lists al graphical objects.

Each section (except section 1) can be shown and hidden with commands from the menu Views.

In the central area you will find the documents of the workspace. If several documents are opened at the same time, you can switch between the different documents using the tab at the bottom. With button X in the header the active document can be closed.

The variable editor and the document area in the center can be maximized at any time with the corresponding button (blue symbol with white line) or a double-click on the header.

If serveral documents are open in the central area, one of these can be fixed in the top or left part. In order to do this right click the corresponding tab an select Fix. With the same menu you can unfix the document at any time and fix another one:


Variable handling

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The intelligent integration of zenon Logic in zenon offers considerable advantages in engineering PLC and SCADA projects. The O&M variables (operating and monitoring) from the PLC system are available in zenon with just a few mouse clicks. When changing the variable (name, datatype, ...) these changes are immediately passed on the other system.

The advantage of the integration:

  • Easy handling of O&M variables
  • Immediate alignment of changes
  • Saving of labor because of omission of import/export
  • Increased quality by minimizing causes for errors

attenzione Attenzione

External UDFBs from other zenon Logic projects are not part of the zenon Logic project and therefore not available in zenon.


Create O and M variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O and M variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

All variables created in the zenon Logic Workbench can be marked as O&M (operating and monitoring) variables:

  • Local program variables
  • Global variables
  • Retain variables (=remanent variables)
  • Array variables
  • Structure variables
  • UDFB instances (User Defined Function Block)

Note: Variables of data type TIME cannot be declared as O&M variables.

attenzione Attenzione

We recommend that when using UDFB instances as O&M variables to administrate only one zenon Logic project in a zenon project.

If two or more zenon Logic projects are administrated in zenon, the as O&M marked UDFBs appear as structure data types.

Highlight variables as O&M

In order to do this the following steps are necessary:

(Refer to the online help of the zenon Logic Workbench for the exact steps to create a variable in zenon Logic.)

  1. Right click on a variable in the variable list.
  2. Select Properties from the context menu.
  3. Activate checkbox Embed symbol in the following dialog.
  4. Change the profile in the combo box from None to STRATON (*Operating and Monitoring for zenon*).
  5. Click on OK.

Now the O&M variable has been entered in the zenon variable list.

attenzione Attenzione

As soon as a zenon Logic variable is declared as O&M variable, you must not edit it as text in the Workbench!

This leads to the loss of variable declarations.

The O&M variable is displayed with a prefix in zenon. The prefix has the following structure:

<zenon Logic project name>/<zenon Logic program name or global or retain>/<variable name>

attenzione Attenzione

Variables have a character length limitation. Including prefix the variable name must not be longer than 128 characters.

Activate in variable list

You can set the profile and the flag directly in the variable list of zenon Logic. Thus you do not have to open the context menu and the dialog.

Mark the line Properties of the corresponding variable. Press Ctrl+F12. Thus the profile zenon Logic is displayed in this line. In addition you must activate the checkbox for embedding the symbol via double click or Enter in column Symb..

attenzione Attenzione

The checkbox Embed symbol must be activated. Variables for which this checkbox is not active are not able to communicate with zenon using the STARTON driver and will not supply any values.

Additional attributes of the variable

The additional attributes Identification and Description of a variable are also displayed in zenon when you select the profile STRATON (*Operating and Monitoring for zenon*). In zenon the contents of identification and description can be found in the variable properties Identification and Resource label.

Arrays and structure variables

If arrays or structure variables are marked with the profile STRATON (*Operating and Monitoring for zenon*), they are also displayed in the variable list in zenon. You must however activate the desired elements of the variable.

attenzione Attenzione

If a O&M variable is an array, you must take care when setting initial values.

Recommendation: Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 1024 characters.

UDFB instances

  1. Input variables at UDFB instances are not available via the integrated solution in zenon.
  2. In zenon variables of an UDFB instance cannot be created. This is only possible if an instance of the UDFB is created in zenon Logic and the zenon Logic profile is set.

    UDFB instances which are marked with profile zenon Logic (*Operating and Monitoring for zenon*), they are not automatically available in zenon. In case you want them to be available, you must activate this functionality manually with the help of the following entry in file K5DBXS.INI. In file K5DBXS.INI scroll to section [XS] and enter ShareUDFBDatatype=1 .

    If you deactivate this entry, existing UDFB data types in a project are still modified. However no new UDFBs are created.

Hardware IO declarations

zenon Logic IO variables can be used zenon if in the zenon Logic Workbench they:

  • have a profile
  • have an alias name; this name is used in zenon instead of %IX0.0 (board type, board index, bit number)
    An alias is necessary if the zenon Logic profile is used and property Embed symbol was activated. In this case the variable is also available in zenon (Editor and Runtime).

Hint: If an I/O group is deleted in zenon Logic, the variables of the I/O board with zenon Logic profile are also deleted in zenon.

Attention:

  • IO variables cannot be renamed in zenon.
  • IO variables for zenon Logic IO cards cannot be created in zenon.
  • The data type of IO variables should not be changed in zenon: Changes are not adopted in the zenon Logic Workbench.
  • Changes to the hardware IO declaration should always be carried out in zenon Logic. In zenon no new variable for the straton32 driver can be created as hardware I/O variable for zenon Logic.


Create O and M variables in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O and M variables in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

O&M (operating and monitoring) variables for the soft PLC zenon Logic can also be declared in zenon. In order to do this create a variable in zenon as usual:

attenzione Attenzione

Take care that the naming convention is IEC 61131-3 compatible (no special characters, ...); otherwise the button Finish will not be available in the dialog. See also: Variable names

Info Informazioni

The variables declared in zenon are always entered in the Global area of the variable list in zenon Logic.

Changes to variables of a zenon Logic driver in zenon

If variables of a driver which is linked to a zenon Logic project are deleted:

  • a change recognition in the zenon Logic project is carried out
  • the zenon Logic Workbench connection to the Runtime asks whether the project should be recompiled

This behavior is regardless of whether the changes affects the zenon Logic project.


Using zenon variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Using zenon variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

It is very easy to further process variables from PLC systems such as e.g. Siemens S7 or Beckhoff TwinCAT in zenon Logic, variables which were read in by the according zenon drivers in zenon.

One possibility to realize this functionality is the allocations (see Allocations). The variable from the PLC (e.g. S7 ) is linked to a zenon Logic variable with an allocation. In this case only a unidirectional communication is possible.

PLC variables (e.g. from a S7) can be exchanged between zenon and zenon Logic via a shared memory connection bidirectionally (!), easier and quicker . In the properties of the PLC variable the flag Externally visible has to be set to make the variable available in the zenon Logic Workbench.

As soon as this flag is set, the variable is displayed in the variable list of the zenon Logic Workbench.

attenzione Attenzione

Regard interactions with property Isteresi:
If a Isteresi was configured for the zenon variable, the value in zenon Logic does not match the value in the PLC. It is also possible that it does not match the value in zenon:

Interno ID: Using zenon variables in zenon Logic

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • If the value changes in the PLC and stays within the configured hysteresis, it is not communicated to the zenon Runtime and therefore also not to zenon Logic.
  • If the value is changed by the user in zenon (e.g. via a function) and the value stays within the configured hysteresis, the value remains the same in zenon and in zenon Logic but it changes in the PLC.
  • If the value is changed in zenon Logic and stays within the hysteresis, the value in the PLC and in zenon Logicchanges. It remains however the same in zenon.
    If in this situation the value changes in the PLC and stays within the hysteresis, three different values exist.
    one in the PLC, one in zenon and one in zenon Logic.

Such a variable is especially marked in zenon Logic, as it cannot be changed in zenon Logic. Changing the variable here would lead to problems, as the source of the variable is the PLC programming environment in the external PLC (e.g. S7).

attenzione Attenzione

Be careful with the variable name! The name of the variable from an external PLC has to be IEC 61131-3 compatible. Also see Variable names.

In zenon Logic a so-called I/O driver - shared memory driver - must be loaded in order to make the communication for such variable possible in the Runtime.

In order to do this open the fieldbus configuration in the zenon Logic Workbench with File -> Open... -> Fieldbus configuration.

The following dialog opens with the menu Insert -> Insert configuration...:

Here select the configuration straton to zenon-RT connection. So this configuration is inserted in the tree of the fieldbus configuration:

Now it is guaranteed that the externally visible variables from zenon communicate with zenon Logic.

Info Informazioni

Please be aware, that such a connection only works locally on a PC or a CE device. Here it is not possible to communicate with a zenon Logic Runtime on another device.

Arrays and structure variables

With the help of the zenrt driver complex variables (arrays and structure variables )are resolved into a flat structure. The values of variables with the same name in zenon Logic and zenon are exchanged via the shared memory driver.

Info Informazioni

The functions for checking the status of a variable and for setting Dirty are not supported at the moment.

The status information (time stamp and status bits) are not supported for complex data types.

If you marked an element of an array or a structure variable as externally visible, a simple variable with the same name is created in the zenon Logic Workbench. If you marked the array or the structure variable itself as externally visible, this complex variable is created in the workbench.

Info Informazioni

If you mark an array or a structure variable as externally visible, the individual elements are not created in the Workbench anymore.

You can create variables in the workbench, which contain characters '.' or '[]' in their name. Therefore you can create variables which have the same name as variables which derive from an array or a structure variable. In this case the communication with the zenrt driver is not possible as no distinct allocation can be made.

attenzione Attenzione

Array variables in zenon which are based in the straton32 or stratonNG driver must not start with 1. A zenon array with dimensions 1,2,2 is created as a simple variable in zenon Logic.


Variable names

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Variable names

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In zenon Logic variable names must be in accordance with the IEC 61131-3 regulations. The correctness of the entry is checked by zenon as well as by zenon Logic (communication take place using the STRATON driver).

For variables of other drivers (e.g. S7 TCO/IP driver), the engineer has to check that the variable name fulfills the regulations of the IEC 61131-3 (communication takes place using shared memory).

Examples for the IEC 61131-3 notation

Permitted name | Impermissible name | Invalid because:
_XYZ | __XYZ | Two underscores.
xy_z | xy__z | Two underscores.
xyz_ | xyz__ | Two underscores.
MotorOn | Motor On | Space.
Motor_On | Motor On | Slash.
mw10 | 1mw10 | Number at the beginning.
xyz | #xyz | Hash.
_Motor1 | _Motor 1 | Space.
Stoerung | Störung | Umlaut.
Ueberbruecken | Überbrücken | Umlaut.
Mo_tor | Mo-tor | Hyphen.

From version 6.22 SP1 on it is possible to use variables which are following the IEC 61131-3 regulations (free variable names). Take care when using free variable names.

Follow these rules when using free variable names:

  • The following characters are not allowed to be part of a variable name: '(*', '*)', '//', '{' and '}'
  • Variable names are not allowed to start with '__' (two underscores)
  • If free variable names are used when using programming language ST or IL, they must be between curly brackets {}.
  • If free variable names are used with structure of array, they must be between curly brackets {}.
  • Variables with free variable names with a basis data type can be used without curly braces {} in programming languages FBD and LD. They must be declared as global variables.
  • Variables with the same name once with {} and once without {} are regarded as two different variables.

Info Informazioni

Structure variables and arrays of structure variables with dot (".") in the name are displayed correctly. Standard arrays with slash ("/") or dot (".") in the name do not display values in the spy list.


Arrays

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Arrays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Arrays can be created in zenon and zenon Logic for both systems. The declaration as O&M variable takes place as described in chapters Creating O and M variables in zenon Logic and Creating O and M variables in zenon.

attenzione Attenzione

Array variables in zenon which are based in the straton32 or stratonNG driver must not start with 1. A zenon array with dimensions 1,2,2 is created as a simple variable in zenon Logic.

Take care when creating arrays in zenon Logic that you must activate the single elements in zenon.

When creating arrays in zenon, set the array start to 0. Thus the arrays have the same indices in both systems.

attenzione Attenzione

Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 1024 characters.


Data structure

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Data structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Structure datatypes can be created in zenon or in the zenon Logic Workbench.

Info Informazioni

When creating structure data types in zenon the IEC 61131-3 naming convention has to be used otherwise the structure data type is not available in zenon Logic. Also see Variable names. Here the spelling is not checked by zenon!

Info Informazioni

If you create structure data types in zenon Logic, they are always declared as linked in zenon.

Therefore it is better to create a structure data type in zenon because then you can decide whether you want a linked or a embedded data type.


Distributed engineering (multi-user)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Distributed engineering (multi-user)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

It is possible that more than one engineer are working together on one zenon project. Thus for example one engineer works on a zenon Logic project and another works on the zenon project.

Variables

In distributed engineering O&m variables (operating and monitoring) are handled separately by the zenon Logic project.

You can create variables in zenon Logic as usual. If the variables should also be available in zenon, they have to be equipped with the corresponding property (embedded symbol, profile zenon Logic (*Operating and Monitoring for zenon*)). After that the variable in created in zenon. You can check it in for other engineers (apply changes). You cannot edit a checked in variable in the zenon Logic Workbench. It is marked accordingly in the zenon Logic variable list.

Drivers

zenon Logic drivers are attended separately in distributed engineering by the zenon Logic project. That means if you want to make changes, you have to check out the STARTON driver (enable changes).

zenon Logic projects

In order to edit a multi-user zenon Logic project, it has to be checked out (enable changes). After the engineering, the changes can be undone or accepted.

Delete zenon Logic project

zenon Logic projects can also be deleted:

  • if they are checked out (enable changes)
  • in Offline mode


Reuseability of projects

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Reuseability of projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic projects which were created with the stand-alone Workbench of COPA-DATA can be integrated easily in a zenon project.

Select in the context menu of the detail view of the module zenon Logic (IEC 61131-3) menu itemExternal zenon Logic Import project.... With this command you can indicate an existing zenon Logic project (mark folder) and integrate it in the existing zenon project.

Another possibility is the XML import. In the context menu of the detail view of the module <CA_PRODUCTNAME > (IEC 61131-3) you will find the command Import XML. Thus zenon Logic projects which were first exported in XML can easily be imported in the zenon project.

Note:At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.


zenon Logic Workbench

Manuale -> zenon Logic -> zenon Logic Workbench

In questo settore trovate la documentazione per il workbench di zenon Logic. Disponibile solamente come guida Online.


zenon Logic Runtime (Soft PLC)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Runtime interprets the compiled PLC Code of the zenon Logic Workbench. Runtime runs on Windows XP,XP embedded PCs, VISTA, Windows 7 and Windows CE platforms.
This chapter gives an overview of the use of the zenon Logic Runtime and the configuration tool zenon Logic Runtime Manager.

attenzione Attenzione

Due to performance issues the zenon Logic Runtime Version 6.22 SP0 Build 2 needs the straton driver for the same or earlier zenon versions. Earlier zenon Logic Runtime versions still work with all straton drivers.


User interface

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Usually the zenon Logic Runtime can only be found as a symbol in the system tray. A double-click on the symbol with the green arrow or on menu item Show in the context menu opens the zenon Logic Runtime user interface.

Depending on the current status, the user interface displays different states (running, step mode,break point(s), stopped).

A bar chart shows the PLC load.

In addition to information about the status of the zenon Logic project running, the following actions can be executed in the zenon Logic Runtime user interface:

  • Slider Allowed maximum of the PLC resources:set allowed maximum
  • Settings... button: Makes configuration possible via three tabs
    • General settings
    • Redundancy
    • Advanced users
  • Start/Stop button: opens the dialog to start Runtime or stops Runtime
  • Messages button: opens and closes the message window


Slider Allowed maximum

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Slider Allowed maximum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The slider Allowed maximum is used to guarantee other applications which run on the same device - such as zenon - system resources.

With this slider the maximal allowed execution time related to the cycle time can be set. If with a set cycle time of 10 ms the slider is set to 50% the PLC cycle may take a maximum of 5ms. If the PLC cycle takes longer that 5 ms, the remaining calculation is done in the next cycle. So one cycle has to be omitted from the PLC. This results in a cycle overflow.

The slider can be set between 10% and 100% steplessly.

The bar graph (PLC load) shows, how high the PLC load is in relation to the setting of the slider. From this you can conclude how to set the slider for an optimal tuning.

PLC load high (Slider between 50 and 100%): Set slider towards 100% or increase cycle time.


Settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The settings make it possible to configure the zenon Logic Runtime with the help of three tabs:

  • General settings
  • Redundancy
  • Advanced users


General

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In the tab General the different parameter of the zenon Logic Runtime can be changed:

Parameters | Effect
Communication |
Port (Main): | IP port of the zenon Logic Runtime for the cyclic data transfer (e.g. zenon Logic Workbench).
Port (Binding): | IP port of the zenon Logic Runtime for the on change data transfer (e.g. CA_PRODUCTNAME Workbench or binding).
Run-up |
No start. Open this box: | When the zenon Logic Runtime is started, first this box is opened.
Cold start: | Initialized run-up. Also retain variables are started initialized.
Cold start (loading of RETAIN variables): | Initialized run-up with current values of the retain variables. They only contain values, no states (see Info box).
Warm start: | Restart with all variable values from the last stop.
Start in step mode | Starts the zenon Logic Runtime and immediately stops it in debug mode.
Delay [s] | Delays the start by the set number of seconds. Default: 0
Retain Data |
Storage path Retain data | Here the file with the retain variables is stored. The default setting depends on whether the zenon Logic Runtime is started.
Save retain variables with their names | Activate this checkbox if you want to save retain data in the format with the variable names. With this the values of the retain variables can also be saved if you add or delet a retain variable. Note: To save a variable, it must be highlighted as embedded in the <CA:PRODUCTNAME> Workbench. If you do not activate the check box, the retain data are saved the conventional way. After changing the retain variable, the Runtime starts with the initial values for all retain variables. Default: Deactivated.
Cyclic saving of retain variables | If you deactivate this check box, the retain data are no longer saved cyclically but only when the Runtime is closed. They are still saved after a change but not more frequent than about every 10 ms. Default: activated
Real-time priority | Sets the zenon Logic Runtime process to the windows priority Realtime. If the flag is not set, it means priority Normal.

Info Informazioni

If you activated option Salva con nome variabile ritentiva in zenon and also want to use it with manual Runtime start, you must make sure that in file K5DBXS.INI in area [CMD] option RETAINBYNAME is set. With this all retain variables are highlighted as embedded when the zenon Logic Workbench is started.
Hint: The INI file is only checked at the start of the zenon Logic Workbench. Changes during the Workbench runs have no effect.

Interno ID: General

Salva con nome variabile ritentiva

Salva la variabile ritentiva con il suo nome, se avete selezionato il Tipo di start "start/stop automatico. Inoltre le variabili ritentive vengono collegate in modo indipendente automaticamente in zenon Logic.

Interno ID: General

Tipo di start

Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logiccon il sistema Runtime del sistema di controllo.
Autom. start: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
Autom. start/stop: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logictermina di funzionare.
Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
Default: autom. start e stop.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Indicazione: per usare questa funzione anche nel caso di uno start manuale del Runtime, dovete attivare quest´opzione. In aggiunta bisogna attivare questa opzione tramite un parametro da linea di comando o con una impostazione nel file INI.

Default: attivato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Info Informazioni

Retain variables

Retain data contain only the value of the zenon Logic variables not their status. This means for the start:

  • Warm start: The status which was set for a variable is restored - regardless of whether it is a retain variable or not.
  • Cold start with retain variables: Only the value of the retain variable in zenon Logic is restored, not the status.

Info Informazioni

If the zenon Logic Runtime has been started with the zenon Runtime or with the zenon Logic Runtime Manager, changes done in this user interface are not effective after a restart of the zenon Logic Runtime.

Please make the changes as usual in the zenon Logic project properties of the zenon Editors or in the zenon Logic Runtime Manager.

In such cases the dialog helps to determine which parameters were forwarded to the zenon Logic Runtime.

The changes to the settings which were done in this dialog are only effective if the zenon Logic Runtime is started directly (e.g. using the Windows Explorer).


Redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In tab Redundancy you can see the redundancy settings for the zenon Logic Runtime.

You can check or enter the following entries:

Entry | Meaning
Activate redundancy | Runtime runs in redundancy mode
Server port: | Port for replication connection
Server Time-out [ms] | Time-out in order to determine if the passive client is available. After the time-out expires, the replication is stopped.
Client Time-out [ms] | Time-out in order to determine that the active server is no longer available. After the time-out expires, the passive client becomes the active server.
Partner address: | IP address of the redundancy partner.

Info Informazioni

You can fing details on configurating the redundancy of zenon Logic and zenon in chapter Redundancy zenon Logic and zenon.


Enhanced settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Enhanced settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

On this tab you carry out settings for the on change communication with external applications (Binding, zenon driver, ...).

The following settings are available:

Entry | Meaning | Range of values
System | Max. length of the system queue. In this queue e.g. overflows of the event queue are buffered. | 1024 ... 65520 Default: 1024
Alarms | Length of the alarm queue (not used at the moment) | 0 ... 65520 Default: 0
max. connections | Number of possible connections (cannot be changed) | 4 ... 65535 Default: 256
Events | Length of the event queue: In this queue the events of the zenon Logic Runtime event severs are written. From there they are sent via TCP. If this queue overflows, the overflow messages are written in the system queue. | 0 ... 65535 Default: 8192
Messages | Length of the info queue. In this queue the messages to the zenon Logic Workbench are buffered. | 1024 ... 65520 Default: 32768
max. puffer | Buffer size of the events per cycle. This parameter defines how much many variables are handled by the event server per cycle. | 128 ... 65535 Default: 1024
Reset | Restores the default settings |

Info Informazioni

If in large projects more than 1024 variables are transferred between zenon Logic and zenon with the straton32.exe driver, the parameter Max. buffer must be increased accordingly. An easy method to find out the number of Max. buffer is the value for the compiled I/Os in the output window of zenon Logic compilers. See illustration below.


Messages

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Runtime messages can be displayed in the zenon Logic Runtime user interface. Click on the Messages>> button to activate the view. The message display opens. Click on the Messages<< button to close the message display.

For actions in the message display, click in the message display with the left or right mouse button. You obtain a context menu:

Menu entry | Description
Display time stamp of messages | Adds a time stamp to each message.
Copy messages to the clipboard | Copies selected entries to the clipboard.
Delete all messages | Deletes all messages from the message window.

You administer the settings for zenon Logic logging and the drivers with the diagnosis viewer. In doing so, each zenon Logic Runtime and each bus driver receives their own connection to the diagnosis server as a diagnosis client. This does not include obsolete drivers, for example those from a third-party manufacturer.


Licensing

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Installation with zenon (zenon Runtime and zenon Logic Runtime on one PC)

The zenon Logic Runtime is automatically licenced with the zenon serial number. During the installation enter the serial number and the activation number in the according dialog. If no licence number is available, click on Demo Version.

Autarchic installation (zenon Logic Runtime without zenon Runtime on one PC)

For an autarkic installation (zenon Logic runs on a PC without the zenon Runtime) you can again enter the serial number and the activation number directly in the installation dialog.

Later licensing with licence order

You also can do the licensing later with the Licence order. Open the license order in the Windows start menu under Programs -> COPA-DATA -> Licensing. For later licensing the serial number and the activation number are entered in this dialog. The procedure is finished with OK.

For soft-licensing the so-called licence number must be read from the hardware configuration of your PC. Click the button for soft licensing and follow the requests in the following dialogs.

Afterwards licensing using the zenon Editor

In the zenon Editor you can open the dialog for licensing using File -> Standard configuration -> License product.... You can enter the serial number and the activation key here.

Information about the license of the zenon Logic Runtime

Open the user interface of the zenon Logic Runtime by clicking on the zenon Logic Runtime icon in the system tray. Then click on the top left corner an select About STRATONRT.... A window appears with information about version and license of the zenon Logic Runtime.


TAG handling zenon - zenon Logic

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> TAG handling zenon - zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The number of the TAGs used in zenon Logic is the number of I/Os in zenon Logic minus the number of the used I/Os with a zenon or zenon Logic profile. These I/Os are already considered at the TAG calculation in zenon.

This makes sure that no I/Os are counted twice.

The used I/Os are displayed in the UI of the <CA_PRODUCTNAME< Runtime.


Demo mode

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> Demo mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic Runtime starts in Demo Mode if you enter a false (or no) serial number or a false (or no) activation key or if no dongel is connected. The Demo Mode stops the zenon Logic Runtime after 15 minutes. With a special demo serial number the zenon Logic Runtime runs continuously for 30 days. After these 30 days then the maximal time of the zenon Logic Runtime is again 15 minutes.

zenon Logic Mini

You did not buy the zenon Logic Runtime license but you own a valid zenon Runtime license. Then a mini version of the zenon Logic Runtime is licensed automatically. With the mini version up to eight TAGs (=variables) can be used by zenon Logic via input/output mechanisms. TAGs are variables of field bus drivers and variables with profiles (e.g. B&B profile zenon Logic).

Calculation example:

  • four variables for the communication zenon Logic <= > zenon
  • four variables for the communication zenon Logic <= > Profibus
  • This equals the maximum number of eight TAGs (4 + 4 = 8).


Starting the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Starting the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Runtime supports multi-instances and therefore needs parameters (transfer parameters), when it is started.

There are three possibilities in order to start the zenon Logic Runtime:

  1. with the help of the zenon Runtime
  2. with the help of the zenon Logic Runtime Manager
  3. in a DOS Shell/BAT-file

Start with the help of the zenon Runtime

In order to start the zenon Logic Runtime with the zenon Runtime:

  • Select the zenon Logic project in the zenon Editor.
  • Change the Start type (Runtime) as you wish. The properties of Tipo di start are described in the embedded help in zenon.

    Interno ID: Starting the Runtime

    Tipo di start

    Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logiccon il sistema Runtime del sistema di controllo.
    Autom. start: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
    Autom. start/stop: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logictermina di funzionare.
    Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
    Default: autom. start e stop.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Starting the Runtime

    Runtime

    Proprietà per il Runtime di zenon Logic (Soft PLC).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Start with the help of the zenon Logic Runtime Manager

You can use the zenon Logic Runtime Manger to start the zenon Logic Runtime manually. You will find the zenon Logic Runtime Manager in the folder COPA-DATA in the Windows ® start menu. The zenon Logic Runtime manager is used to start zenon Logic Runtime instances on a PC. You can for example chose hard real time here in order to start the zenon Logic real time version (zenon Logic RTK) or to start a zenon Logic Runtime instance during the booting of the system ("Auto start").

You receive accurate information about the individual elements of the zenon Logic Runtime manager by moving the mouse pointer over them. Then the corresponding help is displayed in the embedded help.

You receive the complete help about this application by clicking ? in the menu bar.

attenzione Attenzione

As of version Vista of the Windows operating system the Runtime Manager must be started with administrator rights.

Start in a DOS Shell

The zenon Logic Runtime can be started in a DOS Shell or something similar (.bat file). For the command the following is true:

  • all commands must be entered in capitals
  • the following signs are allowed:
    -
    /
    no sign

The following handover parameters are available:

Main parameter:

Parameter | Description
PORT=<number> | Communication port. Without parameters: 1200
PORTTRACE=<number> | Event server point, Binding port. Without parameters: PORT+7800
PATH=<DB-Path> | Storage area of the zenon Logic application code. Without parameters: zenon Logic Runtime directory
ZENPATH=<Pfad> | zenon path (without meaning)
ZENPROJECT=<name> | zenon project name (without meaning)
DONTHIDE | Do not hide the Runtime after the start (it is the only parameter without '=')
STEP=<0|1> | Without parameters: no stepping mode. 0: no stepping mode 1: Start in stepping mode
START=<0|1|2|3> | Without parameters: Warm start 0: Display setup dialog 1: Cold start 2: Warm start 3: Hot start
LOWPRIORITY=<0|1> | Without parameters: low priority 0: low priority 1: Windows real time priority
WRITELOG=<0|1> | Without parameters: Create log 0: Do not create log 1: Create log The log-file is created in the PATH directory as STRATONRTLOG.TXT.

Additional parameters:

Parameter | Description
REMPATH=<Path> | Path for remanent data. Without parameters: PATH directory
DELAY=<number> | Start delay in [s]: Delayed start of the zenon Logic Runtime. Without parameters: 0
MAXUTILPRCT=<number> | Position of the slider for maximum PLC workload in %. Without parameters: 100

Event server:

Settings equal to the settings under Settings/Advanced for the event server.

Parameter | Description
QSSYSTEM=<number> | Size of system queue. Without parameters: 1024
QSALARM=<number> | Size of alarm queue. Without parameters: 0
QSEVENT=<number> | Size of event queue. Without parameters: 8192
QSINFO=<number> | Size of info queue. Without parameters: 32768
NBEVENT=<number> | Maximum number of recordable events. Without parameters: 1024
EVENTCON=<number> | Number of possible event connections. Without parameters: 256

Redundancy settings:

Parameters | Description
REDENABLE=<0,1> | Redundancy on/off. Without parameters: 0
REDADDR=<IP> | Redundancy partner address.
REDPORT=<number> | Redundancy port for replication.
REDCLITIMEOUT=<number> | Redundancy client time out [ms]; time out which is used to determine when a passive client becomes an active server. Without parameters: 1000
REDSRVTIMEOUT=<number> | Redundancy server time out [ms]; time out which is used to determine when the replication is stopped. Without parameters: 1000
REDZENON=<0,1> | If set to 1, the partner address is read from PROJECT.INI. Without parameters: 0


zenon Logic Runtime Manager

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Runtime cycle consists of:

  • Calc. time: Time for data exchange, calculation, save calculated values, read and write modified values, idle time.
  • Cycle time: Complete cycle time determined by system latency.
  • System latency: Response time of the system.

These values can be displayed in the zenon Logic user interface. Use the shortcut Alt+S or Shift+Alt+A.

Property | Description
Binding exchange | Reading of the Binding values which are published in the network and which were configured by the application (if they were configured).
I/O exchange | Data exchange between the I/O drivers (except Modbus slave/server) and the I/O boards (if they were configured).
Application execution | Execution of the programs.
Digital sampling trace | Execution of the digital sampling (if it was configured).
Events | Sending of the events (Binding or straton32.exe driver of zenon) (if they were configured).
Forced values | Reading of the forced values of zenon from the zenon Logic Workbench (online debugging) and data exchange of the Modbus slave/server (if they were configured).
Sleep | Wait the remaining time until the cycle time is over. When cycle setting is As fast as possible (free run), the time is always 1 ms. The Sleep time is used in order to execute tasks of the operation system and of other windows applications.

Time allocation PLC and Windows

With the help of the slider in the zenon Logic Runtime user interface, you can determine how much time is reserved for the PLC and for Windows. The value displayed in the bar graph always refers to the ratio set in the slide control.


Error messages cycle time

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime Manager -> Error messages cycle time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When the cycle time is exceeded, messages are displayed in the zenon Logic Runtime or in the Workbench and corresponding entries are written to the log file.

Error message user interface | Entry log file | Meaning
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Number (x) of not executed cycles due to cycle time out.. The execution time is higher than the set cycle time or there are not enough CPU resources available.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | The execution time is higher than 80% of the set cycle time; actually (x)%.

Troubleshooting

You can fix exceeding the cycle time by:

  • increasing cycle time
  • decreasing execution time, e.g.:
    • use a system with more CPU resources
    • use C compiled code
    • reduce the program


Close the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Close the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Runtime can be closed manually either by using the context menu of the symbol in the system tray or by using the open window of the zenon Logic Runtime:

Context menu symbol

  • Right clicking the icon in the system tray opens the following context menu:

  • With a click on End, you open a dialog

  • Clicking on Yes stops and closes the Runtime.

In the windows of the zenon Logic Runtime

Another possibility to close the Runtime is in the open window of the zenon Logic Runtime.

  • The following menu opens after a click to the upper, left corner of the window:

  • With a click on End, you open a dialog
  • If you acknowledge the dialog, the zenon Logic Runtime is closed immediately.

Info Informazioni

If the zenon Logic Runtime was started together with the zenon Runtime and for the zenon Logic project the start type 'autom. start/stop' was selected in the zenon Editor, the zenon Logic Runtime is automatically closed when the zenon Runtime is closed.


Creating the Hot Restart file

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Creating the Hot Restart file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

When you close the zenon Logic Runtime, a hot restart file is created automatically. You can trigger the writing of the hot restart file via function WriteHot.

Every time a hot restart file is created, a backup file is also created for which the last character of the file name is replaced with a '_'. In addition the files are created with a header which contains the Checksum of the data. When reading the data, header and checksum are checked. If an error occurs, the backup file is used.

Function WriteHot has the following input parameters:

Parameters | Description
I | Trigger; if this parameter is TRUE; the function is executed.
SYNC | If this parameter is TRUE, the cycle is hold for as long as the hot restart file is written. If the parameter is FALSE, the function is carried out asynchronous.
BUSY | This parameter is TRUE if the function is executed.

Info Informazioni

If you call up the function several times in a cycle, only the last call is considered.


Remote systems

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This chapter deals with target systems which are not on the local computer. The target system is accessed via Ethernet TCP/IP.


zenon Runtime and zenon Logic Runtime on one remote PC

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems -> zenon Runtime and zenon Logic Runtime on one remote PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Installation on the target system

First you install and license the zenon Runtime on the remote PC. The zenon Logic Runtime is automatically installed and licensed.

Download the project data with zenon Logic Runtime, start type "autom. start/stop" or "autom. start"

In order to download the zenon and zenon Logic Runtime files, use the Remote Transport function of zenon. You will find more information in the chapter Overview functions.

The zenon Logic Runtime is started and closed together with the zenon Runtime automatically.

Download dei dati di applicazione con lo Starttyp Runtime zenon Logic "avvio manuale".

Se il Runtime di zenon Logicviene avviato manualmente sul PC di destinazione (per es. al momento di avviare il sistema operativo), deve essere caricato il codice del PLC con la Workbench di zenon Logic sulla piattaforma di destinazione. Per far ciò:

  • inserite nel dialogo delle proprietà Workbench nell´editor di zenon i parametri giusti: Host di destinazione e Porta

    Interno ID: zenon Runtime and zenon Logic Runtime on one remote PC

    Porta

    Il Runtime Port del sistema destinatario di zenon Logic per il collegamento del Workbench. Questa informazione è per il workbench di zenon Logic, per collegarsi con il sistema di destinazione (Runtime zenon Logic) per, per esermpio, Online Debugging.
    Minimo 0.
    Massimo: 4294967295.
    Default: 1200.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: zenon Runtime and zenon Logic Runtime on one remote PC

    Host di destinazione

    L'Host Runtime (Indirizzo IP o nome del computer) del sistema destinatario di zenon Logic per il collegamento del Workbench, per esempio Online Debugging.
    Default: localhost.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: zenon Runtime and zenon Logic Runtime on one remote PC

    Workbench

    Proprietà per il Workbench di zenon Logic .

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate nel workbench di zenon Logic sul pulsante Online.
  • In tal modo la workbench di zenon Logic stabilisce un collegamento con il sistema di destinazione.
  • adesso può essere caricato il codice PLC sul sistema di destinazione facendo uso del pulsante Download; lo stato del progresso del download viene visualizzato in forma di barra.
  • Dopo il download il PLC funziona subito con la nuova applicazione

Se il download ha avuto successo e il programma PLC funziona senza problemi sul sistema di destinazione, appare sulla barra dei simboli RUN


zenon Logic Runtime autarkic (PC)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems -> zenon Logic Runtime autarkic (PC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Installation on the target system:

Install the zenon Logic on the target system with the autarkic installation.

Start:

Before downloading the zenon Logic project, start it. The best way is to use the zenon Logic Runtime Manager. With this tool you can also carry out the settings so that the zenon Logic Runtime starts together with the operating system.

Download dei dati di applicazione con lo Starttyp Runtime zenon Logic "avvio manuale".

Se il Runtime di zenon Logicviene avviato manualmente sul PC di destinazione (per es. al momento di avviare il sistema operativo), deve essere caricato il codice del PLC con la Workbench di zenon Logic sulla piattaforma di destinazione. Per far ciò:

  • inserite nel dialogo delle proprietà Workbench nell´editor di zenon i parametri giusti: Host di destinazione e Porta

    Interno ID: zenon Logic Runtime autarkic (PC)

    Porta

    Il Runtime Port del sistema destinatario di zenon Logic per il collegamento del Workbench. Questa informazione è per il workbench di zenon Logic, per collegarsi con il sistema di destinazione (Runtime zenon Logic) per, per esermpio, Online Debugging.
    Minimo 0.
    Massimo: 4294967295.
    Default: 1200.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: zenon Logic Runtime autarkic (PC)

    Host di destinazione

    L'Host Runtime (Indirizzo IP o nome del computer) del sistema destinatario di zenon Logic per il collegamento del Workbench, per esempio Online Debugging.
    Default: localhost.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: zenon Logic Runtime autarkic (PC)

    Workbench

    Proprietà per il Workbench di zenon Logic .

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • cliccate nel workbench di zenon Logic sul pulsante Online.
  • In tal modo la workbench di zenon Logic stabilisce un collegamento con il sistema di destinazione.
  • adesso può essere caricato il codice PLC sul sistema di destinazione facendo uso del pulsante Download; lo stato del progresso del download viene visualizzato in forma di barra.
  • Dopo il download il PLC funziona subito con la nuova applicazione

Se il download ha avuto successo e il programma PLC funziona senza problemi sul sistema di destinazione, appare sulla barra dei simboli RUN


zenon Logic Runtime with Real Time Kernel (RTK)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic RTK (Realtime Kernel) is the zenon Logic Runtime system for hard realtime. With that highest determinism and failure safety towards the operating system are guaranteed.

Prerequisites:

  • The zenon Logic RTK is only available for Windows operating systems XP (XPe), VISTA and Windows 7 in the 32 bit version.
  • The zenon Logic RTK can only be started with the zenon Logic Runtime Manager (flag Hard realtime has to be activated) or or in a DOS-Shell/BAT-file.

attenzione Attenzione

Do not operate two real-time extensions in parallel on one computer. This means:

  • If another real-time extension is already active on the computer, do not start the zenon Logic RTK.
  • Only one instance of the zenon Logic RTK can be started at a time.

The Realtime Kernel is designed, so that it triggers the zenon Logic Runtime cycle independent of Windows. So the zenon Logic Runtime cycle is guaranteed to be executed deterministically. Cycle times must be 100 µs or higher.

The PC's part of the calculating capacity can be set with a slider.

Depending on the size of the PLC application and the defined cycle time the slider has to be adjusted to the PLC load. The slider can be set between 10% and 85%. The current load (bar) indicates whether the allowed maximum for executing the PLC cycle is sufficient.

If the bar is near 100%, there is a danger of cycle overflows! In this case set the slider higher (towards 85%). If this is not possible because of the applications in Windows (e.g. bad screen opening times of zenon) the cycle time of the zenon Logic application has to be increased.

attenzione Attenzione

If the bar reaches the 100% mark, there is a danger of cycle overflows!

Esempio Esempioe

Slider at 10%, cycle time 10ms:

The zenon Logic RTK must process the PLC program in 1 ms which equals 10% of the set cycle time of 10 ms.

Slider at 50%, cycle time 5ms:

For executing the PLC program 2.5ms are available for the zenon Logic RTK.

Slider at 85%, cycle time 20ms:

For executing the PLC program 17ms are available for the zenon Logic RTK.

Formula

The following formula can be used to find out, if the setting of the slider does not lead to cycle overflows in combination with the cycle time:

cycle time > (100 / Sliderposition [%] ) * calculating time

In order to find out the calculating time of the PLC cycle, click Shift+Alt+A and note the value Max. Cal. Time [µs].

Assumption:

Max. cal. time: 274µs

Slider position: 50%

Set cycle time: 1ms (1000µs)

Calculation:

(100/50)*274 = 548µs

This means that the defined cycle time of 1 ms is sufficient.

attenzione Attenzione

Please keep in mind: If you do not stick to the described formula, the determinism which is based in the cycle time is not given anymore!

Description of the displayed measuring values (show with ALT+S or SHIFT+ALT+A):

System latency (Alt+S) |
Current [µs] | Current system latency (see also Runtime cycle)
Maximum [µs] | Maximum system latency (since the start of the Runtime)

Extended statistic (Shift+Alt+A) |
Cal. time [µs] | Current calculation time of the last cycle
Max. cal. time [µs] | Maximal calculation time for a PLC cycle (since the the start of the Runtime)
Cycle time [µs] | Current cycle time
Min. cycle time [µs] | Minimal cycle time (since the start of the Runtime)
Max. cycle time [µs] | Maximal cycle time (since the start of the Runtime)
Cycle overflow [1] | Counter for cycle time exceedance (since the start of the Runtime)
Driver overflow [1] | Counter for failed PLC cycles of Windows (non-realtime) drivers (since the start of the Runtime)

The value of the cycle time can always only be a multiple of the HAL Timer Periode (time basis). The time basis depends on the selected timer and its time basis (see also zenon Logic RTK configuration). That means: A set cycle time of 10 ms of a hardware with a time basis of 122 µs is not executed with exactly 10,000 ms but with 10,004 ms.


Restrictions and requirements of the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Restrictions and requirements of the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Hardware requirements for the zenon Logic RTK

ACPI:

The hardware (PC or IPC) and the operating system (Windows® XP, XPe or Vista) must support ACPI:

  • ACPI-Multiprocessor-P
  • ACPI-PC (Advanced Configuration and Power Interface)
  • ACPI-Uniprocessor-PC

You can check whether your PC supports ACPI in the system control (system/device manager/computer).

CPUs:

The zenon Logic RTK is supported from the following processor generations on:

  • Pentium II or younger
  • AMD Athlon XP or younger

Limitations

The zenon Logic Real Time Kernel (RTK) runs as a separate process on the hardware level independent of the operating system. The zenon Logic Runtime runs on Windows®. The real-time-enabled zenon Logic RTK has a few restrictions compared to the zenon Logic Runtime.

Function blocks:

The following funciton blocks are not processed directly in the Kernel Mode, but only emulated:

  • all file operations (category 'Files')
  • all TCP/IP modules (category 'TCP-IP')

Following function blocks are not supported by the zenon Logic RTK:

  • day_time_local (Category 'Clock')

Info Informazioni

In order to determine exactly which function blocks the zenon Logic standard library supports, use the feature of the configuration of the zenon Logic Workbench (main menu: Project/Configuration/Upload).

After you have selected the configuration, the function blocks which are not supported are marked red in the library.

I/O Driver

The following zenon Logic I/O drivers are executed by the zenon Logic RTK in Kernel Mode (real time):

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universal (Hilscher SYCON configuration)

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

Register and de-register real time drivers

There is a small chance that the real time driver of the zenon Logic RTK must be registered and de-registered manually. In order to do this start the command prompt via:
Start > execute > cmd.

Use the following syntax:

  • Register:

<Directory of the zenon Logic RTK>:\ stratonrtkvm -regsrv

  • De-register:

<Directory of the zenon Logic RTK>:\ stratonrtkvm -unregsrv

Example of the <directory of the zenon Logic RTK>: C:\Program Files\COPA-DATA\zenon700


zenon Logic RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic Real Time Kernel (RTK) runs as an own instance on hardware level and is independent of the operating system. The Timerticks which are used for control are directly obtained from the motherboard. Which timer are available depends on the used hardware. The configuration is carried out by the zenon Logic RTK configurator.


Start RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Start RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Double click the button for zenon Logic RTK Configurator in the windows control panel.

The window for editing the configuration opens. In the left window you see a menu tree with the following options:

  • CDrtHAL configuration
  • Basic settings
  • Taskmanager
  • Hardware configuration
  • Access to the physical memory
  • Log messages

In the right-hand window you can see information about the menu items and configure the RTK.


RTK basis information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basis information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

After the start menu item 'CDrtHal configuration' is active in the left-hand window of the configuration software. In the right-hand window displays basic information about the configuration and the system:

Property | Information
Version | Version of the real time driver (CDrtHAL).
Status | RTK is active or inactive
Interrupt controller | Type of interrupt controller.
High precision event timer | Support depends on hardware: PCs certified for Windows Vista support this function.
Process cores | Number of available process cores.


RTK basic settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basic settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

RTK basic settings

In the basic setting you define the following:

  • Source for the Timertick
  • CPU on which the RTK is carried out
  • Basic time as basis for the multiplication factor for the calculation of the cycle time

Timer for real-time source

Which time is displayed on the selection list depends on the used hardware. This information is also displayed on the start page of the RTK configuration. Available can be:

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High precision event timer)

The follwoing possibilities arisefrom this:

  1. PIC without HPET
    • Timer (8254 Timer), basic times: 334 µs, 143 µs, 112 µs, 53 µs
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
  2. APIC without HPET
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (8254 Timer), basic times: choose anywhere between 50 - 500 µs
  3. APIC with HPET and Windows VISTA
    • Timer (HPET timer o), basic times: 500 µs, 250 µs, 125 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (HPET timer 2), basic times: choose anywhere between 50 - 500 µs

Whether and to what extend basic times are available depends on the hardware (real-time clock) and the operating system. When using the 'timer' real-time source, the source for the Windows Timer Interrupt is used for the real time execution. In this case the set basic time must be an integral factor of the Windows Timer Interrupt basic time.

Real time source: depends on the operating system Select using list field (drop down).

We recommend the following basic setting: Unused (HPET Timer2).

Real time CPU: Select the CPU on which the process of the RTK should be carried out.

Basic time: Basic time of the timerticks. Depending on the real time source, the basic time is selected from a list or entered freely. During operation the multiplication factor for the timer ticks refers to the entered basic time.

attenzione Attenzione

When using Profile: Real time source the kernel profiling must not be activated under any circumstances as long as a zenon Logic RTK application is executed. For more information about kernel profiling see: http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


RTK Taskmanager

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Taskmanager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The task manager displays cycle times and execution times.

Property | Information
Cycle time (in microseconds) | Minimal, maximal and current value. Cycle refers to the cycles of the Timerticks based on the basic time.
Execution time (in microseconds) | Minimal, maximal and current value.


RTK hardware configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A seperate reserved storage area is needed for the communictation with the I/O drivers (e.g. Profibus) which are executed in the kernel mode. zenon Logic RTK and the I/O driver system agree on an area on which both have read and write access.

The configuration offers three settings:

Options | Effect
Generally prohibit access to the physical memory. | Free access memory areas are a saftey risk with regards to malware. Thus access to the physical memory is prohibited in the shipping state. Basic setting.
Generally allow access to the physical memory. | Allows the communication to use the whole memory, zenon Logic RTK und Profibus set their communication areas randomly. Unsafe setting which is not recommended.
Allow access to a defined physical memory area. | . zenon Logic RTK and I/O driver have a strictley allocated memory area. Recommended setting


Define memory area

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration -> Define memory area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Define memory area

In order to allocate a fixed memory area for zenon Logic and I/O driver, click on Access to the physical memory in the left window and then on Allow access to defined physical memory area in the right selection window.

Property | Information
Range | The number is assigned by the configurator automatically.
Basic address | Start address for the free memory. It can for example be determined with the help of the Hilscher Tool (included in the delivery of the card).
Length | Length of the free area. Attention: must be stated in Bytes.
Add | Creates a new entry in the list.
Remove | Deletes an existing entry from the list.


RTK Logs

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Logs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Messages from the RTK are displayed in the area Log messages.

Property | Information
Date/Time | When did the event happen
Type | What type of message (status, error, ...)
Description | What has happened?


Close RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Close RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

By clicking button OK all changes are saved and the configurator is closed. If the system needs to reboot, a corresponding message is displayed.

If you close the configurator by clicking the close symbol (X) or by clicking Cancel, a dialog appears asking whether you want to save the changes.


Blue Screen Handling

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Blue Screen Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A probable Bluescreen of Death (BSOD) is recognized by the zenon Logic RTK immediately.

If the zenon Logic RTK is configured for stopping in case of a BSOD, the shut down program - if defined - is executed immediately, i.e. before the theoretically next cycle.

If the zenon Logic RTK is configured to continue running, the next cycle is executed after a short delay of ca. 10 ms (switching the graphics mode).

In order to achieve this, the zenon Logic function RTK_OnBugCheck of the zenon Logic standard library must be set to TRUE in the zenon Logic application.

attenzione Attenzione

In case of a BSOD the execution of the zenon Logic application can be limited.

Following functions are no longer supported when this occurs:

File operations, TCP functions, functions of the serial interface, no real time field bus driver, system clock functions, RETAIN variables, writing log messages (changes reserved by product version cycles).

In order to check in the zenon Logic application if a BSOD has occurred, use the zenon Logic function RTK_IsBugCheck.

System requirements for smooth continuous running after a BSOD:

  • Windows® XP SP2 or higher (e.g. Vista)
  • Pentium 3, 4 or M (Centrino) or higher

Options for Profibus Master (Hilscher CIF Profibus):

No restart after stop (keeping outputs): If this option is active, the outputs of the Profibus I/Os remain set after the shut down. Otherwise the outputs would be set to the defined alternate values after the shut down sequence.


Error codes at starting the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Error codes at starting the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The displayed error code refers to starting the STRATONRTKVM.exe.

Error code | Meaning
0x00000000 | If an error occured in the zenon Logic RTK, usually the error is explained in a message: The log message with the error code 0x00000000 can be ignored.
0xFFFFFFFF | A timeout occured on starting the STRATONRTKVM.exe. Possible reasons: STRATONRTKVM.exe does not exist, too high load of the system. Attention:After such an error make sure that the STRATONRTKVM.exe as well as the STRATONRTK.exe no longer run (task manager) before you restart STRATONRTK.
0x00000001 – 0x0000FFFF | Is an error code of the zenon Logic virtual machine (COPALP error message).
0xFFFF01, 0xFFFF02 | Error loading the non-realtime bus drivers: probable reason: incompatible (old) version of one or more bus driver(s).
0xFFFFF000 | rtHAL error code (0xFFFFF000 is added to the rtHAL code)
0xFFFFF001 | Make sure, that the rtHAL driver has been installed correctly. If the problem still exists, contact your zenon support and tell them the Windows version (service pack, hot fix, ...) and the used Windows HAL. The name of the used HAL is shown in the device manager under computer. System requirements: ACPI, Pentium II or AMD Athlon or higher.

rtHAL error codes:

0x0

No error

Possible error codes on starting

Error code | Meaning
0x1 | Error while loading the driver. Reason: Driver is not registered correctly.
0x2 | START could not be executed. Reason: Wrong version of the driver is installed.

Error codes during Runtime

Error code | Meaning
0x6 | SUSPEND could not be executed.
0x7 | STOP could not be executed.

Internal straton virtual machine error codes

#define T5RET_OK 0
#define T5RET_ERROR 1
#define T5RET_BADCODE 2 /* invalid app code - bad header */
#define T5RET_BADCODETARGET 3 /* invalid code - bad target id */
#define T5RET_BADCODEVERSION 4 /* invalid code - bad version */
#define T5RET_EXECSIZE 5 /* exec buffer overflow */
#define T5RET_BADREQUEST 6 /* unknown comm request */
#define T5RET_SERVEREAD 7 /* cannot process read request */
#define T5RET_UNKNOWNTIC 8 /* unknocn tic code */
#define T5RET_DATA8OVERFLOW 9 /* too many DATA8 used */
#define T5RET_DATA16OVERFLOW 10 /* too many DATA16 used */
#define T5RET_DATA32OVERFLOW 11 /* too many DATA32 used */
#define T5RET_DIVZERO 12 /* division by 0 in TIC (32bit) */
#define T5RET_TIMEOVERFLOW 13 /* too many TIME variables */
#define T5RET_CANTACTIME 14 /* active timers not supported */
#define T5RET_SAFETICLOOP 15 /* awful loop in TIC (safe mode) */
#define T5RET_OUTOFTIC 16 /* TIC code ointer out of range */
#define T5RET_UNKNOWNSTF 17 /* not supported std function */
#define T5RET_LDIVZERO 18 /* division by 0 in TIC (64bit) */
#define T5RET_DATA64OVERFLOW 19 /* too many DATA64 used */
#define T5RET_STRINGOVERFLOW 20 /* too many strings */
#define T5RET_SDIVZERO 21 /* division by zero in TIC (8 bit) */
#define T5RET_WDIVZERO 22 /* division by zero in TIC (16 bit) */
#define T5RET_HOTRESOURCES 23 /* HOT restart: system resources used */
#define T5RET_HOTMAP 24 /* invalid var map in hot restart */
#define T5RET_HOTACTIME 25 /* change of active timer map */
#define T5RET_HOTSTAMP 26 /* bad build stamp for hot restart */
#define T5RET_HOTSFC 27 /* SFC changed - no hot restart! */
#define T5RET_HOTRETAIN 28 /* retain def has changed - no hot */
#define T5RET_HOTFORMAT 29 /* bad DB format - no hot restart! */
#define T5RET_CYCLEOVERFLOW 30 /* cycle time overflow */
#define T5RET_RETAINSTORING 31 /* cant store retain variables */
#define T5RET_ARRAYBOUND 32 /* array index out of bounds */
#define T5RET_RECURSE 33 /* recursive call of sub-program */
#define T5RET_XVOVERFLOW 34 /* too many external variables used */
#define T5RET_NOBSAMPLING 35 /* sampling trace not supported */
#define T5RET_TASKOVERFLOW 36 /* too many tasks */
#define T5RET_HOTCALLSTACK 37 /* call stack overflow (hot) */
#define T5RET_STACKOVER 38 /* stack overlow */
#define T5RET_HOTASI 39 /* cannot hot restart ASi */
#define T5RET_TOXC 40 /* OXC limit reached */
#define T5RET_WOXC 41 /* OXC info */


Redundancy zenon Logic and zenon

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic can be used redundantly and offers the possibility to combine the zenon redundancy with the zenon Logic redundancy.

In this chapter the configuration of the zenon/zenon Logic redundancy is described. The zenon/>CA_PRODUCTNAME< redundancy is referred to as SCADA logic redundancy from here on.

Further terms:

  • zenon server = dominant zenon server
  • zenon SB = zenon standby server
  • Active zenon Logic Runtime = zenon Logic Runtime instance being executed
  • Passive zenon Logic Runtime = backup system (Standby) of zenon Logic Runtime

Operating systems

Redundancy can be used with the following operating systems:

  • Windows XP
  • Windows Vista
  • Windows 7
  • Windows CE


Requirements

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Two PCs are necessary for SCADA logic redundancy. The both PCs are connected via Ethernet TCP/IP (100 MBit, recommended 1 GBit).

attenzione Attenzione

The SCADA logic redundancy demands that both systems, zenon and zenon Logic, are installed on one PC.

We recommend to set the cycle time of the zenon Logic project to twice the cycle time of a single project, but at least to 50 ms.

Since SCADA logic implies that zenon Logic and zenon communicate with each other using the shared memory driver (zenon Logic to zenonRT connection), it must be guaranteed that the zenon server and the active zenon Logic Runtime run on the same PC.

In order to prevent a one-sided switching from zenon Logic or zenon, a synchronization between the zenon Logic Runtime and the zenon Runtime must be engineered. For this a watchdog is used.

Watchdog

zenon Logic

The status of the zenon project (stand alone/server/standby server/client) is transferred via the shared memory command area and is evaluated by the redundancy function block. It has a freely definable time out value as input. As output binary values for redundancy switch and active, passive and failed Runtimes etc. are output. They determine the reaction of the zenon Logic Runtime.

To make it clear from which zenon project the watchdog or the status originates,

  • the zenon Runtime driver or the shared memory area must have the zenon project GUID
  • the zenon Runtime driver or the shared memory area must have the zenon Logic project name

zenon

A watchdog generated by the zenon Runtime driver is transferred via the shared memory command area and evaluated in zenon. This evaluation takes place in accordance with the settings of properties Mancato riconoscimento dopo [s] and Funzione per la mancata individuazione. They define a time out time and a function (normally Esci dal programma).

Interno ID: Requirements

Esci dal programma

Questa funzione termina il runtime dello scada.

Ulteriori informazioni nella guida in linea

Interno ID: Requirements

Funzione per la mancata individuazione

Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Requirements

Mancato riconoscimento dopo [s]

Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

0: disattiva il watchdog

Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

In order for the correct watchdog to be evaluated, it must be clear for several active zenon Logic projects from which zenon Logic project the watchdog originated. For this:

  • the zenon Runtime driver or the shared memory area must have the zenon Logic project name

attenzione Attenzione

The start of the zenon Runtime must not be performed from the zenon Editor but with a direct call from the zenon Runtime!

The zenon redundancy must be set up. Details: See help chapter Network.


Configure redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Configure redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon Logic and zenon can control each other in redundant operation by means of a watchdog. If the zenon Logic Runtime fails:

  • the local zenon Runtime is also closed
  • both systems are switched to redundancy mode

Configuration in zenon

To activate redundancy:

  • activate property Operazioni ridondate in group Runtime of the properties of the zenon Logic project in zenon

    Interno ID: Configure redundancy

    Runtime

    Proprietà per il Runtime di zenon Logic (Soft PLC).

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Configure redundancy

    Operazioni ridondate

    Attivo: Il Runtime di zenon Logic viene avviato in modo ridondante.
    Inattivo: Il Runtime di zenon Logic non viene avviato in modo ridondante.

    ATTENZIONE: Deve essere avviato lo Standby Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • define
    • Mancato riconoscimento dopo [s]

      Interno ID: Configure redundancy

      Mancato riconoscimento dopo [s]

      Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

      Interno ID: Configure redundancy

      Funzione per la mancata individuazione

      Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

      Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

      0: disattiva il watchdog

      Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

      Ulteriori informazioni nella guida in linea.

      Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    • Funzione per la mancata individuazione

Configuration in <CAD_PRODUCTNAME>

The settings for redundancy are made in tab Redundancy of the straton Runtime.

Watchdog

With the watchdog each side checks the other for changes to this counter. If the counter for a projected time is not changed, this is reported to the program:

  • zenon: a function configured in an integrated project is carried out (Funzione per la mancata individuazione)
  • zenon Logic: A function block output becomes active

The watchdog examination starts as soon as the other side has changed its watchdog for the first time. This is necessary because the time is needed to start or the zenon Logic Runtime does not necessarily need to start with the zenon Runtime.

Info Informazioni

If zenon Logic Runtime is a started manually, the following command line settings must be made:

  • zenon path:

    ZENPATH=<Pfad>

  • Name zenon project:

    ZENPROJECT=<name>

  • Information on zenon network project:

    REDENABLE=<0,1>

    REDZENON=<0,1>

Watchdog in zenon

zenon checks zenon Logic Runtime Watchdog if:

  • zenon Logic Runtime executes code, timeout is <> 0 and Runtime can be assigned to an integrated zenon Logic project
  • zenon Logic Runtime is stopped
  • zenon Logic Runtime is passive or started passively
  • zenon Logic Runtime is ended and was previously passive or active

Function for recognizing failures

With the Funzione per la mancata individuazione property, a function is selected that is executed as soon as the time-out defined in Mancato riconoscimento dopo [s] for the watchdog has expired. The watchdog is only rechecked if Runtime is registered again.

If a function from another project is used, the project must already have been loaded when the project with the integrated zenon Logic project is loaded.

Logging

The zenon Logic zenRt driver connection can be logged with the diagnosis Viewer. The module name is zenon Logic. Each message contains the name of the zenon project and the name of the zenon Logic project. The logging includes:

  • Error
    • zprj:<z-project> sprj:<s-project> Runtime <Runtime Process ID> watchdog expired.
      Runtime watchdog was not operated by Runtime for too long.
    • zprj:<z-project> sprj: <s-project> Runtime: <Runtime process ID> Unknown straton project.
      zenon Logic Project cannot be assigned to an integrated zenon project.
  • Warnings
    • vm: <Vm process ID> zenon project '<Name>' unknown
      Name of the zenon Logic projects is not known in zenon.

Watchdog in zenon Logic Runtime

The following applies for zenon Logic watchdog:

  • The zenon watchdog is checked regularly as long as the timeout of the >CD_PRODUCTNAME< failure recognition is <>0.
    This check takes place if:
    • Code is executed
    • Runtime is active or passive.

Function block zenrt_Red and RedSwitch

In zenon Logic you can check with the help of function blocks whether a connection to a zenon Server exists and you can switch the zenon Logic state if necessary.

The function block zenrt_Red checks via the timeout information from driver "straton_to_zenon_Runtime_Connection" whether zenon Logic is connected to a <CD_PRODCUTNAME> Server. If this is not the case, you can switch the affected <CA_PRODCUTNAME> to inactive with the help of function block RedSwitch and switch the Standby to active.

For more information about function blocks see the zenon Logic online help.

Time handling in function block zenrt_Red

The number of switch attempts count up in the time-out cycle. If the zenon Logic Runtime project cannot be assigned to a zenon network project, the network timeout time (Timeout [s] property in Rete group) is added to the failure recognition time (Mancato riconoscimento dopo [s] property). The time that the ERROR output is active is now no longer MAX_SWITCH * cycle but MAX_SWITCH * timeout [+ network timeout].

Interno ID: Configure redundancy

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Configure redundancy

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: Configure redundancy

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

The non-process-handling, non-dominant zenon computer is considered a standby server.
The non-process handling, dominant computer (server starts as standby) is not considered a standby.


OEM specification

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> OEM specification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In this OEM specification the possibilities of the COPA-DATA zenon Logic Runtime are described which are referred to in the zenon Logic Workbench help with "see OEM specification".

Configuration (Project properties)

As a standard the zenon Logic Workbench contains several features and an extensive library of functions and function blocks.. Depending on the Runtime configuration, some features or blocks may be not available. Therefore it is possible to select configurations for the Workbench in order to highlight the features which are not supported by the Runtime.

In the zenon Logic Workbench a list of this configurations is available under Project -> Configuration.... This can change with the product/version cycle.

File administration function (function blocks)

This function makes it possible to read and write files sequentially.

The follwoing functions are supported by zenon Logic Runtime versions

  • CE
  • RT (PC)
  • RTK (PC)

and are implemented not blocking:

F_ROPEN, F_WOPEN, F_AOPEN, F_CLOSE, F_EOF, FA_READ, FA_WRITE, FM_READ, FM_WRITE, FB_READ, FB_WRITE, F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME, LogFileCSV

The follwoing functions are only supported by zenon Logic Runtime versions

  • CE
  • RT (PC)

and are implemented not blocking:

F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME

The possible paths vary depending on the operation system (XP,Vista). Keep in mind that under Windows Vista some directories are write-protected if the UAC (User Account Control) is activated.

SFC execution

The execution of the SFC program equals that of a T5 standard target system und follows the information of the zenon Logic Workbench help.

The exclusiveness of transitions within a divergence is supported.

Interlink applications - Binding

A maximum of 65535 Binding variables can be published in the network. However this value is reduced by every variable which is sent to zenon using the event service.

The standard IP port number of a zenon Logic Runtime is 9000.

Project properties - "C" compiler

This feature is supported by all zenon Logic target systems (RT, CE, RTK). All C compilers which are normally proposed by the zenon Logic Workbench can be used. Attention: Only use the default name of the created Runtime-DLL.

LogFileCSV (function block)

See first point: File administration function (function blocks).

Additional OEM relevant features and functions:

Feature | RT (PC) | RTK (PC) | CE
DTAT (function block) | x | x | x
TCP/IP management functions | x | x | x
Dynamic memory allocation function | x | x | x
PrintF (function) | x | x | x
Step by step debugging | x | x | x
Functions for real time clock administration | x | x | x
Digital sampling recording | x | x | x
UDP management function | x | x | x
T5 registry management functions | - | - | -
DTFORMAT (function) | x | x | x
GETSYSINFO (function) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Variable status bits | x | -1 | x
DAY_TIME (function) | x | x | x
SET_DAY_TIME (function)2 | x | - | x

Key:

  • x: Supported
    • 1: Driver which support the variable status bits are only emulated or not supported by the zenon Logic RTK. Therefore no access is granted to the status bits or the time stamps.
    • 2: zenon internally works with UNIX time. Therefore only system times within their validity are allowed (0-MAXDINT starting with 1.1.1970 0:00 GMT). Data which refer to an earlier point in time affect the functionality of the zenon Runtime.
  • -: Not supported

Retain variables (remantent flags)

Retain variables saved at the defined saving location - normally in the instance path (hand over parameter PATH) - when the Runtime is stopped or closed in a normal way. Depending on the system, it can be the hard disk or a flash card.

With function "WriteHot" retain data and hot restart data can be saved explicitly, e.g. after every change or cyclically.

Some zenon Logic I/O drivers support saving the RETAIN values to the SRAM (battery buffered RAM), e.g. the ThinkIO/System758 driver.

In order for the RETAIN values to be loaded when the PLC application is restarted, the zenon Logic Runtime must be started with the corresponding handover parameters/settings (cold start - load RETAIN variables).

I/O Driver

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

You can find information about the support of Online Change or Hot Restart here: zenon Logic I/O driver: Hot-Restart/Online Change


Forwarding time stamps and variable status information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Forwarding time stamps and variable status information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

As of version 6.22 SP1 Build 3 the zenon Logic Runtime automatically forwards time stamp and variable status information from the zenon Logic I/O driver to the event handler of the zenon Logic Runtime and thus via straton32 to zenon. Therefore in zenon (e.g. CEL) the time stamp of the source (I/O driver slave or server) are displayed and not the time stamp of the zenon Logic Runtime.

The following prerequisites are necessary:

  • The variable must have a time stamp in the zenon Logic I/O driver. It depends on the protocol. Some drivers do not provide time stamps.
  • The zenon Logic project must have been compiled and loaded with compiler flag Create status bit for variable with profile turned on.

Overview forwarding the time stamp:

Note: The names zenon and zenon Logic in the graphic are just examples. They can be different depending on the configuration and correspond to zenon and zenon Logic.


zenon Logic I/O driver support

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver support

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I/O drivers which are supported by different zenon Logic Runtime types:

Drivers | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | - | - | -
Anybus Configuration | x | E | -
ApplicomIO Configuration | x | E | -
AS-interface | x | - | -
BECKHOFF CX1000 | - | - | x
Brodersen IOTOOLS | x | E | -
CAN-bus | - | - | -
Hilscher CIF Profibus | x | x1 | x
Hilscher SYCON Configuration | x | E | x2
Hischer SYCON Configuration [universal] | x | x | x
Hilscher SYCON.net Configuration | x | E | -
IEC 60870 Slave | x | - | x
IEC 61850 Client | x | E1 | x
IEC 61850 Server | x | - | x
Interbus-S | x | E | -
MODBUS Master Protocol | x | E | x
MODBUS Slave Protocol | x | E | x
PROFINET IO | x | E | x
SoftNet ProfibusDP | x | E | -
straton to zenon Runtime connection | x | - | x
ThinkIO/IO System 758 | - | - | x
Wago 750-860 | - | - | -
Weihenstephan Standard - Client | x | E | x
Win32 Shared memory | x | - | -
XFlow | - | - | -

Legend

x: Fully supported

-: Not supported

E: Carried out as emulation (performance loss possible, determinism is limited in the PLC cycle, driver selection at a BSOD)

1: The driver specific function blocks do not work under zenon Logic RTK.

2: Hilscher DLLs must be available on the target platform.


zenon Logic I/O driver: Hot-Restart/Online Change

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver: Hot-Restart/Online Change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The zenon Logic I/O drivers support the Hot-Restart or Online Change in different ways:

Drivers | Hot-Restart | Online Change | Online Change including change of the bus driver configuration
Anybus Configuration | x | x | x1
ApplicomIO Configuration | x | x | x1
AS-interface | x | x | x1
BECKHOFF CX1000 | x | x | -
Brodersen IOTOOLS | x | x | x1
Hilscher CIF Profibus | x | x | -
Hilscher SYCON Configuration | x | x | x1
Hischer SYCON Configuration [universal] | x | x | x1
Hilscher SYCON.net Configuration | x | x | x1
IEC 61850 Client | x | x | -
Interbus-S | x | x | -
MODBUS Master Protocol | x | x | x1
MODBUS Slave Protocol | x | x | x1
PROFINET IO | x | x | -
SoftNet ProfibusDP | x | x | x1
straton to zenon Runtime connection | x | x | -2
ThinkIO/IO System 758 | x | x | -
Weihenstephan Standard - Client | x | x | x1
Win32 Shared memory | x | x | x1

Legend

x: Functionality available

-: Functionality not available

1: Online Change including the change of the bus driver configuration is always followed by the reinitialization of the I/O driver. Because of the reinitialization I/Os can fail for a short period!

2: No need for change in the bus driver configuration.


Error messages

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Error messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Errors during the execution are logged in the log file.

Error message | Description
General error. | Error which could not be specified any further.
Invalid application code - bad header. | STRATON.cod file is invalid. Header invalid.
Invalid application code - bad target ID. | STRATON.cod file is invalid. Target ID invalid.
Invalid application code - bad version. | STRATON.cod file is invalid. Version invalid.
Unknown communication request. | Host and Runtime not compatible (T5 protocol).
Cannot process read request. | Incoming communication request cannot be processed.
Unknown TIC code. | Invalid instruction in file straton.cod.
Too many DATA8 used. | Too many SINT/USINT variables used.
Too many DATA16 used. | Too many INT/UINT variables used.
Too many DATA32 used. | Too many DINT/UDINT/REAL variables used.
Division by 0 in TIC (32bit). | Division by 0 in the PLC logic of the user.
Too many TIME variables. | Memory overflow for online change.
Infinite loop in TIC (safe mode). | Not closed loop in the application code.
Standard function used, which is not supported by this runtime. | PLC logic of the user refers to a function which is not available in this version of the Runtime.
Division by 0 in TIC (64bit). | Division by 0 in the PLC logic of the user.
Too many DATA64 used. | Too many LINT/LREAL variables used.
Too many strings. | Memory overflow for online change.
Division by zero in TIC (8 bit). | Division by 0 in the PLC logic of the user.
Division by zero in TIC (16 bit). | Division by 0 in the PLC logic of the user.
Hot restart: System resources used. | Hot restart not possible.
Invalid variable map in hot restart. | Hot restart not possible.
Bad build stamp for hot restart. | Hot restart not possible. Invalid straton.cod version.
SFC changed - no hot restart! | Hot restart not possible.
Retain definition has changed - no hot restart. | Hot restart not possible.
Bad DB format - no hot restart! | Hot restart not possible.
Cycle time overflow. | Cycle time overflow
Can not store retain variables. | Not enough memory in order to save retain variable.
Array index out of bounds. | Access to invalid array index.
Recursive call of sub-program. | A sub-program calls up itself.
Too many external variables used. | Memory overflow for online change.
Too many tasks. | Memory overflow for online change.
Call stack overflow (hot). | Memory overflow for online change.
Stack overflow. | Too many call ups of intricate sub programs.
Can not hot restart (ASi). | Hot restart not possible (Asi bus driver).
Online change not supported. | Online change not possible
Online change failed - Bad code. | Online change not possible. Invalid straton.cod version.
Online change - Not the same application. | Online change not possible
Online change failed - IO drivers. | Online change not possible
Online change failed - CT segment changed. | Online change not possible
Online change failed - bus drivers. | Online change not possible. Bus driver does not permit online change.
Online change failed - variable map / profiles. | Online change not possible
Online change failed - tasks. | Online change not possible
Online change failed - MODBUS. | Online change not possible
Online change failed - CAN bus. | Online change not possible
Online change failed - event production. | Online change not possible
Online change failed - change D8 alloc. | Online change not possible
Online change failed - change D16 alloc. | Online change not possible
Online change failed - change D32 alloc. | Online change not possible
Online change failed - change D64 alloc. | Online change not possible
Online change failed - change TMR alloc. | Online change not possible
Online change failed - change STR alloc. | Online change not possible
Online change failed - change FBI alloc. | Online change not possible
Online change failed - change CFC alloc. | Online change not possible
Online change failed - change XV alloc. | Online change not possible
Online change failed - STR buff size. | Online change not possible
Online change failed - STR length. | Online change not possible
Online change failed - FBI buffer. | Online change not possible
Online change failed - FBI changed. | Online change not possible
Online change failed - Program style. | Online change not possible
Online change failed - Number of programs. | Online change not possible


zenon Logic Runtime Manager

Manuale -> zenon Logic -> zenon Logic Runtime Manager

The zenon Logic Runtime Manager administrates all zenon Logic Runtime projects, which are stand alone or must be started manually, on your computer. It does not matter whether there is a zenon Runtime installed on the computer.


Why should you use the zenon Logic Runtime Manager?

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Why should you use the zenon Logic Runtime Manager?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • If you created your zenon Logic project in zenon and you set the zenon property of the zenon Logic project RT start type to start manually, the zenon Logic Runtime Manager is the ideal tool for organizing the parameters for the manual start.
  • If you want to start your zenon Logic Runtime project during the booting of the Windows operating system, you can set this with one mouse click in the zenon Logic Runtime Manager.
  • If you want to reorganize your zenon Logic project, you can do this with the zenon Logic Runtime Manager.
  • If you want to run the zenon Logic Runtime autarchically (without the zenon Runtime), it is best to call up the zenon Logic Runtime instance using the zenon Logic Runtime Manager.


Main menu

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Main menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
  • Configurations: There you can administrate the zenon Logic Runtime projects
  • Languages: There you can switch between languages online
  • Settings: Enter the path of the zenon Logic Runtime
  • ?: Open the help
  • Exit: Exits the program - Hint: Do not forget to save the settings before you exit the zenon Logic Runtime Manager!


Properties help

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Place the mouse cursor over an element in the zenon Logic Runtime Manager in order to see the corresponding help text in the property help.

In addition all elements of the zenon Logic Runtime Managers are described here:


Configuration list

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Configuration list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

This list contains all available zenon Logic Runtime configurations.

Click on an entry in the list in order to display its parameter settings.

After that click on Edit in order to change the parameters.

Click on Save in order to save the changes.


zenon Logic project folder

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> zenon Logic project folder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The selected path of the zenon Logic Runtime project (storage location of the PLC code) is entered there automatically. You can change this entry manually by left-clicking the folder symbol.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Name of the configuration

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Name of the configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

The name of the last path of the zenon Logic Runtime files is entered automatically if a new configuration is created. You can changes this name freely.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Main)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Port (Main)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Enter the main port for the zenon Logic Runtime instance. This port defines the connection of the zenon Logic Workbench and a zenon drivers. Per default this port is set to 1200.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Binding)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Port (Binding)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Enter the binding port for the zenon Logic Runtime instance. The binding port defines the connection for spontaneous TCP/IP communication to other zenon Logic Runtimes. Per default this port is set to 7800 higher than the main port.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Startup

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Define the startup behavior of the zenon Logic Runtime instance.

  • Cold start - The zenon Logic Runtime starts with initialized variables.
  • Cold start (load RETAIN variables) - The zenon Logic Runtime starts initialized with remanent markers.
  • Hot restart - The zenon Logic Runtime starts with the variable values from the time the Runtime was stopped.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Start in step mode

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Start in step mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to start the zenon Logic Runtime in step mode, activate this checkbox.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Windows real time priority

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Windows real time priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order for the zenon Logic Runtime instance to run in the Windows real time priority, activate this check box.

Info Informazioni

We recommend to always have the real time priority activated. First and foremost deactivating the real time priority is used for testing purposes (e.g. if there may be infinite loops).

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Hard real time

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Hard real time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If you activate this checkbox, the zenon Logic real time PLC (zenon Logic RTK) is called up when the configuration is started. As the zenon Logic real time PLC may only run once on the computer, it is validated that this checkbox is only activated for one configuration.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Report output

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Report output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Activate this checkbox in order to activate the writing of messages of the Runtime in a log file.

Info Informazioni

Writing a log file will influence the performance.

Info Informazioni

The log file is named "zenon Logic RTLOG.txt" and is saved in the zenon Logic Runtime project folder.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Auto start

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Auto start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to start a zenon Logic Runtime instance directly with the booting of the Windows operating system, activate this checkbox.

Info Informazioni

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Button "New"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Button "New"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If you want to create a configuration, click on button New. After that a dialog opens in which you can select the folder in which you want to save the <CA_PRODUCTNAME< Runtime files (the PLC code). Confirm your selection with OK. You can change the name of the configuration. In order to save the configuration and the name of the configuration, click on Save.


Button "Edit"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Button "Edit"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Before you can change the parameters of a configuration, you must click on button Edit after you have selected an entry from the configuration list. In order to save the changes, you must click on Save.


Button "Save"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Button "Save"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Click on button Save in order to save all changes.


Button "Delete"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Button "Delete"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to delete a configuration, select the entry from the configuration list and click on button Delete.


Button "Start"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Button "Start"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In order to start the zenon Logic Runtime with the respective configuration, select a configuration from the list and click on button Start. The zenon Logic Runtime starts immediately.

Info Informazioni

If the folder of the configuration does not contain any zenon Logic Runtime files (PLC code), the zenon Logic Runtime starts in mode No program.


zenon Logic Runtime (settings)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> zenon Logic Runtime (settings)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Enter the folder of the zenon Logic Runtime (folder of stratonRT.exe). In order to browse through your hard disk, left-click the folder symbol.


Language selection (languages)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Language selection (languages)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Select the desired language by clicking on the respective flag.


Show splash screen (setting)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Properties help -> Show splash screen (setting)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

If you activate this check box, the splash screen of the zenon Logic Runtime Manager is displayed at the start.


zenon Operator

Manuale -> zenon Operator

L´operatore di zenon è adattato alle condizioni dei macchinari. Esso consta di Editor e Runtime. Il Runtime è disponibile per sistemi operativi PC e CE. Sotto Windows CE ci sono delle limitazioni determinate dal sistema in cui il Runtime deve operare.

La modalità di funzionamento corrisponde in linea di principio al Supervisor di zenon, ma l´operatore, rispetto al zenon Supervisor, ha una funzionalità limitata.

Per elaborare un progetto operatore, si può usare l´Editor dell´operatore di zenon, oppure l´Editor del Supervisor di zenon. Se vengono progettate nell´Editor del Supervisor delle funzionalità che non sono a disposizione nel Runtime dell´operatore, esse non vengono eseguite.


Limitazioni dell´operatore di zenon

Manuale -> zenon Operator -> Limitazioni dell´operatore di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´operatore di zenon viene utilizzato con sistemi operativi embedded. L´ampiezza delle sue funzionalità è diversa da quella del supervisor di zenon. Il sistema operativo Windows CE è causa di altre limitazioni per l´operatore di zenon. I dettagli a questo proposito li trovate nella seguente visione d´insieme:

Legenda:

  • +: Standard
  • *: possibile
  • -: impossibile
  • o: modulo opzionale ottenibile con apposita licenza
Features Operator Runtime | per PC | per CE
Generale |  |
Licenza dongle | * | -
64 - 8192 tag | * | *
Direct X/Grafica | * | -
Progetto globale | * | *
Possibilità multiprogetto nell´Editor | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Possibilità multiprogetto nel runtime | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Module |  |
Server archivi | - | -
Server Archivi Starter Edition: | o | o (da CE 6.0)
Automatic Line Coloring | o | o
Trend esteso | - | -
Starter Edition del Trend esteso: | o | o (da CE 6.0)
Industrial Maintenance Manager | - | -
Industrial Performance Analyzer | - | -
Message Control inclusa Text To Speech Engine | o | -
Production and Facility Scheduler | - (disponibile schedulatore) | - (disponibile schedulatore)
Report Generator (senza salvataggio dati) | o | -
RDL Viewer | o | -
Manager gruppi ricette | o | o (da CE 6.0)
Driver: 1 driver incluso, esclusi driver Energy (IEC870-101/103/104, IEC850, DNP3, Modbus Energy) | * | *
Driver: più istanze | - | -
S7 Graph | o | o
Rete |  |
La rete di zenon | + | +
Ridondanza | - (solo Server Client) | - (solo Server Client)
zenon Webserver Light, 3 Clients. Solo con connessione al Runtime locale | o | o
zenon: Webserver | - | -
zenon: Webclient | * | - (sono possibili classici client).
Interfacce di programmazione |  |
Process Control Engine | + | +
VBA/VSTA | - | -
zenon Logic |  |
zenon Logic Monitoring Viewer | o | -
zenon OPC Server | - | -
zenon SQL Server | - | -

Tutti i moduli e tutte le funzioni non citati sono disponibili con l´operatore di zenon.

zenon Operator Editor

Per l´Editor dell´operatore sono a disposizione anche:

  • zenon Logic Monitoring Builder
  • zenon Logic Workbench Pro
  • VBA/VSTA


Limiti particolari della versione CE.

Manuale -> zenon Operator -> Limitazioni dell´operatore di zenon -> Limiti particolari della versione CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I seguenti moduli sono disponibili solo con Windows CE 6.0 e con le versioni di questo programma dal numero di serie più alto:

  • Server archivi Starter Edition
    Per quello che concerne le limitazioni, vedi la parte della guida dedicata al server archivi, nel capitolo Server archivi Starter Edition.
  • Trend esteso Starter Edition
    Per quello che concerne le limitazioni, vedi la parte della guida dedicata al Trend esteso.
    Per i progetti CE non sono disponibili i seguenti elementi di controllo:
    • Pulsante diagramma
    • Pulsante curve
    • Impostazioni diagramma
    • Dialogo stampa
    • Pulsante-asse X
    • Finestra di emissione-cursore
    • Profili filtro
  • Manager gruppi ricette

Ripristinare barra di stato allarmi

Sotto Windows CE la barra di stato allarmi non può essere ripristinata cliccandoci sopra con il tasto destro del mouse.

Archiviazione:

Per realizzare l´archiviazione, avete a disposizione sotto Windows CE solamente la Starter Edition del Server archivi. Essa presenta alcuni limiti di funzionalità rispetto al server archivi. I dettagli li potete leggere nel capitolo Server archivi Starter Edition nel manuale concernente la Archiviazione.

Risoluzione dell'apparecchio CE e visualizzazione della CEL e dei dialoghi filtro AML

La Gestione allarmi, nonché la Lista eventi cronologica (CEL) consentono una selezione filtro durante il runtime. Ciò, però, è gestibile solamente con una risoluzione a partire da 800x600. La Gestione profili nelle corrispondenti finestre non è a disposizione. Proprio per questo anche i pulsanti Salva e Elimina non hanno alcuna funzione. Visto che con Windows CE il Dialogo stampa non può essere aperto, anche il corrispondente pulsante perde la sua funzione.

Tipi d´immagine che non sono disponibili:

  • Diagnosi variabili
  • Video

gestione utenti

Active Directory e ADAM/AD LDS non sono a disposizione sotto Windows CE.

Dinamica

Dinamica, come, ad esempio, girare, cambiamento di altezza e larghezza, posizione X e Y dinamica, non sono disponibili.

Elementi dinamici

Elementi ActiveX: Registrazione sotto Windows CE:

Con Windows CE, gli elementi Active X debbono essere registrati prima di essere utilizzati. Se avete bisogno di informazioni su questo tema, le potete trovare nel capitolo "Indicazioni di progettazione - ActiveX".

Slider universale

La visuale come Nastro non è disponibile.

Interno ID: Limiti particolari della versione CE.

Nastro

Disponibile solo se la visualizzazione come Cerchio parziale non è attivata.

Interno ID: Limiti particolari della versione CE.

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Non disponibile sotto Windows CE.
Attiva: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
Non attiva: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

File XAML e WPF

WPF non è disponibile. Per questo motivo, anche XAML, che viene usato come linguaggio di descrizione per WPF, non viene utilizzato.

Filtro in AML e CEL

I filtri per la Lista allarmi e per la Lista eventi cronologica non possono essere progettati se è attivata la proprietà Windows CE Projekt. Visto che questi dialoghi sono molto grandi, questo limite è stato introdotto per assicurare la gestibilità anche su piccoli display (PDA). Se create dei progetti Windows CE senza attivare la proprietà Progetto Windows CE, potete utilizzare i dialoghi filtro come di solito.

Profili filtro

sotto Windows CE non è possibile lavorare profili nel Runtime.

Modello a forma libera

Per quello che concerne i modelli, sotto Windows CE non è disponibile Modello a forma libera.

Interno ID: Limiti particolari della versione CE.

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

Attiva: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.

Disattivata: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: non attiva.

Indicazione: non è disponibile per il modello Barra stato allarmi e neanche sotto CE.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Grafica

Riempimento 3D

I riempimenti 3D sono disponibili, ma richiedono delle prestazioni grafiche elevate dei macchinari CE.
Perciò ne sconsigliamo l'uso.

Qualità grafica

Le funzioni grafiche messe a disposizione dall´impostazione Windows avanzate, nella proprietà Qualità grafica, come, ad esempio, riempimenti con ombra e trasparenze, non sono disponibili sotto CE.
Indicazione: File GIF trasparenti e, con limitazioni, file PNG, sono visualizzabili.

Interno ID: Limiti particolari della versione CE.

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: Limiti particolari della versione CE.

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: Limiti particolari della versione CE.

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Effetti riempimento

Gli effetti di riempimento degli elementi statici possono essere visualizzati in modo diverso dal PC e ciò dipende dal terminale CE. .

Per gli elementi vettoriali esiste con CE solamente i tipi di riempimento pieno e non riempito
Per gli elementi vettoriali esistono con CE solamente i tipi di linea: pieno, tratteggiato, senza.

File GIF

Per poter visualizzare dei file GIF con Windows CE, il file IMGDECEMP.dll deve essere presente nell´apparecchio di destinazione. Nel caso in cui dovesse mancare, potete richiedere il file IMGDECEMP.dll al support@copadata.com.

Linee

Le linee non possono essere rappresentate con angoli arrotondati. Anche se nelle proprietà di progetto alla voce 'Aspetto grafico' è stata deattivata la "Funzione grafica estesa', sotto CE non vengono visualizzati angoli arrotondati.

Visualizzazione dei nomi ricetta

Nell´immagine del tipo Manager gruppi ricette, i nomi ricetta possono essere visualizzati solamente in una combobox. La visualizzazione del tipo listbox (via Style L) non viene supportata dalle piattaforme CE.

Menù principali

Con Windows CE possono essere visualizzati solo i menu principali standard. Ogni modifica di colore, dimensione o tipo del carattere non è possibile.

Licenza (Dongle)

Non è disponibile una licenza dongle per Windows CE, né a livello locale, né attraverso la dongle di rete.

Capacità multi-progetto

Con Windows CE non è possibile una Capacità multi-progettoil che significa che può funzionare un progetto per volta. Da ciò consegue che per quello che riguarda i progetti in rete si deve rinunciare alle gerarchie (progetto di livello superiore, progetto-I). Il progetto globale non è interessato da queste limitazioni.

Dimensione del progetto

Con Windows CE c'è a disposizione solamente un determinato spazio di memoria.

Sotto Windows CE 5.x, l´applicazione può essere eseguita solamente su Slot0 ed è quindi limitata a 32 MB. Quando si avvia Windows CE 5.x, sono a disposizione di zenon solo i MB che non sono occupato dall'Image (fra 15 e 19MB). A causa della regola del 20%, quindi, possono essere usati al massimo 25,6 MB per Image, zenon e progetto.

A partire da Windows CE 6.0, la memoria è limitata a 2 GB. La regola del 20%, però, vale anche in questo caso.

Info Informazioni

Regola del 20%: Dopo che sono state aperte tutte le immagini di zenon, deve essere ancora libera per lo meno il 20 % della memoria. Nel caso in cui questo limite non venga rispettato, non possiamo garantire un funzionamento senza problemi di zenon.

Lista incrociata

Se in un progetto CE una funzione viene collegata ad un pulsante non disponibile con Windows CE, esso viene indicato nel runtime come "funzione elìiminata".

Tasto destro del mouse

La funzione di doppio clic con il tasto destro non è disponibile con Windows CE.

Ridondanza

La ridondanza è possibile in combinazione con un apparecchio CE come client. Una ridondanza, però, nella quale l'apparecchio CE svolga le funzioni di server o di server in standby, non è possibile.

Valore impostabile

La Definizione di valore impostabile per elemento o funzione non è possibile tramite macro o programma. Definizioni di valori impostabili sono possibili unicamente attraverso maschera di introduzione oppure mediante l´elemento del valore numerico.

Se in un apperecchio CE si setta un valore impostabile su una variabile HD (per es. mediante uno slider universale), la conseguenza è un certo ritardo perché non è possibile scrivere abbastanza velocemente sulla scheda della memoria. E' possibile che si verifichi un certo ritardo anche se tutti i valori impostabili vengono protocollati nella CEL e la CEL viene scritta subito per ogni inserimento. (Impostazioni progetto).

Simulazione driver

La "simulazione-programmata" non è disponibile sotto Windows CE 6.

elementi vettoriali:

Curva

Con Windows CE l'elemento statico curva viene visualizzato esattamente solo con una dimensione di linea pari a 1.
Attenzione: curva più ampie vengono visualizzate in modo errato anche in progetti di rete. In questo caso le curve appaiono frammentate e non corrispondono alla progettazione sul PC.

Segmento di cerchio

L´elemento Arco di cerchio non è disponibile con Windows CE.

Variabili

Variabili del tipo di dato LINT non sono disponibili sotto Windows CE.

Rappresentazione immagine globale

La Visualizzazione globale non è disponibilie con Windows CE a causa della prestazione grafica necessaria.

File WMF e EMF

L´uso di Meta file (*.wmf) e (*.emf) non è possibile.


zenon sotto Windows CE

Manuale -> zenon Operator -> zenon sotto Windows CE

Il runtime CE dell´operatore di zenon può essere utilizzato su diverse piattaforme Hardware CE. In generale la versione CE di zenon offre la stessa funzionalità della versione dell´operatore di zenon per il PC, con alcune limitazioni che sono da mettere in relazione alle più modeste risorse hardware.

I dettagli dell´installazone dei runtime zenon e zenon Logic per Windows CE li trovate nei capitoli:

  • zenon Operator Runtime per Windows CE
  • zenon Logic Runtime per Windows CE

tutorial Informazioni sulla licenza

Il Runtime di zenon funziona solamente in presenza di una licenza valida.


Generale

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Windows CE è una piattaforma aperta, scalabile con molteplici possibilità di applicazione nei settori della comunicazione, dell'intrattenimento, nell'industria e nell'elaborazione dati mobile. Semplificando, si potrebbe dire che si tratta di un sistema operativo ridotto all'essenziale e che richiede solo delle limitate risorse hardware. Ciò significa che delle componenti hardware dal costo contenuto possono funzionare con un sistema basato su Windows.
Windows CE permette la realizzazione di apparecchiature in grado di comunicare fra di loro, di scambiare informazioni mediante PC che funzionano su una base Windows e, inoltre, di stabilire dei collegamenti ad Internet.
Windows CE è un sistema operativo 32 bit con capacità realtime, dotato di funzioni come multitasking e multihtreading; un sistema dall'architettura aperta che supporta un ampio spettro di apparecchiature. Windows CE è compatto, in grado, cioè, di fornire elevate prestazioni anche in presenza di una limitata memoria di lavoro.

I vantaggi di Windows CE sono, fra l´altro:

  • veloce start dell´hardware perché il sistema operativo viene aperto e caricato nuovamente ogni volta nella memoria durante il processo di boot.
  • visto che non può essere installato nessun software su un apparecchio CE, non c'è pericolo che il funzionamento del sistema operativo possa essere minacciato da processi d'installazione non riusciti o da virus.
  • elevato grado di robustezza, visto che negli apparecchi Windows CE di regola non si usano delle parti mobili (come, ad esempio, disco fisso...).

Gli svantaggi di Windows CE sono, fra l´altro:

  • funzionalità limitata, visto che non è disponibile il completo Windows API (Application Programming Interface).
  • accessi di lettura e scrittura più lenti alla carta Compact-Flash
  • riduzione della durata dei supporti di salvataggio causata da accesso frequente

Il Runtime di zenon mette a disposizione degli utenti le stesse funzionalità sia sotto CE che sul PC. Se esse sono ridotte sotto CE, ciò dipende dalle scarse risorse hardware a disposizione e dai limiti intrinseci del sistema operativo.


Creare progetti per CE.

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale -> Creare progetti per CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L'editor è uno strumento che mette in grado l'utente di creare progetti piccolissimi, piccole e medie applicazioni, ma anche dei progetti dalle grandi dimensioni. Lo strumento di progettazione rimane sempre lo stesso. Indipendentemente dalla piattaforma per la quale si creano i progetti, il lavoro di progettazione è sempre estremamente confortevole. Si ha anche una compatibilità dei dati di progetto completamente indipendente dalla risoluzione.

CE-Editor

Per i progetti CE, nell'Editor viene attivato sotto > Proprietà -> Generale il Checkbox 'Progetto Windows CE'. In tal modo vengono attivate solo quelle funzionalità che sono a disposizione anche sotto Windows CE. Tutte le altre funzioni vengono visualizzate in grigio. Fatta eccezione per VBA: VBA può essere utilizzato nell'Editor per Wizard, ma non nel Runtime.

L'Editor è, a seconda del tipo di licenza, limitato a 8.192 Tags.

VBA sotto CE

VBA è a disposizione nell'Editor per la realizzazione di Wizard. VBA non viene supportato nel runtime.


Licenza

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il runtime per Windows CE viene registrato con il Remote Transport. Quando create la connessione con il sistema destinatario, potete indicare il numero di serie e il numero di licenza per la versione CE. Nell'apparecchio CE, il numero di serie viene salvato nel file zenon6.ini; il numero di attivazione, invece, nella registry.

Info Informazioni

Un controllo di validità concernente il numero di serie e il numero di attivazione è solo parziale al momento del loro inserimento nel Remote Transport sul PC. Solo quando si avvia il runtime sull'apparecchio CE, questa validità viene controllata in modo completo. Vi preghiamo, dunque, di avviare il runtime una prima volta dopo aver effettuato l'update del numero di serie e di quello di attivazione per controllare se essi sono stati indicati in modo corretto.

Nel pacchetto standard si trova un numero di serie CE demo, che non richiede un numero di attivazione.

Esempio Esempio

Numero di serie demo per CE 5.0 e Windows Mobile 5 0.19211400.0.-128

Numero di serie demo per CE 6.0: 0.59211400.0.-256.0

La versione demo per CE 5:

  • è limitata a
    • 2.048 variabili
    • una durata di 10 minuti
  • contiene
    • Process Control Engine
    • zenon Webserver Pro

La versione demo per CE 6,0:

  • è limitata a
    • 4.096 variabili
    • una durata di 10 minuti
  • contiene
    • Process Control Engine
    • Modulo Trend esteso (Starter Edition)
    • Server Archivi (Starter Edition):
    • zenon Webserver Pro (3 Clients)

attenzione Attenzione

Sotto la versione Windows Mobile Edition, possono essere caricate solo circa 800 - 1000 variabili; dipende dalla memoria disponibile dell´apparecchio, i programmi installati e dalla dimensione del progetto.


Requisiti

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il runtime è funzionante con Windows CE sui più diversi apparecchi, indipendentemente dal produttore. Per ogni combinazione di sistema operativo e tipo di processore, è necessario un tipo particolare di runtime, che deve essere compilato e monitorato per questa specifica piattaforma.
I requisiti minimi di un apparecchio CE sono:

  • 64 MB memoria RAM.
  • 32 MB di memoria di disco rigido disponibile

Visto che la velocità di processo dipende dal tipo di processore, non è possibile definire una velocità minima. In generale si può peraltro dire che il processore dovrebbe avere una velocità di perlomeno 400 MHz.
Vi consigliamo:

  • almeno 128 MB RAM.
  • almeno 64 MB.
  • Processore con 800 MHz per processori ARM, oppure 600 MHz per architettura x86
  • Network-interface

Info Informazioni

Per il funzionamento del runtime e del progetto è necessario avere a disposizione una memoria rimanente su cui si possa scrivere in modo permanente.

La maggior parte degli apparecchi CE con touchscreen hanno una bassa risoluzione schermo. Di ciò bisogna tenere conto nella fase di progettazione. Alcuni dialoghi, come, ad esempio, il "dialogo selezione variabili" della ricetta standard, ma anche altri dialoghi del runtime, sono difficili da gestire con una risoluzione dello schermo di 320 x 240, o non lo sono affatto. Per quello che riguarda la risoluzione schermo, non esiste, però, alcun presupposto minimo, senza il quale il sistema non funziona.
Le indicazioni per la progettazione contengono un filo conduttore che aiuta nella progettazione in caso di risoluzioni basse.

attenzione Attenzione

zenon deve essere installato nella versione corrispondente. La versione PC e quella CE di zenon devono essere compatibili (stessa versione, stesso Service Pack).


Versioni CE / Sostegno processore

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti -> Versioni CE / Sostegno processore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella versione attuale di zenon 7.00 vengono supportati le seguenti versioni di Windows CE e i seguenti processori:

  • CE 5.00 per x86
  • CE 5.00 per ARMV4/V5
  • CE 06:00:00 per x86
  • CE 06:00:00 per ARMV4/V5

Info Informazioni

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon le trovate nella documentazione relativa, oppure le potete richiedere al support di COPA-DATA.


Compatibilità:

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il supporto che serve per installare zenon CE contiene tutte le versioni runtime compatibili sotto forma di un file ZIP. Questo file contiene i file binari, ma nessun runtime in grado di funzionare completamente.

Se i file runtime vengono creati facendo uso di una versione dell´editor più recente, avete bisognon eventualmente di driver più vecchi per il runtime. Per far ciò:

  • andate alla cartella Runtime compatibility che si trova nel supporto di installazione, e passate al file ZIP corrispondente.
  • estraete i driver contenuti nel file
  • trasmettete il driver all´apparecchio


File di sistema

Manuale -> zenon Operator -> zenon sotto Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il runtime per Windows CE presuppone l'esistenza di diversi file di sistema. Nel caso in cui manchi uno di questi file, il sistema operativo genera una segnalazione di errore al momento dell'avvio del runtime che avverte l'utente che una o più componenti non sono state trovate. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio del runtime se questo file non è presente.
msvcr90.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio del runtime se questo file non è presente.
atl90.dll | Non è necessario per avviare il runtime, ma per l'utilizzazione di un driver con connessione di rete o quello di zenon in rete. Se questo file non è disponibile, l'apparecchio non può funzionare da client, oppure non funzionano le connessioni driver TCP/IP.
IMGDECMP.dll | Non è necessario per lo start del runtime, ma per la visualizzazione di Trasparenza, se Alpha Blending non è integrato nel sistema operativo. Non è possibile un´animazione di file GIF sotto Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non è necessario per l'avvio del runtime. Questo file è necessario per la PCE (Process Controll Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE; possono essere trasmessi, per esempio, con l´UpdateCE Tool all´apparecchio CE. Tutti questi file di sistema dovrebbero essere integrati dal produttore dei macchinari nell'immagine sistema operativo del pannello.

attenzione Attenzione

Per i produttori di images per Windows CE:
le versioni di CE precedenti alla 6.0 hanno bisogno del file toolhelp.dll. Per assicurare che il file sia disponibile sull´apparecchio CE e che il Toolhelp.h sia disponibiela inSDK, attivate il seguente inserimento nel Platform Manager : Selezionare
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools>, Toolhelp API >. Adesso è disponibile Toolhelp.dll in Image.
Consiglio: Vi consigliamo vivamente di usare sempre il Servicepack più recente di Platform Builder.

Indicazione: Il file toolhelp.dll non è necessario per Windows CE 6 e non deve essere utilizzato con CE 6.


Regola 20 %

Manuale -> zenon Operator -> zenon sotto Windows CE -> File di sistema -> Regola 20 %

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La limitazione a una memoria di 32 MB, esistente a partire da Windows CE 3.0 (un cosiddetto Slot, vedi immagine), è valida anche in Windows CE 5.0 e verrà eliminata solamente a partire dalla versione 6.

Limite di memoria significa: in questi 32 MB deve essere caricato il runtime (variabili, funzioni, immagini, driver, file di sistema ecc.). A seconda del macchinario, al momento dell'avvio di Windows CE vengono caricati nella memoria diversi i più diversi driver e file di sistema; da ciò deriva che il runtime non può mai sfruttare completamente i 32 MB della memoria stessa.

Anche con Windows CE.NET (4.xx) e CE 5.0, continua ad esistere questo limite di 32 MB di memoria per applicazione, ma la memoria, che è stata occupata dal sistema operativo o dalle applicazioni negli altri slot, può essere usata nello slot in cui il runtime è avviato. Grazie a questo ampliamento del sistema operativo di CE.NET/CE 5.0 è disponibile più memoria per il runtime.

La massima grandezza di un progetto viene determinata dal sistema operativo e dall'hardware utilizzato. Non è a disposizione, come nel caso del PC, una grande quantità di memoria. La durata del processo di scrittura di un Kilobyte di dati sulla scheda CompactFlash non è nell'ambito di millesecondi (come nel caso dei PC), ma molto maggiore.

Windows CE è stato sviluppato per un hardware dalle prestazioni modeste e che funziona senza parti mobili. Solo una minima parte degli apparecchi CE dispongono di un meccanismo di raffreddamento attivo del processore. Spesso i processori di apparecchi CE sbrigano tutti i compiti, come ad es. calcoli, costruzione grafici, comunicazione TPC/IP, comunicazione seriale ecc. ecc.

In un PC, invece, questi compiti vengono svolti dalle diverse componenti hardware. Per questo motivo, la prestazione di un apparecchio CE non può essere paragonata a quella di un PC.

La grandezza massima di un progetto è, perciò, legata strettamente alle caratteristiche dell'apparecchio. Non è possibile definire un limite generale, per es. per il numero massimo di variabili o per il numero massimo degli allarmi.

Info Informazioni

Quando il runtime è avviato, tutte le immagini sono state richiamate e sono in attesa il numero massimo degli allarmi, deve essere libera il 20% della memoria principale disponibile per poter garantire un funzionamento senza errori.

Si può sapere quanta memoria principale è disponibile con l'aiuto della variabile di sistema (driver di sistema) "memoria di lavoro libera%".

Windows CE 6,0

A partire da CE 6.0, le limitazioni del sistema di controllo sopra indicate non valgono più. La memoria disponibile può essere usata completamente da ogni applicazione. Visto però che la memoria sugli apparecchi CE comuni sul mercato spesso è limitata a 128MB o 256 MB RAM, potrebbero sorgere dei problemi di salvataggio. Soprattutto nel caso in cui decidiate di utilizzare i moduli Trend esteso & Archivserver Starter Edition. La regola del 20% che è stata descritta sopra, rimane dunque valida.


Runtime

Manuale -> zenon Operator -> zenon sotto Windows CE -> File di sistema -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il runtime per Windows CE consiste dei seguenti file.

Nome del file | Descrizione
zenonrCE.exe | L'applicazione runtime
Cd_tooCE.dll | Necessario per il runtime
ZennetsrvCE.dll | Il Netservice per Windows CE. Necessario per progetti in rete.
SysSrvCE.exe | Il Transportservice.
LogCliLibCE.dll | Il Logserver Client
zenon6.ini | File di testo per impostazioni per il runtime, come, ad es., progetto start, lingua del runtime ecc.
UpdateCE.exe | Applicazione necessaria per il CE Update Tool.
RgermaCE.dll | File di testo tedesco
RengliCE.dll | File di testo inglese
RfrancCE.dll | File di testo francese
RitaliCE.dll | File di testo italiano
RrussiCE.dll | File di testo russo
RspaniCE.dll | File di testo spagnolo

Con il programma CE Runtime Update, che potete aprire attraverso il menu opzioni, potete installare il runtime su un apparecchio CE.

Info Informazioni

Per connessioni con Windows CE 6.0 con CX1000, Profibus oppure SYCONuni, vale quanto segue: ci si deve assicurare che il file CDMemDrv.dll sia stato trasmesso all´apparecchio CE. CDMemDrv.dll è un driver apparecchio Windows CE. DLL è a disposizione per x86 e ARMV4I.

Ci sono, inoltre, numerosi driver per la comunicazione hardware. I driver utilizzati nel progetto sono trasmessi automaticamente con il progetto per Remote Transport, a patto che il tipo di processore dell'apparecchio CE venga riconosciuto dall'editor. Il tipo e la quantità dei file trasmessi è visibile nella finestra di emissione dell'editor.

Questi file devono essere adatti alla corrispondente versione CE e al tipo di processore. Mescolare dei file di diverse versioni CE o anche di diversi Servicepack, può avere come conseguenza l'interruzione del funzionamento del sistema o altri effetti indesiderati; perciò lo sconsigliamo vivamente.

Info Informazioni

All'avvio di zenonrce.exe, viene eseguito anche il file syssrvce.exe. In tal modo viene garantito che si deve creare sempre una connessione TCP. Si evitano un grande numero di tempi morti ed è necessario solamente un file per la funzionalità autostar.


Rete

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete

Naturalmente zenon ha una funzionalità di rete anche sotto Windows CE. Il terminale CE può fungere da server o da client in combinazione con altri terminali o normali PC. Un'ulteriore possibilità è usare il terminale CE come server dati in combinazione con un PC.

La ridondanza in rete non è possibile con l'utilizzao di Windows CE; ciò significa che un terminale Ce non può funzionare da server in standby. Se, però, si possono utilizzare PC nella funzione di server e server in standby, il terminale CE può connettersi come client e connettersi, nel caso di una cambiamento legato al meccanismo della ridondanza, in modo automatico al server attuale.

Info Informazioni

La funzionalità multi-progetto non esiste in Windows CE.

Esiste però la possibilità di riassumere più progetti in un progetto-I su di un PC.

Se si vuole usare il runtime CE in rete, devono essere soddisfatte le seguenti condizioni:

connessione di rete del terminale CE

rete TCP/IP con completa (!) risoluzione del nome.

Nome calcolatore e indirizzo IP univoci in rete

File di sistema necessario, nonché runtime sul terminal CE disponibili. (Vedi anche capitolo Presupposti)

Licenza runtime con supporto di rete sul terminale CE.

Info Informazioni

Se un terminale Ce viene usato in rete, indifferentemente dal fatto che lo sia come server o come client, lo stesso terminale deve disporre di una licenza runtime per la rete.

Per la funzione del Remote Transport non è necessaria alcuna licenza di rete!

Se questa licenza di rete non è disponibile, zenonviene avviato automaticamente come standalone e viene creata da ogni apparecchio CE una propria connessione con il PLC.


Impostazioni di rete

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Impostazioni di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Visto che la risoluzione del nome non è un requisito sempre presente per Windows CE, può essere necessario rendere noti il nome calcolatore e l'indirizzo IP del terminale CE e del PC. Nel PC si può usare a questo scopo il file di testo HOSTS, che si trova nel percorso /Windows/System32/Drivers/ETC. In tale file si devono inserire l'indirizzo IP del terminale CE e il nome calcolatore del terminale CE, separati da un tabstopp in lettere maiuscole, ad es.: 192.168.0.100 WINDOWSCE2

Info Informazioni

Al momento di salvare questo file, fate attenzione a non salvarlo senza un nome file supplementare.txt!

Il link fra il nome del computer e l'indirizzo IP deve essere definito non solo sul PC, ma anche sul terminale CE, se la rete non supporta completamente una risoluzione del nome dinamica. (In caso di risoluzione nome dinamica, viene risolto il nome computer sulla base dell'indirizzo IP). Questa informazione viene salvata sul PC nel File 'HOSTS' che si trova sotto '/Windows/system32/drivers/etc'.

Il sistema operativo Windows CE non supporta la funzionalità di un file HOSTS. Per far in modo che la risoluzione del nome funzioni anche quando proviene dal terminale CE, bisogna inserire il nome calcolatore e il corrispondente indirizzo IP nel zenon6.ini del terminale CE. E' necessario il seguente inserimento:

Esempio Esempio

[IPADDR]
Nome del mio computer=il mio indirizzo IP
Nome del terminale CE =Indirizzo IP del terminale CE

NOME SERVER=192.168.1.152

Inserite alla voce "nome server" il nome del Vostro server. Modificate l'indirizzo IP in corrispondenza all'indirizzo IP del Vostro server:

Esempio: il Vostro Server si chiama PC0815 e ha l'indirizzo IP 192.52.9.32: in questo caso inserite sopra: PC0815=192.52.9.32

Ricordatevi di scrivere il nome calcolatore in LETTERE MAIUSCOLE!

altri esempi

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Dato che non sempre il terminale CE conosce il proprio nome calcolatore, è possibile che si debba impostare anche questo.

attenzione Attenzione

Non usate degli indirizzi IP dinamici se la risoluzione nome in rete non è disponibile.


Terminale CE come server

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo caso, il progetto sul terminale CE è un progetto server (con ambito di funzionalità ristretto). Tutti gli altri calcolatori che si connettono al terminale sono client (sia i PC client, che CE client; anche Web Client sono possibili).

I driver utilizzati vengono avviati sul terminale CE. Visto che un terminale CE è utilizzato da server, anche l'ambito di funzionalità sui PC client è ridotto. L'utilizzo di un terminale CE come server in standby, come già detto, non è possibile.

Questo modello ha i seguenti caratteri:

Il progetto CE continua ad avere un ambito di funzionalità ridotto, il che significa che non è possibile un'archiviazione dei dati e che non sono disponibili dei moduli.

Il terminal CE manda i dati di processo a tutti i client connessi. La gestione allarmi, i calcoli matematici REMAs sono gestiti dal terminale CE.

Nel caso in cui siano connessi molti client, il terminale CE è sottoposto ad un carico di rete relativamente grande, il che può condurre a problemi di sovraccarico del terminale CE stesso.

La progettazione del terminale CE come server in pratica:

Per poter dichiarare il Terminale CE come server, bisogna inserire il nome calcolatore del Terminale CE come server in fase di configurazione del progetto. Fate attenzione a digitare il nome calcolatore in lettere maiuscole. Una volta conclusa la fase di progettazione, i file runtime devono essere trasmessi mediante Remote Transport al server (terminale CE). Poi dovete trasferire per una sola volta i dati runtime a tutti i client.

Deve essere realizzato un solo progetto per l'intero sistema. Eventuali modifiche del progetto devono essere solamente trasferite al server. In caso di modifiche del progetto, tutti i client vengono riforniti dei dati di progettazione attuali.

Devono essere usate nel progetto solo quelle funzionalità che un terminale CE può supportare. L'interruttore Progetto CE è uno strumento molto utile a questo scopo. Impedisce che impostiate moduli (immagini, funzioni ecc.) che con Windows CE comunque non funzionerebbero.

Per consentire, nonostante l'uso di un terminale CE, l'archiviazione dei dati, nonché la possibilità di usare moduli, come ad es. "trend esteso" o "generatore di rapporti" e per poter rifornire una molteplicità di client di dati senza che questo significhi una riduzione delle possibilità di gestione su posto, sono state sviluppate ulteriori possibilità di progettazione:


Terminale CE come client

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In questo caso, il progetto sul terminale CE non è un progetto server. Il progetto del terminale CE si collega, dunque, come client ad un server. Da server può fungere sia un PC che un altro terminale CE.

Questo modello ha i seguenti caratteri:

Il progetto CE ha un limitato ambito di funzionalità al client, il che significa che sul CE Client viene visualizzato solo quello che è supportato da CE. Archivi, trend esteso, manager di ricette, Message Control ecc. non vengono mostrati. Ma il progetto del server può naturalmente contenere tali elementi, a patto che il server sia un PC. In questo caso, l'intera progettazione si verifica ed è disponibile nel PC Client, se questo ha una licenza d'uso. Per non creare confusione, nella fase di progettazione si può indicare: visibile con CE. Nel caso in cui questa Checkbox non è selezionata, non vengono mostrati gli elementi corrispondenti sul terminale CE.

Il carico di rete per il CE Client è irrilevante, visto che esiste sempre solo una singola connessione, quella con il server. I driver sono avviati sul server.

La progettazione del terminale CE come client in pratica:

Deve essere realizzato un solo progetto per l'intero sistema. Questo progetto è attivo sul server cui spetta la priorità gerarchica per tutti i dati.

La progettazione si svolge al PC dal quale vengono trasmessi al server e ai client tutti i file di runtime prodotti mediante la funzione del Remote Transport.

Nel caso in cui ci siano delle modifiche apportate al progetto in un secondo momento, è sufficiente trasmetterle al server tramite Remote Transport. I client ricevono queste modifiche dopo aver eseguito la funzione "aggiorna progetto runtime".

Non deve essere settato l'interruttore Progetto CE. A disposizione del progetto c'è la completa funzionalità di zenon. Visto che dalla parte di CE è disponibile solo un limitato ambito di funzionalità, le funzioni che non esistono in CE, non vi vengono eseguite (moduli, determinate funzioni, ecc.)

Per non confondere l'operatore che lavora con il macchinario mostrando sul terminale CE delle immagini e delle funzioni che non funzionano o che non deve usare, esiste la possibilità nell'editor di scegliere in "immagini e pulsanti" l'opzione "visibile con CE". Abilitando tale opzione, colui che progetta ha la possibilità di realizzare il suo progetto in tal modo che sia visibile una parte con CE ed un'altra solo sul PC (server PC, altri PC client...).


Possibilità di diagnosi

Terminale CE come server

Per sincerarsi che il terminale CE abbia veramente assunto la sua funzione di server, si può provare a cancellare sullo stesso terminale CE uno dei driver usati nel progetto a runtime attivo usando Explorer. Se questa operazione dovesse riuscire, significherebbe che il runtime non è attivo sul terminale CE come server (altrimenti non sarebbe possibile cancellare delle applicazioni aperte in modo esclusivo). E' possibile che il terminale CE non conosca giustamente il suo nome o che il runtime sul terminale CE non possieda una licenza per la rete.

Terminale CE come client

Se il client non riesce a stabilire una connessione al server, in corrispondenza degli elementi dinamici compaiono dei punti blu. L'opzione "Mostra stato" deve essere attivata nell "finestra proprietà" per quello che riguarda gli elementi dinamici.

Driver di sistema:

Il driver di sistema offre una molteplicità di variabili per la diagnosi della rete.

Altro

Se il terminale CE viene usato in rete, deve essere possibile mediante il comando: telnet NOME COMPUTER 1100 delle stabilire una connessione con il terminale CE. (il cursore lampeggia nell'angolo in alto a sinistra). Il runtime deve essere avviato sul terminale CE.

Per NOME COMPUTER si intende il name del terminale CE (cui si può risalire attraverso il pannello di controllo del terminale stesso); 1100 è la porta attraverso la quale comunica il net service di zenOn (zennetsrvce.dll).

Nel caso in cui il tentativo di connessione tramite telnet dovesse fallire, è probabile che non sia corretta la risoluzione del nome in rete, che il terminale CE non abbia il runtime con licenza di rete, o che il file di sistema: atl90.dll non è disponibile sul terminal.

Il file zennetsrvce.dll per la rispettiva piattaforma viene trasmesso automaticamente via Remote Transport al terminale CE (trasmetti remote tutte i file runtime). Nel caso in cui ciò non dovesse essere vero, probabilmente non sono installati sul calcolatore i file runtime per CE. Se nel menu editor "opzioni" è presente l'opzione "aggiorna CE Runtime", allora i file runtime per CE sono installati.

Se per un server si verifica che si connette una volta l'uno ed una volta l'altro client, significa probabilmente che entrambi i terminali CE usano lo stesso Nome calcolatore. Windows CE non emette una segnalazione di errore se il nome calcolatore è già usato in rete.


Terminale CE come server dati

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come server dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per rendere possibile, nonostante l'utilizzo di un terminale CE con connessione di processo (per es. all'interfaccia MPI del terminale CE), l'archiviazione dei dati, per avere a disposizione dei moduli come "trend esteso" o "manager di ricette" e per poter rifornire di dati numerosi client senza che la gestione sul posto subisca limitazioni, è stata sviluppata la possibilità del Terminale CE come server di dati.

Questo modello ha i seguenti caratteri:

In questo caso, il terminale CE funge in primo luogo da cosiddetto server di dati: ciò significa che vengono mandati in background tutti i dati dei driver ad un altro calcolatore (server PC), il quale svolge la funzione di vero e proprio server. Quest'ultimo può archiviare i dati, gestire la lista allarmi e CEL e rifornire di dati una quantità qualsiasi di client. E' possibile usare anche altri moduli, come, ad esempio, il manager gruppi ricette, il Message Control, il server SQL, il trend esteso ecc.

Il terminale CE è, in secondo luogo, uno di questi client e riceve dunque dal server tutti i dati, immagini e i messaggi di allarme online.

Nel caso in cui questo PC Server debba smettere di funzionare, il terminale CE assume la gestione allarmi e CEL.

attenzione Attenzione

Il terminale CE non salva gli inserimenti allarmi e Cel mentre il server è attivo.

I moduli, che non sono disponibili in CE, non funzionano. Si deve tener conto del fatto che nessun dato per l'archiviazione viene salvato sul terminale CE. Il terminale CE non svolge neppure la funzione di server per i client connessi. I client visualizzano dei punti blu che sono un segnale di un disturbo verificatosi nella comunicazione.

Come nel caso della rete ridondante (server e server-standby), anche in questo caso la posizione dominante è riservata al server vero e proprio; ciò significa che, dopo il ritorno in funzione del PC server, il terminale CE ritorna alla sua funzione di server dati. I dati dei driver, come, ad esempio, i dati HDD, vengono sincronizzati. Il server utilizza gli ultimi dai AML e CEL validi sul server stesso e li invia a tutti i client (anche al server dati). Il modulo archivio sul PC server è di nuovo in funzione ed in grado di archiviare, e gli altri client sincronizzano i loro dati con quelli del server e riprendono a ricevere dei dati. La sincronizzazione di driver di sistema e matematico funziona solo in parte e dipende da fattori tecnici.

Nel caso in cui ilserver dati smette di funzionare, il disturbo della comunicazione viene segnalato sul server e sui client per mezzo di punti rossi sugli elementi. Il server non assume la connesione driver!

Questa situazione può trovare applicazione generale anche nella rete PC, ad esempio usando direttamente sul macchinario un PC dalle potenzialità limitate, il quale ha una connessione dati con il processo. L'archiviazione dei dati, però, non avviene su questo calcolatore, ma su un altro server zenon in rete, che realizza tale archiviazione e cui spetta un ruolo prioritario nella gestione dei dati.

Tirando le somme: In caso di interruzione del funzionamento del server dati non esiste una comunicazione con il driver. Tutti i client mostrano valori disturbati e non viene archiviato alcun dato. Anche nel caso di interruzione del funzionamento del server non viene effettuata nessuna archiviazione. Ciò significa che, per il tempo dell'interruzione di funzionamento, non sono disponibili alcuni dati archiviati. Nel caso in cui il server smette di funzionare, il server dati assume la gestione allarmi, ma gli allarmi che entrano ed escono in questo lasso di tempo non vengono recepiti dal server.

Progettazione di un concetto per il server dati in pratica:

La progettazione si svolge al PC dal quale vengono trasmessi al server e al terminale CE mediante la funzione del Remote Transport tutti i file di runtime prodotti . Tutti i client (anche il server dati si comporta come uno di essi) vengono riforniti degli attuali dati di progettazione in caso di una modifica del progetto.

attenzione Attenzione

Nella configurazione di progetto devono essere inseriti il nome del computer che funge da PC server e il nome del Terminale CE che funge da standby-server. Inoltre deve essere settata l'opzione "Standby come server dati".

Non deve essere settata l'opzione Progetto CE. A disposizione del progetto c'è la completa funzionalità di zenon. Visto che dalla parte di CE è disponibile solo un limitato ambito di funzionalità, le funzioni che non esistono in CE, non vi vengono eseguite (moduli, determinate funzioni, ecc.)

Per non confondere l'operatore che lavora con il macchinario mostrando sul terminale CE delle immagini e delle funzioni che non funzionano o che non deve usare, esiste la possibilità nell'editor di scegliere in "immagini e pulsanti" l'opzione "visibile con CE". Abilitando tale opzione, colui che progetta ha la possibilità di realizzare il suo progetto in tal modo che sia visibile una parte con CE ed un'altra solo sul PC (server PC, altri PC client...).

Altre limitazioni del server dati:

Il driver di sistema e il driver matematico hanno una posizione particolare nel concetto del server dati (e non solo in questo contesto): sia l'uno che l'altro sono attivi solo sul server. Il server dati, dunque, non riceve i valori di questo driver. Solo quando il server viene chiuso, si avviano i due driver sul server dati. E, non appena il server è di nuovo online, il server dati ritorna alla sua funzione originale e i due driver sono di nuovo attivi sul server. Da questo momento, il server dati non riceve più valori dal driver di sistema e dal driver matematico. Proprio per questo motivo le variabili matematiche non funzionano correttamente nello schema del server dati.

Variabili globali del driver di sistema, come, ad esempio, client attuali, numero dei client connessi, server attuale, sono gestite dal server. Queste variabili non vengono trasmesse dal server al server dati. Il server dati mostra in riferimento a queste variabili i suoi contenuti locali, che non corrispondono a quelli del server. Ciò dipende dal sistema e non può essere modificato.

L'unica eccezione è rappresentata dalle variabili locali del driver di sistema, come ad esempio la memoria libera, spazio libero sul disco fisso ecc.; queste variabili vengono lette sempre localmente sul singolo calcolatore.

Info Informazioni

In alternativa al concetto del server dati, può essere usata a partire dalla Versione 6.20 di zenOn l'archiviazione multi-progetto che consente di archiviare dati da diversi terminali CE. A questo scopo, ogni Terminale CE ha bisogno di una licenza per la rete ed è necessario, inoltre, che, nell'ambito della fase di progettazione, il terminale CE sia definito come server.

Su un PC, che possiede una licenza di archiviazione, vengono aggiunti i progetti CE come sotto-progetti. Nel Progetto-I possono essere aggiunte tramite la configurazione archivi delle variabili dei sotto-progetti. Informazioni più precise le potete ottenere nella guida riguardante l'archiviazione.


Connessione via ActiveSync oppure Windows Mobile Device Center

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con l´aiuto del programma Microsoft ActiveSync (fino a Windows XP incluso) oppure Windows Mobile Device Center (a partire da Windows Vista) potete instaurare una connessione fra un terminale industriale CE e un PC.

  • In questa introduzione descriviamo come si stabilisce la connessione mediante ActiveSync: Connessione seriale sotto Windows XP
  • Il Windows Mobile Device Center funziona in modo analogo a: Connessione USB sotto Windows 7


Connessione USB sotto Windows 7

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione USB sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Quando si ha una connessione USB fra un apparecchio CE e un calcolatore con Windows 7:

  1. fate in modo che sia possibile connettersi a Internet
  2. collegate entrambi gli apparecchi tramite un cavo USB
  3. se c´è una connessione Internet, il Windows Mobile Device Center viene installato automaticamente e viene instaurata la connessione.
  4. Potete poi trasmettere dei dati nel modo descritto nel capitolo Update Windows CE Runtime .

Info Informazioni

Nel caso però non ci sia una connessione Internet attiva, non si verificherà alcuna installazione e configurazione automatica del Windows Mobile Device Center. In questo caso:

  • attivate la connessione Internet
  • aprite il pannello di controllo e passate alla gestione dispositivi
  • cliccate con il tasto destro del mouse sull´apparecchio che non è stato ancora riconosciuto dal software
  • selezionate "aggiorna software driver"
  • Windows installa il driver
  • Windows installe il Windows Mobile Adapter e il Windows Mobile Device Center


Connessione seriale sotto Windows XP

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione seriale sotto Windows XP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per quello che concerne la connessione seriale sotto Windows XP vale quanto segue:

  • Ci occuperemo solo del tipo di comunicazione a connessioni seriali da punto a punto.
  • Requisito necessario per il terminale CE è Windows CE 5.0 o CE 6.0 come sistema operativo.
  • Altri sistemi operativi non vengono trattati.
  • Nell´esempio la connessione viene instaurata in modo seriale tramite un cavo null modem.


Configurazione PC

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione seriale sotto Windows XP -> Configurazione PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

In primo luogo si deve installare Activesync. Scaricate la versione adatta dal Microsoft Downloadcenter e installatela in una cartella qualsiasi. Fate attenzione che la versione installata supporti la versione CE desiderata.

Activesync cerca di default di instaurare successivamente un collegamento con tutte le porte COM e USB, . Se non è stata mai instaurata nessuna connessione, il collegamento con l´apparecchio CE e PC deve essere avviato contemporaneamente. In questo caso non è sicuro che la connessione venga instaurata con successo.

Raccomandazione: aggiungete sul PC i seguenti inserimenti nella registry, in modo tale che Activesync cerchi solamente sulla porta COM che avete definito Voi:

[HKEY_LOCAL_MACHINE/SOFTWARE/Microsoft/Windows CE Services]

SerialPort=COM1

Avviate Activesync e impostate la porta COM alla voce File -> Proprietà della connessione:


Configurazione CE

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione seriale sotto Windows XP -> Configurazione CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Stabilisci una nuova connessione

Dovete provvedere ad impostare una nuova connessione sul pannello CE. A questo scopo avviate il programma sul pannello CE: /windows/remnet.exe

  1. Configurate una nuova connessione seriale.
  2. Make new connection
  3. Assegnate un nome e selezionate poi il punto Direct Connection
  4. Cliccate su Next.
  5. Selezionate una porta seriale RS232 disponibile alla quale potete connettere il cavo null modem.
  6. Cliccate su Configure.
  7. Port Settings (Connection Preferences):
    1. Baud Rate: 19200
      se non esiste ancora nessuna connessione, è consigliabile in questo caso usare 19200 Baud, dal momento che questa rate è quella standard con cui lavora Active Sync. Poi si può aumentare la baud rate a 115200.
    2. Data Bits: 8
    3. Parity: None
    4. Stop Bits: 1
    5. Flow Control: Hardware
  8. Chiudete il programma Remnet.

Registra communications

Il prossimo passo consiste nell´avviare sul terminale CE nel Pannello di controllo il dialogo Communications.

  1. Attivate nella tab PC Connection la proprietà Enable direct connections to desktop computer.
  2. Cliccate sul pulsante Change e selezionate la connessione impostata precedentemente nel programma Remnet.
  3. Confermate tutti i dialoghi con OK e chiudete il pannello di controllo.

Salva impostazioni

Salvate le modifiche della CE Registry sull´apparecchio CE. In caso contrario esse andranno perdute completamente quando si riaprirà il pannello di controllo!

Per salvare le modifiche avete a disposizione su ogni terminale CE un tool apposito, ad esempio regflush.exe, flushreg.exe, savereg.exe ecc. Nel caso in cui non doveste trovare alcuna possibilità di salvare la Registry, contattate il Vostro fornitore di hardware.


Avvia comunicazione

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione seriale sotto Windows XP -> Avvia comunicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Connetti apparecchi

Adesso dovete collegare il pannello CE con il PC tramite un cavo Null modem.

  • PC: l'interfaccia configurata in Activesync.
  • CE: l'interfaccia configurata in Remnet.

Attenzione: solo un vero e proprio cavo null modem viene accettato da Activesync!!

Pin allocation di un cavo null modem:

Avvia comunicazione

Adesso iniziate sull'apparecchio CE il programma /windows/repllog.exe.

Se l'icona nella barra di stato del PC diventa verde, il collegamento funziona! Si apre un dialogo per mezzo del quale potete rifiutare la partnership e registrare il pannello solamente come ospite.

Adesso potete accedere direttamente all´apparecchio CE nel programma Activesync tramite File > Ricerca, potete creare cartelle, copiare file ecc.

Indicazione: alcuni file, come ad esempio lo zenon6.ini, non possono essere aperti direttamente sull'apparecchio CE. Essi devono essere prima copiati sul PC, modificati in quella sede, per poi essere copiati nell´apparecchio CE. Potete tranquillamente ignorare la segnalazione che appare quando si copia tramite conversione file. Questa conversione è necessaria, ad esempio, nel caso di file Office.

Attraverso questo collegamento Activesync si può copiare adesso mediante l'Update Tool del runtime CE il Transport Service sul CE Panel. I dettagli relativi li potete trovare nel capitolo Update Windows CE Runtime.

attenzione Attenzione

La comunicazione funziona solamente via repllog.

Se sul pannello CE cliccate due volte su connessione in corrispondenza di \windows\remnet.exe, sembra che il collegamento venga instaurato, e invece non accade nulla.


Correzione errori

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Connessione seriale sotto Windows XP -> Correzione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se non è possibile instaurare una connessione, controllate se:

  • il cavo è connesso all´interfaccia COM corretta sul pannello CE e/o sul PC.
  • state usando un cavo null modem giusto
  • tutte le impostazioni sull´apparecchio CE sono state effettuate nel modo descritto
  • la porta COM che usate sull´apparecchio CE è veramente una RS232 Port e non una RS485/422 Port

Domande ricorrenti

Domanda | Risposta
Activesync apre sempre una finestra "Stabilisci collegamento". | Eseguite il file di registrazione giusto.
Sul mio computer appare di continuo il messaggio che il PC non riconosce l´apparecchio! | Controllate se usate un cavo null modem giusto.
Activesync diventa verde, ma non funziona nulla! | Probabilmente la connessione è stata avviata sul pannello CE con un doppio clic sulla connessione in Remnet.exe. Avviate la connessione con Repllog.exe.
Come posso controllare se ho impostato la COM Port corretta sulla pagina CE? | Disattivate in Activesync alla voce File -> Impostazioni collegamento la porta COM seriale Controllate la connessione via porta COM con un programma terminal. (Fino a Windows XP, hyperterminal era incluso nel pacchetto standard del sistema operativo.) Se poi avviate la connessione via CE Repllog.exe, vedete con ogni retry nel terminal CLIENT.


Update del Runtime Windows CE

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via ActiveSync oppure Windows Mobile Device Center -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per effettuare un update del runtime Windows CE:

  • assicuratevi che il Transport Service (SysSrvCE.exe) di zenon fsull´apparecchio CE.
  • assicuratevi di non aver instaurato una connessione remota con l´apparecchio per mezzo dell´editor di zenon.
  • selezionate in zenon Menu Opzioni il comando Update Windows CE Runtime
  • Si apre il dialogo che serve alla trasmissione di file runtime.
  • Configurate la connessione.
  • Definite i file che devono essere trasmessi.
  • Selezionate la versione.
  • avviate l´update.

Configurare la connessione.

Configurate la connessione all´apparecchio Windows CE alla voce Connection.

Parametri | Descrizione
Seriale | Impostazione per connessione seriale ad apparecchio Windows CE, deve essere selezionata la port.
TCP/IP | Impostazioni per connessione TCP/IP ad apparecchio Windows CE.
Indirizzo | Indirizzo IP.
Nome | Nome.
Syssrvce.exe starts with these settings | Impostazione per Start der syssrvce.exe.
Seriale | attivo: Connessione seriale viene selezionata, deve essere scelta una port.
TCP/IP | attivo: Connessione TCP/IP viene selezionata.
Connection with MS ActiveSync | Impostazioni per connessione via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: syssrvce.exe viene trasmesso al primo transport via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Definire i file da trasmettere

Parametri | Descrizione
Files to update | File che devono essere trasmessi.
HMI Runtime | Attivo: trasmette file di zenon all´apparecchio di destinazione. Default: Attiva
PLC Runtime | Attivo: trasmette file di zenon all´apparecchio di destinazione. Default: inattivo.
OS system files | Attivo: trasmette i file necessari del sistema operativo. Default: Attiva
Update zenon6.ini | trasmette il file zenon6.ini all´apparecchio di destinazione. In tal modo vengono modificate le informazioni concernenti la licenza sull´apparecchio destinatario.
Options |
Language | lingua desiderata sul sistema destinatario. Default: inglese
HMI drivers | selezione dei driver HMI da trasmettere.
Availabel | Lista dei driver a disposizione.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver evidenziati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver scelti.
Remove | Cancella i driver selezionati dalla lista dei driver scelti.
Remove all | Cancella tutti i driver dalla lista dei driver scelti.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Selezionare versione

Selezionate alla voce Versions la versione adatta se essa non viene riconosciuta automaticamente.

Parametri | Descrizione
WinCE version | Versione del sistema operativo Windows CE sull´apparecchio destinatario. Clic sul pulsante apre la lista dropdown che serve alla selezione.
Processor type | Processore dell´apparecchio:
Source path | Percorso per la cartella che contiene i file. Cliccando sul pulsante si apre il dialogo per selezionare la cartella.
New | Aggiunge un nuovo inserimento vuoto nella lista.
Delete | Cancella l´inserimento selezionato dalla lista,
Test | Controlla le impostazioni.
Help | Apre la guida online
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Avvia update:

Per realizzare la connessione:

  • cliccate alla voce Update su Start.

  • vengono controllati i dati necessari alla trasmissione che vengono visualizzati in una finestra.
  • avviate cliccando sulla superficie Next la trasmissione all´apparecchio di destinazione.

Nel caso in cui la trasmissione non potesse essere avviata per la mancanza di file, sarà visualizzata una segnalazione di errore con la lista dei file mancanti:

  • Se doveste ricevere la segnalazione di errore "The current update was not completed", l'operazione di aggiornamento è stata interrotta, oppure eseguita non correttamente.

Info Informazioni

Se zenVNCServer.exe deve essere sostituito con un update, esso viene chiuso per essere poi riavviato dopo l´update. A tal scopo, il file zenVNCSrvCE.exe

deve essere contenuto in UpdateCE.ini nel settore [SOURCES_FILES_GENERAL]folgende Einträge (impostazione di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Manager gruppi ricette

Manuale -> zenon Operator -> zenon sotto Windows CE -> Manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per assicurare che il Manager gruppi ricette sia utilizzabile sotto Windows CE, i file RGM vengono salvati negli appunti alternativi della banca dati MS Access. Per Windows CE vengono impostati i dati binari nella struttuta file.

Se attivate alla voce Proprietà di progetto -> Generale la Checkbox Progetto WindowsCE, i dati RGM vengono impostati automaticamente in modo binario.
Potete impostare manualmente il salvataggio binario dei dati anche indipendentemente da progetti CE; lo fate nel modo seguente:
Proprietà Gruppi ricette -> Gruppi di ricette -> RGM formato dati -> Dati Binari Compatibili con CE).

Interno ID: Manager gruppi ricette

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Gruppi di ricette

Definite il sito per salvare i file per il Manager dei gruppi ricette.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Manager gruppi ricette

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

attenzione Attenzione

Una conversione della banca dati MS Access dopo la forma binaria o viceversa non è prevista.

I dati RGM già esistenti non vengono convertiti! Se necessario, dovete esportare i dati in XML prima di effettuare il cambiamento. In seguito potete cambiare il progetto e importare i dati nel nuovo formato.

Cambio della banca dati

Se avete selezionato nella proprietà RGM formato datiMS ACCESS DB come banca dati e avete poi attivato la checkbox Progetto WindowsCE, il sistema visualizzerà un´indicazione per effettuare la conversione:

Per mantenere i dati della banca dati usata finora:

  1. esportate i dati in XML
  2. cambiate la banca dati
  3. importate il file XML

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.

Progetti multiuser

Nei Progetti multiuser file binari e la banca dati MS Access possono essere presi in considerazione indipendentemente gli uni dall´altra.

Nella finestra In costruzione viene rappresentato localmente sempre solo lo stato del tipo di salvataggio impostato su questo calcolatore. Utilizzando file Binari, non è visibile che i Database Access siano ancora abilitati per le modifiche.

Perciò è possibile il verificarsi della seguente situazione:

  • sul PC A la Database Access è di nuovo abilitata per le modifiche
  • sul PC B viene attivato il processo CE e si passa in tal modo a file binari
  • sul PC B i file binari vengono resi disponibili
  • sul PC B vengono accettate le modifiche e poi si effettua una sincronizzazione dei dati con il PC A
  • in tal modo si passa anche sul PC A a file binari
  • la banca dati Access continua ad essere abilitata alle modifiche sul PC A
  • solo quando sul PC B si passa di nuovo a Database Access diventa evidente che sul PC A la Database Access è abilitata alle modifiche.


Trasparenza

Manuale -> zenon Operator -> zenon sotto Windows CE -> Trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sotto Windows CE, i file GIF possono essere visualizzati trasparenti. Al contrario, le impostazioni di trasparenza non sono disponibili per le funzioni grafiche estese sotto Windows CE.

Per visualizzare un file GIF trasparente sotto Windows CE, bisogna procedere come segue:

  • sull´apparecchio di destinazione deve esserci il file IMGDECEMP.dll.
    Se non è disponibile, potete richiedere il file IMGDECEMP.dll a support@copadata.com.
  • La trasparenza può avere il valore 0% o 100%. Valori intermedi non sono possibili.

Info Informazioni

La trasparenza di file PNG da 0% a 100% sotto Windows CE non è un elemento di zenon, ma se ne può fare uso tenendo presenti certe condizioni:

  • si deve usare la versione di zenon 6.22 SP1 o quelle con un numero di serie superiore.
  • Alpha Blending deve essere stato già implementato dal produttore dell´apparecchio di destinazione; COPA-DATA non può offrire alcun supporto in questo caso.


Pocket PC e Windows Mobil Edition

Manuale -> zenon Operator -> zenon sotto Windows CE -> Pocket PC e Windows Mobil Edition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento di chiudere zenon con X su di un Pocket PC oppure su Windows Mobile Edition, bisogna tener presente che l'applicazione non viene chiusa, ma che continua a funzionare sullo sfondo.

Se si vuole evitare che, quando si avvia di nuovo l'applicazione, l'apparecchio tenti di avviare nuovamente zenon, avete la possibilità con il tool Start_CERT.exe di recuperare l'applicazione in primo piano, oppure, se questa non dovesse essere stata già avviata, di farlo in quel momento

Se lavorate su un Pocket PC o con piattaforme Windows Mobile, Vi consigliamo di avviare in generale il runtime mediante Start_CERT.exe, e non direttamente usando un link.

Indicazione: Pocket PC non viene più supportato dalla versione 7 di zenon.


zenon Science Package per Lego MINDSTORMS 2.0

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0

Il zenon Science Package per LEGO MINDSTORMS 2.0 consente la programmazione di oggetti LEGO Mindstorms NXT 2.0. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO Controller con straton. zenon Logic è l´ambiente di sviluppo IEC 61131-3 integrato in zenon.

Queste istruzioni all´uso intendono illustrare i passi dell´installazione e programmazione da effettuare per realizzare l´automazione di un oggetto LEGO Mindstorms NXT 2.0 con zenon. Solamente delle informazioni concernenti il funzionamento con straton sono contenute in questa documentazione. Le informazioni generali concernenti la programmazione e il funzionamento di oggetti LEGO MINDSTORMS NXT 2,0, le trovate nella documentazione LEGO.

tutorial Informazioni sulla licenza

Se zenon Science Package per LEGO MINDSTORMS 2.0 viene usato su un sistema che:

  • non contiene ancora un´installazione di zenon, esso funzionerà con una Licenza zenon Science Package limitata.
  • che contiene già un´installazione di zenon, esso funziona con la licenza corrispondente di zenon già esistente

Tutto il software necessario si trova sul DVD "zenon Science Package for LEGO MINDSTORMS 2.0". Questo pacchetto non contiene hardware, componenti o controller della ditta LEGO.

Per la configurazione del LEGO Hardware con zenon, usate il seguente software:

  • zenon: software per il monitoraggio e la gestione, che contiene la zenon Logic integrata.
  • zenon Logic Workbench: ambiente di programmazione che funziona sul firmware embedded straton.
  • straton: firmware per il LEGO controller.

Sul supporto di installazione, troverete tutte le applicazioni e informazioni necessarie. Queste dovrebbero già essere state create nella Vostra cartella zenon sul PC. Le cartelle più importanti:

  • FIRMWARE: questa cartella contiene il firmware, che potete scaricare nel Vostro LEGO MINDSTORMS NXT 2.0 Controller con il LEGO Firmware Loader. I dettagli relativi li potete trovare nel capitolo Installare Firmware
  • USB_DRIVER: questa cartella contiene il file INF per il driver USB-to-serial.

Info Informazioni

LEGO®, MINDSTORMS® e NXT sono marche e prodotti della Ditta LEGO.


Installazione

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per usare lo zenon Science Package per LEGO, avete bisogno di:

  • zenon a partire dalla versione 7.00 SP0
  • Firmware per il LEGO Controller

Se avete già installato zenon 7.00 (o una versione più recente) sul Vostro computer, disponete anche di una licenza per l´uso dello zenon Science Package per LEGO. Se non avete installato ancora zenon, installate la zenon versione dal DVD. Si tratta di una licenza limitata per l´uso di LEGO MINDSTORMS 2.0.


Installare il zenon

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare il zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per installare zenon nella sua versione più recente:

  1. avviate il DVD
  2. selezionate zenon 8.2
  3. seguite le istruzioni dell´assistente di installazione

Nota: se avete già una versione di zenon a partire dalla 7.00, non è necessario installare nulla.


Licenza di zenon Science Package

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare il zenon -> Licenza di zenon Science Package

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Science Package per LEGO MINDSTORMS 2.0 è contenuto nella licenza standard di zenon. Se questa versione è installata su un sistema senza zenon, essa funzionerà con una licenza zenon Science Package. Con questa licenza è possibile anche creare e modificare dei progetti zenon nell´ambito dei moduli provvisti di licenza.

Questa licenza contiene:

  • 128 variabili
  • Starter Edition del Trend esteso:
  • Server Archivi Starter Edition:
  • VBA
  • zenon Logic Workbench
  • straton Firmware

Nota: con questa licenza il sistema funziona per un massimo di 90 minuti. Poi l´Editor deve essere chiuso e riavviato.


Progetti demo

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Progetti demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Due progetti demo sono inclusi nel DVD di installazione:

  • MINDSTORMS_DEMO: dà una visione generale su sensori e controller. Usate questo progetto per imparare a comprendere LEGO MINDSTORMS 2.0 e la sua programmazione.
  • LEGO_DEMO_SHOOTERBOT: un esempio di progetto per lo Shooterbot. Esso può essere adattato alle Vostre esigenze.

Una volta che avete installato l´Editor, i progetti demo si trovano già nel workspace. Se usate un´installazione già esistente di zenon, troverete i progetti demo sul DVD nello Science Workspace. Caricate il workspace con i due progetti in zenon. Per far ciò:

  1. cliccate una volta con il tasto destro del mouse sul workspace attuale.
  2. selezionate il menu contestuale working -> Ripristina backup...
  3. passate al backup del workspace sul DVD (*.wsb)
  4. selezionate il file e cliccate su OK

Per aprire i progetti:

  1. nel workspace andate al nodo zenon Logic (IEC 61131-3)
  2. selezionate il nodo cliccandoci sopra con il tasto sinistro del mouse
  3. selezionate il progetto mindstorms
  4. cliccate sul simbolo apri che si trova nella barra dei simboli, oppure cliccate due volte sul progetto per aprirlo nel zenon Logic


Installare il firmware

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare il firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter utilizzare il Vostro LEGO MINDSTORMS 2.0 con zenon, dovete anzitutto scaricare il firmware di straton sul Controller. Questo capitolo Vi mostrerà come:

  • scaricare il firmware di straton sul Controller
  • aggiornare firmware già esistente di straton, oppure come sostituirlo.
  • creare una connessione USB con il Controller nell´ambito mediante il driver USB di COPA-DATA
  • stabilire una connessione Bluetooth con il Controller

Scaricare il firmware di straton sul Controller

Per scaricare il firmware di straton sul LEGO MINDSTORMS NXT 2.0 Controller, avete bisogno del sofware LEGO MINDSTORMS NXT 2.0, che ricevete con il Vostro LEGO MINDSTORMS NXT 2.0.

attenzione Attenzione

Se sul Controller si trova già un firmware diverso da quello fornito da LEGO, procedete come descritto nella sezione Cosa fare nel caso di firmware già esistente.

Per scaricare il firmware:

  1. Avviate il software LEGO MINDSTORMS NXT 2.0.
  2. Selezionate nel menu Tools -> Update NXT Firmware

  3. Assicuratevi che venga usato il formato corretto: *.rfw.
    Nel caso in cui la desinenza del file dovesse essere ancora *.bin, cambiatela in *.rfw.
    Questo file dovrebbe avere il nome STRATON_NXT_100_2011_0414.rfw o simile.
  4. Cliccate sul pulsante Browse
  5. Selezionate la cartella con il firmware.

  6. Avviate il NXT Controller.
    Premete il tasto arancione.
  7. Collegate il Controller al PC via USB.
  8. Cliccate sul pulsante Download per scaricare il firmware sul Controller.

  9. Rimuovete il cavo USB.
  10. Il Controller avvia il firmware aggiornato.

Info Informazioni

Per aggiornare in seguito lo straton caricato, oppure per sostituirlo con un firmware di LEGO, seguite le istruzioni della sezione Cosa fare nel caso di firmware già esistente.


Cosa fare con un firmware già esistente

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se sul Controller c´è un firmware non fornito dalla Ditta LEGO, esso deve essere settato nel Firmware load mode in modo da poter installare altri firmware. Questa modalità è necessaria anche se si vuole sottoporre ad un update il firmware di straton, o caricare di nuovo un firmware di LEGO. Per settare il Controller nel Firmware load mode:

  1. Premete contemporaneamente perlomeno per 5 secondi finché non sentite un clic flebile
    • il tasto arancione e
    • il rest-button che si trova nella parte posteriore del dispositivo.
      Il modo migliore di premere il rest-button è usare un oggetto appuntito.

  2. Accendete il NXT Controller premendo il tasto arancione.

  3. Il NXT Controller sia avvia in Firmware load mode . Sentite un suono regolare.
  4. Avviate il download del firmware desiderato.
    A tal scopo dovete instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è necessario il driver COPA-DATA.

attenzione Attenzione

Il Firmware load mode può essere terminato solamente con il download di un firmware.


Connessione USB senza LEGO Firmware

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente -> Connessione USB senza LEGO Firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il firmware utilizzato non è fornito da LEGO, è possibile che si debba installare il driver corrispondente. In questo caso, il Controller USB non viene riconosciuto durante la connessione con il computer. Per realizzare la connessione USB:

  1. Aprite il Pannello di controllo -> Sistema -> Gestione periferiche.
  2. cliccate due volte su Periferica sconosciuta.
  3. Cliccate nella tab Driver su aggiornare il driver.
  4. Si apre il dialogo per la selezione driver.
  5. Scegliete Cerca sul computer software driver.
  6. Selezionate la cartella in cui si trova il file Mindstorm_straton.inf .
  7. Viene visualizzato un avvertimento concernente il produttore del driver.
  8. Selezionate Installare il driver comunque.
  9. Il dispositivo è adesso in grado di comunicare via USB.


Stabilire una connessione bluetooth con il controller

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Stabilire una connessione bluetooth con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il computer è provvisto di una porta Bluetooth, la connessione con il controller può essere instaurata anche via Bluetooth. Per configurare Bluetooth per la connessione fra PC e controller:

  1. accendete il LEGO Controller premendo il tasto arancione.

  2. Premete di nuovo il tasto arancione.
  3. Selezionate Settings con il tasto freccia grigio destro.

  4. Confermate la selezione premendo il tasto arancione.
  5. Passate al menu per le impostazioni Bluetooth usando i tasti grigi.
    1. Attivate Bluetooth
    2. Assegnate un nome Bluetooth.
    3. Settate lo stato Bluetootth su visible.
    4. Cliccate sul pulsante grigio scuro per lasciare il menu Bluetooth.
  6. Passate al menu Connections.
  7. Selezionate Bluetooth usando i pulsanti grigi.
  8. Adesso il Controller può essere trovato via Bluetooth.
  9. Aprite la Gestione periferiche Bluetooth sul PC.
    1. Selezionate l´inserimento Aggiungi dispositivo.
    2. Windows cerca i dispositivi Bluetooth visibili.
    3. Selezionate il Vostro MINDSTORMS NXT Controller fra i dispositivi presenti nella lista e cliccate su Avanti.
    4. Il MINDSTORM Controller richiede l´inserimento di una password per l´instaurazione di una connessione:
      1234_ viene suggerita. Confermate la password premendo il tasto arancione.
    5. La password definita nel MINDSTORMS 2.0 Controller deve essere inserita anche sul PC.
    6. Clicchi su Avanti.
  10. La connessione viene instaurata e il driver viene installato.
  11. Cliccate due volte sul dispositivo Bluetooth impostato.
    Vedete il dispositivo installato e la COM-Port assegnata. Con essa, collegate il zenon Logic Workbench, oppure zenon con il driver stratonNG.
    Per adattare la Port:
    1. Cliccate sulla proprietà.
    2. Cliccate sul pulsante Avanzate
    3. Modificate il numero di porta in base ai Vostri desideri.


Creare una connessione fra zenon Logic e straton

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare una connessione fra zenon Logic e straton:

  1. Avviate anzitutto zenon. Si apre il progetto MINDSTORMS.
    Se volete aprire un progetto differente, oppure un altro workspace, aprite il workspace per il progetto usando il menu contestuale per il workspace.
    Se volete creare un nuovo progetto:
    1. selezionate il file -> Progetto nuovo
    2. create un nuovo progetto zenon Logic cliccando con il tasto destro del mouse sul nodo zenon Logic e poi selezionando nell´albero di progetto zenon Logic Progetto nuovo...
  2. Aprite il progetto zenon Logic cliccando due volte nel workbench.
  3. Cliccate nel workbench di zenon Logic su Tools -> Parametri di comunicazione.

  4. Viene aperto il dialogo Opzioni con la tab Debug al fine di consentire la configurazione della connessione.
  5. Cliccate sul pulsante ... per aprire il dialogo per le impostazioni della comunicazione seriale.

  6. Configurate le impostazioni seriali in modo corrispondente a quelle per il LEGO Controller.
    Nota: in questo dialogo è possibile selezionare solamente le porte COM dalla 1 alla 4. Tuttavia, potete inserire la porta COM direttamente nel dialogo Opzioni, nella tab Debug, nel campo Parametri di comunicazione.

  7. In questo modo avete configurato la connessione fra zenon Logic e straton.


Aggiungere il driver NXT in zenon Logic

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton -> Aggiungere il driver NXT in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per aggiungere il driver NXT in zenon Logic:

  1. Nell´albero di progetto del zenon Logic Workbench, cliccate due volte su Configurazione fieldbus.
  2. Cloccate nella finestra Driver I/O sul simbolo, oppure sul comando nel menu contestuale per Aggiungi configurazione.

  3. Si apre il dialogo di configurazione.

  4. Selezionate LEGO Mindstorms NXT 2.0.
  5. Ci sono tre sezioni:
    • NXT (Status)
    • Drives
    • Sensors

    Cliccate sul segno più (+) davanti alla sezione e si apre la subarea. Per ognuna di queste sezioni si possono creare molto semplicemente delle variabili predefinite.

Creare variabili

Create le variabili necessarie:

  1. Cliccate con il tasto destro del mouse sul ramo NXT, Drives oder Sensors.

  2. Selezionate nel menu contestuale Create variable

Drives

Esistono due versioni: easy e advanced. Per iniziare, è meglio selezionare easy e poi Create variable. Ulteriori informazioni sull´uso di Advanced Variables, le trovate nella sezione Uso delle variabili complesse.

Sensors

Prima di creare una variabile nella sezione Sensors, dovete selezionare nel campo Type un tipo di sensore. A tal scopo, cliccate due volte sul campo Value.

Esempio di configurazione:


Connetti NXT Controller

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton -> Connetti NXT Controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per connettere il NXT Controller:

  1. Sul Controller, selezionate USB come mezzo di connessione:
    1. Premete il tasto arancione.
    2. Usate il tasto grigio per passare al menu Settings e apritelo premendo il tasto arancione.
    3. Scegliete Connection.
    4. Scegliete USB.
      (Se volete una connessione via Bluetooth, selezionate in questa sede Bluetooth.)
  2. Compilate il progetto zenon Logic:
    1. Cliccate con il tasto destro del mouse su mindstorms nell´albero di progetto.
    2. Selezionate nel menu contestuale Compila progetto
  3. Andate online:
    1. Seleizonate nel menu di zenon Logic Progetto, l´inserimento Online.
    2. Viene aperta la richiesta di download.

    3. Cliccate su Yes.
  4. Il progetto è online e potete vedere come i sensori leggono i valori.


Impostazioni base del controller

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton -> Impostazioni base del controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Configurazione base

  1. Configurate le impostazioni di comunicazione (per i dettagli, vedete la sezione seguente: Settings).
  2. Attivate o disattivate Bluetooth (per i dettagli, vedete la sezione seguente: Connection).
  3. In caso di Bluetooth attivo: assegnate un nome univoco alla comunicazione Bluetooth.

Gestione

Attivare

Per attivare il Controller, premete il tasto arancione.

Menu Navigazione

  • Apri menu: premete il tasto arancione.
  • Chiudi menu: premete il tasto grigio scuro.
  • Navigare nel menu: premete il tasto freccia grigio di sinistra o di destra. Selezionate un inserimento di menu con il tasto arancione. Per lasciare un sottomenu senza salvare, premete il tasto grigio scuro.

Spegnere

  1. Selezionate nel menu principale Turn off e premete il tasto arancione.
  2. Selezionate l´opzione:
    1. Save: salva tutte le impostazioni sulla memoria Flash e chiude il Controller. L´applicazione straton attualmente caricata, i dati ritentivi e la configurazione (Connection, Volume) vengono salvate sulla memoria Flash.
    2. Don't save: chiude l´applicazione senza salvare i dati o la configurazione sulla memoria Flash.
    3. Cancel: La chiusura viene interrotta e viene aperto il menu principale.

Durante lo start successivo, i dati salvati l´ultima volta (applicazione straton, dati ritentivi, ecc.) vengono caricati.

Menu straton

Con il menu straton, potete avviare o fermare l´applicazione straton caricata. Per aprire il menu, selezionate l´inserimento straton nel menu principale.

Statistics

Statistics visualizza le informazioni concernenti l´applicazione attualmente funzionante. Per visualizzare i dati corrispondenti, selezionate l´inserimento Statistics nel menu principale. Verrà visualizzato quanto segue:

  • il nome dell´applicazione caricata
  • dimensione del codice in kB
  • la dimensione della banca dati in kB
  • il tempo di esecuzione del ciclo straton
  • la latenza del ciclo in microsecondi

Menu Settings

In questo menu configurate e vedete quanto segue:

  • Versions: informazioni sulla versione utilizzata
  • Bluetooth: attivazione o disattivazione di Bluetooth. Nome e contatti possono essere gestiti.
    • Nome: inserite un nome per il dispositivo Bluetooth. Il nome dovrebbe essere unico nell´ambito della rete Bluetooth.
    • On/Off: attiva/disattiva Bluetooth sul Cotroller.
    • Visibility: stabilisce se il dispositivo è visibile per altri dispositivi Bluetooth.
    • Search: avvia la ricerca di dispositivi Bluetooth. Per aggiungere un dispositivo ai contatti Bluetooth, selezionatelo fra quelli della lista dei dispositivi trovati.
    • Contacts: gestisce contatti. Potete rimuovere dei contatti (dispositivi che si potrebbero connettere), oppure instaurare delle connessioni (per es. per pairing).

Connection

Selezione della connessione che deve essere utilizzata dal server di comunicazione di straton. Questa connessione viene usata per la comunicazione con il zenon Logic Workbench. Il server di comunicaziorne contiene anche un MODBUS Slave. Il driver di zenon per straton deve essere connesso anche con il server di comunicazione. Le impostazioni possibili sono:

  • USB
  • Bluetooth: connessione Bluetooth in entrata
  • RS-485: RS-485 Port con i parametri 115200, E, 8, 1
    Attenzione: L´uso di RS-485 disattiva la Sensor-Port 4. Tenete presente anche che il protocollo del server di comunicazione di straton può essere usato solamente Point-to-Point.
  • None: Il server di comunicazione non viene utilizzato.

Volume

Definisce il volume degli altoparlanti integrati. I possibili valori vanno da 0 a 4, con:

  • 0: spento
  • 4: massimo


Sviluppare delle applicazioni straton per NXT

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le seguenti restrizioni valgono per le applicazioni straton con LEGO MINDSTORMS 2.0:

zenon Logic Runtime:

  • Dimensione massima del codice: 26 kB
  • Dimensione massima della banca dati di straton: 20 kB

Nota: si può verificare la dimensione del codice e della banca dati nel menu Statistics.

zenon Logic Workbench

  • Possono essere usate solamente le COM-Port da 1 a 9. Se ad un dispositivo USB, oppure ad una porta COM bluetooth è stato assegnato un numero di Port superiore a 9, si deve procedere a cambiare manualmente questa impostazione assegnando un numero inferiore a 10.
  • Nella workbench possono essere selezionate solamente le Port COM1 – COM4. Tuttavia, dei numeri Port possono essere inseriti direttamenti nella stringa parametro, per es. COM9:19200,N,8,1. (Vedi anche sezione Crea collegamento fra zenon Logic e straton.)
    Nota: nel caso di una connessione USB o bluetooth, è sufficiente indicare la Port, per es. COM5

Info Informazioni

Le informazioni generali concernenti la programmazione di LEGO MINDSTORMS NXT 2.0 le trovate nella documentazione LEGO.


Usare le porte di comunicazione NXT

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Gli oggetti NXT contengono tre porte di comunicazione, che possono essere raggiunte dalle applicazioni straton.

Con il menu Settings viene selezionata una di questa connessioni per il server di comunicazione. Questa connessione non potrà più essere usata al di fuori dell´applicazione straton (per es. da un MODBUS Master, oppure da un blocco funzioni). Se, tuttavia, è stata aggiunta una configurazione MODBUS Slave , un MODBUS Slave può usare la porta configurata in questa sede.

Ulteriori informazioni sull´uso delle porte seriali nel programma straton e via driver MODBUS I/O, le trovate nella documentazione zenon Logic. Per visualizzarle, premete nel workbench il tasto F1, oppure usate il menu Help.

Tutte le porte che non vengono usate dal server di comunicazione, possono essere utilizzate dall´applicazione straton e vengono raggiunte nel modo descritto di seguito:


USB

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> USB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La componente NXT può essere connessa con un computer tramite una porta USB. NXT viene riconosciuto dal PC come una connessione seriale.

La porta USB può essere raggiunta dall´applicazione straton quando si seleziona USB come COM-Port.


Bluetooth

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Bluetooth

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La porta bluetooth può essere usata in due modi:

  1. per connessioni in entrata:
    in questo caso, la connessione viene instaurata da un dispositivo remoto, per es. un PC. In questo caso è sufficiente la stringa BT per usare la porta bluetooth.
  2. Per connessioni in uscita:
    NXT viene configurato per stabilire una connessione con un altro dispositivo bluetooth, per es. un altro oggetto NXT. In questo caso, usate una stringa che inizia con BT e finisce con il nome del dispositivo, per esempio BT:NXT.
    Nota: il dispositivo da raggiungere, deve già essere contenuto nei contatti bluetooth. Per aggiungere manualmente un dispositivo ai contatti, avviate la ricerca e stabilite la connessione manualmente una volta. Al momento del primo contatto, è probabile che venga richiesto un pairing.


RS-485 Port (serial)

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> RS-485 Port (serial)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

NXT objects also contain a serial RS-485 port. It is however shared with sensor 4. Thus only the port or the sensor can be used.

The RS-485 port is addressed via character string HS. With this the port is opened with the help of the following parameter per default:

  • Baud rate: 115200 bit/s
  • Parity: even
  • Data bits: 8
  • Stop bit: 1

Adapt parameter

If you want to adapt the communication parameters, add them after the colon separated by commas. The order:

  • Baud rate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data bits
  • Stop bit

For example: HS:19200,N,8,1

Note: If you use the RS-485 port with MODBUS or the straton protocol, always set Data bits to 8.


Fieldbus

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con straton NXT è possibile usare anche la configurazione MODBUS Slave e MODBUS Master. Trovate le informazioni concernenti MODBUS nella documentazione di zenon Logic. Per visualizzarle, premete nel workbench il tasto F1, oppure usate il menu Help. L´uso dei sensori NXT e delle porte motore lo progettate nell´ambito delle configurazione LEGO MINDSTORMS NXT 2.0.


Variabili di stato

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sono a disposizione le seguenti variabili di stato:

  • STATUS_BATTERYVOLTAGE: carica attuale della batteria in minivolt.
  • STATUS_BATTERYSTATE: capacità della batteria.
    Valore: da 0 a 4 (come visualizzazo sul display NXT)
  • STATUS_BLUETOOTHSTATE: stato Bluetooth
    Valori:
    • 0: on
    • 1: visibile
    • 2: connesso
    • 3: connesso e visibile
    • 4: off
  • STATUS_USBSTATE: stato USB
    Valori:
    • 0: disconnesso
    • 1: connesso
    • 2: attivo
  • STATUS_RECHARGEABLE: stato per accumulatori ricaricabili
    Valori:
    • 0: non esiste nessun accumulatore ricaricabile
    • 1: esistono accumulatori ricaricabili
  • STATUS_ERROR: Codice di errore


Variabili drive

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili drive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per il movimento sono a disposizione le seguenti variabili:

  • PORT_x_AUTOSPEED (SINT, Output): Definisce la velocità del motore.
    Valori: da -100 a 100
    • 0: motore spento
    • -100: velocità massima indietro
    • 100: velocità massima in avanti
  • PORT_x_TACHOCOUNT (DINT, Input): Contiene numero assoluto di giri del motore in gradi. 360° sono un giro completo al secondo. Possibili valori: da -2.147.483.648 a 2.147.483.647

Variabili complesse

Operazioni di movimento più complesse vengono configurate ricorrendo alle variabili complesse. Le selezionate usando l´inserimento Create advanced variables che si trova nel menu contestuale.

attenzione Attenzione

Non usate la variabile AUTOSPEED e le Advanced Variables contemporaneamente! Usarle nello stesso tempo, infatti, può avere delle conseguenze indefinite e indesiderate sul movimento.

Trovate una descrizione del modo in cui configurare queste variabili nella sezione Uso delle variabili complesse.


Variabili del sensore di colori

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili del sensore di colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la rilevazione dei colori sono a disposizione le seguenti variabili:

  • PORT_x_COLOR (INT, Output): definisce la modalità del sensore.
    • 0: modo passivo (misura della luminosità)
    • 1: viene misurato il rosso.
    • 2: viene misurato il verde.
    • 3: viene misurato il blu.
    • 4: vengono misurati tutti i colori.
  • PORT_x_VALUE (INT, Input)

    Se la modalità è passivo, rosso, verde o blu:

    • Un valore compreso fra 0 e 255 stabilisce l´intensità del colore.

    Se la modalità è tutti i colori:

    • 1: nero.
    • 2: blu
    • 3: verde
    • 4: giallo
    • 5: rosso
    • 6: bianco
  • PORT_x_RED: nella modalità tutti i colori viene misurata l´intensità del colore rosso.
  • PORT_x_GREEN: nella modalità tutti i colori viene misurata l´intensità del colore verde.
  • PORT_x_BLUE: nella modalità tutti i colori viene misurata l´intensità del colore blu.
  • PORT_x_GRAY: viene misurata la luminosità


Touch Sensor Multiplexer (HT)

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Touch Sensor Multiplexer (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per i sensori di contatto (Touch-Sensors) sono a disposizione le seguenti variabili:

Se usate il Hitechnic Touch Sensor Multiplexer, si possono connettere fino ad un massimo di quattro sensori con una NXT Port:

  • PORT_x_SWITCH1: stato del sensore 1
  • PORT_x_SWITCH2: stato del sensore 2
  • PORT_x_SWITCH3: stato del sensore 3
  • PORT_x_SWITCH4: stato del sensore 4


Il sensore giroscopico (HT)

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il sensore giroscopico (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il LEGO MINDSTORMS 2.0 NXT Gyro Sensor dà informazioni concernenti il numero dei giri del motore e sul senso della rotazione. I giri vengono misurati in gradi. 360° sono un giro completo al secondo.

Dopo l´avvio dell´applicazione di straton, il sensore viene calibrato automaticamente durante la connessione. A tal scopo viene calcolato il valore zero attuale. Questa procedura dura circa 200 ms. Durante questo periodo, il sensore non deve essere mosso.

  • PORT_x_VALUE: numero dei gradi per rotazione-secondo.
  • PORT_x_INVALID: è settato su TRUE se:
    • il sensore viene calibrato
    • il valore non può essere letto


Il Digital Acceleration Sensor (HT)

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Digital Acceleration Sensor (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il sensore di accelerazione di LEGO MINDSTORMS 2.0 NXT è un sensore digitale che rileva le accelerazioni lungo i tre assi cartesiani x, y e z . L´accelerazione viene visualizzata in un range di -2g e +2g scalati di 200 valori per g.

L´accelerazione può essere anche utilizzata per misurare l´inclinazione su tre assi. Ciò è possibile perché la gravitazione è percepita come accelerazione. Se il sensore è immobile nella normale posizione orizzontale, l´asse X e l´asse Y saranno vicino a 0, perché sono orizzontali, mentre il valore dell´asse Z sarà vicino a 200, che corrisponde a 1g. Se poi inclinate il sensore, anche gli altri assi percepiranno la gravitazione terrestre e il valore dell´asse Z diminuirà. Visto che la gravitazione terrestre viene divisa fra tre vettori parziali, è possibile determinare l´inclinazione del sensore.

  • PORT_x_VALUE_X: accelerazione in direzione dell´asse X
  • PORT_x_VALUE_Y: accelerazione in direzione dell´asse Y
  • PORT_x_VALUE_Z: accelerazione in direzione dell´asse Z
  • PORT_x_INVALID: viene settato su TRUE se i dati del sensore non possono essere letti.


Il Compass sensor digitale (HT)

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Compass sensor digitale (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il sensore bussola digitale di LEGO MINDSTORMS 2.0 NXT contiene una bussola magnetica digitale, che misura il campo magnetico e rileva la posizione in gradi rispetto al nord. Il Compass sensor può essere connesso ad una NXT Port con un cavo standard e usa il protocollo di comunicazione digitale I2C. La prora attuale viene calcolata sul prossimo numero intero: il nord è rappresentato dal valore 0, l’est da 45, il sud da 90 e l’ovest dal 135.

L´HiTechnic Compass Sensor viene influenzato da interferenze magnetiche locali, come ogni altra bussola magnetica, Oggetti di metallo, come motori, batterie e cavi, possono causare delle interferenze magnetiche. Queste interferenze possono fa sì che la bussola restituisca dei valori che differiscono di più gradi dalla prora magnetica attuale. Questo effetto viene chiamato "deviazione della bussola". Per correggere queste deviazioni, l´HiTechnic Compass-Sensor ha una funzione di calibrazione integrata, che corregge la deviazione e salva i valori nella bussola.

La calibrazione è opzionale e, di regola, non necessaria durante il funzionamento normale. Per ridurre al minimo la necessità di una calibrazione, montate la bussola perlomeno 10/15 cm (4/6 pollici) distante dal NXT e dal motore NXT.

Per calibrare la bussola nel programma:

  • selezionate l´inserimento calibration mode.
  • Programmate il Vostro oggetto NXT in modo tale che ruoti in un cerchio molto stretto.
  • Deve ruotare fra una volta e mezzo e 2 volte (più di 360 gradi).
  • Deve eseguire una rotazione completa in circa 20 secondi.

La bussola manterrà l´impostazione di calibrazione finché non verrà eseguita una nuova calibrazione, anche nel caso che le si tolga la corrente.

  • PORT_x_VALUE: attuale prora in gradi.

    0: Nord

  • PORT_x_INVALID: viene settato su TRUE se i dati del sensore non possono essere letti.
  • PORT_x_CAL: (emissione) controlla la modalità di calibrazione.
    • TRUE: passa al calibration mode
    • FALSE: passa al measuring mode.

    Nota: nella modalità di calibrazione (calibration mode), il sensore restituisce dati non validi.


Altre sensori

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Altre sensori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sono disponibili le seguenti variabili addizionali per sensori:

  • PORT_x_VALUE: valore sensore, dipendente dal sensore
    • Sound dB
    • Sound dBA
    • Ultrasonic: distanza in centimetri (cm)
    • Temperatura: temperatura in gradi centigradi Celsius (°C/10)
  • PORT_x_INVALID:
    • TRUE: il sensore si trova in error status


Funzioni

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter selezionare delle funzioni, queste devono trovarsi nella cartella corrispondente. Copiate la cartella Mindstorms NXT dalla cartella HWDEF che si trova sul DVD nella cartella HWDEF della Vostra installazione straton.
Ad esempio: %ProgramData%\COPA-DATA\zenon700\straton\HWDEF\Mindstorms NXT

Le seguentu funzioni sono disponibili:

  • BUTTONENABLE: straton assume il controllo sui tasti NXT.
  • BUTTONGET: trasmette informazioni relative a quale tasto è stato schiacciato.
  • DISPLAYERASE: cancella il contenuto dello schermo.
  • DISPLAYLINE: traccia una linea.
  • DISPLAYPIXEL: disegna un pixel.
  • DISPLAYSTRING: scrive una stringa.
  • SOUNDFREQUENCY: emette dei suoni.


BUTTONENABLE

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> BUTTONENABLE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL BUTTONENABLE (BOOL ENABLE)

Durante l´attivazione con ENABLE e lo stato TRUE, il controllo viene trasmesso a straton usando i pulsanti sull´oggetto NXT. Gli stati dei tasti possono essere letti con BUTTONGET.

Avvertenza:

  • Il menu Sistema sull´oggetto NXT viene disattivato in questo caso.
  • L´attivazione di questa funzione è possibile solamente se il menu non è attivo sull´oggetto NXT.
  • Questo stato può essere interrotto, per es. mediante un dialogo Bluetooth Pairing. In questo caso, BUTTONGET restituisce il valore -1.

Valore di risposta:

  • TRUE: Azione eseguita con successo.


BUTTONGET

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> BUTTONGET

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

SINT BUTTONGET

Valori di risposta:

  • -1: i tasti non possono essere letti da straton. Il menu Sistema sull´oggetto NXT è attivo.
  • 0: nessun tasto premuto.
  • 1: tasto sinistro premuto.
  • 2: tasto Invio (tasto arancione) premuto.
  • 3: tasto destro premuto.
  • 4: tasto Esci (tasto grigio scuro) premuto.


DISPLAYERASE

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> DISPLAYERASE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL DISPLAYERASE

Cancella il contenuto dello schermo.

Valore di risposta:

  • TRUE: l´azione è stata eseguita con successo.


DISPLAYLINE

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> DISPLAYLINE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Traccia una linea dal punto X1,Y1 al punto X2,Y2.

Valori per C:

  • TRUE: traccia linea
  • FALSE: cancella linea

Valore di risposta:

  • TRUE: l´azione è stata eseguita con successo.


DISPLAYPIXEL

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> DISPLAYPIXEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Disegna un punto con le coordinate X,Y.

Valori per C:

  • TRUE: disegna un punto
  • FALSE: cancella un punto

Valore di risposta:

  • TRUE: l´azione è stata eseguita con successo.


DISPLAYSTRING

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> DISPLAYSTRING

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Scrive una stringa che inizia con la posizione XY indicata.

Valore di risposta:

  • TRUE: l´azione è stata eseguita con successo.


SOUNDFREQUENCY

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni straton per NXT -> Funzioni -> SOUNDFREQUENCY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Riproduce un suono con la frequenza indicata in Hz per una durata definita in millesecondi. Il volume (VOL) viene indicato in uno spettro che va da 1 a 4. Esso è limitato dal volume massimo configurato nel menu Volume.

Valore di risposta:

  • TRUE: l´azione è stata eseguita con successo.


Connettere MINDSTORMS 2.0 Runtime con zenon

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Connettere MINDSTORMS 2.0 Runtime con zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per creare un nuovo progetto zenon Logic in zenon, si raccomanda di usare il driver stratonNG. Esso supporta la comunicazione seriale.

Quando create un nuovo progetto zenon Logic, stabilite nel dialogo il nome del progetto e del driver usato.

Selezionate dalla lista a cascata STRATONNG.

Nota: la selezione driver non può più essere cambiata in seguito.

Configurare il driver stratonNG

Per configurare il driver:

  1. selezionate nell´albero di progetto di zenon il nodo Variabili -> Driver
  2. selezionate il driver stratonNG
    Nota: esso viene visualizzato con il nome definito per il progetto, per es. straton: mindstorms
  3. selezionate nel menu contestuale Configurazione driver
  4. si aprirà il dialogo per la configurazione driver
  5. aprite la tab Connections

Per modificare il driver:

  1. selezionate il nome connessione
  2. cliccate su Edit.
  3. configurate la connessione.
  4. cliccate su Save e poi su OK

Configurazione del driver per la connessione nell´ambito di LEGO MINDSTORMS 2.0:

Opzioni

Descrizione

Connection name

Deve corrispondere al nome progetto.

Se il nome è differente da quello del progetto, si verificheranno degli errori durante la connessione con il Controller.

Adressing

Nella comunicazione con straton NXT via USB oder Bluetooth, è sufficiente settare la port senza ulteriori impostazioni, per es. COM5:

Primary IP address

Inserimento della COM Port.

Gli inserimenti che cominciano con COM e finiscono con due punti, vengono interpretati come COM Port.

Attenzione: i due punti (:) devono essere presenti alla fine della definizione porta. Altrimenti non è possibile instaurare una connessione.

Se non vengono indicati altri parametri, viene usata la configurazione standard della COM port.

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Se volete adattare i parametri di comunicazione, aggiungeteli dopo i due punti, separati da virgole. La successione:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Ad esempio: COM5:19200,N,8,1

Limitazioni: se una COM-Port viene indicata, non è possibile usare:

  • Event-Connection
  • Connessioni multiple (più di una connessione con il driver)

La documentazione su queste impostazioni concerne la comunicazione nell´ambito di LEGO MINDSTORMS 2.0. I dettagli concernenti la configurazione generale del driver stratonNG, li trovate nell´online help (F1), nel capitolo stratonNG.


Domande e risposte

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Le domande più comuni riguardanti l´installazione e il funzionamento di LEGO MINDSTORM con straton e lo zenon Science Package.

Domanda | Risposta
Perché viene visualizzata una segnalazione di errore durante l´installazione? | Probabilmente c`è già un´installazione zenon sul sistema. Usate l´installazione esistente. Dettagli: segnalazioni di errore durante l´installazione dello zenon Science Package.
Come tornare al firmware originale di LEGO? | Per tornare al firmware originale si deve seguire la procedura usata per installare il firmware di straton, quando esiste sul sistema un altro firmware. Dettagli: attivare il firmware originale di LEGO.
Cosa faccio se il LEGO Firmware Loader non trova il Controller? | Cambiate la porta USB, oppure installate di nuovo il suo driver. Dettagli: il LEGO Firmware Loader non trova il Controller.
Che cosa faccio se il driver di zenon Logic Workbench non comunica più con il mio Controller? | Ci possono essere diverse cause. Controllate le impostazioni e se tutti i dispositivi sono online. Dettagli: ilzenon Logic Workbench driver non comunica con il controller
Che cosa faccio se il driver stratonNG non comunica più con il mio Controller? | Ci possono essere diverse cause. Controllare i parametri di comunicazione, Runtime e il progetto. Dettagli: il driver stratonNG non comunica con il Controller.

Ulteriori domande e risposte le trovate nell´user forum di COPA-DATA: www.copadata.com/forums/.


Segnalazione di errore durante l´installazione di zenon Science Packages

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Segnalazione di errore durante l´installazione di zenon Science Packages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Una segnalazione di errore viene visualizzata durante l´installazione di zenon Science Package che si riferisce ad un´installazione già esistente.

Questa versione di zenon è stata già installata sul Vostro sistema. Non dovete più installare zenon e potete usare la versione a disposizione. Importate i progetti demo dal DVD e continuate passando al punto installare il firmware.


Attivare il firmware originale di LEGO

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Attivare il firmware originale di LEGO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se sul Controller c´è un firmware non fornito dalla Ditta LEGO, esso deve essere settato nel Firmware load mode in modo da poter installare altri firmware. Questa modalità è necessaria anche se si vuole sottoporre ad un update il firmware di straton, o caricare di nuovo un firmware di LEGO. Per settare il Controller nel Firmware load mode:

  1. Premete contemporaneamente perlomeno per 5 secondi finché non sentite un clic flebile
    • il tasto arancione e
    • il rest-button che si trova nella parte posteriore del dispositivo.
      Il modo migliore di premere il rest-button è usare un oggetto appuntito.

  2. Accendete il NXT Controller premendo il tasto arancione.

  3. Il NXT Controller sia avvia in Firmware load mode . Sentite un suono regolare.
  4. Avviate il download del firmware desiderato.
    A tal scopo dovete instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è necessario il driver COPA-DATA.

attenzione Attenzione

Il Firmware load mode può essere terminato solamente con il download di un firmware.

Download del LEGO-Firmware:

  1. Collegate il Controller al PC via USB.
  2. Avviate il software LEGO MINDSTOMS NXT 2.0.
  3. Selezionate nel menu Tools l´inserimento Update NXT Firmware.
  4. L´originale firmware LEGO MINDSTOMS NXT è predefinito.
  5. Cliccate sul pulsante Download
  6. Il Controller si riavvia con il firmware orginale di LEGO.


Il LEGO Firmware Loader non trova il Controller.

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il LEGO Firmware Loader non trova il Controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il LEGO Firmware Loader non trova il Controller, collegate il cavo USB con un altra porta USB. In tal modo viene installato il driver USB per il Firmware Loader mode.

Se il problema non è risolto, dovete disinstallare il driver. Per far ciò:

  1. aprite la Gestione periferiche nel pannello di controllo mentre il Controller è connesso.
  2. Selezionate il driver LEGO MINDSTORMS NXT Firmware Update Mode.
  3. Cliccateci sopra una volta con il tasto destro del mouse

  4. Selezionate nel menu contestuale Disinstallare
  5. Staccate il cavo USB dal LEGO MINDSTORMS 2.0 Controller e connettelo di nuovo.
  6. Il driver viene reinstallato automaticamente.


Il zenon Logic Workbench driver non comunica con il controller

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il zenon Logic Workbench driver non comunica con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto attraverso una virtuale porta seriale. È possibile connettere solamente un´applicazione alla volta.

Se la comunicazione non funziona, ciò potrebbe essere dovuto a diverse cause. Le più frequenti sono:

  1. Lo stratonNG driver e zenon sono ancora online.
  2. Le impostazioni della COM-Port sono sbagliate. Selezionate nel menu Communication parameters le impostazioni corrette per la COM-Port.
  3. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Impostatele sulla connessione che usate al momento.


Il driver stratonNG non comunica con il Controller.

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il driver stratonNG non comunica con il Controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto attraverso una virtuale porta seriale. È possibile connettere solamente un´applicazione alla volta.

Se la comunicazione non funziona, ciò potrebbe essere dovuto a diverse cause. Le più frequenti sono:

  1. Il zenon Logic Workbench è ancora online.
  2. Le impostazioni della COM-Port sono sbagliate.
  3. Il straton Runtime non è stato avviato sul LEGO MINDSTORMS 2.0 Controller.
    Per avviare il Runtime:
    1. Premete il tasto arancione.
    2. Appena vedete l´inserimento straton, premete un´altra volta il tasto arancione.
    3. Selezionate Start e premete il tasto arancione.

    Capite che il Runtime è attivo dal fatto che il simbolo quadrato accanto allo stato della batteria gira su se stesso.

  4. Il progetto straton non è stato caricato sul Controller.
    Se un progetto è stato scaricato, controllate se si tratta di quello corretto.
  5. I nomi simbolo delle variabili non sono stati attivati.
  6. Il nome connessione del driver stratonNG non è identico a quello del progetto zenon Logic.
  7. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Impostatele sulla connessione che usate al momento.


Uso delle variabili complesse

Manuale -> zenon Science Package per Lego MINDSTORMS 2.0 -> Uso delle variabili complesse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questa sezione spiega come controllare un motore con variabili complesse.

Info Informazioni

Si consiglia di usare le variabili complesse solamente agli utenti esperti!

Con un´ulteriore programmazione, potete far sì che i motori NXT si muovano per un angolo definito. Ciò è necessario al fine di progettare dei movimenti molto precisi. Per la progettazione:

  1. create tutte le variabili cliccando con il tasto destro del mouse sulla porta e selezionando Create advanced variables nel menu contestuale.

  2. Ottenete 15 variabili.

Quelle di rilievo per Voi sono:

  • PORT_n_FLAGS
    • bit mask da cui devono essere scritte devono essere scritte.
  • PORT_n_TACHOLIMIT
    • numero massimo di giri che il motore può eseguire.
    • Attenzione: questo valore è sempre positivo, anche quando il motore gira all´indietro.
  • PORT_n_MODE
    • modo che deve usare il motore.
    • Non si riferisce ad avanti o indietro, o a velocità crescente o decrescente, ma a comandi interni.
  • PORT_n_SPEED
    • Velocità del motore.
    • Ambito: da -100 (indietro) fino 100 (avanti)
  • PORT_n_RUNSTATE
    • Come deve funzionare il motore.
    • Proprietà fisiche (set speed instantly, Ramp UP or Ramp DOWN)

attenzione Attenzione

Tutte le variabili devono essere scritte in un ciclo!

Il che significa: le variabili non possono essere forzate dal zenon Logic Workbench.

Struttura

Internamente, NXT usa una struttura. Tutte le variabili di questa struttura vengono create cliccando con il tasto destro del mouse sulla porta e selezionando Create advanced variables nel menu contestuale. Questa struttura viene scritta in ogni ciclo. Ma, visto che PORT_n_FLAGS viene settato da straton dopo ogni ciclo sul valore 0 , non succederà nient´altro.

La variabile PORT_n_Flags è un bitmask per quelle variabili che sono rilevanti per questo ciclo per le structure straton queries di straton. Per dare un comando Move n degree, settate la variabile PORT_n_FLAGS su un bitmask [ST]:

Avete così fatto in modo che i dati per PORT_n_MODE, PORT_n_SPEED e PORT_n_TACHOLIMIT siano disponibili. Quali valori devono avere queste variabili?

Anche per PORT_n_MODE è necessario un bitmask. In linea di principio, dovete settare sempre entrambi se volete produrre un movimento in avanti [ST]:

Adesso avete settato il bitmask preposto all´update delle variabili e alcuni parametri flag interni.

A questo punto possiamo concentrarci sulla parte più interessante: Il modo di rotazione del motore - PORT_n_RUNSTATE. In questo caso non avete a disposizione nessun bitmask. I valori sono esclusivi.

E finalmente: PORT_n_SPEED e PORT_n_TACHOLIMIT:

attenzione Attenzione

Dovete assolutamente fare in modo che questi valori non siano scritti in ogni ciclo. Altrimenti il comando di rotazione sarà eseguito in ogni ciclo. Tuttavia, dovete scrivere tutte le variabili in ogni ciclo. Bloccate la scrittura di questi valori.


zenon Webserver e zenon Webserver Pro

Manuale -> zenon Webserver e zenon Webserver Pro

Il zenon Webserver porta i progetti 1:1 (vale a dire esattamente nella loro forma originaria) in Internet e Intranet. Avete così a Vostra disposizione uno strumento con il quale rendere disponibili i dati della produzione sia a livello di singola impresa, che per tutti gli stabilimenti che compongono un´azienda. Per il trasferimento non è necessario apportare alcune modifiche o adattamenti al progetto.

Info Informazioni

Il zenon Webserver comunica a scelta via IPv4 o IPv6. La comunicazione via IPv6 è possibile solamente a partire dalla versione 7.

Il zenon Webserver è disponibile nelle seguenti tre forme:

  • zenon Webserver: pura funzione di osservazione.
  • zenon Webserver Pro: completa funzione di monitoraggio e gestione. È possibile accedere direttamente ai processi tramite il WEB.
  • zenon Webserver Pro Light: funzionalità limitata del zenon Webserver PRO per la gestione di zenon Operator.

Per quello che concerne le differenze fra queste tre forme, vedi la sezione della guida riguardante le Versioni.

tutorial Informazioni sulla licenza

Per poter usare zenon Webserver, Webserver Pro e Webserver Pro Light è necessaria una licenza. Per i dettagli su questo argomento, vedi la sezione Licenze.


Versioni

Manuale -> zenon Webserver e zenon Webserver Pro -> Versioni

Le differenti versioni di zenon Webserver si differenziano per l´ampiezza delle loro funzioni:

  • zenon Webserver Pro:
    Consente attive azioni di gestione con zenon Supervisor.
    Start e funzionamento sotto Windows CE sono soggetti a determinate restrizioni.
  • zenon Webserver Pro Light:
    Consente attive azioni di gestione conzenon Operator e zenon Supervisor. Differenze rispetto al zenon Webserver Pro:
    • Il server Runtime a cui si connettono i zenon Webclient, deve essere lo stesso computer su cui è attivo il zenon Webserver Pro Light.
      Il nome computer viene utilizzato per effettuare il controllo; non si tiene conto dei domini
      Attenzione: nel caso dei progetti con ridondanza, il zenon Webserver Pro Light deve essere implementato in forma ridondante; un´istanza sul server e una sullo Standby-Server.
    • Massimo 3 Client.
    • Il traffico di rete criptato non viene supportato. Nel caso di comunicazione criptata, esso non si avvia, oppure si chiude autonomamente. Il check volto a verificare la crittografia, avviene nel Runtime ogni 60 secondi.
    • HTTP Tunnelling non viene supportato.
  • zenon Webserver:
    Funge solo da viewer. Le azioni di gestione attiva, come, ad esempio, Setta valore impostabile, Esegui ricetta, Salva impostazioni PFS ecc., non sono possibili.
    Eccezione: a partire dalla versione 6.22 SP1 Build5, le seguenti azioni di gestione attiva possono essere eseguite anche con il zenon Webserver:
    • Variabili interne (calcolate localmemte) sono scritte sul Webclient tramite la funzione Setta valore impostabile.
      Nota: non è possibile scrivere tramite l´inserimento di elementi o VBA.

Esempio di uso di zenon Webserver Pro Light

Quando si avvia il zenon Webserver, il numero di serie determina se viene avviato un Webserver, un Webserver Pro, o un Webserver Pro Light. Se viene avviato un Webservers Pro Light, le sue restrizioni sono attive:

  1. HTTP Tunnelling non è disponibile.
  2. Viene eseguito regolarmente un check per verificare se la crittografia di rete è attivo. Il Webserver Pro Light viene chiuso se la crittografia è attiva.
  3. Le connessioni vengono instaurate solamente se il nome computer della destinazione (server Runtime) è identico a quello del Webserver.
    1. Un progetto funziona con un server (computer A) e standby-server (computer B).
    2. Sul computer A viene avviato zenon Webserver PRO Light.
    3. Un Client si connette via Webserver PRO Light al server Runtime.
    4. Il Runtime smette di funzionare sul computer A. Il computer B ne assume la funzione, fungendo da standby-server.
    5. Il Client cerca di passare allo standby-server computer B.
    6. Visto che il Web Server è attivo con una licenza per Webserver PRO Light, questo rifiuta la connessione del Webclient al computer B. Il Web Client è offline.


Basi:

Manuale -> zenon Webserver e zenon Webserver Pro -> Basi:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webclient visualizza il Runtime in un browser nel modo in cui anche un normale client verrebbe visualizzato con zenon. A tale scopo, ha bisogno di un zenon Webserver e di un server Runtime.

Definizioni

  • zenon Webclient

    Il Webclient di zenon è un programma attivo in un WEB Browser standard e visualizza un progetto. Si collega ad un zenon Webserver con un server Runtime. Visualizza il progetto del server Runtime nel modo in cui lo mostrerebbe anche un normale client. La sola differenza è la seguente: Con il webclient di zenon, la rappresentazione avviene in un browser.

    Nota: il zenon Webclient mette sempre a disposizione le proprietà della licenza zenon Energy Edition. Al momento dell'avvio, però, viene visualizzao il normale schermo iniziale.

  • Server Runtime

    Il Server Runtime è quel computer su cui è attivo il progetto come progetto server. Il server Runtime ha la precendenza assoluta su tutti i dati: dati di progettazione, dati online, dati storici.

  • zenon Webserver

    Il webserver di zenon è un gateway (Proxy-Server) che svolge i seguenti compiti:

    • Interfaccia dati (TCP/IP) fra il Server Runtime e il WEB client.
    • Controllo della licenza e del numero dei client connessi contemporaneamente con il webserver di zenon.
  • Servizio publishing

    Il servizio publishing è un WEB Server HTML standard di un produttore terzo. Ciò è necessario affinché possa venire pubblicata la pagina di accesso al progetto. Questo servizio non è necessario per il funzionamento del zenon Webclient. Il webclient di zenon non ricorre al servizio publishing. Per distinguerlo in modo chiaro dal zenon Webserver, questo servizio non viene chiamato Webserver, ma viene definito sempre servizio publishing.
    Attenzione: Il servizio publishing deve essere aggiunto alle trustworthy pages nel Webbrowser.

Info Informazioni

Nel caso di piccoli progetti, il Server Runtime, il Webserver di zenon e il servizio publishing possono essere attivati sullo stesso calcolatore.

Il zenon Webclient e il server Runtime devono essere attivi sempre su diversi computer.


Restrizioni di carattere generale

Manuale -> zenon Webserver e zenon Webserver Pro -> Restrizioni di carattere generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I progetti che sono gestiti usando il zenon Webclient, presentano le seguenti restrizioni:

  • Allarmi:
    Il ripristino di allarmi è possibile solamente quando se si usa il zenon Webserver Pro.
  • Archivi:

    Gli archivi non possono essere né letti, né modificati, né salvati.

  • Gestione utenti

    AD e ADAM/ADLDS funzionano solamente con determinate restrizioni (come sugli Standard-Client):
    AD: il computer deve trovarsi nello stesso dominio.
    ADAM/ADLDS: il Webclient ha bisogno di una connessione fisica al Webserver (più Port aperta) e all´ADAM/ADLDS Server

  • Immagini:
    • La Immagine del tipo Post elaborazione archivio non è disponibile.
  • Stampa:

    Prima di effettuare la prima stampa sul WEB Client di zenon deve essere eseguita la funzione selezionare stampante. In questa sede si possono fissare le stampanti per il client. Queste impostazioni vengono salvate nello zenon6.ini in modo tale che l'operazione sopra descritta non debba essere ripetuta ogni volta che si vuole stampare qualcosa.

  • IPA:

    Il modulo Industrial Performance Analyzer (IPA) è disponibile solamente su zenon Webclient in Intranet, perché non è possibile instaurare una connessione alla banca dati via Internet. Se c`è una connessione Intranet, le autorizzazioni database devono essere settate in modo tale che il computer remoto possa avere accesso a questa banca dati come un zenon Webclient.

  • Menu

    Nel webclient di zenon non vengono visualizzati Menu principali.

  • Gestione monitor:

    La gestione monitorfunziona con alcune restrizioni. Adatta risoluzione e Barra di scroll, per esempio, non sono disponibili.

  • PFS:

    Il Production and Facility Scheduler (PFS) è disponibile solo a partire dalla versione 6.01.

  • Informazioni di stato:

    Le informazioni di stato che vengono visualizzate tenendo premuto il tasto destro del mouse, sono disponibili solo in parte.

  • Combinazioni di tasti:

    Le combinazioni tasti su pulsanti come, per es., F3 non sono disponibili.

  • VBA:

    VBA è disponibile solo se è stato installato manualmente sul zenon Webclient. Per ulteriori informazioni Vi preghiamo di rivolgersi al reparto support di zenon.

  • VSTA: Webserver e Webclient supportano diverse versioni di VSTA.

    In generale, Webclient supporta VSTA fatta eccezione per

    • Debugging
    • FunzioneVisualizza VSTA Editor
    • Compiling

    Per i dettagli su questo tema, leggete il capitolo VSTA con Webclient, Webserver e Webserver Pro.

Ulteriori restrizioni per Windows CE:

  • Possono essere collegati contemporaneamente al massimo tre client WEB di zenon con un runtime CE.
  • Il server WEB di zenon deve funzionare sullo stesso apparecchio del runtime CE, con il quale deve essere connesso. Una connesione ad un runtime CE su un altro apparecchio non è possibile.

La licenza del webserver di zenon per CE si ottiene per mezzo della cosiddetta licenza remota.

Browser

attenzione Attenzione

VBA/VSTA e Data Execution Prevention

Il sistema operativo impedisce tramite la funzione Data Execution Prevention (DEP) che il VBA-Code venga eseguito nel browser.

Microsoft Internet Explorer 8 e 9:
A partire dalla versione 8, il Microsoft Internet Explorer offre la possibilità di disattivare il DEP per il browser.

  • passate a Extras -> Opzioni internet -> Avanzate -> Sicurezza
  • disattivate l´opzione Attiva Protezione di memoria, per diminuire il rischio di attacchi online

Altri browser

Il DEP deve essere disattivato completamente, visto che il processo browser non può essere escluso esplicitamente. Ciò non è raccomandabile per ragioni di sicurezza.

Raccomandazione di carattere generale: usate VSTA anziché VBA.


Licenza

Manuale -> zenon Webserver e zenon Webserver Pro -> Licenza

La licenza determina:

  • la >versione del zenon Webserver attiva:
    • zenon Webserver Standard
    • zenon Webserver Pro
    • zenon Webserver Pro Light
  • Numero delle connessioni zenon Webclient possibili in parallelo (Concurrent Use License)

Nota: il zenon Webserver funziona in modalità demo se non si dispone di una licenza valida. Per la modalità demo valgono le seguenti restrizioni:

  • Il zenon Webserver può essere avviato solo manualmente
  • La durata per la quale il programma può funzionare è limitata a 30 minuti.
  • Il numero dei possibili client è limitato a 2.

Per passare dalla modalità demo ad una licenza valida, dovete anzitutto stoppare il zenon Webserver, e poi inserire un numero di licenza valido nella tab Licence. Riavviate poi il Webserver manualmente.

zenon Operator e Windows CE

Per il zenon Operator è disponibile il zenon Webserver Pro Light.

Per Windows CE è disponibile un zenon Webserver Pro "strutturato" nel Runtime, il che significa che il Runtime deve essere avviato per far sì che il zenon Webserver Pro possa funzionare. La funzionalità di questo tool è limitata a casa della piattaforma. La registrazione della licenza avviene mediante Trasporto remoto nell´Editor usando il meccanismo della licenza remota.

Registra licenza

Per registrare la licenza di zenon Werbserver:

  1. aprite Start -> Tutti i programmi -> COPA-DATA -> Licensing 7.00

    oppure

    avviate il Webserver via Pannello di controllo -> zenon Webserver

  2. Si apre il dialogo per l´ inserimento dei dati licenza.
    • selezionate Webserver
  3. inserite il numero di serie e quello di attivazione

    Trovate i dati relativi:

    • sul Vostro documento di licenza
    • sull´adesivo di licenza
    • nel file di licenza License.txt

      Percorso Vista/7: C:\Users\Public\Documents\zenon_Projects\

      Percorso XP: C:\Documenti e impostazioni/All Users/Dati di applicazione/COPA-DATA/zenon700.

    Nota: attenzione alle lettere maiuscole e minuscole quando inserite il numero!

  4. riavviate il zenon Webserver nella Tab State
  5. Dopo il restart dell´editor, usate il zenon Webserver con la licenza inserita.

Dialogo per effettuare la licenza del prodotto

Parametri | Descrizione
Editor/Runtime | attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Webserver | attivo: la licenza vale per il Webserver di zenon.
Analyzer | attivo: la licenza vale per zenon Analyzer.
Numero di serie | Numero di serie della licenza Nel caso in cui dovesse già esistere una licenza, ne verrà visualizzato il numero.
Numero di attivazione | Numero di attiivazione della licenza Nel caso in cui dovesse già esistere una licenza, ne verrà visualizzato il numero di attivazione
OK | Riprendi dati e avvia zenon la prossima volta con questa licenza.
Annulla | Rifiuta inserimento e usa zenon con la licenza valida finora o senza licenza.
Richiedi licenza soft. | Apre l´assistente per la richiesta di una licenza soft.

Alternativa:

  1. Avviate il Webserver via Pannello di controllo -> zenon Webserver
  2. Inserite nella tab Licence nel zenon Webserver il numero di serie e quello di attivazione che trovate nel foglio di licenza.

  3. Cliccate su Save per salvare i due numeri.
  4. Riavviate il zenon Webserver nella Tab State

attenzione Attenzione

Al momento del riavvio, tutti i zenon Webclient connessi perderanno il collegamento. I zenon Webclient di riconnettono automaticamente dopo la scadenza del timeout impostato.

Nota: il numero di licenza e quello di attivazione vengono inseriti nel zenSrv.ini .


Licenza dongle

Manuale -> zenon Webserver e zenon Webserver Pro -> Licenza -> Licenza dongle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

zenon supporta per la licenza Dongle i sistemi WIBU-Key e Codemeter. I dettagli relativi a questo argomento li trovate nella guida Licenza nel capitolo Licenza dongle.

La licenza mediante un dongle avviene tramite:

  • Dongle relativi al calcolatore oppure
  • Dongle di rete

Dongle relativi al calcolatore

Usare Dongle relativi al calcolatore:

  1. Riceverete un dongle e un foglio di licenza con un numero di serie e numero di attivazione.
  2. Chiudete il dongle con lo stesso computer sul quale avete installato il zenon Webserver.
  3. Registrate la licenza nel sistema.

Dongle di rete

In alternativa al dongle sullo stesso calcolatore, potete usare anche il dongle di rete centrale di COPA-DATA. Esso può essere in un qualsiasi calcolatore in rete. La registrazione della licenza avviene in modo simile a quello del dongle riferito al computer.

Info Informazioni

Se un zenon Webserver la cui licenza è stata effettuata con Codemeter, perde la connessione con il dongle, il Webserver verrà terminato.


Licenza software

Manuale -> zenon Webserver e zenon Webserver Pro -> Licenza -> Licenza software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per la licenza software:

  1. Avviate il programma Web-Server-Licensing.

  2. Cliccate sul pulsante Richiesta di licenza software.
  3. Viene visualizzato il modulo per i Vostri dati licenza.

  4. Riempite tutti i campi e cliccate su Avanti.
  5. Il programma genera un modulo di richiesta di licenza con il numero di licenza valido per il Vostro calcolatore.

  6. Inviate la Vostra richiesta di licenza al Vostro sales partner:
    1. Cliccando su Invia per E-Mail
    2. Cliccando su Stampa come print-out o fax

      Anche il numero della licenza è contenuto nel foglio di licenza e deve corrispondere a quello del Vostro calcolatore.

  7. Un infobox riassume il processo.

  8. Non appena avete ricevuto i dati relativi, registrate la licenza nel sistema.


zenon Webserver (Pro)

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per instaurare una connessione fra il zenon Webclient e il runtime server, è necessario il zenon Webserver. Esso può essere installato su qualsiasi calcolatore della rete che abbia una connessione di rete fisica con il Runtime Server. Il funzionamento di zenon Webclient e del Runtime Server sullo stesso calcolatore non è possibile. Il zenon Webserver può essere tuttavia installato anche sullo stesso computer del Runtime Server.

Info Informazioni

Disinstallare completamente il Webserver è possibile solamente quando esso non è funzionante.

Per ulteriori informazioni sul funzionamento ridondante, consultate il capitolo Funzionamento ridondante.


Istruzioni: preparare - installare - start.

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

I seguenti passi sono necessari per usare il Webserver (Pro) di zenon:

  1. Rete e server nell´impostazione di progetto
  2. Installare il servizio Pubblicazione WWW sul PC
  3. installare il zenon Webserver
  4. attivare il zenon Webserver
  5. installare e avviare il zenon Webclient

1. Impostazione di progetto

Il progetto che deve essere avviato mediante il zenon Webserver, deve avere le seguenti impostazioni di base nell´Editor di zenon:

  • Attivare proprietà di progetto -> Rete -> Rete attiva.

    Interno ID: Istruzioni: preparare - installare - start.

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

    Interno ID: Istruzioni: preparare - installare - start.

    Rete

    Proprietà per l’utilizzo del progetto in rete

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Inserire la proprietà di progetto -> Rete -> Server -> computer (nome) con Runtime.

    Interno ID: Istruzioni: preparare - installare - start.

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

2. Installare il servizio Pubblicazione WWW sul PC

Il servizio Pubblicazione è necessario per pubblicare la Homepage A questo scopo potete utilizzare qualsiasi sistema. Se volete usare il servizio Pubblicazione di Windows, dovete:

  1. aprite il Pannello di controllo ->Programmi e Funzioni -> Attiva o disattiva funzioni Windows .
  2. Passate a Internet Information Services -> servizio WWW.
  3. Attivate i servizi WWW.
  4. Aggiungete il servizio Pubblicazione alle Trustworthy pages nel Webbrowser.

Le informazioni di Microsoft relative a questo tema le trovate su: http://technet.microsoft.com/de-de/library/cc782498(WS.10).aspx

Se questi servizi sono stati installati con successo, deve essere presente la seguente cartella nella root directory:
C:\inetpub\wwwroot

Info Informazioni

Se il zenon Webserver è stato già installato precedentemente, la cartella creata in questo processo, C:\Program Files \COPA-DATA\zenon WEB Server\zenon , deve essere spostata in C:\inetpub\wwwroot.

3. Installare il Webserver

Il zenon Webserver viene installato sul computer con i servizi WWW attivati.

  1. Avviate l´installazione del DVD e seguite le indicazioni dell´assistente di installazione. I dettagli relativi all´installazione li trovate nel capitolo Installazione del zenon Webserver da DVD.
  2. Configurate le impostazioni del Webserber:
    • a partire dalla versione 6.20 di zenon, nel File global_vars.js nella cartella C:\inetpub\wwwroot\zenon\config
    • fino alla versione 6.20 di zenon, nel file project.html nella cartella

4. Rendere operativo il Web-Server

Per attivare il Webserver di zenon:

  1. assicuratevi che i servizi Pubblicazione WWW siano stati avviati e che sia disponibile la entry page
  2. avviate il progetto Runtime sul calcolatore
  3. avviate il zenon Webserver

    I dettagli relativi allo start e alle impostazioni del Webserver di zenon li potete trovare nel capitolo Start e impostazioni del server.

5. Installare e avviare il Web-Client

Per osservare o rendere operativo il Runtime usando un browser, avete bisogno di zenon Webclient sul computer corrispondente.

  1. Installate il zenon Webclient.

    I dettagli relativi al Webclient li trovate nel capitolo zenon Webclient.

  2. Avviate il Microsoft Internet-Explorer e collegate il Webclient al computer su cui è funzionante il zenon Webserver.

    Potrebbe rendersi necessario aggiungere questa pagina come "trusted site"" nelle impostazioni dell´Internet-Explorer alla voce Extras -> Internet options-> Security.

  3. Il numero dei Webclient utilizzabili contemporaneamente, dipende dalla Licenza di cui siete in possesso.

attenzione Attenzione

VBA/VSTA e Data Execution Prevention

Il sistema operativo impedisce tramite la funzione Data Execution Prevention (DEP) che il VBA-Code venga eseguito nel browser.

Microsoft Internet Explorer 8 e 9:
A partire dalla versione 8, il Microsoft Internet Explorer offre la possibilità di disattivare il DEP per il browser.

  • passate a Extras -> Opzioni internet -> Avanzate -> Sicurezza
  • disattivate l´opzione Attiva Protezione di memoria, per diminuire il rischio di attacchi online

Altri browser

Il DEP deve essere disattivato completamente, visto che il processo browser non può essere escluso esplicitamente. Ciò non è raccomandabile per ragioni di sicurezza.

Raccomandazione di carattere generale: usate VSTA anziché VBA.

I limiti esistenti per il zenon Webserver e il zenon Webclient li trovate nel capitolo Limiti generali.


Installazione del zenon Webserver da DVD

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Installazione del zenon Webserver da DVD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per installare il zenon Webserveroppure il Webserver Pro:

  1. Attivate i servizi WWW sul computer.

    La cartella C:\inetpub\wwwroot deve esistere.

  2. Mettete il DVD di zenon nel processore; comparirà la schermata iniziale.

    Se avete disattivato Autostart di CD/DVD, dovete eseguire il start.exe sul CD.

  3. Selezionate il Webserver di zenon.
  4. Seguite la routine di installazione.
  5. Riavviate il computer.

I file di setup per il webclient lo trovate dopo l´installazione nella sottodirectory del percorso di installazione del webserver (xxx si riferisce alla versione relativa di zenon), per esempio.: C:/Programme/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
oppure

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Vengono installate anche le Webseiten che servono da esempio (index*.html und init*.html). Esse si trovano nel sottopercorso zenon del percorso di installazione del Webserver, per esempio:
C:/Programmi/zenonWebServer/zenon/index.htm
oppure
C:/Inetpub/wwwroot/zenon/index.html

Info Informazioni

Il servizio per il zenon Webserver viene avviato automaticamente solamente nella versione per la quale si possiede la licenza. Nella modalità demo, il webserver deve essere avviato manualmente mediante la console webserver nelle proprietà di sistema.


Autorizzazioni per installazione

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Autorizzazioni per installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per effettuare l´installazione, dovete disporre delle seguenti autorizzazioni:

zenon: Webserver:

Per l'installazione e la configurazione del WEB Server di zenon (registrazione del numero di serie e della chiave di attivazione) avete bisogno dei diritti di amministratore.

Per l'uso vero e proprio vale quanto segue: visto che il WEB Server di zenon è attivo come servizio in background (nel contesto del SYSTEM User), per il suo funzionamento non deve essere registrato nessun utente. E' perciò irrilevante quali diritti utente Windows abbia l'utente loggato.

zenon Webclient:

Per l´installazione è necessario dispore dei diritti amministratore di Windows.

Per la gestione, invece, sono sufficienti i normali diritti utente.


Start e impostazioni server

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Start e impostazioni server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Nella modalità normale di funzionamento, il zenon Webserver viene avviato automaticamente. Nel caso lo dobbiate fermare, oppure dobbiate reinserire il numero di licenza, lo dovrete poi riavviare manualmente.

Nota: il zenon Webserver funziona in modalità demo se non si dispone di una licenza valida. Per la modalità demo valgono le seguenti restrizioni:

  • Il zenon Webserver può essere avviato solo manualmente
  • La durata per la quale il programma può funzionare è limitata a 30 minuti.
  • Il numero dei possibili client è limitato a 2.

Per passare dalla modalità demo ad una licenza valida, dovete anzitutto stoppare il zenon Webserver, e poi inserire un numero di licenza valido nella tab Licence. Riavviate poi il Webserver manualmente.

Configurare il zenon Webserver

Per configurare il Webserver:

  1. Aprite il pannello di controllo
  2. Cliccate due volte su zenon Webserver
  3. Si apre il dialogo per la configurazione e la licenza

Parametri

Descrizione

State:

Mostra la versione e lo stato del Webserver:

Versione:

  • zenon Webserver Pro
  • zenon Webserver Pro Light

Segnalazioni di stato:

  • running: il Webserver funziona con una licenza valida
  • stopped: il Webserver è stato fermato
  • Demomodus: il Webserver funziona in modalità demo, senza una licenza valida
  • not installed: il Webserver non registrato come servizio, oppure errore di installazione

Max. number of clients:

Numero massimo di Client che possono connettersi al Webserver. Il numero viene definito attraverso la licenza.
Nel caso della modalità demo, questo numero è limitato a 2 Client che funzionano per un massimo di 30 minuti.

Number of active clients:

Mostra il numero dei Client connessi al momento.

Start

Avvia il Webserver.

Stop

Ferma il Webserver

Refresh

Attualizza la visualizzazione.

Logfile

Apre il file di Log.

HTTP tunnelling

Attiva: HTTP Tunneling è attivo.

Disponibile solamente per il zenon Webserver PRO, ma non nella versione light.
Nota: può essere modificato solamente se il Webserver ha lo stato stopped. Non si può effettuare uno switch mentre il sistema è operativo.

Active clients

Lista dei Client connessi.

OK

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Avviare il zenon Webserver manualmente

Per avviare il Webserver manualmente:

  1. Aprite il pannello di controllo
  2. Cliccate due volte su zenon Webserver
  3. Si apre il dialogo per la configurazione e la licenza

  4. Selezionate la connessione via TCP oppure HTTP
  5. Cliccate sul pulsante Start

Start e configurazione sotto Windows CE

Per Windows CE non è a disponibile un dialogo di start. Il zenon Webserver è già integrato nel Runtime.

Per avviare il zenon Webserver sotto Windows CE, deve verificarsi quanto segue:

  • La proprietà Rete attiva deve essere attivata nel progetto

    Interno ID: Start e impostazioni server

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Il Runtime deve essere avviato
  • Deve essere stata registrata la licenza per il zenon Webserver

Nota: HTTP Tunnelling non è a disposizione sotto Windows CE.

La configurazione avviene in modo analogo a quanto descritto nel capitolo Impostazioni nel projekt.html.

Sotto Windows CE, la funzionalità è soggetta a tutte le restrizioni che valgono in generale per Windows CE e zenon Webserver sotto Windows CE.


HTTP Tunnelling

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Start e impostazioni server -> HTTP Tunnelling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

- Il zenon Webserver può accettare, anziché delle connessioni TCP, anche quelle HTTP. Le connessioni HTTP vengono accettare solamente da zenon Webclient. La connessione con il server Runtime avviene sempre via TCP. Per ogni connessione TCP dal Webclient al Webserver, viene creata una separata connessione HTTP.

Le connessioni vengono instaurate di default via TCP. Per usare HTTP Tunnelling,deve verificarsi quanto segue:

  • HTTP deve essere attivato usando il dialogo di configurazione, oppure l´inserimento nello zenon6.ini
  • La port 8080, oppure la port configurata in alternativa nello zenon6.ini sul Webserver PC , deve essere raggiungibile
  • La pagina iniziale di progetto per Webclient, che deve connettersi al Webserver con HTTP Tunnelling, dovrebbe avere il parametro UseHTTP con un valore diverso da 0 nell´inserimento <embed> e <object>

Nota: HTTP Tunnelling non è a disposizione sotto Windows CE.

Procedura

Il Webclient invia i suoi messaggi per il server Runtime via HTTP-POST al Webserver. Quest´ultimo le inoltra usando la connessione assegnata al server Runtime via TCP. Il server Runtime invia i suoi messaggi per il Webclient al Webserver via TCP che li bufferizza.

Il buffer di una connessione viene vuotato dal Webclient mediante una HTTP-GET request. Se non c´è nessun messaggio per una connessione, il Client attende per un tempo configurabile (inserimento POLLING_INTERVALL nello zenon6.ini con valore standard = 2 secondi).

Per i dettagli vedi il capitolo Procedura per connessione HTTP.

Messaggi di errore

Se la connessione HTTP è attiva, al posto dei messaggi specifici di rete, vengono visualizzati in parte nel Diagnose Viewer dei messaggi specifici HTTP. Per esempio, se viene instaurata o terminata una connessione, oppure nel caso di errori HTTP.


Procedura nel caso di connessione HTTP.

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Start e impostazioni server -> HTTP Tunnelling -> Procedura nel caso di connessione HTTP.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com
Procedura nel caso di connessione HTTP.

Avvio del Webserver.

Si può avviare il Webserver mediante

  • Dialogo nel pannello di controllo
  • manualmente

Dialogo nel pannello di controllo

  1. Aprite il pannello di controllo
  2. aprite il dialogo di configurazione di zenon Webserver
  3. attivate la checkbox HTTP
  4. Cliccate sul pulsante Start

Avvio manuale

  1. aprite l´Explorer
  2. Inserite nella riga indirizzi: %cd_system%
  3. aprite il file zenWebSrv.ini con un editor testi
  4. navigate fino a raggiungere l´inserimento [DEFAULT]
  5. create o modificate l´inserimento USE_HTTP_PROXY= e settate il valore su 1.
    (USE_HTTP_PROXY=1)
  6. salvate le modifiche e chiudete il file
  7. avviate il zenon Webserver facendo uso di una delle seguenti quattro possibilità.
    1. Dialogo di configurazione nel pannello di controllo
    2. tramite la riga comandi: avviare il Webserver come servizio, oppure inserendo il nome completo del percorso
    3. nella visuale servizi del taskmanager, oppure nell´elemento del pannello di controllo Servizi, si deve avviare il servizio ZenWebSrv
    4. nel Windows Explorer, passare al percorso di installazione del Webserver e avviare quest´ultimo cliccando due volte su zenWebSrv.exe

Procedura connessioni

Quando viene avviato, il Webclient si connette al Runtime Server tramite il Webserver:

  1. l´utente avvia il Browser e apre la Pagina di accesso al progetto.
  2. Quest´ultima fa sì che il Browser avvii il Webclient con la configurazione tunneling HTTP indicata.
  3. Il Webclient instaura 3 connessioni HTTP (gestione, dati e sincronizzazione file) con il Webserver:
    1. Il Webclient richiede una connessione ID.
    2. Il Webserver invia una connessione ID libera, se ce n´è una disponibile. La ID inviata viene inserita nella lista delle connessioni ID assegnate. Ciò accade per evitare che una ID venga assegnata due volte e per poter trasformare la connessione HTTP in una connessione TPC.
    3. Il pacchetto Init viene inviato tramite connessione HTTP al Webserver.
    4. Il Webserver verifica se questo Weblclient è già nella lista di quelli attivi. Se il client è nuovo, il sistema verifica se è già stato raggiunto il numero massimo di client. Se la connessione client può essere accettata, il sistema provvede ad instaurare una connessione TPC durante il Runtime, e trasmette il pacchetto Init. La connessione client accettata e quella server che è stata instaurata vengono coordinate fino al termine della connessione: i dati della connessione client vengono girati tramite quella server e viceversa.
  4. Scambio dati:
    1. il Webserver lavora da traduttore fra TPC e HTTP e conserva i messaggi temporaneamente in un buffer.
    2. I dati del runtime per il Webclient vengono salvati sul server come passaggio intermedio. Il Webclient li richiede facendo uso di richieste GET.
    3. I dati del Webclient per il Runtime vengono inviati dal Webclient mediante richiesta POST e girati dal Webserver.
  5. Quando si chiude il Webclient nel browser (si chiude il browser, oppure si lascia la pagina di accesso del progetto), vengono terminate le connessioni del Webclient.
    1. Il Webclient invia un network end packet al Webserver. Il Webserver lo inoltra al Runtime, chiude la connessione e libera le risorse impiegate (memoria di lavoro , porte, ID di connessione…).
    2. Mentre il client viene ripulito, un altro HTTP end packet viene inviato al Webserver, per assicurare che la connessione ID venga rimossa dalla lista.


Impostazioni in global_vars.js

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Impostazioni in global_vars.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il file di configurazione global_vars.js è usato per le versioni di zenon a partire dalla 6.20. Si trova nella cartella C:\inetpub\wwwroot\zenon\config\

global_vars.js

// Here enter the exact string how your project is named

var PROJECTNAME = "ENTER_PROJECTNAME_HERE";

// Please enter here the computername, where your zenon Runtime is installed and running

var RUNTIMESERVER= "ENTER_RUNTIMESERVERNAME_HERE";

// Here you have to enter computername, where you installed the zenon Webserver

var WEBSERVER = "ENTER_WEBSERVERNAME_HERE";

// Enter an optional init-zenon-function to be executed when the webclients connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Enable zoom feature (will stretch the project resolution to the size of the webclient control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Here you have to enter the version number corresponding to the Webclient.

var VERSION = "6,51,0,0";

Parametri

Parametri

Descrizione

Projectname

Definisce il nome del progetto Runtime.

var PROJECTNAME = "NAME";

Ad esempio:

var PROJECTNAME = "zenon";

Nota: il progetto deve essere attivo come progetto server sul server Runtime indicato.

RuntimeServer

Denota il computer di destinazione su cui è attivo il Runtime per il progetto.

var RUNTIMESERVER = "NAME";

Ad esempio:

var RUNTIMESERVER = "T13-XPDE32";

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Il nome deve corrispondere a quello del server indicato nella configurazione di progetto; vedi anche: Configurazione di progetto zenon 5.x e Configurazione di progetto zenon 6.x .

Ridondanza Server Runtime:

Solamente il nome del server viene indicato nel caso di progetti con Runtime ridondante, non quello del server in standby. Il nome del server in standby è salvato nel project.ini del progetto. Il zenon Webclient lo salva localmente la prima volta che si connette con il Runtime Server. Il che significa: ciò significa: il Runtime Server deve essere online la prima volta in cui viene instaurata una connessione con un progetto ridondante. Nelle connessioni successive funziona il concetto di ridondanza, il che significa che il client WEB di zenon prova anzitutto a creare una connessione con il Runtime server. Se quest'ultimo non è raggiungibile, viene creata automaticamente una connessione con il server in standby.

Ridondanza del Webserver

Se, oltre al zenon Runtime-Server, anche il zenon Webserver deve essere impiegato in forma ridondante, deve accadere quanto segue:

  • si devono installare due copie del zenon Webserver su diversi computer, per le quali si deve essere in possesso della relativa licenza
  • Dovete inserire entrambe le copie del zenon Webserver nella dichiarazione delle variabili della pagina HTML, separandole mediante una virgola:

    var WEBSERVER = WEBSERVER,WEB-STANDBY-SERVER";

Webserver

Denota il computer di destinazione sul quale è stato installato il zenon Webserver. Attenzione: non è il server publishing!

var WEBSERVER = "NAME";

Ad esempio:

var WEBSERVER = "CD1111";

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Initfunction

Definisce una funzione zenon che viene eseguita quando un progetto è avviato nel browser.

var INITFUNCTION = "Init";

Ad esempio:

var INITFUNCTION = "Init";

Default: "Init"

Nota: l´ortografia deve corrispondere ai nomi delle funzioni zenon (uso delle lettere maiuscole/minuscole).

Zoom

Stabilisce se si può zoomare il progetto nella browser view.

var ZOOM = "WERT";

0: OFF

1: ON

Ad esempio:

var ZOOM = "0";

Nota: l´adattamento dello zoom viene ripreso solamente al momento dell´avvio, e non quando il Runtime è già in funzione. Se si desidera una determinata dimensione, essa dev'essere definita da Active X Control.

var VERSION

Definisce la versione del zenon Webclient.

var VERSION = "WERT";

Ad esempio:

var VERSION = "6,50,1,0";

Deve essere sempre la stessa o superiore alla versione del zenon Runtime.

Nota: Inserendo i parametri nel file global_vars.js, fate attenzione alla scrittura in lettere maiuscole e minuscole.

Trovate un esempio di configurazione sul DVD. Come adattarla e modificarla, lo potete vedere nel capitolo Configurazione della pagina esempio.


Impostazioni in projekt.html

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Impostazioni in projekt.html

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per le vecchie versioni di zenon, si usa il file di configurazione project.html .

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="JavaScript"><!--

var PROJECTNAME = "PROJECTNAME";

var RUNTIMESERVER= "RUNTIMESERVER";

var WEBSERVER = "WEBSERVER";

if (navigator.appName == "Netscape")

{

document.write ('<embed type="application/x-eskeractivex"');

document.write ('id="CD_IClient1"');

document.write ('classid="CLSID:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenwebcli.ocx#version=1.0.0.1"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="Init"');

document.write ('>');

}

else

{

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenwebcli.ocx#version=1.0.0.1"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="Init">');

document.write ('</object>');

}

// --></script>

</html>

Questo file HTML viene configurato in modo analogo al global_vars.js:

Parametri

Parametri

Descrizione

Projectname

Definisce il nome del progetto Runtime.

Nota: il progetto deve essere attivo come progetto server sul server Runtime indicato.

RuntimeServer

Denota il computer di destinazione su cui è attivo il Runtime per il progetto.

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Il nome deve corrispondere a quello del server indicato nella configurazione di progetto; vedi anche: Configurazione di progetto zenon 5.x e Configurazione di progetto zenon 6.x.

Ridondanza Server Runtime:

Solamente il nome del server viene indicato nel caso di progetti con Runtime ridondante, non quello del server in standby. Il nome del server in standby è salvato nel project.ini del progetto. Il zenon Webclient lo salva localmente la prima volta che si connette con il Runtime Server. Il che significa: ciò significa: il Runtime Server deve essere online la prima volta in cui viene instaurata una connessione con un progetto ridondante. Nelle connessioni successive funziona il concetto di ridondanza, il che significa che il client WEB di zenon prova anzitutto a creare una connessione con il Runtime server. Se quest'ultimo non è raggiungibile, viene creata automaticamente una connessione con il server in standby.

Ridondanza del Webserver

Se, oltre al zenon Runtime-Server, anche il zenon Webserver deve essere impiegato in forma ridondante, deve accadere quanto segue:

  • si devono installare due copie del zenon Webserver su diversi computer, per le quali si deve essere in possesso della relativa licenza
  • Dovete inserire entrambe le copie del zenon Webserver nella dichiarazione delle variabili della pagina HTML, separandole mediante una virgola:

    var WEBSERVER = "WEBSERVER,WEB-STANDBY-SERVER";

Webserver

Denota il computer di destinazione sul quale è stato installato il zenon Webserver. Attenzione: non è il servizio publishing!

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Initfunction

Definisce una funzione zenon che viene eseguita quando un progetto è avviato nel browser.

Nota: l´ortografia deve corrispondere ai nomi delle funzioni zenon (uso delle lettere maiuscole/minuscole).

Zoom

Stabilisce se si può zoomare il progetto nella browser view.

Nota: l´adattamento dello zoom viene ripreso solamente al momento dell´avvio, e non quando il Runtime è già in funzione. Se si desidera una determinata dimensione, essa dev'essere definita da Active X Control.


Salvataggio dei file Runtime

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Salvataggio dei file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webserver salva i file Runtime di default nella cartella %Temp%\zenWebCli.

%Temp% indica sotto Windows la cartella file temporanea. Essa viene salvata individualmente per ogni utente e può essere modificata alla voce Pannello di controllo -> Sistema -> Impostazioni di sistema estese -> Variabili di ambiente.

Potete definire qualsiasi cartella come luogo dove salvare i file Runtime, effettuando un inserimento corrispondente nello zenon6.ini:

  1. Aprite lo zenon6.ini
  2. Passate alla sezione

    [PATH]

  3. Create o modificate l´inserimento:

    WEB_PROJECT_PATH=


Funzionamento ridondante

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon Webserver (Pro) -> Istruzioni: preparare - installare - start. -> Funzionamento ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webserver può essere usato anche in forma ridondante a partire dalla versione zenon Webclient 6.01.

Per le stazioni Runtime ridondanti, si consiglia anche l´uso di zenon Webserver ridondante. Se un webserver di zenon smette di funzionare o viene terminato, il webclient di zenon passa automaticamente allo standby-webserver.

attenzione Attenzione

Non si verifica uno switch back automatico, come nel caso del Runtime Server. Il zenon Webclient rimane connesso allo zenon Standby-Webserver finché:

  • si riavvia il zenon Webclient, oppure
  • il zenon Standby-Webserver viene fermato, oppure smette di funzionare.

Poi il zenon Webclient cerca di riconnettersi al primo zenon Webserver definito come standard.

Se si usa solamente un Webserver di zenon, si consiglia di non farlo funzionare sullo stesso computer del Runtime Server o del Runtime Server in standby; questo perché, nel caso in cui dovessero verificarsi problemi nel funzionamento di tale calcolatore, anche il Webserver di zenon terminerebbe di operare


zenon: Webclient

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon: Webclient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter visualizzare dei progetti durante il runtime in un browser, si deve installare localmente sullo stesso calcolatore il zenon Webclient. I dettagli sui sistemi operativi browser li trovate nel capitolo di questa guida dedicato ai Browser.

Il zenon Webclient consiste soprattutto di un ActiveX Control. Esso visualizza le informazioni in un browser 1:1, come in un normale Runtime-Client. La connessione al Runtime Server avviene via TCP/IP tramite il zenon Webserver.

I file di installazione attuali per il zenon Webclient li trovate dopo aver installato il zenon Webserver (Pro) nel relativo sottopercorso, per es.:

C:\inetpub\wwwroot\zenon\controlversions\version651SP0\WEB_Client_Setup_GERMAN.exe.

Tutti i setup del zenon Webclient sono dotati di una firma digitale e possono essere resi disponibili su una Website per essere scaricati. Tramite le proprietà del setup di zenon Webclient potete richiamare le relative informazioni di certificazione:

I setup di zenon Webclient, in tutte le lingue disponibili, si trovano sul DVD di zenon Webserver, per la precisione nella cartella COPA-DATA\Web Client versions.

Info Informazioni

Il zenon Webclient invia i file Error e i Log-files. Il server di diagnosi viene installato automaticamente con il zenon Webclient.


Browser

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon: Webclient -> Browser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webclient supporta i seguenti browser:

  • Microsoft Internet Explorer
  • Mozilla Firefox
  • Google Chrome
  • Apple Safari

Si raccomanda di usare sempre la versione più recente.

Info Informazioni

Il browser per zenon deve supportare uno dei seguenti sistemi operativi:

  • Windows XP
  • Windows Vista
  • Windows7
  • Windows 2003/2008 Server.

Altri sistemi operativi, come Windows CE, Linux ecc., sono utilzzabili solo in combinazione con un terminal server.

Start del browser

La pagina iniziale del progetto decide la base dell´identificazione browser, se e come viene avviato il Webclient:

  • Internet Explorer: start come componente ActiveX
  • Firefox: start come plugin
  • Chrome: start come plugin
  • Safari: start come plugin
  • Altri browser o versioni non supportate: viene visualizzata una segnalazione errore e il Webclient non si avvia

Versioni supportate

Browser

A partire dalla versione

Commento

Microsoft Internet Explorer
  • 3.0
  • Raccomandato a partire: 8.0
  • Windows XP 6.0
  • Tenete presenti le informazioni concernenti la protezione della memoria per IE 8/9

Mozilla Firefox
  • 3.6.4: il plugin-container deve essere attivato manualmente
  • Raccomandato a partire: 4.0 (il plugin-container è attivato di default)
  • Tenete presenti le informazioni sulla configurazione e sulle keyboard

Google Chrome

  • 1.0
  • Raccomandato: a partire da 7.0

Apple Safari
  • 3.0
  • Raccomandato: a partire da 5.0

attenzione Attenzione

VBA/VSTA e Data Execution Prevention

Il sistema operativo impedisce tramite la funzione Data Execution Prevention (DEP) che il VBA-Code venga eseguito nel browser.

Microsoft Internet Explorer 8 e 9:
A partire dalla versione 8, il Microsoft Internet Explorer offre la possibilità di disattivare il DEP per il browser.

  • passate a Extras -> Opzioni internet -> Avanzate -> Sicurezza
  • disattivate l´opzione Attiva Protezione di memoria, per diminuire il rischio di attacchi online

Altri browser

Il DEP deve essere disattivato completamente, visto che il processo browser non può essere escluso esplicitamente. Ciò non è raccomandabile per ragioni di sicurezza.

Raccomandazione di carattere generale: usate VSTA anziché VBA.

Configurazione di Mozilla Firefox

Per tutte le versioni di Mozilla Firefox prima della 4, è necessario attivare il plugin container manualmente. Per far ciò:

  1. Inserite nella riga indirizzi: about:config
  2. Il browser potrebbe visualizzare un avvertimento: The guarantee may be invalid here!
  3. Cliccate sul pulsante: I'll be careful, I promise!
  4. Passate alla proprietà dom.ipc.plugins.enabled
  5. Essa deve essere settata su true
  6. Per settare questo stato:
    1. Cliccate con il tasto destro del mouse sulla proprietà
    2. Scegliete poi nel menu contestuale che si aprirà il comando: Commuta (Switching)
  7. Chiudete il browser

Nota: se non si effettuano queste impostazioni, il Webclient non può comunicare in Firefox con il Runtime. Le immagini vengono visualizzate, ma tutte le variabili sono mostrate offline; gli elementi ad immagine, dunque, non hanno valori e vengono evidenziati in blu.

attenzione Attenzione

Le immagini del tipo Keyboard adattate individualmente possono in alcuni casi non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica delle nuove finestre in background senza dargli il focus. Le immagini keyboard adattate individualmente, però, vengono chiuse non appena perdono il focus.

Soluzione: usate un altro browser, come, ad esempio, Microsoft Internet Explorer, Apple Safari oppure Google Chrome.

La cosa non riguarda le keyboard automatiche!


Crittografia della comunicazione in rete

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon: Webclient -> Crittografia della comunicazione in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

A partire da zenon 7, la comunicazione in rete può essere protetta con crittografia forte.

Per attivare la crittografia nel Webclient:

  1. avviate nel menu di start il collegamento \Programme\COPA-DATA\Network communication encryption
    oppure il file zenWebCryptConfig.exe nella cartella di programma di zenon.
  2. si apre il dialogo di configurazione

Parametri

Descrizione

Encrypt network communication

Attiva: La comunicazione di rete viene cifrata.

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo Elevata crittografia della comunicazione di rete.

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

Verify password

Confermare la password inserendola una seconda volta.

OK

Riprende e accetta le modifiche e chiude il dialogo.

Cancel

Rifiuta le modifiche e chiude il dialogo.

Info Informazioni

Delle indicazioni sui messaggi di errore della cifratura forte li trovate in:

guida in linea Rete -> capitolo Cifratura forte della comunicazione di rete ->, più in particolare nella sezione Messaggi di errore.


zenon: Webclient - compatibilità

Manuale -> zenon Webserver e zenon Webserver Pro -> zenon: Webclient -> zenon: Webclient - compatibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Con il Webclient di zenon avete accesso (in modo simile a quanto accade per la Compatibilità runtime) a diverse versioni del runtime. Il numero di versione del Webclient deve solamente essere pari a quello della versione del runtime o superiore.

La compatibilità runtime online consente l´interazione di sistemi runtime (anche via Webclient) nella rete di zenon, anche se la versione del runtime client è di numero superiore a quella del runtime server.

Il runtime attuale può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21:00 SP0
  • 06:21:00 SP1
  • 06:22:00 SP0
  • 6.22 SP1
  • 06:50:00 SP0
  • 6.51 SP0
  • 07:00:00 SP0

Nell´ambito della gestione multiprogetto possono essere caricati anche diversi progetti. Ad esempio, il progetto I della versione 07:00:00 può essere un sotto-progetto della versione 06:51:00 e un ulteriore sotto-progetto della versione 6.22 SP1.

Info Informazioni

Vi consigliamo di usare sempre il Webclient di zenon con il numero maggiore di servicepack a disposizione per una determinata versione.


VSTA con Webclient, Webserver e Webserver Pro

Manuale -> zenon Webserver e zenon Webserver Pro -> VSTA con Webclient, Webserver e Webserver Pro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

VSTA è supportato da zenon in Webserver e Webserver Pro in differenti modi:

Funzione

Webclient con Webserver Standard

Webclient con Webserver Pro

Visualizza dialogo delle macro VSTA

+

+

Esegui macro VSTA

+

+

Aprire l’editor VSTA

-

-

VSTA Events

+

+

Commento
  • Non viene scritto nessun valore sulle variabili di zenon.
  • I Windows messages boxes possono essere aperti.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.
  • Tutte le funzionalità di zenon VSTA sono completamente disponibili.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.

Installazione

Per l´uso di VSTA

  • Le seguenti applicazioni devono essere presenti nel sistema, oppure devono essere installate manualmente:
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .Net Framework 3.5

    Entrambi i programmi si trovano sul supporto di installazione per il zenon Webserver, oppure per zenon 7.00.

  • VSTAIntegration.dll deve trovarsi nella directory dei programmi dizenon .
    Quest´ultima viene installata automaticamente al momento dell´installazione di zenon.

Inserimento INI

I seguenti inserimenti devono essere settati nello zenon6.ini:

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1

Annotazione: potete trovare lo zenon6.ini nella cartella C:\ProgramData\COPA-DATA\System\


Progettazione nell'editor

Manuale -> zenon Webserver e zenon Webserver Pro -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per poter accedere tramite Internet o Intranet ad un Runtime Server, il progetto deve essere un progetto di rete.


Configurazione di progetto zenOn 5.x

Manuale -> zenon Webserver e zenon Webserver Pro -> Progettazione nell'editor -> Configurazione di progetto zenOn 5.x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Runtime deve essere avviato come server. Le operazioni di configurazione relative devono essere effettuate nell'editor nelle "proprietà di progetto" alla voce "rete". Per poter utilizzare il progetto in rete, la Checkbox "utilizza il progetto in rete" deve essere attivata. Con l'aiuto del pulsante ... viene selezionato il calcolatore che deve assumere il ruolo del Server per questo progetto. Questo nome calcolatore deve poi essere inserito anche nella pagina iniziale del progetto (per es.: Globalvars.js, vedi Configurazione della pagina esempio) in modo tale che possa essere stabilita una connessione.

Ulteriori informazioni circa le possibilità di rete e le relative impostazioni le potete trovare nel capitolo Rete .


Configurazione di progetto a partire da 6.x

Manuale -> zenon Webserver e zenon Webserver Pro -> Progettazione nell'editor -> Configurazione di progetto a partire da 6.x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Runtime deve essere avviato come server. Ciò si configura nell´Editor, nelle proprietà di progetto, nella sezione Rete:

Interno ID: Configurazione di progetto a partire da 6.x

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • La checkbox per la proprietà Rete attiva deve essere attivata

    Interno ID: Configurazione di progetto a partire da 6.x

    Rete attiva

    Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
    DisabilitataIl progetto è un progetto stand-alone.
    ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
    Default: Disabilitata.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

  • Il nome computer del server Runtime deve essere inserito nella proprietà Server. Questo nome calcolatore deve essere inserito anche nella pagina iniziale del progetto (per es.: Globalvars.js, vedi Configurazione della pagina esempio) in modo tale che possa essere stabilita una connessione.

    Interno ID: Configurazione di progetto a partire da 6.x

    Server

    Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
    Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

    Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
    Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

    Ulteriori informazioni nella guida in linea

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni sulla rete di zenon le trovate nel capitolo Rete.


Risoluzione schermo e gestione monitor

Manuale -> zenon Webserver e zenon Webserver Pro -> Progettazione nell'editor -> Risoluzione schermo e gestione monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La zenon gestione monitor è disponibile per il zenon Webclient solo con delle limitazioni.

Importante per la progettazione: l´adattamento automatico della risoluzione al Client non può essere utilizzata per l´uso web. Per questa ragione, la dimensione dello schermo deve essere configurata in modo adeguato già in fase di progettazione. Di default, il zenon Webclient usa la dimensione dello schermo configurata come standard per il progetto: Proprietà di progetto -> Aspetto grafico -> Configurazione monitor -> Clic sul pulsante ... -> Tab Generale - Risoluzione dello schermo.

Interno ID: Risoluzione schermo e gestione monitor

Configurazione monitor

Si aprirà il dialogo di configurazione per la gestione monitor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Interno ID: Risoluzione schermo e gestione monitor

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

La risoluzione può essere scalata usando un´impostazione del zenon Webclient. Per i dettagli, vedi capitolo Configurazione della pagina esempio .

Con l'aiuto della proprietà di zoom, il zenon Webclient può essere portato alla dimensione di un elemento ActiveX.

Grandezza nel browser

Il browser necessita sempre di un´area della superficie complessiva del monitor per i menu e le scrollbar. L'area a disposizione del zenon Webclient per la visualizzazione, perciò, è sempre minore alla risoluzione del monitor impostata. Se volete avere nel browser un´immagine completa del progetto, dovete configurare la grandezza dello schermo in modo tale che sia minore a quella presente effettivamente sul zenon Webclient.

Ad esempio:
risoluzione monitor sul zenon Webclient PC: 1024x768 pixel
Grandezza del monitor nella gestione monitor: 800x600.

Info Informazioni

Se volete utilizzare l'opzione "Gestione multi-progetto" sul zenon Webclient, la dimensione dello schermo impostata deve essere uguale per tutti i progetti!

Sistema multi-monitor:

In un sistema multi-monitor, le immagini di processo vengono aperte, come progettato nel profilo, sui diversi monitor reali . Se si usa un Webclient, questi ultimi si trovano al di fuori dell´area visibile, ma li si può raggiungere mediante scrolling.

Raccomandazione: configurate il profilo monitor in modo tale che tutti i monitor siano mappati sul quello principale; in questo caso avrete accesso diretto a tutti i monitor.

Info Informazioni

Sul zenon Webclient è sempre caricato di default il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Gestione multi-progetto e progetti ridondanti

Manuale -> zenon Webserver e zenon Webserver Pro -> Progettazione nell'editor -> Gestione multi-progetto e progetti ridondanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webclient supporta tutte le capacità di rete di un client normale. Se il progetto di partenza è un progetto di integrazione, verranno perciò caricati anche tutti i sottoprogetti.

Nota: nel caso di un progetto di integrazione, il computer Webclient necessita dello stesso spazio di memoria e dello stesso hardware di un normale client.

Vengono supportati anche server Runtime ridondanti.


Creazione della pagina HTML iniziale di progetto

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Perché il WEB Browser possa avviare il WEB Client zenon e perché quest'ultimo si possa connettere al corrispondente Runtime Server, c'è bisogno du una pagina di accesso al progetto. Questa pagina contiene anche il codice necessario. Come lingua per gli script si usa Java Script.

Requisiti

  • Java Script deve essere attivata nel browser.
  • Il zenon Webclient deve essere installato localmente sul calcolatore su cui viene eseguito il webbrowser .

Raccomandazione: passate, prima della pagina iniziale di progetto (init.htm), ad una pagina iniziale (index .htm ) che consente di scaricare il Webclient. Questa pagina contiene degli hyperlink:

  • Per il download dei zenon Webclient Control
  • Per la pagina iniziale di progetto init.htm, che esegue un browser-check e instaura la connessione fra il zenon Webserver e il server Runtime

Impostazioni TCP e HTTP

L´unica differenza in queste impostazioni per le connessioni che usano TCP e quelle che usano HTTP, riguarda l´inserimento UseHTTP .

  • Esempio per TCP
  • Esempio per HTTP


Esempio di pagina iniziale di progetto init.htm per TCP

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sulla pagina iniziale di progetto, un browser-check verifica quale browser usa il Webclient. A seconda del risultato di questo controllo, viene avviato il Webclient, oppure viene emessa una segnalazione di errore.

Esempio Inizio progetto

La pagina iniziale richiama tre script al fine di controllare il browser utilizzato e, o instaurare una connessione con il Runtime, oppure emettere una segnalazione di errore:

  • global_vars.js: definisce valori dei parametri di trasferimento per lo start del Webclient.
  • browsercheck.js: verifica la versione del browser
  • initcode.js: definisce funzioni che vengono usate per avviare il Webclient.


init.htm

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP -> init.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L´init.htm controlla il browser utilizzato e avvia il progetto, oppure, in caso contrario, emette una segnalazione di errore. A tal scopo si usano tre script:

  1. La configurazione viene caricata dal global_vars.js.
  2. Il browser viene determinato attraverso browsercheck.js.
  3. Se si tratta di un browser supportato, viene eseguita la funzione appropriata per includere il Webclient da initcode.js.

Esempio

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("invalid parameter");

break;

}

</script>

</html>


global_vars.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP -> init.htm -> global_vars.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Webclient viene configurato con questo Javascript. I dettagli relativi alle opzioni li trovate nel capitolo Impostazioni in global_vars.js.

Esempio di configurazione:

// Here enter the exact string how your project is named

var PROJECTNAME = "Project_001";

// Please enter here the computername, where your zenOn Runtime is installed and running

var RUNTIMESERVER= "PC_016";

// Here you have to enter computername, where you installed the zenon Webserver

var WEBSERVER = "PC_016";

// Enter an optional init-zenOn-function to be executed when the webclients connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Enable zoom feature (will stretch the project resolution to the size of the webclient control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Here you have to enter the version number corresponding to the Webclient.

var VERSION = "6,22,0,0";


browsercheck.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP -> init.htm -> browsercheck.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo Javascript scopre quale browser vuole avviare il Webclient e restituisce il risultato a init.htm .

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE_6to9 = (UserAgent.lastIndexOf('MSIE 6.0') != -1) || (UserAgent.lastIndexOf('MSIE 7.0') != -1) || (UserAgent.lastIndexOf('MSIE 8.0') != -1) || (UserAgent.lastIndexOf('MSIE 9.0') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/3.6.') != -1) || (UserAgent.lastIndexOf('Firefox/4.') != -1) || (UserAgent.lastIndexOf('Chrome/7.') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/5.') != -1));

if(fWin32)

{

//Win32-Browser

if(fMSIE_6to9)

{

//Internet Explorer --> use ActiveX-Control

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome or Safari --> use NPAPI-Plugin

return "NPAPI";

}

}

//Non-Win32-Browser or not supported Browser (Opera, ...)

return "UNSUPPORTED_BROWSER";

}


initcode.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP -> init.htm -> initcode.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo Javascript setta l´inserimento <embed> per lo start del Webclient in Apple Safari, Google Chrome e Mozilla Firefox, nonché l´inserimento <object> per lo start del Webclient in Microsoft Internet Explorer:

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write ('</object>');

}


Esempio di pagina iniziale di progetto init.htm per HTTP

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Sulla pagina iniziale di progetto, un browser-check verifica quale browser usa il Webclient. A seconda del risultato di questo controllo, o vengono settati i parametri per l´uso di HTTP e viene avviato il Webclient, oppure viene emessa una segnalazione di errore.

Esempio Inizio progetto

La pagina iniziale richiama tre script al fine di controllare il browser utilizzato e, o instaurare una connessione con il Runtime, oppure emettere una segnalazione di errore:

  • global_vars.js: definisce valori dei parametri di trasferimento per lo start del Webclient.
  • browsercheck.js: verifica la versione del browser
  • initcode.js: definisce funzioni che vengono usate per avviare il Webclient.


init.htm

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per HTTP -> init.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

L ´accesso vero e proprio al progetto per il browser avviene qui. A tal scopo si usano tre script:

  1. La configurazione viene caricata dal global_vars.js.
  2. Il browser viene determinato attraverso browsercheck.js.
  3. Se si tratta di un browser supportato, viene eseguita la funzione appropriata per includere il Webclient da initcode.js.

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

Default:

alert("invalid parameter");

break;

}

</script>

</html>


global_vars.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per HTTP -> init.htm -> global_vars.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il Webclient viene configurato con questo Javascript. I dettagli relativi alle opzioni li trovate nel capitolo Impostazioni in global_vars.js.

Esempio di configurazione:

// Here enter the exact string how your project is named

var PROJECTNAME = "HAUSVISU_CDA";

// Please enter here the computername, where your zenOn Runtime is installed and running

var RUNTIMESERVER= "CDSBG016";

// Here you have to enter computername, where you installed the zenon Webserver

var WEBSERVER = "CDSBG036";

// Enter an optional init-zenOn-function to be executed when the webclients connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Enable zoom feature (will stretch the project resolution to the size of the webclient control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Here you have to enter the version number corresponding to the Webclient.

var VERSION = "7,00,0,0";

// Enable HTTP tunnelling feature: 0 = inactive (available on zenon WebClient version 7.00 and higher)

var HTTP = "1";


browsercheck.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per HTTP -> init.htm -> browsercheck.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo Javascript scopre quale browser vuole avviare il Webclient e restituisce il risultato a init.htm .

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE_6to9 = (UserAgent.lastIndexOf('MSIE 6.0') != -1) || (UserAgent.lastIndexOf('MSIE 7.0') != -1) || (UserAgent.lastIndexOf('MSIE 8.0') != -1) || (UserAgent.lastIndexOf('MSIE 9.0') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/3.6.') != -1) || (UserAgent.lastIndexOf('Firefox/4.') != -1) || (UserAgent.lastIndexOf('Chrome/7.') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/5.') != -1));

if(fWin32)

{

//Win32-Browser

if(fMSIE_6to9)

{

//Internet Explorer --> use ActiveX-Control

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome or Safari --> use NPAPI-Plugin

return "NPAPI";

}

}

//Non-Win32-Browser or not supported Browser (Opera, ...)

return "UNSUPPORTED_BROWSER";

}


initcode.js

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per HTTP -> init.htm -> initcode.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Questo Javascript setta l´inserimento <embed> per lo start del Webclient in Apple Safari, Google Chrome e Mozilla Firefox, nonché l´inserimento <object> per lo start del Webclient in Microsoft Internet Explorer:

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write (' UseHTTP = "' +HTTP+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write ('</object>');

}


Esempio di Webserver DVD

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di Webserver DVD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Al momento dell'installazione del zenon Webserver, viene installato anche un esempio di una pagina iniziale (index.htm) con hyperlink per il download dei Webclient Control e hyperlink per la pagina di accesso al processo.

Struttura della directory sul disco fisso:
C:/Programme/COPA-DATA/zenonWebServer/zenon.

Se avete già provveduto ad installare un Internet Information Server sul Vostro calcolatore, viene automaticamente generata dal setup la cartella zenon nella directory wwwroot del IIS.

Il sistema offre di effettuare l´installazione del Webclient usando il file index.htm.

L´accesso al progetto avviene tramite il file init.htm.


La pagina index.htm

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di Webserver DVD -> La pagina index.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

La pagina index.htm è quella d'inizio nel nostro esempio. Essa si apre di default in lingua inglese; si può passare però ad un altra lingua direttamente sulla pagina, sfruttando l´opzione posta in alto a destra.

La pagina index.htm:

  • Dà informazioni relative ai browser compatibili
  • offre dei link per lo start del zenon Webclient
  • Offre un link per l´installazione dei zenon Webclient Control, che sono necessari se zenon non è installato sul computer con il Weblient
  • Al momento dello start del Webclient, richiama la pagina iniziale di progetto init.htm che effettua il browser check.


HTML-Code per index.htm

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di Webserver DVD -> La pagina index.htm -> HTML-Code per index.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il HTML-Code della pagina iniziale esemplificativa index.htm:

<?xml version="1.0" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"

"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link rel="stylesheet" type="text/css" href="ressources/style.css" />

<title>COPA-DATA :: zenon webserver demo</title>

</head>

<body>

<div class="bodywrap1">

<div class="bodywrap2">

<div class="main">

<div class="innerheader">

<div class="languageSwitch">

<ul>

<li><a href="index_de.htm">Deutsch</a></li>

<li><a href="index.htm">English</a></li>

<li><a href="index_it.htm">Italiano</a></li>

<li><a href="index_fr.htm">Francais</a></li>

<li><a href="index_es.htm">Español</a></li>

</ul>

</div><!-- languageSwitch -->

<a href="http://www.copadata.com" target="_blank"><img src="ressources/logo.png" alt="COPA-DATA Home" /></a>

</div><!-- inner header -->

<div class="content">

<h1>zenon webserver</h1>

<p> This page is an example how to realize the web access to a zenon Runtime server via the zenon Webserver.</p>

<h3>System requirements</h3>

<p>The web client can be used by several browsers. The following browsers have been tested:</p>

<ul>

<li>Microsoft Internet Explorer version 3.x - 9.x</li>

<li>Mozilla Firefox version 3.6.4 - 4.x</li>

<li>Google Chrome version 7.x</li>

<li>Apple Safari (only Windows) version 5.x</li>

</ul>

<h3>Configuration of Mozilla Firefox</h3>

<p>For Mozilla Firefox you need at least version 3.6.4 or higher. You must carry out the following adjustments in the Firefox configuration:</p>

<ul>

<li>Enter &quot;about:config&quot; in the address line.</li>

<li>If the browser displays the message &quot;This might void your warranty&quot;, press button &quot;I’ll be careful, I promise&quot;.</li>

<li>Property &quot;dom.ipc.plugins.enabled&quot; must be set to &quot;true&quot;. If not, you must set the property as follows:

<ul>

<li>Right click on the property</li>

<li>Click on &quot;Toggle&quot; in the shown context menu</li>

</ul>

If you do not apply these settings, the web client cannot communicate with the zenon Runtime in Firefox. The screens are shown but all variables are displayed as offline. </li>

</ul>

<p>&nbsp;</p>

<h2>Installation of the zenon webclient control </h2>

<p>For this method of installation the zenon webclient control has to be downloaded and installed by hand. After the successful installation of the zenon webclient control the defined project can be started.</p>

<div style="margin: 0px auto 0px auto" >

<div class="startdown">

<h3>Start the zenon webclient</h3>

<img src="ressources/start-windowed.png" width="71" height="80" alt="Start the zenon web client" onclick="window.location.href='init.htm'" />

<img src="ressources/start-new-window.png" width="71" height="80" alt="Start the zenon web client in a new window" onclick="window.open('init.htm','WindowTitle','width=1024,height=768')" />

<img src="ressources/start-fullscreen.png" width="71" height="80" alt="Start the zenon web client in full-screen mode" onclick="window.open('init.htm','WindowTitle','fullscreen')" />

</div>

<div class="startdown">

<h3>Install the zenon webclient control</h3>

<img src="ressources/download-700.png" width="71" height="80" alt="Download the zenon client control setup (7.00 SP0)" onclick="window.location.href='controlversions/version700SP0/WEB_Client_Setup_ENGLISH.EXE'" />

<img src="ressources/download-651.png" width="71" height="80" alt="Download the zenon client control setup (6.51 SP0)" onclick="window.location.href='controlversions/version651SP0/WEB_Client_Setup_ENGLISH.EXE'" />

<img src="ressources/download-622.png" width="71" height="80" alt="Download the zenon client control setup (6.22 SP1)" onclick="window.location.href='controlversions/version622SP1/WEB_Client_Setup_ENGLISH.EXE'" />

</div>

</div>

<h2>General structure</h2>

<p> For displaying zenon projects in the web browser the zenon webclient control has to exist on the webclient.</p>

<p> Info: The client control has to be of the same version (e.g. 6.51 SP0) as the Runtime server.</p>

<p> Some configuration data (version info, project name, name of the zenon webserver PC, name of the zenon Runtime server PC, and others) have to be known, so that the client control can find the zenon Runtime server. These data have to be entered in the configuration file &quot;\config\global_vars.js&quot;. You can edit this file with a standard text editor (Notepad).</p>

<p> You will find more information in the zenon Webserver documentation.</p>

<p>&nbsp;</p>

</div>

</div><!-- main -->

</div><!-- bodywrap2 -->

</div><!-- bodywrap1 -->

</body>

</html>


Selezione del window mode per lo start del Webclient

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di Webserver DVD -> Selezione del window mode per lo start del Webclient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Ci sono differenti maniere per implementare i link per lo start del zenon Webclient:

Il zenon Webclient può essere avviato in diverse modalità:

  1. Standard
  2. Nuova finestra
  3. Fullscreen

1. Standard

Il client WEB di zenon e con esso il progetto vengono visualizzati all'interno del frameset HTML.

<html>
<head>
</head>

<body>
<a href= ../ init. html >Link_für_Stardard</a>
</body>
</html>

2. New Window

Il WEB Client di zenon e con esso il progetto vengono aperti in una nuova finestra browser nella modalità normale.

<html>
<head>
</head>

<body>
<a href= ../ init . html target=_blank>Link_für_Stardard</a>
</body>
</html>

3. Fullscreen

Il WEB Client di zenon e con esso il progetto vengono aperti a schermo intero in una nuova finestra browser mediante uno script Java. Il percorso del index.html viene definito globalmente nella funzione dello script Java.

<html>
<head>
<script>
<!--
function fullwin(){
window.open( ../projekt_M.htm ,,fullscreen)
}
//-->
</script>
</head>

<body>
<a href=# onclick=javascript:fullwin()>Link_für_Fullscreen</a>
</body>
</html>


Configurazione delle pagine di esempio

Manuale -> zenon Webserver e zenon Webserver Pro -> Creazione della pagina HTML iniziale di progetto -> Esempio di Webserver DVD -> Configurazione delle pagine di esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Il zenon Webserver viene installato automaticamente con il setup:

Nella cartella C:\inetpub\wwwroot\zenon\config si può aprire il file di configurazione Global_vars.js in un editor di testo.

Configurazione

zenon Webserver ridondante (a partire da Webclient 6.01):

Parametri

Descrizione

Projectname

Definisce il nome del progetto Runtime.

var PROJECTNAME = "NAME";

Ad esempio:

var PROJECTNAME = "zenon";

Nota: il progetto deve essere attivo come progetto server sul server Runtime indicato.

RuntimeServer

Denota il computer di destinazione su cui è attivo il Runtime per il progetto.

var RUNTIMESERVER = "NAME";

Ad esempio:

var RUNTIMESERVER = "T13-XPDE32";

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Il nome deve corrispondere a quello del server indicato nella configurazione di progetto; vedi anche: Configurazione di progetto zenon 5.x e Configurazione di progetto zenon 6.x .

Ridondanza Server Runtime:

Solamente il nome del server viene indicato nel caso di progetti con Runtime ridondante, non quello del server in standby. Il nome del server in standby è salvato nel project.ini del progetto. Il zenon Webclient lo salva localmente la prima volta che si connette con il Runtime Server. Il che significa: ciò significa: il Runtime Server deve essere online la prima volta in cui viene instaurata una connessione con un progetto ridondante. Nelle connessioni successive funziona il concetto di ridondanza, il che significa che il client WEB di zenon prova anzitutto a creare una connessione con il Runtime server. Se quest'ultimo non è raggiungibile, viene creata automaticamente una connessione con il server in standby.

Ridondanza del Webserver

Se, oltre al zenon Runtime-Server, anche il zenon Webserver deve essere impiegato in forma ridondante, deve accadere quanto segue:

  • si devono installare due copie del zenon Webserver su diversi computer, per le quali si deve essere in possesso della relativa licenza
  • Dovete inserire entrambe le copie del zenon Webserver nella dichiarazione delle variabili della pagina HTML, separandole mediante una virgola:

    var WEBSERVER = WEBSERVER,WEB-STANDBY-SERVER";

Webserver

Denota il computer di destinazione sul quale è stato installato il zenon Webserver. Attenzione: non è il server publishing!

var WEBSERVER = "NAME";

Ad esempio:

var WEBSERVER = "CD1111";

Nota: usare solamente delle lettere maiuscole. Nome computer senza suffisso dominio.

Initfunction

Definisce una funzione zenon che viene eseguita quando un progetto è avviato nel browser.

var INITFUNCTION = "Init";

Ad esempio:

var INITFUNCTION = "Init";

Default: "Init"

Nota: l´ortografia deve corrispondere ai nomi delle funzioni zenon (uso delle lettere maiuscole/minuscole).

Zoom

Stabilisce se si può zoomare il progetto nella browser view.

var ZOOM = "WERT";

0: OFF

1: ON

Ad esempio:

var ZOOM = "0";

Nota: l´adattamento dello zoom viene ripreso solamente al momento dell´avvio, e non quando il Runtime è già in funzione. Se si desidera una determinata dimensione, essa dev'essere definita da Active X Control.

var VERSION

Definisce la versione del zenon Webclient.

var VERSION = "WERT";

Ad esempio:

var VERSION = "6,50,1,0";

Deve essere sempre la stessa o superiore alla versione del zenon Runtime.

Ulteriori parametri

I parametri width/height indicano la posizione delle scrollbar e dimensione di ActiveX Controls (zenon Webclient) nel Browser. Il valore di default è 100%.

Info Informazioni

Se vengono parametrizzate a 105%, le scrollbar vengono sposate nell'area del browser non visibile.
I parametri ScrollV e ScrollH indicano in che direzione il Browser deve effettuare lo scroll all'avvio del client WEB di zenon. Default è 0. Potete utilizzare questa impostazione se la Vostra barra degli strumenti si trova sul margine inferiore dello schermo. Poi potete fare in modo che il browser al momento dell'avvio del progetto effettui lo scroll in quella posizione. In tal modo gli utenti vedono la barra degli strumenti subito all'avvio del progetto e non devono effettuare lo scroll.

Per VBA e altre connessioni

E´possibile implementare un Webclient-Control (CD_IClient) con l´aiuto di un´applicazione esterna (z.B. VBA, C# etc.), senza per questo dover usare il Webclient standard con Internet Explorer.

Create: in accordo con i parametri indicati (progetto, sever, webserver), può essere inizializzata una connessione per mezzo di "create" . Viene instaurata la connessione con il Runtime-Server (ActiveX inizializzato).
GetApplication: Accesso agli oggetti COM di zenon COM (interfaccia VBA) del runtime. E´possibile accedere ad oggetti runtime del progetto zenon attivo (Application.Projects.Item. ...).

Start del webclient di zenon

Con un doppio clic sulla pagina init.html nella cartella C:\inetpub\wwwroot\zenon, potete avviare e testare in qualsiasi momento il zenon Webclient.


Trattamento degli errori

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Segnalazioni di errore conosciute oppure errori di esecuzione:

  • Interruzione di funzionamento dopo il Browser Refresh
  • ActiveX control failed to load
  • ActiveX control non installato in modo corretto
  • Errori eccezionali Webclient a partire da Internet Explorer 8
  • Segnalazioni di errore HTTP
  • Init Runtime Error
  • Keyboard in Firefox
  • Max. Client raggiunti


Interruzione di funzionamento dopo il Browser Refresh

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Interruzione di funzionamento dopo il Browser Refresh

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se si utilizza Internet Explorer 6 con il Web Client di zenon, può verificarsi un'interruzione di funzionamento dell'IE, se si fa uso del pulsante Browser Refresh. Vi sconsigliamo pertanto l'uso del pulsante Refresh.

Questo pulsante provoca una cancellazione completa e di un riavvio del webclient di zenon. Il che significa che la connessione al Runtime server viene interrotta e deve essere ricreata dal Web Client.

Error 101

Se su un calcolatere client era già installato un webclient di zenon, possono presentarsi le seguenti segnalazioni di errore al momento della connessione del webclient di zenon con il webserver di zenon o con il Runtime Server:
Error 101
Il progetto XXX è stato elaborato con la versione XXX, e perciò non può essere aperto.
In questo caso:

  1. Deinstallare Webclient
  2. Riavviare il calcolatore
  3. Installare di nuovo il zenon Webclient


ActiveX control failed to load

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> ActiveX control failed to load

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause. La più probabile:

  • le impostazioni di sicurezza del browser impediscono l'esecuzione corretta dell'ActiveX control.


ActiveX control non installato in modo corretto

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> ActiveX control non installato in modo corretto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il browser visualizza solamente una X anziché il Runtime quando si apre la pagina di accesso del progetto:

  • l´ActiveX Control per il zenon Webclient non è stato installato correttamente.l
  • È stata installata una versione sbagliata del zenon Webclient


Errori eccezionali Webclient con Internet Explorer 8

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Errori eccezionali Webclient con Internet Explorer 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Errore

Il Webclient viene terminato nel caso di un errore eccezionale, se nel progetto sono contenute delle macro VSTA o VBA.

Causa

L´Internet Explorer di Microsoft dispone a partire dalla versione 8 di una proprietà per la protezione di memoria. Se essa è attiva, l´esecuzione di macro VBA provoca un errore eccezionale e la chiusura dell´Internet Explorer. VSTA attiva sempre anche VBA.

Soluzione

Disattivate la protezione di memoria nell´Internet Explorer.

Extras->Opzioni Internet->Estese->Attiva Protezione di memoria, per diminuire il rischio di attacchi online


Segnalazioni di errore HTTP

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Segnalazioni di errore HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Segnalazioni di errore e loro significato:

Inserimento | Level | Descrizione
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-POST request con un errore.
NetSrv Error Do Send HTTP failed! | ERRORS | La HTTP-POST request non ha avuto successo (per es. timeout).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Send HTTP Server failed! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella lista buffer.
NetSrv Error Do Recv HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-GET request con un errore.
NetSrv Error Do Recv HTTP failed! | ERRORS | La HTTP-GET request non ha avuto successo (per es. timeout).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di leggere un messaggio dal buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERRORS | Il pacchetto letto dalla lista buffer è troppo grande per il data buffer. Nota: a causa dell´uniformità della grandezza massima del pacchetto, che serve anche come definizione della lunghezza buffer, questo errore non dovrebbe verificarsi mai.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer.
Error Out Of Memory While Adding Data to HTTP GET Response | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la compilazione di una risposta HTTP sull´HTTP Webserver.
Error On Adding Data to HTTP GET Response | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer nella risposta HTTP.
HTTP Send Get Response Failed: [Status] | ERRORS | L´invio di una risposta a una HTTP-GET request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Receiving Data from HTTP POST | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la lettura di una HTTP-POST request sull´HTTP Webserver.
Error on Receiving Data from HTTP POST [Status] | ERRORS | La lettura dei dati dalla HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Data Block Of HTTP Post Request Too Large | ERRORS | I dati della request ricevuta superano i limiti della grandezza massima del pacchetto definita.
HTTP Send Post Response Failed: [Status] | ERRORS | L´invio della risposta a una HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Parsing HTTP Request | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante l´inoltro di una HTTP request al thread rilevante.
Memory Error on Creating Receive Buffer | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la creazione del buffer di ricezione HTTP.
Error on Creating HTTP Request Event | ERRORS | La creazione dell´evento per la ricezione di HTTP request non ha avuto successo.
Error While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore durante l´attesa di una HTTP request. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Unexpected Result While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | L´attesa di una request HTTP ha prodotto un risultato inaspettato. Lo status code è un system error code (lo si può trovare nella MSDN Library).
HTTP-Request Without ID Received | ERRORS | Nella HTTP request non c´era un ID di connessione.
Error on Extracting HTTP-Request-ID From URL | ERRORS | Non è stato possibile leggere l´ID di connessione della HTTP request.
Error: Closing HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | È stato fatto un tentativo di chiudere uan connessione che non esiste, oppure era già chiusa. Questo errore è meno critico di altri, perché la richiesta di cancellare il connection ID al momento della "pulizia" delle risorse di una connessione dopo la sua conclusione, può essere posta più di una volta.
HTTP-Request With Incompatible ID Format Received | ERRORS | L´ID di connessione nella HTTP request non ha il formato atteso.
Could Not Assign New HTTP ID Because The Map Is Full | ERRORS | Non è stato possibile accettare una nuova connessione perché non c´è più posto disponibile nella lista connessioni. La lista mette a disposizione spazio per più die 4,2 miliardi di connessioni; perciò questo messaggio non dovrebbe mai apparire.
Error During HTTP-Accept | ERRORS | Si è verificato un errore al momento dell´accettazione della connessione HTTP.
Error On Sending HTTP ID: [Status] | ERRORS | L´invio della risposta HTTP con l´ID di connessione per la nuova connessione Client non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error: HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | La risoluzione dell´ID di connessione della HTTP request non è stata possibile.
Error: HTTP Request Could Not Be Assigned To The Socket | ERRORS | Non è stato possibile inoltrare la HTTP request al thread rilevante.
Unsupported HTTP-Request Received | ERRORS | Si è ricevuta una HTTP request non supportata. Vengono supportate le request GET e POST.
Error While Receiving HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore al momento della ricezione una HTTP request.
Error on Removing HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione di un ID di connessione dalla lista. Gli ID di connessione vengono rimossi quando si chiude una connessione.
Removing HTTP Connection ID [ID] From The Map! | DEBUG | La connessione è stata chiusa e l´ID è stato rimosso dalla lista.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione dell´ID di connessione non attiva dalla lista. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DEBUG | L´ID di connessione è stato rimosso dalla lista, perché la connessione non è attiva. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Error While Waiting for HTTP Connection Map Check [Status]! | ERRORS | Il thread per controllare l´ID di connessione ha constatato l´esistenza di un errore durante l´attesa del prossimo ciclo e viene chiuso. Lo status code è un system error code (lo si può trovare nella MSDN Library).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERRORS | Non è stato possibile avviare il thread per rispondere alla HTTP request.
NetSrv Info Accept HTTP Client IP:[IP-Adressr]:[Port] Ok | DEBUG | La connessione HTTP è stata accettata con successo.
NetSrv Memory Error Do Recv HTTP failed! | ERRORS | Si è verificato un errore a causa di una memoria di lavoro troppo piccola disponibile al momento della ricezione di dati via HTTP Tunnelling.

LOG-Einträge aus CNSBlockingSocketExceptions

Level: sempre ERRORS

Inserimento: Exception text | Descrizione
Connect: HTTP Error | Il HTTP Webserver ha risposto ad una connection ID request con un errore.
Connect: ID-Data did not have the expected Format | L`ID di connessione fornito dall´HTTP Webserver non ha il formato atteso.
Connect: Server denied HTTP ID | Il HTTP Webserver ha rifiutato la concessione di un ID di connessione.
Connect: Error during ID-Acquisition | Si è verificato un errore in corrispondenza di una richiesta di un ID di connessione (per es. timeout).
HttpInitialize Failed | Non è stato possibile inizializzare HTTP Server API
HttpCreateHttpHandle Failed | Non è stato possibile creare la lista delle HTTP request
HttpAddUrl Failed | Il server non è potuto entrare in list mode


Init Runtime Error

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Init Runtime Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause:

  • II runtime non attivo sul server runtime
  • SERVERNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • PROJEKTNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • Il zenon Webserver non è avviato.

Trovate delle indicazioni concernenti le cause di errore, li trovate anche nel file zenNetErr.txt . Esso registra informazioni di rete.


Keyboard in Firefox

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Keyboard in Firefox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Se le keyboard individuali non funzionano correttamente con Firefox, tenete presente quanto segue:

attenzione Attenzione

Le immagini del tipo Keyboard adattate individualmente possono in alcuni casi non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica delle nuove finestre in background senza dargli il focus. Le immagini keyboard adattate individualmente, però, vengono chiuse non appena perdono il focus.

Soluzione: usate un altro browser, come, ad esempio, Microsoft Internet Explorer, Apple Safari oppure Google Chrome.

La cosa non riguarda le keyboard automatiche!


Max. Client raggiunti

Manuale -> zenon Webserver e zenon Webserver Pro -> Trattamento degli errori -> Max. Client raggiunti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Messaggio sul zenon Webclient.

Più Client di quelli provvisti di una licenza, cercano di connettersi al zenon Webserver.


Implementare il webserver di zenon in un ambiente Internet

Manuale -> zenon Webserver e zenon Webserver Pro -> Implementare il webserver di zenon in un ambiente Internet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. Per domande e suggerimenti riguardanti la documentazione, si prega di contattare: documentation@copadata.com

Per implementare il zenon Webserver in un ambiente Internet:

  • I firewall eventualmente esistenti devono essere configurati in modo corrispondente:
    • La Port 1102 sul Firewall deve essere aperta per pacchetti in entrata, in modo tale da permettere ad un WEB Client di zenon di accedere ad un WEB Server di zenon e, di conseguenza, ad un Runtime Server.
    • NAT (Network Address Transformation) deve essere attivo nella stazione Gateway. NAT trasforma l'indirizzo LAN interno nell'indirizzo della stazione Gateway-Station. Se, per esempio, qualcuno naviga all'interno della LAN, dall'esterno sembra che le richieste vengano inviate sempre dalla stazione Gateway.
    • Indirizzo IP statico per il webserver di zenon:
      Il Firewall della stazione Gateway deve essere configurato in modo tale da far in modo che tutti i pacchetti in entrata per la Port 1102 vengano inviati automaticamente alla stazione WEB Server di zenon. Il che significa: questa stazione deve disporre di un indirizzo IP statico.
  • La pagina iniziale di progetto deve essere adattata affinché il zenon Webclient sappia a quale stazione in Internet deve accedere. La modifica avviene in global_vars.js, oppure, nel caso di versioni più vecchie, in project_A_X.html (X rappresenta la versione lingua, come G per German) :
    • Alla voce WebServer VALUE= WEB-SERVERNAME deve essere indicato il nome del computer della stazione Gateway (la stazione visibile da Internet) e non il nome del vero e proprio WEB Server di zenon. Il vero e proprio WEB Server non è visibile da Internet. La stazione Gateway fa pervenire automaticamente le richieste del WEB Client di zenon alla Porta 1102, poi al vero e proprio WEB Server di zenon.


Driver

Driver

In questo settore trovate tutta la documentazione relativa ai driver di zenon.


Tutorial

Tutorial

In questo settore trovate tutti i tutorial di zenon.


Glossario

Glossario

In questo glossario verranno spiegati in modo sintetico tutti i concetti rilevanti contenuti in zenon.


A

Glossario -> A

a destra

Pulsante che muove il cursore sullo schermo verso destra.

a sinistra

Pulsante, che muove il cursore verso sinistra sullo schermo.

Active Directory

Il servizio di directory di sistemi operativi Microsoft Windows Server, che gestisce diversi oggetti in una rete, quali utenti, gruppi, computer, server, condivisione di file e altri dispositivi come stampanti o scanner e le loro proprietà.

Active Directory Application Mode

Versione limitata del servizio Active Directory, utilizzata per la connessione di applicazioni che necessitano di informazioni conformi LDAP.La gestione utenti di zenon è in grado, opzionalmente, di ricavare informazioni sugli utenti da questo servizio.

ActiveX

Tecnologia sviluppata da Microsoft destinata agli sviluppatori e creata per poter estendere le potenzialità e le funzioni di un'applicazione. L'ActiveX è una estensione che, integrata in un'applicazione predisposta all'utilizzo di questa tecnologia, permette di aggiungere nuove possibilità ai componenti COM standard.ActiveX (dall'inglese Active e eXtension, Estensione Attiva).

Agent

Piccolo programma che controlla i dispositivi, con i quali zenon comunica bidirezionalmente, e con il quale è possibile anche impostare alcune proprietà.

Alarm-S Segnalazione

Tipo di oggetto del driver che trasmette informazioni di un dispositivo S7-PDiag al sistema di controllo. In corrispondenza dell'offset 0 viene trasmesso il numero di segnalazione con tipo di dato UINT. Nell'offset il numero di segnalazione viene trasmesso come BOOL se la segnalazione è in attesa.

Alarm-S valore di controllo

Tipo di oggetto del Driver, che trasmette il valore di controllo di un dispositivo S7 nel sistema di controllo. Il valore di controllo contiene per esempio il numero di passi di un grafico S7.

Alarm-S Variabile

Variabile definita sul tipo di oggetto Allarm-S Segnalazione

albero di progetto

Rappresentazione grafica strutturata di tutti i progetti e di tutti i moduli in un area di lavoro.

Allarm-S Telegramma

Segnalazioni d'allarme dei sistemi Siemens Simatic S7 Pdiag.I telegrammi possono essere letti dal dispositivo con il driver S7-TCP e immessi direttamente come inserimenti d'allarme nella Lista di informazione allarmi.

Alt

Pulsante, che in combinazione con altri tasti permette l'avvio di specifiche opzioni dei programmi oppure velocizza l'esecuzione di voci di menù, per sempio la combinazione Alt+F4 per chiudere il programma.

analisi ABC

Strumento per la gestione d'affari per la pianificazione delle decisioni. Gli oggetti sono divisi in tre classi A, B e C. Semplice procedura per la ponderazione di oggetti o processi. La struttura consiste di solito in due coppie di valori bidimensionali. Questi sono inizialmente ordinati per dimensione, poi combinati e classificati per tipo. Questa classificazione fornisce un quadro approssimativo della situazione reale, da cui possono essere derivati altri approcci.

angolo 3-D

Elemento vettoriale obsoleto, utilizzato per la rappresentazione di un angolo con riempimento tridimensionale.

animazione

Tecnica con la quale viene rappresentata un'immagine in movimento tramite una sequenza di singole immagini.

Annulla

Chiude una finestra di dialogo e annulla tutte le modifiche apportate.

anteprima punti di switch

Le operazioni di switch vengono visualizzate in una lista prima dell'esecuzione.

API

Interfaccia (acronimo per 'Application programming interface') che viene fornito da un sistema software, per permettere la connessione al sistema da parte di altri software.

architettura di processore

I processori hanno una gamma di compiti molto ampia con una serie di competenze molto differenti tra loro. Di conseguenza vengono progettati processori con architetture differenti in base alle differenti finalità di funzionamento.

archiviazione per modifica valore

Per ogni cambio valore, i valori delle variabili collegate vengono salvati nell'archivio con data, ora e stato della variabile.

arco di cerchio

Elemento vettoriale che rappresenta una parte di un cerchio o di un ellisse. Con la rappresentazione trasparente è possibile visualizzarne solo la linea esterna.

area di lavoro

Area di lavoro dell'editor, nel quale vengono raggruppati i progetti. Solamente progetto inseriti in un'area di lavoro possono essere elaborati.

ASCII

American Standard Code for Information Interchange - è una codifica dei caratteri a 7 bit ed è la variante statunitense dell' ISO 646 e la base per i successivi set di caratteri e codifiche.

asse

Definisce un'asse di coordtinate. In matematica questo può riferirsi a:- l'asse X (ascissa), ovvero l'asse di coordinata orizzontale in un sistema di coordinate Cartesiane, e- l'asse Y (ordinata), ovvero l'asse di coordinata verticale nel sisteama Cartesiano.

asse tempo

Asse di un sistema di coordinate cartesiane, sul quale è indicato un intervallo temporale.

asse X

Asse orizzontale, in un sistema di assi cartesiani (ascissa).

asse Y

Asse di coordinate verticali in un sistema di assi cartesiani (ordinate).

assistente

Lavora tramite una parametrizzazione e consente la semplice creazione di oggetti complessi. A differenza dei Wizards, gli assisenti sono integrati direttamente nel prodotto e non possono essere adattati.

Automatic Line Coloring

Automatic Line Coloring è un modulo che permette la colorazione di linee (rappresentati da linee, quadrati o linea di elementi di pittura vettoriale) a seconda degli stati di processo. Come elemento di progettazione per questa funzionalità viene utilizzato l'Elemento Combinato. L'ALC è utilizzato per la semplice dinamicizzazione automatica delle linee nell'applicazione e nelle reti topologiche per l'energia elettrica.

Automazione

Trasferimento delle attività da uomo a macchina o sintesi di processi ricorrenti.

AVI

Acronimo di "Audio Video Interleave", è un formato video definito da Microsoft . "Audio Video Interleave " significa che i dati audio e video sono 'intrecciati', e quindi salvati in modalita "interleaved".

AWL

Uno dei 5 linguaggi standardizzati IEC 61131-3 per la programmazione dei controllori a logica programmabile (PLC), utilizzato principalmente per il collegamento logico di ingressi e uscite. La sintassi è basata su un linguaggio assembler e consente solo possibilita molto complesse di strutture 'a salto'. Come vantaggio si ha pero la possibilità di una occupazione CPU estremamente ridotta.


B

Glossario -> B

Backspace

Tasto che cancella i caratteri alla sinistra del cursore.

Backup

Memorizzazione di dati (ad esempio, progetti o aree di lavoro) per un eventuale successivo ripristino.

Bargraf

Elemento dimanico per la visualizzazione analogia di una grandezza di un segnale. La grandezza delle suddivisioni cambia con la grandezza del segnale.

barra degli strumenti

Una linea, una colonna o un blocco di pulsanti che vengono visualizzati sullo schermo. Se si fa clic su questi pulsanti, vengono eseguiti i relativi comandi.Le barre degli strumenti possono essere spostate ed adattate allo schermo e l'impostazione viene memorizzata nei profili dell'editor. Le barre degli strumenti sono disponibili solamente nell'ambiente di sviluppo.

barra del titolo

Una barra orizzontale nella parte superiore di una finestra, di una finestra di dialogo o di una barra strumenti, che visualizza il nome del documento, del programma o della barra degli strumenti.

barra di scorrimento

Strumento grafico per muoversi sullo schermo lungo un asse orizzontale o verticale.

Barra stato allarmi

Linea di informazione, che durante il Runtime viene sempre posizionata in primo piano rispetto a tutti gli altri programmi in esecuzione, e che visualizza o l'allarme piu recente o il piu vecchio.

binario topologico

Elemento dinamico per la colorazione di linie in una rappresentazione topologica di reti elettriche. Disponibile solamente per SICAM 230.

Bitmap

Formato grafico bidimensionale sviluppato dal Microsoft per Windows e OS/2, e introdotto per la prima volta con Windows 3.0. L'estensione del file è '.bmp', raramente '.dib'.

Blocco dati

Area dati in un dispositivo Siemens.

blocco note

Tipo di immagine, con la quale è possibile visualizzare ed elaborare dei file di testo.

Blue Screen of Death

È la descrizione di una specifica categoria di errori che appaiono in particolare nei sistemi operativi Microsoft Windows. L'interfaccia utente del sistema operativo è completamente sostituita da una schermata blu dove appaiono con testo bianco le informazioni di errore.

Breakpoint

Identifica un punto in un programma, al quale, non appena viene raggiunto, un Debugger si ferma durante la correzione degli errori.

buffer circolare

Un buffer circolare salva continuativamente i dati durante un processo. Se lo spazio a disposizione esaurisce, i dati vengono sovrascritti secondo le modalita FIFO (First In-First Out) oppure LIFO (Last In-First Out).

Build

Le Builds contengono correzioni di errori. Ad ogni compilazione del programma, viene aumentato il numero della Build. Queste compilazioni vengono messe a disposizione di clienti specifici. Le Builds sono soggette solo in parte al processo di garanzia di qualità del prodotto. Tutte le build vengono raggruppate poi in un Service Pack, in cui viene pienamente garantita la qualità.


C

Glossario -> C

campo di inserimento

Elemento di controllo utilizzato per l'immissione di caratteri.

Canc

Tasto che cancella i caratteri alla destra del cursore.

cancellare modifiche

In un progetto multiutente rende gli elementi/moduli nuovamente disponibili per le modifiche, senza salvare i cambiamenti sul server centrale. Le modifiche vengono sostituite dal server e di conseguenza vengono perse.

cartella

Con una cartella vengono organizzati i file su un dispositivo, come programmi e documenti. Le cartelle possono contenere sia file che altre cartelle.

cartella Runtime

In questa cartella vengono salvati i dati generati a runtime dal progetto. Il percorso viene impostato al momento dell'impostazione del progetto di avvio nel file zenon6.ini.Il percorso della cartella runtime può essere modificato nelle proprietà del progetto.Nella cartella Runtime, vengono create una sottocartella con nome 'RT' e una sottocartella che ha per nome il nome del PC dove viene eseguito il Runtime. Nella cartella RT si trovano tutti i dati Runtime, generati dall'ambiente di sviluppo. Nella cartella con il nome del PC si trovano i file che vengono generati durante l'esecuzione del Runtime.

casella di scorrimento

Elemento grafico nella barra di scorrimento per spostare il contenuto visualizzato orizzontalmente o verticalmente. Il rapporto tra la casella di scorrimento e la barra di scorrimento, corrisponde al rapporto tra il contenuto totale e il contenuto visualizzato nell'elemento.

causa allarme

Cause definibili liberamente per il verificarsi di un allarme nell' Industrial Performance Analyzer. Le possibili cause di allarme vengono memorizzate in un elenco e possono essere assegnate agli allarmi IPA. Le cause di allarme possono essere utilizzate come criterio per i filtri.

Checkbox

E' un elemento standard in un Software con un interfaccia grafica (GUI). Una checkbox ha generalmente 2 stati, raramente 3 o più.

click con tasto sinistro

La pressione del tasto sinistro del mouse.

Client

Un programma che comunica con un altro programma, il server, per ricevere l'accesso a servizi (funzionalità) e / o dati.

CoDeSys

Dispositivo IEC 61131-3 della ditta 3S

colore assi

Colorazione di un asse nel sistema di coordinate Cartesiane.

colore sorgente

Ogni sorgente nell'Automatic Line Coloring ha una linea e un colore di riempimento. Con questo colore verranno colorati tutti gli elementi connessi con la sorgente.

comando

Si riferisce all'impostazione di valore di un particoplare set-point nel settore Energy. Nello specifico, tramite una variabile (la variabile di azione) viene settato il valore, mentre tramite una seconda variabile (variabile di riconoscimento) il valore viene riletto. Prima che un comando venga eseguto, vengono controllate tutte le consizioni di interblocco (topologiche come gli interblocchi di comando). Allo stesso modo, il sistema controlla se il dispositivo permette l'impostazione di valore - Select Before Operate.

comando driver

Un comandio, tramite il quale è possibile impostare il driver in uno specifico stato di funzionamento. Esempio: start del driver, stop del driver ecc.

combinazione tasti

Premendo simultaneamente dei tasti viene eseguita un'operazione.

Combo-/Listbox

Elemento dinamico, che visualizza un testo in una lista di selezione, a seconda del valore di una variabile. Selezionando una voce in lista, viene impostato nella variabile il valore configurato per quella specifica voce, oppure viene lanciata la funzione corrispondente. La visualizzazione può essere in forma di Combobox oppure di Listbox.

compilare

Con la compilazione, da un programma scritto in un linguaggio di programmazione (codice sorgente) viene generato un programma un linguaggio in un linguaggio semanticamente equivalente.

compilatore

In informatica, un compilatore è un programma che traduce una serie di istruzioni scritte in un determinato linguaggio di programmazione (codice sorgente) in istruzioni di un altro linguaggio (codice oggetto). Generalmente corrisponde nella traduzione di un codice sorgente, scritto in un linguaggio di programmazione, in codice macchina, codice binario o codice assembler.

confermare modifiche

In un progetto multiutente, tutte le modifiche apportate in un progetto locale vengono trasferite al progetto sul Server.

connessione di processo

Il progetto comunica con i dispositivi (driver in modalità hardware).

contatore cicli di funzionamento

Una variabile, che viene utilizzata per il conteggio delle operazioni di switch (In/Out) eseguite da un dispositivo.

contatore ore di funzionamento

Variabile utilizzata per la misurazione del tempo di funzionamento di un dispositivo.

controllo ActiveX

Un elemento dinamico del sistema o un elemento di controllo per VBA / VSTA basato sulla tecnologia Microsoft ActiveX.

controllo spin

Elemento di controllo, formato da 2 pulsanti con 1 freccia ciascuno, una verso l'alto e una verso il basso. Questo elemento permette all'utente di navigare in un range prestabilito di valori. Utilizzando i tasti-freccia, il valore viene incrementato o decrementato di 1.

ControlLogix

Dispositivo di Allen-Bradley (Rockwell) che combina un dispositivo di controllo flusso, di controllo assi e di controllo di processo. Logix definisce una piattaforma universale di controllo che integra sistemi in precedenza separati.

conversione di unità

Unità di misura, il cui valore viene calcolato dall'unità principale in base al cambio di unità: il valore viene moltiplicato secondo un fattore e spostato di un offset. Inoltre può essere specificato uno spostamento del punto decimale.

copia locale di progetto

Immagine di un progetto centralizzato, associata con il server. Tutte le modifiche in un progetto multi utente vengono trasmesse e salvate tramite la procedura di conferma delle modifiche.

CSV

Character Separated Values - descrive la formattazione di un file di testo, per il salvataggio o lo scambio di dati strutturati.

cursore

Anche: cursore di inserimento, cursore di scrittura: definisce in un programma per computer, la posizione attuale di elaborazione.

curva

Elemento vettoriale, che visualizza una parte di cerchio.

curva trend

Mostra il corso per i valori di una variabile. La curva può rappresentare valori diretti della variabile (Trend online) oppure dei valori archiviati (Trend storico).Le curve possono essere visualizzate nel modulo Trend Esteso o nell'elemento Trend online.


D

Glossario -> D

database-SQL

Sistema di database per la gestione dei dati elettronici, che supporta un linguaggio di query SQL (Structured Query Language). Di solito si tratta di un database relazionale.

dati Runtime

Dati, creati e gestiti dal Runtime, per esempio dati della lista di informazione allarmi, della lista eventi cronologica, archive server.. Sono compresi anche i dati creati dall'Editor (file Runtime) e che possono essere modificati a Runtime, come per esempio i file per ricette standard, manager gruppi di ricetta, gestione user ecc.

dato ritentivo

Dati salvati su un dispositivo di memoria non volatile, in modo che siano conservati anche dopo l'arresto del programma o lo spegnimento del dispositivo.

dBase

dBASE è stata la prima applicazione di database (più precisamente, un sistema di gestione di database) ampiamente utilizzati per microcomputer, ed è stato sviluppato dalla società Ashton-Tate per il sistema operativo CP / M. Successivamente, la gestione database venne portata anche su piattaforma IBM con sistema operativo DOS. L'idea di base del sistema di dBASE è quello di mantenere le tabelle di un database in file appositamente strutturati (estensione DBF = DataBaseFile).

Decluttering

Funzionalità dell'immagine globale: a seconda del livello di zoom, gli oggetti vengono visualizzati o nascosti. In questo modo si aumenta la chiarezza.

definizione di impianto

Un modulo che consente di raggruppare oggetti in gruppi di apparecchiature, in forma di albero gerarchico. Le variabili, le ricette, le funzioni, archivi, ecc possono essere assegnati a questi gruppi di apparecchiature tra i vari progetti. In Editor e Runtime è disponibile anche un filtro basato su questi gruppi. Questo tipo di progettazione può essere effettuata solo in un progetto globale.

deviazione attuale

Differenza tra il valore effettivo e il valore desiderato.

Diagnose Client

Programma che si connette via TCP / IP con il Diagnose Server e invia a quest'ultimo i messaggi d'errore. Ogni programma zenon opera come Diagnose Client.

Diagnose Server

Programma per l'analisi degli errori: i log di errore vengono inviati dai client al server e da quest'ultimo vengono salvati in file di LOG. Il Diagnose Server è integrato nel Transport Service.

diagnosi variabili

Tipo di immagine, per per la visualizzazione dei valori, dei timestamp e degli stati delle variabili. E' possibile anche impostarne direttamente i valori.

Diagnosis Viewer

Programma che via TCP/IP si connette con il Diagnose Server e visualizza i file di Log disponibili. Il programma può inoltre connettersi online o rileggere i dati storici, e rappresentarli anche tramite filtri.Inoltre permette la configurazione del Diagnose Server.

diagramma

Rappresentazione grafica di dati, per esempio in una curva. Le singole curve sono poi riassunte in un grafico. Nel Trend Esteso, il diagramma viene mostrato nell'apposita finestra di diagramma.

dinamicizzazione

In dipendenza dal valore di una variabile, viene fatta una modifica di visualizzazione. Le forme di dinamicizzazione possono essere molteplici: cambio colore, lampeccio, visualizzazione di diversi file grafici, modifica della posizione, rotazione, visibilità ecc.

dispositivo di riconoscimento corto circuito

Un dispositivo di protezione in linea per individuare cortocircuiti in un elemento della rete.

Dongle

Hardware, che protegge il software dall'uso non autorizzato.

Dongle di rete

Hardware, nel quale viene impostato un numero preciso di licenze disponibili. Le licenze sono raggiungibili via rete.

Drag&Drop

Indica lo spostamento di un elemento trascinandolo con il mouse.

driver

Programma o modulo per computer, che stabilisce un'interazione con dispositivi integrati o collegati. Per fare questo utilizza delle connessioni al bus o ad altri sistemi di comunicazione, ai quali il dispositivo è collegato, per poter inviare e ricevere dati e/o segnali.

driver Bus

E' un programma o modulo, che lavora per l'interazione con i dispositivi di campo collegati.

driver di simulazione

Driver, sul quale è possibile creare variabili, pensate per il salvataggio di informazioni, che non devono/possono essere scambiate con un dispositivo. Contrariamente al driver interno, questo driver ha un'indirizzamento numerico e i valori delle variabili possono essere modificate tramite diverse funzioni di incremento e decremento.

driver di sistema

Driver integrato nel Runtime, che mette a disposizione delle variabili predefinite. Queste mettono a disposizione informazioni sul progetto e sul computer sul quale è stato avviato il progetto.

driver interno

Driver integrato nel Runtime, pensato per potervi creare variabili adibite al salvataggio dati, senza comunicazione con i dispositivi hardware.

driver matematico

Driver integrato nel Runtime, che mette a disposizione formule matematiche.

driver-PLC

Programma o modulo per computer, che fornisce un'interazione con i dispositivi collegati.


E

Glossario -> E

Editor

Interfaccia grafica utente per la creazione, l'editing e la manutenzione dei progetti zenon.

Editor CE

Editor specifico per progetti Windows CE, impostato per progettare solamente le funzionalità compatibili con Windows CE.

editor Form modelli

Interfaccia utente grafica con la quale è possibile definire i Form dei modelli.

editor modelli

Interfaccia grafica utente, con la quale è possibile definire grandezza e posizione del modelli.

EIB

Standard in base a EN 50090, e nella versione attuale KNX anche Standard ISO / IEC 14543-3. Descrive come collegare insieme sensori e attuatori su un impianto di domotica, e definisce il modo in cui devono comunicare (protocollo).

elemento collegato

(1) Un elemento che viene utilizzato in un altro elemento, per esempio: un valore numerico è associato a una variabile e visualizza il suo valore. (2) Ogni elemento che serve come base per l'elemento, per esempio: Un tipo di dati e un driver per una variabile.

Elemento combinato

Elemento dinamico universale, che permette la visualizzazione di diversi aspetti grafici: immagini, simboli dalla libreria, simboli in immagine, testi. La rappresentazione viene determinata dal valore della variabile principale o di variabili aggiuntive. E' possibile:-visualizzare informazioni sullo stato della variabile-impostare stati collegati a delle formule-associare gli stati della variabile principale direttamente nell'elemento-configurare elementi di processo per l'Automatic Line Coloring

elemento di comando

Elemento dinamico, conm il quale è possibile eseguire funzionalità del modulo comandi.

elemento di controllo

specifici elementi per ogni tipo di immagine, con i quali è possibile controllare e comandare il dispositivo. Questi possono avere l'aspetto di pulsanti, testi statici, combobox, listbox, con rappresentazione statica o tabellare, campi di inserimento, radiobutton, calendario, data e ora.

elemento di rete

Parte di una rete elettrica. Per esempio: cavo, generatore, switch, trasformatori ecc. Per visualizzarle in pagina vengono utilzzati un elemento combinato assieme a linee, polilniee e tubature.

elemento di segnalazione

Elemento dinamico, che a seconda dei valori di 2 variabili visualizza un testo da un file testuale.

elemento di simbolo

Singolo elemento dinamico o elemento vettoriale, inserito all'interno di un simbolo

elemento di stato

Elemento dinamico, che trasmette al simbolo le proprietà della variabile collegata come p.e. colori, lampeggio ecc. e che visualizza il testo statico del valore limite.

elemento di struttura

Parte di un tipo di dato strutturato. Può basarsi su un tipo di dato semplice come pure a sua volta su un tipo di dato strutturato. Per tipi di dato semplici, può essere specificato se questo deve essere collegato o indipendente. Per indipendente si intende che viene effettuata una copia del tipo di dato e tutte le proprietà vengono rese disponibili come elemento della struttura. Per i tipi di dati collegati, viene creata solamente un riferimento al tipo di dato. Tutte le proprietà vengono ereditate dinamicamente da quest'ultimo.

elemento d'immagine

Tutti gli elementi (simboli, elementi vettoriali e dinamici, elementi di controllo) inseriti in un'immagine.

elemento dinamico

Un elemento dinamico rappresenta i valori delle variabili in forma grafica. La gestione interna è basato su vettori. Di conseguenza è possibile un ridimensionamento senza perdita di dettagli e dati.

elemento trend

Elemento dinamico per la rappresentazione di valori sotto forma di curve di diagramma.

elemento vettoriale

Un elemento vettoriale, è un elemento di visualizzazione grafica. La gestione interna di questo elemento è basata su vettori. In questo modo sono possibili ridimensionamenti senza perdita di dati. Al contrario di un elemento dinamico, non vengono rappresentati valori di variabili.

Energy Management System

Strumento di supporto per la gestione aziendale. E 'utilizzato per implementare una gestione energetica di riferimento per piccole e medie imprese di produzione energetica.

evento

Un evento viene utilizzato nell'ingegneria del software per controllare il flusso di programma. Il codice non viene eseguito in modo lineare, ma verranno lanciate particolari routine a seconda di eventi particolari generati durante l'esecuzione del programma.

evento CEL

Una violazione di un limite, che genera un inserimento nella lista eventi cronologica.


F

Glossario -> F

FDA 21 CFR Part 11

Normativa di sicurezza per il salvataggio di informazioni con timestamp generate da computer, protocollando data e ora di tutte le operazioni utente di inserimento, modifica o cancellazione di informazioni.

file CSV

File, contenente dati formattati in formato CSV (Character Separated Value).

file di progetto-S7

File per programmi-S7, che può essere elaborato in ambiente Siemens Step 7. Le variabili possono essere importate nella lista variabili tramite l'Import-S7.

file HTML

File di testo, strutturato secondo lo standard HTML del W3C.

file LOG

File di testo, nel quale vengono salvati i messaggi d'errore del protocollo.

file Runtime

Dati creati dall'Editor, che vengono letti e interpretati dal Runtime. Alcuni file Runtime vengono modificati dal Runtime stesso durante l'esecuzione del progetto, per esempio le ricette standard, il manager gruppi di ricetta ecc. I file Runtime vengono creati nella cartella Runtime.

file Step 7

File di progetto per l'ambiente di programmazione Siemens Step 7. Le variabili di questo progetto possono essere importate nella lista variabili tramite l'importazione-S7.

file XML

File di testo, scritto con la sintassi del linguaggio Extensible Markup Language.

Filtro per Lista Eventi Cronologica

Tipo di immagine, con la quale è possibile progettare delle immagini di filtro per la Lista Eventi Cronologica.

Filtro per lista informazione allarmi

Tipo di immagine, con la quale è possibile progettare liberamente immagini di filtro per la Lista di informazione allarmi.

filtro tempo

Filtro configurabile per limitare i dati visualizzati in un determinato periodo di tempo. Esistono filtri assoluti (da - a) e filtri relativi (da ora fino ad un determinato periodo di tempo).

Fine

Tasto che posiziona il cursore nell'ultima posizione possibile nel campo di inserimento.

finestra

In editor sono disponibili diverse finestre riposizionabili, ridimensionabili e a scomparsa. Ogni finestra mostrerà uno specifico contenuto. Per esempio, la finestra di output mostra tutte le informazioni di caricamento progetti e la creazione dei file Runtime. Posizione e dimensioni delle finestre sono memorizzate nei profili Editor.

finestra di controllo

Un'area di visualizzazione durante il Runtime, che permette di visualizzare una progetto multimonitor su un unico schermo.

finestra di diagramma

La finestra di diagramma visualizza un diagramma

finestra di dialogo

Una finestra di Popup, nella quale possono essere impostate delle proprietà.

Finestra di emissione

Sezione in cui vengono visualizzati i messaggi relativi al trasporto remoto e di Runtime.

Finestra proprietà

Area di visualizzazione, che visualizza le proprietà degli elementi selezionati.

First In First Out

Definisce ogni metodo di salvataggio, nel quale il primo elemento salvato, sarà il primo elemento che viene estratto in fase di lettura dei dati. Il principio opposto viene definito Last In First Out (LIFO).

focus

Seleziona e attiva un elemento da un gruppo di oggetti, e ne consente la ricezione di eventi da tastiera da parte dell'utente.

foglio di licenza

Documento che contiene la licenza rilasciata. Il documento di licenza descrive, tra le altre cose, la lista dei prodotti, il numero di serie, il numero di attivazione, e nelle licenze software, il numero di licenza.

Font di dialogo

Carattere utilizzato nelle finestre di dialogo standard durante il Runtime.

formula

Formula matematica, che può essere utilizzata,per esempio, in un driver matematico, in un Report o in un interblocco.

forzare

Impostare manualmente il valore in una variabile. Il valore precedente viene sovrascritto in ogni caso. Al termine del ciclo, può essere nuovamente richiesto dall'applicazione e visualizzato in un valore ricalcolato.

freccia di scorrimento

Elemento grafico nella barra di scorrimento per il movimento orizzontale o verticale della casella di scorrimento.

fronte positivo

Il cambio di valore di una variabile da un valore più piccolo ad uno più grande.

funzionalità

Comanda l'esecuzione di un'azione, come p.e. l'apertura di un'area di lavoro o l'avvio di un Wizard. Ad ogni pulsante nella barra degli strumenti dell'ambiente di sviluppo è associata una funzionalità. Con un click di mouse sul pulsante la funzionalità viene eseguita.

funzione

Un'azione predefinita che può essere avviata durante il Runtime, per esempio un cambio immagine oppure un'operazione file ecc.

funzione specifica per il tipo di immagine

Funzione, disponibile per un elemento, solamente se questo viene utilizzato in un definito tipo di immagine.

FUP

Uno dei 5 linguaggi di programmazione definiti nella normativa IEC 61131 per dispositivi a logica programmabile (PLC). Sostituito dal CFC.


G

Glossario -> G

generatore Report

Strumento per la crazioen di report. Ci sono a disposizione funzioni per la lettura di dati dai vari moduli disponibili, come per esempio dalla lista di informazione allarmi, dalla lista eventi cronologica, dall'archive server, valori di variabili, da banche dati SQL ecc. Per i dati d'archivio, c'è la possibilità di modificarli e di scriverli nell'archivio come modifiche manuali. I dati possono essere inoltre essere formattati a piavere e/o ricalcolati con formule. I report che ne risulteranno, possono essere visualizzati, stampati o salvati su file.

gestione monitor

Utilizzato per la gestione di dispositivi di visualizzazione di immagini e per la gestione delle risoluzioni di visualizzazione. Per sistemi ad un solo monitor deve essere impostata la soluzione ottimale per il target dove verrà eseguito il runtime, come pure se la visualizzazione deve essere adattata automaticamente alla risoluzione dello schermo. Per sistemi multimonitor vengono definite la quantità di monitor e la loro posizione, e inoltre l'assegnazione dei monitor virtuali a quelli reali.

gestione user

Programma o parte di programma, nel quale vengono definiti quali utenti esistono nel sistema, con quali regole possono accedere ad esso e quali autorizzazioni hanno.

GIF

Graphics Interchange Format è un formato grafico, con una buona compressione senza perdita per le immagini con profondità di colore bassa (fino a 256 colori diversi per ogni frame). In aggiunta, diverse immagini possono essere memorizzate in un singolo file ed essere visualizzate come animazione.

grafica

E' il termine collettivo per definire tutti i disegni artistici o tecnici e le illustrazioni.

grafica di sfondo

Grafica esterna, visualizzata come immagine di sfondo dietro tutti gli elementi in pagina.

grafica vettoriale

È composta da primitive matematiche, descritte su piano bidimensionale, come linee, cerchi, poligoni o curve. La grafica vettoriale permette, a differenza della grafica raster, il ridimensionamento senza perdita di dati.

granularità

Specifica il numero di posizioni in cui i valori sono letti da un PLC. Per esempio, i valori sono letti da un PLC Siemens S7 in area Merker con la granularità di byte. Pertanto, non si può leggere singolarmente un bit.

griglia

Suddivisione uniforme di una superficie, di un volume o di una quantità. Utilizzati per la selezione, l'orientamento, l'ordinamento o la distribuzione.

gruppo di impianti

Elemento di progettazione, con il quale è possibile ordinare ogni singolo elemento (variabili, ricette, funzioni, archivi ecc.) appartenente all'impianto.

gruppo di ricetta

Il gruppo di ricetta raggruppa le ricette RGM nel Manager di gruppi di ricetta. Nel gruppo di ricetta vengono definite le variabili e i valori min./max. possibili. Queste definizioni sono valide per tutte le ricette definite nel gruppo.

gruppo utenti

Sintesi di uno o più livelli di autorizzazione sotto un unico nome. I gruppi di utenti possono essere assegnati agli utenti.

Guida delle proprietà

Finestra nell'editor, che descrive brevemente la proprietà attualmente selezionata.

guida in linea

Guida disponibile direttamente nel programma.


H

Glossario -> H

Hard-PLC

Hardware in esecuzione in un armadio PLC. Per esempio, micro-PLC, PLC compatto, hardware PLC modulare , Pannello PLC, PLC embedded , ecc

Header

Parte superiore di una tabella, che contiene i nomi delle colonne.

host di destinazione

Indirizzo IP o l'hostname del sistema di destinazione.

Hot Restart

In Straton, Hot Restart significa riavviare un'applicazione, in modo da avere, nelle variabili, gli stessi valori che avevano al momento dello stop dell'applicazione.

HTML

È un testo basato su linguaggio di markup per strutturare i contenuti come testi, immagini e collegamenti ipertestuali nei documenti. Nelle immagini HTML vengono visualizzati i contenuti HTML.


I

Glossario -> I

ID di prodotto

Come prima parte del numero di serie, c'è un ID di prodotto univoco, che identifica in modo univoco la licenza. Nelle licenze hardware, l'ID di prodotto corrisponde al numero del dongle.

identificazione

Testo liberamente impostabile per l'identificazione di una variabile o di un tipo di dato. Complementare al nome della variabile/tipo di dato.

identificazione di impianto

Identificatore aggiuntivo per le variabili, che permette di filtrarle nell Industrial Performance Analyzer. Un'identificazione di impianto può essere definita come prefisso per il nome o per l'identificazione della variabile.

identificazione utente

Identifica univocamente un utente e non può essere modificata successivamente.

IEC 61131-3

Specifica la sintassi e la semantica dei linguaggi di programmazione per i controllori logici programmabili (PLC), come in parte 1, IEC 61131 definisce. Le lingue sono definite le seguenti: 1.) IL-Instruction List, lista istruzioni: Simile a Assembler 2.) LD Ladder Diagram, LD - Ladder Diagram: paragonabile ad una schema elettrico del circuito ruotato di 90 ° 3.) FBD - Function Block Diagram, FBD - Function Block: parziale (noto soprattutto per Step 7), FUP (piano di funzione). 4.) SFC - Sequential Function Chart, AS - SFC: Una sorta di diagramma di stato, nota come Step7 in S7-Graph. La IEC 61131-3:2003 prevede la SFC come uno sviluppo di Grafcet alla EN 60848 5.) ST - Structured Text, ST - Structured Text: Basato su alto lingue livello, di cui al punto 7, come SCL (Structured Control Language). 6.) CFC - Continuous Function Chart; CFC - Continuous Function Chart: non fa parte della IEC 61131-3: interfaccia grafica di progettazione, in particolare per sistemi e blocchi.

immagine

Una zona definita del monitor che include elementi/oggetti rappresentanti Macchine, dispositivi e/o processi e ne permette l'utilizzo, il monitoraggio, la valutazione. Esistono diversi tipi di immagini, che hanno integrate delle funzionalità predefinite. Le immagini sono sempre basate su modelli, che ne definiscono la posizione sullo schermo. Inoltre è possibile visualizzare contemporaneamente piu immagini sullo stesso o su piu monitor.

immagine del driver

Ogni driver gestisce internamente gli stati di processo cosi come gli stati di segnale. Le modifiche vengono sincronizzate con l'immagine di processo.

immagine di caricamento

Finestra con varie informazioni, che viene visualizzata all'avvio del programma.

immagine di processo

L'immagine di processo rappresenta lo stato attuale del Processo. Viene tenuta in memoria dal sistema di controllo e viene aggiornata dai driver. Ogni richiesta di valore online in un modulo(per esempio immagini, archiviazione dati ecc.) viene gestita dall'immagine di processo.

immagine di simulazione

Area di memoria in cui vengono salvati tutti i valori di simulazione.

immagine Keyboard

Immagine rappresentante una tastiera.

immagine popup

Immagine a Runtime, che copre parzialmente le altre immagini.

impianto

Insieme pianificato di componenti in un ente con un preciso scopo/compito.

impianto di confezionamento

Insieme di macchine, adibite all'impacchettamento automatico di prodotti.

importazione offline

Estrazione e importazione di dati da un file sorgente, p.e. CSV o XML.

Import-S7

Le variabili di un progetto-S7 vengono importate tramite l'import-S7 nella lista variabili.

imposta valore

Trasmette un valore dal sistema di controllo al dispositivo.

impostare ricetta

Trasmettere una ricetta dal sistema di contrllo al dispositivo.

impostazioni ActiveX

Parametri che gestiscono il funzionamento di un elemento ActiveX.

impostazioni di colonna

Definisce la larghezza della colonna, le intestazioni di colonna, la sequenza di righe, la modalità di ordinamento, la visualizzazione della griglia, i colori di sfondo, ecc.

impostazioni di diagnostica

Definisce quali informazioni devono essere inviate al Diagnose Server.

impostazioni griglia

Definizione dei parametri di una griglia, per esempio la spaziatura tra le righe.

in giù

Pulsante che sposta il cursore sullo schermo verso il basso.

in sù

Pulsante che sposta il cursore nello schermo verso l'alto.

indice di partenza

Definisce il punto di partenza di un Array.

indipendente

Esiste indipendentemente da altri componenti.

indirizzamento

L'indirizzamento definisce come può essere localizzata un'area di memoria.

indirizzo

Definisce un'area di memoria in un PLC.

indirizzo di rete

Per il driver TCP/IP: assegnazione di una variabile ad un numero di connessione, quando il driver ha più configurazioni simultaneamente. Per driver seriale: indirizzo bus o di stazione, del dispositivo che fa parte della rete.

indirizzo IP

Vengono utilizzati nelle reti di computer basate su protocollo internet (IP) per scambiare dati da un mittente ad un destinatario. Lo scopo di un indirizzo IP è quello di poter identificare in modo univoco un destinatario.

Industrial Maintenance Manager

Modulo per la gestione e la manutenzione di macchinari. Possono essere progettati e gestiti gli eventuali intervalli di servizio. E' possibile immediatamente i dispositivi, le attrezzature, i macchinari, ecc che oggi / questa settimana / mese prossimo devono essere sottoposti a manutenzione. Allo stesso modo, è possibile registrare quali manutenzioni sono state programmate in passato. Il modulo memorizza i dati in qualsiasi database ODBC SQL compatibile.

Industrial Performance Analyzer

Modulo per valutare statisticamente i dati di allarme e individuare punti deboli dell'impianto. Vengono identificati gli errori che si verificano più frequentemente e che possono causare la maggior parte dei tempi di inattività. Il Runtime scrive le informazioni sugli allarmi (quando si utilizza il Production & Facility Scheduler) in un database ODBC SQL compatibile. E' possibile memorizzare più informazioni da diversi Runtime in un database centralizzato. In questo modo è possibile l'analisi dei dati da diversi impianti / sistemi.

inizio

Pulsante, che posiziona il cursore nell'angolo in alto a sinistra dello schermo, o all'inizio di una casella di inserimento testo.

Ins

Pulsante, che imposta degli inserimenti definiti tramite tastiera.

inserimento CEL

Un singolo evento, registrato nella Lista Eventi Cronologica.

interfacce di programmazione

Offrono la possibilità di ampliare gli strumenti di programmazione funzionale come PCE, VBA e VSTA.

interfaccia ActiveX

Consente di passare dati/comandi di controllo ad un elemento ActiveX

interfaccia EIB

Interfaccia, che soddisfa lo standard EIB.

interfaccia SAP

Modulo per lo scambio dati di valori e di allarmi delle variabili con un sistema SAP esterno.

interruttore

Elemento dinamico, che visualizza il valore di una variabile binaria e ne permette la modifica. Può essere utilizzato anche come pulsante.


J

Glossario -> J

JPG

Formato grafico sviluppato dal gruppo di esperti per il Joint Photographic Experts Group standard JPEG. Lo standard di compressione delle immagini JPEG descrive, ma non specifica come i dati risultanti saranno memorizzati. Sono comunemente denominati "i file JPEG o file JPG" i file grafici in formato 'JPEG File Interchange Format' (JFIF). JFIF è solo un modo per memorizzare i dati JPEG.


K

Glossario -> K

Keyboard

È un dispositivo virtuale di input che viene visualizzato sullo schermo. Contiene una serie di controlli che permettono di inserire caratteri.


L

Glossario -> L

Ladder Diagram

Uno dei cinque linguaggi standard IEC 61131 per i controller a logica programmabile (PLC). Questo linguaggio grafico è basato su schemi di circuito, ed è particolarmente adatto per collegare i controlli.

Last In First Out

Definisce qualsiasi metodo di salvataggio dati, che preveda che l'ultimo elemento salvato, sarà anche il primo ad essere estratto per la lettura. L'opposto di questo principio è il metodo First-In-First-Out (FIFO).

libreria simboli di progetto

Posizione specifica di salvataggio per i simboli. Per il raggruppamento, vengono utilizzate le informazioni dei metafile. A differenza della libreria globale dei simboli, viene integrata nel backup del progetto.

libreria simboli globale

Banca dati centralizzata per i simboli, utilizzabili in ogni progetto. Ogni gruppo della biblioteca corrisponde ad un file, salvato localmente sul pc dove è installato l'Editor. Sopratutto nella progettazione distribuita e nel trasferimento dei progetti, è importante fare attenzione che i gruppi non necessari non siano trasportati. Nel backup di progetto vengono salvati solamente i simboli della libreria di progetto.

licenza

Concede all'utente il diritto di utilizzare il software. I diritti di utilizzo sono definiti nel contratto EULA - End User License Agreement.

licenza Dongle

Vincola l'utilizzo del software alla presenza di un Dongle sul computer o di rete.

licenza Dongle

Tipo di licenza, legata ad un dongle. Al contrario della licenza software questo tipo di licenza non è legata alla configurazione hardware di un computer, e di conseguenza è portabile su altri PC.

linea di produzione

Sistema di produzione automatizzato, nel quale diverse stazioni di lavorazione sono connesse tra loro da un sistema di flusso di materiali a partire da una linea iniziale. Diversi prodotti possono richiedere diverse linee di produzione, che possono utilizzare differenti vie di completamento.

linea topologica

Elemento vettoriale per la colorazione di linea per rappresentazioni topologiche di reti elettriche. Disponibile solamente per SICAM 230.

lista a cascata

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

Lista di informazione allarmi

Gestione centralizzata degli allarmi del sistema. La lista di informazione allarmi comprende una doppia gestione: gestione a buffer circolare in memoria e salvataggio dati su file su disco fisso.A differenza della Lista Cronologica Eventi, la gestione allarmi comprende 3 informazioni temporali: allarme entrato, uscito, riconosciuto.

Lista Eventi Cronologica

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

lista incrociata

Rappresentazione di una interrogazione incrociata all'interno di un progetto, ad esempio per capire in quale punto del progetto stesso vengono utilizzate determinate variabili o pagine.

Listbox

È un elemento standard di un software con interfaccia utente grafica (GUI). E 'utilizzato per visualizzare le voci selezionabili dall'utente in forma di elenco. Le voci sono normalmente in formato testo, ma è possibile anche utilizzare della grafica, o combinazioni di queste due cose (testo + grafica).

livello di autorizzazione

Determina se un utente può eseguire un'azione. Per ogni elemento di controllo in un'immagine può essere assegnato un livello di autorizzazione. Allo stesso modo possono essere assegnati dei livelli di autorizzazione per funzionalità come il riconoscimento allarmi , il caricamento progetto ecc. Ci sono 128 livelli (0-127), dove 0 è il livello di sistema è a disposizione di ciascun utente.

Log delle modifiche

Salvataggio dati, che durante la progettazione in editor protocolla tutte le modifiche e le salva nel database di progetto.

Login

Consente, tramite un nome utente, di connettersi al sistema.


M

Glossario -> M

Manager di gruppi ricette

Un modulo per la gestione di gruppi di ricetta e ricette correlate. Per il gruppo di ricetta vengono definte le variabili, i filtri e le altre impostazioni. Le ricette per questo gruppo, erediteranno queste impostazioni. Nelle ricette, è possibile definire l'azione da eseguire per ogni singola variabile configurata in ricetta, come per esempio il settaggio valore, la modifica dello stato della variabile, ottenere il valore di un'altra variabile ecc.

Manager di progetto

Finestra nell'Editor, che visualizza l'albero di progetto, la visualizzazione dettagli e la topologia di rete.

massimo

Il piu grande (dal latino: maximus, il piu grande; adj.: al massimo).

matrice di reazione

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

menù

Una lista drop-down (a tendina) che offre una serie di funzioni selezionabili tramite parole chiave o simboli.

menù contestuale

Una lista a tendina, apribile con il click del tasto destro del mouse, che visualizza una serie di operazioni disponibili visualizzate con parole chiave e/o simboli. Le operazioni (comandi) si riferiscono sempre all'elemento selezionato.

menù principale

Linea con una serie di voci di menu. Clickando su una voce viene aperto un menu a tendina, che offre una serie di operazioni eseguibili tramite delle sottovoci o dei simboli.

messaggio di manutenzione

Messaggio di servizio o manutezione, che viene trasferito al modulo di manutenzione SAP.

metodo

Un'azione nella programmazione orientata agli oggetti, che può essere selezionata in un oggetto oppure eseguita tramite un oggetto.

minimo

Il minore, il più piccolo (dal latino: minimus, il piu piccolo; agg. minimo).

modalità hardware

Al contrario della modalità di simulazione, viene instaurata la comunicazione con il dispositivo. I valori delle variabili vengono ottenuti dal PLC. La comunicazione può essere interrotta tramite comandi (modalità offline) e nuovamente riavviata (modalità online).

modalità offline

Il driver si trova in modalità hardware e non comunica con il dispositivo. Il driver è in 'stop'.

modalità online

Il driver si trova in modalità hardware e comunica con il dispositivo.

modalità simulazione

A differenza della modalità hardware, non viene stabilita nessuna comunicazione con il dispositivo sul campo. Le variabili vengono gestite e calcolate in base alla tipologia di simulazione (simulazione statica, simulazione conta oppure simulazione programmata).

Modbus RTU

Protocollo di comunicazione standardizzato per la connessione con dispositivi Modbus via porta seriale (COM). Reso standard da Modbus-IDA (www.modbus.org). Il protocollo può anche essere indirizzato via TCP/IP, però in questo caso viene normalmente utilizzato il protocollo Open Modbus TCP/IP.

modello

Determina la dimensione e la posizione di uno spazio sul monitor, nel quale verranno aperte le immagini durante il Runtime. Ogni immagine è basata su un modello. Ad ogni modello possono essere assegnate delle proprietà, che saranno trasmesse a tutte le immagini basate su quel modello.

modello di impianto

Consente di suddividere un sistema esistente, in un qualsiasi numero gruppi strutturati di impianto.

Modulo Trend esteso

Visualizza dati storici e online in forma di diagramma.

Monitor

È un dispositivo di visualizzazione delle immagini collegato ad un computer.

monitor virtuale

In un sistema multimonitor le immagini possono essere assegnate ad uno spazio virtuale di visualizzazione. La definizione di posizionamento di un immagine, viene definita in fase di apertura dell'immagine stessa, oppure nella gestione monitor.

Monitoring Viewer

Strumento per la visualizzazione di tutti i prodotto zenon Logic nel Runtime zenon. E' parte del modulo Diagnosis PLC

Multibin

Elemento dinamico, che a seconda del valore di una variabile, visualizza della grafica, o modifica la colorazione di simboli o visualizza un testo. Può essere associato sia a variabili numeriche che a variabili binarie. Se la prima variabile collegata è una variabile binaria, l'elemento Multibin può essere utilizzato come interruttore o pulsante per il settaggio valori nella prima variabie.Gli stati vengono controllati dall'alto verso il basso, il che significa che il primo stato che viene trovato nella ricerca, sarà quello visualizzato.

Multi-Binaria

Tipo di matrice di reazione, in cui possono essere configurati sottostati, range di stati e funzioni speciali.

Multi-numerica

Tipo di Matrice di reazione, nella quale oltre al controllo degli stati, possono essere configurati range di stati e funzioni speciali.


N

Glossario -> N

nodo principale

Primo livello di una struttura ad albero.

nome Diagramma

Nome del grafico liberamente impostabile nel Trend Esteso. Può essere visualizzato, ed eventualmente stampato, nell'immagine Trend Esteso durante il Runtime. In Editor, per semplicità di comprensione, il nome Diagramma viene visualizzato nella funzione di cambio immagine.

nome gruppo ricette

Nome univoco del gruppo di ricetta nel Manager gruppi di ricetta.

nome ricetta

Nome univoco di una ricetta (ricetta standard o ricetta-RGM).

nome variabile

Nome univoco per una variabile.

numero blocco dati

Numero univoco di un blocco di dati in un dispositivo Siemens.

numero di attivazione

Una stringa di caratteri che attiva il programma. Questo numero viene controllato in relazione al numero di serie e al numero del Dongle, oppure al numero di serie e numero di licenza.

numero di licenza

Sequenza di caratteri specifici per il computer, derivati dalla sua configurazione, utilizzati per l'attivazione software. Il numero di licenza viene controllato assieme al numero di serie, tramite il numero di attivazione.

numero di porta

Fa parte di un indirizzo IP, e può assumere un valore tra 0 e 65535. Il numero identifica un canale di comunicazione univoco. Per una comunicazione TCP/IP sono sempre richiesti l'indirizzo IP e il numero di porta, per identificare univocamente l'indirizzo del destinatario. Ancher per il protocollo UDP e SCTP utilizzano il numero di porta.

numero di serie

Stringa univoca con piu elementi separati ciascuno da un punto. In prima posizione c'è il Product-ID (univoco). Le rimanenti posizioni definiscono il campo di applicazione del prodotto. Nelle licenze Dongle, il Product ID coincide con il numero del Dongle.

numero Dongle

Numero univoco, codificato nel Dongle che deve corrispondere al Product-ID del Serial Number. Il numero Dongle è disponibile sul Dongle stesso con un adesivo e può essere letto dal software WIBU-KEY.

numero ricetta

Numero univoco di una ricetta-RGM.


O

Glossario -> O

Online Change

Con la funzione Online Change è possibile in straton, scaricare le applicazioni modificate sul dispositivo di destinazione e aggiornare il progetto senza bisogno di fermarlo e riavviarlo. La funzionalità deve essere attivata e configurata correttamente in straton.

Open Modbus TCP/IP

Protocollo di comunicazione standardizzato per la connessione al PLC tramite Modbus TCP / IP. Standardizzato da Modbus-IDA (www.modbus.org).

operazione batch

Lavoro continuo, sequenziale di una serie di operazioni singole.

orari turni

Orario di inizio e orario di fine turni. La definizione degli orari è impostabile nel Production & Facility Scheduler.

orologio

Elemento dinamico, che visualizza ora e data. Può anche essere utilizzato per la conversione di un valore numerico in un formato di data/ora.


P

Glossario -> P

Pag. giù

Tasto, che sposta il cursore verso il basso dalla posizione piu alta dello schermo.

Pag. sù

Tasto, che sposta il cursore sullo schermo verso la parte alta dello stesso.

Password

Sequenza di caratteri, che devono essere conosciuti solamente dall'utente. La combinazione tra nome utente e password consente l'identificazione dell'utente nel sistema.

percorso assoluto

Definisce la posizione di file o cartelle tramite nome computer, nome unità e nome cartella. Il punto di partenza è sempre un nome computer (percorso UNC p.e. \\PC1) o un'unità (p.e. C:\).

periodo assoluto

Periodo non dipendente dal tempo attuale.

periodo relativo

Intervallo di tempo in relazione al momento attuale, con tempo di inizio e tempo di fine.

PLC

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

posizione assoluta

In riferimento ad un oggetto di livello superiore, posizione dell'elemento nello schermo. I modelli rispetto al monitor, gli elementi nell'immagine rispetto al modello, elementi in un simbolo rispetto al simbolo ecc. Il punto di origine si trova nell'angolo in alto a sinistra dell'oggetto di livello suoperiore (p.e. per i modelli, ngolo in alto a sinistra del monitor).

Process Control Engine

Sistema per espandere il Runtime con Task programmabili.Il Process Control Engine è costituito in 2 parti: l'ambiente di programmazione per la progettazione dei task e l'ambiente runtime, dove gira il codice in VB-Script o in Java-Script, in modalità ciclica oppure ad evento (esecuzione unica).I task possono essere lanciati all'avvio del Runtime, oppure tramite funzioni. L'interazione con il runtime può essere implementata utilizzando le variabili.

processo di produzione

Processo di produzione che viene eseguito a seconda delle specifiche di tempo e luogo della sequenza di produzione.

Production & Facility Scheduler

Strumento completo per controllare direttamente le operazioni di temporizzazione. Supporta due modalità di esecuzione: tempo assoluto e relativo. Tutti gli orari sono definiti su un modello di calendario con una opzione di anteprima che permette di controllare i futuri punti di switch.

profilo filtro

Salva durante il runtime, le impostazzioni di visualizzazione della finestra corrente. E' possibile salvare più di un profilo.

profilo monitor

Parte della gestione monitor, che definisce la disposizione e la disponibilità di monitor reali, e l'assegnazione di monitor virtuali a monitor reali. Inoltre viene definito se a Runtime deve essere applicato un adattatamento alla risoluzione dello schermo o se devono essere visualizzate delle barre di scorrimento.

profilo Runtime

Salva le posizioni dell'immagine attualmente visualizzata a Runtime, come pure il filtro impostato per la stessa. I profili Runtime sono dipendenti dall'utente. Un amministratore può gestire i profili runtime degli altri utenti come pure i profili dell'utente "System". Possono essere salvati più profili.

profilo standard

Con il profilo standard, vengono ripristinate le impostazioni iniziali di layout dell'editor. Tutte le barre degli strumenti, le posizioni delle finestre ecc. vengono riportate alla loro configurazione iniziale.

progettazione distribuita

Elaborazione contemporanea di un progetto in editor, da parte di più utenti su diversi computer.

progetto Windows CE

Ogni progetto può essere usato su Windows CE. Alcune caratteristiche, tuttavia, non sono disponibili nel Runtime sotto Windows CE.Un progetto Windows CE è definito tramite la proprietà del progetto 'progetto Windows CE'.

promotore

Persone oppure organizzazioni, che promuovono un'utenza (per esempio di un software), senza esserne utenti a loro volta.

Property

Proprietà di un elemento/oggetto, intercettabile via VBA/VSTA.

proprietà

Caratteristiche specifiche di un elemento, di un oggetto ecc.

proprietà di progetto

Tutte le proprietà che determinano il comportamento e l'aspetto del progetto.

pulsante

Un pulsante (engl. 'Button') rappresenta un elemento grafico in un'interfaccia utente. Clickando su questo oggetto viene eseguita l'operazione associata.

Pulsante

Elemento dinamico, al quale viene collegata un'azione (eseguire una funzione, impostare un valore). Il pulsante mette a disposizione, come predefinita, la possibilità di visualizzare testi e grafica come oggetti trasparenti, posizionati sopra altri elementi.

Pulsante bitmap

Elemento dinamico con il quale è possibile eseguire un'operazione (avviare una funzione, impostare un valore). Il pulsante bitmap può solamente visualizzare della grafica. Dalla versione 6.50 è stato sostituito dall'elemento dinamico Pulsante.

pulsante d'allarme ad immagine

Elemento dinamico, con il quale può essere realizzato l'allarme ad immagine. Disponibile solamente per SICAM 230.

pulsante di opzione

È un elemento standard di un software con interfaccia grafica utente (GUI). Si possono avere due stati: attivato e disattivato. In un gruppo di pulsanti di opzione, almeno una di queste deve essere attiva.

Pulsante testo

Elemento dinamico con il quale è possibile eseguire un'azione (lanciare una funzione, impostare un valore). Il pulsante testo come contenuto può visualizzare solamente del testo. Dalla versione 6.50 è stato sostituito dall'elemento dinamico 'pulsante'.

pulsante zoom

Rappresentazione grafica in un'interfaccia di programma, che consente l'esecuzione delle funzionalità di zoom.

puntatore mouse

Simbolo mobile come elemento di puntamento su uno schermo di un pc. Parte integrante della grafica di interfaccia utente.

punto di switch

Definizione di un punto temporale alla scadenza del quale deve essere avviata un'azione.

punto di switch assoluto

Associa un tempo assoluto con una ben precisa azione.

punto di switch relativo

In corrispondenza di un determinato evento, viene eseguita un'operazione.


Q

Glossario -> Q


R

Glossario -> R

registrazione ad evento

I dati vengono scritti nell'archivio al cambio valore con fronte positivo della variabile di registrazione (trigger).

registrazione ciclica

I dati vengono scritti in un archivio ad ogni intervallo di tempo.

registrazione licenza

Procedura in cui viene assegnata la licenza per l'utente.

regolatore di zoom

Regolatore grafico lineare con il quale è possibile modificare i livelli di zoom.

relè di guasto a terra

Un dispositivo di protezione in linea per individuare guasti a terra in un elemento della rete.

rendere possibili le modifiche

In un progetto multiutente, permette l'accesso esclusivo ad un elemento/modulo per poter effettuare delle modifiche. Lo stato viene salvato nel progetto server centralizzato. In questo modo l'accesso a quell'elemento/modulo viene inibito a tutti gli altri utenti connessi al progetto.

rete a gradiente massimo

Ogni nodo di rete è collegato ad uno o più nodi. L'informazione viene diffusa da nodo a nodo fino a raggiungere la destinazione. Se ogni partecipante è collegato ad ogni altro partecipante, si parla di una rete a gradiente massimo. Le reti a gradiente massimo sono di regola auto-rigeneranti, e quindi molto affidabili: se un nodo o un collegamento è bloccato o comunica, la rete riesce comunque a bypassare il nodo. I dati saranno deviati e la rete sarà ancora operativa.

retrocompatibilità

Come retro-compatibilità si intende la possibilità di utilizzare le ultime versioni con le restrizioni di funzionalità dettate da versioni precedenti.

rettangolo arrotondato

Elemento vettoriale, che permette di impostare il raggio degli angoli di un rettangolo con l'aiuto di specifiche proprietà o di punti impostabili.

revisione

Stato di variabili, utilizzato nel trattamento di allarmi e comandi nel sistema di controllo. Tramite questo stato è possibile nascondere facilmente singole parti di impianto dalla gestione allarmi e di impostazione valori. Il valore attuale della variabile continua a essere visualizzato nelle immagini.

riattivazione

Raggruppa allarmi dello stesso tipo, in un unico inserimento nella lista di informazione allarmi. Possono essere visualizzati sia il numero totale di allarmi che sono stati raggruppati, sia i tempi che gli stati degli allarmi che sono subentrati.

ricetta

Nelle ricette, è possibile raggruppare e salvare dati utili per il processo, come per esempio parametri macchina o dati di formato. Questi dati possono essere trasferiti al dispositivo con un solo passaggio e viceversa, riletti altrettando facilmente. Le gestione ricette si differenzia in 'ricette standard' e 'gruppi di ricette'.

ricetta di destinazione

Ricetta, sulla quale viene effettuata la scrittura nell'operazione di copia ricetta. La ricetta di partenza viene copiata nella ricetta di destinazione.

ricetta d'origine

Ricetta, che verrà copiata su una ricetta di destinazione. La ricetta d'origine verra copiata sulla ricetta di destinazione.

Ricetta-RGM

Le ricette-RGM permettono una gestione raggruppata delle ricette.Ogni ricetta-RGM è ordinata in un gruppo di ricetta. Possono essere utilizzate variabili basate su qualsiasi tipo di dato. Possono essere elaborati gli stati e inoltre, nelle variabili, possono essere scritti dei valori ottenuti da altre variabili.

ricezione di misura

Dato (record) nel modulo SAP Plant Management (PM): notifica di una misurazione in un punto di rilevamento o contatore per un determinato istante.

riempimento 3-D

Oggetti grafici come per esempio rettangoli, cerchi ecc. tranite la gradazione del colore di riempimento, ottengono un aspetto tridimensionale.

rilevamento modifiche

Verifica se i dati sono stati modificati.

risoluzione dello schermo

Numero di pixel visualizzato su un monitor, per esempio: 640x480 (VGA), ecc.

ritentivo

Disponibili permanentemente.

Runtime

Il Runtime permette di avviare progetti indipendenti dalla piattaforma, ossia, indipendenti dal sistema operativo utilizzato e dall'hardware. Il Runtime prepara la "piattaforma", nella quale devono essere caricati i progetti. Il Runtime non implica un precedente avvio dell'ambiente di sviluppo.

Runtime di straton con Raltime Kernel

Sistema runtime hard-realtime, che funziona indipendentemente dal sistema operativo.

Runtime Windows CE

Un Runtime compilato specificamente per il sistema operativo Windows CE. Il runtime funziona solamente nella speficifica architettura di processore e per la specifica versione del sistema operativo per il quale è stato compilato.


S

Glossario -> S

S7-Graph

S7-Graph si basa sul software di programmazione Siemens Step 7. E 'utilizzato per le procedure sequenziali con step paralleli o alternati (SFC). In fase Runtime, il flusso di controllo del PLC può essere rappresentato direttamente in tipi di immagini con stesso nome.

salvataggio dati su disco fisso

Salva il valori di una variabile in un buffer circolare in modalità ciclica FIFO. Per ogni variabile viene creato un file con estensione HDD nella cartella Runtime.

SCADA

Concetto per il monitoraggio e controllo di processi tecnici.

SCADA Logic

Logica PLC integrata nel sistema SCADA. Questa logica non ha collegamento diretto con dispositivi in campo, ma riceve informazioni preferibilmente attraverso il sistema SCADA.

scala

Ridimensionamento o regolarazione di diverse proprietà in base ad una scala esistente.

scalabilità

Capacità di adattarsi a condizioni mutabili, in termini di dimensioni di un sistema o del numero di componenti.

scansione spontanea

Quando il valore di una variabile cambia, questo viene salvato nell'archivio.

scheda

Descrive le specifiche pagine di impostazione di una finestra di dialogo.

Screenshot

Immagine con il il contenuto completo dello schermo o una parte di esso.

scrittura a blocchi

Unione di piu incarichi di scrittura in un unico telegramma. Viene utilizzato per esempio nell'esecuzione di una ricetta.

segnale digitale

Trasmette un informazione, per esempio, una tensione alternata elettrica, sotto forma di una colonna di cifre, che descrive le informazioni matematicamente, al contrario di un segnale analogico che trasmette una grandezza fisica direttamente o tramite un'altra grandezza fisica.

selezione ricetta

Permette all'utente di selezionare una ricetta.

sensore

Componente tecnica, che può misurare qualitativamente e quantitativamente, particolari proprietà fisiche o chimiche come radiazione termica, temperatura, umidità, pressione, suono, luminosità, accelerazione e / o la composizione materiale del suo ambiente, per poi convertirli successivamente in valori utilizzabili (tipicamente segnali elettrici).

Sequential Function Chart

Uno dei cinque linguaggi di programmazione IEC 61131-3 per dispositivi PLC.

serie di morsetti

Un morsetto è utilizzato in ingegneria elettrica per i collegamenti o la connessione di cavi e fili. Morsetti sono collegati gli uni agli altri in modo arbitrario allineati su una guida (per esempio, su guida DIN TS35 "ferrovia").

server

Un programma che comunica con un altro programma, il client, per permettere l'accesso ai servizi (funzionalità) e/o per scambiare dati.

server Dongle

Computer su cui viene eseguito uno speciale software, che dà accesso a Dongle di rete.

Server SQL

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

Server-Standby

Programma, che contiene tutti i dati e le connessioni attualmente presenti nel server, e che nel momento in cui quest'ultimo non funziona più, ne prende il posto.

Service Pack

I Service Packs sono un insieme di risoluzioni di errori per una versione. Sono soggetti al processo completo di garanzia di qualità. Comprendono tutte le build rilasciate fino a quel momento. La Service Pack 0 è la prima versione ufficiale rilasciata per una nuova versione.

servizio

Esegue come programma, una routine o un processo, una ben precisa funzione di sistema per supportare altri programmi, in particolare a basso livello. Esempio: servizio SQL Server, servizi di amministrazione ecc.

servizio SQL Server

Processo, che fornisce funzionalità di database. Per lavorare con l'Editor, il servizio deve essere avviato.

settare valore impostabile

Trasferire un valore impostabile dal sistema di controllo al dispositivo.

Simatic S7-PDiag

Permette la configurazione di diagnostica di un processo per Siemens S7.

simbolo

Reggruppamento di diversi elementi dinamici ed elementi vettoriali in un nuovo elemento, la cui modifica delle dimensioni si basa proporzionalmente sulla modifica tutti i simboli componenti. Un simbolo può essere creato direttamente in una pagina come indipendente oppure essere collegato in libreria. I simboli collegati vengono salvati nella libreria simboli globale o nella libreria di progetto.

simbolo collegato

Simbolo di una libreria di simboli, che viene referenziato in una immagine. Il simbolo è salvato nella libreria. Può essere modificato solo all'interno della libreria stessa. In alternativa ci sono i simboli embedded (scollegati), che vengono memorizzati direttamente nell'immagine.

simbolo di movimento

Elemento dinamico, che movimenta un simbolo in base a valori di variabili, modificandone dimensione e posizione.

simbolo scollegato

Gruppo di element grafici in un'immagine, raggruppati in un unico oggetto con un unico nome.

SIMOTION

Sistema dell'azienda Siemens per l'automazione di impianti di produzione, con un focus sul controllo del movimento. SIMOTION è composto dal SIMOTION SCOUT e dal kernel SIMOTION per piattaforme hardware diverse. La Scout è l'ambiente di programmazione per creare un progetto con la configurazione hardware e di funzionamento.

Simple Network Management Protocol

Protocollo diffuso per il monitoraggio e il protocollaggio delle operazioni di rete. Agenti SNMP (hardware e/o software) forniscono dati sulle attività di ciascun componente della rete (Hubs, Router, ponti ecc.) e le inviano alla MIB (Management Information Base) su un pc di controllo. I componenti vengono controllati in base alla raggiungibilità e alla possibilità di controllo.

simulazione

Esecuzione di operazioni su un modello simile alla realtà, al fine di avere una comprensione del sistema reale, o di sostituirlo.

simulazione - conta

Possibilità di impostare un driver in modalità simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori verranno inizializzati a 0 e verranno ciclicamente incrementati di 1 fino al valore massimo della variabile, ricominciando poi nuovamente da 0.

simulazione - programmata

Possibilità di impostare un driver in modalità simulazione. Non viene stabilita la cumunicazione con il dispositivo, ma i valori sono calcolati da un progetto di simulazione programmabile. Il progetto di simulazione è creato con il Workbench zenon Logic e viene eseguito in zenon Logic Runtime.

simulazione - statica

Possibilità di impostare un driver in modalità di simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori vengono inizializzati con il valore 0.

simulazione progetto

E' possibile impostare in modalità di simulazione non solamente un singolo driver, ma l'intero progetto. Con una impostazione, tutti i dati runtime vengono copiati in un'immagine di simulazione, in modo che le operazioni di modifica in simulazione possano essere registrate ed eventualmente analizzate successivamente.

sistema di controllo d'attesa

Prende gli allarmi del sistema di controllo di processo e e li rappresenta tramite l'interfaccia SAP-RFC in un sistema SAP ERP. I messaggi di allarme del sistema di controllo sono memorizzati in un database per una successiva analisi. La rappresentazione viene presentata su una lista, in cui è possibile classificare i. Solo gli allarmi gravi ( "Grossstörungen)" vengono inseriti nel sistema SAP.

sistema operativo

Un sistema operativo è il software, che permette di utilizzare un computer. Gestisce le risorse di memoria, i dispositivi di input-output e il funzionamento dei programmi.

slider

Regolatore, la cui interazione consiste in un movimento lungo una scala definita su un asse.

slider universale

Elemento dinamico che visualizza un regolatore in varie situazioni. Il valori delle variabili possono essere visualizzati sotto forma di cursori, bargraph, display LED ecc.

Slot-PLC

PLC realizzato come PC-Card.

Soft-PLC

Un Soft-PLC (Programmable Logic Controller software) è costituito da un PC o un microcontrollore, un software PLC e delle estensioni I / O o moduli di bus di campo, come per esempio Bus terminal.

stampa online

Ogni inserimento nell'AML o nella CEL genera un output nella stampante definita.

Starter Edition

Moduli con funzionalità limitate, inclusi nel pacchetto base (escluso Windows CE).

Startup Tool

Programma per la gestione di diverse versioni sullo stesso PC. I componenti specifici per la versione, come il servizio di database, il transport service, gli elementi ActiveX ecc. possono essere registrati e avviati. Possono essere impostati diversi parametri come la lingua da utilizzare, parametri di avvio, il Server SQL utilizzato, il progetto di partenza ecc.

statistica d'allarme

Gestione degli allarmi (durata, frequenza, etc) con l'aiuto dell' Industrial Performance Analyzer.

stato

Stato attuale di un processo, un dispositivo, una variabile, ecc

stato del sistema

Informazioni di stato di un computer, per esempio il sistema operativo installato, il progetto di start impostato, la licenza, lo stato del Runtime ecc.

stato di allarme

Specifica se un allarme è "in attesa" o "terminato".

stato di avanzamento

Informazioni di stato, sull'esito di elaborazione della ricetta, per esempio 'in elaborazione', 'completata', 'errore' ecc.

stato Runtime

Informazione che notifica lo stato del Runtime, se in modalità hardware o in modalità simulazione.

Step 7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

straton

Ambiente di programmazione flessibile di COPALP per tutti i 5 linguaggi di programmazione IEC 61131-3: Sequential Function Chart (SFC), Function Block Diagram (FBD) / CFC, Ladder Diagram (LD), Structured Text (ST) e Instruction List (IL). Copre molte aree di automazione industriale: livello di controllo di processo (SCADA Logic), livello di controllo (soft-PLC) il livello di campo (straton embedded). Soft PLC e SCADA Logica e straton Workbench sono integrati nel sistema di controllo zenon di COPA-DATA.

straton Runtime

Permette di avviare progetti di straton indipendentemente dalla piattaforma, quindi indipendenti sia dall'hardware utilizzato che dal sistema operativo. Il Runtime riconosce la 'piattaforma', dove vengono avviati i progetti. Il Runtime non necessita del Workbench per funzionare.

Structured Query Language

Linguaggio di database per la definizione, l'interrogazione e la manipolazione di dati in database relazionali. SQL è standardizzato da ANSI e ISO e viene gestito da tutti i principali sistemi di banche dati. SQL comprende i seguenti linguaggi: Data Manipulation Language, Data Definition Language, Data Control Language.

Strumento analogico

Elemento dinamico per rappresentare il valore di una variabile come in un dispositivo analogico, che utilizza un puntatore per la visualizzazione.

suddivisione assi

Definisce la quantita di suddivisioni per l'asse.

Supervisione globale

Tipo di immagine per la rappresentazione in miniatura di un'immagine di visualizzazione globale e per la navigazione all'interno della stessa.


T

Glossario -> T

tabella di ricetta

Nella tabella di ricetta vengono visualizzate le ricette (standard o ricette-RGM) in formato tabellare. I valori di ricetta possono essere editati direttamente nella tabella.

TAG

Un TAG corrisponde ad una delle variabili esterne, indipendentemente dal tipo. Le variabili interne non vengono conteggiati come TAG. Le TAG vengono utilizzate esclusivamente per le licenze. Per la determinazione della licenza, viene conteggiata la somma delle TAG sui seguenti driver: • tutti i driver su plc e BUSNon si contano: variabili interne (driver interno), e le variabili di processo • Driver di sistema • Driver matematico e • Driver di simulazione

Task

Un programma in VB-Script o in Java per il Process Control Engine (PCE).

tastiera

La tastiera è un dispositivo di input, che contiene come elementi di controllo un certo numero di tasti da premere.

tavolozza dei colori

Una collezione di colori. Ai singoli colori può essere assegnato un nome ed possono essere assegnati ad ogni elemento nella proprietà 'colore'. La Tavolozza dei colori può essere selezionata sia in Editor che durante il Runtime.

TCP

Protocollo tramite il quale vengono scambiati dati tra computer. Tutti i sistemi operativi nei computer di ultima generazione supportano il TCP e lo utilizzano per lo scambio dati con altri computer. Il protocollo di trasporto è affidabile e orientato per le connessioni. Fa parte della famiglia di protocollo Internet, alla base di quest'ultimo.

TCP/IP

È una famiglia di protocolli di rete è per via della sua enorme importanza in campo Internet viene definita come la famiglia di protocolli Internet.

telegramma di dati

Pacchetto di dati, inviato tramite un mezzo di comunicazione ad un partner.

telegramma di lettura

Pacchetto di dati, invitato al dispositivo per leggere dei valori.

telegramma di scrittura

Pacchetto di dati, inviato ad un dispositivo per scrivere dei valori.

tempo assoluto

Esatto momento nel tempo, alla cadenza del quale deve essere avviata un'azione.

tempo assoluto di switch

Orario, dal quale è stato avviato un punto di switch.

tempo di ritardo dopo la perdita di connessione

Intervallo di tempo che intercorre tra l'interruzione di comunicazione e il successivo tentativo di ripristino.

tempo di switch

Definizione temporale di esecuzione un punto di switch.

tempo relativo

L'azione viene eseguita in relazione ad un evento.

Testo statico

Elemento vettoriale, che visualizza un testo statico.

Testo strutturato

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

Tick

Graduazione di una scala o un asse. Di differenzia in tick principali e tick secondari.

tick principale

Suddivisione primaria di una scala o di un asse.

tick secondario

Suddivisione secondaria di una scala o di un asse.

TIFF

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

timeout di connessione

Intervallo di tempo, durante il quale non vi è nessuna risposta o reazione dal dispositivo.

tipo dato strutturato

Struttura composita, formata da componenti raggruppati. Questi possono essere dati semplici o altri tipi di dati strutturati.

tipo di asse

Descrive, se la scalatura dell'asse deve essere logaritmica o lineare.

tipo di dato

Definisce i limti prefissati per un valore (valore minimo e massimo) con una quantità definita di valori possibili. Pertanto, i numeri reali possono essere mappati come numeri in virgola mobile solamente con una precisione ben definita.

tipo di dato collegato

Tipo di dato, collegato come elemento di struttura di un tipo di dato strutturato, ma a differenza del tipo di dato scollegato, contiene solamente un riferimento al tipo di dato originale.

tipo di dato IEC

Nella normativa IEC61131-3 tipi di dati semplici come INT, USINT ecc.

tipo di dato indipendente

Tipo di dato, incorporato in una struttura, ma a differenza di un tipo di dato collegato, è una copia del corrispondente tipo di dato semplice. Questo significa che tutte le proprietà dell'elemento di struttura sono modificabili.

tipo di dato semplice

Tipo di dato, direttamente basato su un tipo di dato IEC e che integra le proprietà delle variabili come per esempio l'unità di misura, indirizzamento, valori limiti ecc. Tutte queste proprietà vengono ereditate delle variabili basate su questo tipo di dato.

tipo di immagine

Definisce il tipo di un'immagine e gli elementi standard a disposizione al suo interno. Per ogni tipo di immagine sono presenti specifici elementi (pulsanti, liste ecc.) per ogni singola funzionalità. In questo modo, per esempio, un'immagine di tipo 'Lista informazione Allarmi' avrà tutti gli oggetti necessari per filtrare e visualizzare gli allarmi.

tipo di oggetto del driver

Specifica un'area dati del dispositivo. Dipende generalmente dal produttore del PLC. Alcune aree possibili sono: Merker, Blocco dati, Holding Register ecc.

tipo di registrazione

Modalità di registrazione dei dati in un archivio. Modalità possibili: ciclica, spontanea o ad evento (trigger).

titolo di colonna

Titolo per una colonna in una tabella.

Touchscreen

Dispositivo di input, con il cui contatto è possibile interagire con parti delle immagini di un programma su un dispositivo, generalmente un computer.

traffico spontaneo di dati

Impostazione delle connessioni in una rete e trasferimento di dati solo su richiesta.

Transportservice

Processo (zenSysSrv.exe), che funge da ricevitore per il trasporto remoto e che integra il Diagnose Server. Pertanto è necessario per l'esecuzione di tutte le applicazioni zenon.

trasporto remoto

Strumento che mette a disposizione diverse funzionalità per gestire un progetto su computer remoto: trasferimento dei dati Runtime, impostazione del progetto di partenza, avvio e arresto del Runtime ecc.


U

Glossario -> U

UDP

E' un protocollo di rete minimale, senza richiesta di connessione, che appartiene al livello di trasporto della famiglia di protocolli internet. Il ruolo del protocollo UDP, è di assegnare i dati trasportati via Internet, all'applicazione corretta. L'UDP stabilisce un servizio di trasporto senza connessione non affidabile. Questo significa che non vi è nessuna garanzia che un pacchetto, una volta inviato, arrivi a destinazione, e che i pacchetti arrivino nello stesso ordine con il quale sono stati inviati, o che il pacchetto arrivi solo una volta a destinazione. Un'applicazione che utilizza il protocollo UDP non deve essere sensibile ai pacchetti persi o non ordinati, o deve includere il controllo di queste condizioni.

URL

Acronimo di Uniform Resource Locator, identifica e localizza una risorsa tramite il protocollo utilizzato (p.e. HTTP o FTP) e la posizione della risorsa (ing. location) nella rete.

utente

Persona che lavora con un software. Ad un utente possono essere assegnati degli attributi come 'Nome utente', 'Password' ecc. come pure dei diritti di accesso in forma di gruppi di autorizzazione.


V

Glossario -> V

valore analogico

Valore che può assumere un gran numero di stati. Il numero degli stati (o valori) viene ricavato dal tipo di dato.

valore assoluto

Il valore assoluto è sempre un numero reale non nevativo corrispondente alla distanza da zeno (per numeri reali o complessi).

valore attuale

Valore di una variabile al momento dell'interrogazione.

valore attuale

Valore temporaneamente visualizzato nell'immagine di processo. Può essere il valore spontaneo, il valore di riserva e il valore di disturbo (stato con NV-BIT).

valore di ricetta

Il valore di ricetta è il valore che viene inviato al dispositivo durante la procedura di impostazione ricetta. Durante la rilettura dal dispositivo, il valore di ricetta viene sostituito con il valore attuale dal PLC.

Valore di riserva

Il valore di riserva può avere molteplici funzioni. La prima per esempio è, durante il riempimento degli archivi, la scrittura del valore di riserva della variabile come predefinito. Inoltre l'utente può sostituire in visualizzazione il valore corrente della variabile con quello di riserva. Il valore non viene scritto sull'hardware ma rimane esclusivamente nell'immagine di processo. Questo valore poi verra utilizzato ed elaborato da tutti i moduli di zenon.

valore impostabile

Valore, che viene trasferito al dispositivo, e che sovrascrive il valore esistente.

valore massimo

Massimo valore possibile.

valore minimo

Minimo valore possibile.

Valore numerico

Elemento dinamico per la visualizzazione dei valori di una variabile in forma numerica.

valore online

Valore attuale di una variabile.

valore spontaneo

Valore attuale della variabile, che coincide con il valore nel dispositivo, che definisce che il valore non è disturbato (NV-Bit), che non è impostato come stato di revisione e che non è il valore di riserva.

variabile

Una variabile rappresenta un valore nella memoria del sistema di controllo. Ci sono le variabili interne ed esterne. Le variabili sono create sulla base di un tipo di dato e di un oggetto del driver per la quale viene creata. Le variabili hanno memorizzate molte proprietà centralizzate , che vengono utilizzate in diversi punti nel sistema di controllo. Per esempio, nell'editor, alcune funzioni configurabili sono l'unità di misura. A Runtime oltre al valore fanno parte della variabile anche Timestamp e stato.

variabile numerica

Variabile il cui valore è costituito da cifre. La rappresentazione può essere in decimale, ottale, binario o esadecimale.

variabile semplice

Variabile creata sulla base di un tipo di dato semplice.

variabile string

Variabile, il cui valore è costituito da una sequenza di caratteri alfanumerici.

variabile strutturata

Variabile basata su un tipo di dato strutturato.

variabile trigger

Variabile, che tramite il cambio valore innesca un'operazione p.e. l'esecuzione di una attribuzione o il salvataggio di valori in un archivio.

velocità di scansione

Specifica la frequenza, con la quale un segnale viene campionato in ogni intervallo.

verifica valore ricetta

Esegue un confronto tra il valore di ricetta nel sistema di controllo e il valore nel dispositivo (PLC). Se i valori corrispondono, il valore viene evidenziato con sfondo verde, se sono diversi, con sfondo rosso.

VGA

Descrive uno standard di computer grafica (EISA, 1987), che definisce combinazioni ben definite di risoluzione delle immagini e dei colori (profondità di bit di colore) cosi come la frequenza di refresh. Oggi è presente per la maggiore, la risoluzione VGA 640 x 480 pixel.

Video

Tipo di immagine per la visualizzazione di un file AVI o uno stream video online. I dati on-line possono essere salvati come file AVI o BMP.

visualizzatore data

Elemento di controllo che visualizza una data variabile.

visualizzazione

Dal latino 'visualis', 'per visualizzare correttamente'. In generale definisce la visualizzazione di situazioni astratte con mezzi ottici, l'editing visuale, la presentazione e la comunicazione di informazioni e comprente tutte le forme di visualizzazione e di rappresentazione. Visualizzazione non significa solo illustrazione, ma esprime contenuti complessi con mezzi proprietari.

visualizzazione calendario

Elemento di controllo, che visualizza un calendario per la selezione di una data.

visualizzazione dettagli

Fornisce i dettagli dei moduli per la modifica nel Manager di progetto.

Visualizzazione globale

Immagine di dimensioni piu grandi rispetto all'area di visualizzazione del monitor (= dimensioni del modello). E' in grado di creare un'immagine in miniatura, in modo da rappresentare anche aree d'impianto molto estese. La visualizzazione globale comprende funzionalità di zoom e di decluttering, ovvero la possibilità di viualizzare o nascondere degli elementi a seconda del livello di zoom selezionato. La visualizzazione globale include inoltre la possibilità di impostare dei mark sugli elementi: se un oggetto viene selezionato a runtime, è possibile visualizzarlo al centro della pagina e evidenziarlo.

visualizzazione tempo

Elemento di controllo, che visualizza un inserimento di tempo modificabile.

voce di menù

Comando che viene messo a disposizione in un menù come parola chiave e/o simbolo.


W

Glossario -> W

Webclient

Visualizza un progetto tramite un browser Web, come per esempio Internet Explorer o Firefox.

Webserver

Servizio, che invia documenti ai client collegati, p.e. un browser Web.

Windows CE

Windows CE è una famiglia di sistemi operativi Microsoft per i computer palmari e sistemi embedded. È simile per funzionalità a Windows per PC, ma usa un kernel diverso. Pertanto, i normali programmi per Windows non funzionano. CE supporta le architetture di processore Intel x86, MIPS, ARM (Intel PXA), e Hitachi SuperH. Può essere usato come un sistema operativo hard real time. Esistono versioni specifiche del Runtime per diverse versioni di CE e di processori.

Windows Vista

Sistema operativo della Microsoft. Successore di Windows XP.

Windows XP

Sistema operativo di Microsoft. XP sta per "eXPerience".

Windows XP Embedded

Sistema operativo Microsoft. Derivato da Windows XP Professional, ma si differenzia da Windows CE/pocket PC in quanto è indirizzato ad una diversa categoria di Hardware. Windows XP Embedded funziona solamente su dispositivi x86.

Wizard

Programma VBA, utilizzato durante la progettazione e che può creare e modificare degli oggetti. Tutti i Wizards sono dispnibili come codice sorgente e possono essere personalizzati.


X

Glossario -> X

XML

Extensible Markup Language - è un linguaggio di markup per la rappresentazione di dati gerarchicamente strutturati sotto forma di file di testo.


Y

Glossario -> Y


Z

Glossario -> Z

zenon

Sistema di controllo object-oriented della software house COPA-DATA.

zenon API

Interfaccia, che fornisce ad ambienti di programmazione la possibilità di accedere all'Editor o al Runtime. In questo modo si ha la completa possibilità di automatizzare le operazioni di configurazione. Parola chiave: progettazione automatizzata. Inoltre la funzionalità può essere ampliata tramite la scrittura di programmi proprietari. L'interfaccia viene utilizzata da VBA/VSTA ed è a disposizione anche per applicazioni esterne. Viene utilizzata come base la teconologia Microsoft COM.

zenon Webserver

Consente di accedere a progetti di zenon tramite un web client. Il Web server funziona anche come servizio di gestione licenza e come server proxy.

zoom

Modifica della grandezza focale o modifica delle dimesioni di visualizzazione di un'immagine su cui concentrarsi. 100% significa che ogni pixel dell'immagine corrisponde ad un pixel dello schermo.

zoom avanti

Concentrarsi su una parte di immagine e di ampliare le dimensioni della suddetta parte. 100% significa che ogni pixel dell'immagine corrisponde esattamente a un pixel sullo schermo.


Symbols

Glossario -> Symbols

.NET

E' una piattaforma software sviluppata da Microsoft. Comprende un ambiente Runtime, delle librerie di interfacce di classi per programmatori (API), e specifici programmi (servizi). Questa piattaforma è disponibile solamente per Windows.

.NET Framework

Il Framework .NET è un modello di programmazione Microsoft per gestione codice, e la creazione di applicazioni con comunicazione trasparente e sicura, oltre alla possibilità di modellare una vasta gamma di processi aziendali. La versione corrente del Framework, la 3.5, include tra le altre cose le Windows Presentation Foundation (WPF), Windows Workflow Foundation (WF), Windows Communication Foundation (WCF), Windows CardSpace, LINQ e la piena integrazione con Visual Studio 2008.

3S

Produttore del CoDeSys. 3S è l'acronimo di Smart Software Solutions.


Nel caso in cui non riusciate a trovare la soluzione ad un problema specifico, Vi preghiamo di rivolgervi al nostro supporto tecnico o di usare il nostro forum online.

Support Teams

In qualità di utente del contratto di manutenzione Basic (è contenuto gratuitamente in ogni licenza) potete raggiungere il support nel modo migliore mandando una mail a support@copadata.com.
Le informazioni relative alla possibilità di contattare telefonicamente il nostro support le trovate anche sulla nostra Website: Disponibilità del support

Se avete un contratto di manutenzione Advanced o Premium usate il numero di telefono che trovate nel Vostra contratto.

Le informazioni reltive ai contratti di manutenzione COPA-DATA le ricevete dai nostri consulenti usando l'indirizzo sales@copadata.com.

Forum

Molte informazioni e aiuto da parte di utenti e esperti di COPA-DATA le trovate anche in COPA-DATA Forum.

Downloads

Utenti in possesso di un qualsiasi contratto di manutenzione possono trovare sulla Website di COPA-DATA dei manuali, tutorial e video dascaricare.
Gli utenti in possesso di contratti Advanced e Premium hanno accesso online anche a Service Pack, esempi VBA e workshop.

Per scaricare dei file bisogna essere registrati come 'Membri'. La registrazione è gratuita e Vi consente di accedere ad informazioni che sono riservate alla nostra clientela.


GRP_FKT_FAULT_LOCATION

Interno ID: GRP_FKT_FAULT_LOCATION

Trovato errore nelle reti elettriche

Contiene funzioni che servono alla ricerca errori in reti elettriche.

Ulteriori informazioni nella guida in linea.


FKT_ACM_RSP

Interno ID: FKT_ACM_RSP

Salva buffer AML-CEL

Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

Ulteriori informazioni nella guida in linea


FKT_ALARM_BLINK_QUIT

Interno ID: FKT_ALARM_BLINK_QUIT

Ripristina lampeggio allarmi

Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta attualmente di un modello selezionato.

Ulteriori informazioni nella guida in linea


FKT_ALARM_GRP_KLASSEN

Interno ID: FKT_ALARM_GRP_KLASSEN

Lista di informazione allarmi/Gruppi di allarme/Classi di allarme - Abilitazione/Disabilitazione

Questa funzione attiva o disattiva un gruppo di allarmi/eventi o una classe di allarmi/eventi, oppure la completa gestone allarmi.

Ulteriori informazioni nella guida in linea


FKT_ALARM_GRUPPEN_VERB

Interno ID: FKT_ALARM_GRUPPEN_VERB

Attiva/disattiva gruppo allarmi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea


FKT_AML_AUS

Interno ID: FKT_AML_AUS

Disattiva allarmi

Questa funzione disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


FKT_AML_DEL

Interno ID: FKT_AML_DEL

Elimina allarmi

Questa funzione cancella allarmi filtrati.

Ulteriori informazioni nella guida in linea


FKT_AML_EIN

Interno ID: FKT_AML_EIN

Attiva allarmi

Questa funzione attiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


FKT_AML_EXP

Interno ID: FKT_AML_EXP

Esporta allarmi

Questa funzione esporta inserimenti filtrati della lista allarmi in un formato esterno.

Ulteriori informazioni nella guida in linea


FKT_AML_QTT

Interno ID: FKT_AML_QTT

Ripristina allarmi

Questa funzione ripristina allarmi filtrati.

Ulteriori informazioni nella guida in linea


FKT_AML_TGL

Interno ID: FKT_AML_TGL

Attiva/disattiva allarmi

Questa funzione disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


FKT_APP_HELP

Interno ID: FKT_APP_HELP

Apri Guida

Questa funzione apre una pagina di help selezionata da un file CHM.

Ulteriori informazioni nella guida in linea


FKT_APP_PALETTESWITCH

Interno ID: FKT_APP_PALETTESWITCH

Cambia tavolozza colori

Crea una funzione per passare durante il runtime da una tavolozza all´altra.

Ulteriori informazioni nella guida in linea.


FKT_APP_RT_PROFILES

Interno ID: FKT_APP_RT_PROFILES

Profilo Runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Ulteriori informazioni nella guida in linea.


FKT_APP_SAVE_REMDATA

Interno ID: FKT_APP_SAVE_REMDATA

Salvataggio dati ritentivi

Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.

Ulteriori informazioni nella guida in linea.


FKT_APP_SIMULATION

Interno ID: FKT_APP_SIMULATION

Attiva/Disattiva progetto di simulazione

Questa funzione Vi permette di passare da modalità di simulazone a modalità hardware. Inoltre, potete selezionare il tipo della modalità di simulazone e della modalità hardware.

Ulteriori informazioni nella guida in linea


FKT_APP_TEXT_LISTE

Interno ID: FKT_APP_TEXT_LISTE

Cambio lingua

Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Ulteriori informazioni nella guida in linea


FKT_APP_UNITS_SWITCH

Interno ID: FKT_APP_UNITS_SWITCH

Cambio unità di misura

Questa funzione passa dall´unità di base all´unità convertita e viceversa. L´assegnazione avviene in un dialogo che viene visualizzato al momento della creazione della funzione; essa può essere modificata mediante la proprietà Parametri.

Interno ID: FKT_APP_UNITS_SWITCH

Parametri

Parametri di trasferimento della funzione; Dipendente dal tipo di funzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Ulteriori informazioni nella guida in linea


FKT_ARV_AKT

Interno ID: FKT_ARV_AKT

Mostra archivi aperti

Questa funzione mostra una lista degli archivi attivi del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


FKT_ARV_AUS

Interno ID: FKT_ARV_AUS

Termina archivio

Questa funzione chiude un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


FKT_ARV_EIN

Interno ID: FKT_ARV_EIN

Partenza archivio

Questa funzione apre un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


FKT_ARV_EXP

Interno ID: FKT_ARV_EXP

Esporta archivio

Questa funzione esporta inserimenti archivi filtrati del modulo opzionale Archiviazione in un formato esterno.

Ulteriori informazioni nella guida in linea


FKT_ARV_IND

Interno ID: FKT_ARV_IND

Indicizza file d'archivio

Questa funzione serve ad indicizzare archivi. Viene sempre eseguita sul server che gestisce il processo.

Ulteriori informazioni nella guida in linea


FKT_BEDIENBERECHTIGUNG

Interno ID: FKT_BEDIENBERECHTIGUNG

Autorizzazione comando in rete

Questa funzione prende o concede la autorizzazione in rete.

Ulteriori informazioni nella guida in linea


FKT_BILD_AUS

Interno ID: FKT_BILD_AUS

Chiudi immagine

Questa funzione chiude un'immagine selezionata.

Ulteriori informazioni nella guida in linea


FKT_BILD_EIN

Interno ID: FKT_BILD_EIN

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_BILD_FOKUS

Interno ID: FKT_BILD_FOKUS

Imposta focus

Questa funzione setta l'impostazione di focus su un elemento determinato in un'immagine, il cui modello ha la focalizzazione.

Ulteriori informazioni nella guida in linea


FKT_BILD_MENU

Interno ID: FKT_BILD_MENU

Visualizza menu

Questa funzione apre o chiude un menu principale selezionato. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_BILD_MITTE

Interno ID: FKT_BILD_MITTE

Spostare il centro dell'immagine

Questa funzione effettua uno scroll o uno zoom in un'immagine globale.

Ulteriori informazioni nella guida in linea


FKT_BILD_SW_KDBMDI

Interno ID: FKT_BILD_SW_KDBMDI

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta per un´immagine del tipo Keyboard un valore predefinito (valore proposto), oppure setta un valore predefinito e chiude l´immagine.

Ulteriori informazioni nella guida in linea


FKT_BILD_VAR

Interno ID: FKT_BILD_VAR

Cambio immagine con variabile

Questa funzione apre un'immagine il cui nome contiene una variabile selezionata.

Ulteriori informazioni nella guida in linea


FKT_BILD_ZURUECK

Interno ID: FKT_BILD_ZURUECK

Immagine indietro

Questa funzione ritorna all'immagine precedentemente aperta del modello selezionato.

Ulteriori informazioni nella guida in linea


FKT_CEL_EXP

Interno ID: FKT_CEL_EXP

Esporta: lista CEL

Questa funzione esporta inserimenti filtrati della Lista eventi cronologica (CEL) in un formato esterno.

Ulteriori informazioni nella guida in linea


FKT_CHANGE_ALC_COLOR

Interno ID: FKT_CHANGE_ALC_COLOR

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori informazioni nella guida in linea.


FKT_DATEIOPERATION

Interno ID: FKT_DATEIOPERATION

Operazioni file

Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_DBASE_READ

Interno ID: FKT_DBASE_READ

Leggi file dBase

Questa funzione legge un file dBase selezionato e lo esegue come una ricetta.

Ulteriori informazioni nella guida in linea


FKT_DIAGRAM_PRINT

Interno ID: FKT_DIAGRAM_PRINT

Stampa diagramma Trend esteso

Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG o BMP) senza essere costretti ad aprire l´immagine del tipo trend esteso.

Ulteriori informazioni nella guida in linea


FKT_EINGABE_FOCUS

Interno ID: FKT_EINGABE_FOCUS

Focus: esegui funzione elemento

Questa funzione attiva la funzionalità dell'elemento che ha l'impostazione di focus.

Ulteriori informazioni nella guida in linea


FKT_EMS_START

Interno ID: FKT_EMS_START

Partenza EMS

Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo EMS.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea


FKT_EMS_STOP

Interno ID: FKT_EMS_STOP

Stop EMS

Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo EMS.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea


FKT_EXP_DATEN

Interno ID: FKT_EXP_DATEN

Esporta dati

Questa funzione esporta sul disco fisso in un formato esterno valori salvati (*.HDD) di variabili scelte.

Ulteriori informazioni nella guida in linea


FKT_FKT_AUS

Interno ID: FKT_FKT_AUS

Gestione funzioni OFF

Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.

Ulteriori informazioni nella guida in linea


FKT_FKT_EIN

Interno ID: FKT_FKT_EIN

Gestione funzioni ON

Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite.

Ulteriori informazioni nella guida in linea


FKT_FKT_TGL

Interno ID: FKT_FKT_TGL

Funzioni: Disattiva/Attiva

Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), (non) vengono eseguite.

Ulteriori informazioni nella guida in linea


FKT_GNDFLT_ACKNOWLEDGE

Interno ID: FKT_GNDFLT_ACKNOWLEDGE

Rinconosci guasto messa a terra

Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


FKT_GNDFLT_SEARCH_END

Interno ID: FKT_GNDFLT_SEARCH_END

Termina ricerca messa a terra

Funzione che serve a terminare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


FKT_GNDFLT_SEARCH_START

Interno ID: FKT_GNDFLT_SEARCH_START

Avvia ricerca messa a terra

Funzione che serve a iniziare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


FKT_GRAPH7_HEURISTIK

Interno ID: FKT_GRAPH7_HEURISTIK

Valutazione euristica S7-Graph

Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva.

Ulteriori informazioni nella guida in linea


FKT_HDD_AUS

Interno ID: FKT_HDD_AUS

Disattiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Non vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


FKT_HDD_EIN

Interno ID: FKT_HDD_EIN

Attiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


FKT_HDD_TGL

Interno ID: FKT_HDD_TGL

Attiva/disattiva Gestione HD

Questa funzione attiva o disattiva il salvataggio dati su hard-disk. (Non) vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


FKT_IMM_CHECKMAINT

Interno ID: FKT_IMM_CHECKMAINT

Determinazione manutenzioni in corso

Questa funzione determina il numero delle operazioni di manutenzione da eseguire per gli impianti indicati facendo riferimento al Industrial Maintenance Manager. Può essere indicato l'arco di tempo da prendere in considerazione. Il numero delle operazioni di manutenzione da realizzare viene scritto su variabili di stato che possono essere definite liberamente.

Ulteriori informazioni nella guida in linea


FKT_IPA_CREATE_DOCUMENT

Interno ID: FKT_IPA_CREATE_DOCUMENT

Crea/stampa documento IPA

Questa funzione genera a partire dai dati filtrati del Industrial Performance Analyzer un documento e lo stampa o lo salva in forma di documento HTML.

Ulteriori informazioni nella guida in linea


FKT_MOMENTAN_PRT

Interno ID: FKT_MOMENTAN_PRT

Stampa dei valori attuali

Questa funzione stampa i valori attuali delle variabili selezionate.

Ulteriori informazioni nella guida in linea


FKT_MONITOR_ZUORDNEN

Interno ID: FKT_MONITOR_ZUORDNEN

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_MOUSE_REVERSE

Interno ID: FKT_MOUSE_REVERSE

Simula right click

Questa funzione intepreta il successivo clic del mouse come un clic con il tasto destro.

Ulteriori informazioni nella guida in linea


FKT_MSG_AUS

Interno ID: FKT_MSG_AUS

Disattiva invio messaggio

Questa funzione disattiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


FKT_MSG_EDB

Interno ID: FKT_MSG_EDB

Esegui Database destinatari

Questa funzione apre un dialogo in cui un utente può modificare la banca dati di destinazione del modulo opzionale Message Control.


FKT_MSG_EIN

Interno ID: FKT_MSG_EIN

Attiva invio messaggio

Questa funzione attiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea.


FKT_MSG_SAVEQUEUE

Interno ID: FKT_MSG_SAVEQUEUE

Aktuelle Queue speichern

Salva nel Runtime un´immagine della coda messaggi attuale.

Ulteriori informazioni nella guida in linea.


FKT_MSG_SUPPRESS

Interno ID: FKT_MSG_SUPPRESS

Gruppen/Klassen/Bereiche/Anlagen unterdrücken

Disattiva o attiva degli elementi della lista per cui non deve essere inviato nessun messaggio.

Ulteriori informazioni nella guida in linea.


FKT_NACHLADEN

Interno ID: FKT_NACHLADEN

Aggiorna progetto Runtime

Questa funzione carica nell´Editor i file runtime modificati online.

Ulteriori informazioni nella guida in linea


FKT_PFS_EVENT

Interno ID: FKT_PFS_EVENT

Attiva evento PFS

Questa funzione esegue un evento PFS creato in precedenza dall'utente.

Ulteriori informazioni nella guida in linea


FKT_PRT_AMLCEL

Interno ID: FKT_PRT_AMLCEL

Stampa lista allarmi o CEL

Questa funzione stampa inserimenti filtrati o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


FKT_PRT_HARDCOPY

Interno ID: FKT_PRT_HARDCOPY

Stampa screenshot

Questa funzione stampa o la schermata attuale, o l'immagine di un modello selezionato attualmente aperta. Nei sistemi multimonitor può essere selezionato il monitor per modelli. Se lo si desidera, si può deviare l'operazione di stampa su un fax.

Ulteriori informazioni nella guida in linea


FKT_PRT_ONLINE

Interno ID: FKT_PRT_ONLINE

Stampa online on/off

Questa funzione attiva o disattiva la stampa online della lista allarmi e della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


FKT_PRT_ONLINE_SWITCH

Interno ID: FKT_PRT_ONLINE_SWITCH

Cambio stampante online

Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_PRT_WAHL

Interno ID: FKT_PRT_WAHL

Selezionare stampante

Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa.

Ulteriori informazioni nella guida in linea


FKT_PWD_LOGIN

Interno ID: FKT_PWD_LOGIN

Login con dialogo

Questa funzione apre un dialogo di login standard.

Ulteriori informazioni nella guida in linea


FKT_PWD_LOGIN_DIREKT

Interno ID: FKT_PWD_LOGIN_DIREKT

Login senza password

Questa funzione effettua il login di un utente selezionato senza richiedere la sua password.

Ulteriori informazioni nella guida in linea


FKT_PWD_LOGOUT

Interno ID: FKT_PWD_LOGOUT

Esegui logout

Questa funzione effettua il logout di un utente.

Ulteriori informazioni nella guida in linea


FKT_PWD_PWDEDIT

Interno ID: FKT_PWD_PWDEDIT

Modifica password

Questa funzione apre un dialogo in cui l'utente può modificare la sua password.

Ulteriori informazioni nella guida in linea


FKT_PWD_USREDIT

Interno ID: FKT_PWD_USREDIT

Modifica utente

Questa funzione apre un dialogo nel quale un amministratore che abbia effettuato il login può creare, editare o cancellare degli utenti.

Ulteriori informazioni nella guida in linea


FKT_QUIT

Interno ID: FKT_QUIT

Esci dal programma

Questa funzione termina il runtime dello scada.

Ulteriori informazioni nella guida in linea


FKT_REDUNDANZ

Interno ID: FKT_REDUNDANZ

Cambio ridondanza

Questa funzione effettua il cambio fra server e server in standby del progetto.

Ulteriori informazioni nella guida in linea


FKT_REZ_DIREKT

Interno ID: FKT_REZ_DIREKT

Richiamo ricetta singola

Questa funzione trasmette i valori di una ricetta standard selezionata al PLC.

Ulteriori informazioni nella guida in linea


FKT_REZ_WAHL

Interno ID: FKT_REZ_WAHL

Richiamo ricetta singola con selezione

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire una ricetta standard.

Ulteriori informazioni nella guida in linea


FKT_REZ_WAHL_ONL

Interno ID: FKT_REZ_WAHL_ONL

Richiamo ricetta singola con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare e eseguire (oppure modificare) una ricetta standard.

Ulteriori informazioni nella guida in linea


FKT_REZEPT

Interno ID: FKT_REZEPT

Ricetta Standard

Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_RGM

Interno ID: FKT_RGM

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_SAP_CALL_FUNCTION

Interno ID: FKT_SAP_CALL_FUNCTION

Esegui funzione SAP

Esegue una funzione definita in SAP Interface nel runtime. La funzione SAP, a sua volta, effettua il trigger di una Remote Function Call (RFC).


FKT_SAT1

Interno ID: FKT_SAT1

Attivare comando output

Funzione SAT


FKT_SAT2

Interno ID: FKT_SAT2

Generare protocollo cambio turno

Funzione SAT


FKT_SAT_SEA_RUN

Interno ID: FKT_SAT_SEA_RUN

Switching sequence automatic cycle


FKT_SAT_TOP_ERDSCHLUSS

Interno ID: FKT_SAT_TOP_ERDSCHLUSS

Topologia - Ricerca cortocircuito

Attiva o disattiva la ricerca di messa a terra. All´inizio di tale ricerca vengono congelate la malfunzioni in attesa. Nuove malfunzioni vengono visualizzate solo dopo la fine della ricerca.


FKT_SAT_TOP_LOADSHEDDING

Interno ID: FKT_SAT_TOP_LOADSHEDDING

Topologia - LoadShedding

Con l´aiuto della funzione Loadshedding, lo stato di alimerntazione di utilizzatori topologici può essere verificato e lo si può rappresentare tramite variabili.

Vengono supportate fino a 32 sorgenti.


FKT_SCHABFOCUS_AUS

Interno ID: FKT_SCHABFOCUS_AUS

Elimina focus dal modello

Questa funzione elimina l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


FKT_SCHABFOCUS_EIN

Interno ID: FKT_SCHABFOCUS_EIN

Attiva focus sul modello

Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


FKT_SCHABLONE_AUS

Interno ID: FKT_SCHABLONE_AUS

Chiudi modello

Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

Ulteriori informazioni nella guida in linea


FKT_SCRIPT_DIR

Interno ID: FKT_SCRIPT_DIR

Esegui script

Questa funzione esegue uno script selezionato.

Ulteriori informazioni nella guida in linea


FKT_SCRIPT_WHL

Interno ID: FKT_SCRIPT_WHL

Script con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire uno script.

Ulteriori informazioni nella guida in linea


FKT_SENDE_NACHRICHT

Interno ID: FKT_SENDE_NACHRICHT

Invia messaggio

Questa funzione manda un messaggio del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


FKT_SHRTFLT_ACKNOWLEDGE

Interno ID: FKT_SHRTFLT_ACKNOWLEDGE

Riconoscimento breve messaggio

Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


FKT_SIMULATION

Interno ID: FKT_SIMULATION

Simulazione on/off

Questa funzione attiva o disattiva la simulazione.


FKT_TBL_AUS

Interno ID: FKT_TBL_AUS

Esegui report

Questa funzione esegue un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


FKT_TBL_EXP

Interno ID: FKT_TBL_EXP

Esporta report

Questa funzione esporta un rapporto selezionato del modulo opzionale Generatore di rapporti in un formato esterno.

Ulteriori informazioni nella guida in linea


FKT_TBL_EXPW

Interno ID: FKT_TBL_EXPW

Inizia una nuova pagina per la stampa online

Questa funzione termina una pagina e ne comincia una nuova al momento dell'attivazione della stampa online. Il numero di pagina viene riportato a 1.

Ulteriori informazioni nella guida in linea


FKT_TBL_PRN

Interno ID: FKT_TBL_PRN

Stampa report

Questa funzione stampa un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


FKT_TM_READ

Interno ID: FKT_TM_READ

Acquisisci data/ora dalla variabile

Questa funzione legge il tempo della variabile string del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


FKT_TM_WRITE

Interno ID: FKT_TM_WRITE

Scrivi data/ora nella variabile

Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile string nel PLC. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


FKT_TREIBERKOMMANDO

Interno ID: FKT_TREIBERKOMMANDO

Esegui comandi driver

Questa funzione trasmette un comando selezionato ad un driver selezionato. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_UEBERSICHT

Interno ID: FKT_UEBERSICHT

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo in modo tale da simulare in un sistema con un solo monitor un sistema con più monitor.

Ulteriori informazioni nella guida in linea


FKT_VAR_ALIGN_VM_IMAGE

Interno ID: FKT_VAR_ALIGN_VM_IMAGE

Simulazione immagine di processo del driver acquisita dallo Standby

Viene eseguita solamente sul server di standby.

Richiede al momento della sua esecuzione del server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione.

Ulteriori informazioni nella guida in linea


FKT_VAR_SOLLWERT

Interno ID: FKT_VAR_SOLLWERT

Settare valore impostabile

Questa funzione trasmette al PLC un nuovo valore per una variabile selezionata.

Ulteriori informazioni nella guida in linea


FKT_VBA_IDE

Interno ID: FKT_VBA_IDE

VBA-Visualizza Editor

Questa funzione apre l'editor VBA.

Ulteriori informazioni nella guida in linea


FKT_VBA_MAKRO

Interno ID: FKT_VBA_MAKRO

Lanciare Macro-VBA

Questa funzione esegue una macro VBA selezionata.

Attenzione: l´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx . Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. Le macro VBA che dovevano essere eseguite al momento della chiusura del runtime, devono essere attivate mediante l´event Project.Inactive.

Ulteriori informazioni nella guida in linea


FKT_VBA_MCR

Interno ID: FKT_VBA_MCR

VBA-Visualizza dialogo Macro

Questa funzione apre il dialogo Macro VBA.

Ulteriori informazioni nella guida in linea


FKT_VBA_PCE

Interno ID: FKT_VBA_PCE

Apri Editor PCE

Questa funzione apre l'editor del modulo opzionale Process Control Engine (PCE).

Ulteriori informazioni nella guida in linea


FKT_VSTA_CALLMACRO

Interno ID: FKT_VSTA_CALLMACRO

Lanciare Macro-VSTA

Questa funzione esegue una macro VSTA selezionata.

Ulteriori informazioni nella guida in linea


FKT_VSTA_SHOWIDE

Interno ID: FKT_VSTA_SHOWIDE

Apri Editor VSTA

Questa funzione apre l'editor VSTA.

Ulteriori informazioni nella guida in linea


FKT_VSTA_SHOWMACRODLG

Interno ID: FKT_VSTA_SHOWMACRODLG

VSTA-Visualizza il dialogo delle Macro

Questa funzione apre il dialogo Macro VSTA.

Ulteriori informazioni nella guida in linea


FKT_WND_AUDI_AUFUEHREN

Interno ID: FKT_WND_AUDI_AUFUEHREN

Esegui file audio

Questa funzione esegue un file audio selezionato una volta (*.wav).

Ulteriori informazioni nella guida in linea


FKT_WND_AUDI_START

Interno ID: FKT_WND_AUDI_START

Esegui file audio continuo

Questa funzione esegue un file audio (*.wav) ripetutamente.

Ulteriori informazioni nella guida in linea


FKT_WND_AUDI_STOP

Interno ID: FKT_WND_AUDI_STOP

Termina file audio continuo

Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).

Ulteriori informazioni nella guida in linea


FKT_WND_BTN

Interno ID: FKT_WND_BTN

Porta sullo sfondo

Questa funzione sposta il runtime dello scada sullo sfondo.

Ulteriori informazioni nella guida in linea


FKT_WND_PROG_AUFUEHREN

Interno ID: FKT_WND_PROG_AUFUEHREN

Esegui programma

Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


FKT_WND_TOP

Interno ID: FKT_WND_TOP

Porta in primo piano

Questa funzione porta il Runtime di zenon in primo piano.

Attenzione: se si fa uso del comando "apri in primo piano", viene coperta la barra stato allarmi.

Ulteriori informazioni nella guida in linea


GRP_FKT_AMLCEL

Interno ID: GRP_FKT_AMLCEL

Allarmi ed eventi

Questo gruppo contiene delle funzioni per gestire la Lista allarmi e la Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


GRP_FKT_ANWENDUNG

Interno ID: GRP_FKT_ANWENDUNG

Applicazione

Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

Ulteriori informazioni nella guida in linea


GRP_FKT_ARV

Interno ID: GRP_FKT_ARV

Archiviazione

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


GRP_FKT_BILD

Interno ID: GRP_FKT_BILD

Immagini

Questo gruppo contiene delle funzioni per l'utilizzo delle immagini.

Ulteriori informazioni nella guida in linea


GRP_FKT_FAVORITEN

Interno ID: GRP_FKT_FAVORITEN

Preferiti


GRP_FKT_NACHRICHT

Interno ID: GRP_FKT_NACHRICHT

Message Control

Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

Ulteriori informazioni nella guida in linea


GRP_FKT_NETZ

Interno ID: GRP_FKT_NETZ

Rete

Questo gruppo contiene delle funzioni per l'utilizzo di una rete.

Ulteriori informazioni nella guida in linea


GRP_FKT_PASSWORT

Interno ID: GRP_FKT_PASSWORT

Password

Questo gruppo contiene delle funzioni per la gestione utente.

Ulteriori informazioni nella guida in linea


GRP_FKT_REZEPT

Interno ID: GRP_FKT_REZEPT

Ricetta

Questo gruppo contiene delle funzioni per l'utilizzo delle ricette standard e delle ricette del modulo opzionale Manager gruppi ricette.

Ulteriori informazioni nella guida in linea


GRP_FKT_SCRIPT

Interno ID: GRP_FKT_SCRIPT

Script

Questo gruppo contiene delle funzioni per l'utilizzo degli script.

Ulteriori informazioni nella guida in linea


GRP_FKT_TABELLE

Interno ID: GRP_FKT_TABELLE

Generatore Report

Questo gruppo contiene delle funzioni per l'uso del modulo Generatore di rapporti.

Ulteriori informazioni nella guida in linea


GRP_FKT_VARIABLE

Interno ID: GRP_FKT_VARIABLE

Variabile

Questo gruppo contiene delle funzioni per l'utilizzo delle variabili.

Ulteriori informazioni nella guida in linea


GRP_FKT_VBA

Interno ID: GRP_FKT_VBA

VBA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VBA.

Ulteriori informazioni nella guida in linea


GRP_FKT_VSTA

Interno ID: GRP_FKT_VSTA

VSTA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VSTA.

Ulteriori informazioni nella guida in linea


GRP_FKT_WINDOWS

Interno ID: GRP_FKT_WINDOWS

Windows

Questo gruppo contiene delle funzioni per l'utilizzo delle funzionalità del sistema operativo.

Ulteriori informazioni nella guida in linea


ID_PROJEKT_NAME

Interno ID: ID_PROJEKT_NAME

Nome progetto

Nome univoco del progetto.
Esso serve a garantire una lettura migliore; internamente si usa di norma il GUID.

Sono consentiti: cifre, lettere e i seguenti caratteri speciali: $, -, @, _, {}, ~, !, ()
Indicazione: tenere presente che, quando modificate il nome del progetto, dovete eventualmente anche adattare i riferimenti che valgono per più progetti, o l´uso multiprogetto di variabili, funzione e VBA. A tal scopo usate il Dialogo di sostituzione di riferimenti di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_230TOP_PROP_B_FOS

Interno ID: ID_230TOP_PROP_B_FOS

Limite per localizzazione errore da protezione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopologyBorderFOS"


ID_230TOP_PROP_B_SV

Interno ID: ID_230TOP_PROP_B_SV

Limite per il calcolo di distribuzione alimentazione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopologyBorderSV"


ID_230TOP_PROP_INVISIBLE

Interno ID: ID_230TOP_PROP_INVISIBLE

invisibile nel RT

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RTInvisible"


ID_230TOP_PROP_LIRE

Interno ID: ID_230TOP_PROP_LIRE

Inverti sinistra/destra

Cambia il riferimento sinistra/destra per gli elementi topologici che hanno un riferimento di direzione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopologyLRChanged"


ID_230TOP_PROP_NC_CABLETYPE

Interno ID: ID_230TOP_PROP_NC_CABLETYPE

Tipo di cavo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCableType"


ID_230TOP_PROP_NC_CURRENTMAX

Interno ID: ID_230TOP_PROP_NC_CURRENTMAX

Capacità di corrente [A]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCCurrentMax"


ID_230TOP_PROP_NC_I_VAL

Interno ID: ID_230TOP_PROP_NC_I_VAL

Carico [A]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCurrentVal"


ID_230TOP_PROP_NC_I_VAR

Interno ID: ID_230TOP_PROP_NC_I_VAR

Valore misurazione corrente

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCurrentVar"


ID_230TOP_PROP_NC_LENGTH

Interno ID: ID_230TOP_PROP_NC_LENGTH

Lunghezza [m]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCLength"


ID_230TOP_PROP_NC_REAKT

Interno ID: ID_230TOP_PROP_NC_REAKT

Reattanza [Ohm]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCReactance"


ID_230TOP_PROP_NC_RESIST

Interno ID: ID_230TOP_PROP_NC_RESIST

Resistenza [Ohm]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCCResistance"


ID_230TOP_PROP_NC_TYPE

Interno ID: ID_230TOP_PROP_NC_TYPE

Tipo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCType"


ID_230TOP_PROP_NC_U_VAL

Interno ID: ID_230TOP_PROP_NC_U_VAL

Livello tensione [V]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCVoltageVal"


ID_230TOP_PROP_NC_U_VAR

Interno ID: ID_230TOP_PROP_NC_U_VAR

Valore misurazione tensione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NCVoltageVar"


ID_230TOP_PROP_RES_NR

Interno ID: ID_230TOP_PROP_RES_NR

Tipo risorsa

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopologyResourceNr"


ID_230TOP_PROP_ZUORD_VAR

Interno ID: ID_230TOP_PROP_ZUORD_VAR

Nome di base per la variabile di feedback

Varibile che serve da base per quelle nella topologia.

Nella topologia potete fissare una variabile per ogni conduttore. Questa variabile serve da base per ulteriori variabili,

che definite nella progettazione della topologia stessa. Potete assegnare poi a queste variabili

dei valori relativi alla prestazione, calcolati dalla topologia.

Cliccate sul pulsante per aprire il dialogo che serve alla scelta delle variabili.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Mapping-Variable"


ID_ADMINUSER

Interno ID: ID_ADMINUSER

Amministratore

Attivo: Questo utente non è un amministratore. Perciò esso non può editare nel Runtime altri utenti e sbloccare il sistema.
Disattivato: Questo utente non è un amministratore.
Default: inattivo.

ATTENZIONE: Un amministratore può rendere accessibili ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Admin"


ID_ADRESSPARAM

Interno ID: ID_ADRESSPARAM

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Adressparam"


ID_ALARM_BEREICH_ALARMVAR

Interno ID: ID_ALARM_BEREICH_ALARMVAR

Quantità allarmi attivi

Variabile che contiene il numero di allarmi attivi per questa area come valore.
Apre il dialogo di scelta delle variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmVar"


ID_ALARM_BEREICH_QUITVAR

Interno ID: ID_ALARM_BEREICH_QUITVAR

Quanità allarmi non ripristinati

Variabile che contiene il numero di allarmi non ripristinati per questa area di allarme come valore.
Apre il dialogo di selezione delle variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "QuitVar"


ID_ALARM_BEREICH_STATUSVAR

Interno ID: ID_ALARM_BEREICH_STATUSVAR

Variabile di stato

Il primo bit di questa variabile Byte indica che ci sono allarmi attivi in questa area allarmi.
Il secondo bit di questa variabile Byte indica che ci sono allarmi non ripristinati in questa area di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVar"


ID_ALARM_BEREICHITEM_ALARMVAR

Interno ID: ID_ALARM_BEREICHITEM_ALARMVAR

Quantità allarmi attivi

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmVar"


ID_ALARM_BEREICHITEM_DELETE

Interno ID: ID_ALARM_BEREICHITEM_DELETE

{Elimina classe}

L’area selezionata viene cancellata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeleteEntry"


ID_ALARM_BEREICHITEM_KLASSE

Interno ID: ID_ALARM_BEREICHITEM_KLASSE

Classe allarmi/eventi

Classe allarmi/eventi per l´inserimento area.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Class"


ID_ALARM_BEREICHITEM_QUITVAR

Interno ID: ID_ALARM_BEREICHITEM_QUITVAR

Quanità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "QuitVar"


ID_ALARM_BEREICHITEM_STATUSVAR

Interno ID: ID_ALARM_BEREICHITEM_STATUSVAR

Variabile di stato

Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi della classe allami/eventi selezionata in questa area allarmi.
Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVar"


ID_ALARM_PROP_BEREICH_ID

Interno ID: ID_ALARM_PROP_BEREICH_ID

Nr

Numero della classe di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Id"


ID_ALARM_PROP_BEREICH_ITEMS

Interno ID: ID_ALARM_PROP_BEREICH_ITEMS

Collegamento classi

Riassume le variabili di stato, il numero degli allarmi attivi e di quelli non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Items"


ID_ALARM_PROP_BEREICH_NAME

Interno ID: ID_ALARM_PROP_BEREICH_NAME

Nome

Nome dell’area di allarme.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ALARM_PROP_BEREICH_NEU

Interno ID: ID_ALARM_PROP_BEREICH_NEU

{Nuova classe}

Imposta un nuovo inserimento area per l´area di allarme.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "New"


ID_ALARM_PROP_GRPKLS

Interno ID: ID_ALARM_PROP_GRPKLS

Generale

Proprietà per gruppi allarmi/eventi o classi allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GrpCls"


ID_ALARM_PROP_GRPKLS_COLOR

Interno ID: ID_ALARM_PROP_GRPKLS_COLOR

Colore

Colore del gruppo allarmi/eventi o della classe allarmi/eventi.
Il colore della classe allarmi/eventi può essere usato per la visualizzazione nelle liste.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Color"


ID_ALARM_PROP_GRPKLS_FUNKTION

Interno ID: ID_ALARM_PROP_GRPKLS_FUNKTION

Funzione

Nome della funzioner che viene eseguita se si verifica un allarme di questo gruppo/classe. Un clic sul comando apre il dialogo che serve alla selezione della funzione. In alternativa potete inserire manualmente il nome della funzione nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_ALARM_PROP_GRPKLS_ID

Interno ID: ID_ALARM_PROP_GRPKLS_ID

Nr

Numero del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Id"


ID_ALARM_PROP_GRPKLS_IMAGE

Interno ID: ID_ALARM_PROP_GRPKLS_IMAGE

File grafico

Selezionate una grafica per il gruppo allarmi/eventi o la classe allarmi/eventi. Cliccando con il tasto sinistro del mouse, si accede alla selezione dei file. Selezionate il file grafico desiderato.

Default: nessun file.

Ulteriori informazioni nella guida in linea concernente i gruppi allarmi/eventi.

Ulteriori informazioni nella guida in linea concernente le classi allarmi/eventi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Image"


ID_ALARM_PROP_GRPKLS_NAME

Interno ID: ID_ALARM_PROP_GRPKLS_NAME

Nome

Nome del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ALARM_PROP_GRPKLS_STATUSVAR

Interno ID: ID_ALARM_PROP_GRPKLS_STATUSVAR

Variabile di stato

Nome della variabile il cui valore mostra se in quel momento il gruppo/la classe è attivo/a, oppure se gli allarmi di questo gruppo/questa classe vengono ignorati.

E' possibile usare solo delle variabili binarie: Un clic sul comando apre il dialogo che serve alla selezione delle variabili. In alternativa potete inserire manualmente il nome delle variabili nel campo di testo.

Valore variabile = 1: Gruppo/classe è attivo/a.

Gruppi allarmi/eventi oppure classi allarmi/eventi possono essere attivati con l´aiuto della funzione Attiva/disattiva gruppo allarmi.

Interno ID: ID_ALARM_PROP_GRPKLS_STATUSVAR

Attiva/disattiva gruppo allarmi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVar"


ID_ALARM_PROP_GRPKLS_TEXT

Interno ID: ID_ALARM_PROP_GRPKLS_TEXT

Descrizione

Descrizione del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


ID_ALARM_VERWALTUNG

Interno ID: ID_ALARM_VERWALTUNG

Gestione allarmi

Si aprirà il dialogo di configurazione per la Lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmAdministration"


ID_ALPHABACKCOLOR

Interno ID: ID_ALPHABACKCOLOR

Trasparenza colore riempimento [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Interno ID: ID_ALPHABACKCOLOR

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ALPHABACKCOLOR

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ALPHABACKCOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ALPHABACKCOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ALPHABACKCOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"

Definisce il grado di copertura del colore mediante ad un valore compreso fra 0 e 100 per cento.

0: invisibile

100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor"


ID_ALPHABACKCOLOR2

Interno ID: ID_ALPHABACKCOLOR2

Trasparenza colore di sfumatura [%]

Disponibile solamente nel caso in cui sia stato selezionato nella proprietà Tipo di riempimento sfumatura , e se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ALPHABACKCOLOR2

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"

Interno ID: ID_ALPHABACKCOLOR2

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ALPHABACKCOLOR2

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ALPHABACKCOLOR2

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ALPHABACKCOLOR2

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"

Definisce il grado di copertura del colore mediante ad un valore compreso fra 0 e 100 per cento.

0: invisibile

100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBackColor2"


ID_ALPHACOLORRAHMEN

Interno ID: ID_ALPHACOLORRAHMEN

Trasparenza del colore bordo [%]

Disponibile solo se la proprietà Con valori di luminosità non è stata attivata.

Interno ID: ID_ALPHACOLORRAHMEN

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ALPHACOLORRAHMEN

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"

Disponibile solo se la proprietà Qualità grafica è attivata.

Interno ID: ID_ALPHACOLORRAHMEN

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ALPHACOLORRAHMEN

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ALPHACOLORRAHMEN

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"

Definisce il grado di copertura del colore mediante ad un valore compreso fra 0 e 100 per cento.

0: invisibile

100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahBorderColor"


ID_ALPHALINECOLOR

Interno ID: ID_ALPHALINECOLOR

Trasparenza del colore linea [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Interno ID: ID_ALPHALINECOLOR

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ALPHALINECOLOR

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ALPHALINECOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ALPHALINECOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ALPHALINECOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"

Definisce il grado di copertura del colore mediante ad un valore compreso fra 0 e 100 per cento.

0: invisibile

100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlpahLineColor"


ID_AML_AKTIV

Interno ID: ID_AML_AKTIV

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmAdminActive"


ID_AML_BLINKQUIT

Interno ID: ID_AML_BLINKQUIT

Riconoscimento dal lampeggio

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ripristinando il lampeggio di un elemento, si ripristina anche l´allarme corrispondente nella lista allarmi.
Non attiva: il ripristino del lampeggio di un elemento non ha altro effetto che quello per cui l´elemento non lampeggia più. L´allarme corrispondente non viene ripristinato.
Default: non attiva.
Si può ripristinare il lampeggio di elementi cliccando due volte su di essi con il tasto destro del mouse, oppure tramite la funzione "Ripristina lampeggio".

Interno ID: ID_AML_BLINKQUIT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmFlashAcknowledge"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmFlashAcknowledge"


ID_AML_CLS_COLOR

Interno ID: ID_AML_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
non utilizzare: I colori delle classi allarmi/eventi non vengono usate nel lista allarmi durante il runtime.
come colore testo: I colori delle classi allarmi/eventi vengono usate nel lista allarmi durante il runtime come colori testo per gli inserimenti corrispondenti.
come sfondo righe: I colori delle classi allarmi/eventi vengono usate nel lista allarmi durante il runtime come colori di sfondo per gli inserimenti corrispondenti.
Default: come sfondo righe

Interno ID: ID_AML_CLS_COLOR

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmClsColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmClsColor"


ID_AML_COLOR_DEL

Interno ID: ID_AML_COLOR_DEL

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_COLOR_DEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorDel"

Solo per allarmi con attiva proprietà Con cancellazione disponibile.

Interno ID: ID_AML_COLOR_DEL

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Interno ID: ID_AML_COLOR_DEL

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorDel"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorDel"

Proprietà per la rappresentazione di Allarme cancellato nella lista allarmi.. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorDel"


ID_AML_COLOR_GEHT

Interno ID: ID_AML_COLOR_GEHT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Esce nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Interno ID: ID_AML_COLOR_GEHT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorClr"

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorClr"


ID_AML_COLOR_KOMMT

Interno ID: ID_AML_COLOR_KOMMT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Entra nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Interno ID: ID_AML_COLOR_KOMMT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorRec"

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorRec"


ID_AML_COLOR_QUIT

Interno ID: ID_AML_COLOR_QUIT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Tempo-ripristino nella Lista di informazione allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Interno ID: ID_AML_COLOR_QUIT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorAkn"

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmColorAkn"


ID_AML_COMES_PREF

Interno ID: ID_AML_COMES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_COMES_PREF

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefComes"

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme entrato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme in entrata. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Interno ID: ID_AML_COMES_PREF

Allarme in entrata

Proprietà per la rappresentazione di Allarme in entrata nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefComes"

Default: >>

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefComes"


ID_AML_COMES_PREF_IMAGE

Interno ID: ID_AML_COMES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_COMES_PREF_IMAGE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageComes"

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in entrata. La grafica aiuta a riconoscere velocemente il data/ora di Allarme in entrata. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Interno ID: ID_AML_COMES_PREF_IMAGE

Allarme in entrata

Proprietà per la rappresentazione di Allarme in entrata nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageComes"

Interno ID: ID_AML_COMES_PREF_IMAGE

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme entrato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme in entrata. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageComes"

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageComes"


ID_AML_COUNT1

Interno ID: ID_AML_COUNT1

Messaggio 1 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 2 numero allarmi.

Interno ID: ID_AML_COUNT1

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 3 numero allarmi.

Interno ID: ID_AML_COUNT1

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_COUNT1

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_COUNT1

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"

Interno ID: ID_AML_COUNT1

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt1"


ID_AML_COUNT2

Interno ID: ID_AML_COUNT2

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 3 numero allarmi.

Interno ID: ID_AML_COUNT2

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_COUNT2

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_COUNT2

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt2"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt2"

Interno ID: ID_AML_COUNT2

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt2"


ID_AML_COUNT3

Interno ID: ID_AML_COUNT3

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_COUNT3

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_COUNT3

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt3"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt3"

Interno ID: ID_AML_COUNT3

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt3"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsgCnt3"


ID_AML_DELETEINCEL

Interno ID: ID_AML_DELETEINCEL

Elimina Allarme

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Se un allarme con obbligo di cancellazione viene effettivamente cancellato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: Se si cancellano degli allarmi, non si ha nessun inserimento nella CEL.
Default: non attiva.

Interno ID: ID_AML_DELETEINCEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmCELDelete"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmCELDelete"


ID_AML_DETACH

Interno ID: ID_AML_DETACH

Gestione buffer circolare:

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Se viene superato nella memoria il numero degli allarmi definiti nella proprietà Dimensione buffer circolare, viene eseguita la seguente azione:
Rifiuta nuovi: I nuovi allarmi verranno ignorati. Essi non verranno salvati e andranno persi!
Escludi più vecchi: Nel momento in cui si verifica un nuovo allarme, il più vecchio allarme in memoria viene spostato nel file corrispondente.
Escludi più recenti: L'allarmepiù recente viene spostato nel file corrispondente.
Default: escludi i più vecchi.

Interno ID: ID_AML_DETACH

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDetach"

Interno ID: ID_AML_DETACH

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDetach"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDetach"


ID_AML_GOES_PREF

Interno ID: ID_AML_GOES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_GOES_PREF

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefGoes"

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme in entrata. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarmi cancellati. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Interno ID: ID_AML_GOES_PREF

Allarmi cancellati

Proprietà per la rappresentazione di Allarme in uscita nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefGoes"

Default: >>

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefGoes"


ID_AML_GOES_PREF_IMAGE

Interno ID: ID_AML_GOES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_GOES_PREF_IMAGE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageGoes"

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in uscita. La grafica aiuta a riconoscere velocemente il data/ora di Allarmi cancellati. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Interno ID: ID_AML_GOES_PREF_IMAGE

Allarmi cancellati

Proprietà per la rappresentazione di Allarme in uscita nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageGoes"

Interno ID: ID_AML_GOES_PREF_IMAGE

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme in entrata. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarmi cancellati. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageGoes"

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageGoes"


ID_AML_GRP_CLEARED

Interno ID: ID_AML_GRP_CLEARED

Allarmi cancellati

Proprietà per la rappresentazione di Allarme in uscita nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_AML_GRP_COLOR

Interno ID: ID_AML_GRP_COLOR

Farben AML-Einträge

Proprietà per la definizione dei colori per la Gestione Allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_Color"


ID_AML_GRP_DEL

Interno ID: ID_AML_GRP_DEL

Allarme eliminato

Proprietà per la rappresentazione di Allarme cancellato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_AML_GRP_IMAGE

Interno ID: ID_AML_GRP_IMAGE

Graphik AML-Einträge

Proprietà per le impostazioni grafiche della lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_Images"


ID_AML_GRP_MEM

Interno ID: ID_AML_GRP_MEM

Cartella salvataggio AML

Proprietà per il salvataggio degli allarmi in memoria e su disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_Mem"


ID_AML_GRP_QUIT

Interno ID: ID_AML_GRP_QUIT

Allarme ripristinato

Proprietà per la rappresentazione di Allarme ripristinato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_AML_GRP_RECIVED

Interno ID: ID_AML_GRP_RECIVED

Allarme in entrata

Proprietà per la rappresentazione di Allarme in entrata nella lista allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_AML_GRP_STATUSBAR

Interno ID: ID_AML_GRP_STATUSBAR

Barra stato allarmi

Proprietà per la Riga di stato della gestione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_StatusBar"


ID_AML_IMAGE_DEL

Interno ID: ID_AML_IMAGE_DEL

File grafico per lo stato

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_IMAGE_DEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageDel"

Selezione di un file grafico per lo stato Allarme cancellato. Potete far in modo che questo file sia visualizzazo nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageDel"


ID_AML_IMAGE_GEHT

Interno ID: ID_AML_IMAGE_GEHT

File grafico per lo stato

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_IMAGE_GEHT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageClr"

Selezionate un file grafico per lo stato Allarme in uscita. Potete far in modo che questo file sia visualizzazo nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File gfafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageClr"


ID_AML_IMAGE_KOMMT

Interno ID: ID_AML_IMAGE_KOMMT

File grafico per lo stato

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_IMAGE_KOMMT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageRec"

Selezionate un file grafico per lo stato Allarme in entrata. Potete far in modo che questo file sia visualizzazo nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File gfafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageRec"


ID_AML_IMAGE_QUIT

Interno ID: ID_AML_IMAGE_QUIT

File grafico per lo stato

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_IMAGE_QUIT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageAkn"

Selezionate un file grafico per lo stato Allarme ripristinato. Potete far in modo che questo file sia visualizzazo nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File gfafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmImageAkn"


ID_AML_LISTENTRY

Interno ID: ID_AML_LISTENTRY

Impostazione colonne AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Interno ID: ID_AML_LISTENTRY

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmListEntry"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmListEntry"


ID_AML_LST_STYLE

Interno ID: ID_AML_LST_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_AML_LST_STYLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_AML_LST_STYLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_AML_LST_STYLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"

Interno ID: ID_AML_LST_STYLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"

Interno ID: ID_AML_LST_STYLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmHeader"


ID_AML_MEMCOUNT

Interno ID: ID_AML_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_MEMCOUNT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMemCount"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMemCount"


ID_AML_MITREAKTZEIT

Interno ID: ID_AML_MITREAKTZEIT

Utilizza tempo di riattivazione

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
Default: non attiva.

Interno ID: ID_AML_MITREAKTZEIT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmTimeReactive"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmTimeReactive"


ID_AML_MSG1

Interno ID: ID_AML_MSG1

Messaggio 1 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 1 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 1 numero allarmi, il quale deve essere visualizzato nel runtime. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.

Interno ID: ID_AML_MSG1

Messaggio 1 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 2 numero allarmi.

Interno ID: ID_AML_MSG1

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 3 numero allarmi.

Interno ID: ID_AML_MSG1

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_MSG1

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_MSG1

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Interno ID: ID_AML_MSG1

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg1"


ID_AML_MSG2

Interno ID: ID_AML_MSG2

Messaggio 2 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 2 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 2 numero allarmi, il quale deve essere visualizzato nel runtime. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.

Interno ID: ID_AML_MSG2

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Messaggio 3 numero allarmi.

Interno ID: ID_AML_MSG2

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_MSG2

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_MSG2

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"

Interno ID: ID_AML_MSG2

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg2"


ID_AML_MSG3

Interno ID: ID_AML_MSG3

Messaggio 3 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 3 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 3 numero allarmi, il quale deve essere visualizzato nel runtime. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.

Interno ID: ID_AML_MSG3

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questa segnalazione ha uno sfondo blu e un testo di color bianco ed è sovrapposta alla Barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: 100
Default: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Interno ID: ID_AML_MSG3

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Interno ID: ID_AML_MSG3

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg3"

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg3"

Interno ID: ID_AML_MSG3

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg3"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg3"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmMsg3"


ID_AML_ONLY_STACK

Interno ID: ID_AML_ONLY_STACK

Salvataggio dati allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Solo buffer circolare: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
Buffer circolare e dati storici: vengono salvati anche gli allarmi storici (*.aml).
Default: Su apparecchi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).
Default: Default.
I file (alarm.bin e *.aml) vengono salvati nella cartella \Projektordner\Computername\Projektname.

Interno ID: ID_AML_ONLY_STACK

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmlOnlyStack"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmlOnlyStack"


ID_AML_QUIT_PREF

Interno ID: ID_AML_QUIT_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_QUIT_PREF

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefQuit"

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme ripristinato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme ripristinato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Interno ID: ID_AML_QUIT_PREF

Allarme ripristinato

Proprietà per la rappresentazione di Allarme ripristinato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefQuit"

Default: --

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefQuit"


ID_AML_QUIT_PREF_IMAGE

Interno ID: ID_AML_QUIT_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Interno ID: ID_AML_QUIT_PREF_IMAGE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageQuit"

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme ripristinato. La grafica aiuta a riconoscere velocemente il data/ora di Allarme ripristinato. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Interno ID: ID_AML_QUIT_PREF_IMAGE

Allarme ripristinato

Proprietà per la rappresentazione di Allarme ripristinato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageQuit"

Interno ID: ID_AML_QUIT_PREF_IMAGE

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme ripristinato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme ripristinato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: --

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageQuit"

Default: nessun file.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPrefImageQuit"


ID_AML_QUITINCEL

Interno ID: ID_AML_QUITINCEL

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: non attiva.

Interno ID: ID_AML_QUITINCEL

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmCELAcknowledge"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmCELAcknowledge"


ID_AML_STATUS_AKTIV

Interno ID: ID_AML_STATUS_AKTIV

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: ID_AML_STATUS_AKTIV

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusActive"

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusActive"


ID_AML_STATUS_DISPLAY

Interno ID: ID_AML_STATUS_DISPLAY

Visualizza

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Allarme più vecchio: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú vecchio allarme non ripristinato nella riga di stato (non attiva) oppure il più vecchio allarme viene visualizzato per primo (attiva).
Allarme più recente: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú recente allarme non ripristinato nella riga di stato (non attiva) oppure il più recente allarme viene visualizzato per primo(attiva).
Default: allarme più vecchio:

Interno ID: ID_AML_STATUS_DISPLAY

Visualizza all. seguente

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Attiva: tutti gli allarmi non ripristinati vengono visualizzati nel Runtime nella riga di stato uno dietro l´altro. Non appena viene ripristinato un allarme mediante un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo. A seconda dell´impostazione della proprietà Visualizza viene visualizzato prima il più vecchio o il più recente allarme.
Non attiva: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che un allarme è stato ripristinato.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusDisplay"

Interno ID: ID_AML_STATUS_DISPLAY

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: ID_AML_STATUS_DISPLAY

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusDisplay"

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusDisplay"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusDisplay"


ID_AML_STATUS_FONT

Interno ID: ID_AML_STATUS_FONT

Carattere

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
carattere per la riga di stato nel Runtime.

Interno ID: ID_AML_STATUS_FONT

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: ID_AML_STATUS_FONT

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusFont"

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusFont"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusFont"


ID_AML_STATUS_SUBSEQ

Interno ID: ID_AML_STATUS_SUBSEQ

Visualizza all. seguente

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Attiva: tutti gli allarmi non ripristinati vengono visualizzati nel Runtime nella riga di stato uno dietro l´altro. Non appena viene ripristinato un allarme mediante un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo. A seconda dell´impostazione della proprietà Visualizza viene visualizzato prima il più vecchio o il più recente allarme.
Non attiva: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che un allarme è stato ripristinato.
Default: Attiva

Interno ID: ID_AML_STATUS_SUBSEQ

Visualizza

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Allarme più vecchio: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú vecchio allarme non ripristinato nella riga di stato (non attiva) oppure il più vecchio allarme viene visualizzato per primo (attiva).
Allarme più recente: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú recente allarme non ripristinato nella riga di stato (non attiva) oppure il più recente allarme viene visualizzato per primo(attiva).
Default: allarme più vecchio:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusAlign"

Interno ID: ID_AML_STATUS_SUBSEQ

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
Non attiva: Non viene visualizzata nessuna riga di stato.
Default: Attiva

Interno ID: ID_AML_STATUS_SUBSEQ

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusAlign"

Attenzione Gestione multi-progetto: l´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allami del progetto superiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusAlign"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmStatusAlign"


ID_AUTOLOGOFFTIME

Interno ID: ID_AUTOLOGOFFTIME

Tempo [min]

Tempo dopo il quale viene effettuato un logout automatico dell’utente (in minuti).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoLogoutTime"


ID_AUTOLOGOUT

Interno ID: ID_AUTOLOGOUT

Logout automatico attivo

Abilitata: Viene automaticamente fatto un logout dell’utente dopo la scadenza di un periodo di tempo impostabile.
Disabilitata : Non viene effettuato il logout automatico dal sistema.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoLogout"


ID_BACKUP_FILE_NAME

Interno ID: ID_BACKUP_FILE_NAME

Nome file

Nome del file di Backup.
Defalut; YYYY-MM-DD_hh-mm-ss nome progttto.zip

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_BiffiDCM_NV

Interno ID: ID_BiffiDCM_NV

NV-Index

L'indice NV è rilevante solo per Node-Data.

Indicate qui l'indice variabili di rete (NVI/NVO) delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NV-Index"


ID_BiffiDCM_SENDDIRECT

Interno ID: ID_BiffiDCM_SENDDIRECT

Send directly

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore impostabile deve essere trasmesso al DCM direttamente oppure tramire buffer.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Send_direct"


ID_BiffiDCM_TRANSIENT

Interno ID: ID_BiffiDCM_TRANSIENT

Transient command

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore attuale ricevuto via command event deve essere resettato automaticamente a 0 dal driver. (z.B. ICON2K Open, Close, Stop)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Transient"


ID_BURPVI_ADDRESS

Interno ID: ID_BURPVI_ADDRESS

PVI Name

È il nome della variabile PLC. Il nome è costituito da Nome task/Nome variabile . Per variabili globali: solo Nome variabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BURPVI_ADDRESS"


ID_BURPVI_GROUP

Interno ID: ID_BURPVI_GROUP

PVI Address

Informazioni concernenti l´indirizzo per il bernecker e il driver Reiner PVI (BURPVI).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_PVI_Address"


ID_BURPVI_VL_LENGTH

Interno ID: ID_BURPVI_VL_LENGTH

PVI Length (VL)

Lunghezza variabili in byte.
Nel caso di variabili singole, essa corrisponde alla lunghezza dei dati di processo. Nel caso delle variabili di campo, la lunghezza è definita come lunghezza elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BURPVI_VL_LENGTH"


ID_BURPVI_VN_ELEMENTS

Interno ID: ID_BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Numero degli elementi in caso di variabili di campo.
Nel caso di variabili di campo pluridimensionali, viene indicato il numero degli elementi di tutte le dimensioni del campo (Per esempio: var[10][5] => VN=50).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BURPVI_VN_ELEMENTS"


ID_BURPVI_VT_TYPE

Interno ID: ID_BURPVI_VT_TYPE

PVI Type (VT)

Tipo variabile nel PLC. I valori possibili sono descritti nella guida online. Se si usa un tipo di dato divergente in zenon, ne può conseguire un typecasting.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BURPVI_VT_TYPE"


ID_CEL_AKTIV

Interno ID: ID_CEL_AKTIV

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELAdminActive"


ID_CEL_ARCHIVE_CHANGE

Interno ID: ID_CEL_ARCHIVE_CHANGE

Inserimenti nell'archivio

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: Non viene effettuato un protocollo dell´eleborazione di archivi nella CEL.
Protocolla modifiche: al momento in cui si elabora un archivio, viene messo a protocollo il nome dell´archivio, il nome della variabile, nonchè il valore vecchio e nuovo e il vechio e nuovo timestamp nella CEL.
Default: Nessun protocollaggio

Interno ID: ID_CEL_ARCHIVE_CHANGE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArchiveChangeToCEL"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArchiveChangeToCEL"


ID_CEL_CLS_COLOR

Interno ID: ID_CEL_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
non utilizzare: I colori delle classi allarmi/eventi non vengono usati nella CEL durante il runtime.
Come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.
Come linea di sfondo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti
Default: come colore testo

Interno ID: ID_CEL_CLS_COLOR

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Definisce il colore del testo utilizzato per gli inserimenti nella Lista eventi cronologica (CEL).
Indicazione:

1. Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.

2. Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Interno ID: ID_CEL_CLS_COLOR

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva e solamente per SICAM 230.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELClsColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELClsColor"

Interno ID: ID_CEL_CLS_COLOR

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELClsColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELClsColor"


ID_CEL_COLOR_SORT

Interno ID: ID_CEL_COLOR_SORT

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Interno ID: ID_CEL_COLOR_SORT

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorSort"

Definisce il colore del testo utilizzato per gli inserimenti nella Lista eventi cronologica (CEL).
Indicazione:

1. Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.

Interno ID: ID_CEL_COLOR_SORT

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
non utilizzare: I colori delle classi allarmi/eventi non vengono usati nella CEL durante il runtime.
Come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.
Come linea di sfondo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti
Default: come colore testo

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorSort"

2. Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Interno ID: ID_CEL_COLOR_SORT

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva e solamente per SICAM 230.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorSort"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorSort"


ID_CEL_COLOR_UNSORT

Interno ID: ID_CEL_COLOR_UNSORT

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva e solamente per SICAM 230.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Interno ID: ID_CEL_COLOR_UNSORT

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorUnsort"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELColorUnsort"


ID_CEL_GRP_ALLGEMEIN

Interno ID: ID_CEL_GRP_ALLGEMEIN

Salvataggio di

Proprietà generali per la Lista Cronologica Eventi (CEL)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CEL_Common"


ID_CEL_GRP_COLOR

Interno ID: ID_CEL_GRP_COLOR

Colori inserimenti CEL

Proprietà per la definizione dei colori nella Lista Cronologica Eventi (CEL)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CEL_Color"


ID_CEL_GRP_MEM

Interno ID: ID_CEL_GRP_MEM

Storico CEL

Proprietà di salvataggio degli inserimenti della Lista Eventi Cronologica CEL nella memoria e sull’Harddisk.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CEL_Mem"


ID_CEL_LISTENTRY

Interno ID: ID_CEL_LISTENTRY

Impostazioni colonne CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Viene aperto il dialogo che serve alla definizione delle colonne nella CEL.
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Interno ID: ID_CEL_LISTENTRY

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELListEntry"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELListEntry"


ID_CEL_LST_STYLE

Interno ID: ID_CEL_LST_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_CEL_LST_STYLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELHeader"


ID_CEL_MEMCOUNT

Interno ID: ID_CEL_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Interno ID: ID_CEL_MEMCOUNT

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELMemCount"

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELMemCount"


ID_CEL_ONLY_STACK

Interno ID: ID_CEL_ONLY_STACK

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Buffer circolare e dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.

Interno ID: ID_CEL_ONLY_STACK

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CelOnlyStack"

Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).
Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Interno ID: ID_CEL_ONLY_STACK

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Indicazione: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CelOnlyStack"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CelOnlyStack"


ID_CEL_RECIPE_CHANGE

Interno ID: ID_CEL_RECIPE_CHANGE

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL
Protocolla ricette: Se si modifica una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si modifica una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Interno ID: ID_CEL_RECIPE_CHANGE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeChangeToCEL"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeChangeToCEL"


ID_CEL_RECIPE_WRITE

Interno ID: ID_CEL_RECIPE_WRITE

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Nessun protocollo: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollato nella CEL
Protocolla ricette: Se si setta una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
Protocolla ricette e valori: Se si setta una ricetta, questa viene protocollata nella CEL con il nome della ricetta modificata e il nome e valori vecchi e nuovi delle variabili modificate.
Default: Nessun protocollaggio

Interno ID: ID_CEL_RECIPE_WRITE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeWriteToCEL"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeWriteToCEL"


ID_CEL_SPONTAN

Interno ID: ID_CEL_SPONTAN

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: Mentre è aperta la CEL nel Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
Non attiva: Mentre la CEL è aperta, non vengono aggiunti nuovi inserimenti. I nuovi inserimenti vengono aggiunti solo quando si apre la CEL un´altra volta.
Default: Attiva

Interno ID: ID_CEL_SPONTAN

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELSpontan"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELSpontan"


ID_CEL_SYSMSGPRT

Interno ID: ID_CEL_SYSMSGPRT

Stampa messaggi di sistema

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Interno ID: ID_CEL_SYSMSGPRT

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELSysMsgPrint"

Attiva: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELSysMsgPrint"


ID_CEL_VERWALTUNG

Interno ID: ID_CEL_VERWALTUNG

Gestione CEL

Apre la finestra di configurazione per la Lista cronologica eventi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELAdministration"


ID_CHANGELOG_COMMENT

Interno ID: ID_CHANGELOG_COMMENT

Commento

Commento per l’inserimento selezionato nel log delle modifiche.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment"


ID_CHANGELOG_FILTER_DATASETS

Interno ID: ID_CHANGELOG_FILTER_DATASETS

Max. Datensätze

Definisce il numero massimo di inserimenti da visualizzare nella lista.
Se viene inserito “0” vengono visualizzati tutti gli inserimenti disponibili. .
Massimo: 2147483647.

Default: 1000

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Datensätze"


ID_CHANGELOG_FILTER_PROP_GRP0

Interno ID: ID_CHANGELOG_FILTER_PROP_GRP0

Erweiterter Filter

Proprietà per il filtro esteso del Log delle Modifiche.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_CHANGELOG_FILTER_TIME_MAX

Interno ID: ID_CHANGELOG_FILTER_TIME_MAX

Max. Zeitstempel

Disponibile solo se l'intervallo di tempo è attivo:
Tempo più vecchio per la voce inserita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimestampMax"


ID_CHANGELOG_FILTER_TIME_MIN

Interno ID: ID_CHANGELOG_FILTER_TIME_MIN

Min. Zeitstempel

Disponibile solamente se l’intervallo di tempo è attivo:
Tempi piu remoti per gli inserimenti visualizzati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimestampMin"


ID_CHANGELOG_FILTER_TIMERANGE

Interno ID: ID_CHANGELOG_FILTER_TIMERANGE

Zeitbereich aktiv

Abilitata: Disponibile il filtraggio su intervallo di tempo.
Disabilitata: Filtraggio su intervallo di tempo non disponibile.
Default: disattivato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeRange"


ID_CHANGELOG_PROP_GRP0

Interno ID: ID_CHANGELOG_PROP_GRP0

Generale

Proprietà generali per gli inserimenti nel “Log delle modifiche”

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_COLOR_COLOR_GRP

Interno ID: ID_COLOR_COLOR_GRP

Colore

Contiene tutte le proprietà dei colori per le tavolozze.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColColor"


ID_COLOR_COLOR_NAME

Interno ID: ID_COLOR_COLOR_NAME

Nome

Nome del colore.

Default: Color più Numero di indice, per es.: Color 1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColColorName"


ID_COLOR_COLOR_VALUE

Interno ID: ID_COLOR_COLOR_VALUE

Colore

Permette la selezione o la definizione del colore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un colore. Il colore può essere inserito sotto forma di codice esadecimale nell´apposito campo.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColColorValue"


ID_COLOR_PALETTE_GRP

Interno ID: ID_COLOR_PALETTE_GRP

Tavolozza colori

Contiene le proprietà della tavolozza colori.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColPalette"


ID_COLOR_PALETTE_NAME

Interno ID: ID_COLOR_PALETTE_NAME

Nome tavolozza

Nome della tavolozza colori.

Default: Color tavolozza più Numero di indice, per es.: Color tavolozza 1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PaletteName"


ID_COLORRAHMEN

Interno ID: ID_COLORRAHMEN

Colore cornice

Definisce il colore della cornice dell´elemento. Il colore può essere indicato direttamente come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante .... Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Interno ID: ID_COLORRAHMEN

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Interno ID: ID_COLORRAHMEN

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderColor"

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

Interno ID: ID_COLORRAHMEN

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderColor"

Interno ID: ID_COLORRAHMEN

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderColor"

Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderColor"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderColor"


ID_COMPLEXITEM_BITOFFSET

Interno ID: ID_COMPLEXITEM_BITOFFSET

Bit offset

Numero Bit dell'elemento nella struttura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitOffset"


ID_COMPLEXITEM_HASREF

Interno ID: ID_COMPLEXITEM_HASREF

Collegato con tipo di dato

Abilitata: L’elemento è collegato ad un tipo di dato base. I cambiamenti sul tipo di dato base avranno effetto immediato anche sull'elemento. Le proprietà dell’elemento non possono piu essere modificate.
Disabilitata: L’elemento non è collegato con il tipo di dato base.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HasRef"


ID_COMPLEXITEM_INDEX

Interno ID: ID_COMPLEXITEM_INDEX

Pos. Nella struttura

Posizione della variabile nella struttura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ItemIndex"


ID_COMPLEXITEM_OFFSET

Interno ID: ID_COMPLEXITEM_OFFSET

Offset

Offset per gli elementi nella struttura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_DELUSER

Interno ID: ID_DELUSER

Eliminazione utenti

Abilitata: È permessa l’eliminazione di un utente in Runtime
Disabilitata: E’ concesso solamente di marcare un utente come eliminato (a seconda delle direttive FDA).
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DelUser"


ID_DISABLEDBUTTONS

Interno ID: ID_DISABLEDBUTTONS

Tasti bloccati

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Interno ID: ID_DISABLEDBUTTONS

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Questa proprietà agisce indipendentemente dalla proprietà Descrizione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Interno ID: ID_DISABLEDBUTTONS

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisabledButtonStyle"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisabledButtonStyle"

Interno ID: ID_DISABLEDBUTTONS

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisabledButtonStyle"

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisabledButtonStyle"


ID_DRV_KNOTEN

Interno ID: ID_DRV_KNOTEN

Connessione driver

Impostazioni specifiche del driver per la variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DriverConnection"


ID_DRV_STRAT_CREATE

Interno ID: ID_DRV_STRAT_CREATE

Modifica

Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CreateSimulPrj"


ID_DRV_STRAT_DEL

Interno ID: ID_DRV_STRAT_DEL

Elimina

Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

Cancella il progetto di simulazione dopo una richiesta di conferma.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DelSimulPrj"


ID_DRV_STRAT_EV_PORT

Interno ID: ID_DRV_STRAT_EV_PORT

Porta eventi

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per lo scambio dati spontaneo. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6001

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SimulEvPort"


ID_DRV_STRAT_GRP

Interno ID: ID_DRV_STRAT_GRP

Progetto di simulazione del driver

Contiene tutte le proprietà per la configurazione di simulazione - programmata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_DRV_STRAT_NAME

Interno ID: ID_DRV_STRAT_NAME

Nome

Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

Condizioni per la validità dei nomi:

- non deve essere vuoto.

- deve essere univoco nel progetto.

- deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

Minimo: 1 caratteri

Massimo: 15 caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SimulName"


ID_DRV_STRAT_PORT

Interno ID: ID_DRV_STRAT_PORT

Porta standard

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per la comunicazione con il workbench di zenon Logic. Il numero di port deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticameneto un numero di port univoco.

Indicazione: un numero di port assegnato automaticamente è univoco per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SimulPort"


ID_DYN_PROP_BLINKVAR

Interno ID: ID_DYN_PROP_BLINKVAR

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkVariable"


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variabile lampeggio

Disponibile solo se la proprietà Attiva è attivata.

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectBlinkVariable"


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectGlowColorVariable"


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Indicazione: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Attiva: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Invisibile

Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"

Disattivata: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFromLimit"


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attiva: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Invisibile

Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Disattivata: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Indicazione: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityTo"


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attiva: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Invisibile

Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Disattivata: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"

Indicazione: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityVariable"


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attiva: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Invisibile

Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Disattivata: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Indicazione: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectVisibilityFrom"


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Variabile lampeggio

Disponibile solo se la proprietà Attiva è attivata.

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Attiva: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore di lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Colore di lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Default: inattivo.

Indicazione: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseBlinkColor"


ID_DYN_PROP_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_USEBLINKCOLOR

Colore di lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Interno ID: ID_DYN_PROP_USEBLINKCOLOR

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseBlinkColor"

Default: inattivo.

Indicazione: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Interno ID: ID_DYN_PROP_USEBLINKCOLOR

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseBlinkColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseBlinkColor"


ID_DYNPICTURE_DONTRESIZEELEMS

Interno ID: ID_DYNPICTURE_DONTRESIZEELEMS

Non adattare gli elementi alla risoluzione dello schemo

Attiva: Gli elementi contenuti nell´immagine non vengono adattati automaticamente nel Runtime alla risoluzione dello schermo, ma mantengono la posizione e la grandezza progettate nell´Editor.

Default: inattiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DontResizeElements"


ID_DYNPICTURE_MULTITOUCH

Interno ID: ID_DYNPICTURE_MULTITOUCH

Multitouch per Zoom e Scrolling

Attiva: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

Disponibile solo se la proprietà Multitouch attivo è stata attivata e Dimensione dal modello non è attiva.

Interno ID: ID_DYNPICTURE_MULTITOUCH

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MultiTouch"

Interno ID: ID_DYNPICTURE_MULTITOUCH

Multitouch attivo

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MultiTouch"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MultiTouch"


ID_DYNPICTURE_PROP1

Interno ID: ID_DYNPICTURE_PROP1

Nome file

Nome file dell’immagine.
Il nome del file è generato automaticamente dal sistema e non può essere modificato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_DYNPICTURE_PROP2

Interno ID: ID_DYNPICTURE_PROP2

Modello

Modifica del modello assegnato senza che la dimensione degli elementi dell’immagine sia adattata alla nuova dimensione dell’immagine (allungamento o compressione).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Template"


ID_DYNPICTURE_PROP3

Interno ID: ID_DYNPICTURE_PROP3

Tipo di immagine

Standard: tipo di immagine per la creazione di immagini di processo. Possono essere usati tutti gli elementi vettoriali e dinamici.
Tipi di immagini speciali: Le immagini che non sono del tipo "Standard" devono essere create una sola volta e possono essere aperte mediante speciali impostazioni di filtro della funzione Cambio immagine con diversi dati. Non appena si è scelto uno speciale tipo di immagine, nel menu Elementi di controllo sono a disposizione i corrispondenti elementi di gestione per il tipo di immagine in questione.

Attenzione: Non appena il tipo d'immagine è stato modificato da 'standard' ad un tipo specifico, è fisso e non può essere modificato.

Default: Standard

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


ID_DYNPICTURE_PROP4

Interno ID: ID_DYNPICTURE_PROP4

Colore di sfondo

Definisce il colore di sfondo dell´immagine. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....
Default: Colore dal modello.
Indicazione: il Colore dal modello viene ripreso come copia e non collegato. Delle eventuali modifiche apportate successivamente al colore nel modello non hanno alcuna conseguenza sulle immagini esistenti, ma solo su quelle nuove.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundColor"


ID_DYNPICTURE_PROP5

Interno ID: ID_DYNPICTURE_PROP5

X da

Coordinata X della posizione dell’angolo in alto a destra dell’immagine (in unità logiche). Questa proprietà è visualizzata solo a titolo informativo e non può essere modificata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinX"


ID_DYNPICTURE_PROP6

Interno ID: ID_DYNPICTURE_PROP6

X fino a

Coordinata X della posizione dell’angolo in basso a destra dell’immagine (in unità logiche). Questa proprietà è visualizzata solo a titolo informativo e non può essere modificata

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxX"


ID_DYNPICTURE_PROP7

Interno ID: ID_DYNPICTURE_PROP7

Y da:

Coordinata Y della posizione dell’angolo in alto a sinistra dell’immagine (in unità logiche). Questa proprietà è visualizzata solo a titolo informativo e non può essere modificata

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinY"


ID_DYNPICTURE_PROP8

Interno ID: ID_DYNPICTURE_PROP8

Y fino a

Coordinata Y della posizione dell’angolo in basso a destra dell’immagine (in unità logiche). Questa proprietà è visualizzata solo a titolo informativo e non può essere modificata

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxY"


ID_DYNPICTURE_PROP9

Interno ID: ID_DYNPICTURE_PROP9

Altezza [Pixel]

Disponibile solo se la proprietà Dimensione dal modello non è attiva.
Altezza dell´immagine in pixel.

Interno ID: ID_DYNPICTURE_PROP9

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Height"

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Height"


ID_DYNPICTURE_PROP10

Interno ID: ID_DYNPICTURE_PROP10

Larghezza [Pixel]

Disponibile solo se la proprietà Dimensione dal modello non è attiva.
Larghezza dell´immagine in pixel.

Interno ID: ID_DYNPICTURE_PROP10

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Width"

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Width"


ID_DYNPICTURE_PROP11

Interno ID: ID_DYNPICTURE_PROP11

Funzione apertura

Funzione da eseguire all’apertura dell’immagine in Runtime. .
ATTENZIONE:La funzione è eseguita ad ogni esecuzione della funzione “Cambio Immagine” a questa immagine. Se si vogliono eseguire piu funzioni, creare uno script con all’interno tutte le funzioni desiderate e inserire qui la funzione di richiamo dello Script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartFunction"


ID_DYNPICTURE_PROP12

Interno ID: ID_DYNPICTURE_PROP12

Funzione chiusura

Funzione da eseguire alla chiusura dell’immagine durante il Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EndFunction"


ID_DYNPICTURE_PROP13

Interno ID: ID_DYNPICTURE_PROP13

Dimensione dal modello

Attiva: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Non attiva: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Indicazione: le indicazioni di grandezza minori al modello verranno ignorate. Se si definiscono delle immagini più grandi del modello, esse diventano immagine globale e, per consentire la navigazione, hanno bisogno di un´immagine del tipo Supervisione globale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SizeFromTemplate"


ID_DYNPICTURE_PROP14

Interno ID: ID_DYNPICTURE_PROP14

Dialogo modale

Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Modal"


ID_DYNPICTURE_PROP15

Interno ID: ID_DYNPICTURE_PROP15

Visibile sotto CE

Abilitata: L’immagine è visibile sotto Windows CE.
Disabilitata: L’immagine non è visibile sotto Windows CE. .
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowInCE"


ID_DYNPICTURE_PROP16

Interno ID: ID_DYNPICTURE_PROP16

File grafico

Selezione della grafica di sfondo che viene visualizzata nel livello più lontano dell´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPic"


ID_DYNPICTURE_PROP17

Interno ID: ID_DYNPICTURE_PROP17

Orientamento

Disponibile solamente dopo che è stata selezionata una File grafico.
Tipo di rappresentazione della grafica di sfondo nell´immagine:
normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: grandezza originale, centrato al centro dell´immagine.
Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.
Affiancato: grandezza originale, affiancato.

Interno ID: ID_DYNPICTURE_PROP17

File grafico

Selezione della grafica di sfondo che viene visualizzata nel livello più lontano dell´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicStyle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicStyle"


ID_DYNPICTURE_PROP18

Interno ID: ID_DYNPICTURE_PROP18

Stile cornice

Disponibile solo se “Titolo” è stato attivato nella definizione del modello:
Stile del bordo dell’immagine.
Lo stile della cornice dell’immagine.
Cornice spessa: Visualizza una cornice spessa attorno all’immagine. L’immagine può essere ridimensionata in Runtime.
Nessuna cornice: Nessuna cornice visualizzata.
Cornice fine: Visualizza una cornice fine attorno all’immagine.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderStyle"


ID_DYNPICTURE_PROP19

Interno ID: ID_DYNPICTURE_PROP19

Visualizza titolo

Disponibile solo se la proprietà “Visualizza titolo” è abilitata:
Abilitata: Utilizza barra titolo stile Windows per l’immagine. L’immagine puo essere spostata in Runtime.
Disabilitata: Nessuna barra titolo visualizzata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowTitle"


ID_DYNPICTURE_PROP20

Interno ID: ID_DYNPICTURE_PROP20

Variabile di immagine attiva

La variabile bit collegata viene settata a 1, quando l’immagine viene aperta; viene settata nuovamente a 0, quando l’immagine viene chiusa. .
Apre il dialogo per la scelta di una variabile con un filtro sulle variabli di tipo BIT.

ATTENZIONE: Aprire un altra pagina basata sullo stesso modello chiude la pagina corrente e esegue le funzioni collegate.

Esempio: Si vuole far indicare tramite il colore di sfondo di un pulsante la pagina aperta attualmente. La singola variabile bit è collegata alla singola pagina e ha associato nel rispettivo valore limite[1] il colore verde e il colore bianco per il valore limite[0]. Il pulsante con il corrispettivo bit che carica la rispettiva pagina prenderà il colore verde, gli altri pulsanti saranno quindi di colore bianco.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PicActivVar"


ID_DYNPICTURE_PROP21

Interno ID: ID_DYNPICTURE_PROP21

Colore di sfondo

Definisce il colore di sfondo del simbolo. Cliccate per aprire lo spettro dei diversi colori disponibili sul pulsante oppure indicate il colore desiderato in RGB come valori Hex.

Attenzione: Il colore di sfondo definito in questa sede vale per tutti i simboli e funge solamente da colore di sfondo dell´editor dei simboli.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundColor"


ID_DYNPICTURE_PROP22

Interno ID: ID_DYNPICTURE_PROP22

Altezza [Pixel]

Definisce l'altezza del simbolo in pixel. L´altezza definita serve da altezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Height"


ID_DYNPICTURE_PROP23

Interno ID: ID_DYNPICTURE_PROP23

Larghezza [Pixel]

Definisce la larghezza del simbolo in pixel. La larghezza definita in questa sede serve da larghezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Width"


ID_DYNPICTURE_PROP24

Interno ID: ID_DYNPICTURE_PROP24

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoKBLayout"


ID_DYNPICTURE_PROP_GRP0

Interno ID: ID_DYNPICTURE_PROP_GRP0

Generale

Proprietà generali dell´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Picture"


ID_DYNPICTURE_PROP_GRP1

Interno ID: ID_DYNPICTURE_PROP_GRP1

Dimensione

Proprietà dell’immagine collegate con il modello. Queste proprietà possono essere modificate qui per ogni singola immagine indipendentemente dal modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Size"


ID_DYNPICTURE_PROP_GRP2

Interno ID: ID_DYNPICTURE_PROP_GRP2

Stile Finestra

Proprietà per la dimensione dell’immagine.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Representation"


ID_DYNPICTURE_PROP_GRP3

Interno ID: ID_DYNPICTURE_PROP_GRP3

Esecuzione:

Funzione collegata con l’immagine.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Functions"


ID_DYNPICTURE_PROP_GRP4

Interno ID: ID_DYNPICTURE_PROP_GRP4

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Background"


ID_DYNPICTURE_PROP_GRP5

Interno ID: ID_DYNPICTURE_PROP_GRP5

Generale

Proprietà concernenti la dimensione e il colore di sfondo del modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Symbols"


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Trasparenza di sfondo

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Evidenziare il modello

Disponibile solo se la proprietà Dialogo modale è stata attivata.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Dialogo modale

Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientAlpha"

Attiva: Il modello su cui si basa l´immagine viene evidenziato. L´intera area al di fuori del modello viene colorata facendo uso di un colore e di una trasparenza impostati. L´area del modello evidenziato non viene interessata da questo processo di colorazione. Si può aprire solamente un´immagine alla volta con questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientAlpha"

Definisce la trasparenza di Colore di sfondo del modello su cui si basa l´immagine. Un clic sul comando ... apre lo slider che serve alla definizione della trasparenza.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Colore di sfondo

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Definisce il colore di ambiente del modello su cui si basa l´immagine. Un clic sul comando ... apre il dialogo che serve alla selezione del colore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientAlpha"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientAlpha"


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Colore di sfondo

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Evidenziare il modello

Disponibile solo se la proprietà Dialogo modale è stata attivata.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Dialogo modale

Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientColor"

Attiva: Il modello su cui si basa l´immagine viene evidenziato. L´intera area al di fuori del modello viene colorata facendo uso di un colore e di una trasparenza impostati. L´area del modello evidenziato non viene interessata da questo processo di colorazione. Si può aprire solamente un´immagine alla volta con questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientColor"

Definisce il colore di ambiente del modello su cui si basa l´immagine. Un clic sul comando ... apre il dialogo che serve alla selezione del colore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AmbientColor"


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Evidenziare il modello

Disponibile solo se la proprietà Dialogo modale è stata attivata.

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Dialogo modale

Abilitata: Finché l'immagine è aperta nel runtime, non è possibile accedere agli elementi di un'altra immagine (per esempio per il tipo di finestra “Login”). Possono essere tuttavia aperte altre immagini direttamente dall’immagine con questa opzione abilitata..
Disabilitata: Tutte le immagini e relativi elementi sono raggiungibili normalmente. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Highlight"

Attiva: Il modello su cui si basa l´immagine viene evidenziato. L´intera area al di fuori del modello viene colorata facendo uso di un colore e di una trasparenza impostati. L´area del modello evidenziato non viene interessata da questo processo di colorazione. Si può aprire solamente un´immagine alla volta con questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Highlight"


ID_EDITSIGNATURE

Interno ID: ID_EDITSIGNATURE

Testo firma modificabile

Abilitata: Nel Runtime viene aperto una finestra di dialogo per inserire un testo di firma
Disabilitata: Il testo di firma non è richiesto nel Runtime. . Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EditSignature"


ID_ELE_BITMAP_DOWN

Interno ID: ID_ELE_BITMAP_DOWN

File grafico a tasto premuto

Immagine che deve essere visualizzata sul pulsante premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: Le immagini devono essere già esistenti nel nodo File/Grafici del manager di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FileNameDown"


ID_ELE_CORNER_ALL_X

Interno ID: ID_ELE_CORNER_ALL_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Interno ID: ID_ELE_CORNER_ALL_X

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_ALL_X

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_X"

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_X"


ID_ELE_CORNER_ALL_Y

Interno ID: ID_ELE_CORNER_ALL_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Interno ID: ID_ELE_CORNER_ALL_Y

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_ALL_Y

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_Y"

Interno ID: ID_ELE_CORNER_ALL_Y

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_ALL_Y

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_Y"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_Y"

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerAll_Y"


ID_ELE_CORNER_LEFTBOTTOM_X

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà Con valori di luminosità è attiva e la proprietà di progetto Qualità grafica non è attiva.

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_X"


ID_ELE_CORNER_LEFTBOTTOM_Y

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà è attiva Proporzionale e quella Con valori di luminosità non è attiva; la proprietà di progetto Qualità grafica deve essere attiva.

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte Y [%].

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftBottom_Y"


ID_ELE_CORNER_LEFTTOP_X

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà Con valori di luminosità è attiva e la proprietà di progetto Qualità grafica non è attiva.

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_X"


ID_ELE_CORNER_LEFTTOP_Y

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà è attiva Proporzionale e quella Con valori di luminosità non è attiva; la proprietà di progetto Qualità grafica deve essere attiva.

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte Y [%].

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerLeftTop_Y"


ID_ELE_CORNER_PROPORTIONAL

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerProportional"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerProportional"

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerProportional"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerProportional"


ID_ELE_CORNER_RIGHTBOTTOM_X

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_X"

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_X"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_X"


ID_ELE_CORNER_RIGHTBOTTOM_Y

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Destra/Basso Y [%]

Disponibile solamente se la proprietà è attiva Proporzionale e quella Con valori di luminosità non è settata; la proprietà di progetto Qualità grafica deve essere attiva.

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte Y [%].

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightBottom_Y"


ID_ELE_CORNER_RIGHTTOP_X

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Destra/Alto X [%]

Disponibile solamente se la proprietà Con valori di luminosità è attiva e la proprietà di progetto Qualità grafica non è attiva.

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_X"


ID_ELE_CORNER_RIGHTTOP_Y

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà è attiva Proporzionale e quella Con valori di luminosità non è attiva; la proprietà di progetto Qualità grafica deve essere attiva.

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Disattivato: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte Y [%].

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CornerRightTop_Y"


ID_ELE_DRAGBEGIN

Interno ID: ID_ELE_DRAGBEGIN

DragBegin

Macro VBA che deve essere eseguita all’inizio del dragging.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DragBegin"


ID_ELE_DRAGDROP

Interno ID: ID_ELE_DRAGDROP

DragDrop

Macro VBA che deve essere eseguita quando viene rilasciato il pulsante del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DragDrop"


ID_ELE_DRAGOVER

Interno ID: ID_ELE_DRAGOVER

DragOver

Macro VBA che deve essere eseguita al passaggio del mouse sull’elemento con il tasto sinistro premuto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DragOver"


ID_ELE_EMBEDDED_FONT

Interno ID: ID_ELE_EMBEDDED_FONT

Carattere

Tipo di carattere utilizzato nella visualizzazione.

ATTENZIONE: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Font"


ID_ELE_LAYER

Interno ID: ID_ELE_LAYER

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Layer"


ID_ELE_LIGHTNING

Interno ID: ID_ELE_LIGHTNING

Effetto riempimento 3-D

Disponibile solamente se Tipo di riempimento è stato settato su Effetto riempimento.

Interno ID: ID_ELE_LIGHTNING

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_LIGHTNING

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Lightning"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Lightning"

Definisce l´effetto di riempimento per elementi vettoriali.

Lineare: effetto omogeneo
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Lightning"


ID_ELE_LINECOLOR

Interno ID: ID_ELE_LINECOLOR

Colore di linea

Definisce il colore di linea dell´elemento. Il colore può essere indicato direttamente come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineColorEx"


ID_ELE_NUM_BASE_ON

Interno ID: ID_ELE_NUM_BASE_ON

Visualizzazione base

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione,avete selezionato binaria, esadecimale o ottale.

Interno ID: ID_ELE_NUM_BASE_ON

Base numerica di visualizzazione

Definite in questa sede il sistema numerico per la visualizzazione dei valori. Sono disponibili le seguenti possibilità di selezione:
binario: rappresentazione binaria. Questo formato viene visualizzato tramite una "b" che segue il valore.
Decimale: Rappresentazione decimale.
Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
Esadecimale: Rappresentazione esadecimale. Questo formato viene visualizzato tramite una "h" che segue il valore.
Ottale: Rappresentazione ottale. Questo formato viene visualizzato tramite una "o" che segue il valore.
Default: Decimale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowValueBasis"

Dietro il valore, mostra una breve definizione per la base numerica:

Vengono visualizzate le seguenti definizioni brevi:

- per binaria: b

- per decimale: nessuna definizione breve

- per decimale esponenziale: nessuna definizione breve

- per esadecimale: h

- per ottale: o

Default: Attivo

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowValueBasis"


ID_ELE_PROP0

Interno ID: ID_ELE_PROP0

Nome elemento

Il nome elemento deve essere assegnato per l’accesso via VBA.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ELE_PROP1

Interno ID: ID_ELE_PROP1

Focus impostato sull'elemento

Abilitata: L’elemento dinamico è disponibile per i controlli tramite tastiera.
Disabilitata: L’elemento dinamico non può essere comandato tramite tastiera.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tab"


ID_ELE_PROP2

Interno ID: ID_ELE_PROP2

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnderCE"


ID_ELE_PROP5

Interno ID: ID_ELE_PROP5

Tipo controllo

ComboBox: Questo elemento viene usato come ComboBox.
ListBox: Questo elemento viene usato come ListBox. Default: ListBox.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ControlType"


ID_ELE_PROP10

Interno ID: ID_ELE_PROP10

Punto di partenza X [Pixel]

Coordinata X del punto d'angolo sinistro in alto all’elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartX"


ID_ELE_PROP11

Interno ID: ID_ELE_PROP11

Punto di partenza Y [Pixel]

Coordinata Y del punto d'angolo sinistro in alto all'elemento (in pixel)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartY"


ID_ELE_PROP12

Interno ID: ID_ELE_PROP12

Punto finale X [Pixel]

Coordinata X dell’angolo destro in basso all’elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EndX"


ID_ELE_PROP13

Interno ID: ID_ELE_PROP13

Punto finale Y [pixel]

Coordinata Y del angolo destro in basso all’elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EndY"


ID_ELE_PROP14

Interno ID: ID_ELE_PROP14

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Width"


ID_ELE_PROP15

Interno ID: ID_ELE_PROP15

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Height"


ID_ELE_PROP16

Interno ID: ID_ELE_PROP16

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Stationname"


ID_ELE_PROP17

Interno ID: ID_ELE_PROP17

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1.
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Per progettare i livelli di zoom si usano le proprietà di progetto Aspetto grafico -> Durata Runtime -> Livelli di zoom immagine globale.

Interno ID: ID_ELE_PROP17

Livelli di zoom immagine globale

Viene aperto il dialogo per la definizione degli steps per i livelli di zoom per la visualizzazione globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMin"

Interno ID: ID_ELE_PROP17

Durata Runtime

Contiene le impostazioni per il runtime.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMin"

Interno ID: ID_ELE_PROP17

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMin"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMin"


ID_ELE_PROP18

Interno ID: ID_ELE_PROP18

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1.
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Per progettare i livelli di zoom si usano le proprietà di progetto Aspetto grafico -> Durata Runtime -> Livelli di zoom immagine globale.

Interno ID: ID_ELE_PROP18

Livelli di zoom immagine globale

Viene aperto il dialogo per la definizione degli steps per i livelli di zoom per la visualizzazione globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMax"

Interno ID: ID_ELE_PROP18

Durata Runtime

Contiene le impostazioni per il runtime.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMax"

Interno ID: ID_ELE_PROP18

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMax"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomMax"


ID_ELE_PROP19

Interno ID: ID_ELE_PROP19

Carattere

Selezione del tipo di carattere per il testo dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Font"


ID_ELE_PROP20

Interno ID: ID_ELE_PROP20

Init

Macro VBA da eseguire all’inizializzazione dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Init"


ID_ELE_PROP21

Interno ID: ID_ELE_PROP21

LeftClickUp

Macro VBA che viene eseguita dopo un clic con il tasto sinistro del mouse sull’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LeftClickUp"


ID_ELE_PROP22

Interno ID: ID_ELE_PROP22

LeftClickDown

Macro VBA da eseguire sull’elemento premendo il tasto sinistro del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LeftClickDown"


ID_ELE_PROP23

Interno ID: ID_ELE_PROP23

LeftDoubleClick

Macro VBA da eseguire sull’elemento tramite un doppio clic con il tasto sinistro del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LeftDClick"


ID_ELE_PROP24

Interno ID: ID_ELE_PROP24

RightClickUp

Macro VBA da eseguire sull’elemento dopo il clic con il tasto destro del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RightClickUp"


ID_ELE_PROP25

Interno ID: ID_ELE_PROP25

RightClickDown

Macro VBA da eseguire sull’elemento premendo il tasto destro del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RightClickDown"


ID_ELE_PROP26

Interno ID: ID_ELE_PROP26

RightDoubleClick

Macro VBA da eseguire tramite doppio clic con il tasto destro del mouse sull’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RightDClick"


ID_ELE_PROP27

Interno ID: ID_ELE_PROP27

SetFocus

Macro VBA da eseguire quando l’elemento riceve il Focus.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetFocus"


ID_ELE_PROP28

Interno ID: ID_ELE_PROP28

KillFocus

Macro VBA da eseguire quando non è più attivo il focus sull’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KillFocus"


ID_ELE_PROP29

Interno ID: ID_ELE_PROP29

Draw

Macro VBA che viene eseguita ogni volta chel’elemento è ridisegnato sullo schermo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Draw"


ID_ELE_PROP30

Interno ID: ID_ELE_PROP30

Menu

Menù contestuale dell’elemento.
Un click del tasto destro del Mouse sull’elemento apre questo Menu contestuale durante il Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Menu"


ID_ELE_PROP31

Interno ID: ID_ELE_PROP31

Tooltip

Testo da visualizzare nel Runtime come tooltip per l’elemento. I cambi di riga possono essere inseriti tramite \n. Per i caratteri ‘&’ e ‘@’ è necessario inserirli due volte consecutivamente, in quanto sono caratteri chiave. Limitato a 79 caratteri. .
Maximum: 79 characters.

ATTENZIONE: Anche la combinazione di caratteri \n occupa 2 caratteri dei 79 disponibili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tooltip"


ID_ELE_PROP32

Interno ID: ID_ELE_PROP32

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Helpfile"


ID_ELE_PROP33

Interno ID: ID_ELE_PROP33

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HelpCapture"


ID_ELE_PROP34

Interno ID: ID_ELE_PROP34

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene spostato sopra l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MouseOver"


ID_ELE_PROP35

Interno ID: ID_ELE_PROP35

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsSetValue"


ID_ELE_PROP36

Interno ID: ID_ELE_PROP36

Settaggio valore / modifica di

Valore da trasmettere come valore impostabile o da proporre come default.
Se “proponi valore attuale” è attivo: : Il valore viene aggiunto al valore attuale.
In combinazione con la proprietà “senza dialogo” questo permette di creare un pulsante di incremento ( in caso di immissione valore positivo) o decremento ( in caso il valore immesso sia preceduto dal segno “-“).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValue"


ID_ELE_PROP37

Interno ID: ID_ELE_PROP37

Testo valore impostabile

Testo valore impostabile

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueText"


ID_ELE_PROP39

Interno ID: ID_ELE_PROP39

Minimo

Disponibile solo se “Riprendi limiti valore impostabile da variabile” non è attivo: Limite inferiore della variabile che può essere settato nell’Hardware. .

ATTENZIONE: Il valore inserito qui viene ingnorato, se è inserita una variabile per il valore minimo impostabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"


ID_ELE_PROP40

Interno ID: ID_ELE_PROP40

Massimo

Solo se “Riprendi limiti impostabili da variabile” non è attivo. : Limite superiore del valore che puo essere scritto nell’Hardware.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"


ID_ELE_PROP41

Interno ID: ID_ELE_PROP41

Senza dialogo

Abilitata:Il valore viene settato direttamente nell’Hardware e non può essere modificato nel runtime.
Disabilitata:Prima di scrivere il valore nell’Hardware viene data la possibilità all’utente di modificare il valore da settare.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HWDirect"


ID_ELE_PROP42

Interno ID: ID_ELE_PROP42

Proponi il valore attuale

Attivo:Propone il valore attuale della variabile come valore impostabile.
In questo caso il valore impostabile è aggiunto al valore attuale (valore positivo) o sottratto (valore negativo). .
Disabilitato: Viene proposto il valore definito nella proprietà settaggio valore.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Preset"


ID_ELE_PROP43

Interno ID: ID_ELE_PROP43

Riprendi limiti di valori impostabili da variabile

Abilitata: I limiti per il settaggio valori “Min” e “Max” ma sono ripresi direttamente dalla definizione della variabile. .
Disabilitata: I limiti per il settaggio valori possono essere definiti nelle proprietà “Minimo” e “Massimo”.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LimitFromVar"


ID_ELE_PROP44

Interno ID: ID_ELE_PROP44

Setta valore impostabile tramite

Impostare il valore impostabile con:
Comandi: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comandi.

Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo "Keyboard" con il nome "SETVALUEKBD" (per variabili numeriche) o "SETSTRINGKBD" (per variabili String), essa viene usata al posto del box di dialogo standard.

Elemento: il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi valori numerici e elemento di testo).

Programma: il nuovo valore viene inserito in un programma esterno.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Interno ID: ID_ELE_PROP44

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueWith"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueWith"


ID_ELE_PROP46

Interno ID: ID_ELE_PROP46

Livello di autorizzazione:

Livello password per abilitare il settaggio valori nel rispettivo elemento dinamico.
Minimo: 0.
Massimo: 127.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Passwordlevel"


ID_ELE_PROP47

Interno ID: ID_ELE_PROP47

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Disattivato: Non è necessaria alcuna firma.

Default: non attivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_ELE_PROP48

Interno ID: ID_ELE_PROP48

Testo di firma

Questo testo è registrato nel lista eventi cronologica (CEL) quando viene eseguita l’azione di firma.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignatureText"


ID_ELE_PROP49

Interno ID: ID_ELE_PROP49

Programma esterno

Disponibile sole se è stato selezionato “Settaggio valori tramite programma esterno”:
Il settaggio dei valori impostabili viene eseguito da un programma esterno selezionato qui.

Il seguente programma viene lanciato e riceve i seguenti parametri:
1) Nome della variabile collegata
2) Proposta valore attuale se definito nella proprietà specifica.
3) Coordinate sinistra dell’elemento in Pixel
4) Coordinata punto superiore in pixel dell’elemento
5) Coordinate punto destro dell’elemento in pixel
6) Coordinate punto inferiore elemento in pixel
7)Valore minimo consentito per il settaggio valore
8) Valore massimo consentito per il settaggio valore.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetProgram"


ID_ELE_PROP51

Interno ID: ID_ELE_PROP51

Visualizza testo valore limite

Abilitata: Viene visualizzato il testo del valore limite della variabile collegata nell’elemento.
Disabilitata: Nessun testo visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ContitionText"


ID_ELE_PROP52

Interno ID: ID_ELE_PROP52

Solo area di riempimento

Abilitata: In cerchi, poligoni e rettangoli assegnati a questo simbolo ne viene modificato solamente il colore di riempimento secondo la definizione di colore della variabile di processo. Si conserva il colore della cornice.
Disabilitata: Solo le linee di contorno cambiano colore.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillArea"


ID_ELE_PROP58

Interno ID: ID_ELE_PROP58

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_ELE_PROP59

Interno ID: ID_ELE_PROP59

Variabile

Disponibile solo per pulsanti se essi vengono utilizzati come interruttori:
Nome della variabile collegata.
Apre il dialogo per la selezione variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.

Significato in SICAM 230:
sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

Bit meno significativo: Attiva/disattiva allarmi

Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


ID_ELE_PROP60

Interno ID: ID_ELE_PROP60

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP60

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Switch"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Switch"


ID_ELE_PROP61

Interno ID: ID_ELE_PROP61

Pulsante

Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´ elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Interno ID: ID_ELE_PROP61

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scanner"

Interno ID: ID_ELE_PROP61

Pulsante ON

Disponibile solo sePulsanteè attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scanner"

Interno ID: ID_ELE_PROP61

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP61

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scanner"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scanner"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scanner"


ID_ELE_PROP62

Interno ID: ID_ELE_PROP62

Pulsante ON

Disponibile solo sePulsanteè attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Interno ID: ID_ELE_PROP62

Pulsante

Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´ elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Interno ID: ID_ELE_PROP62

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScannerOn"

Interno ID: ID_ELE_PROP62

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP62

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScannerOn"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScannerOn"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScannerOn"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScannerOn"


ID_ELE_PROP63

Interno ID: ID_ELE_PROP63

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Interno ID: ID_ELE_PROP63

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP63

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FastReaction"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FastReaction"

Disattivato: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FastReaction"


ID_ELE_PROP64

Interno ID: ID_ELE_PROP64

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Interno ID: ID_ELE_PROP64

Pulsante

Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´ elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Interno ID: ID_ELE_PROP64

Pulsante ON

Disponibile solo sePulsanteè attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReactionTime"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReactionTime"

Interno ID: ID_ELE_PROP64

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP64

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReactionTime"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReactionTime"

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReactionTime"


ID_ELE_PROP65

Interno ID: ID_ELE_PROP65

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShortCut"


ID_ELE_PROP66

Interno ID: ID_ELE_PROP66

File grafico

Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: Le immagini devono essere già esistenti nel nodo File/Grafici del manager di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FileName"


ID_ELE_PROP67

Interno ID: ID_ELE_PROP67

Bitmap per stato Spento (0)

Bitmap predefinito o definito da untente per lo stato LOW dell’interuttore.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLow"


ID_ELE_PROP68

Interno ID: ID_ELE_PROP68

Bitmap per stato Acceso(1)

Bitmap predefinito o definito da utente per lo stato HIGH dell’interuttore.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapHigh"


ID_ELE_PROP69

Interno ID: ID_ELE_PROP69

Partenza da zero

Ha effetto solo con valori con segno: Abilitata: La barra rappresenta i valori dallo 0 al valore corrente della varaibile collegata.
Disabilitata: la barra viene visualizzata dal valore minore della variabile al valore attuale della variabile.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FromZero"


ID_ELE_PROP70

Interno ID: ID_ELE_PROP70

Tipo di visualizzazione

Tempo assoluto: Visualizza l'orologio di sistema con la rispettiva formattazione.
Differenza di tempo: Il valore di una variabile è visualizzato nel formato di tempo impostato.
Default: Tempo assoluto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewType"


ID_ELE_PROP71

Interno ID: ID_ELE_PROP71

Formattazione

Formattazione per rappresentazione di Data/Ora
Deve essere selezionata una stringa di formattazione dalla lista.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Format"


ID_ELE_PROP72

Interno ID: ID_ELE_PROP72

Visualizzazione su due righe

Disponibile solo per tempo assoluto:
Abilitata: Nella visualizzazione simultanea di data e ora, l’ora è visualizzata nella seconda linea.
Disabilitata: Data e ora sono visualizzati sulla stessa riga.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwoLines"


ID_ELE_PROP73

Interno ID: ID_ELE_PROP73

Separatore

Disponibile solo con differenza di tempo:
separatore per la visualizzazione di ora/data.
(per esempio. : in 10:15)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Separator"


ID_ELE_PROP75

Interno ID: ID_ELE_PROP75

Simbolo

Si può selezionare un simbolo dalla lista dei simboli esistenti nell’immagine.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Symbol"


ID_ELE_PROP76

Interno ID: ID_ELE_PROP76

Testo

Solo per variabili numeriche
Testo che viene visuliazzato quando nessun valore limite (o stato di matrice) è attivo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynText"


ID_ELE_PROP77

Interno ID: ID_ELE_PROP77

Tipo linea

Selezione del tipo di linea per l´elemento fra quelli della lista.
Attenzione: se nelle proprietà di progetto e per la precisione nel nodo Aspetto grafico è stata disattivata la proprietà Qualità grafica, la larghezza della linea >1 può essere usata solamente con una linea del tipo "linea continua".
Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP77

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP77

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineType"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineType"

Interno ID: ID_ELE_PROP77

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineType"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineType"


ID_ELE_PROP78

Interno ID: ID_ELE_PROP78

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP78

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillPattern"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillPattern"


ID_ELE_PROP79

Interno ID: ID_ELE_PROP79

Funzione specifica per il tipo di immagine

Solo nelle immagini MDI (Tipo di immagine non "Standard")
Al posto di una funzione generale può essere collegata una funzione specifica del tipo di finestra MDI. Questa funzione viene eseguita a Runtime tramite click del mouse o tramite la combinazione tasti impostata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MDIFunction"


ID_ELE_PROP80

Interno ID: ID_ELE_PROP80

Descrizione

Descrizione dell’elemento nell’Editor.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Legend"


ID_ELE_PROP81

Interno ID: ID_ELE_PROP81

Stile L

Style Windows dell’elemento, solo per uso interno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StyleL"


ID_ELE_PROP82

Interno ID: ID_ELE_PROP82

Stile H

Style Windows dell’elemento, solo per uso interno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StyleH"


ID_ELE_PROP83

Interno ID: ID_ELE_PROP83

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: A sinistra

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HorizontalOrigin"


ID_ELE_PROP84

Interno ID: ID_ELE_PROP84

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Su

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VerticalOrigin"


ID_ELE_PROP85

Interno ID: ID_ELE_PROP85

Numero simbolo

Numero identificativo univoco del simbolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PropSymbolNumber"


ID_ELE_PROP86

Interno ID: ID_ELE_PROP86

Nome del simbolo collegato

Nome del simbolo collegato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LinkName"


ID_ELE_PROP91

Interno ID: ID_ELE_PROP91

Minimo

Valore minimo della variabile da rappresentare nell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewMin"


ID_ELE_PROP92

Interno ID: ID_ELE_PROP92

Massimo

Valore massimo della variabile da rappresentare nell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewMax"


ID_ELE_PROP93

Interno ID: ID_ELE_PROP93

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

Interno ID: ID_ELE_PROP93

Visualizza valore in una percentuale

Abilitata: Il valore della variabile viene rappresentato in una percentuale da 0-100%.
0%= area di misurazione minima
100%=area di misurazione massima.
La conversione si effettua in modo lineare. Anche le immissioni di valori impostabili si effettuano in una percentuale.
Disabilitata: Il valore è visualizzato normalmente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Absolute"

Attivo: visualizzazione del valore della variabile senza segno precendente (-200 = 200).
Disattivata: normale visualizzazione del valore.
Default: inattivo.

Indicazione: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Absolute"


ID_ELE_PROP97

Interno ID: ID_ELE_PROP97

Sempre

Attivo: l´animazione è sempre attiva.
Disattiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Interno ID: ID_ELE_PROP97

Variabile

Variabile Bit, che attiva/disattiva l'animazione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Animate"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Animate"


ID_ELE_PROP98

Interno ID: ID_ELE_PROP98

Variabile

Variabile Bit, che attiva/disattiva l'animazione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AnimateVar"


ID_ELE_PROP99

Interno ID: ID_ELE_PROP99

Categoria

Concetto della categorizzazione Si può effettuare il filtro o raggruppare anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Category"


ID_ELE_PROP100

Interno ID: ID_ELE_PROP100

Descrizione

Descrizione più precisa del simbolo. Si può effettuare il filtro anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Information"


ID_ELE_PROP101

Interno ID: ID_ELE_PROP101

Colore testo

Colore per il testo dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextColor"


ID_ELE_PROP102

Interno ID: ID_ELE_PROP102

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Interno ID: ID_ELE_PROP102

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

Interno ID: ID_ELE_PROP102

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"

Interno ID: ID_ELE_PROP102

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"

Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"


ID_ELE_PROP103

Interno ID: ID_ELE_PROP103

Colore barra

Colore della barra del bargraf. Il colore viene usato in caso di non-violazione del valore limite.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextColor"


ID_ELE_PROP104

Interno ID: ID_ELE_PROP104

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Transparent"


ID_ELE_PROP108

Interno ID: ID_ELE_PROP108

Colore di riempimento

Colore di riempimento/sfondo dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"


ID_ELE_PROP109

Interno ID: ID_ELE_PROP109

Gruppo simboli

Definisce l´appartenenza ai gruppi del simbolo. Questo valore non può essere cambiato. I simboli della Libreria simboli di progetto ricevono il valore Project.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Group"


ID_ELE_PROP111

Interno ID: ID_ELE_PROP111

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Interno ID: ID_ELE_PROP111

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1"


ID_ELE_PROP112

Interno ID: ID_ELE_PROP112

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Interno ID: ID_ELE_PROP112

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2"

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2"


ID_ELE_PROP113

Interno ID: ID_ELE_PROP113

A capo automatico

Abilitata:Cambio automatico della riga del testo sull’elemento. La lunghezza della linea dipende dalle dimensioni dell’elemento.
Disabilitata: Il testo viene visualizzato su una sola riga.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Wordbreak"


ID_ELE_PROP114

Interno ID: ID_ELE_PROP114

Testo a pulsante premuto

Didascalia del pulsante che dovrebbe apparire quando lo si preme.

La successione di caratteri \n provoca un cambio di riga.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DownText"


ID_ELE_PROP115

Interno ID: ID_ELE_PROP115

Esegui funzione alla pressione

Abilitata: Alla pressione del pulsante si esegue la funzione collegata. Disabilitata: La funzione collegata è eseguita al rilascio del pulsante.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FktOnDown"


ID_ELE_PROP116

Interno ID: ID_ELE_PROP116

Forma pulsanti

Forma del pulsante:
squadrato: Gli angoli del pulsante sono netti; gli arrotondamenti vengono impostati facendo uso delle proprietà del gruppo Arrotondamento.
rotondo: Il pulsante viene visualizzato con una forma rotonda.

Interno ID: ID_ELE_PROP116

Arrotondamento

Proprietà per la visualizzazione di angoli arrotondati.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BtnStyleBorder"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BtnStyleBorder"


ID_ELE_PROP117

Interno ID: ID_ELE_PROP117

Inverti colori

Disponibile solo se il riempimento del pulsante è monocromatico.
Abilitata: La luminosità è a sfumatura con colori invertiti.
Disabilitata: La sfumatura della luminosità non è invertita. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BtnStyleInvert"


ID_ELE_PROP118

Interno ID: ID_ELE_PROP118

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BtnStyleFill"


ID_ELE_PROP121

Interno ID: ID_ELE_PROP121

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC. >
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Disattivato: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowState"


ID_ELE_PROP122

Interno ID: ID_ELE_PROP122

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione. Possibili impostazioni per mezzo della lista a cascata:

- centrato
- orientamento a sinistra
- orientamento a destra

Default: centrato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HorizontalAlign"


ID_ELE_PROP123

Interno ID: ID_ELE_PROP123

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione. Possibili impostazioni per mezzo della lista a cascata:

- centrato
- sopra
- sotto

Default: centrato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VerticalAlign"


ID_ELE_PROP124

Interno ID: ID_ELE_PROP124

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Frame"


ID_ELE_PROP125

Interno ID: ID_ELE_PROP125

Visualizza unità

Disponibile solo:
Generale: se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio : se come Tipo di visualizzazione si è scelto Differenza di tempo.
Con l´elemento Strumento analogico: se la proprietà 3D è stata attivata.

Interno ID: ID_ELE_PROP125

3D

Abilitata: L’elemento viene visualizzato in modo tridimensionale.
Disabilitata: L’elemento viene visualizzato in modo piatto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowUnit"

Interno ID: ID_ELE_PROP125

Tipo di visualizzazione

Tempo assoluto: Visualizza l'orologio di sistema con la rispettiva formattazione.
Differenza di tempo: Il valore di una variabile è visualizzato nel formato di tempo impostato.
Default: Tempo assoluto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowUnit"

Interno ID: ID_ELE_PROP125

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell'elemento possono essere scelti liberamente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowUnit"

Attiva: l´unità tecnica della variabile collegata viene visualizzata direto il valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Indicazione:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowUnit"


ID_ELE_PROP126

Interno ID: ID_ELE_PROP126

Visualizza valore in una percentuale

Abilitata: Il valore della variabile viene rappresentato in una percentuale da 0-100%.
0%= area di misurazione minima
100%=area di misurazione massima.
La conversione si effettua in modo lineare. Anche le immissioni di valori impostabili si effettuano in una percentuale.
Disabilitata: Il valore è visualizzato normalmente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Percentage"


ID_ELE_PROP127

Interno ID: ID_ELE_PROP127

3D

Abilitata: L’elemento viene visualizzato in modo tridimensionale.
Disabilitata: L’elemento viene visualizzato in modo piatto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThreeDimensional"


ID_ELE_PROP129

Interno ID: ID_ELE_PROP129

Rappresentazione percentuale

Abilitata: Il valore della variabile viene rappresentato in una percentuale da 0% - 100%.
0%= area di misurazione minima
100%=area di misurazione massima.
La conversione si effettua in modo lineare. Anche le immissioni di valori impostabili si effettuano in una percentuale.
Disabilitata: Il valore è rappresentato normalmente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Percentage"


ID_ELE_PROP130

Interno ID: ID_ELE_PROP130

Nastro

Disponibile solo se la visualizzazione come Cerchio parziale non è attivata.

Interno ID: ID_ELE_PROP130

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Ribbon"

Non disponibile sotto Windows CE.
Attiva: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
Non attiva: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Ribbon"


ID_ELE_PROP131

Interno ID: ID_ELE_PROP131

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Pie"


ID_ELE_PROP132

Interno ID: ID_ELE_PROP132

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.

Indicazione: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Interno ID: ID_ELE_PROP132

Cerchio parziale

Disponibile solo se la visualizzazione come nastro non è attiva:
Abilitata:Il valore è visualizzato con un trattino per il valore minimo e un trattino per il valore massimo.
Disabilitata: Il simbolo non viene visualizzato.(???)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Explicit"

Interno ID: ID_ELE_PROP132

Nastro

Disponibile solo se la visualizzazione come Cerchio parziale non è attivata.

Non disponibile sotto Windows CE.
Attiva: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
Non attiva: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Explicit"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Explicit"


ID_ELE_PROP135

Interno ID: ID_ELE_PROP135

Visualizza curve come area

Abilitata: Le curve sono rappresentate come aree.
Disabilitata: Le curve sono rappresentate come linee.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Area"


ID_ELE_PROP136

Interno ID: ID_ELE_PROP136

Non interpolare

Abilitata: I valori vengono collegati in livelli senza interpolazione.
Disabilitata: I valori sono connessi tramite interpolazione. .
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NoInterpolation"


ID_ELE_PROP137

Interno ID: ID_ELE_PROP137

Visualizza valori numerici

Abilitata: I valori dell’ultimo aggiornamento d’immagine vengono visualizzati per tutte le variabili collegate.
Disabilitata: I valori non vengono visualizzati.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NumericalValues"


ID_ELE_PROP138

Interno ID: ID_ELE_PROP138

Visualizza assi

Abilitata: Visualizza asse tempo e asse percentuale
Disabilitata: Nessun asse visualizzato.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Axes"


ID_ELE_PROP139

Interno ID: ID_ELE_PROP139

Visualizza informazione curva

Abilitata: Viene visualizzata in una legenda, il nome o la descrizione alternativa e il range di funzionamento della variabile collegata.
Disabilitata Nessuna legenda visualizzata.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Addresses"


ID_ELE_PROP140

Interno ID: ID_ELE_PROP140

Settare valore durante il movimento del mouse

Attivo: Continuo invio di nuovi valori mentre si muove il mouse.
Disattivato: invio singolo di un nuovo valore quando si rilascia il tasto del mouse.
(Solo quando nella sezione “Valore impostabile” é attivata l’opzione “Direttamente su Hardware“).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MouseMovement"


ID_ELE_PROP141

Interno ID: ID_ELE_PROP141

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell'elemento possono essere scelti liberamente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowValue"


ID_ELE_PROP142

Interno ID: ID_ELE_PROP142

Dimensione bitmap

Definizione della dimensione bitmap.
Dimensione originale: Dimensione originale bitmap collegata.
Allungato: La dimensione della bitmap viene adattata alla grandezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Representation"


ID_ELE_PROP150

Interno ID: ID_ELE_PROP150

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP150

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineWidth"

Interno ID: ID_ELE_PROP150

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineWidth"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineWidth"


ID_ELE_PROP151

Interno ID: ID_ELE_PROP151

Colore valore

Colore per il valore da rappresentare.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueColor"


ID_ELE_PROP152

Interno ID: ID_ELE_PROP152

Posizione valore

Posizione per il valore da rappresentare.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValuePos"


ID_ELE_PROP153

Interno ID: ID_ELE_PROP153

Angolo di partenza

Definizione dell’angolo start (0 =giù, continua in senso orario).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartAngle"


ID_ELE_PROP154

Interno ID: ID_ELE_PROP154

Angolo di apertura

Angolo di apertura della deviazione del puntatore (mass.360 - Angolo di start).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OpeningAngle"


ID_ELE_PROP155

Interno ID: ID_ELE_PROP155

Larghezza scroll [%]

L’opzione "Lunghezza scroll" determina la percentuale di spostamento della curva al raggiungimento del limite della zona di visualizzazione; è possibile specificare un valore da 0% fino al 100% effettuando un inserimento diretto oppure utilizzando la barra scroll.
0% - Per ogni nuovo inserimento viene eliminato l’inserimento più vecchio. 50% - In caso di superamento viene eliminata metà dell’immagine e si continua a scrivere.100% - In caso di Overflow viene eliminata tutta l’immagine e viene ricominciata la scrittura nuovamente.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScrollWidth"


ID_ELE_PROP156

Interno ID: ID_ELE_PROP156

Direzione

Questa proprietà definisce la direzione dell’asse tempo da visualizzare.
Verso destra: Sinistra tempo più vecchio, destra tempo più attuale.
Verso sinistra: Destra tempo più vecchio, sinistra più attuale.
In sù: In basso tempo più vecchio, in alto più attuale.
In giù: In alto tempo più vecchio, in basso più attuale.
Default: Verso destra.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Direction"


ID_ELE_PROP157

Interno ID: ID_ELE_PROP157

Testo

Testo che deve essere visualizzato nell´immagine.

con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text"


ID_ELE_PROP158

Interno ID: ID_ELE_PROP158

Angolo di testo

Angolo per la visualizzazione del testo
ATTENZIONE: Questa opzione funziona solo con tipi di carattere non collegati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextAngle"


ID_ELE_PROP159

Interno ID: ID_ELE_PROP159

Inclinazione delle lettere [°]

Inclinazione lettere

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextLetterAngle"


ID_ELE_PROP160

Interno ID: ID_ELE_PROP160

Base numerica di visualizzazione

Definite in questa sede il sistema numerico per la visualizzazione dei valori. Sono disponibili le seguenti possibilità di selezione:
binario: rappresentazione binaria. Questo formato viene visualizzato tramite una "b" che segue il valore.
Decimale: Rappresentazione decimale.
Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
Esadecimale: Rappresentazione esadecimale. Questo formato viene visualizzato tramite una "h" che segue il valore.
Ottale: Rappresentazione ottale. Questo formato viene visualizzato tramite una "o" che segue il valore.
Default: Decimale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueBase"


ID_ELE_PROP161

Interno ID: ID_ELE_PROP161

Visualizza scala

Abilitata: Viene visualizzata la scala vicino all’elemento.
Disabilitata:Non viene visualizzata nessuna scala di valori.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowScale"


ID_ELE_PROP162

Interno ID: ID_ELE_PROP162

Distanza [Pixel]

Distanza tra scala e elemento (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScaleDistance"


ID_ELE_PROP163

Interno ID: ID_ELE_PROP163

Altezza [Pixel]

Altezza della scala (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScaleHeight"


ID_ELE_PROP164

Interno ID: ID_ELE_PROP164

Suddivisioni principali

Campo valori per i tick principali (indicazione di cifra) della scala.

Esempio: L'inserimento 50 porta alla visualizzazione di un tick principale in intervalli di 50: 0 - 50 - 100 - 150 ...

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainTicks"


ID_ELE_PROP165

Interno ID: ID_ELE_PROP165

Suddivisioni secondare

Numero delle suddivisioni secondarie (senza segnalazione di numeri) della scala.
Esempio: Inserendo 100 risulterà visualizzata una linea ogni cento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmallTicks"


ID_ELE_PROP166

Interno ID: ID_ELE_PROP166

Colore divisioni principali

Colore per i tick principali (indicazione di cifra) della scala.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainTickColor"


ID_ELE_PROP167

Interno ID: ID_ELE_PROP167

Colori divisioni secondarie

Colore delle suddivisioni secondarie (senza segnalazione numerica) della scala.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmallTickColor"


ID_ELE_PROP168

Interno ID: ID_ELE_PROP168

Visualizza la legenda

All’attivazione viene visualizzata una legenda (valori) alla scala.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowLegend"


ID_ELE_PROP169

Interno ID: ID_ELE_PROP169

Distanza [Pixel]

Distanza tra legenda e scala (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LegendDistance"


ID_ELE_PROP170

Interno ID: ID_ELE_PROP170

Colore legenda

Colore della legenda.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LegendColor"


ID_ELE_PROP171

Interno ID: ID_ELE_PROP171

Logaritmica

Attivo: Scala logaritmica
Disattivato: Scala lineare

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Logarithmic"


ID_ELE_PROP172

Interno ID: ID_ELE_PROP172

Direzione invertita

Inversione di valore minimo e massimo nella visualizzazione grafica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReverseDirection"


ID_ELE_PROP173

Interno ID: ID_ELE_PROP173

Discreto

Modifica valori solo a passi predefiniti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Discrete"


ID_ELE_PROP174

Interno ID: ID_ELE_PROP174

Livelli discreti

Numero dei passi per la proprietà Livelli discreti.

Minimo: 2

Massimo: 20

Default: 5

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DiscreteSteps"


ID_ELE_PROP175

Interno ID: ID_ELE_PROP175

Visualizza bottone

Al posto del valore attuale sull’elemento viene visualizzato un elemento di comando (pulsante).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowKnob"


ID_ELE_PROP176

Interno ID: ID_ELE_PROP176

Forma di bottone

Seleziona il tipo di pulsante dalla lista. (piano, rialzato, profondo)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KnobStyle"


ID_ELE_PROP177

Interno ID: ID_ELE_PROP177

Colore bottone

Colore del bottone.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KnobColor"


ID_ELE_PROP191

Interno ID: ID_ELE_PROP191

Forma

Lineare: Rappresentazione come bara o slider
Rotondo: Visualizzazione come strumento analogico

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Shape"


ID_ELE_PROP192

Interno ID: ID_ELE_PROP192

Orientamento

Solo per form lineare: orizzontale o verticale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Align"


ID_ELE_PROP193

Interno ID: ID_ELE_PROP193

Angolo di partenza

Solo con tipo slider rotondo: Posizione dello strumento analogico per il valore minimo (0 in basso).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Start"


ID_ELE_PROP194

Interno ID: ID_ELE_PROP194

Angolo estremo

Solo per forma rotonda: Posizione dello strumento analogico per il valore massimo (0 in basso).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "End"


ID_ELE_PROP195

Interno ID: ID_ELE_PROP195

Stile

Sono a disposizione i seguenti stili di rappresentazione:
– Slider/Potenziometro
– Bargraph
– Barre LED
– Moving Scale

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Style"


ID_ELE_PROP196

Interno ID: ID_ELE_PROP196

Tipo di lancetta

Simbolo grafico di segnalazione del valore attuale attraverso
– Linea
– Lancetta
– Triangolo

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Pointer"


ID_ELE_PROP197

Interno ID: ID_ELE_PROP197

Barra esplicita

Disponibile solamente se per la proprietà Stile Barra si è selezionata l´opzione Scala animata o Barre LED.

Interno ID: ID_ELE_PROP197

Stile

Sono a disposizione i seguenti stili di rappresentazione:
– Slider/Potenziometro
– Bargraph
– Barre LED
– Moving Scale

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Explicit"

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

Attiva: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.

Non attiva: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Explicit"


ID_ELE_PROP198

Interno ID: ID_ELE_PROP198

Colore lancetta/barra

Colore della lancetta resp. Barra.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PointerColor"


ID_ELE_PROP199

Interno ID: ID_ELE_PROP199

Visualizza lancetta

Attivare la visualizzazione degli indicatori “Min/Max”.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinMaxView"


ID_ELE_PROP200

Interno ID: ID_ELE_PROP200

Rappresentazione

Simbolo grafico di segnalazione del valore MIN e MAX. attraverso
– Linea
– Lancetta
– Triangolo

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinMaxShape"


ID_ELE_PROP201

Interno ID: ID_ELE_PROP201

Colore valore min.

Colore per valore minimo visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinColor"


ID_ELE_PROP202

Interno ID: ID_ELE_PROP202

Colore valore max.

Colore per valore massimo visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxColor"


ID_ELE_PROP203

Interno ID: ID_ELE_PROP203

Reset automatico

Lancetta per visualizzazione del valore MIN/MAX ripristinata automaticamente dopo il tempo definito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoReset"


ID_ELE_PROP204

Interno ID: ID_ELE_PROP204

Reset automatico dopo [min]

Tempo per il rispristino automatico della visualizzazione min/max.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoResetTime"


ID_ELE_PROP211

Interno ID: ID_ELE_PROP211

Sinistra [Pixel]

Distanza tra il bordo sinistro dell’elemento e la rappresentazione grafica (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LeftFrame"


ID_ELE_PROP212

Interno ID: ID_ELE_PROP212

Destra [Pixel]

Distanza tra il bordo destro dell’elemento e la rappresentazione grafica (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RightFrame"


ID_ELE_PROP213

Interno ID: ID_ELE_PROP213

Su [Pixel]

Distanza tra il bordo superiore dell’elemento e la rappresentazione grafica (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopFrame"


ID_ELE_PROP214

Interno ID: ID_ELE_PROP214

Giu [Pixel]

Distanza tra il bordo inferiore dell’elemento e la rappresentazione grafica (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BottomFrame"


ID_ELE_PROP221

Interno ID: ID_ELE_PROP221

Visualizza titolo

Visualizza titolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowTitle"


ID_ELE_PROP222

Interno ID: ID_ELE_PROP222

Posizione titolo

Posizione del titolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TitlePos"


ID_ELE_PROP223

Interno ID: ID_ELE_PROP223

Colore titolo

Colore di testo del titolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TitleColor"


ID_ELE_PROP224

Interno ID: ID_ELE_PROP224

Testo titolo

Testo da visualizzare come titolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TitleText"


ID_ELE_PROP225

Interno ID: ID_ELE_PROP225

Distanza [Pixel]

Distanza tra titolo e indicazione di valore (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueDistance"


ID_ELE_PROP231

Interno ID: ID_ELE_PROP231

Direzione

Direzione della barra.
Verso l’alto : Valori minori verso il basso, valori maggiori in alto.
Verso il basso : Valori minori in alto, valori maggiori in basso.
Verso sinistra : Valori minori a destra, valori maggiori a sinistra.
Verso destra : Valori minori a sinistra, valori maggiori a destra.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Direction"


ID_ELE_PROP241

Interno ID: ID_ELE_PROP241

Ore

Durata rappresentazione in Ore.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RepresentationHour"


ID_ELE_PROP242

Interno ID: ID_ELE_PROP242

Minuti

Durata rappresentazione in secondi.
Minimo: 0.
Massimo: 59.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RepresentationMinute"


ID_ELE_PROP243

Interno ID: ID_ELE_PROP243

Secondi

Durata rappresentazione in secondi.
Minimo: 0.
Massimo: 59.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RepresentationSecond"


ID_ELE_PROP251

Interno ID: ID_ELE_PROP251

Ore

Tempo di aggiornamento in Ore.
Minimo: 0.
Massimo: 119304.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefreshHour"


ID_ELE_PROP252

Interno ID: ID_ELE_PROP252

Minuti

Tempo di aggiornamento in Minuti.
Minimo: 0.
Massimo: 59.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefreshMinute"


ID_ELE_PROP253

Interno ID: ID_ELE_PROP253

Secondi

Tempo di aggiornamento in secondi.
Minimo: 0.
Massimo: 59.
Default: 1.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefreshSecond"


ID_ELE_PROP254

Interno ID: ID_ELE_PROP254

Millisecondi

Tempo di aggiornamento in Millisecondi.
Minimo: 0.
Massimo: 999.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefreshMilliSecond"


ID_ELE_PROP262

Interno ID: ID_ELE_PROP262

Colore di linea

Colore normale; nel caso di violazione del valore limite si utilizza il colore del valore limite.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineColor"


ID_ELE_PROP263

Interno ID: ID_ELE_PROP263

Tipo di linea

Linea continua, tratteggiata, tratto punto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineStyle"


ID_ELE_PROP264

Interno ID: ID_ELE_PROP264

Range minimo di visualizzazione

Valore minimo del campo di visualizzazione per la curva (ingrandimento di sezione).
Minimo: Valore minimo della variabile.
Massimo: Valore massimo della variabile.
Default: Valore minimo della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewMin"


ID_ELE_PROP265

Interno ID: ID_ELE_PROP265

Range massimo di visualizzazione

Valore massimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione) .
Minimo: Valore minimo della variabile.
Massimo: Valore massimo della variabile.
Default: Valore massimo della variabile..

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewMax"


ID_ELE_PROP266

Interno ID: ID_ELE_PROP266

Nome curva

Visualizzazione dell’opzione di impostazione "Visualizza info curve", massimo 10 caratteri.
Se questa proprietà viene lasciata vuota,viene visualizzato il nome variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TrendText"


ID_ELE_PROP271

Interno ID: ID_ELE_PROP271

Rappresentazione

Bitmap: Per ogni stato si può selezionare un Bitmap.
Inoltre si può modificare anche il colore di un simbolo ad immagine.
Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
Simbolo della libreria: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
Carattere: Per ogni stato si può definire un carattere (solo SICAM 230).
Testo di stato & Simbolo ad immagine: Per ogni stato si può definire un testo.
Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RepresentationStyle"


ID_ELE_PROP272

Interno ID: ID_ELE_PROP272

Sovrapposti

Disponibile solamente per modalità “Simbolo dalla Libreria”:
Abilitata: Se piu stati sono contemporaneamente verificati, si avra una visualizzazione sovrapposta, p.e. la visualizzazione di tutti gli stati.
Disabilitata: Viene visualizzato solamente lo stato attivo piu alto.
Default: Disabiltato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Overlapping"


ID_ELE_PROP273

Interno ID: ID_ELE_PROP273

Colori separati

Disponibile solamente se “Sovrapposti” è Abilitata.:
Abilitata: Ogni stato mantiene il proprio colore definito.
Disabilitata: Viene mantenuto il colore dello stato attivo con priorità maggiore.
Default: Disabiltata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SeparateColors"


ID_ELE_PROP274

Interno ID: ID_ELE_PROP274

Lampeggio separato

Disponibile solamente se “Sovrapposti” è Abilitata.:
AbilitataViene visualizzato separatamente il lampeggio di ciascuno stato.
DisabilitataViene visualizzato il lampeggio dello stato attivo con maggiore priorità.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SeparateBlinking"


ID_ELE_PROP275

Interno ID: ID_ELE_PROP275

Testi concatenati

Disponibile solo per tipo di visualizzazione "Testo di stato":
Attivo: Se sono attivi diversi stati contemporaneamente i testi vengono visualizzati come stringa combinata.
Disattivato: viene usato il testo dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Chained"


ID_ELE_PROP276

Interno ID: ID_ELE_PROP276

Trasparente

Abilitata: Lo sfondo del simbolo è trasparente.

Disabilitata: Lo sfondo del simbolo può essere definito in modo indipendente per ogni stato.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillColor"


ID_ELE_PROP278

Interno ID: ID_ELE_PROP278

Con dimensione originale

Abilitata: La bitmap è rappresentata in dimensione originale.
Disabilitata: La bitmap è ridimensionata nell’elemento.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OriginalSize"


ID_ELE_PROP279

Interno ID: ID_ELE_PROP279

Immagine simbolo attivo

Disponibile solo se è selezionata la “visualizzazione testo di stato” o “Bitmap”:
Abilitata: In aggiunta alla bitmap animata può essere animato anche un simbolo ad immagine.
Disabilitata: Nessun simbolo presente nell’immagine viene animato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsPictureSymbol"


ID_ELE_PROP280

Interno ID: ID_ELE_PROP280

Simbolo immagine

Disponibile solamente tipo di visualizzazione „Simbolo d’Immagine“ o se la proprieta „Simbolo d’Immagine attiva“ è abilitatat :
Selezione del simbolo presente nell’immagine, del quale si desidera pilotare il colore.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PictureSymbol"


ID_ELE_PROP281

Interno ID: ID_ELE_PROP281

Solo area riempimento

Abilitata: Il cambio colore ha effetto solo per l’area di riempimento.
Disabilitata: Il cambio colori ha effetto solo sulle linee di contorno. .
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillAreaOnly"


ID_ELE_PROP282

Interno ID: ID_ELE_PROP282

Riprendi lampeggio dalla variabile principale

Abilitata: L’attributo di lampeggio viene ripreso dalla varaibile principale e puo essere ripristinato sull’elemento.
Disabilitata: Nessun lampeggio gestito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkingFromVariable"


ID_ELE_PROP283

Interno ID: ID_ELE_PROP283

Rileva lampeggio di tutte le variabili

Disponibile solo se “Riprendi lampeggio da variabile principale” è attiva:
Abilitata: Le proprietà di lampeggio vengono riprese da tutte le variabili collegate.
Disabilitata: Viene ripreso solamente l’attributo di lampeggio dalla variabile principale collegata (La proprietà è raggiungibile sotto valori limiti – Attributi aggiuntivi – Lampeggio).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkingFromAllVariables"


ID_ELE_PROP284

Interno ID: ID_ELE_PROP284

Sfondo lampeggio trasparente

Abilitata: Lo sfondo del simbolo è trasparente durante il lampeggio (lo sfondo di un bitmap non può essere trasparente).
Disabilitata: Lo sfondo del lampeggio non è trasparente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkingBackGroundTransparent"


ID_ELE_PROP285

Interno ID: ID_ELE_PROP285

Colore lampeggio sfondo

Colore di sfondo a proprietà "Sfondo di lampeggio trasparente" disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkingBackColor"


ID_ELE_PROP286

Interno ID: ID_ELE_PROP286

Visualizza stato della variabile

Visualizzazione del nome della variabile e l’assegnazione del bit di stato nel funzionamento online con il tasto destro del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowState"


ID_ELE_PROP287

Interno ID: ID_ELE_PROP287

Visualizza stato con punto rosso

In caso di stato d’eccezione (p.e.stato “Disturbo”) viene visualizzato in alto a destra dell’elemento un quadrato rosso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RedPoint"


ID_ELE_PROP288

Interno ID: ID_ELE_PROP288

Tipo topologico

Tipo topologico

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopologyType"


ID_ELE_PROP289

Interno ID: ID_ELE_PROP289

Lato trasformatore

Lato trasformatore

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TransformerSide"


ID_ELE_PROP290

Interno ID: ID_ELE_PROP290

Numero di alimentazione

Numero di alimentazione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SupplyNumber"


ID_ELE_PROP291

Interno ID: ID_ELE_PROP291

Stati e test

Apre il dialogo per la definizione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StateAndTest"


ID_ELE_PROP292

Interno ID: ID_ELE_PROP292

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorFromVariable"


ID_ELE_PROP294

Interno ID: ID_ELE_PROP294

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Interno ID: ID_ELE_PROP294

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Disattivato: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Interno ID: ID_ELE_PROP294

Pulsante

Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´ elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Interno ID: ID_ELE_PROP294

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Interno ID: ID_ELE_PROP294

Pulsante ON

Disponibile solo sePulsanteè attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Interno ID: ID_ELE_PROP294

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP294

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Interno ID: ID_ELE_PROP294

3D

Abilitata: L’elemento viene visualizzato in modo tridimensionale.
Disabilitata: L’elemento viene visualizzato in modo piatto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StayPressed"


ID_ELE_PROP296

Interno ID: ID_ELE_PROP296

Stati

Apre il dialogo per la definizione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"


ID_ELE_PROP301

Interno ID: ID_ELE_PROP301

Tempo per cambio di testo [s]

A più bit settati di variabili di riga si esegue il cambio di testo automatico dopo il tempo progettato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextChangeTime"


ID_ELE_PROP302

Interno ID: ID_ELE_PROP302

File testo

Selezionare il file di testo testo attraverso immissione diretta oppure attraverso il pulsante "...".

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MessageText"


ID_ELE_PROP303

Interno ID: ID_ELE_PROP303

Scelta colonne

La variabile di colonna dev’essere una variabile word e definisce la posizione della colonna, dalla quale viene ripreso il testo.ATTENZIONE: La variabile della colonna dev’essere selezionata prima della variabile della riga.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


ID_ELE_PROP304

Interno ID: ID_ELE_PROP304

Attivazione linea

La variabile di riga definisce la posizione della riga, dalla quale viene ripreso il testo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColVars"


ID_ELE_PROP306

Interno ID: ID_ELE_PROP306

Impostazioni ActiveX

Selezione dell’elemento ActiveX della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActiveX"


ID_ELE_PROP312

Interno ID: ID_ELE_PROP312

Luminosità all'esterno

Questa proprietà è disponibile solo se l’opzione "Con sfumatura" è abilitata.
Luminosità dal lato esterno dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OuterBrightness"


ID_ELE_PROP313

Interno ID: ID_ELE_PROP313

Luminosità all'interno

Disponibile solo se “Sfumatura” è abilitata.
Luminosità al centro dell’elemento

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InnerBrightness"


ID_ELE_PROP314

Interno ID: ID_ELE_PROP314

Spostamento sorgente luminosa

Definisce di quanto l'effetto luce deve essere dislocato dal centro.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Shifted"


ID_ELE_PROP321

Interno ID: ID_ELE_PROP321

Modifica direzione X attiva

Abilitata: Attivazione dello spostamento orizzontale dell’elemento.
Disabilitata: Movimento orizzontale dell’elemento non è disponibile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsXActive"


ID_ELE_PROP322

Interno ID: ID_ELE_PROP322

Variabile

Nome della variabile per lo spostamento orizzontale dell’elemento.
Apre la finestra di dialogo per la selezione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XVariable"


ID_ELE_PROP323

Interno ID: ID_ELE_PROP323

Valore min. variabile

Valore minimo della variabile per lo spostamento orizzontale dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XVarMin"


ID_ELE_PROP324

Interno ID: ID_ELE_PROP324

Valore max. variabile

Valore massimo della variabile per lo spostamento orizzontale dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XVarMax"


ID_ELE_PROP325

Interno ID: ID_ELE_PROP325

Movimento min. [pixel]

Posizione orizzontale dell’elemento per il valore minimo della variabile (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XViewMin"


ID_ELE_PROP326

Interno ID: ID_ELE_PROP326

Movimento max. [pixel]

Posizione orizzontale dell’elemento per il valore massimo della variabile (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XViewMax"


ID_ELE_PROP327

Interno ID: ID_ELE_PROP327

Modifica direzione Y attiva

Abilitata: Viene attivato lo spostamento verticale per l’elemento.
Disabilitata:Movimento verticale non disponibile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsYActive"


ID_ELE_PROP328

Interno ID: ID_ELE_PROP328

Variabile

Variabile per lo spostamento verticale dell’elemento.
Apre la finestra di dialogo per la selezione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YVariable"


ID_ELE_PROP329

Interno ID: ID_ELE_PROP329

Valore min. variabile

Valore minimo della variabile per lo spostamento verticale dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YVarMin"


ID_ELE_PROP330

Interno ID: ID_ELE_PROP330

Valore max. variabile

Valore massimo della variabile per lo spostamento verticale dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YVarMax"


ID_ELE_PROP331

Interno ID: ID_ELE_PROP331

Movimento min. [pixel]

Posizione verticale dell’elemento per il valore minimo della variabile (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YViewMin"


ID_ELE_PROP332

Interno ID: ID_ELE_PROP332

Movimento max. [pixel]

Posizione verticale dell’elemento per il valore massimo della variabile (in pixel).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YViewMax"


ID_ELE_PROP333

Interno ID: ID_ELE_PROP333

Modifica larghezza attiva

Abilitata: Attiva lo zoom dinamico per larghezza dell’elemento.
Disabilitata: Zoom dinamico larghezza elemento non disponibile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsXZoomActive"


ID_ELE_PROP334

Interno ID: ID_ELE_PROP334

Variabile

Variabile per lo zoom in larghezza dell’elemento. .
Apre la finestra di dialogo per la selezione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoomVariable"


ID_ELE_PROP335

Interno ID: ID_ELE_PROP335

Valore min. variabile

Valore minimo della variabile per lo zoom della larghezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoomVarMin"


ID_ELE_PROP336

Interno ID: ID_ELE_PROP336

Valore max. variabile

Valore massimo della variabile per lo zoom di larghezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoomVarMax"


ID_ELE_PROP337

Interno ID: ID_ELE_PROP337

Larghezza min. [%]

Fattore zoom della larghezza dell’elemento per il valore minimo della variabile (in %).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoomViewMin"


ID_ELE_PROP338

Interno ID: ID_ELE_PROP338

Larghezza max. [%]

Fattore zoom della larghezza dell’elemento per il valore massimo della variabile (in %).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoomViewMax"


ID_ELE_PROP339

Interno ID: ID_ELE_PROP339

Modifica altezza attiva

Attiva lo zoom di altezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsYZoomActive"


ID_ELE_PROP340

Interno ID: ID_ELE_PROP340

Variabile

Nome della variabile per lo zoom dell’altezza dell’elemento.
Apre la finestra di dialogo per la selezione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoomVariable"


ID_ELE_PROP341

Interno ID: ID_ELE_PROP341

Valore min. variabile

Valore minimo della variabile per lo zoom di altezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoomVarMin"


ID_ELE_PROP342

Interno ID: ID_ELE_PROP342

Valore max. variabile

Valore massimo della variabile per lo zoom di larghezza dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoomVarMax"


ID_ELE_PROP343

Interno ID: ID_ELE_PROP343

Altezza min. [pixel]

Fattore zoom dell’altezza dell’elemento per il valore minimo della variabile (in %).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoomViewMin"


ID_ELE_PROP344

Interno ID: ID_ELE_PROP344

Altezza max. [pixel]

Fattore zoom di altezza dell’elemento per il valore massimo della variabile (in %).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoomViewMax"


ID_ELE_PROP345

Interno ID: ID_ELE_PROP345

Drehen aktiv

Abilitata:Attiva la rotazione dell’elemento collegato.
Disabilitata:Rotazione dinamica elemento non disponibile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsTwistActive"


ID_ELE_PROP346

Interno ID: ID_ELE_PROP346

Variabile

Variabile per la rotazione dell’elemento.
Apre la finestra di dialogo per la selezione della variabile

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwistVariable"


ID_ELE_PROP347

Interno ID: ID_ELE_PROP347

Valore min. variabile

Valore minimo della variabile per la rotazione dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwistVarMin"


ID_ELE_PROP348

Interno ID: ID_ELE_PROP348

Valore max. variabile

Valore massimo della variabile per la rotazione dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwistVarMax"


ID_ELE_PROP349

Interno ID: ID_ELE_PROP349

Rotazione min. [°]

Rotazione angolo dell’elemento per il valore minimo della variabile (in ).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwistViewMin"


ID_ELE_PROP350

Interno ID: ID_ELE_PROP350

Rotazione max. [°]

Rotazione angolo dell’elemento per il valore massimo della variabile (in ).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwistViewMax"


ID_ELE_PROP351

Interno ID: ID_ELE_PROP351

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Interno ID: ID_ELE_PROP351

Inserimento da variabile string

Attiva: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Interno ID: ID_ELE_PROP351

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "States"

Non attiva: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "States"

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "States"


ID_ELE_PROP354

Interno ID: ID_ELE_PROP354

Colore di sfondo

Colore di sfondo dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonFillColor"


ID_ELE_PROP357

Interno ID: ID_ELE_PROP357

Globale

Gli allarmi vengono tenuti in considerazione in tutto il sistema.
Uso principale: Allarme somme della lista allarmi globale.
Attivo: Gli allarmi vengono tenuti in considerazione indipendentemente dall'immagine collegata.
La funzione collegata viene utilizzata solo per il cambio immagine.

Disattivato: Solo allarmi dell'immagine collegata vengono presi in considerazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAGlobal"


ID_ELE_PROP358

Interno ID: ID_ELE_PROP358

Progetto

Selezione di un singolo progetto oppure di tutti i progetti.

Disponibile solo se è attiva l'opzione Globale.

Uso nel caso di progetti multiutente.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAProjekt"


ID_ELE_PROP359

Interno ID: ID_ELE_PROP359

Priorità

Fissare la priorità di classi allarmi/eventi.
Attiva: Anche nel caso della selezione di diverse classi allarmi/eventi ne viene visualizzata solo una.
Regole di priorità:

  1. Tanto più piccolo è il numero della classe, tanto maggiore è la priorità.
  2. Non ripristinato è di maggiore priorità di ripristinato.

Non attiva: Tutte le classi selezionate vengono visualizzate contemporaneamente (una accanto all'altra).

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAPriorität"


ID_ELE_PROP360

Interno ID: ID_ELE_PROP360

Invisibile

L'elemento non viene visualizzato nel Runtime.

Attivo: L'elemento viene escluso nel Runtime.
Viene usato se l'elemento porta solo ad una variabile di visualizzazione, ma esso stesso non deve essere rappresentato.

Disattivato: L'elemento viene visualizzato sotto forma di pulsante.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAUnsichtbar"


ID_ELE_PROP361

Interno ID: ID_ELE_PROP361

Classi di allarme/evento

Selezione della classe allarmi/eventi da visualizzare.

Apre il catalogo della selezione delle classi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAKlassen"


ID_ELE_PROP362

Interno ID: ID_ELE_PROP362

Prima classe di allarmi/eventi visualizzata.

A partire da questa classe, gli stati delle classi vengono scritti sulla variabile d'immagine.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_ELE_PROP363

Interno ID: ID_ELE_PROP363

Origine

Sostituzione di variabili e/o funzioni in un simbolo:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Beispiel: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Interno ID: ID_ELE_PROP363

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo:
indicate le variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteSource"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteSource"


ID_ELE_PROP364

Interno ID: ID_ELE_PROP364

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo:
indicate le variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Interno ID: ID_ELE_PROP364

Origine

Sostituzione di variabili e/o funzioni in un simbolo:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Beispiel: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteDestination"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteDestination"


ID_ELE_PROP365

Interno ID: ID_ELE_PROP365

Attraverso il nome-variabile

Abilitata: La sostituzione è effettuata attraverso il nome della variabile.
Disabilitata: La sostituzione è effettuata con l’identificazione variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteOnName"


ID_ELE_PROP366

Interno ID: ID_ELE_PROP366

Rispetta minuscolo/maiuscolo

Abilitata:La stringa nella sorgente e nella destinazione per la sostituzione delle variabili / funzioni è case sensitive.
Disabilitata : La stringa non è case sensitive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteMatchCase"


ID_ELE_PROP377

Interno ID: ID_ELE_PROP377

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menu contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TABOrderH"


ID_ELE_PROP378

Interno ID: ID_ELE_PROP378

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menu contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TABOrderV"


ID_ELE_PROP379

Interno ID: ID_ELE_PROP379

Suddivisioni principali

Definsce tratteggio della parte principale della scala.
Valore indica distanza fra le divisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. In caso di uguaglianza di valore non vengono visualizzati Suddivisioni secondare.

Interno ID: ID_ELE_PROP379

Suddivisioni secondare

Definisce la divisione della scala fra Suddivisioni principali.

Valore indica distanza fra le divisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. In caso di uguaglianza di valore non viene visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainTicks"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainTicks"


ID_ELE_PROP380

Interno ID: ID_ELE_PROP380

Suddivisioni secondare

Definisce la divisione della scala fra Suddivisioni principali.

Interno ID: ID_ELE_PROP380

Suddivisioni principali

Definsce tratteggio della parte principale della scala.
Valore indica distanza fra le divisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. In caso di uguaglianza di valore non vengono visualizzati Suddivisioni secondare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmallTicks"

Valore indica distanza fra le divisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. In caso di uguaglianza di valore non viene visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmallTicks"


ID_ELE_PROP381

Interno ID: ID_ELE_PROP381

Immagine delle classi di allarme/eventi selezionate

Modalità nella quale gli stati delle classi vengono scritti sulla variabile d'immagine.

Attiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente sulla variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1; classe 3: Bits 2,3

Non attiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente su posizioni fisse della variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1;0 (classe 2: Bits 2.3); classe 3: Bits 4,5

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AbbModus"


ID_ELE_PROP382

Interno ID: ID_ELE_PROP382

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCType"


ID_ELE_PROP383

Interno ID: ID_ELE_PROP383

Sorgente

Disponibile solo se il tipo di funzione è settato su‚ trasformatore:
Selezione della sorgente/trasformatore collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCSourceID"


ID_ELE_PROP384

Interno ID: ID_ELE_PROP384

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCUseColor"


ID_ELE_PROP385

Interno ID: ID_ELE_PROP385

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Interno ID: ID_ELE_PROP385

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCMultiSource"

Default: sorgente ad alta priorità

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCMultiSource"


ID_ELE_PROP386

Interno ID: ID_ELE_PROP386

Numero Link

Disponibile solo se un tipo di funzione link è selezionata:
Numero di identificazione del link. Un altro link di un'altra immagine con lo stesso numero di identificazione prende le informazioni dal link sorgente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCLinkID"


ID_ELE_PROP387

Interno ID: ID_ELE_PROP387

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Interno ID: ID_ELE_PROP387

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • doppia larghezza
  • doppia luminosità
  • normale

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_ELE_PROP388

Interno ID: ID_ELE_PROP388

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Interno ID: ID_ELE_PROP388

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCPrecedence"

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCPrecedence"


ID_ELE_PROP389

Interno ID: ID_ELE_PROP389

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Interno ID: ID_ELE_PROP389

Pulsante

Disponibile solo se è attivo Interruttore. (Eccezione: Sempre disponibile nell´ elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Interno ID: ID_ELE_PROP389

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"

Interno ID: ID_ELE_PROP389

Pulsante ON

Disponibile solo sePulsanteè attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"

Interno ID: ID_ELE_PROP389

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Interno ID: ID_ELE_PROP389

Settaggio valori attivo

Abilitata: Il settaggio di valori impostabili per l’elemento dinamico è permesso.
Disabilitata: La variabile dell’elemento è in sola lettura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"

Attiva: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ResetOnLeave"


ID_ELE_PROP391

Interno ID: ID_ELE_PROP391

Colore cornice/ombra

Disponibile solamente se è stato selezionato come Tipo di cornice cornice oppure ombra.

Interno ID: ID_ELE_PROP391

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Interno ID: ID_ELE_PROP391

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP391

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP391

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameColor"

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameColor"

Definizione del colore della cornice o dell´ombra. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameColor"


ID_ELE_PROP392

Interno ID: ID_ELE_PROP392

Distanza [Pixel]

Disponibile solamente se come Tipo di cornice sono stati selezionati cornice o ombra.

Interno ID: ID_ELE_PROP392

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Interno ID: ID_ELE_PROP392

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP392

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP392

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"

Distanza della cornice o dell´ombra rispetto all´elemento in pixel. Nel caso dell´ombra, la direzione della distanza viene determinata dalla proprietà Angolo [°]. La grandezza del campo valori dipende dalla risoluzione dello schermo.

Interno ID: ID_ELE_PROP392

Angolo [°]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Angolo in gradi in cui si sposta l´ombra.

Valori: da 0° a 359°. 0° corrisponde alla estrema posizione a destra (le 3), si continua in senso antiorario.

Default: 0°

Un clic sul comando ... apre la barra di scorrimento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"

Default: 10

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameOffset"


ID_ELE_PROP393

Interno ID: ID_ELE_PROP393

Larghezza linea

Definizione della larghezza della linea per la cornice espressa in pixel.

Default: 1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameWidth"


ID_ELE_PROP394

Interno ID: ID_ELE_PROP394

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP394

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP394

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"

Interno ID: ID_ELE_PROP394

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"

Interno ID: ID_ELE_PROP394

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"

Interno ID: ID_ELE_PROP394

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeText"


ID_ELE_PROP395

Interno ID: ID_ELE_PROP395

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP395

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP395

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP395

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"

Interno ID: ID_ELE_PROP395

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"

Interno ID: ID_ELE_PROP395

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Normal"


ID_ELE_PROP396

Interno ID: ID_ELE_PROP396

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP396

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP396

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP396

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

Interno ID: ID_ELE_PROP396

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

Interno ID: ID_ELE_PROP396

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

Interno ID: ID_ELE_PROP396

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Shift"


ID_ELE_PROP397

Interno ID: ID_ELE_PROP397

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP397

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP397

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP397

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

Interno ID: ID_ELE_PROP397

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

Interno ID: ID_ELE_PROP397

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

Interno ID: ID_ELE_PROP397

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1Ctrl"


ID_ELE_PROP398

Interno ID: ID_ELE_PROP398

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP398

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP398

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP398

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

Interno ID: ID_ELE_PROP398

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

Interno ID: ID_ELE_PROP398

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

Interno ID: ID_ELE_PROP398

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text1CtrlAlt"


ID_ELE_PROP399

Interno ID: ID_ELE_PROP399

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della secpnda riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite”&&” per rappresentare da soli il segno &..

Interno ID: ID_ELE_PROP399

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP399

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP399

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

Interno ID: ID_ELE_PROP399

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

Interno ID: ID_ELE_PROP399

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

Interno ID: ID_ELE_PROP399

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Normal"


ID_ELE_PROP400

Interno ID: ID_ELE_PROP400

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto un tasto di cambio
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP400

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP400

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP400

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

Interno ID: ID_ELE_PROP400

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

Interno ID: ID_ELE_PROP400

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

Interno ID: ID_ELE_PROP400

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Shift"


ID_ELE_PROP401

Interno ID: ID_ELE_PROP401

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP401

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP401

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP401

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

Interno ID: ID_ELE_PROP401

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

Interno ID: ID_ELE_PROP401

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

Interno ID: ID_ELE_PROP401

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2Ctrl"


ID_ELE_PROP402

Interno ID: ID_ELE_PROP402

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della seconda riga di testo nel pulsante se è premuto il tasto controllo e Alt Gr.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Interno ID: ID_ELE_PROP402

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

Interno ID: ID_ELE_PROP402

Layout tastiera automatica

è attiva: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo. tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: Attiva

Indicazione: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Interno ID: ID_ELE_PROP402

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Indicazione: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione: questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"

Interno ID: ID_ELE_PROP402

Testo riga 1

Prima riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visulizzare il simbolo stesso &si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"

Interno ID: ID_ELE_PROP402

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text2CtrlAlt"


ID_ELE_PROP403

Interno ID: ID_ELE_PROP403

Tipo di inizio

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ELE_PROP403

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP403

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP403

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"

Definisce il simbolo per il punto di partenza della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.

Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

Interno ID: ID_ELE_PROP403

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP403

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapStart"


ID_ELE_PROP404

Interno ID: ID_ELE_PROP404

Tipo di fine

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ELE_PROP404

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP404

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP404

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"

Definisce il simbolo per il punto finale della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.

Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

Interno ID: ID_ELE_PROP404

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP404

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapEnd"


ID_ELE_PROP405

Interno ID: ID_ELE_PROP405

Dimensione

Disponibile solo se la proprietà di progetto Qualità grafica è attivata.

Interno ID: ID_ELE_PROP405

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP405

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP405

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"

Definisce il fattore di ingrandimento per la larghezza della linea della freccia. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea.

Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

Interno ID: ID_ELE_PROP405

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP405

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"

Valore: maggiore o uguale a 1.

Default: 4

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCapScale"


ID_ELE_PROP_BACKCOLOR2

Interno ID: ID_ELE_PROP_BACKCOLOR2

Sfumatura colore

Disponibile solamente se la proprietà Tipo di riempimento è attiva e la proprietà di progetto Qualità grafica è attiva.

Interno ID: ID_ELE_PROP_BACKCOLOR2

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_BACKCOLOR2

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_BACKCOLOR2

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Interno ID: ID_ELE_PROP_BACKCOLOR2

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP_BACKCOLOR2

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie "automatico", il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Interno ID: ID_ELE_PROP_BACKCOLOR2

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Interno ID: ID_ELE_PROP_BACKCOLOR2

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

Interno ID: ID_ELE_PROP_BACKCOLOR2

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Interno ID: ID_ELE_PROP_BACKCOLOR2

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"


ID_ELE_PROP_BACKCOLORBUTTON2

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Verlaufsfarbe

Disponibile solo se la proprietà Riempimento pulsanti non è stata settata su Monocromatico.

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Cambio colori dinamico .

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Indicazione: per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2"


ID_ELE_PROP_COLORGRADIENTANGLE

Interno ID: ID_ELE_PROP_COLORGRADIENTANGLE

Angolo [°]

Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

Valori: da 0 fino 360°

Default: 0°

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngle"


ID_ELE_PROP_COLORGRADIENTOFFSET

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Offset [%]

Disponibile solamente se, per un elemento vettoriale, la proprietà Effetto riempimento 3-D, o per l´elemento dinamico Pulsante, la proprietà Riempimento pulsanti è stata settata su: lineare oppure da un punto definito, oppure da un punto definito effetto beam.

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffset"

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Effetto riempimento 3-D

Disponibile solamente se Tipo di riempimento è stato settato su Effetto riempimento.

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffset"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffset"

Definisce l´effetto di riempimento per elementi vettoriali.

Lineare: effetto omogeneo
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffset"

Definisce la distanza dell´effetto di riempimento dal punto centrale dell´elemento. Si tratta di un valore percentuale.

Valori: 0 descrive il punto centrale nell´elemento, 100 il bordo.
Indicazione: Questo valore può trovarsi anche al di fuori dell´elemento e perciò, non è limitato a 100.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffset"


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attiva: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore di lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Colore di lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Default: inattivo.

Indicazione: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Variabile lampeggio

Disponibile solo se la proprietà Attiva è attivata.

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"

Attiva: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect2ndBlinkStateVisible"


ID_ELE_PROP_GLOWEFFECT_ACTIVE

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectActive"


ID_ELE_PROP_GLOWEFFECT_ALPHA

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Trasparenza [%]

Disponibile solo se la proprietà Attiva è attivata.

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"

Valore di trasparenza con cui viene visualizzato l´effetto glow sull´elemento. Unità: in percentuale. Un clic sul comando ... apre la barra di scorrimento.

Minimo: 0%, invisibile

Massimo: 100%, copertura totale

Default: 20%

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectAlpha"


ID_ELE_PROP_GLOWEFFECT_COLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectColor"


ID_ELE_PROP_GLOWEFFECT_EVENT

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"

Attiva: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectEvent"


ID_ELE_PROP_GLOWEFFECT_SPREAD

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Estensione [Pixel]

Disponibile solo se la proprietà Attiva è attivata.

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"

Definisce il fattore di estensione dell´effetto glow. Esso viene definito come numero di pixel che devono essere calcolati per la diffusione da ogni parte.

Minimo: 0 , nessuna diffusione

Massimo: 50

Default: 15

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectSpread"


ID_ELE_PROP_GLOWEFFECT_USECOLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software e la proprietà di progetto Progetto WindowsCE non è attiva. La disponibilità dipende anche dall´elemento grafico.

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Attiva: durante il runtime viene usato l´effetto glow per l´elemento.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Attiva: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"

Disattivata: i colori dell´elemento vengono usati per l´effetto glow.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffectUseColor"


ID_ELE_PROP_GRP0

Interno ID: ID_ELE_PROP_GRP0

Generale

Proprietà generali dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_ELE_PROP_GRP1

Interno ID: ID_ELE_PROP_GRP1

Posizione

Proprietà per la posizione e la dimensione dell´elemento dinamico.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Position"


ID_ELE_PROP_GRP2

Interno ID: ID_ELE_PROP_GRP2

Visualizzazione globale

Impostazioni del comportamento dell’elemento nella supervisione globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Overview"


ID_ELE_PROP_GRP3

Interno ID: ID_ELE_PROP_GRP3

Colori

Proprietà colori dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Color"


ID_ELE_PROP_GRP4

Interno ID: ID_ELE_PROP_GRP4

VBA

Proprietà per Macro VBA collegate all’elemento..

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VBA"


ID_ELE_PROP_GRP5

Interno ID: ID_ELE_PROP_GRP5

Eventi generali

Macro VBA.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_ELE_PROP_GRP6

Interno ID: ID_ELE_PROP_GRP6

Setta valore impostabile

Proprietà per il settaggio di valori impostabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValue"


ID_ELE_PROP_GRP7

Interno ID: ID_ELE_PROP_GRP7

Variabile / funzione

Proprietà per la varaibile o funzione collegata con l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Element"


ID_ELE_PROP_GRP8

Interno ID: ID_ELE_PROP_GRP8

Impostazione visualizzazione

Area di valore della variabile per la visualizzazione nell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisplayArea"


ID_ELE_PROP_GRP9

Interno ID: ID_ELE_PROP_GRP9

Colori statici

Impostazioni per i colori dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Colors_Static"


ID_ELE_PROP_GRP10

Interno ID: ID_ELE_PROP_GRP10

SV limite statico

Definizione fissa per i limiti settaggio dei valori per l’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "etValueLimits_Static"


ID_ELE_PROP_GRP11

Interno ID: ID_ELE_PROP_GRP11

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Representation"


ID_ELE_PROP_GRP12

Interno ID: ID_ELE_PROP_GRP12

Scala

Proprietà per la visualizzazione della scala.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Scale"


ID_ELE_PROP_GRP13

Interno ID: ID_ELE_PROP_GRP13

Lancetta

Proprietà per la visualizzazione generale dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Look"


ID_ELE_PROP_GRP14

Interno ID: ID_ELE_PROP_GRP14

Bordo

Proprietà della cornice dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Border"


ID_ELE_PROP_GRP15

Interno ID: ID_ELE_PROP_GRP15

Titolo

Proprietà per la visualizzazione di un titolo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Title"


ID_ELE_PROP_GRP16

Interno ID: ID_ELE_PROP_GRP16

Bottone

Proprietà per la direzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Knob"


ID_ELE_PROP_GRP17

Interno ID: ID_ELE_PROP_GRP17

Durata visualizzazione

Intervallo di visualizzazione del Trend.
(Ore, minuti, secondi)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Time"


ID_ELE_PROP_GRP18

Interno ID: ID_ELE_PROP_GRP18

Tempo di aggiornamento

Intervallo di tempo in cui viene aggiornata la rappresentazione (i.e. aggiunta di un nuovo valore).
(Ore, minuti, secondi, millisecondi)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Refresh"


ID_ELE_PROP_GRP20

Interno ID: ID_ELE_PROP_GRP20

Impostazioni simbolo d'immagine

Impostazioni per l’utilizzo dell’elemento con diversi colori, di un simbolo prima creato nell’immagine per la visualizzazione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PictSymbol"


ID_ELE_PROP_GRP21

Interno ID: ID_ELE_PROP_GRP21

Automatic Line Coloring

Proprietà pwe l’Automatic Line Coloring (ALC)...

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALC"


ID_ELE_PROP_GRP22

Interno ID: ID_ELE_PROP_GRP22

Eventi mouse

Macro VBA per eventi del mouse.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Mouse Events"


ID_ELE_PROP_GRP23

Interno ID: ID_ELE_PROP_GRP23

Drag&Drop

Macro VBA per gli eventi Drag&Drop

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Drag_Drop"


ID_ELE_PROP_GRP24

Interno ID: ID_ELE_PROP_GRP24

Effetto riempimento 3-D

Proprietà per la progettazione dell´effetto di riempimento. Disponibile solamente se l´effetto di riempimento è selezionato come Tipo di riempimento.
Ulteriori informazioni in Guida in linea.

Interno ID: ID_ELE_PROP_GRP24

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Interno ID: ID_ELE_PROP_GRP24

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "3D-Filling"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "3D-Filling"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "3D-Filling"


ID_ELE_PROP_GRP25

Interno ID: ID_ELE_PROP_GRP25

Automatic Line Coloring

Proprietà disponibile solo se l’Automatic Libe Coloring (ALC) è compreso nella licenza:
Impostazioni per l’Automatic Line Coloring (ALC).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALC"


ID_ELE_PROP_GRP26

Interno ID: ID_ELE_PROP_GRP26

Arrotondamento

Proprietà per la visualizzazione di angoli arrotondati.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Roundness"


ID_ELE_PROP_GRP27

Interno ID: ID_ELE_PROP_GRP27

Valore binario

Proprietà per il settaggio di un valore impostabile binario.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BinaryValue"


ID_ELE_PROP_GRP28

Interno ID: ID_ELE_PROP_GRP28

Valore numerico

Proprietà per il settaggio di un valore impostabile analogico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AnalogValue"


ID_ELE_PROP_GRP29

Interno ID: ID_ELE_PROP_GRP29

Intestazione e griglia

Proprietà per l´intestazione e per la griglia.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_ELE_PROP_GRP30

Interno ID: ID_ELE_PROP_GRP30

Genera inserimento dinamico

Proprietà per Combo-/Listbox dinamiche.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynEntries"


ID_ELE_PROP_GRP31

Interno ID: ID_ELE_PROP_GRP31

Pulsante allarme ad immagine

Disponibile solamente in SICAM 230.
Proprietà per l'elemento allarme ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BA-Elem"


ID_ELE_PROP_GRP33

Interno ID: ID_ELE_PROP_GRP33

Rilevazione circuito

Contiene le proprietà per la ricerca errori in corti circuiti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_ELE_PROP_GRP34

Interno ID: ID_ELE_PROP_GRP34

Formattazione testo

Impostazioni per il formato del testo visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextAlign"


ID_ELE_PROP_GRP35

Interno ID: ID_ELE_PROP_GRP35

Impostazioni Bitmap

Impostazioni per l’utilizzo dell’elemento con diversi bitmap per la visualizzazione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BMPSettings"


ID_ELE_PROP_GRP36

Interno ID: ID_ELE_PROP_GRP36

Simbolo dalle impostazioni di libreria

Impostazioni per l’utilizzo dell’elemento con simboli dalla libreria per la visualizzazione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LibSymSettings"


ID_ELE_PROP_GRP37

Interno ID: ID_ELE_PROP_GRP37

Topologia

Proprietà per SICAM 230.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MrLinzSettings"


ID_ELE_PROP_GRP38

Interno ID: ID_ELE_PROP_GRP38

Modo di rappresentazione

Impostazioni per il modo di rappresentazione grafica dello slider.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SuperLook"


ID_ELE_PROP_GRP39

Interno ID: ID_ELE_PROP_GRP39

Punto di riferimento

Definisce il punto dipartenza per il calcolo della rotazione, oppure del cambiamento dinamico della grandezza dell´elemento.

ATTENZIONE: nel caso di elementi non rettangolari, gli inserimenti si riferiscono sempre al rettagolo che li comprende.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dynamic"


ID_ELE_PROP_GRP40

Interno ID: ID_ELE_PROP_GRP40

Runtime

Proprietà di Runtime dell’elemento selezionato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Runtime"


ID_ELE_PROP_GRP41

Interno ID: ID_ELE_PROP_GRP41

Gestione funzionamento da tastiera

Proprietà per la gestione online dell'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Operation"


ID_ELE_PROP_GRP43

Interno ID: ID_ELE_PROP_GRP43

File grafico

Proprietà del file grafico dell´elemento dinamico Pulsante.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_ELE_PROP_GRP44

Interno ID: ID_ELE_PROP_GRP44

Autorizzazione

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rights"


ID_ELE_PROP_GRP45

Interno ID: ID_ELE_PROP_GRP45

Visibilità

Proprietà per la visibilità degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynamicVisibility"


ID_ELE_PROP_GRP46

Interno ID: ID_ELE_PROP_GRP46

Range di visualizzazione statico

Proprietà per l'intervallo fisso di visibilità dell'elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Displayrange_Static"


ID_ELE_PROP_GRP47

Interno ID: ID_ELE_PROP_GRP47

Lampeggio

Proprietà per il lampeggio degli elementi

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynamicBlinking"


ID_ELE_PROP_GRP48

Interno ID: ID_ELE_PROP_GRP48

Slider universale

Configurazione dello slider.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Universal_Slider"


ID_ELE_PROP_GRP49

Interno ID: ID_ELE_PROP_GRP49

Legenda

Configurazione della legenda dello slider.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Legend"


ID_ELE_PROP_GRP50

Interno ID: ID_ELE_PROP_GRP50

Cornice/Ombra

Proprietà per cornice e ombra intorno all´elemento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrame"


ID_ELE_PROP_GRP51

Interno ID: ID_ELE_PROP_GRP51

Angolo di apertura

Definizione degli angoli per gli archi di cerchio

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Segment"


ID_ELE_PROP_GRP52

Interno ID: ID_ELE_PROP_GRP52

Grafica per la Checkbox

Proprietà per Checkbox.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GraphicalImage"


ID_ELE_PROP_GRP53

Interno ID: ID_ELE_PROP_GRP53

File grafico

Impostazioni per file grafici.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlImages"


ID_ELE_PROP_GRP54

Interno ID: ID_ELE_PROP_GRP54

Colore di stato

Impostazioni per l´identificazione mediante colore dello stato di un messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlColors"


ID_ELE_PROP_GRP_ALC_FAULTS

Interno ID: ID_ELE_PROP_GRP_ALC_FAULTS

Riconoscimento messa a terra

Contiene le proprietà per la localizzazione dei guasti a terra.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Faults"


ID_ELE_PROP_GRP_ALC_FOS

Interno ID: ID_ELE_PROP_GRP_ALC_FOS

Locazione dell'errore / distribuzione del carico

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FOS_LoadBal"


ID_ELE_PROP_GRP_EFFECTS

Interno ID: ID_ELE_PROP_GRP_EFFECTS

Effetti

Contiene le proprietà per la configurazione degli effetti immagine.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Effects"


ID_ELE_PROP_GRP_GLOW_EFFECT

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Effetto glow (solo DirectX)

Proprietà per la configurazione dell´effetto glow. Disponibile solamente se la proprietà Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software.

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GlowEffect"


ID_ELE_PROP_GRP_LINECAPS

Interno ID: ID_ELE_PROP_GRP_LINECAPS

Fine linea

Contiene le proprietà per la forma dell´inizio e della fine della linea.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineCaps"


ID_ELE_PROP_GRP_SW

Interno ID: ID_ELE_PROP_GRP_SW

Setta valore impostabile

Proprietà per la definizione dei valori impostabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValue"


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Interno ID: ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Disattivato: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo.

Attenzione: non disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolFormClickArea"


ID_ELE_PROP_UNIT_POS

Interno ID: ID_ELE_PROP_UNIT_POS

Posizione Unita di misura [%]

Disponibile solo se Visualizza unità è attivo.

Interno ID: ID_ELE_PROP_UNIT_POS

Visualizza unità

Disponibile solo:
Generale: se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio : se come Tipo di visualizzazione si è scelto Differenza di tempo.
Con l´elemento Strumento analogico: se la proprietà 3D è stata attivata.

Interno ID: ID_ELE_PROP_UNIT_POS

3D

Abilitata: L’elemento viene visualizzato in modo tridimensionale.
Disabilitata: L’elemento viene visualizzato in modo piatto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitPos"

Interno ID: ID_ELE_PROP_UNIT_POS

Tipo di visualizzazione

Tempo assoluto: Visualizza l'orologio di sistema con la rispettiva formattazione.
Differenza di tempo: Il valore di una variabile è visualizzato nel formato di tempo impostato.
Default: Tempo assoluto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitPos"

Interno ID: ID_ELE_PROP_UNIT_POS

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell'elemento possono essere scelti liberamente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitPos"

Attiva: l´unità tecnica della variabile collegata viene visualizzata direto il valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Indicazione:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitPos"

Posiziona la visualizzazione dell´unità e permette di orientare delle unità di diversa larghezza a valori numerici minori. Per il posizionamento, si deve indicare di un valore percentuale fra 0 e 100.

L´unità viene emessa sempre a destra accanto alla posizione scelta; il valore relativo a sinistra, a seconda dell´orientamento impostato.

Default: 0 - non corrisponde a nessun orientamento percentuale; valore e unità vengono visualizzati sempre insieme.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitPos"


ID_ELE_SplineTension

Interno ID: ID_ELE_SplineTension

Arrotondamento

Disponibile solamente se è stata attivata nelle proprietà di progetto l´opzione Qualità grafica nel nodo Aspetto grafico/Immagini.

Interno ID: ID_ELE_SplineTension

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SplineTension"

Interno ID: ID_ELE_SplineTension

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SplineTension"

Interno ID: ID_ELE_SplineTension

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_ELE_SplineTension

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SplineTension"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SplineTension"

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SplineTension"


ID_ELE_TEXT_FROM_VARIABLE

Interno ID: ID_ELE_TEXT_FROM_VARIABLE

Testo da valore variabile

Disponibile solamente per variabili stringa.

attivo: il testo viene ripreso dal valore delle variabili collegate.

Disattivato: il testo viene ripreso dalla matrice di reazione.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextFromVariable"


ID_ELE_TEXT_TRANSLATE_TEXT

Interno ID: ID_ELE_TEXT_TRANSLATE_TEXT

Tradurre testo

Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TranslateText"


ID_ELESEG_END_ANGLE

Interno ID: ID_ELESEG_END_ANGLE

Angolo finale [°]

Inizio dell’angolo di chiusura. L’angolo di apertura di un arco di cerchio è visualizzato tramite un angolo di apertura e uno di chiusura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SegEndAngle"


ID_ELESEG_START_ANGLE

Interno ID: ID_ELESEG_START_ANGLE

Angolo di partenza [°]

Inizio dell’angolo di apertura. L’angolo di apertura di un arco di cerchio è visualizzato tramite un angolo di apertura e uno di chiusura.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SegStartAngle"


ID_ELREST_DEVPARAM

Interno ID: ID_ELREST_DEVPARAM

Device parameter

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver ELREST32.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Device parameter"


ID_EMS_PROP0

Interno ID: ID_EMS_PROP0

Nome

Una denominazione univoca per l'identificazione di apparecchiature, zone ed impianti in EMS:

Attenzione: i nomi dovrebbero essere univoci per tutte le reti/zone di approvvigionamento in EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_EMS_PROP1

Interno ID: ID_EMS_PROP1

Identificazione

Indicazione opzionale di un nome più lungo oppure di una descrizione dettagliata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Longtext"


ID_EMS_PROP2

Interno ID: ID_EMS_PROP2

Adjusted consumption

Variabile a cui viene inviato il consumo di gruppo purgato dei valori di spegnimento di consumatore e di usi di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BerVerbr"


ID_EMS_PROP3

Interno ID: ID_EMS_PROP3

Forecast

Variabile a cui viene inviato il consumo pronosticato del gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Prognose"


ID_EMS_PROP4

Interno ID: ID_EMS_PROP4

Carico ottimale

Variabile a cui viene inviato il risultato della distribuzione carichi per il gruppo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OptimLast"


ID_EMS_PROP5

Interno ID: ID_EMS_PROP5

Velocità del vento

Variabile per il valore della velocità del vento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Wind"


ID_EMS_PROP6

Interno ID: ID_EMS_PROP6

Temperatura

Variabile per il valore della temperatura. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Temp"


ID_EMS_PROP7

Interno ID: ID_EMS_PROP7

Characteristic days

Variabile per la identificazione giorno (giorno feriale o festivo). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tage"


ID_EMS_PROP8

Interno ID: ID_EMS_PROP8

Utlizzatore attuale

Variabile che contiene il valore attuale del consumo di area. Il valore deve rapprentare la differenza dei contatori per unita di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AktValue"


ID_EMS_PROP9

Interno ID: ID_EMS_PROP9

Consumo Medio attuale

Variabile di processo con l'attuale valore medio di consumo (risultato dei valori di misurazione rilevati). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AktMean"


ID_EMS_PROP10

Interno ID: ID_EMS_PROP10

Final value of forecast

Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProgEndValue"


ID_EMS_PROP11

Interno ID: ID_EMS_PROP11

Start value of forecast

Variabile che contiene il valore iniziale della prognosi all'inizio del periodo previsto per la prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProgStartValue"


ID_EMS_PROP12

Interno ID: ID_EMS_PROP12

Last switching value

Variabile che contiene la somma dei valori medi di acquisizione per i queli sono pianificate delle azioni di commutazione ancora nell'ambito del periodo attuale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LastSwitchValue"


ID_EMS_PROP13

Interno ID: ID_EMS_PROP13

First switching value

Variabile che contiene il valore medio di acquisizione calcolato sulla base del quale viene eseguita la prossima azione di commutazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FirstSwitchValue"


ID_EMS_PROP14

Interno ID: ID_EMS_PROP14

Forecast area:

Variabile che contiene il possibile errore di prognosi del valore finale della prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProgChannelValue"


ID_EMS_PROP15

Interno ID: ID_EMS_PROP15

Forecast average

Variabile che contiene il valore medio attuale della prognosi di valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProgMean"


ID_EMS_PROP16

Interno ID: ID_EMS_PROP16

Forecast area average

Variabile che contiene il possibile errore di prognosi del valore medio della prognosi del valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProgChannelMean"


ID_EMS_PROP17

Interno ID: ID_EMS_PROP17

Supply limit

Variabile che contiene il limite attuale impostato della prestazione acquisita. Se il valore cambia durante il Runtime, anche il limite della prestazione acquisita per un periodo di calcolo viene modificato. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Limit"


ID_EMS_PROP18

Interno ID: ID_EMS_PROP18

Limite fornitura regolata

Variabile con limite di prestazione adattato (corretto per eccesso ) in caso di superamento del limite nel periodo precedente. Se il limite di prestazione viene superato in un periodo, esso viene aumentato in misura pari al superamento.

Se non collegate nessuna variabile, non si verifica nessun aumento del limite di prestazione in seguito al suo superamento.

Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AdjustedLimit"


ID_EMS_PROP19

Interno ID: ID_EMS_PROP19

Gross actual deviation

Variabile per lo scostamento medio della prognosi di valore reale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore reale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviationActual"


ID_EMS_PROP20

Interno ID: ID_EMS_PROP20

Net actual deviation

Variabile per lo scostamento medio della prognosi di valore attuale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore attuale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviationReal"


ID_EMS_PROP21

Interno ID: ID_EMS_PROP21

Modifica giorno

Orario al quale l'EMS realizza un cambio di giorno. Questa impostazione è importante per tutti gli apparecchi la cui massima frequenza di commutazione per unità di tempo supera le 24 ore. Il contatore giorno viene resettato normalmente alle 00. Con questa impostazione avviene il resettaggio ad un'altra ora definita.

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DayChangeover"


ID_EMS_PROP22

Interno ID: ID_EMS_PROP22

Forecast horizon

Durata di un periodo di calcolo in hh:mm:ss. La fattura trend e l'ottimizzazione usano questo tempo come orizzonte di calcolo. Di regola vengono usati come valori 15, 30 o 60 minuti.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ForecastHorizon"


ID_EMS_PROP23

Interno ID: ID_EMS_PROP23

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Interno ID: ID_EMS_PROP23

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Interno ID: ID_EMS_PROP23

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOn"

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOn"

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOn"


ID_EMS_PROP24

Interno ID: ID_EMS_PROP24

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Interno ID: ID_EMS_PROP24

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Interno ID: ID_EMS_PROP24

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOff"

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOff"

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HysteresisOff"


ID_EMS_PROP25

Interno ID: ID_EMS_PROP25

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Interno ID: ID_EMS_PROP25

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SafetyClearance"

Interno ID: ID_EMS_PROP25

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SafetyClearance"

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SafetyClearance"


ID_EMS_PROP26

Interno ID: ID_EMS_PROP26

Ciclo di ottimizzazione

Ciclo in hh:mm:ss nell'ambito del quale calcola l'ottimizzazione a breve termine. La visualizzazione dell'immagine viene attualizzata dopo ogni ottimizzazione, e perlomeno una volta per ciclo.

Default: 00:00:30

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OptCycle"


ID_EMS_PROP27

Interno ID: ID_EMS_PROP27

Down time begin tariff interval

Tempo in hh:mm:ss all'inizio di un intervallo di calcolo. In questo intervallo di tempo non vengono effettuate delle azioni di commutazione mediante l'ottimizzazione, visto che i risultati della prognosi sono troppo imprecisi.

Default: 00:00:00

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeadLength"


ID_EMS_PROP37

Interno ID: ID_EMS_PROP37

Max. ratio LGas/Supply

Disponibile solamente se è presente almeno un impianto di gas liquido nel settore di rifornimento.

Definite qual´è la massima quantità di gas proveniente dal serbatoio di gas liquido che gli utilizzatori possono usare. Indicate la quantità come rapporto fra il gas contenuto nel serbatoio e quello di cui necessitano i consumatori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxFlGasBezug"


ID_EMS_PROP38

Interno ID: ID_EMS_PROP38

Min. ratio LGas/Supply

Disponibile solamente se è presente almeno un impianto di gas liquido nel settore di rifornimento.

Definite qual´è la minima quantità di gas proveniente dal serbatoio di gas liquido che gli utilizzatori possono usare. Indicate la quantità come rapporto fra il gas contenuto nel serbatoio e quello di cui necessitano i consumatori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinFlGasBezug"


ID_EMS_PROP39

Interno ID: ID_EMS_PROP39

Upper forecast error

Variabile per errore di progrosi superiore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UpperErrorBound"


ID_EMS_PROP40

Interno ID: ID_EMS_PROP40

Lower forecast error

Variabile per errore di progrosi inferiore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LowerErrorBound"


ID_EMS_PROP41

Interno ID: ID_EMS_PROP41

Consumo attuale

Variabile a cui viene inviato lo stato attuale di consumo del gruppo con spegnimento consumatori. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Consumtion"


ID_EMS_PROP42

Interno ID: ID_EMS_PROP42

Daily energy

Variabile per i consumi dei gruppi del periodo di calcolo del giorno. Funge da variabile merker in archivi futuri. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DayEnergy"


ID_EMS_PROP44

Interno ID: ID_EMS_PROP44

Availability flag

Variabile che indica se il produttore è disponibile per EMS e, perciò, se può essere commutato. Se esiste la disponibilità, il produttore rimane nel suo ultimo stato di commutazione valido. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Active"


ID_EMS_PROP45

Interno ID: ID_EMS_PROP45

Tempo di ritardo per l'accensione

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OnDelay"


ID_EMS_PROP46

Interno ID: ID_EMS_PROP46

Tempo di ritardo per lo spegnimento

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OffDelay"


ID_EMS_PROP47

Interno ID: ID_EMS_PROP47

Pre-allarme Attivo

Variabile per l'avvertimento al momento dell'accensione del consumatore. Un avvertimento viene settato in corrispondenza della impostata Duration pre-warn time. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP47

Duration pre-warn time

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Interno ID: ID_EMS_PROP47

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOn"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOn"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOn"


ID_EMS_PROP48

Interno ID: ID_EMS_PROP48

Pre-allarme Spento

Variabile per l'avvertimento al momento dello spegnimento del consumatore. Un avvertimento viene settato in corrispondenza della impostata Duration pre-warn time. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP48

Duration pre-warn time

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Interno ID: ID_EMS_PROP48

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOff"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOff"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnOff"


ID_EMS_PROP50

Interno ID: ID_EMS_PROP50

Stato di Switch

Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "State"


ID_EMS_PROP51

Interno ID: ID_EMS_PROP51

Acceso

Variabile per attivazione del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOn"


ID_EMS_PROP52

Interno ID: ID_EMS_PROP52

Spegni

Variabile per spegnimento del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOff"


ID_EMS_PROP55

Interno ID: ID_EMS_PROP55

Consumo attuale

Fornisce il valore di misurazione del consumo attuale di un impianto di cogenerazione. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Consumption"


ID_EMS_PROP56

Interno ID: ID_EMS_PROP56

{Nuovo tempo di blocco}

Crea un nuovo tempo di blocco. Cliccate a questo scopo nel campo o sulla superficie. I tempi di blocco ottengoo il nome "tempo di blocco" più un numero progressivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NewLock"


ID_EMS_PROP57

Interno ID: ID_EMS_PROP57

{Elimina tempo di blocco}

Cancella dopo un'interrogazione di sicurezza il tempo di blocco corrispondente. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi tempi di blocco viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DelLock"


ID_EMS_PROP58

Interno ID: ID_EMS_PROP58

Inizio

Inizio del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockStart"


ID_EMS_PROP59

Interno ID: ID_EMS_PROP59

Fine

Fine del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Indicazione: viene salvata l´ora locale. I dettagli lo potete leggere nel capitolo Trattamento degli orari nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockStop"


ID_EMS_PROP60

Interno ID: ID_EMS_PROP60

Tipo

Stabilisce quali azioni sono proibite durante il tempo di blocco:

Off: nessun spegnimento possibile durante il tempo di blocco

On: nessuna accensione possibile durante il tempo di blocco

Entrambi: nessun spegnimento e accensione possibili durante il tempo di blocco

Default: Entrambi:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockType"


ID_EMS_PROP61

Interno ID: ID_EMS_PROP61

Min. switch-on time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinOn"


ID_EMS_PROP62

Interno ID: ID_EMS_PROP62

Max. switch-on time

Tempo massimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxOn"


ID_EMS_PROP63

Interno ID: ID_EMS_PROP63

Min. switch-off time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di accensione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinOff"


ID_EMS_PROP64

Interno ID: ID_EMS_PROP64

Max. switch-off time

Tempo massimo in hh:mm:ss che il produttore deve rimanere in questo stato dopo lo spegnimento. Dopo la scadenza di questo tempo il produttore viene acceso automaticamente da EMS indipendentemente se il limite di acquisizione attuale sia stato superato o no.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxOff"


ID_EMS_PROP67

Interno ID: ID_EMS_PROP67

Duration pre-warn time

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Interno ID: ID_EMS_PROP67

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Warn"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Warn"


ID_EMS_PROP68

Interno ID: ID_EMS_PROP68

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Interno ID: ID_EMS_PROP68

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxSwitch"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxSwitch"


ID_EMS_PROP69

Interno ID: ID_EMS_PROP69

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Interno ID: ID_EMS_PROP69

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchUnit"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchUnit"


ID_EMS_PROP70

Interno ID: ID_EMS_PROP70

Capacity determination

Selezionate tramite la lista dropdown il modo in cui la determinazione della prestazione deve essere eseguita.

Default: Consumo di prestazione viene determinato tramite la prestazione nominale. Questo valore è progettato in modo fisso.

misurato: consumo di prestazione attuale viene determinato grazie ad una variabile da Consumo attuale.

Interno ID: ID_EMS_PROP70

Consumo attuale

Fornisce il valore di misurazione del consumo attuale di un impianto di cogenerazione. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerType"

Default: default

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerType"


ID_EMS_PROP71

Interno ID: ID_EMS_PROP71

Standby output

Indicate qui la potenza nominale del produttore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Power"


ID_EMS_PROP72

Interno ID: ID_EMS_PROP72

Standby output variable

Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso della potenza nominale. In tal modo la potenza nominale fornita attualmente da un produttore puà essere adattata durante il Runtime, ad esempio, nel caso in cui il valore di prestazione viene rilevato mediante un punto di misurazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerVar"


ID_EMS_PROP73

Interno ID: ID_EMS_PROP73

Proprietà accensione

Fissa la priorità per l´accendimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OnPrio"


ID_EMS_PROP74

Interno ID: ID_EMS_PROP74

Priorità spegnimento

Stabilisce la priorità per lo spegnimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OffPrio"


ID_EMS_PROP75

Interno ID: ID_EMS_PROP75

Proporzione del gruppo [%]

Quota percentuale della prestazione del consumatore nella prestazione complessiva del gruppo di consumatori.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GroupShare"


ID_EMS_PROP76

Interno ID: ID_EMS_PROP76

Return [€/kWh]/Priority

Ricavo del consumatore in € per kWh o priorità di commutazione.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000001

Default: 1.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Revenue"


ID_EMS_PROP77

Interno ID: ID_EMS_PROP77

Temperatura min.[°C]

Temperatura minima. Al di sotto di questa temperatura il consumatore non può essere più impiegato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinTemp"


ID_EMS_PROP78

Interno ID: ID_EMS_PROP78

Temperatura Max[°C]

Temperatura masima in C°. Al di sopra di questa temperatura il consumatore non può essere più impiegato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxTemp"


ID_EMS_PROP79

Interno ID: ID_EMS_PROP79

Picco

Indicate qui la prestazione massima desiderata. Il modulo EMS può passare a partire dalla potenza nominale a questo valore per il picco di prestazione. Il valore di riferimento viene ridotto della differenza di prestazione comutata.

Se il produttore dispone solamente di una prestazione commutabile e non c'è quindi una prestazione di base, allora si deve impostare solo la prestazione massima del produttore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PeakPower"


ID_EMS_PROP80

Interno ID: ID_EMS_PROP80

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP80

Duration pre-warn time

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnSwitch"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WarnSwitch"


ID_EMS_PROP83

Interno ID: ID_EMS_PROP83

modalità Standby

Variabile di comando che passa a standby. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOff"


ID_EMS_PROP84

Interno ID: ID_EMS_PROP84

Switch peak output

Variabile di comando per commutazioni a prestazioni massime. Di regola viene commutata da potenza nominale a prestazione massima. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOn"


ID_EMS_PROP86

Interno ID: ID_EMS_PROP86

Stato di Switch

Variabile alla quale deve essere inviato lo stato attuale di commutazione (Off o On). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "State"


ID_EMS_PROP87

Interno ID: ID_EMS_PROP87

Capacity plan

Definsce la variabile del piano di commutazione per i valori impostabili di prestazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerPlan"


ID_EMS_PROP88

Interno ID: ID_EMS_PROP88

Switching schedule

Definsce la variabile del piano di commutazione per le azioni di commutazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Schedule"


ID_EMS_PROP89

Interno ID: ID_EMS_PROP89

Livello riempimento attuale

Variabile a cui viene inviato lo stato attuale di riempimento dell'impianto di immagazzinamento del gas. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActualLevel"


ID_EMS_PROP90

Interno ID: ID_EMS_PROP90

Withdrawal capacity target

Variabile con il valore impostabile della prestazione di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WithdrawalSet"


ID_EMS_PROP91

Interno ID: ID_EMS_PROP91

Withdrawal capacity actual

Variabile a cui viene inviato lo stato attuale della prestazione di immagazzinamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WidthdrawalActual"


ID_EMS_PROP92

Interno ID: ID_EMS_PROP92

Min. target fill level

Variabile del valore impostabile con il valore limite per lo stato di riempimento minimo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinSetLevel"


ID_EMS_PROP93

Interno ID: ID_EMS_PROP93

Threshold value for fill value deviation

Isteresi per i valori di riempimento.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Threshold"


ID_EMS_PROP94

Interno ID: ID_EMS_PROP94

Max. fill level [kWh]

Stato massimo di riempimento dell'impianto di immagazzinamento del gas in kWh. Questo valore non deve essere superato mediante EMS.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxLevel"


ID_EMS_PROP95

Interno ID: ID_EMS_PROP95

Min. fill level [kWh]

Stato minimo di riempimento dell'impianto di immagazzinamento del gas in kWh. Non si deve scendere al di sotto di questo valore mediante EMS.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinLevel"


ID_EMS_PROP96

Interno ID: ID_EMS_PROP96

Max. withdrawal capacity [kWh]

Stato massimo di prestazione di immagazzinamento dell'impianto di gas in kWh.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxWithdrawal"


ID_EMS_PROP97

Interno ID: ID_EMS_PROP97

Costo base [€/kWh]

Ricavo dell'impianto di immagazzinamento del gas in € per kWh.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000001

Default: 1.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BaseCosts"


ID_EMS_PROP98

Interno ID: ID_EMS_PROP98

Penalty costs [€/kWh]

Costi di penale dell'impianto di immagazzinamento del gas in € per kWh.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 1.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Penalty"


ID_EMS_PROP99

Interno ID: ID_EMS_PROP99

Max. injection capacity [kWh]

Stato massimo di prestazione di immagazzinamento dell'impianto di gas in kWh.

La funzione calcola con complessivamente 7 posizioni, indipendentemente se si trovano prima o dopo il punto decimale.

Valore massimo: 9999999

Valore minimo: 0.000000

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxInjection"


ID_EMS_PROP100

Interno ID: ID_EMS_PROP100

Piping storage

- attivo: Questo impianto di immagazzinamento del gas è un contenitore di tubazione.

Per poter creare nella zona di approvvigionamento un impianto di immagazzinamento di gas liquido, deve essere definito un magazzino di tubazione.

Attenzione: Per zona di approvvigionamento può esserne definito solo uno.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Netzspeicher"


ID_EMS_PROP101

Interno ID: ID_EMS_PROP101

Max. fill level in net storage for withdrawal

Massimo stato di riempimento per immagazzinamento in uscita.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxPressure"


ID_EMS_PROP102

Interno ID: ID_EMS_PROP102

EMS in funzione

Variabile che indica durante il Runtime se l'area di approvvigionamento è stata attivata nell'immagine EMS. L'attivazione avviene mediante una funzione. La variabile deve essere del tipo BOOL. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Running"


ID_EMS_PROP103

Interno ID: ID_EMS_PROP103

Switch-on priority variable

Variabile che adatta le priorità di accensione dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia EMS ad esempio del produttore in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OnPrioVar"


ID_EMS_PROP104

Interno ID: ID_EMS_PROP104

Switch-off priority variable

Variabile che adatta le priorità di spegnimento dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia EMS ad esempio del produttore in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OffPrioVar"


ID_EMS_PROP105

Interno ID: ID_EMS_PROP105

Passaggio a stato interno

Variabile nella quale vengono rappresentati i differenti stati per gli apparecchi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispoStatus"


ID_EMS_PROP106

Interno ID: ID_EMS_PROP106

Variabile di Min.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinOnVar"


ID_EMS_PROP107

Interno ID: ID_EMS_PROP107

Variabile di Max.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxOnVar"


ID_EMS_PROP108

Interno ID: ID_EMS_PROP108

Variabile di Min.tempo di spegnim.

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinOffVar"


ID_EMS_PROP109

Interno ID: ID_EMS_PROP109

Max. switch-off time variable

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxOffVar"


ID_EMS_PROP110

Interno ID: ID_EMS_PROP110

{nuovo livello}

Crea un nuovo livello di commutazione. Cliccate a questo scopo nel campo o sulla superficie. I livelli di commutazione ottengoo il nome "livello di commutazione" più un numero progressivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NewStufe"


ID_EMS_PROP111

Interno ID: ID_EMS_PROP111

{Elimina livello}

Cancella il livello di commutazione attuale. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi livelli di commutazione viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DelGrade"


ID_EMS_PROP112

Interno ID: ID_EMS_PROP112

Energia

Valore di prestazione del livello di commutazione. Il livello di prestazione che si rileva più tardi durante il Runtime deve corrispondere sempre esattamente ad un valore definito nei livelli di commutazione.

Default: 0.000000

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradePower"


ID_EMS_PROP113

Interno ID: ID_EMS_PROP113

Output variable

Variabile con cui può venire adattato in modo dinamico durante il Runtime il valore di prestazione di un livello di commutazione di un impianto di cogenerazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradePowerVar"


ID_EMS_PROP114

Interno ID: ID_EMS_PROP114

Duration pre-warn time

Tempo in hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Tramite la variabile Pre-allarme Attivo oppure Pre-allarme Spento può essere emesso dal sistema un preannuncio a favore dell'utente. L'utente viene informato prima che si verifichi l'azione di commutazione.

Interno ID: ID_EMS_PROP114

Pre-allarme Spento

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostata variabile Duration pre-warn time in caso di un'azione di spegnimento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarn"

Interno ID: ID_EMS_PROP114

Pre-allarme Attivo

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time in caso di un'azione di accensione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarn"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarn"


ID_EMS_PROP115

Interno ID: ID_EMS_PROP115

Pre-allarme Attivo

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time in caso di un'azione di accensione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP115

Duration pre-warn time

Tempo in hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Tramite la variabile Pre-allarme Attivo oppure Pre-allarme Spento può essere emesso dal sistema un preannuncio a favore dell'utente. L'utente viene informato prima che si verifichi l'azione di commutazione.

Interno ID: ID_EMS_PROP115

Pre-allarme Spento

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostata variabile Duration pre-warn time in caso di un'azione di spegnimento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOn"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOn"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOn"


ID_EMS_PROP116

Interno ID: ID_EMS_PROP116

Pre-allarme Spento

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostata variabile Duration pre-warn time in caso di un'azione di spegnimento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP116

Duration pre-warn time

Tempo in hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Tramite la variabile Pre-allarme Attivo oppure Pre-allarme Spento può essere emesso dal sistema un preannuncio a favore dell'utente. L'utente viene informato prima che si verifichi l'azione di commutazione.

Interno ID: ID_EMS_PROP116

Pre-allarme Attivo

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoDuration pre-warn time in caso di un'azione di accensione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOff"

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOff"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeWarnOff"


ID_EMS_PROP117

Interno ID: ID_EMS_PROP117

Delay time for switch-on

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeOnDelay"


ID_EMS_PROP118

Interno ID: ID_EMS_PROP118

Delay time for switch-off

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. Una caduta di prestazione accade solo dopo la scadenza del tempo impostato.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeOffDelay"


ID_EMS_PROP119

Interno ID: ID_EMS_PROP119

Min. switch-on time

Tempo minimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeMinOn"


ID_EMS_PROP120

Interno ID: ID_EMS_PROP120

Max. switch-on time

Tempo massimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GradeMaxOn"


ID_EMS_PROP121

Interno ID: ID_EMS_PROP121

Variabile setpoint

Variabile impostabile globale che commuta l'impianto di cogenerazione. I valori singoli oppure le variabili ai livelli di prestazione servono solamente all'indicazioni della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValue"


ID_EMS_PROP122

Interno ID: ID_EMS_PROP122

Isteresi

L'isteresi definisce l'area consentita nell'ambito della quale il valore atuale può essere ancora assegnato ad uno dei livelli di commutazione. Nel caso in cui un valore di consumo non si trovi all'interno dell'isteresi di uno dei livelli di commutazione progettati, l'impianto di cogenerazione vale per l'EMS come non attivo.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Hysteresis"


ID_EMS_PROP123

Interno ID: ID_EMS_PROP123

Accensioni pianificate

Permette il collegamento di una variabile stringa che riceve da EMS tutte le azioni di commutazioni. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Power"


ID_EMS_PROP124

Interno ID: ID_EMS_PROP124

Nominal output

Potenza nominale del consumatore in kW.

Questo valore può essere adattato in modo dinamico tramite assegnazione di una variabile nella proprietà Variabile per Potenza Nominale durante il funzionamento Runtime.

Interno ID: ID_EMS_PROP124

Variabile per Potenza Nominale

La potenza nominale attualmente ricevuta di un consumatore può essere adattata durante il Runtime mediante l'uso di una variabile, ad esempio se il valore di prestazione viene rilevato grazie ad un punto di misurazione. Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso di Nominal output. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerVar"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerVar"


ID_EMS_PROP125

Interno ID: ID_EMS_PROP125

Variabile per Potenza Nominale

La potenza nominale attualmente ricevuta di un consumatore può essere adattata durante il Runtime mediante l'uso di una variabile, ad esempio se il valore di prestazione viene rilevato grazie ad un punto di misurazione. Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso di Nominal output. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Interno ID: ID_EMS_PROP125

Nominal output

Potenza nominale del consumatore in kW.

Questo valore può essere adattato in modo dinamico tramite assegnazione di una variabile nella proprietà Variabile per Potenza Nominale durante il funzionamento Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerVar"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PowerVar"


ID_EMS_PROP_GRP0

Interno ID: ID_EMS_PROP_GRP0

Generale

Proprietà generali del livello EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_EMS_PROP_GRP1

Interno ID: ID_EMS_PROP_GRP1

Valore di ingresso

Impostazioni per valori attuali e limiti di riferimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InputValues"


ID_EMS_PROP_GRP2

Interno ID: ID_EMS_PROP_GRP2

Parametri specifici-GAS

Queste proprietà sono a disposizione solo per reti, zone di approvvigionamento e gruppi di consumatori in reti del gas.

Questi parametri influiscono sulla scelta delle apparecchiature che vengono regolate automaticamente grazie all'ottimizzazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Gas"


ID_EMS_PROP_GRP4

Interno ID: ID_EMS_PROP_GRP4

Tempi di blocco

Grazie all'uso di intervalli liberamente definiti, dei singoli apparecchi di EMS possono essere esclusi dall'ottimizzazione. Quegli apparecchi che hanno un tempo di bloccaggio definito non vengono presi in considerazione da EMS in questo intervallo di tempo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Locks"


ID_EMS_PROP_GRP6

Interno ID: ID_EMS_PROP_GRP6

Circuit stages

Queste proprietà sono a disposizione solo per apparecchiature di generazione in reti elettriche.

Gli impianti di cogenerazione differiscono dai produttori standard a causa della presenza di livelli di commutazione predefiniti. Questi impianti possono accettare solo dei valori di prestazione che sono stati definiti come livelli di commutazione. L'EMS può eseguire anche commutazione da un livello a quello superiore o a quello immediatamente inferiore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Schaltstufen"


ID_EMS_PROP_GRP9

Interno ID: ID_EMS_PROP_GRP9

Valori calcolati

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variables"


ID_EMS_PROP_GRP10

Interno ID: ID_EMS_PROP_GRP10

Parametri

Queste impostazioni influiscono in modo determinante nell'ottimizzazione della zona di alimentazione scelta. Le modifiche di questi parametri hanno un influsso diretto sulle operazioni di commutazione che vengono effettuate automaticamente grazie a EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Parameters"


ID_EMS_PROP_GRP11

Interno ID: ID_EMS_PROP_GRP11

Tempo di Switch

EMS può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProducerTimes"


ID_EMS_PROP_GRP12

Interno ID: ID_EMS_PROP_GRP12

Tipo/Capacità

Queste proprietà sono a disposizione solo per apparecchiature di reti del gas.

Le impostazioni che vengono adottate in questa sede definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione del gas.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ConsumerTypePower"


ID_EMS_PROP_GRP13

Interno ID: ID_EMS_PROP_GRP13

Capacity/Priority

Queste proprietà sono a disposizione solo per apparecchiature di reti di distribuzione di energia elettrica. Esse definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione di energia elettrica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProducerPrioPower"


ID_EMS_PROP_GRP14

Interno ID: ID_EMS_PROP_GRP14

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurrentConsumerVariables"


ID_EMS_PROP_GRP15

Interno ID: ID_EMS_PROP_GRP15

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarGasCons"


ID_EMS_PROP_GRP16

Interno ID: ID_EMS_PROP_GRP16

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProducerVariables"


ID_EMS_PROP_GRP17

Interno ID: ID_EMS_PROP_GRP17

Livello

Queste proprietà sono a disposizione solo per apparecchiature di immagazzinamento del gas e impianti di gas liquido integrate in reti del gas.

Gli stati di riempimento rappresentano i parametri più importanti per gli impianti di immagazinamento del gas. Quando il sistema EMS conosce lo stato di riempimento attuale, nonché i valori minimi e massimi, è in grado di riempire l'impianto di immagazzinamento nei momenti di eccedenza, oppure vuotarlo in caso di fabbisogno.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GasFillLevel"


ID_EMS_PROP_GRP19

Interno ID: ID_EMS_PROP_GRP19

Infomazione di stato

Definisce la trasmissione di informazioni concernenti lo stato di EMS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"


ID_EMS_PROP_GRP20

Interno ID: ID_EMS_PROP_GRP20

Energia

Riassume indicazioni concernenti la prestazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProducerPrioPower"


ID_EMS_PROP_GRP21

Interno ID: ID_EMS_PROP_GRP21

Priorità

Contiene l'impostazione delle priorità per la accensione e lo spegnimento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProducerPrioPower"


ID_EMS_PROP_GRP22

Interno ID: ID_EMS_PROP_GRP22

Ora di inizio

Impostazioni per fissare i tempi di inizio.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOn"


ID_EMS_PROP_GRP23

Interno ID: ID_EMS_PROP_GRP23

Ora di fine

Impostazioni per fissare le ore di fine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchOff"


ID_EMS_PROP_GRP24

Interno ID: ID_EMS_PROP_GRP24

Switching frequency

Contiene dei parametri per fissare Max. switching frequency per time unit.

Interno ID: ID_EMS_PROP_GRP24

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchFrequency"

Interno ID: ID_EMS_PROP_GRP24

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchFrequency"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SwitchFrequency"


ID_EMS_PROP_GRP25

Interno ID: ID_EMS_PROP_GRP25

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Stato di Switch e Passaggio a stato interno.

Interno ID: ID_EMS_PROP_GRP25

Passaggio a stato interno

Variabile nella quale vengono rappresentati i differenti stati per gli apparecchi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVariables"

Interno ID: ID_EMS_PROP_GRP25

Stato di Switch

Variabile alla quale deve essere inviato lo stato attuale di commutazione (Off o On). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVariables"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusVariables"


ID_EMS_PROP_GRP27

Interno ID: ID_EMS_PROP_GRP27

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Consumo attuale Passaggio a stato interno e Stato di Switch.

Interno ID: ID_EMS_PROP_GRP27

Stato di Switch

Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurrentConsumerVariables"

Interno ID: ID_EMS_PROP_GRP27

Passaggio a stato interno

Variabile nella quale vengono rappresentati i differenti stati per gli apparecchi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurrentConsumerVariables"

Interno ID: ID_EMS_PROP_GRP27

Consumo attuale

Fornisce il valore di misurazione del consumo attuale di un impianto di cogenerazione. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurrentConsumerVariables"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurrentConsumerVariables"


ID_ERSETZEN_ZUSAMMEN

Interno ID: ID_ERSETZEN_ZUSAMMEN

Nomi gerarchici

Attiva: i nomi delle variabili collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile"
Non attiva: vengono usati i nomi variabili normali.
Default: non attiva
Esempio:
Nome variabile: Motor.Drehzahl
Il nome simbolo è "Motor". L’elemento dinamico che viene utilizzato nel simbolo, ha come variabile collegata il placeholder Speed".
Il placeholder "Speed" può essere facilmente inserito scrivendo il nome direttamente nella proprietà della variabile.
I nomi combinati funzionano anche con i simboli annidati:
se si ha un simbolo con nome "Pump", che a sua volta contiene un simbolo "Motor" e un simbolo "Convertor" con una variabile placeholder"Output", allora il collegamento funzionerà se sono presenti nel progetto le variabili Pump.Motor.Output e Pump.Convertor.Output.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubstituteCombinedName"


ID_EXTERNVISIBLE

Interno ID: ID_EXTERNVISIBLE

Visibile esternamente

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di zenon Logic.
Attiva: La variabile è visibile anche in zenon Logic e può essere utilizzata in progetti di zenon Logic. La definizione della variabile non può essere modificata in zenon Logic. Il valore della variabille può essere modificato.

Attenzione: tenete presenti le influenze reciproche con la proprietà Isteresi. Ulteriori informazioni nella guida in linea.
Non attiva: La variabile non è visibile in zenon Logic.
Default: non attivo.

Interno ID: ID_EXTERNVISIBLE

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExternVisible"

Attenzione: I nomi delle variabili per zenon Logic devono corrispondere alla norme di IEC 61131-3, il che significa che sono permessi solamente numeri, lettere (senza dieresi) e lineette in basso. Inoltre il nome non può iniziare con un numero. Ciò comporta anche che strutture e arrays del sistema di controllo non possono essere visibili esternamente perché contengono parentesi o punti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExternVisible"


ID_EXTERNVISIBLE_FOR

Interno ID: ID_EXTERNVISIBLE_FOR

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Interno ID: ID_EXTERNVISIBLE_FOR

Visibile esternamente

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di zenon Logic.
Attiva: La variabile è visibile anche in zenon Logic e può essere utilizzata in progetti di zenon Logic. La definizione della variabile non può essere modificata in zenon Logic. Il valore della variabille può essere modificato.

Attenzione: tenete presenti le influenze reciproche con la proprietà Isteresi. Ulteriori informazioni nella guida in linea.
Non attiva: La variabile non è visibile in zenon Logic.
Default: non attivo.

Interno ID: ID_EXTERNVISIBLE_FOR

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExternVisibleFor"

Attenzione: I nomi delle variabili per zenon Logic devono corrispondere alla norme di IEC 61131-3, il che significa che sono permessi solamente numeri, lettere (senza dieresi) e lineette in basso. Inoltre il nome non può iniziare con un numero. Ciò comporta anche che strutture e arrays del sistema di controllo non possono essere visibili esternamente perché contengono parentesi o punti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExternVisibleFor"

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExternVisibleFor"


ID_FILE_NAME

Interno ID: ID_FILE_NAME

Nome file

Nome del file collegato.
I file esterni che vengono collegati in questo modo, sono salvati sia nel percorso Runtime che in quello della banca dati del progetto.
Attenzione: ogni volta che vengono creati dei nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai file della cartella della banca dati. Proprio per questo i file esterni dovrebbero essere modificati solamente tramite il menu contestuale del file in questione e non esternamente, in modo tale che vengano modicati in modo corrispondente anche i file della cartella del database.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_FKT_PROP1

Interno ID: ID_FKT_PROP1

Tipo

Il tipo di funzione viene selezionato alla creazione dalla lista delle funzioni di sistema e può essere ulteriormente modificato qui.
Apre la finestra di dialogo

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FktType"


ID_FKT_PROP2

Interno ID: ID_FKT_PROP2

Parametri

Parametri di trasferimento della funzione; Dipendente dal tipo di funzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Parameters"


ID_FKT_PROP3

Interno ID: ID_FKT_PROP3

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (x è un numero progressivo).

ATTENZIONE: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_FKT_PROP4

Interno ID: ID_FKT_PROP4

PC attuale

Disponibile solo in progetti di rete:
La funzione viene eseguita sul computer sul quale è stata avviata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsActual"


ID_FKT_PROP5

Interno ID: ID_FKT_PROP5

Server

Disponibile solo in progetti di rete:
La funzione viene eseguita sul server di progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsServer"


ID_FKT_PROP6

Interno ID: ID_FKT_PROP6

Standby

Disponibile solamente in progetti di rete ridondati:
La funzione viene eseguita solo sul Server Standby

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsStandBy"


ID_FKT_PROP7

Interno ID: ID_FKT_PROP7

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsClient"


ID_FKT_PROP_GRP0

Interno ID: ID_FKT_PROP_GRP0

Generale

Proprietà generali per la funzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_FKT_PROP_GRP1

Interno ID: ID_FKT_PROP_GRP1

Esecuzione:

Solo in progetti di rete: Selezionare su quale terminale(i) la funzione deve essere eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Execution"


ID_FKT_VBA_XML_PROP_587

Interno ID: ID_FKT_VBA_XML_PROP_587

Distanza orizz. [Pixel]

Distanza orizzontale dal punto finale con l’angolo reale in Pixel.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset_H"


ID_FKT_VBA_XML_PROP_588

Interno ID: ID_FKT_VBA_XML_PROP_588

Distanza vert. [Pixel]

Distanza verticale dal punto finale con l’angolo reale in Pixel.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset_V"


ID_FKTLEVELLIST

Interno ID: ID_FKTLEVELLIST

Autorizz. Funz.

Determinate funzioni di sistema (per esempio: carica progetto) possono essere bloccate facendo uso dei livelli di autorizzazione, rendendole inaccessibili ad utenti non autorizzati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FktLevelList"


ID_FONT_NAME

Interno ID: ID_FONT_NAME

Nome

Denominazione attribuibile liberamente; solo a scopo informativo.
Default: Nuovo carattere x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_FONT_NUMMER

Interno ID: ID_FONT_NUMMER

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Indicazione: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Number"


ID_FONT_PROP_GRP

Interno ID: ID_FONT_PROP_GRP

Carattere

Contiene le proprietà per il tipo di carattere.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_FONT_SCHRIFTART

Interno ID: ID_FONT_SCHRIFTART

Carattere

Scelta del tipo di carattere fra quelli installati nel computer.
Attenzione: Il dialogo per la selezione del tipo di carattere è un dialogo standard di Windows. Esso consente anche la selezione di ulteriori proprietà, come il colore del carattere. Queste ulteriori impostazioni non hanno alcuna influenza sulla visualizzazione in zenon.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Font"


ID_FONTLIST_NAME

Interno ID: ID_FONTLIST_NAME

Nome

Nome della lista caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_FONTLIST_PROP_GRP

Interno ID: ID_FONTLIST_PROP_GRP

Lista caratteri

Proprietà generali per la lista caratteri.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_GFXRT_CHECKIMAGE_0FF

Interno ID: ID_GFXRT_CHECKIMAGE_0FF

Out

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà può essere modificata".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckOffImage"


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckOffImageInActive"


ID_GFXRT_CHECKIMAGE_0N

Interno ID: ID_GFXRT_CHECKIMAGE_0N

In

Selezione di una grafica che rappresenta nel Runtime lo stato „Valore è 1 e Proprietà può essere modificata".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckOnImage"


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0N_INACTIVE

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „Valore è 1 e Proprietà non può essere modificata".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckOnImageInActive"


ID_HILFE_GRP

Interno ID: ID_HILFE_GRP

Guida

Impostazioni per la guida online per l’oggetto. .
Se non è impostato nessun ‘help’ per l’elemento, un capitolo generale di Help puo essere definito direttamente nel menu contestuale per questo elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Help"


ID_IEC870_103_FktType

Interno ID: ID_IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Inserite un valore. Corrisponde a FUN nella norma.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_103_FktType"


ID_IEC870_103_Index

Interno ID: ID_IEC870_103_Index

IEC870-103 Index

Inserite un valore. Corrisponde alla successione di MEA in ASDU 3 o 9.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_103_Index"


ID_IEC870_103_InfNo

Interno ID: ID_IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Inserite un valore. Corrisponde a INF nella norma.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_103_InfNo"


ID_IEC870_COA1

Interno ID: ID_IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_COA1"


ID_IEC870_IOA1

Interno ID: ID_IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_IOA1"


ID_IEC870_TYPE

Interno ID: ID_IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

Default: T00 internal state

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IEC870_TYPE"


ID_IMM_DNS

Interno ID: ID_IMM_DNS

Database

Definizione della connessione ODBC per il Database dell’ Industrial Maintenance Managers (IMM).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMDns"


ID_IMM_TABLEDEV

Interno ID: ID_IMM_TABLEDEV

Tabella dispositivi

Nome della tabella nella banca dati per gli apparecchi. Se ci sono degli spazi vuoti nel nome, quest´ultimo deve essere indicato fra due apostrofi. In generale, però, si dovrebbero evitare gli spazi vuoti in un nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMTableDevice"


ID_IMM_TABLEDOC

Interno ID: ID_IMM_TABLEDOC

Tabella per i documenti

Nome della tabella nella banca dati per i documenti. Se ci sono degli spazi vuoti nel nome, quest´ultimo deve essere indicato fra due apostrofi. In generale, però, si dovrebbero evitare gli spazi vuoti in un nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMTableDoc"


ID_IMM_TABLEHIST

Interno ID: ID_IMM_TABLEHIST

Tabella per lo storico

Nome della tabella nella banca dati per la storia. Se ci sono degli spazi vuoti nel nome, quest´ultimo deve essere indicato fra due apostrofi. In generale, però, si dovrebbero evitare gli spazi vuoti in un nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMTableHist"


ID_IMM_TABLEMAINT

Interno ID: ID_IMM_TABLEMAINT

Tabella per elaborazione manutenzione

Nome della tabella nella banca dati per i lavori di manutenzione. Se ci sono degli spazi vuoti nel nome, quest´ultimo deve essere indicato fra due apostrofi. In generale, però, si dovrebbero evitare gli spazi vuoti in un nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMTableMaint"


ID_IMM_USERLVL

Interno ID: ID_IMM_USERLVL

Livello di autorizzazione:

Autorizzazione richiesta per la cancellazione di dati dal database.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IMMUserLvl"


ID_INITIALVALUE

Interno ID: ID_INITIALVALUE

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hotstart
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

ATTENZIONE: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InitialValue"


ID_KNOTEN_VERKN

Interno ID: ID_KNOTEN_VERKN

Regola di sostituzione

Proprietà per la sostituzione della variabile collegata e/o delle funzioni.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Linkings"


ID_LASTUSEDOFFSET

Interno ID: ID_LASTUSEDOFFSET

Ultimo offset utilizzato

Visualizzazione dell’ultimo offset utilizzato dall’indirizzamento automatico.
Questa proprietà serve solo a titolo informativo e non può essere modificata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LastUsedOffset"


ID_LEVELEDIT

Interno ID: ID_LEVELEDIT

Amm. Livelli di aut.

Oltre al numero, si può assegnare ai 128 livelli di autorizzazione un nome. Qui viene aperto il dialogo per la definizione del nome.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserLevelList"


ID_LEVELLIST

Interno ID: ID_LEVELLIST

Livelli di autorizzazione

Unoo piu gruppi di autorizzazione dei 128 possono essere collegati all’utente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserLevel"


ID_MATHVAR_PROP_ENABLE_VAR

Interno ID: ID_MATHVAR_PROP_ENABLE_VAR

Attiva il calcolo

Assegna alla variabile matematica una variabile il cui valore determina se il calcolo viene eseguito. L´assegnazione di una variabile attiva la proprietà.

Se si clicca sul pulsante ... oppure sul campo con la variabile, si apre il dialogo che serve alla selezione di una variabile.

Default: disattivata; nessuna variabile assegnata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableCalc"


ID_MATHVAR_PROP_FORMEL

Interno ID: ID_MATHVAR_PROP_FORMEL

Formula

Apre la finestra di dialogo per l’inserimento della formula per il calcolo della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Formula"


ID_MINPWLENGTH

Interno ID: ID_MINPWLENGTH

Lunghezza minima password

Numero minimo obbligatorio di caratteri per una password.
Minimo: 0.
Massimo: 20.
Default: 6.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinPwLength"


ID_MONITOR_VERWALTUNG

Interno ID: ID_MONITOR_VERWALTUNG

Configurazione monitor

Si aprirà il dialogo di configurazione per la gestione monitor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MonitorAministration"


ID_MSGCONTROL_DISPATCHER_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_ACTIVE

Invio attivo

Attiva: È possibile l´invio di messaggi con questo mezzo di trasmissione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Active"


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Interno ID: ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Esportazione impostazioni su Messag32.ini (v6.XX)

Salva le impostazioni che vengono effettuate a partire dalla versione 7, per la versione 6.xx nel messag32.ini. Cliccando sul pulsante si avvia l´operazione di export. Le impostazioni attuali del messag32.ini vengono sovrascritte dopo una richiesta di conferma da parte del sistema. Le impostazioni del messag32.ini servono a garantire la compatibilità e riguardano solamente le versioni 6.xx. di zenon A partire dalla versione 7, le impostazioni vengono salvate nello zenon6.ini .

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExportToMessag32"


ID_MSGCONTROL_ENGINE_GRP

Interno ID: ID_MSGCONTROL_ENGINE_GRP

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Interno ID: ID_MSGCONTROL_ENGINE_GRP

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlSettings"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlSettings"


ID_MSGCONTROL_MODEM_COUNTWELCOME

Interno ID: ID_MSGCONTROL_MODEM_COUNTWELCOME

Ripeti testo di benvenuto

Quantità delle ripetizioni per il testo di benvenuto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CountWelcome"


ID_MSGCONTROL_MODEM_GRP

Interno ID: ID_MSGCONTROL_MODEM_GRP

Messaggio vocale (File audio)

Impostazioni per il gruppo Telefono.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Interno ID: ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Ignora disconnessioni

Attiva: L´interruzione della connessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IgnoreDisconnect"


ID_MSGCONTROL_MODEM_LINEID

Interno ID: ID_MSGCONTROL_MODEM_LINEID

Id linea

ID-apparecchio generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi apparecchi quando si hanno più modem dello stesso nome. Solo visualizzazione, non modificabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineId"


ID_MSGCONTROL_MODEM_LINENAME

Interno ID: ID_MSGCONTROL_MODEM_LINENAME

Nome linea

Selezione del modem da usare fra quelli della lista a cascata.

Se non viene visualizzata nessuna lista a cascata, significa che non è stato configurato nessun modem per il calcolatore in questione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Line"


ID_MSGCONTROL_MODEM_TIMEOUT

Interno ID: ID_MSGCONTROL_MODEM_TIMEOUT

Timeout

Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeOut"


ID_MSGCONTROL_OUTLOOK_GRP

Interno ID: ID_MSGCONTROL_OUTLOOK_GRP

Messaggio E-Mail (Outlook)

Gruppo per le impostazioni del tipo di invio Outlook.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


ID_MSGCONTROL_OUTLOOK_PROFILE

Interno ID: ID_MSGCONTROL_OUTLOOK_PROFILE

Profilo

Nome del profilo Outlook che deve essere utilizzato per l´invio. Selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Profile"


ID_MSGCONTROL_OUTLOOK_SUBJECT

Interno ID: ID_MSGCONTROL_OUTLOOK_SUBJECT

Oggetto (ID)

Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

Lunghezza minima: 4 caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Subject"


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Interno ID: ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Attivo all'avvio del Runtime

Attiva: Il Message Control viene avviato con il Runtime.

Default: Attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActiveAtStartup"


ID_MSGCONTROL_PROJECT_ATTEMPTS

Interno ID: ID_MSGCONTROL_PROJECT_ATTEMPTS

Numero massimo tentativi

Numero massimo dei tentativi di invio nel caso di un errore di trasmissione.

Massimo: 100

Minimo: 1

Default: 3

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Attempts"


ID_MSGCONTROL_PROJECT_CELITEMS

Interno ID: ID_MSGCONTROL_PROJECT_CELITEMS

Salva nella CEL

Stabilisce quali eventi vengono procollati nella CEL. Selezione dalla lista a cascata:

- tutte conferme

- nessuna conferma

- solo conferme negative

- solo conferme positive

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CelDetail"


ID_MSGCONTROL_PROJECT_COLOR_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_ERROR

Errore durante l'invio

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando è fallito l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ErrorIColor"


ID_MSGCONTROL_PROJECT_COLOR_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENDING

Il messaggio verrà inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control mentre è in corso l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SendingColor"


ID_MSGCONTROL_PROJECT_COLOR_SENT

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENT

Il messaggio è stato inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando un messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SentColor"


ID_MSGCONTROL_PROJECT_GRP

Interno ID: ID_MSGCONTROL_PROJECT_GRP

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Interno ID: ID_MSGCONTROL_PROJECT_GRP

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlSettings"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgCtrlSettings"


ID_MSGCONTROL_PROJECT_LOG_DELETE

Interno ID: ID_MSGCONTROL_PROJECT_LOG_DELETE

Salva nella CEL la cancellazione manuale dei messaggi

Attiva: La cancellazione manuale di inserimenti dalla CEL viene protocollata nella stessa CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LogDeleteActions"


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Errore durante l'invio

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato quando è fallito un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ErrorImage"


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Il messaggio verrà inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato mentre è in corso un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SendingImage"


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Il messaggio è stato inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato non appena il messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SentImage"


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Parte dinamica del soggetto

Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Se volete configurare delle impostazioni specifiche per un progetto, dovete farlo nell´albero di progetto usando le proprietà per Proprietà specifiche di progetto del nodo Message Control.

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Proprietà specifiche di progetto

Contiene delle impostazioni specifiche di un progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Soggetto per E-Mail

Inserimento dell´oggetto per le E-Mail in uscita.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Messaggio E-Mail (SMTP)

Impostazioni per l´invio di E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Oggetto (ID)

Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control.

Lunghezza minima: 4 caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Messaggio E-Mail (Outlook)

Gruppo per le impostazioni del tipo di invio Outlook.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"

Il testo può contenere caratteri jolly per:

  • chiavi dalla tabella lingua.
  • Nome di una variabile
  • inserimento composto nella tabella lingua

Sintassi $ individua un testo; le parti in cui si articola il testo sono separate da punti e virgola (;); il testo deve finire con un punto e virgola (;).
Per es.: $@Achtung;%Var1;

Trovate una lista dei parametri nel capitolo Testo valore limite Parametri.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubjectDyn"


ID_MSGCONTROL_PROJECT_TIMETOWAIT

Interno ID: ID_MSGCONTROL_PROJECT_TIMETOWAIT

Tempo di attesa tra due tentativi [min]

Tempo di attesa espresso in minuti fra due tentativi di inviare oppure inoltrare un messaggio.

Default: 5

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeToWait"


ID_MSGCONTROL_SMSGATEWAY_GRP

Interno ID: ID_MSGCONTROL_SMSGATEWAY_GRP

Messaggio SMS (Gateway SMS)

Impostazioni per il SMS-Gateway.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


ID_MSGCONTROL_SMSGATEWAY_INBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_INBOX

Cartella in entrata

Cartella dei messaggi in entrata del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Inbox"


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Interno ID: ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Identificazione chiamante

Identificazione mittente per invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OriginId"


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Cartella in uscita

Cartella dei messaggi in uscita del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Outbox"


ID_MSGCONTROL_SMSGATEWAY_PREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_PREFIX

Carrattere iniziale del file messaggi

Lettera iniziale dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Prefix"


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Prima lettera del file di blocco/semaforo

Lettera iniziale del file semaforo. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SemaPrefix"


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Allarmi intelligenti

Attiva: Viene usato smartalarming.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmartAlarm"


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Cartella di stato

Cartella del server SMS per la segnalazione di stato in caso di invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Statusbox"


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Interno ID: ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Tempo di timeout espresso in minuti per messaggi in uscita. Stablisce alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeOut"


ID_MSGCONTROL_SPEECH_GRP

Interno ID: ID_MSGCONTROL_SPEECH_GRP

Messaggio vocale (Text to Speech)

Impostazioni per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


ID_MSGCONTROL_SPEECH_RATE

Interno ID: ID_MSGCONTROL_SPEECH_RATE

Velocità di fluidità della voce

Velocità della voce.

Minimo: -10

Massimo: 10

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rate"


ID_MSGCONTROL_SPEECH_VOICEID

Interno ID: ID_MSGCONTROL_SPEECH_VOICEID

Voce

Selezione della voce e della lingua fra le opzioni offerte dalla lista a cascata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VoiceId"


ID_MSGCONTROL_SPEECH_VOLUME

Interno ID: ID_MSGCONTROL_SPEECH_VOLUME

Volume

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

Massimo: 100

Minimo: 0
0: viene ripreso il valore dal sistema operativo senza alcuna modifica.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Volume"


ID_MSGCTRL_GRP

Interno ID: ID_MSGCTRL_GRP

Message-Control

Proprietà per l´uso degli utenti nel modulo Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Message Control"


ID_MSGCTRL_MAIL_POP_APOP

Interno ID: ID_MSGCTRL_MAIL_POP_APOP

Utilizzare un commando APOP per l'autenticazione

Gestisce l´autenticazione sul server di posta in entrata.

Attiva: Per l´autenticazione si usa il comando APOP invece che utente (USER) e password (PASS).

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopUseApop"


ID_MSGCTRL_MAIL_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_POP_GROUP

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InboundServerSettings"


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Interno ID: ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Lascia sul server le E-Mail già lette

Attiva: Le E-Mail non vengono cancellate dopo essere state caricate sul server.

Default: non attiva.

Indicazione: : visto che POP3 non prevede nessuna possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in entrata. Se questa proprietà è attiva, aumenta lo spazio di memoria richiesto sul server e la performance nell´operazione di carico dei messaggi può ridursi.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopKeepMails"


ID_MSGCTRL_MAIL_POP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_POP_PASSWORD

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopPassword"


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Interno ID: ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Periodo minimo tra due richieste (s)

Intervallo minimo espresso in secondi fra due tentativi di carico. Il valore non dovrebbe essere inferiore alle indicazioni del server POP3.

Valore minimo: 10

Default: 60

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopPollingIntervall"


ID_MSGCTRL_MAIL_POP_PORT

Interno ID: ID_MSGCTRL_MAIL_POP_PORT

Porta

Port attraverso cui viene raggiunto il server POP3.

Valore massimo: 65535

Default per connessione non crittografata: 110

Default per connessione crittografata: 995

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopPort"


ID_MSGCTRL_MAIL_POP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_POP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL versione 2 e 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS versione 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: SSL versione 2 e 3

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopSecurity"


ID_MSGCTRL_MAIL_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_POP_SERVER

Indirizzo server

Indirizzo completo del server POP3.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopServer"


ID_MSGCTRL_MAIL_POP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_POP_USERNAME

Nome user

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PopUser"


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Interno ID: ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpAuthentication"


ID_MSGCTRL_MAIL_SMTP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_GROUP

Server posta in uscita

Proprietà per la configurazione del server SMTP della posta in uscita.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OutboundServerSettings"


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Utilizza server di posta in arrivo per le E-Mail in uscita

Attiva: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUsePopServer"


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Interno ID: ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Interno ID: ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpDifferentCredentials"

Attiva: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Disattivata: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpDifferentCredentials"


ID_MSGCTRL_MAIL_SMTP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Password

Password per il server di posta in uscita.

Disponibile solo se la proprietà Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà è disattivata, è salvata la password definita nella proprietà Password del gruppo Server di posta in arrivo.

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPassword"

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPassword"

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPassword"

Attiva: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Disattivata: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPassword"

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effetta l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPassword"


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Messaggio E-Mail (SMTP)

Impostazioni per l´invio di E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


ID_MSGCTRL_MAIL_SMTP_PORT

Interno ID: ID_MSGCTRL_MAIL_SMTP_PORT

Porta

Port per la connessione con il server di posta in uscita (SMTP).

Massimo: 65535

Default: 25

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpPort"


ID_MSGCTRL_MAIL_SMTP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_SMTP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL versione 2 e 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS versione 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpSecurity"


ID_MSGCTRL_MAIL_SMTP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_SERVER

Indirizzo server

Disponibile solo se Utilizza server di posta in arrivo per le E-Mail in uscita è disattivato.

Interno ID: ID_MSGCTRL_MAIL_SMTP_SERVER

Utilizza server di posta in arrivo per le E-Mail in uscita

Attiva: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpServer"

Indirizzo completo del server SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpServer"


ID_MSGCTRL_MAIL_SMTP_SRCADDR

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autentificazione.

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpOutMailAddress"

Attiva: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.

Non attiva: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpOutMailAddress"

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpOutMailAddress"


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autentificazione.

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUserIsOutMailAddress"

Attiva: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.

Non attiva: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUserIsOutMailAddress"

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUserIsOutMailAddress"


ID_MSGCTRL_MAIL_SMTP_SUBJECT

Interno ID: ID_MSGCTRL_MAIL_SMTP_SUBJECT

Soggetto per E-Mail

Inserimento dell´oggetto per le E-Mail in uscita.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpSubject"


ID_MSGCTRL_MAIL_SMTP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Nome user

Nome user per il server di posta in uscita.

Disponibile solo se Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà non è attiva, viene visualizzato il nome utente dalla proprietà Nome user del gruppo Server di posta in arrivo. Altrimenti viene visualizzato il nome utente inserito per ultimo per il server di posta in uscita.

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUser"

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Nome user

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUser"

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

Nessuna autenticazione: L´invio viene effettuato senza autenticazione

Prima dell´invio di E-Mail, Login sil server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.

utilizza autenticazione SMTP sulserver di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUser"

Attiva: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Disattivata: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUser"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmtpUser"


ID_NETZ_APP_CLOSE_BOX

Interno ID: ID_NETZ_APP_CLOSE_BOX

Messaggio di chiusura

Disponibile solamente nel caso in cui la proprietà Rete attiva è attiva.
Attiva: Quando si chiude il Runtime su un server, su tutti i client collegati appare un messaggio che avverte dell´avvenuta chiusura del Runtime. La chiusura del runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completate in modo corretto.
Non attiva: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

Interno ID: ID_NETZ_APP_CLOSE_BOX

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AppCloseBox"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AppCloseBox"


ID_NICHTLINIARE_ANPASSUNG

Interno ID: ID_NICHTLINIARE_ANPASSUNG

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NonlinAdjust"


ID_OPCUA_BROWSENAME

Interno ID: ID_OPCUA_BROWSENAME

Browse name

Corrisponde a Browse name della specificazione OPC UA.

Sono permessi dei rifermenti gerarchici in avanti, a partire dalla cartella-oggetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BrowseName"


ID_PASSWORD_SHOWLOCK

Interno ID: ID_PASSWORD_SHOWLOCK

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowLock"


ID_PICTURE_MIN

Interno ID: ID_PICTURE_MIN

Pulsanti Min/Max

Disponibile solo se la barra del titolo è visualizzata per l’immagine:
Abilitata: Visualizza i pulsanti Massimizza/Minimizza sulla barra del titolo.
Disabilitata: Nessun pulsante visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowMinimize"


ID_PICTURE_SYSMENU

Interno ID: ID_PICTURE_SYSMENU

Menu di sistema

Disponibile solo se la barra del titolo è visualizzata per l’immagine:
Abilitata : Viene visualizzato un pulsante di menu di sistema sulla barra del titolo per l’immagine visualizzata.
Disabilitata: Nessun pulsante visualizzato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowSysMenu"


ID_PICTURE_TITLE

Interno ID: ID_PICTURE_TITLE

Nome

Nome univoco dell'immagine.
Default: Picture x (x è un numero progressivo).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Title"


ID_PREDEFINED_BITMAPS

Interno ID: ID_PREDEFINED_BITMAPS

Bitmap predefiniti

Bitmap predifiniti per lo stato LOW/HIGH che possono essere selezionati da una lista.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PredefinedBitmaps"


ID_PROFILENAME

Interno ID: ID_PROFILENAME

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Profilename"


ID_PROJECT_ALC_CONFIG

Interno ID: ID_PROJECT_ALC_CONFIG

Configurazione ALC

Apre il dialogo di configurazione per l’ Automatic Line Coloring (ALC).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCConfig"


ID_PROJECT_ALC_GROUNDFAULTMODE

Interno ID: ID_PROJECT_ALC_GROUNDFAULTMODE

Modalità ricerca messa a terra

Imposta se nella ricerca di messa a terra viene colorata la parte della rete potenzialmente interessata, o tutta la rete in cui si trova una messa a terra.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultMode"


ID_PROJECT_ALC_MAXOVERLOAD

Interno ID: ID_PROJECT_ALC_MAXOVERLOAD

Sovracorrente massima consentita [%]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCMaxOverload"


ID_PROJECT_ALC_SEARCHMODE

Interno ID: ID_PROJECT_ALC_SEARCHMODE

Metodo di colorazione

Stabilisce la modalità della colorazione per lo stato UNDEFINED. Se si clicca sulla lista a cascata, si apre la selezione:

- Standard: il colore sorgente viene distribuito a partire da ogni sorgente accesa nella rete, finché il prossimo interruttore è chiuso.

- Alimentazione prioritaria: Colora solamente le linee, che sono fornite potenzialmente da almeno una sorgente, ma non esplicitamente da una sorgente.

Default: Standard

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCSearchMode"


ID_PROJECT_ASMACTIVE

Interno ID: ID_PROJECT_ASMACTIVE

IPA attivo

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare in diverse liste dati allarmi e, così, a mostrare eventuali tempi di stallo.

Indicazione: per il modulo Industrial Performance Analyzer bisogna procurarsi la relativa licenza.

Attivo: la funzionalità dell´Industrial Performance Analyzer è a Vostra disposizione. Le ulteriori proprietà che potete impostare in questa sede per l´IPA, potete modificarle adesso.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmActive"


ID_PROJECT_ASMAKZ

Interno ID: ID_PROJECT_ASMAKZ

Ident. Impianto

Non disponibile se avete attivato IPA attivo.

Identificazioni impianti Vi aiutano ad effettuare operazioni di filtro nell´immagine del tipo Industrial Performance Analyzer sulla base dei dati di allarme desiderati. L´identificazione impianto definita in questa sede può ricorrere o nel nome o nell´identificazione della variabile che ha causato l´allarme.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare le identificazioni impianti desiderate.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AKZ"


ID_PROJECT_ASMAKZMODE

Interno ID: ID_PROJECT_ASMAKZMODE

Ident. impianto da

Non disponibile se avete attivato IPA attivo.

La definizione dell'identificazione impianti può essere indicata sia come prefisso nel nome della variabile, sia nell'identificzione della variabile. Di ciò bisogna tenere conto al momento di definire la variabile stessa.
Identificazione: una parte dell´identificazione della variable viene usata nell´identificazione impianti nell´Industrial Performance Analyzer (IPA) .
Nome variabile: una parte del nome variabile viene usata per l´identificazione impianti.

Default: Nome variabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AkzMode"


ID_PROJECT_ASMBUFFERSIZE

Interno ID: ID_PROJECT_ASMBUFFERSIZE

Dimensione buffer

Non disponibile se avete attivato IPA attivo.

Numero massimo di allarmi che vengono scritti nel buffer.

Indicazione: se il buffer è pieno e altri allarmi devono essere salvati, quelli più vecchi che sono stati salvati nel buffer vanno persi. Tenetelo presente in fase di progettazione.
Minimo: 0.
Massimo: 4294967295.
Default: 10000.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmBufferSize"


ID_PROJECT_ASMCYCLETIME

Interno ID: ID_PROJECT_ASMCYCLETIME

Ciclo di salvataggio

Non disponibile se avete attivato IPA attivo.

Stabilite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer debbono essere scritti nella banca dati. Per ragioni di prestazione, l´ Industrial Performance Analyzer (IPA) non mantiene un collegamento continuo con la banca dati. Facendo uso del ciclo di memorizzazione, potete stabilire con quale frequenza i dati devono essere scritti nella banca dati.

Indicate l´intervallo nel formato HH:MM:SS.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmCycleTime"


ID_PROJECT_ASMDNS

Interno ID: ID_PROJECT_ASMDNS

Database

Non disponibile se avete attivato IPA attivo.

Definite in questa sede il collegamento con una banca dati compatibile con ODBC (per es. Microsoft SQL-Server), che l´Industrial Performance Analyzer deve usare per salvare i dati di allarme. Un clic con il tasto sinistro del mouse sul comando apre il dialogo che serve alla selezione della sorgente dati. Se non avete ancora impostato nessuna sorgente dati, potete impostarne una nuova usando questo dialogo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmDns"


ID_PROJECT_ASMPREDEFFILTER

Interno ID: ID_PROJECT_ASMPREDEFFILTER

Predefinisci filtro tempo

Non disponibile se avete attivato IPA attivo.

Per la valutazione di dati allarme nell´immagine del tipo Industrial Performance Analyzer nel runtime, si possono utilizzare dei filtri tempo per far in modo che vengano visualizzati solamente gli allarmi di determinate aree tempo.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare i filtri tempo desiderati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PredefFilter"


ID_PROJECT_ASMTABLE

Interno ID: ID_PROJECT_ASMTABLE

Nome della tabella

Non disponibile se avete attivato IPA attivo.

Indicate un nome per la tabella dell´Industrial Performance Analyzer nella banca dati compatibile con ODBC. Se non esiste ancora una tabella con questo nome, essa viene impostata automaticamente al momento del primo start del runtime.

Indicazione: i nomi tabella validi possono contenere solo segni alfanumerici e/o spazi vuoti e non possono iniziare con un numero. Non possono contenere più di 128 caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmTable"


ID_PROJECT_BACKUPTIME

Interno ID: ID_PROJECT_BACKUPTIME

Data creazione backup

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Interno ID: ID_PROJECT_BACKUPTIME

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackupTime"

Mostra il momento dell´ultimo backup di progetto come secondi in UTC.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackupTime"


ID_PROJECT_BACKUPXML

Interno ID: ID_PROJECT_BACKUPXML

Esportazione XML attiva

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Interno ID: ID_PROJECT_BACKUPXML

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackupWithXML"

Attiva: Nel backup di progetto viene inserito un file XML (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Indicazione: nei progetti multiutente, solo nel caso di backup locale.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackupWithXML"


ID_PROJECT_CLEARTYPEFONT

Interno ID: ID_PROJECT_CLEARTYPEFONT

Font ClearType

Attiva: i caratteri ClearType vengono utilizzati. Può migliorare la leggibilità di caratteri su monitor LCD con risoluzione nativa.

Non attiva: vengono utilizzati i caratteri standard di Windows. Adatta spesso ai monitor con tubo catodico e LCD con risoluzione interpolata.
Indicazione: Se per la proprietà Qualità grafica è stata selezionata l´opzione Windows Basis oppure Windows estese, sotto Windows Vista e Windows 7 si deve disattivare nel sistema operativo l´uso di caratteri cleartype. Se invece si è scelta l´opzione DirectX, cleartype può essere attivato e disattivato indipendentemente dal sistema operativo.

Interno ID: ID_PROJECT_CLEARTYPEFONT

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROJECT_CLEARTYPEFONT

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PROJECT_CLEARTYPEFONT

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ClearTypeFont"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ClearTypeFont"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ClearTypeFont"

Default: attiva:

Indicazione: modifiche dell´impostazione diventano effettive per l´editor solo dopo il riavvio dell´editor.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ClearTypeFont"


ID_PROJECT_DBD_SERVER

Interno ID: ID_PROJECT_DBD_SERVER

Server banca dati

Questa proprietà può essere settato solamente alla creazione del progetto..
Visualizza il Database server per il progetto multi utente.
Nessun inserimento indica che il progetto non è un progetto Multi utente.e il database del progetto risiede nel PC locale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DatabaseServer"


ID_PROJECT_IPA_ALARMCAUSELIST

Interno ID: ID_PROJECT_IPA_ALARMCAUSELIST

Cause allarmi

Non disponibile se avete attivato IPA attivo.

Nell´immagine del tipo Industrial Performance Analyzer può essere assegnata una causa allarme proveniente da una lista ad ogni allarme registrato. E´possibile effettuare un´operazione di filtro sulla base di cause allarmi.

La lista delle cause allarmi viene gestita in questa sede.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite le possibili cause allarmi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmAlarmCauseListe"


ID_PROJECT_IPA_SHIFTINFOPFS

Interno ID: ID_PROJECT_IPA_SHIFTINFOPFS

Turno dal PFS

Non disponibile se avete attivato IPA attivo.

Riprende i tempi per i turni definiti nel modulo Production & Facility Scheduler. I tempi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attiva.
Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmShiftInfoPFS"


ID_PROJECT_IPA_SHIFTINFOVARIABLE

Interno ID: ID_PROJECT_IPA_SHIFTINFOVARIABLE

Turno da variabile

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il turno del PFS.

Il nome della variabile il cui valore fornisce informazioni sul turno attuale. Selezionate una variabile del tipo INT. In tal modo potete creare il seguente modello di turno.
Esempio:

1 = turno di mattina, 2 = turno posteriore, 3 = turno di notte, -1 = pausa. La denominazione dei turni per la loro analisi può essere definita tramite la proprietà turno dalla lista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmShiftInfoVariable"


ID_PROJECT_IPA_SHIFTLIST

Interno ID: ID_PROJECT_IPA_SHIFTLIST

Turno dalla lista

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il nome turno del PFS.

In questa sede definite nomi per i valori delle variabili che avete collegato alla voce Turno da variabile.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite singoli nomi per valori.

Ai nomi turno possono essere assegnati i valori di una variabile collegata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmShiftNameListe"


ID_PROJECT_IPA_SHIFTPFS

Interno ID: ID_PROJECT_IPA_SHIFTPFS

Nome turno dal PFS

Non disponibile se avete attivato IPA attivo.

Riprende i nomi per i turni definiti nel modulo Production & Facility Scheduler. I nomi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attiva.

Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmShiftNamePFS"


ID_PROJECT_IPA_USRLEVEL

Interno ID: ID_PROJECT_IPA_USRLEVEL

Per cancellare

Non disponibile se avete attivato IPA attivo.

Con l´immagine del tipo Industrial Performance Analyzer è possibile cancellare durante il runtime dei dati allarmi che si trovano nella banca dati. Per impedire che ci siano degli abusi, potete prevedere in fase di progettazione quali autorizzazioni deve avere l´utente per cancellare degli inserimenti.

Selezionate l´autorizzazione utente desiderata fra quelle del menu a cascata.

Default: 0.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmUsrLvl"


ID_PROJECT_IPA_USRLEVELCAUSE

Interno ID: ID_PROJECT_IPA_USRLEVELCAUSE

Per modificare

Non disponibile se avete attivato IPA attivo.

Con l´immagine del tipo Industrial Performance Analyzer è possibile editare durante il runtime dei dati allarmi che si trovano nella banca dati. Per impedire che ci siano degli abusi, potete prevedere in fase di progettazione quali autorizzazioni deve avere l´utente per editare degli inserimenti.

Selezionate l´autorizzazione utente desiderata fra quelle del menu a cascata.

Default: 0.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AsmUsrLvlCause"


ID_PROJECT_MAIN_TEMPLATES

Interno ID: ID_PROJECT_MAIN_TEMPLATES

Modelli primari

Nome dei modelli che vengono indicati nella variabile Ultima immagine aperta del driver di sistema. Cliccando su '...', si apre il dialogo per la scelta dei modelli.

Indicazione: questa proprietà ha effetto anche sulla funzione Immagine indietro.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainTemplates"


ID_PROJECT_MULTIUSER

Interno ID: ID_PROJECT_MULTIUSER

Progetto multiutente

Attivo: il progetto viene usato come progetto multi-utente. Nella struttura ad albero del progetto c`è un nodo ulteriore "In costruzione".

Disattivato: il progetto viene usato come progetto standalone.

Default: non attivo.

Questa proprietà può essere attivata solamente tramite il menu contestuale del progetto.

ATTENZIONE: l´attivazione di questa proprietà non può essere revocata! Tuttavia un progetto multi-utente può essere convertito mediante un backup in un progetto standalone.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MultiUser"


ID_PROJECT_RTVERSION

Interno ID: ID_PROJECT_RTVERSION

Crea RT file per

Default: I file runtime vengono generati per la versione attuale dell´Editor.

6.20 SP4: i file runtime vengono generati per la versione 6:20 Servicepack 4.

6.21 SP0: i file runtime vengono generati per la versione 06:21:00 Servicepack 0.

6.21 SP1: i file runtime vengono generati per la versione 06:21:00 Servicepack 1.

06:22:00 SP0: i file runtime vengono generati per la versione 06:22:00 Servicepack 0.

06:22:00 SP1: i file runtime vengono generati per la versione 06:22:00 Servicepack 1.

06:50:00 SP0: i file runtime vengono generati per la versione 06:50:00 Servicepack 0.

06:51:00 SP0: i file runtime vengono generati per la versione 06:51:00 Servicepack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RTVersion"


ID_PROJECT_RUNTIMELASSO

Interno ID: ID_PROJECT_RUNTIMELASSO

Selezioni multiple in Runtime (Lazzo)

Attiva: muovendo il mouse tenendo premuto il tasto sinistro potete selezionare numerosi elementi durante il funzionamento runtime. Una macro VBA può avere accesso a questi elementi.
Non attiva: La funzionalità Selezioni multiple in Runtime (Lazzo) non viene utilizzata.
Default: non attiva
Indicazione: Lazzofunziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è conessa una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzione lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazzo.

Interno ID: ID_PROJECT_RUNTIMELASSO

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attiva: l´elemento può essere selezionato nel Runtime con il lazzo.
Disattivata: l´elemento non può essere selezionato nel Runtime.
Default: Attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo)!

Interno ID: ID_PROJECT_RUNTIMELASSO

Impostazioni Runtime

Proprietà di Runtime del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RuntimeLasso"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RuntimeLasso"

Interno ID: ID_PROJECT_RUNTIMELASSO

Runtime

Proprietà di Runtime dell’elemento selezionato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RuntimeLasso"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RuntimeLasso"


ID_PROJECT_USEVERSION

Interno ID: ID_PROJECT_USEVERSION

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionActive"


ID_PROJECT_VERSIONDETAIL

Interno ID: ID_PROJECT_VERSIONDETAIL

Numero de taglio

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionDetail"


ID_PROJECT_VERSIONNUMBER

Interno ID: ID_PROJECT_VERSIONNUMBER

Versione generale

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Interno ID: ID_PROJECT_VERSIONNUMBER

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionNumber"

Numero che deve essere assegnato da parte dell´utente. Esso viene completato internamente con un numero file, separato da un punto, e viene visualizzato come Versione progetto.

Interno ID: ID_PROJECT_VERSIONNUMBER

Versione progetto

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Mostra la versione del progetto. Il numero di versione consiste del numero di Versione generale assegnato dall´utente e di quello di dettaglio, che viene conferito internamente e si trova dopo il punto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionNumber"

Attenzione: modifiche non ponderate e non corrette di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionNumber"


ID_PROJECT_VERSIONS

Interno ID: ID_PROJECT_VERSIONS

Versionamento

Proprietà per il versionamento dei backup di progetto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_Versioning"


ID_PROJECT_VERSIONSTRING

Interno ID: ID_PROJECT_VERSIONSTRING

Versione progetto

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Interno ID: ID_PROJECT_VERSIONSTRING

Attiva versionamento

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Attiva: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Disattivata: nessun versionamento dei backup di progetto.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionString"

Mostra la versione del progetto. Il numero di versione consiste del numero di Versione generale assegnato dall´utente e di quello di dettaglio, che viene conferito internamente e si trova dopo il punto.

Interno ID: ID_PROJECT_VERSIONSTRING

Versione generale

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Numero che deve essere assegnato da parte dell´utente. Esso viene completato internamente con un numero file, separato da un punto, e viene visualizzato come Versione progetto.

Attenzione: modifiche non ponderate e non corrette di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionString"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VersionString"


ID_PROJECT_ZOOM_STEPS

Interno ID: ID_PROJECT_ZOOM_STEPS

Livelli di zoom immagine globale

Viene aperto il dialogo per la definizione degli steps per i livelli di zoom per la visualizzazione globale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZoomSteps"


ID_PROJEKT_ADAM

Interno ID: ID_PROJEKT_ADAM

Connessione ADAM/AD-LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=700,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ADAM"


ID_PROJEKT_ADAM_PWD

Interno ID: ID_PROJEKT_ADAM_PWD

Password ADAM/AD-LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ADAMPwd"


ID_PROJEKT_ADAM_USER

Interno ID: ID_PROJEKT_ADAM_USER

Nome utente ADAM/AD-LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ADAMUser"


ID_PROJEKT_ALARM_CEL

Interno ID: ID_PROJEKT_ALARM_CEL

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_CEL"


ID_PROJEKT_ALLGEMEIN

Interno ID: ID_PROJEKT_ALLGEMEIN

Generale

Proprietà generali del progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Projekt"


ID_PROJEKT_ALT_PATH

Interno ID: ID_PROJEKT_ALT_PATH

Cartella di dati

vuoto. Il percorso standard viene usato per il salvataggio di Lista allarmi, Lista eventi cronologica (CEL), dati harddisk, dati archivio ecc. (Percorso progetto\Nome computer\Nome progetto).
Percorso: il percorso indicato in questa sede viene usato per salvare i dati ("Percorso inserito\Nome computer\Nome progetto").
Attezione: se il percorso indicato non esiste (problemi di rete, supporto dati esterno non esistente), non viene più scritto nessun dato dal Runtime. Il che significa: perdita dati del 100%. si può continuare a lavorare con il Runtime, ma lo si deve riavviare. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile.
Consiglio: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltDataPath"


ID_PROJEKT_AML

Interno ID: ID_PROJEKT_AML

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML"


ID_PROJEKT_ANTIALIASING

Interno ID: ID_PROJEKT_ANTIALIASING

Utilizza Antialiasing

Non disponibile se Qualità grafica è attiva.

Interno ID: ID_PROJEKT_ANTIALIASING

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROJEKT_ANTIALIASING

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PROJEKT_ANTIALIASING

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseAntialiasing"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseAntialiasing"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseAntialiasing"

Attiva lo smussamento angoli di linee. Grazie ad essa, soprattutto delle linee oblique possono essere rappresentate in modo molto più gradevole. Può essere evitato l´effetto scala. Se nella proprietà Qualità grafica si è scelta l´opzione DirectX Software oppure DirectX Hardware, Antialiasing può essere attivato e disattivato indipendentente dalle impostazioni del sistema operativo. La qualità Antialiasing di DirectX è migliore di quella in Windows estese.

antialising può provocare un allungamento dei tempi di cambio immagine, soprattutto con i sistemi operativi meno recenti (fino a Windows XP).

Possibili opzioni sono:

On: smussamento angoli sempre attivo.

Off: smussamento angoli disattivato.

Default: con Windows Vista, Windows 7 e con nuovi sistemi operativi, lo smussamento angoli è attivo; con i sistemi operativi precedenti (Windows XP, Server 2003) è disattivato.

Default: default

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseAntialiasing"


ID_PROJEKT_AUTOMATIC_FUNC

Interno ID: ID_PROJEKT_AUTOMATIC_FUNC

Esecuzione funzione automatica

Proprietà per richiamo funzione automatica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutoFunc"


ID_PROJEKT_AUTOMATIC_FUNCTION

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION

Funzione

Disponibile solo se il richiamo funzione automatica è attivo:
La funzione viene eseguita dopo la scadenza di un determinato periodo di tempo senza azione di comando fatta dall’utente (min. 60 secondi).
Esempio: Logout automatico dell’utente dopo un determinato periodo di inattività.Il movimento del mouse è ritenuto un’azione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Esecuzione aut.funzione attiva

Abilitata:Esecuzione funzione automatica se il computer non viene utilizzato per un determinato periodo.
DisabilitataDisabilita questa funzionalità.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FuncActive"


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Periodo senza azione di comando (min)

Disponibile solo se l’esecuzione di funzione automatica è attiva:
Qui si definisce il periodo di tempo che deve trascorrere senza azione di comando prima di eseguire la funzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FuncActiveTime"


ID_PROJEKT_BLINK_FREQUENCY

Interno ID: ID_PROJEKT_BLINK_FREQUENCY

Frequenza di lampeggio [dec.Secondo]

Frequenza di lampeggio impostata in decimi di secondi (p.e. inserendo 5 corrisponde a un lampeggio ogni 1/2 secondo).
Minimo: 0.
Massimo: 2147483647.
Default: 5.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BlinkRate"


ID_PROJEKT_CEL

Interno ID: ID_PROJEKT_CEL

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CEL"


ID_PROJEKT_CHANGELOG

Interno ID: ID_PROJEKT_CHANGELOG

Log delle modifiche

Proprietà per il log delle modifiche.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeLog"


ID_PROJEKT_CHANGELOG_AKTIV

Interno ID: ID_PROJEKT_CHANGELOG_AKTIV

Log delle modifiche attivo

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeLogAktiv"


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Interno ID: ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Consenti modifiche automatiche

Disponibile solo in progetti Multi-utente e se il Log Modifiche è attivo
Abilitata: Inserimento della lista vengono caricati automaticamente se vengono aggiunti dei commenti. Le modifiche devono essere accettate e mano.
Disabilitata Default: Disabilitata.
: I commenti possono essere aggiunti solamente dopo aver abilitato le modifiche per l’elemento.
ATTENZIONE: Una volta attivata, questa funzionalità richiede molte risorse di sistema.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeLogCheckout"


ID_PROJEKT_CHANGELOG_DETAIL

Interno ID: ID_PROJEKT_CHANGELOG_DETAIL

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Interno ID: ID_PROJEKT_CHANGELOG_DETAIL

Log delle modifiche attivo

Abilitata:I cambiamenti all’interno del progetto vengono protocollati.
Disabilitata: I cambiamenti nel progetto non vengono salvati. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeLogState"

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il piu alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ChangeLogState"


ID_PROJEKT_CURSOR_VISIBLE

Interno ID: ID_PROJEKT_CURSOR_VISIBLE

Cursore visibile

Abilitata: Il cursore nel runtime è visibile.
Disabilitata: Il cursore non è visibilie a Runtime.
Nei progetti con touchscreen il cursore può disturbare e può essere nascosto. .
Default: Abilitata.

ATTENZIONE: Questa funzionalità è disponilbile solamente per gli elementi dello SCADA (immagini,elementi,..) ma non in ambiente Windows (Barre del titolo, menu, barre di scorrimento,…). Per questo il cursore deve essere disabilitato direttamente nel sistema operativo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CursorVisible"


ID_PROJEKT_DRIVER_INVISIBLE

Interno ID: ID_PROJEKT_DRIVER_INVISIBLE

Driver invisibile

Attiva: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Disattivata: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DriverInvisible"


ID_PROJEKT_ENABLEMENU

Interno ID: ID_PROJEKT_ENABLEMENU

Attiva menu principali

Questa opzione deve essere attivata nel caso si utilizzino i menù principali.
Abilitata: Viene riservata una barra nella parte superiore dell’immagine per la visualizzazione dei menù.
Disabilitata: Nessun menù di sistema viene visualizzato a Runtime.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableMenu"


ID_PROJEKT_EXPORT_UNICODE

Interno ID: ID_PROJEKT_EXPORT_UNICODE

Esportazione testo in Unicode

Attiva: esportazione testo in Unicode.
Non attiva: esportazione testo in file ANSI.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExportUnicode"


ID_PROJEKT_GDIPLUS

Interno ID: ID_PROJEKT_GDIPLUS

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROJEKT_GDIPLUS

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PROJEKT_GDIPLUS

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseGDIplus"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseGDIplus"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseGDIplus"


ID_PROJEKT_GRP0

Interno ID: ID_PROJEKT_GRP0

Stampa

Proprietà per la stampa online della Lista allarmi (AML), o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Print"


ID_PROJEKT_GRP1

Interno ID: ID_PROJEKT_GRP1

Nome/Cartella

Proprietà del nome e della cartella di salvataggio del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_PROJEKT_GRP2

Interno ID: ID_PROJEKT_GRP2

Impostazioni Runtime

Proprietà di Runtime del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Runtime"


ID_PROJEKT_GRP3

Interno ID: ID_PROJEKT_GRP3

Gestione touch

Proprietà per la gestione touch.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Touch"


ID_PROJEKT_GRP4

Interno ID: ID_PROJEKT_GRP4

Logout automatico

Impostazioni per il logout automatico.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AutLogout"


ID_PROJEKT_GRP5

Interno ID: ID_PROJEKT_GRP5

Login temporaneo

Impostazioni per il login temporaneo.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TempLogin"


ID_PROJEKT_GRP6

Interno ID: ID_PROJEKT_GRP6

Industrial Performance Analyzer

Proprietà per l´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IPA"


ID_PROJEKT_GRP7

Interno ID: ID_PROJEKT_GRP7

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Graphics"


ID_PROJEKT_GRP8

Interno ID: ID_PROJEKT_GRP8

Salvataggio dati IPA

Proprietà per il salvataggio dati dell’Industrial Performance Analyzer. (IPA)

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Storage"


ID_PROJEKT_GRP9

Interno ID: ID_PROJEKT_GRP9

Analisi

Proprietà per la valutazione dei dati dell’Industrial Performance Analyzer.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Analysis"


ID_PROJEKT_GRP10

Interno ID: ID_PROJEKT_GRP10

Generale

Proprietà generali per il file.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_PROJEKT_GRP11

Interno ID: ID_PROJEKT_GRP11

Generale

Proprietà generali per il progetto zenon Logic.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_PROJEKT_GRP12

Interno ID: ID_PROJEKT_GRP12

Generale

Proprietà generali per il backup di progetto

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_PROJEKT_GRP13

Interno ID: ID_PROJEKT_GRP13

Elementi bloccati

Proprietà per la visualizzazione di elementi bloccati.
Gli elementi che sono bloccati grazie ad un gruppo autorizzazioni o un interblocco, vengono contrassegnati dalla presenza del simbolo del lucchetto, o mediante una grafica che può essere scelta liebramente dall´utente.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Lock_Symbol"


ID_PROJEKT_GRP14

Interno ID: ID_PROJEKT_GRP14

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROJEKT_GRP15

Interno ID: ID_PROJEKT_GRP15

Industrial Maintenance Manager

Proprietà dell'Industrial Maintenance Manager (IMM) Esse sono disponibili solo se avete una licenza per l'Industrial Maintenance Manager.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROJEKT_GRP16

Interno ID: ID_PROJEKT_GRP16

Diritti di accesso

Autorizzazioni per la cancellazione o la modifica di inserimenti nella banca dati dell´Industrial Performance Analyzers (IPA).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rights"


ID_PROJEKT_GRP17

Interno ID: ID_PROJEKT_GRP17

Durata Runtime

Contiene le impostazioni per il runtime.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROJEKT_GRP18

Interno ID: ID_PROJEKT_GRP18

Active Directory/ADAM/AD-LDS

Proprietà per l´uso del

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROJEKT_GUID

Interno ID: ID_PROJEKT_GUID

ID progetto

Ogni progetto è identificato tramite un GUID unico. La proprietà non può essere modificata.
Questo è inoltre il nome della sottodirectory SQL dove risiede il progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GUID"


ID_PROJEKT_KEYBOARD_SIZE

Interno ID: ID_PROJEKT_KEYBOARD_SIZE

Dimensione Keyboard [%]

Definisce con quale percentuale della grandezza orginale deve essere visualizzata la Keyboard automatica nel Runtime.
Minimo: 50 %
Massimo: 300 %
Default: 100 %

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardSize"


ID_PROJEKT_LIMIT_FUNCTION_ON_START

Interno ID: ID_PROJEKT_LIMIT_FUNCTION_ON_START

Esegui funzioni val. limiti all'avvio del RT

Attivo: all´avvio del Runtime, una funzione collegata ad un valore limite in attesa viene di nuovo eseguita.
Disattiva: all'avvio del Runtime, una funzione collegata ad un valore limite in attesa non viene di nuovo eseguita.
Default: attiva.

ATTENZIONE: Questa proprietà riguarda solamente dei valori limite che non sono allarmi!

Esempio 1: Il Runtime viene chiuso e nessun valore limite è stato violato. Poi viene violato un valore limite e in seguito avviato il Runtime. Se il valore limite violato è un allarme, allora viene eseguita la funzione collegata all'avvio del Runtime. Nel caso in cui invece il valore limite non è un allarme, viene usata l'impostazione di questa proprietà.
Esempio2: Il Runtime viene chiuso e un valore limite, che non è un allarme, è stato violato. La funzione collegata viene eseguita nel momento in cui il valore limite è stato violato. Se il Runtime viene riavviato, questo valore limite è ancora violato. Dipendentemente da questa proprietà viene eseguita di nuovo la funzione collegata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LimitFunctionOnStart"


ID_PROJEKT_MAIN_WINDOW

Interno ID: ID_PROJEKT_MAIN_WINDOW

Tipo di finestra del Runtime

Visualizzazione della finestra principale del Runtime.

Nessun titolo: mostra superficie completa senza visualizzazione della barra titoli.

Titolo con pulsanti 'Ingrandisci' e 'RIduci a icona': si può modificare la grandezza della finestra e spostarla. Non è possibile chiudere (neanche usando il menu contestuale, la taskbar o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo con pulsanti di sistema, 'Riduci a icona' e 'Ingrandisci': si può modificare la grandezza della finestra e spostarla; inoltre la si può chiudere cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo con menu di sistema: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Titolo senza pulsante: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menu contestuale.

Default: Nessun titolo:

Attenzione: Se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente effettuare un aggiornamento del progetto, visto che, per riprendere le impostazioni concernenti la finestra principale, il Runtime deve essere chiuso e riaperto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainWindowStyle"


ID_PROJEKT_MULTITOUCH

Interno ID: ID_PROJEKT_MULTITOUCH

Multitouch attivo

Attiva: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti: che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MultiTouch"


ID_PROJEKT_NETZ

Interno ID: ID_PROJEKT_NETZ

Rete

Proprietà per l’utilizzo del progetto in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Net"


ID_PROJEKT_NETZ_AKTIV

Interno ID: ID_PROJEKT_NETZ_AKTIV

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetActive"


ID_PROJEKT_NETZ_DATENSERVER

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Standby come Server dati

Disponibile solo se nella proprietà Standby è stato definito un server in standby.
Attiva: il server standby viene usato come server dati, il che significa che esso ha la connessione con l´hardware e inoltra i dati al server.
Non attiva: Il server stesso viene funge da server dati.
Ulteriori informazioni nella guida in linea

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Standby

Disponibile solamente se nella proprietà Server è stato inserito un server.
Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetDataServer"

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetDataServer"

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetDataServer"

Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: server e standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetDataServer"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetDataServer"


ID_PROJEKT_NETZ_REDUNDANZTYP

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Tipo di ridondanza

Disponibile solo se nella proprietà Standby sia stato inserito un calcolatore!

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Standby

Disponibile solamente se nella proprietà Server è stato inserito un server.
Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetType"

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetType"

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetType"

Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: server e standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetType"

zenon supporta due tipi di ridondanza:

Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il server standby gestisce la comunicazione bidirezionale con il PLC.

Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetType"


ID_PROJEKT_NETZ_ROUTING_AKTIV

Interno ID: ID_PROJEKT_NETZ_ROUTING_AKTIV

Attiva routing

Attiva: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing. Per questo motivo, consigliamo di disattivare questa impostazione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetRoutingActive"


ID_PROJEKT_NETZ_SB

Interno ID: ID_PROJEKT_NETZ_SB

Standby

Disponibile solamente se nella proprietà Server è stato inserito un server.
Nei sistemi ridondanti, questo calcolatore assume il ruolo di server nel caso che il server vero e proprio dovesse smettere di funzionare. Il sistema riconosce che il server ha smesso di funzionare se esso non reagisce entro il tempo definito in Timeout [s]. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Interno ID: ID_PROJEKT_NETZ_SB

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: ID_PROJEKT_NETZ_SB

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetSB"

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetSB"

Interno ID: ID_PROJEKT_NETZ_SB

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetSB"

Indicazione Nome: "localhost" non può essere usato come nome per lo standby o per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: server e standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetSB"


ID_PROJEKT_NETZ_SERVER

Interno ID: ID_PROJEKT_NETZ_SERVER

Server

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Interno ID: ID_PROJEKT_NETZ_SERVER

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetServer"

Indicazione Nome: l´indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome per il server.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetServer"


ID_PROJEKT_NETZ_TIMEOUT

Interno ID: ID_PROJEKT_NETZ_TIMEOUT

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: ID_PROJEKT_NETZ_TIMEOUT

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTimeout"

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTimeout"


ID_PROJEKT_NETZ_TOKEN

Interno ID: ID_PROJEKT_NETZ_TOKEN

Autorizzazione

Proprietà per l’autorizzazione in rete

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Token"


ID_PROJEKT_NETZ_TOKEN_AKTIV

Interno ID: ID_PROJEKT_NETZ_TOKEN_AKTIV

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Interno ID: ID_PROJEKT_NETZ_TOKEN_AKTIV

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenActive"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenActive"


ID_PROJEKT_NETZ_TOKEN_QUESTION

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout per la richiesta [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuestion"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuestion"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuestion"


ID_PROJEKT_NETZ_TOKEN_QUIT

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout per l'autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Rete attiva

Abilitata: Il progetto viene utilizzato in rete. Deve essere definito un Server.
DisabilitataIl progetto è un progetto stand-alone.
ATTENZIONE: Se si lavora in rete e si disabilita, se si utilizzano variabili del driver interno con funzionamento in rete queste smettono di funzionare correttamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuit"

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuit"

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuit"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetTokenQuit"


ID_PROJEKT_NOT_TRANSLATED

Interno ID: ID_PROJEKT_NOT_TRANSLATED

Visualizzare parole chiave non tradotte

Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

Attiva: visualizzazione nel Runtime come parola chiave, per es.: @Text.
Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

Indicazione: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowNotTranslated"


ID_PROJEKT_PASSWORT

Interno ID: ID_PROJEKT_PASSWORT

Gestione user

Impostazioni specifiche di progetto per l’amministrazione degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Password"


ID_PROJEKT_POKEACK

Interno ID: ID_PROJEKT_POKEACK

Funzioni settaggio valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Attiva: nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrospondente nella CEL.
Non attiva: la scrittura di valori nella CEL non viene messa a protocollo.
Default: non attiva
Indicazione: per usare questa proprietà, si deve eseguire il settaggio di valore impostabile tramite la funzione Setta valore impostabile.

Interno ID: ID_PROJEKT_POKEACK

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELPokeAck"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELPokeAck"


ID_PROJEKT_PRINT_ACTIVE

Interno ID: ID_PROJEKT_PRINT_ACTIVE

Stampa attiva

Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrintActive"


ID_PROJEKT_PRINT_AML_CEL

Interno ID: ID_PROJEKT_PRINT_AML_CEL

Stampa per

Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
Consente di decidere se AML oppure CEL devono essere stampate online. Può essere stampata solamente una sola delle due liste.

Interno ID: ID_PROJEKT_PRINT_AML_CEL

Stampa attiva

Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrintCEL"

Lista allarmi: La Lista allarmi (AML) viene stampata online.
Lista eventi cronologica: La Lista eventi cronologica(CEL) viene stampata online.
Default: Lista di informazioni allarmi

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrintCEL"


ID_PROJEKT_PRINT_LINES_PAGE

Interno ID: ID_PROJEKT_PRINT_LINES_PAGE

Righe per pagina

Disponibile solamente se la proprietà Stampa attiva è attiva.
Numero delle righe per pagina che vengono stampate con la stampa online.
Minimo: 0

Interno ID: ID_PROJEKT_PRINT_LINES_PAGE

Stampa attiva

Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrintLines"

Massimo: 65535
Default: 72

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrintLines"


ID_PROJEKT_SAME_COMMENTS

Interno ID: ID_PROJEKT_SAME_COMMENTS

Stesso commento

Attiva: i commenti che nel Runtime vengono aggiunti ad un allarme, vengono depositati anche presso il relativo inserimento nella Lista eventi cronologica (CEL).
Non attiva: i commenti relativi ad un allarme vengono depositati solamente nella lista informazioni allarmi.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SameComments"


ID_PROJEKT_SEL_WITH_BORDER

Interno ID: ID_PROJEKT_SEL_WITH_BORDER

Seleziona con cornice

Attiva: nella lista di informazioni allarmi (AML) e nella lista eventi cronologica (CEL) vengono messe in evidenza le righe selezionate mediante una cornice. Consigliata per una migliore leggibilità nel caso di elevate risoluzioni dello schermo.
Non attiva: Il colore di sfondo delle righe selezionate viene invertito. Consigliata per una migliore leggibilità nel caso di basse risoluzioni dello schermo.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SelBorder"


ID_PROJEKT_STARTBILD

Interno ID: ID_PROJEKT_STARTBILD

Immagine di partenza

Questa immagine viene aperta automaticamente all'avvio del runtime. La prima immagine generata in un progetto viene inserita qui automaticamente.
Cliccando sul pulsante ... si apre il dialogo di selezione immagini.

Indicazione: tipi speciali di immagine come immagine iniziale sono aperti con filtro vuoto e, dunque, senza dati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartPictureGuid"


ID_PROJEKT_TOUCH1

Interno ID: ID_PROJEKT_TOUCH1

Posizione preferita

Proprietà per la posizione desiderata dove sarà aperta la tastiera automatica ( relativa all’elemento selezionato).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPosition"


ID_PROJEKT_TOUCH2

Interno ID: ID_PROJEKT_TOUCH2

Posizione alternativa

Proprietà per la posizione alternativa dove sarà aperta la tastiera automatica (relativa all’elemento selezionato),se non è possibile aprirla nella posizione desiderata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPositionAlt"


ID_PROJEKT_TOUCHSCREEN

Interno ID: ID_PROJEKT_TOUCHSCREEN

Tastiera automatica

Per progetti con touchscreen.
Abilitata: Viene aperta automaticamente una tastiera virtuale nel momento in cui ci sia la necessità di effettuare un inserimento (p.e. settaggio di un valore impostabile).
Per gestire correttamente la tastiera abilitare la seguente proprietà sotto gli elementi dinamici “Settare valore impostabile tramite: Su elemento”.
DisabilitataSettaggio dati tramite maschera standard.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Touchscreen"


ID_PROJEKT_TOUCHSCREEN_HORZ

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dell’elemento selezionato per la posizione desiderata della tastiera automatica.
Default: 2.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPixelHorz"


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dell’elemento selezionato per la posizione alternativa della tastiera automatica.
Default: 2.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPixelHorzAlt"


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Orizzontale

Posizione orizzontale della tastiera automatica per la posizione desiderata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPosHorz"


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Orizzontale

Posizione orizzontale della tastiera automatica per la posizione alternativa.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPosHorzAlt"


ID_PROJEKT_TOUCHSCREEN_TOPBOT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT

Verticale

Posizione verticale della tastiera automatica per la posizione desiderata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPosVert"


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Verticale

Posizione verticale per la tastiera automatica per la posizione alternativa.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPosVertAlt"


ID_PROJEKT_TOUCHSCREEN_VERT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dell’elemento selezionato per la posizione desiderata della tastiera automatica.
Default: 2.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPixelVert"


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dell’elemento selezionato per la posizione alternativa della tastiera automatica.
Default: 2.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KeyboardPixelVertAlt"


ID_PROJEKT_TREND_MILLISEC

Interno ID: ID_PROJEKT_TREND_MILLISEC

Valori Trend e HD in millisecondi

Abilitata: La rappresentazione e l’elaborazione interna dei valori HD come l’aggiornamento delle immagini attive avviene in millisecondi.
Disabilitata: La rappresentazione e l’elaborazione interna dei valori HD come l’aggiornamento delle immagini attive avviene in secondi.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TrendMilliSec"


ID_PROJEKT_VARBEZEICHNER

Interno ID: ID_PROJEKT_VARBEZEICHNER

Visualizza variabili tramite

Visualizza le variabili a Runtime per:
Se durante il Runtime, si clicca e si tiene premuto il tasto destro del mouse su di un elemento dinamico, è possibile leggere ( in corrispondenza di questa selezione) l'indirizzo/nome/identificazione della variabile collegata.
Questa proprietà vale anche per la rappresentazione della Legenda dell'elemento dinamico Curve/Trend Indirizzo: Le variabili vengono visualizzate con il proprio Offset.
Identificazione: Le variabili sono visualizzate per il campo “Identificazione” (proprietà della variabile).
Nome: Le variabili sono visualizzate con il proprio nome.
Default: Nome.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarIdentifier"


ID_PROJEKT_VERWALTUNG

Interno ID: ID_PROJEKT_VERWALTUNG

Gestione progetto

Viene aperto il dialogo di configurazione progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProjectAdministration"


ID_PROJEKT_VERZEICHNIS

Interno ID: ID_PROJEKT_VERZEICHNIS

Cartella Runtime

percorso per i file runtime del progetto.
In questo percorso vengono salvati i file runtime generati; esso viene salvato come percorso di partenza del runtime.
Di default viene inserito qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Indicazione! se il runtime ha già generato dei dati storici, questi non vengono copiati automaticamente nella nuova cartella; l´utente deve farlo manualmente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WorkingPath"


ID_PROJEKT_WINDOWS_CE

Interno ID: ID_PROJEKT_WINDOWS_CE

Progetto WindowsCE

Attiva: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
Indicazione: se nel RGM per la proprietà RGM formato dati è stata selezionata l´opzione MS Access DB, quando si attiva questa proprietà il sistema apre un dialogo che fornisce delle indicazioni per effettuare la Conversione.

Interno ID: ID_PROJEKT_WINDOWS_CE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WindowsCE"

Non attiva: è a disposizione la completa funzionalità dell´Editor provvista di licenza.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WindowsCE"


ID_PROP_COMBOLIST_DYNCONTENT_USE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Inserimento da variabile string

Attiva: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseDynContent"

Non attiva: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseDynContent"

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseDynContent"


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Inserimento da variabile string

Attiva: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Non attiva: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynContentVariable"

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynContentVariable"

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynContentVariable"


ID_PROP_COMBOLIST_FGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_FGCOLOR_SEL

Colore testo per la selezione

Definisce il colore del testo quando viene selezionato un elemento. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante .... Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextColorSelected"


ID_PROP_COMBOLIST_HGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_HGCOLOR_SEL

Colore di sfondo per la selezione

Definisce il colore di sfondo quando viene selezionato un elemento. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante .... Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorSelected"


ID_PROP_COMBOLIST_SOFORTREAKT

Interno ID: ID_PROP_COMBOLIST_SOFORTREAKT

Reazione immediata

Rende possibile nel caso di driver che reagiscono lentamente di rappresentare come se fosse già successa una reazione anche se la risposta del driver non è ancora giunta.

- attivo: Rappresenta nella visualizzazione delle reazioni del driver come già avvenuto anche se non si sono ancora verificate.

Default: Attiva

Indicazione: Nel caso in cui un driver non dovesse reagire, la mancanza della reazione non viene notata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InstantReaction"


ID_PROP_ELE_RT_LASSO

Interno ID: ID_PROP_ELE_RT_LASSO

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attiva: l´elemento può essere selezionato nel Runtime con il lazzo.
Disattivata: l´elemento non può essere selezionato nel Runtime.
Default: Attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo)!

Interno ID: ID_PROP_ELE_RT_LASSO

Selezioni multiple in Runtime (Lazzo)

Attiva: muovendo il mouse tenendo premuto il tasto sinistro potete selezionare numerosi elementi durante il funzionamento runtime. Una macro VBA può avere accesso a questi elementi.
Non attiva: La funzionalità Selezioni multiple in Runtime (Lazzo) non viene utilizzata.
Default: non attiva
Indicazione: Lazzofunziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è conessa una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzione lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazzo.

Interno ID: ID_PROP_ELE_RT_LASSO

Runtime

Proprietà di Runtime dell’elemento selezionato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LassoSelect"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LassoSelect"

Interno ID: ID_PROP_ELE_RT_LASSO

Impostazioni Runtime

Proprietà di Runtime del progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LassoSelect"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LassoSelect"


ID_PROP_GRP_SYSTEMMODEL_GROUP

Interno ID: ID_PROP_GRP_SYSTEMMODEL_GROUP

Generale

Proprietà generali del gruppo impianti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROP_GRP_SYSTEMMODEL_MODEL

Interno ID: ID_PROP_GRP_SYSTEMMODEL_MODEL

Generale

Proprietà generali del modello impianti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Ripristino obbligatorio

Il messaggio deve essere confermato al momento della ricezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AckReq"


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Timeout di avviso ricezione

Intervallo di tempo per la conferma del messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AckTimeOut"


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Allegato

Nome dell´allegato di un messaggio. Solo per E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Attachment"


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Tentativi

Numero dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Attempts"


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Codice specifico di funzione

Mostra se viene usato un codice individuale per la conferma.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CodesFromFunction"


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Identificatore personalizzato

Identifier definito dall´utente.
Può essere settato solamente tramite VBA/VSTA nell´evento MessageCreated".

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CustomIdentifier"


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Numero ciclo d' invio

Indica il numero delle volte in cui un messaggio è stato inoltrato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CycleCounter"


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Destinazione

Indirizzo della destinazione del messaggio (indirizzo E-Mail, numero di telefono).

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Destination"


ID_PROP_MSGCTRL_MESSAGE_GUID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Identificazione univoca (GUID) del messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Guid"


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Numero Max. Tentativi

Numero massimo dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxAttempts"


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Notizia

Testo del messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MessageText"


ID_PROP_MSGCTRL_MESSAGE_SEND

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SEND

prossimo tentativo

Momento del prossimo tentativo di invio del messaggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Send"


ID_PROP_MSGCTRL_MESSAGE_SENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SENT

Creato / ultimo invio

Momento nel quale il messaggio è stato generato, oppure nel quale è avvenuto l´ultimo tentativo di invio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sent"


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Tempo di attesa

Tempo di attesa espresso in minuti per il monitoraggio di timeout e inoltro di messaggi.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeToWait"


ID_PROP_MSGCTRL_MESSAGE_TITLE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TITLE

Soggetto

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Title"


ID_PROP_SKIN_ADVANCEDSETTINGS

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AdvancedStyleH"


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AdvancedStyle"


ID_PROP_SKIN_ENABLEHEADER

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Intestazione utilizzabile

Disponibile solamente se avete selezionato Intestazione modificabile nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"

Disponibile per la lista aspetto cursore nel trend esteso.

Permette di gestire l´intestazione per la lista corrispondente. Durante il funzionamento runtime, potete spostare le singole colonne e potete modificarne la larghezza. Potete ordinare la visualizzazione sulla base di una colonna qualsiasi.

attivo: L´intestazione è gestibile.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnableHeader"


ID_PROP_SKIN_GRIDCOLORH

Interno ID: ID_PROP_SKIN_GRIDCOLORH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridColorH"


ID_PROP_SKIN_GRIDCOLORV

Interno ID: ID_PROP_SKIN_GRIDCOLORV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridColorV"


ID_PROP_SKIN_GRIDGRP

Interno ID: ID_PROP_SKIN_GRIDGRP

Griglia

Proprietà per la griglia del campo lista.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Grid"


ID_PROP_SKIN_GRIDSIZEH

Interno ID: ID_PROP_SKIN_GRIDSIZEH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridSizeH"


ID_PROP_SKIN_GRIDSIZEV

Interno ID: ID_PROP_SKIN_GRIDSIZEV

Spessore linea verticale [Pixel]

Larghezza delle linee giglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridSizeV"


ID_PROP_SKIN_GRIDTYPEH

Interno ID: ID_PROP_SKIN_GRIDTYPEH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desidertato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una line piena.

Interno ID: ID_PROP_SKIN_GRIDTYPEH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridTypeH"

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridTypeH"


ID_PROP_SKIN_GRIDTYPEV

Interno ID: ID_PROP_SKIN_GRIDTYPEV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desidertato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una line piena.

Interno ID: ID_PROP_SKIN_GRIDTYPEV

Spessore linea verticale [Pixel]

Larghezza delle linee giglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridTypeV"

Indicazione: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GridTypeV"


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor"


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBackColor2"


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientAngle"


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderColorGradientOffset"


ID_PROP_SKIN_HEADERBAR_FONT

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderFont"


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderFontColor"


ID_PROP_SKIN_HEADERBAR_GRP

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBar"


ID_PROP_SKIN_HEADERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderLightning"


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DescDownImage"


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AscSortImage"


ID_PROP_SKIN_HEADERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderBarImage"


ID_PROP_SKIN_HEADERBAR_STYLE

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HeaderStyle"


ID_PROP_SKIN_HORBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorH"


ID_PROP_SKIN_HORBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2H"


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonHeightH"

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonHeightH"


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonWidthH"

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonWidthH"


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleH"


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetH"


ID_PROP_SKIN_HORBAR_GRP

Interno ID: ID_PROP_SKIN_HORBAR_GRP

Barra di scorrimento orizzontale

Proprietà per la barra di scorrimento orizzontale del campo lista.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HorizontalBar"


ID_PROP_SKIN_HORBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningH"


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftH"


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightH"


ID_PROP_SKIN_HORBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanH"


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbH"


ID_PROP_SKIN_HORBAR_STYLE

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleH"


ID_PROP_SKIN_HORBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_HORBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_HORBAR_THUMBSIZE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThumbSizeH"

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThumbSizeH"


ID_PROP_SKIN_NOSELECTION

Interno ID: ID_PROP_SKIN_NOSELECTION

Non evidenziare la riga selezionata

Qui definite se le righe selezionate nel campo lista devono essere evidenziate graficamente. Se attivate questa proprietà non vedete quale inserimento avete selezionato. Tutte le righe della lista hanno lo stesso aspetto.

Default: inattivo.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HideSelection"


ID_PROP_SKIN_SHOWBORDER

Interno ID: ID_PROP_SKIN_SHOWBORDER

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

Interno ID: ID_PROP_SKIN_SHOWBORDER

Stile H

Style Windows dell’elemento, solo per uso interno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowBorder"

Interno ID: ID_PROP_SKIN_SHOWBORDER

Stile L

Style Windows dell’elemento, solo per uso interno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowBorder"

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: non attivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowBorder"


ID_PROP_SKIN_SHOWHEADER

Interno ID: ID_PROP_SKIN_SHOWHEADER

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Interno ID: ID_PROP_SKIN_SHOWHEADER

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_SHOWHEADER

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Interno ID: ID_PROP_SKIN_SHOWHEADER

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Interno ID: ID_PROP_SKIN_SHOWHEADER

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_SHOWHEADER

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_SHOWHEADER

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_SHOWHEADER

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Interno ID: ID_PROP_SKIN_SHOWHEADER

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Interno ID: ID_PROP_SKIN_SHOWHEADER

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Interno ID: ID_PROP_SKIN_SHOWHEADER

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_SHOWHEADER

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowHeader"


ID_PROP_SKIN_VERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorV"


ID_PROP_SKIN_VERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor2V"


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonHeightV"

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonHeightV"


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonWidthV"

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ButtonWidthV"


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientAngleV"


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ColorGradientOffsetV"


ID_PROP_SKIN_VERBAR_GRP

Interno ID: ID_PROP_SKIN_VERBAR_GRP

Barra di scorrimento verticale

Proprietà per la barra di scorrimento verticale del campo lista.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VerticalBar"


ID_PROP_SKIN_VERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LightningV"


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapLeftV"


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapRightV"


ID_PROP_SKIN_VERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapSpanV"


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML.

Ulteriori informazioni nella guida in linea CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitmapThumbV"


ID_PROP_SKIN_VERBAR_STYLE

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmiper la proprietàHeader AML o nel gruppo Lista eventi cronologica (CEL) per la proprietàIntestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Intestazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

attivo: viene visualizzata l´intestazione.

Default: Attiva

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Senza intestazione: Nella CEL non viene visualizzata alcuna intestazione durante il runtime.
Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna
Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Durante il runtime possono essere spostate le singole colonne, se ne può cambiare la larghezza; si può ordinare secondo una colonna qualsiasi.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Lista eventi cronologica (CEL)

Impostazioni per la gestione della lista eventi cronologica.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.

Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Le singole colonne possono essere spostate durante il runtime e se ne può adattare la larghezza. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML la proprietà Funzionalità grafiche avanzate è stata disattivata, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su off.
Default: Intestazione gestibile

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Lista di informazione allarmi

Impostazione per la gestione di allarmi.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Offset

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Effetto luce

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Colore riempimento

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Carattere

Questa proprietà non è disponibile sotto Windows XP.

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Offset [%]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Effetto riempimento 3-D

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Colore riempimento

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BarStyleV"


ID_PROP_SKIN_VERBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_VERBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Interno ID: ID_PROP_SKIN_VERBAR_THUMBSIZE

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThumbSizeV"

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThumbSizeV"


ID_PROP_SYSTEMMODEL_GROUP_NAME

Interno ID: ID_PROP_SYSTEMMODEL_GROUP_NAME

Nome

Nome del gruppo. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: GruppoX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_PROP_SYSTEMMODEL_ROOT_NAME

Interno ID: ID_PROP_SYSTEMMODEL_ROOT_NAME

Nome

Nome del modello. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: ModelloX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_PROP_SYSTEMMODELGOUP

Interno ID: ID_PROP_SYSTEMMODELGOUP

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SystemModelGroup"


ID_PROP_VIEWLIMITFROMVAR

Interno ID: ID_PROP_VIEWLIMITFROMVAR

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ViewLimitFromVar"


ID_PROP_WPFELEM_CONFIG_LINKS

Interno ID: ID_PROP_WPFELEM_CONFIG_LINKS

Configurazione

Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LinksConfig"


ID_PROP_WPFELEM_XAMLFILE

Interno ID: ID_PROP_WPFELEM_XAMLFILE

File XAML

Selezione del file XAML per l´elemento WPF. Un clic sul comando ... apre il dialogo che serve alla selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FileName"


ID_PUNCHFRAME_ALPHA

Interno ID: ID_PUNCHFRAME_ALPHA

Trasparenza [%]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di proegetto Qualità grafica.

Interno ID: ID_PUNCHFRAME_ALPHA

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PUNCHFRAME_ALPHA

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PUNCHFRAME_ALPHA

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAlpha"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAlpha"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAlpha"

Interno ID: ID_PUNCHFRAME_ALPHA

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAlpha"

Indica la trasparenza dell´ombra fra 0 e 100%.

0: coprente.

100: trasparente

Default: 60

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAlpha"


ID_PUNCHFRAME_ANGLE

Interno ID: ID_PUNCHFRAME_ANGLE

Angolo [°]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Interno ID: ID_PUNCHFRAME_ANGLE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PUNCHFRAME_ANGLE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PUNCHFRAME_ANGLE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAngle"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAngle"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAngle"

Interno ID: ID_PUNCHFRAME_ANGLE

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAngle"

Angolo in gradi in cui si sposta l´ombra.

Valori: da 0° a 359°. 0° corrisponde alla estrema posizione a destra (le 3), si continua in senso antiorario.

Default: 0°

Un clic sul comando ... apre la barra di scorrimento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameAngle"


ID_PUNCHFRAME_SIZE

Interno ID: ID_PUNCHFRAME_SIZE

Dimensioni ombra [%]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Interno ID: ID_PUNCHFRAME_SIZE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PUNCHFRAME_SIZE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PUNCHFRAME_SIZE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSize"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSize"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSize"

Interno ID: ID_PUNCHFRAME_SIZE

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSize"

Valore in pixel che definisce la grandezza dell´ombra indipendentemente.

La grandezza del campo valori dipende dalla risoluzione dello schermo.

Valore positivo: Ombra diventa più grande dell´elemento.

Valore negativo: l´ombra diventa più piccola dell´elemento.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSize"


ID_PUNCHFRAME_SOFTFOCUS

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Effetto Blur

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSoftFocus"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSoftFocus"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSoftFocus"

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSoftFocus"

Definisce il grado dell´Effetto Blur in numero di pixel che vengono usati per sfumare. Tanto più grande è questo valore, tanto più dolce è la gradazione dell´ombra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare il valore.

Valori: 0 fino a 50

0: nessun effetto blur.

50: effetto blur massimo.

Default: 0

Attenzione: se qui il valore non è pari a 0, il calcolo dell´ombra influenza la prestazione del sistema. Questo vale nell´editor in particolare per lo spostamento dell´ombra, oppure il collocamento di altri oggetti sull´ombra. Ogni cambio immagine durante il runtime ne è interessato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameSoftFocus"


ID_PUNCHFRAME_TYPE

Interno ID: ID_PUNCHFRAME_TYPE

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
Cornice: l´elemento può essere dotato di una cornice.
Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solo se nelle proprietà di progetto è stata attivata Qualità grafica.)
Eccezione: gli elementi Testo statico e Elemento di stato non possono essere dotati di un´ombra.

Interno ID: ID_PUNCHFRAME_TYPE

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis o Windows avanzate. La rappresentazione DirectX viene supportata solamente nel runtime. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

Possibile selezione:

Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.

Windows avanzate: Mette a disposizione delle funzioni avanzate per la rappresentazione grafica; necessita di risorse più ampie.

DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.

DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sjstema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: Windows avanzate

Attenzione: Windows avanzate e DirectX non sono disponibili sotto Windows CE.

Avvertenza:
se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
Quando si attiva l´opzione Windows standard per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Ulteriori informazioni nella guida in linea

Interno ID: ID_PUNCHFRAME_TYPE

Larghezza linea

Larghezza linea (in pixel).
Minimo: 0
La larghezza linea in questo caso è 1 pixel.
Massimo: 65535
Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Interno ID: ID_PUNCHFRAME_TYPE

Aspetto grafico

Proprietà per l'impostazione grafica del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameType"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameType"

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameType"

Default: Nessuna cornice/ombra

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PunchFrameType"


ID_PWVALID

Interno ID: ID_PWVALID

Periodo di validità pass. [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova passoword.
Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
Massimo: 4294967295.
Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perchè le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PWValid"


ID_READWRITE

Interno ID: ID_READWRITE

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReadWrite"


ID_RECIPE_GRP1

Interno ID: ID_RECIPE_GRP1

Generale

Impostazioni generali per la ricetta.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_RECIPE_PW

Interno ID: ID_RECIPE_PW

Livello di autorizzazione:

Gruppo di autorizzazione necessaria per la modifica della ricetta in Runtime.
Un utente è abilitato a cambiare i valori di una ricetta (leggere,creare e cancellare), se è disponibile il corrispondente livello di autorizzazione. .
Minimo: 0.
Massimo: 127.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PasswordLevel"


ID_REMA_PROP1

Interno ID: ID_REMA_PROP1

Nome

Nome univoco della matrice di reazione;il nome può essere modificato qui.

ATTENZIONE : Questa proprietà non è disponibile per il cambio lingua.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_REMA_PROP2

Interno ID: ID_REMA_PROP2

Tipo

Tipo di matrice di reazione:
Binaria: Discriminazione stati orientata ai singoli Bit
Multi-binaria: Discriminazione stati estesa a variabili a 32 Bit, i primi 16 bit determinano i valori della variabile e sono passati all’elemento numerico;reindirizzamento sui Bit di Stato;funzioni speciali (disabilitazione variabile a bit settato)
Analogica: Discriminazione analogica degli stati (orientata a valori)
Multi analogica: Discriminazione estesa e funzioni speciali.
Stringa: Comparazione testo
Il tipo viene definito durante la creazione della matrice e non puo essere modificato successivamente.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


ID_REMA_PROP46

Interno ID: ID_REMA_PROP46

Informazioni aggiuntive 1

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserProperty1"


ID_REMA_PROP47

Interno ID: ID_REMA_PROP47

Informazioni aggiuntive 2

Nel runtime, può essere analizzata l´informazione aggiuntiva 1 indicata in questa sede in una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserProperty2"


ID_REMA_PROP_GRP0

Interno ID: ID_REMA_PROP_GRP0

Generale

Proprietà generali per la matrice di reazione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_REMA_STATES

Interno ID: ID_REMA_STATES

Configurazione

Apre la finestra di dialogo per la definizione degli stati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "States"


ID_RGM_PROP06

Interno ID: ID_RGM_PROP06

Nome gruppo

Nome del gruppo ricette.

Nel caso si sia adottata l´impostazione File Binari per la proprietà RGM formato dati, sono consentiti solamente caratteri alfanumerici.

Interno ID: ID_RGM_PROP06

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_RGM_PROP13

Interno ID: ID_RGM_PROP13

Numero ricetta

Numero della ricetta

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeNumber"


ID_RGM_PROP14

Interno ID: ID_RGM_PROP14

Nome ricetta

Nome per ricetta. Il nome ricetta deve essere univoco. Se File binari è stato selezionato per la proprietà RGM formato dati, il nome può contenere solamente dei caratteri alfanumerici.

Interno ID: ID_RGM_PROP14

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeName"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeName"


ID_RGM_PROP15

Interno ID: ID_RGM_PROP15

Commento 1

Riga di commento 1 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment1"


ID_RGM_PROP16

Interno ID: ID_RGM_PROP16

Commento 2

Riga di commento 2 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment2"


ID_RGM_PROP21

Interno ID: ID_RGM_PROP21

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attiva: alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Interno ID: ID_RGM_PROP21

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WriteSync"

Disattivata: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WriteSync"


ID_RGM_PROP22

Interno ID: ID_RGM_PROP22

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Interno ID: ID_RGM_PROP22

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attiva: alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Disattivata: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WriteTimeout"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WriteTimeout"


ID_RGM_PROP23

Interno ID: ID_RGM_PROP23

Livello di autorizzazione:

Selezione del livello autorizzazioni fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PWLevel"


ID_RGM_PROP26

Interno ID: ID_RGM_PROP26

Min

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Interno ID: ID_RGM_PROP26

Riprendi limiti di valori impostabili da variabile

Attiva: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"

Valore minimo delle variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"


ID_RGM_PROP27

Interno ID: ID_RGM_PROP27

Max

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Interno ID: ID_RGM_PROP27

Riprendi limiti di valori impostabili da variabile

Attiva: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"

Valore massimo delle variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"


ID_SAP_ADDITIONAL_GRP

Interno ID: ID_SAP_ADDITIONAL_GRP

Messaggi

Stabilite nelle seguenti properties quali informazioni suppletive devono essere inviate in caso di una segnalazione di errore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapAdditional"


ID_SAP_DEBUG_GRP

Interno ID: ID_SAP_DEBUG_GRP

Trova errori

Con le seguenti properties potete testare il collegamento fra zenon e il sistema SAP.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapDebug"


ID_SAP_FIELD_GRP

Interno ID: ID_SAP_FIELD_GRP

Campo di struttura

Impostazioni per la configurazione dei dati di un campo struttura per SAP ERP.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapStructField"


ID_SAP_FUNC_ACTIVITY_GRP

Interno ID: ID_SAP_FUNC_ACTIVITY_GRP

Controllo attività

Contiene proprietà per il controllo attività.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapFuncActivity"


ID_SAP_FUNC_ACTIVITY_VAR

Interno ID: ID_SAP_FUNC_ACTIVITY_VAR

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

0 = inattivo.

1 = inserito in lista attesa aperture

2 = Chiamata attiva

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActivityVar"


ID_SAP_FUNC_ERROR_CODE_VAR

Interno ID: ID_SAP_FUNC_ERROR_CODE_VAR

Codice di errore

Variabile numerica per il codice di errore della chiamata funzione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ErrorVar"


ID_SAP_FUNC_ERROR_GRP

Interno ID: ID_SAP_FUNC_ERROR_GRP

Segnalazioni d'errore

Contiene proprietà per la configurazione di messaggi di errore per funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapFuncError"


ID_SAP_FUNC_ERROR_TEXT_VAR

Interno ID: ID_SAP_FUNC_ERROR_TEXT_VAR

Testo di errore

Variabile stringa per descrizione breve dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ErrorTextVar"


ID_SAP_FUNC_INFO

Interno ID: ID_SAP_FUNC_INFO

Informazioni su

Testo corto selezionabile liberamente. Serve solo come informazione. Se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Info"


ID_SAP_FUNC_LABEL

Interno ID: ID_SAP_FUNC_LABEL

Nome funzione

Denominazione assegnabile a piacere alla funzione SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Label"


ID_SAP_FUNC_LAST_ERROR_VAR

Interno ID: ID_SAP_FUNC_LAST_ERROR_VAR

Descrizione di errore

Variabile stringa per dettagliata descrizione dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LastErrorVar"


ID_SAP_FUNC_NAME

Interno ID: ID_SAP_FUNC_NAME

RFC function block

Nome del blocco dati funzionale nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_SAP_FUNCTION_GRP

Interno ID: ID_SAP_FUNCTION_GRP

Funzione SAP

Contiene le proprietà per la configurazione di base delle funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapFunctions"


ID_SAP_LOGON_GRP

Interno ID: ID_SAP_LOGON_GRP

Login SAP

Impostante nelle seguenti Properties le informazioni concernenti il mandante e l'utente che devono essere utilizzate per la connessione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapLogon"


ID_SAP_NOTIFICATION_GRP

Interno ID: ID_SAP_NOTIFICATION_GRP

Messaggio di segnalazione

Con le seguenti Properties stabilite quali informazioni ulteriori devono essere inviate in caso di segnalazione di errore.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapNotification"


ID_SAP_PAR_TAB_INFO

Interno ID: ID_SAP_PAR_TAB_INFO

Informazioni su

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Info"


ID_SAP_PAR_TAB_NAME

Interno ID: ID_SAP_PAR_TAB_NAME

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_SAP_PAR_TAB_OPTIONAL

Interno ID: ID_SAP_PAR_TAB_OPTIONAL

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Optional"


ID_SAP_PAR_TAB_TYPE

Interno ID: ID_SAP_PAR_TAB_TYPE

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco dati funzionali al momento della chiamata.

Export: il valore del parametro viene restituito dalla chiamata funzione.

Changing: sia parametro di trasmissione e restituzione.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


ID_SAP_PAR_TAB_VARIABLE

Interno ID: ID_SAP_PAR_TAB_VARIABLE

Variabile

Mit dem Parameter, der Tabelle oder dem Strukturfeld verknüpfte zenon Va\-riable. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


ID_SAP_PARAMETER_GRP

Interno ID: ID_SAP_PARAMETER_GRP

Parametri

Contiene proprietà per la configurazione dei parametri di funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapParameter"


ID_SAP_PROP_CLIENT

Interno ID: ID_SAP_PROP_CLIENT

Mandatario

Numero o nome del mandante sul sistema SAP con cui viene creata una connessione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapClient"


ID_SAP_PROP_END_TIME

Interno ID: ID_SAP_PROP_END_TIME

Fino

Momento entro il quale deve essere eseguito l'orario.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EndTime"


ID_SAP_PROP_EQUIPMENT

Interno ID: ID_SAP_PROP_EQUIPMENT

Funct. location/equipment

Indica se il sistema SAP tratta l'identificazione servizio della variabile trasmessa come numero di un posto tecnico o di un equipment.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapEquipment"


ID_SAP_PROP_EVERY_DAY

Interno ID: ID_SAP_PROP_EVERY_DAY

Ogni giorno

Il piano viene eseguito ogni giorno. Se questa proprietà è attiva, quelle dei giorni singoli sono disattivate.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EveryDay"


ID_SAP_PROP_FRIDAY

Interno ID: ID_SAP_PROP_FRIDAY

Venerdì

Il piano viene eseguito ogni venerdì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Friday"


ID_SAP_PROP_INTERVAL

Interno ID: ID_SAP_PROP_INTERVAL

Tutti

Intervallo in cui il piano deve essere eseguito. Se non è indicata alcuna ora finale, il piano viene eseguito entro la mezzanotte dei giorni selezionati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Interval"


ID_SAP_PROP_LANGUAGE

Interno ID: ID_SAP_PROP_LANGUAGE

Lingua

Lingua utente. Il trattamento da parte del sistema SAP di dieresi, caratteri speciali ecc dipende dalla lingua impostata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapLanguage"


ID_SAP_PROP_MESSBELEG

Interno ID: ID_SAP_PROP_MESSBELEG

Crea measurement document

Attiva: Create una prova di misurazione da inviare al sistema SAP.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapMeasDoc"


ID_SAP_PROP_MONDAY

Interno ID: ID_SAP_PROP_MONDAY

Lunedì

Il piano viene eseguito ogni lunedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Monday"


ID_SAP_PROP_NOTIFICATION_TYPE

Interno ID: ID_SAP_PROP_NOTIFICATION_TYPE

Tipo di segnalazione

Uno dei tipi di segnalazione predefiniti nel sistema SAP. La reazione del sistema SAP ad una segnalazione di errore si differenzia a seconda del tipo di segnalazione.

Se non si indica alcun tipo di segnalazione, il sistema SAP non può generare alcuna segnalazione di errore, ma fornisce un messaggio di errore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapNotificationType"


ID_SAP_PROP_PASSWORD

Interno ID: ID_SAP_PROP_PASSWORD

Password

password dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapPassword"


ID_SAP_PROP_PLANT

Interno ID: ID_SAP_PROP_PLANT

Pianta

Impianto di manutenzione in segnalazioni di errore. Se non viene indicato alcun impianto di manutenzione, il sistema SAP usa di Default quello della parte di impianto (posto tecnico, Equipment) dalla quale proviene la segnalazione di errore.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapPlant"


ID_SAP_PROP_REPORTER

Interno ID: ID_SAP_PROP_REPORTER

Segnalazione

Il segnalatore viene aggiunto in un sistema SAP alla segnalazione di errore.

Se non si indica alcun segnalatore, il sistema SAP inserisce di Default l'utente che ha effettuato il Login nel sistema.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapReporter"


ID_SAP_PROP_ROUTER

Interno ID: ID_SAP_PROP_ROUTER

Stringa di router

Indirizzo IP o nome del Router SAP tramite il quale viene realizzata la connessione. Nel caso in cui la connessione funzioni tramite diversi router („Hops"), il router SAP più vicino al sistema di controllo deve essere indicato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapRouter"


ID_SAP_PROP_SATURDAY

Interno ID: ID_SAP_PROP_SATURDAY

Sabato

Il piano viene eseguito ogni sabato. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Saturday"


ID_SAP_PROP_SERVER

Interno ID: ID_SAP_PROP_SERVER

Server dell'applicazione

Indirizzo IP o nome del server SAP tramite il quale viene realizzata la connessione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapServer"


ID_SAP_PROP_START_TIME

Interno ID: ID_SAP_PROP_START_TIME

Alle/Da

Tempo di inizio del piano. Se si indicano come intervallo e ora finale 00.00.00, il piano viene eseguito nei giorni selezionati solo una volta a quest'ora.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StartTime"


ID_SAP_PROP_SUNDAY

Interno ID: ID_SAP_PROP_SUNDAY

Domenica

Il piano viene eseguito ogni domenica. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sunday"


ID_SAP_PROP_SYSTEM

Interno ID: ID_SAP_PROP_SYSTEM

System-ID

Numero di sistema del sistema SAP con cui viene creata una connessione (su un server di applicazione possono funzionare contemporaneamente molti sistemi SAP con diversi sistemi ID).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapSystemId"


ID_SAP_PROP_TEST

Interno ID: ID_SAP_PROP_TEST

Test di connessione

Cerca di creare una connessione con il sistema SAP con le impostazioni indicate. Se ciò non è possibile, viene emessa una segnalazione di errore dettagliata nella forma di un Messagebox.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapTest"


ID_SAP_PROP_THURSDAY

Interno ID: ID_SAP_PROP_THURSDAY

Giovedì

Il piano viene eseguito ogni giovedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Thursday"


ID_SAP_PROP_TRACE

Interno ID: ID_SAP_PROP_TRACE

Salvataggio di

Gestisce l'azione di protocollaggio della comunicazione con il sistema SAP.

attivo: La comunicazione fra zenon e il sistema SAP viene messa a protocollo.

Default: inattivo.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapTrace"


ID_SAP_PROP_TUESDAY

Interno ID: ID_SAP_PROP_TUESDAY

Martedì

Il piano viene eseguito ogni martedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tuesday"


ID_SAP_PROP_USER

Interno ID: ID_SAP_PROP_USER

User

nome di registrazione dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapUser"


ID_SAP_PROP_VAR_NAME

Interno ID: ID_SAP_PROP_VAR_NAME

Nome

Nome delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapVarName"


ID_SAP_PROP_VAR_TAG

Interno ID: ID_SAP_PROP_VAR_TAG

Identificazione

Identificazione delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapVarTag"


ID_SAP_PROP_VAR_TYPE

Interno ID: ID_SAP_PROP_VAR_TYPE

Tipo

Tipo delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapVarType"


ID_SAP_PROP_VAR_UNIT

Interno ID: ID_SAP_PROP_VAR_UNIT

Unità di misura

Unità delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapVarUnit"


ID_SAP_PROP_WEDNESDAY

Interno ID: ID_SAP_PROP_WEDNESDAY

Mercoledì

Il piano viene eseguito ogni mercoledì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Wednesday"


ID_SAP_SCHEDULE_DATE_GRP

Interno ID: ID_SAP_SCHEDULE_DATE_GRP

Giorni settimanali

Con le seguenti Properties potete stabilire in quale giorno o in quali giorni della settimana deve essere eseguito il piano.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScheduleDate"


ID_SAP_SCHEDULE_MEAS_DOC_GRP

Interno ID: ID_SAP_SCHEDULE_MEAS_DOC_GRP

Measurement document

Con le seguenti Properties stabilite quale segnalatore devono essere indicato in caso di segnalazione di errore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScheduleMeasDoc"


ID_SAP_SCHEDULE_TIME_GRP

Interno ID: ID_SAP_SCHEDULE_TIME_GRP

Ora

Con le seguenti Properties stabilite a che ora il piano deve essere eseguito.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ScheduleTime"


ID_SAP_SYSTEM_GRP

Interno ID: ID_SAP_SYSTEM_GRP

Sistema SAP ERP

Indicate nelle seguenti Properties il nome o il numero del server, del router e del sistema SAP che devono essere utilizzati per la crezione della comunicazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SapSystem"


ID_SAP_TAB_ROWCOUNT_VAR

Interno ID: ID_SAP_TAB_ROWCOUNT_VAR

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RowCountVar"


ID_SAP_TABLE_GRP

Interno ID: ID_SAP_TABLE_GRP

Tabella

Contiene le proprietà per il tipo funzione tabella.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_SapTable"


ID_SATBEF_PROP1

Interno ID: ID_SATBEF_PROP1

Modalità

Selezione dello scopo d'uso.

impostazione: l'elemento di comando serve al comando.

Chiamata di funzione: l'elemento di comando serve all'esecuzione della funzione.
Questa opzione esiste solo per ragioni di compatibilità con versioni più vecchie e non dovrebbe essere più utilizzata.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Mode"


ID_SATBEF_PROP2

Interno ID: ID_SATBEF_PROP2

Immagine

Selezione dell'immagine che deve essere aperta al momento dell'attivazione dell'elemento nel Runtime.

Vengono proposte solamente immagini del tipo "comando".

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PictSwitch"


ID_SATBEF_PROP3

Interno ID: ID_SATBEF_PROP3

Parametro

Apre il dialogo parametro dell'elemento di comando.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PictFilter"


ID_SATBEF_PROP4

Interno ID: ID_SATBEF_PROP4

Funzione

Selezione della funzione da eseguire nella modalità: Funzione.
Non viene più usata. Disponibile solo per motivi di compatibilità con versioni precedenti

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_SATBEF_PROP5

Interno ID: ID_SATBEF_PROP5

Gruppo di attivazione

Selezione del gruppo di attivazione.

Necessario solo in connessione con la funzione di preselezione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActivationGroup"


ID_SATBEF_PROP6

Interno ID: ID_SATBEF_PROP6

Sempre selezionabile

Attivo: Scelta del comando direttamente con clic del mouse (tasto sinistro).

Disattivato: Selezione del comando possibile solo in seguito a precedente funzione di selezione. (Funzioni ->Uso ->attivazione comando)
Dopo l'attivazione del comando nel Runtime viene visualizzata una cornice di tutti gli elementi progettati in tal modo.

Creazione di una nuova azione "comando" cliccando con il tasto destro del mouse -> Nuova azione.

Attenzione: nella visione a dialogo possibile solo nella finestra sinistra.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlwaysSelectable"


ID_SATBEF_PROP_GRP1

Interno ID: ID_SATBEF_PROP_GRP1

Azione

Proprietà per comandi

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Action"


ID_SAVE_ALWAYS_BIN_AML

Interno ID: ID_SAVE_ALWAYS_BIN_AML

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attiva: ogni modifica dei dati della Lista informazioni allarmi ha come effetto anche il salvataggio dei dati stessi (alarm.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della lista di informazioni allarmi (alarm.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.aml) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Interno ID: ID_SAVE_ALWAYS_BIN_AML

Lista di informazione allarmi attiva

Attiva: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SaveAmlStack"

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SaveAmlStack"


ID_SAVE_ALWAYS_BIN_CEL

Interno ID: ID_SAVE_ALWAYS_BIN_CEL

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Interno ID: ID_SAVE_ALWAYS_BIN_CEL

Abilita CEL

Attiva: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
Non attiva: Non viene registrato nessun evento.
Default: Attiva

Indicazione: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SaveCelStack"

Attiva: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
Indicazione: in tal modo, ad ogni salvataggio, viene salvato tutto il buffer circolare. Ciò può provocare (soprattutto con Flash Disks) un sovraccarico del sistema.
Non attiva: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SaveCelStack"


ID_SCRIPT_DEL

Interno ID: ID_SCRIPT_DEL

{Cancella Script}

Cancella lo script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeleteScript"


ID_SCRIPT_GRP0

Interno ID: ID_SCRIPT_GRP0

Generale

Impostazioni generali sulgli script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_SCRIPT_IMEX_NAME

Interno ID: ID_SCRIPT_IMEX_NAME

Nome

Nome univoco della ricetta

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeName"


ID_SCRIPT_NAME

Interno ID: ID_SCRIPT_NAME

Nome

Nome univoco dello script.
Default: Script_x (x sta per un numero progressivo).
Il nome può essere scelto liberamente, ma ci sono dei nomi predefiniti per quegli script che devono essere eseguiti automaticamente. Questi nomi possono essere scelti oppure inseriti:
AUTOSTART: Lo script viene eseguito automaticamente all’avvio del runtime (stazione singola oppure server) dopo l’apertura dell’immagine di partenza (sulla stazione singola o sul server), se il progetto è un progetto runtime di partenza.
AUTOEND: lo script viene eseguito automaticamente al termine del runtime (stazione singola oppure server) se il progetto è un progetto runtime di partenza.
Attenzione: le macro VBA che devono essere eseguite in "AUTO_END", devono essere attivate mediante Project.Inactive. Non si devono riportare archivi ciclici nello script AUTOEND .
AUTOSTART_CLIENT: lo script viene eseguito automaticamente all’avvio del runtime (client) prima dell’apertura dell’immagine di partenza, se il progetto è un progetto runtime di partenza.
AUTOEND_CLIENT: lo script viene eseguito automaticamente al termine del runtime (client) sul client se il progetto è un progetto runtime di partenza.
AUTOSTART_SRVPRJ: lo Script viene eseguito automaticamente sul computer che funge da server per il progetto, prima dell´apertura dell´immagine di partenza, se il progetto non è un progetto runtime di partenza
AUTOEND_SRVPRJ: lo script viene eseguito automaticamente al termine del runtime sul computer che funge da server per il progetto se il progetto non è un progetto runtime di partenza.
Attenzione questa proprietà non è a disposizione per il cambio lingua.

Indicazione per progetti multiuser: nel caso di cambiamento di nomi script, i parametri delle funzioni collegate vengono adattati automaticamente dopo un controllo automatico di Consenti modifiche. Dopo che la modifica è stata eseguita con successo, viene cambiato anche lo script.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_SCRIPT_NEW

Interno ID: ID_SCRIPT_NEW

{Nuovo script}

Viene creato un nuovo Script con il nome di defalut Script_x (Dove X è un numero consecutivo).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NewScript"


ID_SCRIPT_SYNCWRITE

Interno ID: ID_SCRIPT_SYNCWRITE

Scrittura sincrona

Abilitata: L’esecuzione della funzione di questa ricetta non viene completata fino alla conferma di corretta esecuzione o alla scadenza del timeout predefinito.
In uno script questo da la conferma che la funzione successiva non venga lanciata prima che sia terminata la precedente.
La conferma può essere visualizzata tramite il Bit di stato“WR-SUC”.
Disabilitata: Non viene attesa la conferma della scrittura. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SyncWrite"


ID_SCRIPT_SYNCWRITE_TIMEOUT

Interno ID: ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Se “Scrittura sincrona” è abilitato, è possibile definire il tempo di timeout.
Se lasciato a 0, il sistema di controllo calcola automaticamente il timeout secondo questa regola-
3000+(100*Numero di variabili)
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SyncWriteTimeout"


ID_SEA_PROP_ABBRUCH

Interno ID: ID_SEA_PROP_ABBRUCH

Annulla

Stato della variabile di annullamento in corrispondenza del quale deve essere interrotta la successione di commutazione.

0 ... OFF

1 ... ON

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Cancel"


ID_SEA_PROP_ABBRUCH_PV

Interno ID: ID_SEA_PROP_ABBRUCH_PV

Annulla variabile

La successione di commutazione corrente può essere interrotta mediante la variabile selezionata.

Variabile di processo e variabile merker (consigliata: driver inter BOLL).

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CancelVariable"


ID_SEA_PROP_DIREKT

Interno ID: ID_SEA_PROP_DIREKT

Direttamente eseguibile

La successione di commutazione viene iniziata attraverso una funzione (Applicazione->Successione di commutazione funzionamento automatico).

Smette di funzionare automaticamente se non si verificano degli errori.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DirectExecute"


ID_SEA_PROP_GRP0

Interno ID: ID_SEA_PROP_GRP0

Generale

Parametro della successione di commutazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_SEA_PROP_LERNEN

Interno ID: ID_SEA_PROP_LERNEN

Autorizza l'apprendimento

La successione di commutazione può registrare nel Runtime delle azioni di commutazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LearningEnabled"


ID_SEA_PROP_NAME

Interno ID: ID_SEA_PROP_NAME

Nome

Nome univoco della successione di commutazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_SEA_PROP_VAR

Interno ID: ID_SEA_PROP_VAR

Variabile

Variabile (obbligatoria), sulla quale vengono rappresentati gli stati della successione di commutazione.
Variabile merker (consigliata: driver intern DWORD).

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


ID_SIZEINBYTE

Interno ID: ID_SIZEINBYTE

Dimensione in byte

Rappresentazione della dimensione totale della struttura di variabili in byte.
Questa proprietà non serve a titolo informativo e non può essere modificata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SizeInByte"


ID_SPRECON870_COUNTER_NODE

Interno ID: ID_SPRECON870_COUNTER_NODE

Counters

Proprietà per Counter group.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_Counters"


ID_SPRECON870_COUNTERACTIVE

Interno ID: ID_SPRECON870_COUNTERACTIVE

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_CounterActive"


ID_SPRECON870_COUNTERGROUP

Interno ID: ID_SPRECON870_COUNTERGROUP

Counter group

Disponibile solo se la proprietà Counter value handling è stata attivata.

Interno ID: ID_SPRECON870_COUNTERGROUP

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_CounterGroupID"

Nome per l´identificazione del Counter group, secondo quanto configurato nel driver.

Tramite l´assegnazione della variabile ad un gruppo contatori, viene definito il comportamente della variabile stessa. Il gruppo di contatori rappresenta una sorta di matrice di reazione che gestisce il conteggio di elaborazioni (p.e. la conversione da valore assoluto a relativo).

Default: < No group >

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_CounterGroupID"


ID_SPRECON870_MAXCOUNTDIFF

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_MaxCounterDifference"

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceededMax. counter diff. exceeded.

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Max. counter diff. exceededMax. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_MaxCounterDifference"

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_MaxCounterDifference"

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_MaxCounterDifference"


ID_SPRECON870_ONMAXCOUNTDIFF

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Max. counter diff. exceededMax. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnMaxCounterDifference"

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceededMax. counter diff. exceeded.

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnMaxCounterDifference"

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnMaxCounterDifference"

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnMaxCounterDifference"


ID_SPRECON870_ONNOUPDATE

Interno ID: ID_SPRECON870_ONNOUPDATE

Not updated in time

Disponibile solo se la proprietà Counter value handling è stata attivata.

Interno ID: ID_SPRECON870_ONNOUPDATE

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnNoUpdate"

Definisce il comportamento per il conteggio di valori che non vengono aggiornati all'interno della finestra temporale, ovvero viene attivata la gestione valore alternativo. Selezione dalla lista a cascata:
- Disabled: Vengono usate le impostazioni dalla proprietà Replacement value handling.

Interno ID: ID_SPRECON870_ONNOUPDATE

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnNoUpdate"

- Set INVALID state: Viene settato lo stato INVALID.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_OnNoUpdate"


ID_SPRECON870_SUBSTITUTE_NODE

Interno ID: ID_SPRECON870_SUBSTITUTE_NODE

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementHandling"


ID_SPRECON870_SUBSTVALUETYPE

Interno ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

Interno ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementType"

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Interno ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sualla variabile disturbata. Cliccando sul pulsante..... si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: vuoto

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementType"

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementType"


ID_SPRECON870_SUBSTVALUEVAL

Interno ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Interno ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Interno ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sualla variabile disturbata. Cliccando sul pulsante..... si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: vuoto

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementValue"

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementValue"

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementValue"


ID_SPRECON870_SUBSTVALUEVAR

Interno ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sualla variabile disturbata. Cliccando sul pulsante..... si apre il dialogo che serve alla selezione delle variabili.

Interno ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

Interno ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementVariable"

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementVariable"

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: vuoto

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SPRECON870_ReplacementVariable"


ID_STARTATNEWOFFSET

Interno ID: ID_STARTATNEWOFFSET

Ogni tipo di dato parte con un nuovo offset

Questa opzione è disponibile solo se è attivata l’opzione "Indirizzamento automatico:
Abilitata: Ogni tipo di dato della struttura di variabili parte da un nuovo offset.
Disabilitata: Ogni tipo di dato della struttura riceve lo stesso offset.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsStartAtNewOffset"


ID_STRATON_1

Interno ID: ID_STRATON_1

Nome progetto

Nome del progetto zenon Logic. Al massimo 15 caratteri.

ATTENZIONE: Le modifiche del nome di progetto possono sciogliere delle connessini con elementi dinamici.
ATTENZIONE: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_STRATON_2

Interno ID: ID_STRATON_2

Cartella di progetto

Percorso di lavoro del progetto zenon Logic.

ATTENZIONE: Questa proprietà non può essere modificata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WorkingFolder"


ID_STRATON_3

Interno ID: ID_STRATON_3

Host di destinazione

L'Host Runtime (Indirizzo IP o nome del computer) del sistema destinatario di zenon Logic per il collegamento del Workbench, per esempio Online Debugging.
Default: localhost.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VMHost"


ID_STRATON_4

Interno ID: ID_STRATON_4

Porta

Il Runtime Port del sistema destinatario di zenon Logic per il collegamento del Workbench. Questa informazione è per il workbench di zenon Logic, per collegarsi con il sistema di destinazione (Runtime zenon Logic) per, per esermpio, Online Debugging.
Minimo 0.
Massimo: 4294967295.
Default: 1200.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VMPort"


ID_STRATON_5

Interno ID: ID_STRATON_5

Tipo di start

Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logiccon il sistema Runtime del sistema di controllo.
Autom. start: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
Autom. start/stop: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logictermina di funzionare.
Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
Default: autom. start e stop.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VMStartTyp"


ID_STRATON_6

Interno ID: ID_STRATON_6

Posto di partenza

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Tutti i computer: In questa modalità su tutti i computer (server, clienti e Standby Server), sui quali è stato caricato il progetto del sistema di controllo, viene avviato e chiuso il Runtime zenon Logic con quello del sistema di controllo.
Server: In questo caso il Runtime di zenon Logicviene avviato e terminato solo su un server del sistema di controllo. Su client oppure su Standby Server, il Runtime di zenon Logic non viene avviato.
Server e SB: In questo caso il Runtime di zenon Logicviene avviato o avviato e terminato solo sul server del sistema di controllo e dello standby server. Su client il Runtime di zenon Logic non viene avviato.
Default: tutti i computer.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VMStartArea"


ID_Syskron_LDS_FKT_RD

Interno ID: ID_Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definite qui la funzione di accesso per la lettura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Syskron_LDS_FKT_RD"


ID_Syskron_LDS_FKT_WR

Interno ID: ID_Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definite qui la funzione di accesso per la scrittura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Syskron_LDS_FKT_WR"


ID_Syskron_LDS_PARAM_RD

Interno ID: ID_Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la lettura alla funzione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Syskron_LDS_PARAM_RD"


ID_Syskron_LDS_PARAM_WR

Interno ID: ID_Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la scrittura alla funzione. L'ultimo parametro di trasmissione è sempre il valore impostabile inviato da zenon.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Syskron_LDS_PARAM_WR"


ID_SYSVAR_INHALT

Interno ID: ID_SYSVAR_INHALT

Tipo

Definizione del tipi della variabile di sistema. Il contenuto può essere modificato solamente se non c'è ancora nessuna variabile del nuovo tipo. Es: potete creare solamente una variabile Server attuale per progetto.

Attenzione!

Se modificate il tipo, il nome della variabile ed eventualmente anche il tipo di date vengono modificati. Vi preghiamo di tenere presente che nell'uso delle variabili in elementi dinamici eventualmente può rendersi necessario adattare l'area di visualizzazione oppure il nome della variabile in VBA/VSTA.

Per le variabili del driver di sistema definite dall'utente la lista Dropdown rimane vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Inhalt"


ID_SYSVAR_THEMA

Interno ID: ID_SYSVAR_THEMA

Tema

Gruppo logico delle variabili di sistema.

Per le variabili del driver di sistema definite dall'utente la lista Dropdown rimane vuota.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Thema"


ID_TEMPLATE_PROP1

Interno ID: ID_TEMPLATE_PROP1

Nome

Nome univoco del modello.
Default: Template_x (xè un numero progressivo) ).
Massimo: 28 caratteri nel progetto, 27 caratteri nel progetto globale.
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateName"


ID_TEMPLATE_PROP2

Interno ID: ID_TEMPLATE_PROP2

Su [Pixel]

Coordinata Y del punto sinistra,su del modello in Pixel (riferito alla impostazione della risoluzione corrente dello schermo)
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.
ATTENZIONE: Si consiglia di non definire modelli con dimensioni maggiori di 32000*32000 pixels per non avere dei problemi grafici.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosTop"


ID_TEMPLATE_PROP3

Interno ID: ID_TEMPLATE_PROP3

Sinistra [Pixel]

Coordinata X del punto sinistra,su del modello in Pixel (riferito alla impostazione della risoluzione corrente dello schermo)
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0. ATTENZIONE: Si consiglia di non definire modelli con dimensioni maggiori di 32000*32000 pixels per non avere dei problemi grafici.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosLeft"


ID_TEMPLATE_PROP4

Interno ID: ID_TEMPLATE_PROP4

Destra [Pixel]

Coordinata X del punto destra,giù del modello in Pixel (riferito alla impostazione della risoluzione corrente dello schermo)

Minimo: -2147483648.
Massimo: 2147483647.
Default: 0. ATTENZIONE: Si consiglia di non definire modelli con dimensioni maggiori di 32000*32000 pixels per non avere dei problemi grafici.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosRight"


ID_TEMPLATE_PROP5

Interno ID: ID_TEMPLATE_PROP5

Giu [Pixel]

Coordinata Y del punto destra,giù del modello in Pixel (riferito alla impostazione della risoluzione corrente dello schermo)

Minimo: -2147483648.
Massimo: 2147483647.
Default: 0. ATTENZIONE: Si consiglia di non definire modelli con dimensioni maggiori di 32000*32000 pixels per non avere dei problemi grafici.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosBottom"


ID_TEMPLATE_PROP7

Interno ID: ID_TEMPLATE_PROP7

Colore di sfondo

Colore di sfondo come default per tutte le immagini nuove basate su questo modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundColor"


ID_TEMPLATE_PROP8

Interno ID: ID_TEMPLATE_PROP8

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicture"


ID_TEMPLATE_PROP9

Interno ID: ID_TEMPLATE_PROP9

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Interno ID: ID_TEMPLATE_PROP9

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPictureStyle"

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Indicazione: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPictureStyle"


ID_TEMPLATE_PROP10

Interno ID: ID_TEMPLATE_PROP10

Sempre in primo piano

Abilitata: Nelle operazioni online non è possibile sovrapporre nessuna immagine a questa,tuttavia è possibile accedere ad altre immagini.
Disabilitata: Le immagini basate su questo modello possono essere sovrapposte da altre immagini.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowForeground"


ID_TEMPLATE_PROP11

Interno ID: ID_TEMPLATE_PROP11

Titolo

Disponibile solo se la cornice è attiva per il modello Abilitata: Visualizza la barra del titolo per le immagini basate su questo modello.L’immagine può essere spostata in Runtime.
DisabilitataNessuna barra titolo. Default: Disattiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowTitle"


ID_TEMPLATE_PROP12

Interno ID: ID_TEMPLATE_PROP12

Menu di sistema

Disponibile solo se è attivata l’opzione "Con titolo":
Abilitata: Visualizza il menù di sistema Windows nella barra di titolo.
Disabilitata: Nessun menù di sistema visualizzato. Default : Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowSysMenu"


ID_TEMPLATE_PROP13

Interno ID: ID_TEMPLATE_PROP13

Pulsanti Min./Max.

Disponibile solo se è attivata l’opzione "con titolo"
Abilitata: Visualizza il simbolo di Windows nella barra del titolo.
Disabilitata: Il simbolo non è visualizzato. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowMinimize"


ID_TEMPLATE_PROP14

Interno ID: ID_TEMPLATE_PROP14

Tipo di cornice

Disponibile solo se è attivato l’opzione "con titolo":
Stile cornice dell’immagine.
Cornice spessa: Visualizza una cornice spessa attorno all’immagine.La dimensione a runtime dell’immagine può essere modificata.
Nessuna cronice: Nessuna cornice visualizzata.
Cornice fine: Visualizza una cornice fine come contorno dell’immagine.L’immagine non può essere ridimensionata a Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BorderStyle"


ID_TEMPLATE_PROP18

Interno ID: ID_TEMPLATE_PROP18

Visualizza nell'Editor dei modelli

Attivo: Il modello prescelto viene visualizzato nell'Editor dei modelli.
Disattivato: Il modello prescelto non viene visualizzato nell'Editor dei modelli.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibleInEditor"


ID_TEMPLATE_PROP20

Interno ID: ID_TEMPLATE_PROP20

Utilizzare posizione standard

- attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StandardPosition"


ID_TEMPLATE_PROP21

Interno ID: ID_TEMPLATE_PROP21

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP21

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosType"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP21

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosType"

Interno ID: ID_TEMPLATE_PROP21

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosType"

Interno ID: ID_TEMPLATE_PROP21

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosType"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosType"


ID_TEMPLATE_PROP22

Interno ID: ID_TEMPLATE_PROP22

Verticale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Interno ID: ID_TEMPLATE_PROP22

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP22

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP22

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"

Interno ID: ID_TEMPLATE_PROP22

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"

Interno ID: ID_TEMPLATE_PROP22

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sopra, sotto oppurecentrato.

Default: - Su

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefVert"


ID_TEMPLATE_PROP23

Interno ID: ID_TEMPLATE_PROP23

Orizzontale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Interno ID: ID_TEMPLATE_PROP23

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP23

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP23

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"

Interno ID: ID_TEMPLATE_PROP23

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"

Interno ID: ID_TEMPLATE_PROP23

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sinistra, destra oppurecentrato.

Default: -sinistra

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RefHorz"


ID_TEMPLATE_PROP24

Interno ID: ID_TEMPLATE_PROP24

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP24

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP24

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP24

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"

Interno ID: ID_TEMPLATE_PROP24

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"

Interno ID: ID_TEMPLATE_PROP24

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sopra o sotto.

Default: - Su

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosVert"


ID_TEMPLATE_PROP25

Interno ID: ID_TEMPLATE_PROP25

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP25

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP25

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP25

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"

Interno ID: ID_TEMPLATE_PROP25

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"

Interno ID: ID_TEMPLATE_PROP25

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sinistra o destra.

Default: -sinistra

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PosHorz"


ID_TEMPLATE_PROP26

Interno ID: ID_TEMPLATE_PROP26

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP26

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP26

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP26

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"

Interno ID: ID_TEMPLATE_PROP26

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"

Interno ID: ID_TEMPLATE_PROP26

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelVert"


ID_TEMPLATE_PROP27

Interno ID: ID_TEMPLATE_PROP27

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP27

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP27

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP27

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"

Interno ID: ID_TEMPLATE_PROP27

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"

Interno ID: ID_TEMPLATE_PROP27

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PixelHorz"


ID_TEMPLATE_PROP28

Interno ID: ID_TEMPLATE_PROP28

Alternativa verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP28

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP28

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP28

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"

Interno ID: ID_TEMPLATE_PROP28

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"

Interno ID: ID_TEMPLATE_PROP28

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra, sotto oppurecentrato.

Default: - Su

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefVert"


ID_TEMPLATE_PROP29

Interno ID: ID_TEMPLATE_PROP29

Alternativa orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP29

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP29

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP29

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"

Interno ID: ID_TEMPLATE_PROP29

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"

Interno ID: ID_TEMPLATE_PROP29

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra, destra oppurecentrato.

Default: -sinistra

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltRefHorz"


ID_TEMPLATE_PROP30

Interno ID: ID_TEMPLATE_PROP30

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP30

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP30

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP30

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"

Interno ID: ID_TEMPLATE_PROP30

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"

Interno ID: ID_TEMPLATE_PROP30

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra o sotto.

Default: - Su

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosVert"


ID_TEMPLATE_PROP31

Interno ID: ID_TEMPLATE_PROP31

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP31

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP31

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP31

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"

Interno ID: ID_TEMPLATE_PROP31

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"

Interno ID: ID_TEMPLATE_PROP31

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra o destra.

Default: -sinistra

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPosHorz"


ID_TEMPLATE_PROP32

Interno ID: ID_TEMPLATE_PROP32

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP32

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP32

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP32

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"

Interno ID: ID_TEMPLATE_PROP32

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"

Interno ID: ID_TEMPLATE_PROP32

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelVert"


ID_TEMPLATE_PROP33

Interno ID: ID_TEMPLATE_PROP33

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP33

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP33

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP33

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"

Interno ID: ID_TEMPLATE_PROP33

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"

Interno ID: ID_TEMPLATE_PROP33

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AltPixelHorz"


ID_TEMPLATE_PROP34

Interno ID: ID_TEMPLATE_PROP34

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Interno ID: ID_TEMPLATE_PROP34

Inibisci chiusura alla perdita del Focus

Attivo: Nel caso di perdita del focus, il modello rimane aperto. La chiusura di un altro modello nel caso di perdita del focus viene impedita, a patto che si sia cliccato su questo modello. In tal modo possono essere definiti dei settori di schermo in cui non si chiudono i modelli aperti progettati con Chiusura alla perdita del Focus quando si clicca.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CloseOnClickOutside"

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CloseOnClickOutside"


ID_TEMPLATE_PROP35

Interno ID: ID_TEMPLATE_PROP35

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

Attiva: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.

Disattivata: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: non attiva.

Indicazione: non è disponibile per il modello Barra stato allarmi e neanche sotto CE.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseFreeForming"


ID_TEMPLATE_PROP36

Interno ID: ID_TEMPLATE_PROP36

Definizione libera modelli

Non disponibile se Modello a forma libera è attiva.

Interno ID: ID_TEMPLATE_PROP36

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

Attiva: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.

Disattivata: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: non attiva.

Indicazione: non è disponibile per il modello Barra stato allarmi e neanche sotto CE.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefineFreeForm"

Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefineFreeForm"


ID_TEMPLATE_PROP37

Interno ID: ID_TEMPLATE_PROP37

Inibisci chiusura alla perdita del Focus

Attivo: Nel caso di perdita del focus, il modello rimane aperto. La chiusura di un altro modello nel caso di perdita del focus viene impedita, a patto che si sia cliccato su questo modello. In tal modo possono essere definiti dei settori di schermo in cui non si chiudono i modelli aperti progettati con Chiusura alla perdita del Focus quando si clicca.

Interno ID: ID_TEMPLATE_PROP37

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IgnoreCloseOnClick"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IgnoreCloseOnClick"


ID_TEMPLATE_PROP38

Interno ID: ID_TEMPLATE_PROP38

Mantieni posizione alla riapertura

attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NoMoveOnReopen"


ID_TEMPLATE_PROP_GRP0

Interno ID: ID_TEMPLATE_PROP_GRP0

Generale

Impostazioni generali per modelli.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_TEMPLATE_PROP_GRP1

Interno ID: ID_TEMPLATE_PROP_GRP1

Cornice

Proprietà per la cornice del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Frame"


ID_TEMPLATE_PROP_GRP2

Interno ID: ID_TEMPLATE_PROP_GRP2

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Position"


ID_TEMPLATE_PROP_GRP3

Interno ID: ID_TEMPLATE_PROP_GRP3

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Grafiche di sfondo per modelli vengono assegnate automaticamente a tutte le nuove immagini che si basano su questo modello. Per quello che concerne le immagini già esistenti, devono essere adattate manualmente in un secondo momento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicture"


ID_TEMPLATE_PROP_GRP4

Interno ID: ID_TEMPLATE_PROP_GRP4

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP4

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP_GRP4

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateReference"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP4

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateReference"

Interno ID: ID_TEMPLATE_PROP_GRP4

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateReference"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateReference"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TemplateReference"


ID_TEMPLATE_PROP_GRP5

Interno ID: ID_TEMPLATE_PROP_GRP5

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP5

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP_GRP5

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrimaryReference"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP5

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrimaryReference"

Interno ID: ID_TEMPLATE_PROP_GRP5

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrimaryReference"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrimaryReference"

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PrimaryReference"


ID_TEMPLATE_PROP_GRP6

Interno ID: ID_TEMPLATE_PROP_GRP6

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP6

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

Interno ID: ID_TEMPLATE_PROP_GRP6

Posizione

Proprietà per le dimensioni e la posizione del modello.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternativeReference"

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

Interno ID: ID_TEMPLATE_PROP_GRP6

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternativeReference"

Interno ID: ID_TEMPLATE_PROP_GRP6

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternativeReference"

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: usa posizione assoluta

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternativeReference"

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternativeReference"


ID_TEMPLATE_PROP_GRP7

Interno ID: ID_TEMPLATE_PROP_GRP7

Modello a forma libera

Proprietà per la forma modello libera.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FreeForm"


ID_TEMPLOGIN

Interno ID: ID_TEMPLOGIN

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TempLogin"


ID_TOPOLOGIE_PROP1

Interno ID: ID_TOPOLOGIE_PROP1

Tratteggio 1

Tratteggio1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BrokenLine1"


ID_TOPOLOGIE_PROP2

Interno ID: ID_TOPOLOGIE_PROP2

Tratteggio 2

Tratteggio 2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BrokenLine2"


ID_TOPOLOGIE_PROP3

Interno ID: ID_TOPOLOGIE_PROP3

Larghezza linea

Larghezza linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineWidth"


ID_TOPOLOGIE_PROP4

Interno ID: ID_TOPOLOGIE_PROP4

Nome oggetto come link

Nome oggetto come link

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OBJNameLink"


ID_TOPOLOGIE_PROP5

Interno ID: ID_TOPOLOGIE_PROP5

Modo di visualizzazione

Modalità di rappresentazione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DisplayMode"


ID_TOPOLOGIE_PROP6

Interno ID: ID_TOPOLOGIE_PROP6

Ampiezza linea protetta

Ampiezza linea protetta

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineWidthFGES"


ID_TOPOLOGIE_PROP7

Interno ID: ID_TOPOLOGIE_PROP7

Larghezza bordo

Larghezza del bordo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SaumWidth"


ID_TOPOLOGIE_PROP8

Interno ID: ID_TOPOLOGIE_PROP8

Simbolo F1

Simbolo F1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolF1"


ID_TOPOLOGIE_PROP9

Interno ID: ID_TOPOLOGIE_PROP9

Simbolo F2

Simbolo F2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolF2"


ID_TOPOLOGIE_PROP10

Interno ID: ID_TOPOLOGIE_PROP10

Simbolo FGES

Simbolo FGES

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolFGES"


ID_TOPOLOGIE_PROP11

Interno ID: ID_TOPOLOGIE_PROP11

Simbolo bordo

Simbolo bordo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolSaum"


ID_TOPOLOGIE_PROP12

Interno ID: ID_TOPOLOGIE_PROP12

Simbolo F1 colori

Simbolo F1 colori

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolF1_Mode"


ID_TOPOLOGIE_PROP13

Interno ID: ID_TOPOLOGIE_PROP13

Simbolo F2 colori

Simbolo F2 colori

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolF2_Mode"


ID_TOPOLOGIE_PROP14

Interno ID: ID_TOPOLOGIE_PROP14

Simbolo FGES colori

Simbolo FGES colori

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolFGES_Mode"


ID_TOPOLOGIE_PROP15

Interno ID: ID_TOPOLOGIE_PROP15

Colori simbolo bordo

Simbolo colori bordo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SymbolSaum_Mode"


ID_TOPOLOGIE_PROP16

Interno ID: ID_TOPOLOGIE_PROP16

Variabile SS_1_1

Variabile SS_1_1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_1_1"


ID_TOPOLOGIE_PROP17

Interno ID: ID_TOPOLOGIE_PROP17

Variabile SS_1_2

Variabile SS_1_2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_1_2"


ID_TOPOLOGIE_PROP18

Interno ID: ID_TOPOLOGIE_PROP18

Variabile SS_1_4

Variabile SS_1_3

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_1_3"


ID_TOPOLOGIE_PROP19

Interno ID: ID_TOPOLOGIE_PROP19

Variabile SS_1_4

Variabile SS_1_4

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_1_4"


ID_TOPOLOGIE_PROP20

Interno ID: ID_TOPOLOGIE_PROP20

Variabile start1

Variabile Start 1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_Start1"


ID_TOPOLOGIE_PROP21

Interno ID: ID_TOPOLOGIE_PROP21

Punto separatore variabile

Punto separatore variabile

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VariableStandardIsolatingPoint"


ID_TOPOLOGIE_PROP22

Interno ID: ID_TOPOLOGIE_PROP22

Variabile Start2

Variabile Start 2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_Start2"


ID_TOPOLOGIE_PROP23

Interno ID: ID_TOPOLOGIE_PROP23

Variale SS_2_1

Variabile SS_2_1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_2_1"


ID_TOPOLOGIE_PROP24

Interno ID: ID_TOPOLOGIE_PROP24

Variabile SS_2_2

Variabile SS_2_2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_2_2"


ID_TOPOLOGIE_PROP25

Interno ID: ID_TOPOLOGIE_PROP25

Variabile SS_2_3

Variabile SS_2_3

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_2_3"


ID_TOPOLOGIE_PROP26

Interno ID: ID_TOPOLOGIE_PROP26

Variabile SS_2_4

Variabile SS_2_4

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable_SS_2_4"


ID_TOPOLOGIE_PROP27

Interno ID: ID_TOPOLOGIE_PROP27

Carattere diviso in un'altra posizione

Carattere diviso in un altro luogo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DistributionLineCharacter"


ID_TOPOLOGIE_PROP31

Interno ID: ID_TOPOLOGIE_PROP31

Reaktanz

Reattanza in ohm per determinare la locazione guasti.
Solo in corrispondenza dell’opzione locazione dei guasti e topologia..

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Reactance"


ID_TOPOLOGIE_PROP_GRP1

Interno ID: ID_TOPOLOGIE_PROP_GRP1

Topologia

Elemento\\Topologia

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Topology"


ID_TOPOLOGIE_PROP_GRP2

Interno ID: ID_TOPOLOGIE_PROP_GRP2

Colorazione

Element\\Topologie\\Symbolsteuerung

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TopColors"


ID_TOPOLOGIE_PROP_GRP3

Interno ID: ID_TOPOLOGIE_PROP_GRP3

Linea di distribuzione

Elemento\\Topologia\\Elemento topologico

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "/*Element/Topologie/Strang*/"


ID_TOPOLOGIE_PROP_GRP4

Interno ID: ID_TOPOLOGIE_PROP_GRP4

Valutazione rete

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetCalc"


ID_TOPOLOGIE_PROP_GRP5

Interno ID: ID_TOPOLOGIE_PROP_GRP5

Cavo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetCalcCable"


ID_TREIBER_CONFIG

Interno ID: ID_TREIBER_CONFIG

Configurazione

Apre il dialogo per la configurazione del driver.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Configuration"


ID_TREIBER_FILE

Interno ID: ID_TREIBER_FILE

Nome file

Nome del file driver.
Il file si trova nella directory di installazione dell’editor.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NameFile"


ID_TREIBER_GRP0

Interno ID: ID_TREIBER_GRP0

Generale

Proprietà generali del driver.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_TREIBER_NAME

Interno ID: ID_TREIBER_NAME

Nome

Identificazione univoca del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_TREIBER_PROP6

Interno ID: ID_TREIBER_PROP6

Descrizione

Descrizione del driver.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


ID_TREIBER_PROP_GRP0

Interno ID: ID_TREIBER_PROP_GRP0

Indirizzamento

Proprietà generali per il driver.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Address"


ID_TREIBER_PROP_GRP1

Interno ID: ID_TREIBER_PROP_GRP1

Connessione driver

Riassume la configurazione della connessione con il tipo di dato IEC, la priorità e lo standby.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Driver"


ID_TREIBER_PROP_GRP2

Interno ID: ID_TREIBER_PROP_GRP2

Impostazioni array

Proprietà per la strutture di variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Structure"


ID_TREIBER_PROP_GRP3

Interno ID: ID_TREIBER_PROP_GRP3

Opzioni di struttura

Opzioni per elementi di struttura.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StructOptions"


ID_TREIBER_PROP_GRP4

Interno ID: ID_TREIBER_PROP_GRP4

Opzioni di indirizzamento

Opzioni per l´indirizzamento di variabili array.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AddressOptions"


ID_TREND_DEL

Interno ID: ID_TREND_DEL

{Cancella Curva}

La Curva viene cancellata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurveDel"


ID_TREND_NEU

Interno ID: ID_TREND_NEU

{Nuova curva}

Viene creata una nuova curva per il trend.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CurveNew"


ID_TYPE_GW_NEW

Interno ID: ID_TYPE_GW_NEW

{Nuovo limite}

Crea un nuovo limite per il tipo di dati.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NewLimit"


ID_UEBER_HELLIGKEIT

Interno ID: ID_UEBER_HELLIGKEIT

Con valori di luminosità

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: la luminosità dell´effetto di riempimeno viene assegnata automaticamente.

Indicazione: nel caso in cui l´opzione sia attiva, non possono essere realizzati angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Questa proprietà è disponibile solamente se per la proprietà Tipo di riempimento è attivo l´effetto di riempimento.

Interno ID: ID_UEBER_HELLIGKEIT

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Brightness"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Brightness"


ID_UNIT_PROP_DECSHIFT

Interno ID: ID_UNIT_PROP_DECSHIFT

Posizione della virgola decimale

Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DecShift"


ID_UNIT_PROP_FACTOR

Interno ID: ID_UNIT_PROP_FACTOR

Fattore

Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Factor"


ID_UNIT_PROP_GRP0

Interno ID: ID_UNIT_PROP_GRP0

Generale

Proprietà per conversione unità.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_UNIT_PROP_NAME

Interno ID: ID_UNIT_PROP_NAME

Unità di misura

Indicazione dell´unità di base in corrispondenza della quale avviene la conversione, oppure dell´unità convertita nella quale avviene la conversione. Per esempio: C°, K, m, y, Celsius, Kelvin, metri, yard ecc.

L´inserimento non può superare i 50 caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_UNIT_PROP_OFFSET

Interno ID: ID_UNIT_PROP_OFFSET

Offset

da unità primaria (d per y=kx+d)

Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_USER_ACTIVE

Interno ID: ID_USER_ACTIVE

Utente attivo

Abilitata: L’utente è abilitato nel runtime
Disabilitata: L’utente non è abilitato nel runtime.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserActive"


ID_USER_GROUPS

Interno ID: ID_USER_GROUPS

Gruppi utenti

Tutti i gruppi utenti che sono assegnati all´utente selezionato.

Cliccate sul pulsante per aggiungere o rimuovere dei gruppi utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserGroups"


ID_USER_GRP

Interno ID: ID_USER_GRP

User

Proprietà degli utenti.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_USER_LOCKCODE

Interno ID: ID_USER_LOCKCODE

Codice di blocco

PIN-Code a 4 cifre.

Questo codice viene usato dall'utente per bloccare diverse aree oppure per renderle accessibili. Bloccando con questo codice si evita che si renda accessibile un'area involontariamente e così si possando verificare problemi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockCode"


ID_USER_LOCKED

Interno ID: ID_USER_LOCKED

Bloccato

Nel caso in cui una password è stata inserita piu del numero definito in modo errato l’utente viene automaticamente bloccato. Abilitata: L’utente viene bloccato.
Disabilitata: L’utente non viene bloccato.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserLocked"


ID_USER_MSGCTRL_EMAIL

Interno ID: ID_USER_MSGCTRL_EMAIL

E-Mail

Indirizzo E-Mail dell´utente.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgEmail"


ID_USER_MSGCTRL_ERSATZUSER

Interno ID: ID_USER_MSGCTRL_ERSATZUSER

Sostituto

Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgErsatzUser"


ID_USER_MSGCTRL_GSM

Interno ID: ID_USER_MSGCTRL_GSM

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgGSM"


ID_USER_MSGCTRL_NACKCODE

Interno ID: ID_USER_MSGCTRL_NACKCODE

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Interno ID: ID_USER_MSGCTRL_NACKCODE

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgNACKCode"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgNACKCode"


ID_USER_MSGCTRL_PHONE

Interno ID: ID_USER_MSGCTRL_PHONE

Telefono

Numero del telefono fisso dell´utente. Viene usato per Voice to Speech.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgPhone"


ID_USER_MSGCTRL_PINCODE

Interno ID: ID_USER_MSGCTRL_PINCODE

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Interno ID: ID_USER_MSGCTRL_PINCODE

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Indicazione: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgPinCode"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MsgPinCode"


ID_USER_MSGCTRL_USER

Interno ID: ID_USER_MSGCTRL_USER

Utente Message Control

Attiva: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsMsgCtrlUser"


ID_USERGROUP_GRP

Interno ID: ID_USERGROUP_GRP

Gruppo utenti

Proprietà per il gruppo utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_USERGROUP_LEVEL

Interno ID: ID_USERGROUP_LEVEL

Livelli di autorizzazione

Tutti i livelli di autorizzazione che sono assegnati al gruppo utenti selezionato.

Cliccate sul pulsante per aggiungere o rimuovere dei livelli di autorizzazone.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserGroupLevel"


ID_USERGROUP_NAME

Interno ID: ID_USERGROUP_NAME

Nome

Il nome del gruppo utenti selezionato.

Cliccate sul campo d´inserimento apposito per cambiare il nome.

Attenzione: questa proprietà non è a disposizione per il cambio lingua, visto che in Active Directory il nome deve essere verificabile.
@ non è un carattere valido per un nome di un gruppo utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserGroupName"


ID_USERGRP_MSGCTRL_ISMSGCTRL

Interno ID: ID_USERGRP_MSGCTRL_ISMSGCTRL

Gruppo Message Control

Attiva: Il gruppo utenti viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsMsgCtrlGroup"


ID_USERGRP_MSGCTRL_USERORDER

Interno ID: ID_USERGRP_MSGCTRL_USERORDER

Ordinamento utenti

Definisce la successione degli utenti all´interno del gruppo. Cliccando sul pulsante ....... si apre il dialogo che serve a configurare la successione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserGroupOrder"


ID_USERKENNUNG

Interno ID: ID_USERKENNUNG

Autorizzazione utente

Identificazione univoca con la quale l´utente deve effettuare il loggin.
Nel caso di diverse azioni dell´utente, questa successione di segni può essere visualizzata nella Lista eventi cronologica (CEL). Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Massimo: 20 caratteri.
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserIdentification"


ID_USERNAME

Interno ID: ID_USERNAME

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.

ATTENZIONE: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserName"


ID_USERPASSWORD

Interno ID: ID_USERPASSWORD

Password

Apre il box di dialogo per la modifica della password

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserPassword"


ID_VAR_AKS_GRP1

Interno ID: ID_VAR_AKS_GRP1

AKS-General

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AKS-General"


ID_VAR_AKS_GRP1_ENG

Interno ID: ID_VAR_AKS_GRP1_ENG

AKS-General

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AKS-General"


ID_VAR_AKS_GRP2

Interno ID: ID_VAR_AKS_GRP2

AKS-Extended

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AKS-Extended"


ID_VAR_AKS_GRP2_ENG

Interno ID: ID_VAR_AKS_GRP2_ENG

AKS-Extended

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AKS-Extended"


ID_VAR_AKS_GRP3

Interno ID: ID_VAR_AKS_GRP3

Redundanz

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Redundancy"


ID_VAR_AKS_GRP3_ENG

Interno ID: ID_VAR_AKS_GRP3_ENG

Redundancy

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Redundancy"


ID_VAR_AKS_GRP4

Interno ID: ID_VAR_AKS_GRP4

Befehle

Datenpunkte des AK-Treibers werden mit dem OPM parametriert.

Weiterführende Informationen zur Parametrierung sind in der SICAM230 Hilfe und in der Hilfe der TOOLBOX II nachzulesen.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Command"


ID_VAR_AKS_GRP4_ENG

Interno ID: ID_VAR_AKS_GRP4_ENG

Command

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Command"


ID_VAR_ALARMBEREICH

Interno ID: ID_VAR_ALARMBEREICH

Area allarmi

Qui la variabile può essere collegata ad un’area di allarme.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDomain"


ID_VAR_ALARMKANAL0

Interno ID: ID_VAR_ALARMKANAL0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPV0"


ID_VAR_ALARMKANAL1

Interno ID: ID_VAR_ALARMKANAL1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPV1"


ID_VAR_ALARMKANAL2

Interno ID: ID_VAR_ALARMKANAL2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmPV2"


ID_VAR_ALARMQUIT

Interno ID: ID_VAR_ALARMQUIT

Variabile di riconoscimento

Variabile binaria: quando si ripristina un allarme della variabile di gestione, viene settato il valore della variabile di ripristino sul valore definito sotto Ripristina valore.

Interno ID: ID_VAR_ALARMQUIT

Ripristina valore

Quando si ripristina un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmQuitPV"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmQuitPV"


ID_VAR_ALARMQUIT_VALUE

Interno ID: ID_VAR_ALARMQUIT_VALUE

Ripristina valore

Quando si ripristina un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento viene settata su questo valore.

Interno ID: ID_VAR_ALARMQUIT_VALUE

Variabile di riconoscimento

Variabile binaria: quando si ripristina un allarme della variabile di gestione, viene settato il valore della variabile di ripristino sul valore definito sotto Ripristina valore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmQuitPVValue"

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmQuitPVValue"


ID_VAR_ARCHHYSTNEG

Interno ID: ID_VAR_ARCHHYSTNEG

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArchHystNeg"


ID_VAR_ARCHHYSTPOS

Interno ID: ID_VAR_ARCHHYSTPOS

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArchHystPos"


ID_VAR_ARRAYSIZE

Interno ID: ID_VAR_ARRAYSIZE

Grandezza array

Ormai disponibile solamente per ragioni di compatibilità.
Fino alla versione 5.50 Definizione della Grandezza array.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArraySizeOld"


ID_VAR_ARRDIM1

Interno ID: ID_VAR_ARRDIM1

Dim 1

Grandezza della prima dimensione dell’ array.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dim1"


ID_VAR_ARRDIM2

Interno ID: ID_VAR_ARRDIM2

Dim 2

Grandezza della seconda dimensione dell’ array.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dim2"


ID_VAR_ARRDIM3

Interno ID: ID_VAR_ARRDIM3

Dim 3

Grandezza della terza dimensione dell’ array.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dim3"


ID_VAR_AUSRICHTUNG

Interno ID: ID_VAR_AUSRICHTUNG

Orientamento

Dipendente dalla struttura del driver,indica la posizione della variabile entro l’offset.

Per variabili byte:
HiByte: Parte alta del byte (High) nell’offset della Word.
LoByte: Parte bassa del byte (Low) nell’offset della Word.
HiWord-HiByte: Parte alta del byte della high word all’interno della doppia word .
HiWord-LoByte: Parte bassa del byte della high word all’interno della doppia word .
LoWord-HiByte: Parte alta del byte della Low word all’interno della doppia word .
LoWord-LoByte: Parte bassa del byte della Low word all’interno della doppia word.

Per Variabili Word:
HiWord: High Word all’interno della doppia Word.
LoWord: Low Word all’iinterno della doppia word.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Alignment"


ID_VAR_BASETYPE

Interno ID: ID_VAR_BASETYPE

Tipo di dato IEC

Tipo di dato di origine.
ATTENZIONE: Se il tipo di dato base di origine (IEC) viene modificato tutte le proprietà dei tipi di dato composti subiranno le rispettive modifiche!

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ID_DataTyp"


ID_VAR_BEZEICHNUNG

Interno ID: ID_VAR_BEZEICHNUNG

Generale

Proprietà generale della variabile o del tipo di dato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Title"


ID_VAR_BIT

Interno ID: ID_VAR_BIT

Numero bit

Numero del bit all’interno dell’offset definito.
Minimo: 0.
Massimo: 65535.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BitAddr"


ID_VAR_BMKENNUNG

Interno ID: ID_VAR_BMKENNUNG

Identificazione servizio

Stringa liberamente definibile.
Non viene utilizzata nello scada, ma è disponibile nei file di esportazione dati in modo da permettere un identificazione dei valori per sistemi di management esterni (p.e. ERP).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Recourceslabel"


ID_VAR_CPLX_OFFSET

Interno ID: ID_VAR_CPLX_OFFSET

Offset di partenza

Offset di partenza per le variabili strutturate.
L’indirizzamento delle variabili contenute inizia con questo offset. .
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_VAR_DB

Interno ID: ID_VAR_DB

Blocco dati

Scelta del blocco dati.
Minimum: 0.
Maximum: 4294967295.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DataBlock"


ID_VAR_DDEAKTIV

Interno ID: ID_VAR_DDEAKTIV

DDE attivo

Abilitata:Mette a disposizione la variabile ad altre applicazioni Windows (per esempio Excel, Visual-Basic etc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile. Il tempo di update è fisso a 0,5 s
Disabilitata: La variabile non è a disposizione di altre applicazioni Windows
Default: Disabilitata

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DDEActive"


ID_VAR_DESC

Interno ID: ID_VAR_DESC

Descrizione

Descrizione del tipo di dato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


ID_VAR_EINHEIT

Interno ID: ID_VAR_EINHEIT

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri.
Default: vuoto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Unit"


ID_VAR_ERSATZ

Interno ID: ID_VAR_ERSATZ

Valore di riempimento archivio

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternateValue"


ID_VAR_EXTERN

Interno ID: ID_VAR_EXTERN

Impostazioni esterne

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "External"


ID_VAR_GW_AKTIV

Interno ID: ID_VAR_GW_AKTIV

Limite attivo

Abilitata: Il limite è attivo per il runtime.
Disabilitata: Il valore limite non viene considerato nel runtime.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Active"


ID_VAR_GW_ALARM

Interno ID: ID_VAR_GW_ALARM

Come allarme

Attiva: se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
Non attiva: non viene generato nessun inserimento nella Lista allarmi.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Alarm"


ID_VAR_GW_ALARMVERW

Interno ID: ID_VAR_GW_ALARMVERW

Esecuzione dalla pagina allarmi

Disponibile solo se il valore limite è un allarme:
Attivo: La funzione non si esegue spontaneamente nel funzionamento online ma soltanto all’attivazione del pulsante “funzione” nella lista allarme.
Disattivato: La funzione viene eseguita spontaneamente non appena si verifica l'allarme.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_Call"


ID_VAR_GW_AMLCEL

Interno ID: ID_VAR_GW_AMLCEL

Allarmi/CEL

Proprietà per gli allarmi e per la Lista cronologica eventi (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AML_CEL"


ID_VAR_GW_BLINKEN

Interno ID: ID_VAR_GW_BLINKEN

Lampeggio

Attiva: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattiva.
ATTENZIONE: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo: Gli elementi collegati lampeggiano sul server e sui client.

Interno ID: ID_VAR_GW_BLINKEN

Tempo di ritardo [s]

Periodo di tempo in secondi in cui la violazione del valore limite deve essere in attesa. Il valore deve essere in attesa ininterrottamente perlomeno per la durata del periodo indicato affinché vengano iniziate le azioni definite in caso di violazione del valore limite.
AML/CEL:
- come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il momento della prima violazione.
- come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

ATTENZIONE: in combinazione con la proprietà Lampeggio, la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo.: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Blinking"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Blinking"


ID_VAR_GW_CEL

Interno ID: ID_VAR_GW_CEL

Nella CEL

Abilitata: In caso di una violazione del valore limite viene protocollato il valore nella Lista cronologica eventi (CEL).
Disabilitata: Non viene generato nessun record nella CEL.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Cel"


ID_VAR_GW_DEL

Interno ID: ID_VAR_GW_DEL

{Cancella limite}

Il limite viene cancellato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DelLimit"


ID_VAR_GW_DRUCKEN

Interno ID: ID_VAR_GW_DRUCKEN

Stampa

Attiva: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
Non attiva: nessuna stampa online.
Default: non attiva.

Interno ID: ID_VAR_GW_DRUCKEN

AML e CEL

Proprietà per allarmi e Lista Eventi Cronologica (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Print"

Interno ID: ID_VAR_GW_DRUCKEN

Stampa per

Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
Consente di decidere se AML oppure CEL devono essere stampate online. Può essere stampata solamente una sola delle due liste.

Interno ID: ID_VAR_GW_DRUCKEN

Stampa attiva

Attiva: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Print"

Lista allarmi: La Lista allarmi (AML) viene stampata online.
Lista eventi cronologica: La Lista eventi cronologica(CEL) viene stampata online.
Default: Lista di informazioni allarmi

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Print"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Print"


ID_VAR_GW_FARBE

Interno ID: ID_VAR_GW_FARBE

Colore

Informazione di colore utilizzata per i simboli e gli stati se la variabile è utilizzata nell’elemento binario; i colori dei testi di allarme nella lista allarmi si stabiliscono nella definizione della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Color"


ID_VAR_GW_FKT

Interno ID: ID_VAR_GW_FKT

Funzione

Proprietà per la funzione collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function_root"


ID_VAR_GW_FUNKTION

Interno ID: ID_VAR_GW_FUNKTION

Funzione

Funzione che viene lanciata automaticamente quando il limite viene violato.
Se lo stato è definito come allarme si può impedire l'esecuzione automatica della funzione. In questo modo la funzione può essere lanciata dalla pagina allarmi con il pulsante MDI ‘Funzione’ ad allarme selezionata nella lista (Opzione "Chiamata attraverso la gestione allarmi ")
Se si vuole eseguire piu di una funzione, deve essere creato uno script con tutte le funzioni desiderate e bisogna inserire qui la funzione di esecuzione dello script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_VAR_GW_GRENZWERT

Interno ID: ID_VAR_GW_GRENZWERT

Valore limite

Definisce il valore che scatena l’evento associato al “valore limite”. La definizione della modalità di violazione (sopra o sotto tale soglia), viene definito nella proprietà "Minimo / Massimo:
!!! Tabelle checken !!! Tipo Funzionamento Minimo Fronte negativo Massimo Fronte positivo !!! Tabelle checken !!!!!! Tabelle checken !!!

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LimitValue"


ID_VAR_GW_GRP1

Interno ID: ID_VAR_GW_GRP1

Limiti

Proprietà per il calcolo del limite.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Ranges"


ID_VAR_GW_GRUPPE

Interno ID: ID_VAR_GW_GRUPPE

Gruppo allarmi/eventi

Assegnazione di un gruppo allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad un gruppo allarmi/eventi avviene selezionandolo nella lista.
Default: 0 (non usato)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Group"


ID_VAR_GW_HILFE

Interno ID: ID_VAR_GW_HILFE

File guida

Disponibile soltanto se il valore limite è definito come allarme:
File di guida in formato (*.chm) che è associato all’allarme. Questo può essere visualizzato tramite il tasto MDI ‘Guida’ nella pagina di tipo allarmi.
Se viene inserita la stringa $PRG:xxxxxx e l’implementazione con Electroplan è correttamente abilitata nella licenza d’uso, viene lanciata un’instanza del programma electroplan con i parametri xxxxxx. La proprietà ‘capitolo della Guida’ viene ignorata ma non deve essere vuota.
Il percorso del file EXE di Electroplan deve essere inserito nel file zenOn6.ini tramite l'inserimento EDOC_PATH= nella sezione [PATH].

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HelpFile"


ID_VAR_GW_HILFEKAP

Interno ID: ID_VAR_GW_HILFEKAP

Capitolo guida

Disponibile solo se il valore limite è definito come allarme.
Capitolo della guida visualizzato per questo allarme nella lista degli allarmi tramite il tasto MDI di ‘Help’ con l’allarme selezionato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HelpCapture"


ID_VAR_GW_HLP

Interno ID: ID_VAR_GW_HLP

Guida

Proprietà per il capitolo di Guida collegato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Help_root"


ID_VAR_GW_KLASSE

Interno ID: ID_VAR_GW_KLASSE

Classe allarmi/eventi

Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad una classe allarmi/eventi avviene selezionandola nella lista.
Default: 0 (non usato)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Class"


ID_VAR_GW_KOMMENTAR

Interno ID: ID_VAR_GW_KOMMENTAR

Commento richiesto

Disponibile solo se la proprietà Con ripristino è attiva.

Interno ID: ID_VAR_GW_KOMMENTAR

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmComment"

Attiva: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmComment"


ID_VAR_GW_LOESCHEN

Interno ID: ID_VAR_GW_LOESCHEN

Con cancellazione

Disponibile solamente nel caso in cui la proprietà Con ripristino è attiva.
Attiva: l´allarme deve essere ripristinato e cancellato prima di essere rimosso dal Buffer circolare.
Non attiva: cancellazione non obbligatoria.
Default: non attiva.

Interno ID: ID_VAR_GW_LOESCHEN

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDelete"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmDelete"


ID_VAR_GW_MINMAX

Interno ID: ID_VAR_GW_MINMAX

Min/Max

Per ogni valore limite è possibile selezionare ‘Massimo’ oppure ‘Minimo’.
Minimo: Violazione del valore limite nel fronte di discesa (Negativo)
Massimo: Violazione di valore limite nel fronte di salita (Positivo).
: default: Minimo
Esempio:
Valore limite impostato: 10, Minimo
Valore Variabile: passa da 30 9
LIMITE VIOLATO

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsMax"


ID_VAR_GW_NEW

Interno ID: ID_VAR_GW_NEW

{Nuovo limite}

Viene inserito un nuvo valore limite.
E' possibile un numero massimo di 65535 valori limite.
Le variabili bit hanno sempre due valori limite.
I valori limite per le variabili string non sono possibili. Al loro posto può essere utilizzata qui (come anche per altre variabili) una matrice di reazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NewLimit"


ID_VAR_GW_QUITTIEREN

Interno ID: ID_VAR_GW_QUITTIEREN

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlarmAcknowledge"


ID_VAR_GW_SCHWELLWERT

Interno ID: ID_VAR_GW_SCHWELLWERT

Valore soglia

puó essere dichiarata una soglia che determina l´uscita del valore limite. In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili.
Esempio 1: Esempio: valore massimo 900, soglia=10 => 890
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio 2: Valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ThresholdValue"


ID_VAR_GW_TEXT

Testo valore limite

Questo testo viene emesso in caso di violazione di valori limite; esso viene emesso a seconda dell'impostazione assunta nella lista allarmi, nella lista eventi cronologica e/o nella riga di stato allarmi.

Testo dinamico con valore limite: permette di inserire nel testo del valore limite di una variabile e di matrici di reazioni valori attuali di altre variabili. E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua. Ciò porta a alcune limitazioni:
testo statico viene depositato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 128 segni. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:al massimo 80 caratteri.

Le limitazioni possono essere aggirate grazie all'estensione per testi di valore limite dinamici lunghi. Attivate a questo scopo Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio. Attenzione: Non può essere impostato con l'utilizzo di valori limiti dinamici nessun commento.

Interno ID: ID_VAR_GW_TEXT

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text"

Interno ID: ID_VAR_GW_TEXT

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text"


ID_VAR_GW_UNSICHTBAR

Interno ID: ID_VAR_GW_UNSICHTBAR

Invisibile

Abilitata: Lo stato non viene visualizzato nell’elemento dinamico "Elemento di stato" e non sono visualizzati neanche gli elementi la cui visibilità viene controllata attraverso questa variabile.
Disabilitata: La visibilità non è condizionata dalla violazione del valore limite.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Invisible"


ID_VAR_GW_VARIABEL

Interno ID: ID_VAR_GW_VARIABEL

Valore limite variabile attivo

Determina se il valore limite è definito in modo fisso oppure viene definito in modo dinamico tramite una variabile.

è attiva: Il valore limite non viene definito tramite un'assegnazione tecnica, ma mediante il valore tecnico di un'alttra variabile.

AML/CEL: come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il timestamp più recente delle due variabili.

Default: non attiva.

ATTENZIONE: Se viene modificato il valore limite della variabile in zenOn, cosicchè il valore attuale della variabile di riferimento (pur non cambiando) viene a trovarsi nell’area critica, vengono scatenata una violazione del valore limite.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsVariable"


ID_VAR_GW_VARIABLE

Interno ID: ID_VAR_GW_VARIABLE

Variabile

Disponibile solamente con Limite Dinamico attivo:
Variabile utilizzata come valore limite dinamico.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


ID_VAR_GW_VERZOEGEUNG

Interno ID: ID_VAR_GW_VERZOEGEUNG

Tempo di ritardo [s]

Periodo di tempo in secondi in cui la violazione del valore limite deve essere in attesa. Il valore deve essere in attesa ininterrottamente perlomeno per la durata del periodo indicato affinché vengano iniziate le azioni definite in caso di violazione del valore limite.
AML/CEL:
- come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il momento della prima violazione.
- come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

ATTENZIONE: in combinazione con la proprietà Lampeggio, la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo.: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Interno ID: ID_VAR_GW_VERZOEGEUNG

Lampeggio

Attiva: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattiva.
ATTENZIONE: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Delay"

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Delay"


ID_VAR_GW_ZUSATZ_ATTRIB

Interno ID: ID_VAR_GW_ZUSATZ_ATTRIB

Attributi aggiuntivi

Proprietà aggiuntive per i limiti

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AddAttrib"


ID_VAR_HDAKTIV

Interno ID: ID_VAR_HDAKTIV

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDActive"


ID_VAR_HDRDA

Interno ID: ID_VAR_HDRDA

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Interno ID: ID_VAR_HDRDA

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsKDAActiv"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsKDAActiv"


ID_VAR_HDUPDATE

Interno ID: ID_VAR_HDUPDATE

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Interno ID: ID_VAR_HDUPDATE

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDUpdate"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDUpdate"


ID_VAR_HDWERTE

Interno ID: ID_VAR_HDWERTE

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Interno ID: ID_VAR_HDWERTE

HD attivo

Attiva: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Non attiva: non viene salvato nessun valore di variabili.

Default: non attiva.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millesecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Avvertenza: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDSize"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDSize"


ID_VAR_HYSTERESE

Interno ID: ID_VAR_HYSTERESE

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Hysteresis"


ID_VAR_HYSTNEG

Interno ID: ID_VAR_HYSTNEG

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono intepretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HystNeg"


ID_VAR_HYSTPOS

Interno ID: ID_VAR_HYSTPOS

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono intepretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HystPos"


ID_VAR_INTERN_INITIALWERT

Interno ID: ID_VAR_INTERN_INITIALWERT

Valore di inizializzazione

All’avvio del Runtime il valore definito qui viene utilizzato come valore corrente della variabile, se la proprietà "Ritenzione” è impostata su “Valore iniziale”

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Initial_value"


ID_VAR_INTERN_LOKAL

Interno ID: ID_VAR_INTERN_LOKAL

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nei progetti di rete, la variabile interna viene valutata e/o gestita dal progetto sul sever. Essa ha lo stesso valore sul server e su tutti i client.
Default: locale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Local"


ID_VAR_INTERN_REMANENZ

Interno ID: ID_VAR_INTERN_REMANENZ

Ritenzione

Valore iniziale: All’avvio del Runtime il valore corrente della variabile è impostato al valore inserito nella proprietà „Valore iniziale“.
Off: Il valore iniziale della variabile è impostato ad un valore di riserva, e per le variabili stringa ad una stringa vuota.
Ritentiva: Il valore iniziale della variabile viene impostato all’ultimo valore precedentemente settato all’ultima chiusura del Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Remanenz"


ID_VAR_KANALTYP

Interno ID: ID_VAR_KANALTYP

Tipo di oggetto del Driver

Dipendente dal driver utilizzato.Alla creazione della variabile viene selezionato un tipo di oggetto e tramite questa proprietà è possibile modificarlo ulteriormente.
Siemens: Blocco dati esteso (DB), Merker, Input/Output.
Modbus: Coil,Holding Register.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ID_DriverTyp"


ID_VAR_KENNUNG

Interno ID: ID_VAR_KENNUNG

Identificazione

Sequenza di caratteri liberamente definibile per l’identificazione della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tagname"


ID_VAR_LBOUND

Interno ID: ID_VAR_LBOUND

Indice di start Array

Selezionate l'indice di inizio dell'array fra quelli della lista dropdown.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LBound"


ID_VAR_LINANPASS

Interno ID: ID_VAR_LINANPASS

Adattamento valore lineare

Adattamento valore lineare con range di misurazione.
Impostazioni per la conversione lineare dei valori da PLC per la visualizzazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LinAdjust"


ID_VAR_LOCKING

Interno ID: ID_VAR_LOCKING

Interblocco

Collegamento di un gruppo comandi a questa variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Locking"


ID_VAR_MAKROHARDWARE

Interno ID: ID_VAR_MAKROHARDWARE

AdjustHardwareValue

Impostabile solo se la proprietà adattamento valori non lineare è attiva: :
Questa macro viene eseguita ad ogni cambio valore del valore RAW (PLC).
Tramite questa macro è possibile adattare in modo non lineare il valore RAW (PLC) in un valore da visualizzare nel sistema tramite gli elementi dinamici.
Esempio:
Valore RAW (PLC) Macro VBA Valore convertito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AdjustHardware"


ID_VAR_MAKROZENON

Interno ID: ID_VAR_MAKROZENON

AdjustScadaValue

Disponibile solo e l’adattamento non lineare di valore è attivo:
La macro viene eseguita al settaggio di un valore nello scada per aggiornare il valore del valore RAW (PLC). Questa macro trasforma il valore di origine (PLC) in un valore dello scada.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AdjustZenon"


ID_VAR_MAXGRADIENT

Interno ID: ID_VAR_MAXGRADIENT

Gradiente massimo

Disponibile solo in SICAM 230.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxGradient"


ID_VAR_MESSMAX

Interno ID: ID_VAR_MESSMAX

Area di misurazione max.

Valore massimo delle variabili nel sistema di controllo.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Interno ID: ID_VAR_MESSMAX

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RangeMax"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RangeMax"


ID_VAR_MESSMIN

Interno ID: ID_VAR_MESSMIN

Area di misurazione min.

Valore minimo delle variabili nel sistema di controllo.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Interno ID: ID_VAR_MESSMIN

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RangeMin"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RangeMin"


ID_VAR_NACHKOMMA

Interno ID: ID_VAR_NACHKOMMA

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 5
Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Digits"


ID_VAR_NAME

Interno ID: ID_VAR_NAME

Nome

Nome univoco della variabile. Il carattere # non è consentito.
Indicazione: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione:questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_VAR_NETADDR

Interno ID: ID_VAR_NETADDR

Indirizzo di rete/bus

Indirizzo di bus o di rete della variabile.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NetAddr"


ID_VAR_NORMALZUSTAND

Interno ID: ID_VAR_NORMALZUSTAND

Valore normale

Selezionate nel menu dropdown se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NormalState"


ID_VAR_NORMALZUSTANDAKT

Interno ID: ID_VAR_NORMALZUSTANDAKT

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

attivo: Può essere definito uno stato normale.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NormalStateActive"


ID_VAR_OFFSET

Interno ID: ID_VAR_OFFSET

Offset

Offset della variabile.
Per PLC ad indirizzamento lineare: l’area di memoria .
per i PLC con risoluzione attraverso nome : Indirizzo di attribuzione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_VAR_OFS_SOURCE

Interno ID: ID_VAR_OFS_SOURCE

Calcolo offset

Selezionate il tipo di calcolo desiderato per l´offset. Sono disponibili le seguenti possibilità di selezione:

  • indirizzo segue tipo di dato Offset e Start-Offset
  • Indirizzamento automatico
  • Indirizzamento manuale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OfsSource"


ID_VAR_PRIORITAET

Interno ID: ID_VAR_PRIORITAET

Priorità

Se il tempo globale di update non è utilizzato, nella configurazione del driver è possibile definire tempi di update per le diverse priorità. Alla variabile può essere assegnata una delle 4 priorità .

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UpdatePriority"


ID_VAR_PROP_GRP0

Interno ID: ID_VAR_PROP_GRP0

Indirizzamento

Impostazioni generali per l’indirizzamento della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Address"


ID_VAR_PROP_GRP1

Interno ID: ID_VAR_PROP_GRP1

Calcolo valore

Definizione del limite della variabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Value"


ID_VAR_PROP_GRP2

Interno ID: ID_VAR_PROP_GRP2

Impostazioni aggiuntive

Impostazioni avanzate per la variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Extended"


ID_VAR_PROP_GRP3

Interno ID: ID_VAR_PROP_GRP3

Salvataggio dati su disco fisso

Impostazioni per la registrazione dei valori della variabile sul disco fisso.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HardDisk"


ID_VAR_PROP_GRP4

Interno ID: ID_VAR_PROP_GRP4

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Interno ID: ID_VAR_PROP_GRP4

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Limits"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Limits"


ID_VAR_PROP_GRP7

Interno ID: ID_VAR_PROP_GRP7

Salvataggio in CEL

Proprietà di archiviazione nella Lista Cronologica Eventi (CEL).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueProtocol"


ID_VAR_PROP_GRP8

Interno ID: ID_VAR_PROP_GRP8

Gestione allarmi

Proprietà per la variabile di riconoscimento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Alarmhandling"


ID_VAR_PROP_GRP9

Interno ID: ID_VAR_PROP_GRP9

Allarme ad immagine

Disponibile solo in SICAM 230:
Proprietà per gli allarmi ad immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PictureAlarm"


ID_VAR_PROP_GRP10

Interno ID: ID_VAR_PROP_GRP10

Stato normale

Proprietà per lo stato normale di una variabile.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NormalState"


ID_VAR_PROP_GRP11

Interno ID: ID_VAR_PROP_GRP11

Variabili Interne

Proprietà per le variabili interne.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InternalVariable"


ID_VAR_PROP_GRP12

Interno ID: ID_VAR_PROP_GRP12

Variabile del driver di sistema

Proprietà per le variabili del driver di sistema.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InternalVariable"


ID_VAR_PROP_GRP_GOOSE

Interno ID: ID_VAR_PROP_GRP_GOOSE

GOOSE

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE"


ID_VAR_READWRITE

Interno ID: ID_VAR_READWRITE

Settaggio valori attivo

Attiva: rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: Attiva

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comandi che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InOut"


ID_VAR_REMA

Interno ID: ID_VAR_REMA

Matrice di reazione

Servendovi della lista a cascata scegliete una delle matrici di reazione disponibili per la variabile selezionata. Se non volete usare una matrice di reazione, selezionate l´inserimento <non usare nessuna>.

Default: <non usare nessuna>

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rema"


ID_VAR_REMA_KNOTEN

Interno ID: ID_VAR_REMA_KNOTEN

Matrice di reazione

Proprietà per utilizzare una matrice di reazione sulla variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rema"


ID_VAR_REMAAKTIV

Interno ID: ID_VAR_REMAAKTIV

Matrice di reazione attiva

Abilitata: Al posto dei ‘valori limiti’ viene utilizzata una matrice di reazione.
Disabilitata: Possibilità di definire dei ‘valori limiti’ per la variabile.
Default: Disabilitata (Valori limiti disponibili).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "IsRemaActiv"


ID_VAR_SBO

Interno ID: ID_VAR_SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870, IEC850 e DNP3 e solo se in Comando per la proprietà Tipo, è stata selezionata l´opzione Doppio comando.

Interno ID: ID_VAR_SBO

Tipo

Disponibile solamente con l´azione 'Comando':
tipo del comando
Doppio comando: Scrive il valore della proprietà "stato di comando".
Comando singolo: Scrive il valore della proprietà "stato di comando". Dopo "Ritardo fronte" viene scritto il valore 0. Questa scrittura non è più sottoposta a Watchdog timer.
Default: Comando unico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SBO"

Attiva: prima che il valore venga scritto nell´hardware, zenon domanda se la variabile è disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi singoli, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà Ritardo fronte.

Interno ID: ID_VAR_SBO

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando singolo.
Dopo la scadenza di questo tempo espresso in millesecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SBO"

Non attiva: il valore della variabile viene scritto nell´hardware senza che il sistema ponga alcuna domanda all´utente = Direct execute.
Default: non attiva
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SBO"


ID_VAR_SIGMAX

Interno ID: ID_VAR_SIGMAX

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Interno ID: ID_VAR_SIGMAX

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignalMax"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignalMax"


ID_VAR_SIGMIN

Interno ID: ID_VAR_SIGMIN

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Interno ID: ID_VAR_SIGMIN

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignalMin"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignalMin"


ID_VAR_SIGNAL

Interno ID: ID_VAR_SIGNAL

Campo valori PLC

Limite delle variabili nel PLC.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SignalRange"


ID_VAR_SOLLMAX

Interno ID: ID_VAR_SOLLMAX

Val.imp.Max

Il valore massimo impostato per le operazioni "settare valore impostabile" viene riletto negli elementi dinamici e non dev’essere impostato separatamente.
Questo procedimento è consigliato soprattutto in caso di eventuali modifiche all’area di misurazione delle variabili. In questo modo ogni modifica viene effettuata in modo centralizzato e non dev’essere quindi effettuata per ogni singolo elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueMax"


ID_VAR_SOLLMIN

Interno ID: ID_VAR_SOLLMIN

Val.imp.Min

Il valore minimo impostato per le operazioni "settare valore impostabile" viene riletto negli elementi dinamici e non dev’essere impostato separatamente.
Questo procedimento è consigliato soprattutto in caso di eventuali modifiche all’area di misurazione delle variabili. In questo modo ogni modifica viene effettuata in modo centralizzato e non dev’essere quindi effettuata per ogni singolo elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueMin"


ID_VAR_STANDBY

Interno ID: ID_VAR_STANDBY

Richiedere solo da standby

Abilitata: Il valore della variabile viene visualizzato dal server-standby.
Disabilitata: Il valore della variabile viene visualizzato dal server.
(solo per driver hardware).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Standby"


ID_VAR_STRINGLAENGE

Interno ID: ID_VAR_STRINGLAENGE

Lunghezza stringa

Solo per le variabili tipo STRING:
Lunghezza massima della stringa che la variabile può contenere.
default: 5

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StringLength"


ID_VAR_STRINGLAENGE2

Interno ID: ID_VAR_STRINGLAENGE2

Lunghezza stringa

Disponibile solo per variabili stringa:
numero massimo di caratteri che può accettare la variabile.
Minimo: 0
Massimo: 65535
Default: 5

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxStringLen"


ID_VAR_SWP_ACT

Interno ID: ID_VAR_SWP_ACT

Vecchio e nuovo valore

Attiva: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
Non attiva: viene protocollato solamente il nuovo valore.
Default: inattiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SV_Act"


ID_VAR_SWP_ART

Interno ID: ID_VAR_SWP_ART

Salvataggio di

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

Tutti: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
Niente: nessun´azione "Set value" viene protocollata nella CEL.
Solo tramite elemento dinamico: Vengono protocollate nella CEL solo le azioni "Set value" eseguite tramite un elemento dinamico.
Default: Solo tramite elemento dinamico

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueProtocol"


ID_VAR_SWP_VBA

Interno ID: ID_VAR_SWP_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: Attiva

Indicazione: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SV_VBA"


ID_VAR_TREIBER

Interno ID: ID_VAR_TREIBER

Driver

Driver per la variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.

Indicazione: i driver per i progetti zenon Logic non possono essere più modificati in seguito.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Driver"


ID_VAR_TYPE

Interno ID: ID_VAR_TYPE

Tipo di dato

Tipo di dato della variabile; viene selezionato alla creazione della variabile e può essere ulteriormente modificato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ID_DataTyp"


ID_VAR_USEMAKRO

Interno ID: ID_VAR_USEMAKRO

Adattamento di valori non lineari su macro

L’adattamento non-lineare dei valori è utilizzato per le variabili il cui valore di origine PLC (RAW) non può essere convertito in maniera lineare in un valore di misurazione (SCADA).
Abilitata: I valori RAW (PLC) vengono convertiti in modo non lineare per essere visualizzati nello SCADA.
Dopo aver attivato questa opzione si possono scegliere le macro di conversione dato definite "AdjustHardwareValue" e "AdjustZenOnValue".
Disabilitata: I valori del PLC vengono rappresentati in modo lineare nello SCADA
default: Disabilitata

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseMacro"


ID_VAR_WERTATTRIB

Interno ID: ID_VAR_WERTATTRIB

Attributi valore

Impostazione per il settaggio valore della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueAttrib"


ID_VAR_ZWREMANR

Interno ID: ID_VAR_ZWREMANR

Gruppo contatore

Disponibile solo in SICAM 230.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CounterGroup"


ID_VARGROUP

Interno ID: ID_VARGROUP

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Vargroup"


ID_VARINASM

Interno ID: ID_VARINASM

Salva nel database IPA

Attiva: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: non attiva.

Attenzione: il Production Facility Scheduler è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarInASM"


ID_VERRIEG_CBTR_FORMULA

Interno ID: ID_VERRIEG_CBTR_FORMULA

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili del blocco; sono possibili definizioni di nomi come per la definizione di Condizioni di blocco di un´azione.

Indicazione: le variabili che sono usate nella formula, non possono essere cancellate nel blocco.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CBTR_Formula"


ID_VERRIEG_CBTR_MONITORED

Interno ID: ID_VERRIEG_CBTR_MONITORED

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

Interno ID: ID_VERRIEG_CBTR_MONITORED

Imposta stato di avanzamento

Attiva: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Disattivata: Il bit di stato non viene settato.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CBTR_Act"

attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CBTR_Act"


ID_VERRIEG_PROP1

Interno ID: ID_VERRIEG_PROP1

Nome

Nome univoco dell´interblocco o comando.
Default: Interblocco/comando x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocchi

- Comando

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_VERRIEG_PROP2

Interno ID: ID_VERRIEG_PROP2

Variabile

Nome delle variabili collegate con il gruppo comandi.
Apre il dialogo che serve alla selezione variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_VERRIEG_PROP3

Interno ID: ID_VERRIEG_PROP3

Nome variabile di documentazione

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RückmeldVarName"


ID_VERRIEG_PROP4

Interno ID: ID_VERRIEG_PROP4

Imposta stato di avanzamento

Attiva: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Disattivata: Il bit di stato non viene settato.

Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sollrichtungsanzeige"


ID_VERRIEG_PROP5

Interno ID: ID_VERRIEG_PROP5

Watchdog timer

Determina il decorso del Watchdog timer.

  • nessuna: nessun Watchdog timer.
  • attraverso variabile di risposta: il valore della variabile di risposta viene usato per controllare se l'operazione ha avuto successo.
  • attraverso causa di trasmissione: Si usa COT (Cause of Transmission) per verificare se il procedimento ha avuto successo.
    Per l´azione 'Comando' vengono analizzati gli stati per la causa di trasmissione (Cause of Transmission=COT).
    Se il procedimento COT non viene portato a termine con successo nell´ambito di Timeout progettato per l´azione, viene settato il bit di stato TIMEOUT. Il monitoraggio viene attivato solo nel caso in cui il valore da scrivere non corrisponda a quello attuale della variabile di azione.

    Interno ID: ID_VERRIEG_PROP5

    Timeout

    Disponibile solo per l'azione ‘Comando’ e ‘Setta valore’:
    Timeout im secondi utilizzati per il tempo di watchdog.
    Minimo: 0.
    Massimo: 4294967295.
    Default: 30.

    Più informazioni nell'Help Online

    Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Laufzeitüberwachung"

Default: nessuna.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Laufzeitüberwachung"


ID_VERRIEG_PROP6

Interno ID: ID_VERRIEG_PROP6

Tipo

Disponibile solamente con l´azione 'Comando':
tipo del comando
Doppio comando: Scrive il valore della proprietà "stato di comando".
Comando singolo: Scrive il valore della proprietà "stato di comando". Dopo "Ritardo fronte" viene scritto il valore 0. Questa scrittura non è più sottoposta a Watchdog timer.
Default: Comando unico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


ID_VERRIEG_PROP7

Interno ID: ID_VERRIEG_PROP7

Stato-Feedback/Direzione Switch

Non disponibile con le azioni: Bloccare, Blocco e Rilasciare.
Definisce il valore atteso oppure lo stato della variabile di riconoscimento dopo l´esecuzione dell´azione. Gli inserimenti possibili si diversificano a seconda dell´azione.
Ulteriori informazione nella Guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Direction"


ID_VERRIEG_PROP9

Interno ID: ID_VERRIEG_PROP9

Sopprimi inserimento CEL

Abilitata: L’esecuzione dell’azione non genera nessun inserimento nella Lista Eventi Cronologica (CEL).
Disabilitata: L’esecuzione dell’azione genera un inserimento nella CEL.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELBlock"


ID_VERRIEG_PROP10

Interno ID: ID_VERRIEG_PROP10

Timeout

Disponibile solo per l'azione ‘Comando’ e ‘Setta valore’:
Timeout im secondi utilizzati per il tempo di watchdog.
Minimo: 0.
Massimo: 4294967295.
Default: 30.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Timeout"


ID_VERRIEG_PROP11

Interno ID: ID_VERRIEG_PROP11

Collegamento logico

Apre il dialogo per la definizione della formula della condizione di Interblocco.
In un progetto di rete, le condizioni basate su variabili interne, vengono calcolate localmente. Si possono verificare quindi condizioni diverse sul client e sul server.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Formula"


ID_VERRIEG_PROP12

Interno ID: ID_VERRIEG_PROP12

Sbloccabile

Disponibile solo in SICAM 230 oppure se si dispone di una licenza per la Energy Edition:
attivo: Un blocco può essere sbloccato manualmente nell´immagine del tipo Comando.
Default: non attivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Delocking"


ID_VERRIEG_PROP13

Interno ID: ID_VERRIEG_PROP13

Testo di interblocco

Descrizione della condizione di blocco.
Durante il runtime, questo testo può essere visualizzato nell´immagine del tipo Comando (se avete la licenza per la Energy Edition), oppure analizzato in una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Text"


ID_VERRIEG_PROP14

Interno ID: ID_VERRIEG_PROP14

Stato comandi

Disponibile solo per l’azione 'Comando':
Defisce il valore che deve essere scritto nella variabile di comando tramite l'azione 'Comando'.
0: La variabile di comando viene settata a 0.
1: La variabile di comando viene settata a 1.
Default: 1.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CommandState"


ID_VERRIEG_PROP15

Interno ID: ID_VERRIEG_PROP15

Stati modificabili

Disponibile solo per l’azione ‘Stato dell'input’:
Lista degli stati che possono essere modificati con l’azione ‘Stato dell'input’.
Default: Nessuno.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "State"


ID_VERRIEG_PROP16

Interno ID: ID_VERRIEG_PROP16

Comparazione valore Attuale/Nominale

Active: It is checked, if the value of the response variable already has the value of the switching direction to be executed. If this is true, an unlockable interlocking message is displayed in the command input.
Inactive: The switching direction is not checked.
Default: inactive.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Actual"


ID_VERRIEG_PROP17

Interno ID: ID_VERRIEG_PROP17

Immagine Modale

Abilitata: Indipendentemente dalla proprietà ‘Dialogo Modale’ della immagine di comando, viene comunque aperta in ‘dialogo modale’. (Non sarà possibile operare su pagine esterne dalla pagina).
Disabilitata: La pagina di comando è aperta normalmente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Modal"


ID_VERRIEG_PROP18

Interno ID: ID_VERRIEG_PROP18

Titolo immagine da VR variabile

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Interno ID: ID_VERRIEG_PROP18

Titolo

Disponibile solo se la cornice è attiva per il modello Abilitata: Visualizza la barra del titolo per le immagini basate su questo modello.L’immagine può essere spostata in Runtime.
DisabilitataNessuna barra titolo. Default: Disattiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BildtitelRM"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BildtitelRM"


ID_VERRIEG_PROP19

Interno ID: ID_VERRIEG_PROP19

Finestra immagini

Nome dell'immagine da aprire se non ne è definita una specifica per l'azione, e l'immagine non viene aperta mediante la funzione cambio immagine.

Indicazione: se il comando vene inizializzato mediante il settaggio valori nell´elemento, bisogna qui collegare un´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Befehlsbild"


ID_VERRIEG_PROP20

Interno ID: ID_VERRIEG_PROP20

Immagine

Immagine del tipo Comando che viene usata nell´esecuzione dell´azione mediante il menu contestuale dell´elemento. Se non è indicata alcuna immagine specifica, si usa quella che è stata specificata nella proprietà Finestra immagini del gruppo comandi. Un´immagine creata, ma non disponibile, provoca la generazione di un messaggio di errore quando si creano i file Runtime. In questo caso, l´azione non verrà ripresa.
Default: nessuna.

Interno ID: ID_VERRIEG_PROP20

Finestra immagini

Nome dell'immagine da aprire se non ne è definita una specifica per l'azione, e l'immagine non viene aperta mediante la funzione cambio immagine.

Indicazione: se il comando vene inizializzato mediante il settaggio valori nell´elemento, bisogna qui collegare un´immagine.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PicGUID"

Indicazione: se il comando vene inizializzato mediante il settaggio valori nell´elemento, la proprietà è ignorata e viene usata sempre l´immagine che è inserita nella proprietà Finestra immagini nel gruppo di comandi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PicGUID"


ID_VERRIEG_PROP21

Interno ID: ID_VERRIEG_PROP21

Pulsante di comando

Non disponibile con l´azione 'Blocco' oppure se non è attribuita nessuna immagine. :
Attribuzione dell´azione ai pulsanti azione definiti in un´immagine del tipo Comando.
Se il gruppo comandi viene usato con un´altra immagine (per esempio mediante funzione), l´attribuzione ai pulsanti di azione viene mantenuta. Nel caso in cui manchi un tale pulsante, questa azione non è disponibile nell´immagine.
Nella lista di selezione vengono proposti alla scelta dell´utente solo i pulsanti non ancora attribuiti.
Default: nessuno.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CmdBtn"


ID_VERRIEG_PROP22

Interno ID: ID_VERRIEG_PROP22

Chiusura automatica

Abilitata: Dopo l’esecuzione del’azione di comando l’immagine viene chiusa automaticamente.
Disabilitata: L’immagine di comando non viene chiusa automaticamente.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CloseMDIWnd"


ID_VERRIEG_PROP23

Interno ID: ID_VERRIEG_PROP23

Comando a due mani

Disponibile solo per esecuzioni a 2 livelli :
Abilitata: L’elemento di controllo 'Esegui 2' è funzionale, solamente se il tasto CTRL viene premuto contemporaneamente.
Disabilitato: L’elemento di controllo è sempre disponibile.
Default: Disabilitato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwoHand"


ID_VERRIEG_PROP24

Interno ID: ID_VERRIEG_PROP24

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando singolo.
Dopo la scadenza di questo tempo espresso in millesecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Interno ID: ID_VERRIEG_PROP24

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870, IEC850 e DNP3 e solo se in Comando per la proprietà Tipo, è stata selezionata l´opzione Doppio comando.

Attiva: prima che il valore venga scritto nell´hardware, zenon domanda se la variabile è disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi singoli, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà Ritardo fronte.

Non attiva: il valore della variabile viene scritto nell´hardware senza che il sistema ponga alcuna domanda all´utente = Direct execute.
Default: non attiva
Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EdgeDelay"

Interno ID: ID_VERRIEG_PROP24

Tipo

Disponibile solamente con l´azione 'Comando':
tipo del comando
Doppio comando: Scrive il valore della proprietà "stato di comando".
Comando singolo: Scrive il valore della proprietà "stato di comando". Dopo "Ritardo fronte" viene scritto il valore 0. Questa scrittura non è più sottoposta a Watchdog timer.
Default: Comando unico.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EdgeDelay"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EdgeDelay"


ID_VERRIEG_PROP25

Interno ID: ID_VERRIEG_PROP25

Doppio-livello

Attivo: L'azione viene eseguita solo se è stato confermato il Control „Esegui 2“.

Disattivato: L'azione viene eseguita:

  • dopo lo sblocco dell'ultimo blocco
  • subito se non c'è alcun altro blocco attivo.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TwoLevel"


ID_VERRIEG_PROP29

Interno ID: ID_VERRIEG_PROP29

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR.

Interno ID: ID_VERRIEG_PROP29

Stato-Feedback/Direzione Switch

Non disponibile con le azioni: Bloccare, Blocco e Rilasciare.
Definisce il valore atteso oppure lo stato della variabile di riconoscimento dopo l´esecuzione dell´azione. Gli inserimenti possibili si diversificano a seconda dell´azione.
Ulteriori informazione nella Guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueDirectly"

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueDirectly"


ID_VERRIEG_PROP30

Interno ID: ID_VERRIEG_PROP30

Variabile di feedback

Mostra il risultato della condizioni di blocco sulla variabile selezionata.

Un clic sul comando apre il dialogo che serve alla selezione della variabile. Avete anche la possibilità di indicare direttamente il nome della variabile nell´apposito campo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueVariable"


ID_VERRIEG_PROP31

Interno ID: ID_VERRIEG_PROP31

Utilizza qualifica di comando

Disponibile solo se si possiede una licenza della Energy Edition.

Potete aggiungere a comandi anche un'ulteriore informazione (Qualifier of Command) se il driver lo supporta. Driver possibili: IEC850, IEC870 e DNP3.

attivo: attiva l'indicazione sottoQualificatore di comando.

Interno ID: ID_VERRIEG_PROP31

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.
IEC850: Valori da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ingnorati.

IEC870: Valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ingnorati.

DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0

Massimo: 127

Default: 0

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseQOC"

Default: non attiva.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseQOC"


ID_VERRIEG_PROP32

Interno ID: ID_VERRIEG_PROP32

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.
IEC850: Valori da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ingnorati.

IEC870: Valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ingnorati.

DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0

Massimo: 127

Default: 0

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "QOC"


ID_VERRIEG_PROP33

Interno ID: ID_VERRIEG_PROP33

Nome

Parte liberamente definibile della denominazione di un interblocco.

Se si assegna un nome, l´intera denominazione consiste di: Nome: Collegamento logico, ad esempio: Nome: X03 non ripristinato AND X02.

Interno ID: ID_VERRIEG_PROP33

Collegamento logico

Apre il dialogo per la definizione della formula della condizione di Interblocco.
In un progetto di rete, le condizioni basate su variabili interne, vengono calcolate localmente. Si possono verificare quindi condizioni diverse sul client e sul server.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"

Se non si assegna nessun nome, la completa denominazione viene generata automaticamente da: Condizione <Indice>: Collegamento logico, ad esempio: Condizione 01: X03 non ripristinato AND X02.

Default: Condizione <Indice>

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_VERRIEG_PROP34

Interno ID: ID_VERRIEG_PROP34

ID menu

ID univoco dell´azione. Il menu ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CmdMenuID"


ID_VERRIEG_PROP35

Interno ID: ID_VERRIEG_PROP35

Variabile di blocco

Variabile che può essere usata per le condizioni di blocco. Se si clicca sul pulsante ..., può essere scambiata la variabile senza che la formula debba essere modificata.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_VERRIEG_PROP_DEL

Interno ID: ID_VERRIEG_PROP_DEL

{Cancella condizione}

Cancella la condizione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Delete"


ID_VERRIEG_PROP_GRP0

Interno ID: ID_VERRIEG_PROP_GRP0

Generale

Proprietà generali per l´interblocco o il comando.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocchi

- Comando

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_VERRIEG_PROP_GRP4

Interno ID: ID_VERRIEG_PROP_GRP4

Immagine di comando

Proprietà per l´immagine di comando.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP5

Interno ID: ID_VERRIEG_PROP_GRP5

Opzioni

Proprietà per le opzioni dei comandi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP6

Interno ID: ID_VERRIEG_PROP_GRP6

Impostazioni azioni

Proprietà per le impostazioni azioni dei comandi.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP7

Interno ID: ID_VERRIEG_PROP_GRP7

Variabile

Proprietà per le variabili dell´interblocco.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP8

Interno ID: ID_VERRIEG_PROP_GRP8

Condizione

Proprietà per le condizioni dell´interblocco.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP9

Interno ID: ID_VERRIEG_PROP_GRP9

Diritto di accesso

Contiene le proprietà per la constatazione dei livelli di autorizzazioni per il blocco e lo sblocco.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


ID_VERRIEG_PROP_GRP10

Interno ID: ID_VERRIEG_PROP_GRP10

Elaborazione stato

Impostazioni per modifica stato nel comando.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusHandling"


ID_VERRIEG_PROP_GRP11

Interno ID: ID_VERRIEG_PROP_GRP11

Immagine di comando

Impostazioni per immagine di comando nel comando.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CommandScreen"


ID_VERRIEG_PROP_NEW

Interno ID: ID_VERRIEG_PROP_NEW

{Nuova condizione}

Viene creata una nuova condizione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "New"


ID_VORSCHAU

Interno ID: ID_VORSCHAU

Anteprima

È a disposizione solamente se una variabile è collegata al simbolo.

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.

Interno ID: ID_VORSCHAU

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo:
indicate le variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Preview"

Interno ID: ID_VORSCHAU

Origine

Sostituzione di variabili e/o funzioni in un simbolo:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Beispiel: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza di Origine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Preview"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Preview"


ID_WORKSPACE_PROP_MSGCTRL

Interno ID: ID_WORKSPACE_PROP_MSGCTRL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MessageControl"


ID_WORKSPACE_PROP_PATH

Interno ID: ID_WORKSPACE_PROP_PATH

File del Workspace

Nome e luogo di salvataggio del file di workspace. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Workspacepath"


ID_WORKSPACE_PROPS_GRP

Interno ID: ID_WORKSPACE_PROPS_GRP

Workspace

Contiene le proprietà per il workspace.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Arbeitsbereich"


ID_WRONGPW

Interno ID: ID_WRONGPW

Num max inserimento Username

Numero di inserimenti incorretti del nome di utente.
Se questo numero viene superato il sistema verrà bloccato. Nessun utente, tranne amministratori, potrà più effettuare un login.Se un amministratore effettua il login il sistema viene automaticamente sbloccato.
Verrà genereato automaticamente un nuovo inserimento nella Lista Eventi Cronologica (CEL). .
Minimo: 0.
Massimo: 65535.
Default: 3.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserTries"


ID_WRONGUSER

Interno ID: ID_WRONGUSER

Num max inserimento password

Numero di inserimenti incorretti della password.
Se questo numero viene superato il rispettivo utente verrà bloccato.
Un corrispondente evento verrà inserito nella Lista Eventi Cronologica CEL. Solo l’amministratore è in grado di sbloccarlo.
Minimo: 0.
Massimo: 65535.
Default: 3.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PasswordTries"


ID_ZEITSTG_PROP1

Interno ID: ID_ZEITSTG_PROP1

Nome

Nome del temporizzatore.
Default: Time-Function x (Dove x è un numero consecutivo).

ATTENZIONE: Questa proprietà non è supportata nel cambio lingua.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ZEITSTG_PROP2

Interno ID: ID_ZEITSTG_PROP2

Funzione

Funzione da eseguire in modo temporizzato.
Apre la finestra di dialogo per la selezione della funzione.
Se si vuole eseguire piu di una funzione in modo temporizzato, creare uno script con le funzioni deisiderate e inserire qui la funzione di esecuzione dello script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


ID_ZEITSTG_PROP3

Interno ID: ID_ZEITSTG_PROP3

Attivo

Abilitata: La funzione temporizzata viene eseguita a Runtime.
Disabilitata: La funzione temporizzata non viene eseguita a Runtime.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Active"


ID_ZEITSTG_PROP4

Interno ID: ID_ZEITSTG_PROP4

Tipo di esecuzione

Sono disponibili 4 tipi di esecuzione:
A partire da questo giorno: La funzione è eseguita a partire dal giorno definito, tutti i giorni nell’orario scelto.
Solo in questo giorno: La funzione è eseguita una volta soltanto al giorno e all’orario definito
Ciclicamente a partire da questo giorno: La funzione è eseguita ciclicamente a partire dal giorno definito con l’intervallo di tempo definito.
Ciclica in questo giorno: La funzione è eseguita in maniera ciclica solamente nel giorno della settimana impostato e con l'intervallo di tempo stabilito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


ID_ZEITSTG_PROP5

Interno ID: ID_ZEITSTG_PROP5

Ora partenza

La data in corrispondenza della quale o a partire dalla quale deve essere eseguita la funzione tempo.

Indicazione: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExecuteDate"


ID_ZEITSTG_PROP7

Interno ID: ID_ZEITSTG_PROP7

Intervallo

Intervallo di tempo durante il quale la funzione dev’essere eseguita.
Default: 00:15:00.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Interval"


ID_ZEITSTG_PROP8

Interno ID: ID_ZEITSTG_PROP8

Intervallo di un mese

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine del mese.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: non attiva.

Interno ID: ID_ZEITSTG_PROP8

Tipo di esecuzione

Sono disponibili 4 tipi di esecuzione:
A partire da questo giorno: La funzione è eseguita a partire dal giorno definito, tutti i giorni nell’orario scelto.
Solo in questo giorno: La funzione è eseguita una volta soltanto al giorno e all’orario definito
Ciclicamente a partire da questo giorno: La funzione è eseguita ciclicamente a partire dal giorno definito con l’intervallo di tempo definito.
Ciclica in questo giorno: La funzione è eseguita in maniera ciclica solamente nel giorno della settimana impostato e con l'intervallo di tempo stabilito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Monthly"

Indicazione: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 1° 1° 2012 ore 00:00:00.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Monthly"


ID_ZEITSTG_PROP9

Interno ID: ID_ZEITSTG_PROP9

Intervallo di un anno

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine dell´anno.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: non attiva.

Interno ID: ID_ZEITSTG_PROP9

Tipo di esecuzione

Sono disponibili 4 tipi di esecuzione:
A partire da questo giorno: La funzione è eseguita a partire dal giorno definito, tutti i giorni nell’orario scelto.
Solo in questo giorno: La funzione è eseguita una volta soltanto al giorno e all’orario definito
Ciclicamente a partire da questo giorno: La funzione è eseguita ciclicamente a partire dal giorno definito con l’intervallo di tempo definito.
Ciclica in questo giorno: La funzione è eseguita in maniera ciclica solamente nel giorno della settimana impostato e con l'intervallo di tempo stabilito.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Yearly"

Indicazione: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 1° 1° 2012 ore 00:00:00.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Yearly"


ID_ZEITSTG_PROP10

Interno ID: ID_ZEITSTG_PROP10

Lunedì

Abilitata:La funzione viene eseguita di lunedi
Disabilitata: La funzione non verrà eseguita di lunedì.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Monday"


ID_ZEITSTG_PROP11

Interno ID: ID_ZEITSTG_PROP11

Martedì

Abilitata: La funzione viene eseguita (anche) di martedi
Disabilitata: La funzione non verrà eseguita di martedi. .
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Tuesday"


ID_ZEITSTG_PROP12

Interno ID: ID_ZEITSTG_PROP12

Mercoledì

Abilitata: La funzione viene eseguita (anche) di mercoledì
Disabilitata: La funzione non verrà eseguita il mercoledì.
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Wednesday"


ID_ZEITSTG_PROP13

Interno ID: ID_ZEITSTG_PROP13

Giovedì

Abilitata : La funzione viene eseguita (anche) di giovedi
Disabilitata: La funzione non verrà eseguita il giovedì.
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Thursday"


ID_ZEITSTG_PROP14

Interno ID: ID_ZEITSTG_PROP14

Venerdì

Abilitata : La funzione viene eseguita (anche) di venerdi
Disabilitata : La funzione non verrà eseguita il venerdi. .
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Friday"


ID_ZEITSTG_PROP15

Interno ID: ID_ZEITSTG_PROP15

Sabato

Abilitata : La funzione viene eseguita (anche) di sabato
Disabilitata : La funzione non verrà eseguita il sabato.
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Saturday"


ID_ZEITSTG_PROP16

Interno ID: ID_ZEITSTG_PROP16

Domenica

Abilitata: La funzione viene eseguita (anche) di domenica
Disabilitata : La funzione non verrà eseguita di domenica. .
Default: Attiva.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sunday"


ID_ZEITSTG_PROP_GRP0

Interno ID: ID_ZEITSTG_PROP_GRP0

Generale

Impostazioni per la funzione tempo

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TimeFct"


ID_ZEITSTG_PROP_GRP1

Interno ID: ID_ZEITSTG_PROP_GRP1

Impostazioni tempo

Impostazioni di tempo per la funzione

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Timeadj"


ID_ZEITSTG_PROP_GRP3

Interno ID: ID_ZEITSTG_PROP_GRP3

Tempi determinati trigger

Solo con un tipo di esecuzione ciclica:
Selezione di cambio mese o anno.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TriggerTime"


ID_ZEITSTG_PROP_GRP4

Interno ID: ID_ZEITSTG_PROP_GRP4

Giorni di esecuzione

Seleziona in quale giorno(i) viene eseguita la funzione.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ExecutionDays"


ID_ZUWEIS_PROP1

Interno ID: ID_ZUWEIS_PROP1

Nome

Nome univoco dell’attribuzione.
Default: Attribuzione x (Dove x è un numero consecutivo).ATTENZIONE : Questa proprietà non è disponibile per il cambio lingua.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ZUWEIS_PROP2

Interno ID: ID_ZUWEIS_PROP2

Variabile sorgente

Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SourceVariable"


ID_ZUWEIS_PROP3

Interno ID: ID_ZUWEIS_PROP3

Variabile di destinazione

Nome della variabile a cui deve essere assegnato il valore della variabile sorgente.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TargetVariable"


ID_ZUWEIS_PROP4

Interno ID: ID_ZUWEIS_PROP4

Variabile trigger

La variabile bit connessa attiva l´assegnazione. Se non è connessa nessuna variabile, l´assegnazione funziona spontaneamente. Il che significa che, ogni volta che cambia il valore della variabile sorgente, esso viene automaticamente scritto su quella di destinazione.
Apre il dialogo che serve alla selezione delle variabili filtrato per variabili bit.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TriggerVariable"


ID_ZUWEIS_PROP5

Interno ID: ID_ZUWEIS_PROP5

Tipo trigger

Fronte:L’attribuzione è eseguita ogni volta che il valore della variabile di trigger passa da 0 a 1 (Fronte positivo).
Continuo (livello): L’attribuzione è eseguita ogni volta che il valore della variabile di trigger è 1.
Default: Fronte.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TriggerType"


ID_ZUWEIS_PROP_GRP0

Interno ID: ID_ZUWEIS_PROP_GRP0

Generale

Impostazioni generali per l’attribuzione

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_ZW_PROP_ABFRAGE

Interno ID: ID_ZW_PROP_ABFRAGE

Variabile Contatore di query

Variabile per interrogazione contatore.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "QueryPV"


ID_ZW_PROP_AUSGANGABS

Interno ID: ID_ZW_PROP_AUSGANGABS

Tipo contatore di uscita: assoluto

Punto di partenza come valore assoluto

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OutputAbs"


ID_ZW_PROP_AUSGANGREL

Interno ID: ID_ZW_PROP_AUSGANGREL

Tipo contatore uscita: relativo

Emissione come valore relativo.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OutputRel"


ID_ZW_PROP_EINGANGABS

Interno ID: ID_ZW_PROP_EINGANGABS

Tipo contatore ingresso

Valore assoluto o valore relativo.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InputAbs"


ID_ZW_PROP_GRP0

Interno ID: ID_ZW_PROP_GRP0

Generale

Con le seguenti proprietà stabilite le proprietà del rema valore numerico.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


ID_ZW_PROP_MAXWERT

Interno ID: ID_ZW_PROP_MAXWERT

Contatore mass.

Stato massimo del contatore

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxCount"


ID_ZW_PROP_NAHANDLING

Interno ID: ID_ZW_PROP_NAHANDLING

Trattamento NA

Modalità per trattamento "non attualizzato" (valore numerico al di là della finestra tempo).

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NAHandling"


ID_ZW_PROP_NAME

Interno ID: ID_ZW_PROP_NAME

Nome

Nome del gruppo contatore.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


ID_ZW_PROP_NUMBER

Interno ID: ID_ZW_PROP_NUMBER

ID

Numero interno del gruppo contatore.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Number"


ID_ZW_PROP_OFFSET

Interno ID: ID_ZW_PROP_OFFSET

Offset [s]

Tempo dopo un accesione per la prima interrogazione in secondi.

In tal modo si garantisce che la Connection con l'altra posizione sia OK.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Offset"


ID_ZW_PROP_OVHANDLING

Interno ID: ID_ZW_PROP_OVHANDLING

Trattamento OV

Comportamento in caso di superamento di valore assoluto o di superamento del gradiente.

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "OVHandling"


ID_ZW_PROP_TARIF

Interno ID: ID_ZW_PROP_TARIF

Variabile per riconoscimento tariffa

Variabile di gestione per denominazione tariffa.

Assegnazione a stati user 1....8

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TariffPV"


ID_ZW_PROP_TIMEOUT

Interno ID: ID_ZW_PROP_TIMEOUT

Finestra tempo [s]

Timeout per controllo di completezza.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Timeout"


ID_ZW_PROP_TRIGGER

Interno ID: ID_ZW_PROP_TRIGGER

Variabile trigger

Dal punto di interrogazione fino alla fine della finestra tempo: 1

Altrimenti: 0

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TriggerPV"


ID_ZW_PROP_ZYKLUSZEIT

Interno ID: ID_ZW_PROP_ZYKLUSZEIT

Tempo Ciclo Gruppi [s]

Tempo del ciclo per interrogazioni contatore in secondi.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CycleTime"


IDD_VARVERWALTUNG5

Interno ID: IDD_VARVERWALTUNG5

Nome

Nome del tipo di dato. La lunghezza è limitata a 128 carateri.
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDP_3TFORM_EDITOR

Interno ID: IDP_3TFORM_EDITOR

Visualizzazione piatta

Stabilite quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Copri: la superficie dell´elemento viene usata come settore immagine.

Taglia: la superficie dell´elemento viene cancellata dalle superfici che si trovano sotto.

Collegamento OR: a seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Indicazione: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Combine"


IDP_AMISTS_DEVICE

Interno ID: IDP_AMISTS_DEVICE

AMISTS device"AMISTS device

È possibile inserire un dispositivo o un dispositivo di interruzione alimentazione. Questo deve esistere nel database del server transazione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AMISTSDevice"


IDP_AMISTS_LSDGROUP

Interno ID: IDP_AMISTS_LSDGROUP

AMISTS load switch group

Per i programmi di commutazione si specifica qui il gruppo di dispositivi di interruzione di alimentazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AMISTSLSGroup"


IDP_AMISTS_REFERENCE

Interno ID: IDP_AMISTS_REFERENCE

AMISTS reference

Qui viene instaurata la connessione fra variabili e il corrispondente server transazione corrispondente come parametrizzato nella configurazione driver.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AMISTSReference"


IDP_AMISTS_RELAYADDRESS

Interno ID: IDP_AMISTS_RELAYADDRESS

AMISTS relaynumber (1-5)

In un interruttore di alimentazione va associato il relè corrispondente in un range di valori da 1 a 5. Per un dispositivo questa specificazione è irrilevante.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AMISTSRelayNumber"


IDP_AMISTS_RELAYPROGRAM

Interno ID: IDP_AMISTS_RELAYPROGRAM

AMISTS load switch Program (block 17)

Qui viene definito un programma di commutazione. Esso deve essere indicato nel blocco 17 della parametrizzazione del server transazione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AMISTSLSDProgram"


IDP_AML_LONGLIMITS

Interno ID: IDP_AML_LONGLIMITS

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili..
Attivo: Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML . Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.
Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LongDynLimits"


IDP_BATCH_ACTION_ALLOC_GRP

Interno ID: IDP_BATCH_ACTION_ALLOC_GRP

Assegna parametro

Contains properties for the allocation of tags.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActAllocGrp"


IDP_BATCH_ACTION_CELACTIVE

Interno ID: IDP_BATCH_ACTION_CELACTIVE

Crea inserimento CEL

Attiva: Il testo definito nella proprietà Messaggio di testo CEL viene inserito nella CEL.

Interno ID: IDP_BATCH_ACTION_CELACTIVE

Messaggio di testo CEL

Disponibile solo se la proprietà Crea inserimento CEL è attiva.

Testo che viene inserito nella CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActCelEn"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActCelEn"


IDP_BATCH_ACTION_CELMSG

Interno ID: IDP_BATCH_ACTION_CELMSG

Messaggio di testo CEL

Disponibile solo se la proprietà Crea inserimento CEL è attiva.

Interno ID: IDP_BATCH_ACTION_CELMSG

Crea inserimento CEL

Attiva: Il testo definito nella proprietà Messaggio di testo CEL viene inserito nella CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActCelMsg"

Testo che viene inserito nella CEL.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActCelMsg"


IDP_BATCH_ACTION_DESCR

Interno ID: IDP_BATCH_ACTION_DESCR

Descrizione

Inserimento di testo libero per descrivere l´evento selezionato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActDescr"


IDP_BATCH_ACTION_DESTTAG

Interno ID: IDP_BATCH_ACTION_DESTTAG

Parametro di destinazione

Parametro a cui è trasmesso il valore di quello selezionato nella proprietà Parametro sorgente. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri. Vengono proposti solamente parametri del tipo adatto.

Interno ID: IDP_BATCH_ACTION_DESTTAG

Parametro sorgente

Parametro il cui valore è trasmesso a quello selezionato nella proprietà Parametro di destinazione. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActDestTag"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActDestTag"


IDP_BATCH_ACTION_FUNC

Interno ID: IDP_BATCH_ACTION_FUNC

Funzione

Funzione che deve essere eseguita. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActFunc"


IDP_BATCH_ACTION_FUNCTION_GRP

Interno ID: IDP_BATCH_ACTION_FUNCTION_GRP

Funzione

Contiene la proprietà per la selezione funzioni.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActFuncGrp"


IDP_BATCH_ACTION_GENERAL_GRP

Interno ID: IDP_BATCH_ACTION_GENERAL_GRP

Generale

Contiene le proprietà generali per gli eventi.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActGeneral"


IDP_BATCH_ACTION_LOG_GRP

Interno ID: IDP_BATCH_ACTION_LOG_GRP

Inserimenti nella CEL

Contains properties for entries in the CEL and in LOG files.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActLogGrp"


IDP_BATCH_ACTION_LOGMSG

Interno ID: IDP_BATCH_ACTION_LOGMSG

Logmeldung

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActLogMsg"


IDP_BATCH_ACTION_LOGMSG_EN

Interno ID: IDP_BATCH_ACTION_LOGMSG_EN

Log aktiv

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActLogEn"


IDP_BATCH_ACTION_PRIO

Interno ID: IDP_BATCH_ACTION_PRIO

Ordine di esecuzione

Mostra la successione di esecuzione se sono state definite più reazioni allo stesso evento. La successione è definita sulla base della posizione nella lista e viene visualizzata in questa sede. La successione può essere modificata nella lista usando la barra dei simboli, oppure grazie al menu contestuale dell´evento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActPrio"


IDP_BATCH_ACTION_REACTION_GRP

Interno ID: IDP_BATCH_ACTION_REACTION_GRP

Sostituzioni

Contains properties for the reactions.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTagGrp"


IDP_BATCH_ACTION_RECIPE_GRP

Interno ID: IDP_BATCH_ACTION_RECIPE_GRP

Influsso ricetta

Contiene le proprietà per la Modalità REE e il comando.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActRecipeGrp"


IDP_BATCH_ACTION_RESCMD

Interno ID: IDP_BATCH_ACTION_RESCMD

Comando

Comando RES che modifica l´esecuzione della RES. Un comando può essere progettato solo una volta per lo stesso evento. Tutti gli altri comandi ricevono come valore "Ignora".

Se si cambia il tipo di evento, questa impostazione può essere eventualmente settata su "ignorato".

Selezione del comando REE fra quelli della lista a cascata:
Mantieni fase
Ripristina fase
Riavvia fase
Fase in pausa
Ignora
Annulla ricetta
Mantieni ricetta
Ripristina ricetta
Riavvia ricetta
Ricetta in pausa
Interrompi ricetta

Default: Ignora

Indicazione: si può settare solamente un solo comando per evento. Per tutti gli altri eventi dello stesso tipo, la proprietà verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la proprietà viene settata automaticamente su Ignora.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActResCmd"


IDP_BATCH_ACTION_RESCMDMODE

Interno ID: IDP_BATCH_ACTION_RESCMDMODE

Modalità REE

Selezione della modalità REE fra quelle della lista a cascata:
automatica
semiautomatica
ignora
manuale

Default: Ignora

Indicazione: la modalità REE può essere settata solamente una volta per un evento. Per tutti gli altri eventi dello stesso tipo, la modalità verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la modalità viene settata automaticamente su Ignora. Se si modifica l´evento, quest´impostazione viene eventualmente settata su Ignorato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActResCmdMode"


IDP_BATCH_ACTION_SETTAG

Interno ID: IDP_BATCH_ACTION_SETTAG

Parametri

Parametro che viene settato come reazione ad un valore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTag"


IDP_BATCH_ACTION_SETTAG_BO

Interno ID: IDP_BATCH_ACTION_SETTAG_BO

Valore booleano

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Binario.

Interno ID: IDP_BATCH_ACTION_SETTAG_BO

Parametri

Parametro che viene settato come reazione ad un valore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTBool"

Valore impostabile per un parametro binario. Selezione dalla lista a cascata:
Off (0):
On (1):
Toggle: cambia lo stato

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTBool"


IDP_BATCH_ACTION_SETTAG_DUR

Interno ID: IDP_BATCH_ACTION_SETTAG_DUR

Durata

È disponibile solo se nella proprietà Parametro è stato selezionato un Parametri del tipo Durata.

Interno ID: IDP_BATCH_ACTION_SETTAG_DUR

Parametri

Parametro che viene settato come reazione ad un valore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTDuration"

Valore impostabile in giorni, ore, minuti e secondi per parametro del tipo Durata.
Valore massimo: 0T 00:00:00
Valore minimo: 9999T 23:59:59

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTDuration"


IDP_BATCH_ACTION_SETTAG_GRP

Interno ID: IDP_BATCH_ACTION_SETTAG_GRP

Impostazione parametri di valore

Contiene proprietà per Impostazione parametri di valore.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTagGrp"


IDP_BATCH_ACTION_SETTAG_MEUNIT

Interno ID: IDP_BATCH_ACTION_SETTAG_MEUNIT

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTagMeUnit"


IDP_BATCH_ACTION_SETTAG_NUM

Interno ID: IDP_BATCH_ACTION_SETTAG_NUM

Valore numerico

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Numerico.

Interno ID: IDP_BATCH_ACTION_SETTAG_NUM

Parametri

Parametro che viene settato come reazione ad un valore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTNum"

Valore impostabile per parametro del tipo Numerico.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTNum"


IDP_BATCH_ACTION_SETTAG_STR

Interno ID: IDP_BATCH_ACTION_SETTAG_STR

Valore stringa

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo String.

Interno ID: IDP_BATCH_ACTION_SETTAG_STR

Parametri

Parametro che viene settato come reazione ad un valore. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTStr"

Valore impostabile per parametro del tipo String.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSetTStr"


IDP_BATCH_ACTION_SRCTAG

Interno ID: IDP_BATCH_ACTION_SRCTAG

Parametro sorgente

Parametro il cui valore è trasmesso a quello selezionato nella proprietà Parametro di destinazione. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri.

Interno ID: IDP_BATCH_ACTION_SRCTAG

Parametro di destinazione

Parametro a cui è trasmesso il valore di quello selezionato nella proprietà Parametro sorgente. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri. Vengono proposti solamente parametri del tipo adatto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSrcTag"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActSrcTag"


IDP_BATCH_ACTION_TYPE

Interno ID: IDP_BATCH_ACTION_TYPE

Evento

Tipo di evento in presenza del quale deve essere eseguita la reazione. Selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BatchActType"


IDP_BATCH_MR_GENERAL_GRP

Interno ID: IDP_BATCH_MR_GENERAL_GRP

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_General"


IDP_BATCH_PHASE_ABORTING_CND

Interno ID: IDP_BATCH_PHASE_ABORTING_CND

Annullato

Condition for the change from aborting to aborted.

You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AbortingCnd"


IDP_BATCH_PHASE_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa della fase.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


IDP_BATCH_PHASE_DONE

Interno ID: IDP_BATCH_PHASE_DONE

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Done"


IDP_BATCH_PHASE_GENERAL_GRP

Interno ID: IDP_BATCH_PHASE_GENERAL_GRP

Generale

Proprietà generali della fase.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_General"


IDP_BATCH_PHASE_HOLDING_CND

Interno ID: IDP_BATCH_PHASE_HOLDING_CND

Fermato

Condition for the change from holding to held.

You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HoldingCnd"


IDP_BATCH_PHASE_INTERLOCKING

Interno ID: IDP_BATCH_PHASE_INTERLOCKING

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Interlocking"


IDP_BATCH_PHASE_MINEXECTIME

Interno ID: IDP_BATCH_PHASE_MINEXECTIME

Minima durata di esecuzione

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Massima durata di esecuzione.

Interno ID: IDP_BATCH_PHASE_MINEXECTIME

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: IDP_BATCH_PHASE_MINEXECTIME

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinExecTime"

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinExecTime"

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinExecTime"


IDP_BATCH_PHASE_NAME

Interno ID: IDP_BATCH_PHASE_NAME

Nome

Nome univoco della fase in unità. Il nome non può contenere nessun punto e non può essere vuoto. Il nome è traducibile.
Default: Fase x (x è un numero progressivo).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Descrizione dell'unità

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UnitDescription"


IDP_BATCH_PHASE_PARENT_UNIT_NAME

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_NAME

Unità

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Unit"


IDP_BATCH_PHASE_PAUSING_CND

Interno ID: IDP_BATCH_PHASE_PAUSING_CND

In pausa

Condition for the change from pausing to paused.
You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PausingCnd"


IDP_BATCH_PHASE_RESTARTING_CND

Interno ID: IDP_BATCH_PHASE_RESTARTING_CND

Riavviato

Condition for the change from starting to running.

You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RestartingCnd"


IDP_BATCH_PHASE_STOPPING_CND

Interno ID: IDP_BATCH_PHASE_STOPPING_CND

Stoppato

Condition for the change from stopping to stopped.

You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StoppingCnd"


IDP_BATCH_PHASE_TOALLOCATION

Interno ID: IDP_BATCH_PHASE_TOALLOCATION

Tempo di attesa per assegnazione unità

Time in days, hours, minutes and seconds which is waited for the allocation of the unit. The waiting period can be changed in the Runtime as long as the recipe has status Editable.

After the defined period has exceeded, the event Waiting period unit allocation exceeded is triggered and the element is highlighted. Additional actions must be defined by the engineer. If no further actions take place, the waiting is continued.

Maximum: 9999d 23:59:59
Default: 0d 00:00:00

Note: A unit can only be allocated by a single recipe with status In execution at a time.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToAllocation"


IDP_BATCH_PHASE_TODONE

Interno ID: IDP_BATCH_PHASE_TODONE

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con la scrittura dei parametri di comando.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo per fase successiva e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: IDP_BATCH_PHASE_TODONE

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToDone"

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToDone"


IDP_BATCH_PHASE_TOINTERLOCK

Interno ID: IDP_BATCH_PHASE_TOINTERLOCK

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a scorrere con l´inizio del controllo dell'interblocco di ingresso.
Se la condizione non viene soddisfatta prima dello scadere del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se non si è provveduto a definire una reazione all´evento che richiede un altro comportamento, il sistema continua ad attendere finché la condizione non viene soddisfatta.
Se si imposta il tempo di attesa 0T 00:00:00, l´evento non viene inizializzato.
Valore minimo: 0T 00:00:00
Valore massimo: 9999T 23:59:59

Interno ID: IDP_BATCH_PHASE_TOINTERLOCK

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToInterlocking"

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToInterlocking"


IDP_BATCH_PHASE_TOPHASEEND

Interno ID: IDP_BATCH_PHASE_TOPHASEEND

Tempo di attesa per condizione successiva

Period in days, hours, minutes and seconds in which the phase must be completed. The waiting period begins when the phase done condition is reached. If the condition is not fulfilled within the waiting period, the event Waiting period following condition exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Note: If the following condition exists depends on the recipe structure. Therefore the configuration of a waiting period should not be done in the Editor but in the Runtime.

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

More in the online help in chapter Times.
More in the online help in chapter Successive condition.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ToPhaseEnd"


IDP_BATCH_PHASE_TRANS_CND_GRP

Interno ID: IDP_BATCH_PHASE_TRANS_CND_GRP

Condizione stato transizione

Group with properties for transition conditions.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GPR_TransCnd"


IDP_BATCH_PHASE_USER_GRP

Interno ID: IDP_BATCH_PHASE_USER_GRP

User Phase

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_User"


IDP_BATCH_PHASE_USERFKT

Interno ID: IDP_BATCH_PHASE_USERFKT

Reaktion

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserPFunc"


IDP_BATCH_PHASE_USERMSG

Interno ID: IDP_BATCH_PHASE_USERMSG

Meldung

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserPMsg"


IDP_BATCH_PHASE_USERPHASE

Interno ID: IDP_BATCH_PHASE_USERPHASE

User Phase

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserPhase"


IDP_BATCH_PHASE_USERTIMEOUT

Interno ID: IDP_BATCH_PHASE_USERTIMEOUT

Tempo di attesa per azione da eseguire

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UserPTimeout"


IDP_BATCH_TAG_DATATYPE

Interno ID: IDP_BATCH_TAG_DATATYPE

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

Interno ID: IDP_BATCH_TAG_DATATYPE

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DataType"

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_DATATYPE

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DataType"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DataType"


IDP_BATCH_TAG_DEFVALUE_BOOL

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Valore binario

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Parametro tipo di dato su binaria.

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueBool"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueBool"

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueBool"

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueBool"

Valore del parametro di comando binario. Selezione dalla lista a cascata:
Off (0):
On (1):
Toggle: cambia lo stato

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueBool"


IDP_BATCH_TAG_DEFVALUE_MEUNIT

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Unità per valore.

Viene ripreso dalle variabili collegate nella proprietà Variabile (Generale/Collegamento variabile). Solo visualizzazione; non si possono effettuare delle modifiche in questa sede.

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Collegamento variabile

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueMeUnit"

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueMeUnit"

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Variabile

Variabile che viene collegata al parametro. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueMeUnit"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueMeUnit"


IDP_BATCH_TAG_DEFVALUE_NUM

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Valore numerico

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Parametro tipo di dato su numerica.

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueNum"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueNum"

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueNum"

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueNum"

Valore del parametro di comando numerico.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueNum"


IDP_BATCH_TAG_DEFVALUE_STR

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Valore stringa

Successione di caratteri che viene utilizzata per il valore del parametro. Se ci si mette davanti il simbolo @, il valore può essere tradotto nel Runtime.
Disponibile solamente se nel gruppo Generale la proprietà Generale è stata settata su comando, e la proprietà Parametro tipo di dato su String.

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueStr"

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueStr"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueStr"

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueStr"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueStr"


IDP_BATCH_TAG_DEFVALUE_TIME

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Durata periodo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Parametro tipo di dato su durata.

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueTime"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueTime"

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueTime"

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueTime"

Indicazione della durata in giorni, ore, minuti e secondi per il parametro di comando Durata.

Valore massimo: 0T 00:00:00

Valore minimo: 9999T 23:59:59

Default: 0T 00:00:00

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DefValueTime"


IDP_BATCH_TAG_DESCRIPTION

Interno ID: IDP_BATCH_TAG_DESCRIPTION

Descrizione

Testo liberamente impostabile che serve a descrivere in modo più preciso il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


IDP_BATCH_TAG_GENERAL_GRP

Interno ID: IDP_BATCH_TAG_GENERAL_GRP

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_General"


IDP_BATCH_TAG_MATERIAL

Interno ID: IDP_BATCH_TAG_MATERIAL

Material

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Material"


IDP_BATCH_TAG_MAX

Interno ID: IDP_BATCH_TAG_MAX

Parametro massimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Parametro tipo di dato su numerica.

Interno ID: IDP_BATCH_TAG_MAX

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_MAX

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"

Interno ID: IDP_BATCH_TAG_MAX

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"

Interno ID: IDP_BATCH_TAG_MAX

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"

Valore massimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Max"


IDP_BATCH_TAG_MIN

Interno ID: IDP_BATCH_TAG_MIN

Parametro minimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Parametro tipo di dato su numerica.

Interno ID: IDP_BATCH_TAG_MIN

Parametro tipo di dato

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:
binario: dati binari
Numerico: dati numerici.
String: successione di caratteri
Durata: durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Interno ID: IDP_BATCH_TAG_MIN

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"

Interno ID: IDP_BATCH_TAG_MIN

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"

Interno ID: IDP_BATCH_TAG_MIN

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"

Valore minimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Min"


IDP_BATCH_TAG_NAME

Interno ID: IDP_BATCH_TAG_NAME

Nome

Nome del parametro. Esso deve essere univoco nell´ambito della fase. Il nome non può essere né vuoto, né contenere punti, né constare solamente di spazi vuoti. La lunghezza è limitata a 256 caratteri; il nome è case sensitive.

Default: Parametro x, dove x è un numero progressivo generato automaticamente ed è garanzia della univocità del nome.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDP_BATCH_TAG_PARENT_PHASE

Interno ID: IDP_BATCH_TAG_PARENT_PHASE

fase

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Phase"


IDP_BATCH_TAG_PARENT_UNIT

Interno ID: IDP_BATCH_TAG_PARENT_UNIT

Unità

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Unit"


IDP_BATCH_TAG_RECIPEPARAM

Interno ID: IDP_BATCH_TAG_RECIPEPARAM

Modificabile in ricetta

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando.

Interno ID: IDP_BATCH_TAG_RECIPEPARAM

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeParam"

Interno ID: IDP_BATCH_TAG_RECIPEPARAM

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeParam"

Attiva: Chi ha impostato la ricetta può modificare i parametri durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeParam"


IDP_BATCH_TAG_TAGTYPE

Interno ID: IDP_BATCH_TAG_TAGTYPE

Tipo

Selezione del tipo parametro fra quelli della lista a cascata:
Comando: Parametro di comando traducibile durante il Runtime.
Feedback: parametro di Feedback, traducibile nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TagType"


IDP_BATCH_TAG_TIME_MAX

Interno ID: IDP_BATCH_TAG_TIME_MAX

Variabile di tempo max.

Maximum for Value time duration of a variable.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxTime"


IDP_BATCH_TAG_TIME_MIN

Interno ID: IDP_BATCH_TAG_TIME_MIN

Variabile di tempo min.

Minimum for Value time duration of a variable.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MinTime"


IDP_BATCH_TAG_VALUES_GRP

Interno ID: IDP_BATCH_TAG_VALUES_GRP

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_Values"


IDP_BATCH_TAG_VAR_DATENART

Interno ID: IDP_BATCH_TAG_VAR_DATENART

Tipo di dato della variabile

Data type of the variable. Only display.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarDataType"


IDP_BATCH_TAG_VAR_MAX

Interno ID: IDP_BATCH_TAG_VAR_MAX

Variabile di valore max.

Maximum value of the variable. Only display.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarMax"


IDP_BATCH_TAG_VAR_MIN

Interno ID: IDP_BATCH_TAG_VAR_MIN

Variabile di valore min.

Minimum value of the variable. Only display.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarMin"


IDP_BATCH_TAG_VAR_STRLENGTH

Interno ID: IDP_BATCH_TAG_VAR_STRLENGTH

Lunghezza stringa

String length as engineered at the variable. Only display

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarStrLength"


IDP_BATCH_TAG_VAR_TREIBER

Interno ID: IDP_BATCH_TAG_VAR_TREIBER

Driver

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarDriver"


IDP_BATCH_TAG_VAR_TREIBERBEZ

Interno ID: IDP_BATCH_TAG_VAR_TREIBERBEZ

Nome del driver

Name of the driver of the variable. Only display.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarDriverDesc"


IDP_BATCH_TAG_VAR_UNIT

Interno ID: IDP_BATCH_TAG_VAR_UNIT

Unità

Unit of the variable. Only display.

More in the online help.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VarUnit"


IDP_BATCH_TAG_VARIABLE

Interno ID: IDP_BATCH_TAG_VARIABLE

Variabile

Variabile che viene collegata al parametro. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


IDP_BATCH_TAG_VARIABLE_GRP

Interno ID: IDP_BATCH_TAG_VARIABLE_GRP

Collegamento variabile

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_Variable"


IDP_BATCH_TAG_VARIATIONMAX

Interno ID: IDP_BATCH_TAG_VARIATIONMAX

Variationmax.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VariationMax"


IDP_BATCH_TAG_VARIATIONMIN

Interno ID: IDP_BATCH_TAG_VARIATIONMIN

Variationmin.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VariationMin"


IDP_BATCH_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_UNIT_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa dell´unità.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Description"


IDP_BATCH_UNIT_GENERAL_GRP

Interno ID: IDP_BATCH_UNIT_GENERAL_GRP

Generale

Proprietà generali dell´unità.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_General"


IDP_BATCH_UNIT_NAME

Interno ID: IDP_BATCH_UNIT_NAME

Nome

Nome univoco dell´unità. Il nome non può contenere nessun punto e non può essere vuoto. Il nome è traducibile.
Default: Unità x (x è un numero progressivo).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDP_CEL_ARVERRPERIOD

Interno ID: IDP_CEL_ARVERRPERIOD

Esportazione Archivi [h]

Tempo in ore per Trattamento errori.

Se il sistema rileva un errore al momento della dislocazione di archivi, genera un inserimento nella Lista eventi cronologica (CEL) dopo che è trascorso l´intervallo impostato.

Se non è possibile leggere un file ARX, esso viene rinominato in .ar_ e il sistema usa il prossimo file.
Default: 12

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ArciveOverPeriod"


IDP_CEL_LONGLIMITS

Interno ID: IDP_CEL_LONGLIMITS

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

Attiva: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Non attiva: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LongDynLimits"


IDP_CEL_TEXTLEN

Interno ID: IDP_CEL_TEXTLEN

Lunghezza testo statico per valori limiti CEL

Lunghezza del testo di valore limite statico nella CEL in caratteri.

Stabilisce qual è il numero massimo di caratteri di cui può constare il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

Minimo: 127

Massimo: 1023

Default: 127

Limitazione: In caso di dBase-Export, la lunghezza è limitata a 256 caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CELTextLen"


IDP_DYN_ELE_KBD

Interno ID: IDP_DYN_ELE_KBD

Utilizza immagine tipo Keyboard

Quando si seleziona l´elemento durante il runtime, viene aperta la Keyboard.
Quando si seleziona un campo di inserimento vuoto durante il runtime, viene aperta l´immagine Keyboard DIALOGKBD (sempre che essa sia disponibile).
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KbdUsage"


IDP_DYN_ELE_KBD_NAME

Interno ID: IDP_DYN_ELE_KBD_NAME

Immagine tipo Keyboard

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "KbdName"


IDP_DYNELE_ALC_ALIAS

Interno ID: IDP_DYNELE_ALC_ALIAS

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Interno ID: IDP_DYNELE_ALC_ALIAS

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAlias"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAlias"


IDP_DYNELE_ALC_ALIAS_NAME

Interno ID: IDP_DYNELE_ALC_ALIAS_NAME

Alias

Disponibile solo se Colori da ALC è attivo.

Interno ID: IDP_DYNELE_ALC_ALIAS_NAME

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAliasName"

Defnisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.

Interno ID: IDP_DYNELE_ALC_ALIAS_NAME

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAliasName"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAliasName"


IDP_DYNELE_ALC_ALTCOL

Interno ID: IDP_DYNELE_ALC_ALTCOL

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Interno ID: IDP_DYNELE_ALC_ALTCOL

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Interno ID: IDP_DYNELE_ALC_ALTCOL

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAlternativeColor"

Default: sorgente ad alta priorità

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAlternativeColor"

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCAlternativeColor"


IDP_DYNELE_ALC_DASHLEN

Interno ID: IDP_DYNELE_ALC_DASHLEN

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Interno ID: IDP_DYNELE_ALC_DASHLEN

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Interno ID: IDP_DYNELE_ALC_DASHLEN

Colori da ALC

Disponibile solo se l’ Automatic Line Coloring (ALC) è disponibile nella licenza in uso:
Abilitata: E utilizzato il colore automatico della(e) sorgente(i) connessa(e).
Disabilitata: Viene utilizzato il colore di default.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCDashLen"

Default: sorgente ad alta priorità

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCDashLen"

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCDashLen"


IDP_DYNELE_ALC_EXCHANGEINOUT

Interno ID: IDP_DYNELE_ALC_EXCHANGEINOUT

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, Serranda oppure Separatore.

Interno ID: IDP_DYNELE_ALC_EXCHANGEINOUT

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCExchangeInOut"

Attiva: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCExchangeInOut"


IDP_DYNELE_ALC_GROUNDFAULTTYPE

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTTYPE

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultType"

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultType"


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarDisp"

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarDisp"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarDisp"


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarFwd"

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarFwd"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarFwd"


IDP_DYNELE_ALC_GROUNDFAULTVARREV

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarRev"

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarRev"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarRev"


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarTrg"

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarTrg"

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarTrg"

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea .

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarTrg"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCGroundFaultVarTrg"


IDP_DYNELE_ALC_LINEREACT

Interno ID: IDP_DYNELE_ALC_LINEREACT

Reattanza linea [Ohm]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCReact"


IDP_DYNELE_ALC_LINERESIST

Interno ID: IDP_DYNELE_ALC_LINERESIST

Resistenza linea [Ohm]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCResist"


IDP_DYNELE_ALC_LOADTYPE

Interno ID: IDP_DYNELE_ALC_LOADTYPE

Carico

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCLoadType"


IDP_DYNELE_ALC_LOADVAL

Interno ID: IDP_DYNELE_ALC_LOADVAL

Corrente fissa [A]

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCLoadVal"


IDP_DYNELE_ALC_PROTID

Interno ID: IDP_DYNELE_ALC_PROTID

Protezione-ID

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCProtID"


IDP_DYNELE_ALC_REVSRC

Interno ID: IDP_DYNELE_ALC_REVSRC

Sorgente per alimentazione invertita

Disponibile solamente se in corrispondenza della proprietà Tipo funzione avete selezionato Trasformatore.

Interno ID: IDP_DYNELE_ALC_REVSRC

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCReverseSourceID"

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è rückwärtsspeisefähig. Das bedeutet, dass sich der Trafo in beiden Richtungen - vom Eingang zum Ausgang (Vorwärtsrichtung) und auch vom Ausgang zum Eingang (Rückwärtsrichtung) - gleich verhält. Der einzige Unterschied besteht darin, dass zur Weiterverbreitung die Quellnummer der Eigenschaft Sorgente per alimentazione invertita und nicht die der Eigenschaft Sorgente verwendet wird.

Interno ID: IDP_DYNELE_ALC_REVSRC

Sorgente

Disponibile solo se il tipo di funzione è settato su‚ trasformatore:
Selezione della sorgente/trasformatore collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCReverseSourceID"

Indicazione: Fehlerhafte Netzzustände oder fehlerhafte Projektierungen, wie z.B. gleichzeitige Speisung von Eingang und Ausgang oder Kurzschluss von Eingang und Ausgang werden nicht speziell eingefärbt. Das bedeutet, dass sich der rückwärtsspeisefähiger Trafo verhält wie zwei antiparallel geschaltete Trafos, die nicht rückwärtsspeisefähig sind.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCReverseSourceID"


IDP_DYNELE_ALC_SHORTFAULTTYPE

Interno ID: IDP_DYNELE_ALC_SHORTFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTTYPE

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultType"

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultType"


IDP_DYNELE_ALC_SHORTFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarDisp"

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarDisp"

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarDisp"


IDP_DYNELE_ALC_SHORTFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarFwd"

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarFwd"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarFwd"


IDP_DYNELE_ALC_SHORTFAULTVARREV

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarRev"

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarRev"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarRev"


IDP_DYNELE_ALC_SHORTFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:
Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
Interrutore: Il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vedi Guida.
Utilizzatore: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
Sezionatore: funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarTrg"

Imposta il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/índietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

indietro: si attende per 2 secondi il primo fronte crescente di una direzione.

avanti: viene utilizzato lo stato attuale della direzione.

Default: Nessuna

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarTrg"

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarTrg"

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarTrg"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCShortFaultVarTrg"


IDP_DYNELE_ALC_VARCURI

Interno ID: IDP_DYNELE_ALC_VARCURI

Valore attuale corrente

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCVarCurI"


IDP_DYNELE_ALC_VARCURP

Interno ID: IDP_DYNELE_ALC_VARCURP

Valore attuale potenza complessa

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCVarCurP"


IDP_DYNELE_ALC_VARLOAD

Interno ID: IDP_DYNELE_ALC_VARLOAD

Carico variabile

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCVarLoad"


IDP_DYNELE_ALC_VARMAXI

Interno ID: IDP_DYNELE_ALC_VARMAXI

Valore limite portata

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCVarMaxI"


IDP_DYNELE_ALC_VARPROTREACT

Interno ID: IDP_DYNELE_ALC_VARPROTREACT

Reattanza dalla protezione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ALCVarProtReact"


IDP_DYNELE_LIMITCOLOR_ACTIVE

Interno ID: IDP_DYNELE_LIMITCOLOR_ACTIVE

Utilizza colore da valore limite

Potete stabilire se il colore di valore limite definito con la variabile collegata all´elemento deve essere visulizzato nel runtime. A seconda del tipo di elemento, il colore ha effetto sul testo visualizzato, oppure, nel caso dello slider universale, al suo indicatore.

attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva (per garantire la compatibilità)

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LimitColor"


IDP_ELE_POS_START_ANGLE

Interno ID: IDP_ELE_POS_START_ANGLE

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento. Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:
- rifletti
- ruota di +/- 90°
- scalare con tasti freccia

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Angle"


IDP_ELE_VAR_LOCKING

Interno ID: IDP_ELE_VAR_LOCKING

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Locking"


IDP_GFXRT_ROWHEIGHT

Interno ID: IDP_GFXRT_ROWHEIGHT

Zeilenhöhe [Pixel]

Disponibile solo se la proprietà Funzionalità grafiche avanzate è attivata.

Interno ID: IDP_GFXRT_ROWHEIGHT

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proproetà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista per la lista allarmi e la Lista eventi cronologica.

Default: non attiva.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RowHeight"

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 4294967295 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RowHeight"


IDP_GRP_FCNMANAGER

Interno ID: IDP_GRP_FCNMANAGER

Funzioni

Proprietà per l'amministrazione delle funzioni.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FncManager"


IDP_GRP_HDDMANAGER

Interno ID: IDP_GRP_HDDMANAGER

Salvataggio dati Harddisk

Proprietà per la gestione del salvataggio dati su disco (HDD).

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HDD"


IDP_GRP_RGMSETTING

Interno ID: IDP_GRP_RGMSETTING

Gruppi di ricette

Definite il sito per salvare i file per il Manager dei gruppi ricette.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RGM"


IDP_GRP_RTDIALOGES

Interno ID: IDP_GRP_RTDIALOGES

Messaggi Runtime per

Proprietà per i messaggi Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RTMessageBoxes"


IDP_HDD_ACTIVE

Interno ID: IDP_HDD_ACTIVE

Dati HDD attivi

Abilitata: I dati storici (HDD) vengono creati.

I file HDD vengono generati se nelle proprietà della variabile viene abilitato il buffer circolare HDD (FIFO). I file HDD possono servire per visualizzare trend online, trend estesi o per essere esportati con la relativa funzione “esporta dati”.

Abilitata: I dati storici (HDD) non vengono creati.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Active"


IDP_HDD_FILLDATA

Interno ID: IDP_HDD_FILLDATA

Buffer di dati

Attiva: un numero di bytes impostato in modo fisso nell´ambito del sistema viene depositato in un buffer e poi salvato a blocchi.
Non attiva: Il valore entrante corrispondente viene salvato.
Default: attiva:

Calcolo: viene salvato ogni kte tempo di ciclo. k è la parte più grande a numeri interi dei valori HD da salvare, che è minore o pari a 84.
Esempio: numero valori 300 -> Salvataggio ogni 75. Valore.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FillData"


IDP_LOCKED_BUTTONS

Interno ID: IDP_LOCKED_BUTTONS

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Interno ID: IDP_LOCKED_BUTTONS

Tasti bloccati

Disponibile solo se la proprietà è Login temp. Attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Interno ID: IDP_LOCKED_BUTTONS

Login temp. Attivo

Attiva: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo username e la sua password.
Non attivo: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, egli riceve l´informazione che non è autorizzato a gestire l´elemento.
Default: Attiva

Indicazione:Posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini alla voce [Comando] Posizione =.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockedButtonStyle"

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockedButtonStyle"

Possibili forme di visualizzazione:

  • grigio
  • normale
  • Invisibile

Default: normale

Questa proprietà agisce indipendentemente dalla proprietà Descrizione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Interno ID: IDP_LOCKED_BUTTONS

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockedButtonStyle"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockedButtonStyle"


IDP_MENU_SEP_COLOR

Interno ID: IDP_MENU_SEP_COLOR

Colore

Definite il colore di riempimento del separatore. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante....

Default: nero.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SeparatorColor"


IDP_MENU_SEP_GROUP

Interno ID: IDP_MENU_SEP_GROUP

Separatore

Impostazioni generali per separatori in un menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GRP_Separator"


IDP_MENU_SEP_WIDTH

Interno ID: IDP_MENU_SEP_WIDTH

Larghezza

Definite la larghezza del separatore in pixel.

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SeparatorWidth"


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Interno ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Verifica connessione

Se si clicca sul pulsante, il sistema testa la connessione con il modem. Il test riguarda:

1. apertura e preparazione della porta COM definita nella proprietà Porta modem (seriale).

Interno ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Porta modem (seriale)

Selezione della porta COM tramite la quale il modem è raggiungibile. Con un clic del mouse aprite la lista a cascata per la selezione. Qual è la porta corretta, lo si può vedere nel pannello di controllo, nel gruppo Telefono e Modem.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckModem"

2. Risposta del modem.

3. Autenticazione PIN, se necessario.

4. Configurazione del modem. Per la configurazione di Numero centro messaggi si usa un inserimento Dummy, visto che la validità di questo numero di telefono può essere controllata solamente con l´invio di un SMS.

Interno ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Numero centro messaggi

Indicazione del numero di telefono del SMSC (short message service center) del provider GSM utilizzato. Inserimento deve essere un numero di telefono valido e deve constare solamemte di cifre. È consentito inserire il carattere + all´inizio del numero, che sta ad indicare un prefisso internazionale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckModem"

Un messaggio avverte se il test ha avuto successo o è fallito. Le informazioni concernenti gli errori vengono scritte nel file LOG.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CheckModem"


IDP_MSGCTRL_GSM_SMS_COM_PORT

Interno ID: IDP_MSGCTRL_GSM_SMS_COM_PORT

Porta modem (seriale)

Selezione della porta COM tramite la quale il modem è raggiungibile. Con un clic del mouse aprite la lista a cascata per la selezione. Qual è la porta corretta, lo si può vedere nel pannello di controllo, nel gruppo Telefono e Modem.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SerialPort"


IDP_MSGCTRL_GSM_SMS_GRP

Interno ID: IDP_MSGCTRL_GSM_SMS_GRP

Messaggio SMS (Modem GSM)

Impostazioni per l´invio di SMS via GSM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DispatchSettings"


IDP_MSGCTRL_GSM_SMS_PIN

Interno ID: IDP_MSGCTRL_GSM_SMS_PIN

Codice PIN

Inserimento del PIN per il modem. Esso deve constare solamente di cifre. Se non è necessario inserire un codice PIN per usare il modem, il valore di questa proprietà viene ignorato.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PersonalIdentificationNumber"


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Interno ID: IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Numero centro messaggi

Indicazione del numero di telefono del SMSC (short message service center) del provider GSM utilizzato. Inserimento deve essere un numero di telefono valido e deve constare solamemte di cifre. È consentito inserire il carattere + all´inizio del numero, che sta ad indicare un prefisso internazionale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SmscPhoneNumber"


IDP_NET_CHECK

Interno ID: IDP_NET_CHECK

Verifica del risultato

Emissione del risultato del controllo della topologia di rete.

Non è consentito nessun inserimento.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Check"


IDP_NET_COMPUTER

Interno ID: IDP_NET_COMPUTER

Nome PC

Nome del calcolatore di destinazione nella rete. Cliccando sul comando ... si apre la lista a cascata con i computer registrati in rete.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Computer"


IDP_NET_COMPUTER_GRP

Interno ID: IDP_NET_COMPUTER_GRP

Computer

Proprietà per il calcolatore nella topologia di rete.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: ""


IDP_NET_DIRECTORY

Interno ID: IDP_NET_DIRECTORY

Cartella runtime del progetto di partenza

Cartella runtime del progetto di partenza sul calcolatore di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura sul computer locale. Usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WorkingPath"


IDP_NET_PROJECT

Interno ID: IDP_NET_PROJECT

Progetto di partenza

Progetto di partenza per il computer di destinazione. Cliccando sulla lista a cascata, si apre la lista contenente i progetti già esistenti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDP_PRN_MAXJOBS

Interno ID: IDP_PRN_MAXJOBS

Numero massimo code di stampa

Numero massimo di code di stampa ammesse che vengono inserite nel “Print Manager" di Windows. Se il numero viene superato, viene generato un inserimento nella lista eventi cronologica. (CEL).
Minimo: 0.
Massimo: 65535.
Default: 90.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MaxPrintJobs"


IDP_PWL_EXECUTE

Interno ID: IDP_PWL_EXECUTE

Livelli di autorizzazione per l'esecuzione

Definisce i livelli di autorizzazione necessari per effettuare il blocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PwlExecute"


IDP_PWL_UNLOCK

Interno ID: IDP_PWL_UNLOCK

Livelli di autorizzazione per lo sblocco

Definisce i livelli di autorizzazione necessari per effettuare lo sblocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PwlUnlock"


IDP_RGM_DATASOURCE

Interno ID: IDP_RGM_DATASOURCE

RGM formato dati

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:
MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
File binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: file binari (compatibile con CE)

Indicazione: una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DataSource"


IDP_RGM_FILTER

Interno ID: IDP_RGM_FILTER

Testo filtro

Definisce filtro per variabili.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Filter"


IDP_RGM_GROUP_ALLGEMEIN

Interno ID: IDP_RGM_GROUP_ALLGEMEIN

Generale

Impostazioni generali per gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Allgemein"


IDP_RGM_GROUP_FEEDBACK

Interno ID: IDP_RGM_GROUP_FEEDBACK

Feedback

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback"


IDP_RGM_GROUP_FEEDBACK_CHECK

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK

Feedback verifica valori ricetta

Variabile di responso per Controlla valore di ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Commento 1

Commento 1 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment1"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Commento 2

Commento 2 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment2"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Commento 3

Commento 3 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment3"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Commento 4

Commento 4 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment4"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Commento 5

Commento 5 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment5"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Commento 6

Commento 6 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment6"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Commento 7

Commento 7 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment7"


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Commento 8

Commento 8 della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Comment8"


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Controllo valori - differenze

Differenze nel risultato del controllo della ricetta come testo.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Different"


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Nome ricetta

Nome della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Name"


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Numero ricetta

Numero della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Number"


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interrogazione valori ricetta - risultato

Risultato del controllo della ricetta come valore numerico.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Result"


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Rights"


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Nr. stato ricetta

Stato della ricetta controllata per ultima come numero.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Status_Nr"


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Testo stato ricetta

Stato della ricetta controllata per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Tradurre testo

Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Status_Txt"

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Status_Txt"


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Timechange"


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Userchange"


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Versione Ricetta

Versione della ricetta controllata per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Check_Version"


IDP_RGM_GROUP_FEEDBACK_READ

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ

Feedback lettura ricetta

Variabile di responso per Leggi ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read"


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Commento 1

Commento 1 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment1"


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Commento 2

Commento 2 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment2"


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Commento 3

Commento 3 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment3"


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Commento 4

Commento 4 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment4"


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Commento 5

Commento 5 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment5"


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Commento 6

Commento 6 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment6"


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Commento 7

Commento 7 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment7"


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Commento 8

Commento 8 della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Comment8"


IDP_RGM_GROUP_FEEDBACK_READ_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NAME

Nome ricetta

Nome della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Name"


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Numero ricetta

Numero della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Number"


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Lettura ricetta terminata

Risultato di leggi ricetta come valore numerico.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Result"


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Rights"


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Nr. stato ricetta

Stato della ricetta letta per ultima come numero.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Status_Nr"


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Testo stato ricetta

Stato della ricetta letta per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Tradurre testo

Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Status_Txt"

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Status_Txt"


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Timechange"


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Userchange"


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Versione Ricetta

Versione della ricetta letta per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Read_Version"


IDP_RGM_GROUP_FEEDBACK_WRITE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE

Feedback scrittura ricetta

Variabile di responso per Esegui ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Commento 1

Commento 1 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment1"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Commento 2

Commento 2 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment2"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Commento 3

Commento 3 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment3"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Commento 4

Commento 4 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment4"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Commento 5

Commento 5 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment5"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Commento 6

Commento 6 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment6"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Commento 7

Commento 7 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment7"


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Commento 8

Commento 8 della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Comment8"


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Nome ricetta

Nome della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Name"


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Numero ricetta

Numero della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Number"


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Scrittura ricetta terminata

Risultato dell´esecuzione della ricetta come valore numerico.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Result"


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Rights"


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Nr. stato ricetta

Stato della ricetta eseguita per ultima come numero.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Status_Nr"


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Testo stato ricetta

Stato della ricetta eseguita per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Tradurre testo

Attiva: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Status_Txt"

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Status_Txt"


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Timechange"


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Userchange"


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Versione Ricetta

Versione della ricetta eseguita per ultima.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_Write_Version"


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Feedback Import XML

Variabile di responso per import XML.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_XMLImport"


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Risultato di importazione

Successo dell´import XML.

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Feedback_XMLImport_Result"


IDP_RGM_INTERLOCKING

Interno ID: IDP_RGM_INTERLOCKING

Interblocco

Assegnazione di un interblocco per variabili. Selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Interlocking"


IDP_RGM_KEYBOARD

Interno ID: IDP_RGM_KEYBOARD

Immagine tipo Keyboard

Collegamento di un´immagine del tipo keyboard che deve essere aperta durante il runtime cliccando con il tasto sinistro del mouse sulla variabile per inserire un valore. Un clic sul comando apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Keyboard"


IDP_RGM_RCP_COMMENT3

Interno ID: IDP_RGM_RCP_COMMENT3

Commento 3

Riga di commento 3 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment3"


IDP_RGM_RCP_COMMENT4

Interno ID: IDP_RGM_RCP_COMMENT4

Commento 4

Riga di commento 4 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment4"


IDP_RGM_RCP_COMMENT5

Interno ID: IDP_RGM_RCP_COMMENT5

Commento 5

Riga di commento 5 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment5"


IDP_RGM_RCP_COMMENT6

Interno ID: IDP_RGM_RCP_COMMENT6

Commento 6

Riga di commento 6 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment6"


IDP_RGM_RCP_COMMENT7

Interno ID: IDP_RGM_RCP_COMMENT7

Commento 7

Riga di commento 7 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment7"


IDP_RGM_RCP_COMMENT8

Interno ID: IDP_RGM_RCP_COMMENT8

Commento 8

Riga di commento 8 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comment8"


IDP_RGM_RCP_COMMENTS_GRP

Interno ID: IDP_RGM_RCP_COMMENTS_GRP

Commento

Gruppo dei commenti ricette. Per ogni ricetta si possono inserire 8 commenti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Comments"


IDP_RGM_RECIPE_ALLGEMEIN

Interno ID: IDP_RGM_RECIPE_ALLGEMEIN

Generale

Proprietà generali della ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Allgemein"


IDP_RGM_RECIPE_STATUS

Interno ID: IDP_RGM_RECIPE_STATUS

Stato

Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Gruppi di ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione Ricetta. Questa proprietà può essere modificata nel Runtime.

Interno ID: IDP_RGM_RECIPE_STATUS

Versione Ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"

Interno ID: IDP_RGM_RECIPE_STATUS

Identificatore stato ricetta

Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"

Interno ID: IDP_RGM_RECIPE_STATUS

Gruppi di ricette

Definite il sito per salvare i file per il Manager dei gruppi ricette.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Status"


IDP_RGM_RECIPE_VERSION

Interno ID: IDP_RGM_RECIPE_VERSION

Versione Ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RecipeVersion"


IDP_RGM_REPORTFONT

Interno ID: IDP_RGM_REPORTFONT

Font Tabelle modificabili

Permette di impostare il carattere nel caso di immagini del tipo Manager gruppi ricette. Viene usato il carattere progettato nella proprietà Carattere. Altrimenti questa proprietà non ha alcun effetto.

Interno ID: IDP_RGM_REPORTFONT

Carattere

Selezione del tipo di carattere per il testo dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReportFont"

Se viene usata una tabella definita dall´utente (generata con il Generatore di rapporti), si usano i caratteri definiti nel report.

Default: Disattivato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ReportFont"


IDP_RGM_SHADOW_VARIABLE

Interno ID: IDP_RGM_SHADOW_VARIABLE

Variabile d'appoggio

Nel Runtime, le variabili di appoggio consentono di modificare tramite un´immagine un valore ricetta RGM. Per ogni variabile esistente in un gruppo ricette, si può definire una variabile d´appoggio. Nel Runtime, la variabile RGM viene sostituita con una variabile d´appoggio mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili di appoggio; essa viene riscritta nel RGM dopo una modifica mediante l´azione Scrivi variabili di appoggio sui valori di ricetta.

Interno ID: IDP_RGM_SHADOW_VARIABLE

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precendenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea

Cliccando sul pulsante si apre il dialogo per selezionare la variabile d´appoggio. Una variabile d´appoggio può essere usata una sola volta per ogni gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShadowVariable"


IDP_RGM_STATUS_LIST

Interno ID: IDP_RGM_STATUS_LIST

Identificatore stato ricetta

Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "StatusList"


IDP_RGM_VARLNK_ALLGEMEIN

Interno ID: IDP_RGM_VARLNK_ALLGEMEIN

Generale

Proprietà generali per variabili nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Allgemein"


IDP_RGM_VARLNK_BORDERS

Interno ID: IDP_RGM_VARLNK_BORDERS

Limiti

Impostazioni per Limiti.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueBorders"


IDP_RGM_VARLNK_GENERAL

Interno ID: IDP_RGM_VARLNK_GENERAL

Proprietà del valore

Proprietà per valori.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ValueGeneral"


IDP_RGM_VARLNK_RANGEFROMVAR

Interno ID: IDP_RGM_VARLNK_RANGEFROMVAR

Riprendi limiti di valori impostabili da variabile

Attiva: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RangeFromVar"


IDP_RGM_VARLNK_SHADOW

Interno ID: IDP_RGM_VARLNK_SHADOW

Variabile d'appoggio

Proprietà per variabili d´appoggio.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShadowVarGrp"


IDP_RGM_VISIBILITYVAR

Interno ID: IDP_RGM_VISIBILITYVAR

Variabile di visibilità

Selezione di una variabile per la gestione della visibilità. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityVar"


IDP_RTD_ACTION_OK

Interno ID: IDP_RTD_ACTION_OK

Esportazione dati

Abilitata: In caso di export andato a buon fine, viene visualizzato un messaggio a Runtime.
Disabilitata: Il messaggio non viene visualizzato.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActionOK"


IDP_RTD_DLGFONT

Interno ID: IDP_RTD_DLGFONT

Carattere di dialogo

Non disponibile se Carattere di dialogo configurabile è attiva.

Interno ID: IDP_RTD_DLGFONT

Carattere di dialogo configurabile

Permette di visualizzare dialoghi e impostazioni multiple nel runtime con un carattere che può essere impostato liberamente. Il carattere che deve essere utilizzato lo potete fissare facendo uso della proprietà Carattere di dialogo.

attivo: Il carattere selezionato alla voce Carattere di dialogo viene usato nel runtime.

inattiva: il carattere di sistema viene usato nel runtime per dialoghi e impostazioni multiple.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RtDlgFont"

Definite in questa sede il carattere che deve essere usato nel runtime per dialoghi e impostazioni multiple. Un clic sul comando apre il dialogo che serve alla selezione dei caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RtDlgFont"


IDP_RTD_ENDLGFONT

Interno ID: IDP_RTD_ENDLGFONT

Carattere di dialogo configurabile

Permette di visualizzare dialoghi e impostazioni multiple nel runtime con un carattere che può essere impostato liberamente. Il carattere che deve essere utilizzato lo potete fissare facendo uso della proprietà Carattere di dialogo.

Interno ID: IDP_RTD_ENDLGFONT

Carattere di dialogo

Non disponibile se Carattere di dialogo configurabile è attiva.

Definite in questa sede il carattere che deve essere usato nel runtime per dialoghi e impostazioni multiple. Un clic sul comando apre il dialogo che serve alla selezione dei caratteri.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnRtDlgFont"

attivo: Il carattere selezionato alla voce Carattere di dialogo viene usato nel runtime.

inattiva: il carattere di sistema viene usato nel runtime per dialoghi e impostazioni multiple.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EnRtDlgFont"


IDP_RTD_FILE_REPLACE

Interno ID: IDP_RTD_FILE_REPLACE

Sostituzione file

Abilitata: Se durante l’export di dati un file viene sovrascritto, viene visualizzato un messaggio a Runtime.
Disabilitata: Il messaggio non è visualizzato.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FileReplace"


IDP_RTD_INSUFFICIENT_LEVEL

Interno ID: IDP_RTD_INSUFFICIENT_LEVEL

Autorizzazione insufficiente

Disponibile solo se la proprietà Inserimenti errati è attiva.

Interno ID: IDP_RTD_INSUFFICIENT_LEVEL

Inserimenti errati

Attiva: nel caso di inserimenti utente errati (Imposta valore, Login, ecc.), vengono visualizzati nel Runtime dei messaggi corrispondenti.
Non attiva: i messaggi vengono soppressi. Per questa evenienza sono a disposizione nel driver di sistema delle variabili bit con le quali si può reagire in modo individuale agli inserimenti errati collegando una funzione con un valore limite.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InsufficientLevel"

Attiva: Se un utente esegue nel Runtime una funzione che richiede un livello di autorizzazione di cui egli non dispone, appare una finestra che contiene una segnalazione di errore.

Disattivata: Se il livello di autorizzazione non è corretto, viene visualizzata una segnalazione di errore. Nonostante ciò, viene settata la variabile del driver di sistema Funzione non autorizzata, che può essere valutata tramite valore limite o matrice di reazione.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InsufficientLevel"


IDP_RTD_INVALID_INPUT

Interno ID: IDP_RTD_INVALID_INPUT

Inserimenti errati

Attiva: nel caso di inserimenti utente errati (Imposta valore, Login, ecc.), vengono visualizzati nel Runtime dei messaggi corrispondenti.
Non attiva: i messaggi vengono soppressi. Per questa evenienza sono a disposizione nel driver di sistema delle variabili bit con le quali si può reagire in modo individuale agli inserimenti errati collegando una funzione con un valore limite.
Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "InvalidInput"


IDP_RTP_PICTBACKCOUNT

Interno ID: IDP_RTP_PICTBACKCOUNT

Numero pag.per funz."Immagine indietro"

Numero delle immagini che devono essere inserite nella lista per la funzione "Immagine indietro".
Avvertenza: vale ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come Funzione apertura nelle proprietà dell´immagine..
Minimo: 0
Massimo: 65535.
Default: 10.

Interno ID: IDP_RTP_PICTBACKCOUNT

Funzione apertura

Funzione da eseguire all’apertura dell’immagine in Runtime. .
ATTENZIONE:La funzione è eseguita ad ogni esecuzione della funzione “Cambio Immagine” a questa immagine. Se si vogliono eseguire piu funzioni, creare uno script con all’interno tutte le funzioni desiderate e inserire qui la funzione di richiamo dello Script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackPictCount"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackPictCount"


IDP_RTP_SYSKEYLOCK

Interno ID: IDP_RTP_SYSKEYLOCK

Pulsanti di sistema bloccati

Attiva: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
Non attiva: tasti di sistema non vengono bloccati.
Default: non attiva.

Ulteriori informazioni nella guida in linea

Indicazione: possono essere bloccati altri tasti di sistema durante il runtime tramite Keyblock Runtime Start.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SysKeyLock"


IDP_RTP_WATCHFILES

Interno ID: IDP_RTP_WATCHFILES

Indicizza file Runtime

Abilitata: Viene abilitata una cartella di cache per i file runtime per incrementare le performance.
Disabilitare: La cartella di cache non viene utilizzata.
Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FileWatcher"


IDP_STRATON_CMD_BINDPORT

Interno ID: IDP_STRATON_CMD_BINDPORT

Porta (Binding)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.

Numero della Port che apre il runtime di zenon Logic allo start. "Binding" rappresenta la Port per la trasmissione dati spontanea (basata su eventi).
Minimo: 0.
Massimo: 4294967295.
Default: 9000.

ATTENZIONE: deve essere superiore di 7800 a Mainport.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDBindPort"


IDP_STRATON_CMD_HOST

Interno ID: IDP_STRATON_CMD_HOST

Host

Questa proprietà è rilevante solo in connessione con lo Starttyp Runtime “autom. start stop” e “autom. start”.
Il runtime di zenon Logic si avvia solamente se questo parametro corrisponde al proprio indirizzo IP o al nome del computer!

Di norma, qui dovrebbe trovarsi l´indicazione "localhost" oppure 127.0.0.1 In pochi casi è necessario indicare un indirizzo IP deciso (oppure il nome computer). Ciò si rende necessario se, nel caso di più progetti standalone o di un solo progetto standalone, il runtime di zenon Logic deve essere avviato solo su un computer. Un´altra causa potrebbe essere che il runtime di zenon Logic deve essere avviato su un client di zenon, ma non sul server.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Default: localhost.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDHost"


IDP_STRATON_CMD_LOG

Interno ID: IDP_STRATON_CMD_LOG

Scrivi file di Log

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse vengono depositate in un file.
Inattivo: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse non vengono depositate in un file.
Default: inattiva.

ATTENZIONE: Una scrittura di file di protocollo può influenzare il ciclo del PLC!

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDTrace"


IDP_STRATON_CMD_MAINPORT

Interno ID: IDP_STRATON_CMD_MAINPORT

Porta (principale)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Numero di Mainport che è aperto dal Runtime di zenon Logic. "Main" rappresenta la Port per l´interrogazione ciclica (Pollen) dei valori di zenon Logic.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Minimo: 0.
Massimo: 4294967295.
Default: 1200.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDMainPort"


IDP_STRATON_CMD_PRIO

Interno ID: IDP_STRATON_CMD_PRIO

Priorità Realtime

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Setta il processo Runtime di zenon Logic su priorità Windows "Tempo reale".
Inattiva: Setta il processo Runtime di zenon Logic su priorità Windows "Normale".
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDPrio"


IDP_STRATON_CMD_REDUNDANCY

Interno ID: IDP_STRATON_CMD_REDUNDANCY

Operazioni ridondate

Attivo: Il Runtime di zenon Logic viene avviato in modo ridondante.
Inattivo: Il Runtime di zenon Logic non viene avviato in modo ridondante.

ATTENZIONE: Deve essere avviato lo Standby Runtime.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDRedundancy"


IDP_STRATON_CMD_RETAINBYNAME

Interno ID: IDP_STRATON_CMD_RETAINBYNAME

Salva con nome variabile ritentiva

Salva la variabile ritentiva con il suo nome, se avete selezionato il Tipo di start "start/stop automatico. Inoltre le variabili ritentive vengono collegate in modo indipendente automaticamente in zenon Logic.

Interno ID: IDP_STRATON_CMD_RETAINBYNAME

Tipo di start

Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logiccon il sistema Runtime del sistema di controllo.
Autom. start: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
Autom. start/stop: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logictermina di funzionare.
Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
Default: autom. start e stop.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDRetainByName"

Indicazione: per usare questa funzione anche nel caso di uno start manuale del Runtime, dovete attivare quest´opzione. In aggiunta bisogna attivare questa opzione tramite un parametro da linea di comando o con una impostazione nel file INI.

Default: attivato

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDRetainByName"


IDP_STRATON_CMD_START

Interno ID: IDP_STRATON_CMD_START

Startup

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Cold Start: avvio inizializzato. Anche le variabili Retain vengono inizializzate.
warm start (caricamento delle variabili RETAIN):: avvio inizializzato con i valori attuali delle variabili Retain.
Hotstart: riavvio con tutti i valori delle variabili come al momento della chiusura del sistema.
Default: Cold Start.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDStartup"


IDP_STRATON_CMD_STEP

Interno ID: IDP_STRATON_CMD_STEP

Partenza in modalità step

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: il Runtime di zenon Logic viene avviato, ma viene mantenuto subito dopo in modalità Debugging.
Inattivo: il Runtime di zenon Logic viene avviato normalmente.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CMDStep"


IDP_STRATON_FKT_WDG_TO

Interno ID: IDP_STRATON_FKT_WDG_TO

Funzione per la mancata individuazione

Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Interno ID: IDP_STRATON_FKT_WDG_TO

Mancato riconoscimento dopo [s]

Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

0: disattiva il watchdog

Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VmFktWdgTo"

Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VmFktWdgTo"


IDP_STRATON_RUNTIME

Interno ID: IDP_STRATON_RUNTIME

Runtime

Proprietà per il Runtime di zenon Logic (Soft PLC).

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Runtime"


IDP_STRATON_TIMEOUT

Interno ID: IDP_STRATON_TIMEOUT

Timeout di connessione [s]

Timeout (in secondi) per la connessione ai sistemi destinatari di zenon Logic.
Nel caso si disponga di piattaforme di destinazione dalle limitate prestazioni, questo timeout può essere aumentato.
Minimo: 0.
Massimo: 4294967295.
Default: 10.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Timeout"


IDP_STRATON_WDG_TO

Interno ID: IDP_STRATON_WDG_TO

Mancato riconoscimento dopo [s]

Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

Interno ID: IDP_STRATON_WDG_TO

Funzione per la mancata individuazione

Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VmWdgTo"

0: disattiva il watchdog

Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VmWdgTo"


IDP_STRATON_WORKBENCH

Interno ID: IDP_STRATON_WORKBENCH

Workbench

Proprietà per il Workbench di zenon Logic .

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Workbench"


IDP_USER_LOGIN_RTP

Interno ID: IDP_USER_LOGIN_RTP

Profilo runtime

Selezione del profilo runtime che deve essere assegnato all´utente al momento del loggin. Possibili profili:

nessuno: non viene assegnato nessun profilo.

DEFAULT viene assegnato il profilo DEFAULT

LAST: viene assegnato il profilo LAST

Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LoginRTP"


IDP_VALUE_LEADING_ZEROS

Interno ID: IDP_VALUE_LEADING_ZEROS

Visualizza zeri iniziali

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione,avete selezionato binaria, esadecimale o ottale.

Interno ID: IDP_VALUE_LEADING_ZEROS

Base numerica di visualizzazione

Definite in questa sede il sistema numerico per la visualizzazione dei valori. Sono disponibili le seguenti possibilità di selezione:
binario: rappresentazione binaria. Questo formato viene visualizzato tramite una "b" che segue il valore.
Decimale: Rappresentazione decimale.
Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
Esadecimale: Rappresentazione esadecimale. Questo formato viene visualizzato tramite una "h" che segue il valore.
Ottale: Rappresentazione ottale. Questo formato viene visualizzato tramite una "o" che segue il valore.
Default: Decimale.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowLeadingZeros"

Decidete se devono essere scritti anche gli zero iniziali nella visualizzazione del valore numerico.

attivo: I valori numerici vengono visualizzati in corrispondenza della loro base numerica con un numero diverso di cifre. Le cifre non necessarie per il numero vengono riempite di zero. Per le diverse basi numeriche sono a disposizione le seguente posizioni:

- Binari 32 cifre

- Decimali 10 cifre

- Esadecimali 8 cifre

- Ottali 11 cifre

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ShowLeadingZeros"


IDS_A_GERAET

Interno ID: IDS_A_GERAET

A-Device

Numero dell'apparecchio A:

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviceA"


IDS_ANIMATION

Interno ID: IDS_ANIMATION

Animazione GIF

Proprietà per l’animazione, se viene utilizzato un file GIF animato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Animation"


IDS_B_GERAET

Interno ID: IDS_B_GERAET

B-Device

Numero dell'apparecchio B:

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviceB"


IDS_BACNETNG_DATATYPE

Interno ID: IDS_BACNETNG_DATATYPE

BACnet data type

Definite come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionate il tipo di dato desiderato fra quelli presenti nella lista a cascata. La descrizione dei possibili tipi di dato la trovate nella guida in linea.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetDataType"


IDS_BACNETNG_EVENTSTATE

Interno ID: IDS_BACNETNG_EVENTSTATE

BACnet event state

Visualizzare lo stato di event state come numero. In questo caso, il testo per event state può essere definito liberamente.

Valori:

-1: il testo viene usato.

0: Normal

1: Fault

2: Off-normal

3: High-limit

4: Low-limit

5: Life-safety-alarm

Default: -1

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetEventState"


IDS_BACNETNG_PROPERTYID

Interno ID: IDS_BACNETNG_PROPERTYID

BACnet property ID

Impostate la Property ID per proprietà specifiche per l´utente,oppure se non volete indicare la proprietà tramite nome oppure identificazione.

Avvertenza: solo nel caso in cui impostate il valore -1 la proprietà viene individuata tramite nome e/o identificazione.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetPropertyID"


IDS_BACNETNG_STRINGLENGTH

Interno ID: IDS_BACNETNG_STRINGLENGTH

BACnet string length

Disponibile solamente se avete selezionato in corrispondenza della proprietà BACnet data type il tipo di dato BITSTRING.

Interno ID: IDS_BACNETNG_STRINGLENGTH

BACnet data type

Definite come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionate il tipo di dato desiderato fra quelli presenti nella lista a cascata. La descrizione dei possibili tipi di dato la trovate nella guida in linea.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetStringLength"

Definite in questa sede la lunghezza della bitstring in bit.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetStringLength"


IDS_BACNETNG_WRITEPRIORITY

Interno ID: IDS_BACNETNG_WRITEPRIORITY

BACnet write priority

Indicate la priorità di scrittura sulla base della quale viene scritta la variabile. Se inserite il valore 0, la variabile verrà scritta senza indicazione della priorità di scrittura.

Possibili valori sono quelli compresi fra 0 - 16.

Il livello di priorità minore: 16

Il livello di priorità maggiore: 1

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BACnetWritePriority"


IDS_BAZ_WERT

Interno ID: IDS_BAZ_WERT

Befehlsausgabezeit

Befehlsausgabezeit

TK160: Befehlsausgabezeit in ms

IEC Datentypen:

0… wie in AX parametriert

1… kurz

2… mittel

3… lang

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAZ_WERT"


IDS_BAZ_WERT_ENG

Interno ID: IDS_BAZ_WERT_ENG

Command output time

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BAZ_WERT"


IDS_BITSIZE

Interno ID: IDS_BITSIZE

BitSize

Bit Size dal PLC.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NGBitsize"


IDS_C_GERAET

Interno ID: IDS_C_GERAET

C-Device

Numero dell'apparecchio C:

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviceC"


IDS_CTI_SECONDARYOBJECT

Interno ID: IDS_CTI_SECONDARYOBJECT

Secondary object

Indica il tipo di oggetto secondario per

- Tempo/Contatore

- Drum

- variabile Loop

- Variabile allarmi

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SecondaryObject"


IDS_DATENPUNKT

Interno ID: IDS_DATENPUNKT

Datapoint

Numero del punto dato dal DDC.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Datapoint"


IDS_DLL

Interno ID: IDS_DLL

Dll

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dll"


IDS_DP_GERAET

Interno ID: IDS_DP_GERAET

Datapoint to...

Apparecchio con cui si deve comunicare, per es. apparecchio B.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DeviceDp"


IDS_DP_TYPE

Interno ID: IDS_DP_TYPE

Telegrammkennung

Telegrammtyp, Typkennung

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DP_TYPE"


IDS_DP_TYPE_ENG

Interno ID: IDS_DP_TYPE_ENG

Telegram Identifier

Telegram type, Message type

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DP_TYPE"


IDS_DYNAMICFARBE

Interno ID: IDS_DYNAMICFARBE

Cambio colori dinamico

Definizione dei colori dell’elemento attraverso i colori del valore limite della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Colors_Dynamic"


IDS_DYNAMISCH

Interno ID: IDS_DYNAMISCH

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili.

Indicazione: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Dynamic"


IDS_EIB_ADRESSE

Interno ID: IDS_EIB_ADRESSE

EIB-Address

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver EibV2_32.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EIB-Address"


IDS_EKANAL

Interno ID: IDS_EKANAL

Ersatz-PV

Ersatzvariable

Im Fehlerfall wird auf den Wert dieser Variablen umgeschaltet.

(siehe auch Parameter "Invalid-Behandlung")

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EW_EKANAL"


IDS_EKANAL_ENG

Interno ID: IDS_EKANAL_ENG

Substitute variable

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EW_EKANAL"


IDS_ELE_PROP_DREHEN

Interno ID: IDS_ELE_PROP_DREHEN

Rotazione

La rotazione dell’elemento dipende dal valore della variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Twist"


IDS_ELE_PROP_XRICHTUNG

Interno ID: IDS_ELE_PROP_XRICHTUNG

Posizione dinamica X

Spostamento orizzontale dell’elemento dipendente dal valore della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XPos"


IDS_ELE_PROP_XZOOMEN

Interno ID: IDS_ELE_PROP_XZOOMEN

Modifica larghezza

La larghezza dell’elemento dipende dal valore della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "XZoom"


IDS_ELE_PROP_YRICHTUNG

Interno ID: IDS_ELE_PROP_YRICHTUNG

Posizione dinamica Y

Spostamento verticale dell’elemento dipendente dal valore di una variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YPos"


IDS_ELE_PROP_YZOOMEN

Interno ID: IDS_ELE_PROP_YZOOMEN

Modifica altezza

Altezza dell’elemento dipendente dal valore della variabile selezionata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "YZoom"


IDS_ETS2_DATABASE

Interno ID: IDS_ETS2_DATABASE

ETS2 Database

Definite in questa sede la banca dati desiderata. Un clic sul comando apre il dialogo che serve alla selezione della banca dati. In alternativa potete inserire manualmente il nome della banca dati nel campo di testo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ETS2Database"


IDS_EW

Interno ID: IDS_EW

Ersatzwert

Ersatzwert auf den umgeschaltet wird.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EW"


IDS_EW_ENG

Interno ID: IDS_EW_ENG

Substitute value

Substitute value to be switched on

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EW"


IDS_EWB

Interno ID: IDS_EWB

auf Ersatzwert schalten

Auf Ersatzwert schalten

Aktiv: Ersatzwert wird verwendet

Inaktiv: Ersatzwert wird nicht verwendet

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EWB"


IDS_EWB_ENG

Interno ID: IDS_EWB_ENG

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EWB"


IDS_EWB_INI

Interno ID: IDS_EWB_INI

Ersatzwert/Normalzustand initialisieren

Ersatzwert Initialisierung

Aktiv: Ersatzwert in der Runtime wird durch Normalzustand überschrieben

Inaktiv: Ersatzwert wird beibehalten

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EWB_INI"


IDS_EWB_INI_ENG

Interno ID: IDS_EWB_INI_ENG

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EWB_INI"


IDS_FOCUS_LINECOLOR

Interno ID: IDS_FOCUS_LINECOLOR

Colore linea di focus

Definisce il colore della cornicie che identifica durante il runtime l´oggetto con il focus. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FocusLineColor"


IDS_FOCUS_LINEWIDTH

Interno ID: IDS_FOCUS_LINEWIDTH

Dimensioni linea di focus

Definisce la largezza della linea che identifica durante il runtime l´oggetto con il focus.

Default: 3 pixel

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FocusLineWidth"


IDS_GA

Interno ID: IDS_GA

GA-Antwort

Antwort auf Generalabfrage

Aktiv: Datenpunkt wird bei Generalabfrage gesendet

Inaktiv: Datenpunkt wird bei Generalabfrage nicht gesendet

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GA"


IDS_GA_ENG

Interno ID: IDS_GA_ENG

GI-Reply

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GA"


IDS_GT

Interno ID: IDS_GT

GT (Wdh.-rate in ms)

Befehlszykluszeit (Retriggerzeit) in ms

Regulierbefehle, Retriggerbefehle

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GT"


IDS_GT_ENG

Interno ID: IDS_GT_ENG

GT [ms]

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GT"


IDS_HAUPTGRUPPE

Interno ID: IDS_HAUPTGRUPPE

Main group

Indicate il numero del gruppo principale desiderato.

Minimo: 0

Massimo: 15

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MainGroup"


IDS_HGFARBE_VARIABLE

Interno ID: IDS_HGFARBE_VARIABLE

Colore sfondo / riempimento

Variabile i cui valori limiti influenzano il colore dello sfondo/riempimento dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorVariable"


IDS_HGFARBE_VARIABLE2

Interno ID: IDS_HGFARBE_VARIABLE2

Sfumatura colore

Nome della variabile il cui colore da valore limite deve influenzare il colore di sfumatura dell´elemento.
Cliccate sul campo di inserimento per aprire il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColorVariable2"


IDS_I_BIT

Interno ID: IDS_I_BIT

Invalid-Behandlung

keine: keine Behandlung.

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert.

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert.

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV.

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I_BIT"


IDS_I_BIT_ENG

Interno ID: IDS_I_BIT_ENG

Invalid treatment

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I_BIT"


IDS_IEC61850_ADDR

Interno ID: IDS_IEC61850_ADDR

IEC61850-Address

Indirizzo IEC 61850

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I61850_ADR"


IDS_IEC61850_CDC

Interno ID: IDS_IEC61850_CDC

CDC

CDC

Selezione del CDC per l'estensione "Nodo logico".

Default: DEFAULT

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I61850_CDC"


IDS_IEC61850_EWB

Interno ID: IDS_IEC61850_EWB

Toggle to substitute value

Commutare a valore di sostituzione.

Attivo: Valore attuale = valore di sostituzione

Disattivato: Valore attuale = valore di processo

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EWB"


IDS_IEC61850_EWB_INI

Interno ID: IDS_IEC61850_EWB_INI

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attivo: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Disattivato: Si mantiene il valore di sostituzione.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "EW_INI"


IDS_IEC61850_GOOSE_ATTR1

Interno ID: IDS_IEC61850_GOOSE_ATTR1

GOOSE Attr1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR1"


IDS_IEC61850_GOOSE_ATTR1_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR1_POS"


IDS_IEC61850_GOOSE_ATTR2

Interno ID: IDS_IEC61850_GOOSE_ATTR2

GOOSE Attr2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR2"


IDS_IEC61850_GOOSE_ATTR2_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR2_POS"


IDS_IEC61850_GOOSE_ATTR3

Interno ID: IDS_IEC61850_GOOSE_ATTR3

GOOSE Attr3

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR3"


IDS_IEC61850_GOOSE_ATTR3_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR3_POS"


IDS_IEC61850_GOOSE_ATTR4

Interno ID: IDS_IEC61850_GOOSE_ATTR4

GOOSE Attr4

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR4"


IDS_IEC61850_GOOSE_ATTR4_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR4_POS"


IDS_IEC61850_GOOSE_ATTR5

Interno ID: IDS_IEC61850_GOOSE_ATTR5

GOOSE Attr5

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR5"


IDS_IEC61850_GOOSE_ATTR5_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_ATTR5_POS"


IDS_IEC61850_GOOSE_IDX

Interno ID: IDS_IEC61850_GOOSE_IDX

GOOSE Index

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "GOOSE_INDEX"


IDS_IEC61850_IBIT

Interno ID: IDS_IEC61850_IBIT

Invalid treatment

Trattamento invalido

Nessuna: nessun trattamento.

ultimo valore valido: cambiamento ad un 'immagine di valore sostituivo con ultimo valore non disturbato.

Commutare su valore di riserva: commutazione a un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

Commutare su PV di riserva: commutazione ad un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

allineamento del valore sostitutivo: cambiamento ad un 'immagine di valore sostituivo; il valore deve essere allineato manualmente.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I_BIT"


IDS_IEC61850_LANNR

Interno ID: IDS_IEC61850_LANNR

IEC61850-Stationnumber

IEC61850-numero stazione

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I61850_LAN"


IDS_IEC61850_MERKER

Interno ID: IDS_IEC61850_MERKER

Marker

Merker:

Attiva: Variabile senza riferimento di processo (l'indirizzo non viene controllato; per uso interno)
Vedi anche Driver interno

Non attiva: La variabile viene attualizzata dal processo.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MERKER"


IDS_IEC61850_ST_SAVE

Interno ID: IDS_IEC61850_ST_SAVE

Save state

Salva stato.

Attivo: Stato della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Disattivato: Lo stato non viene salvato

Default: Disattivato

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ST_SAVE"


IDS_IEC61850_VAL_SAVE

Interno ID: IDS_IEC61850_VAL_SAVE

Save value

Salva valore

Attivo: Valore della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Disattivato:Il valore non viene salvato

Default: Disattivato

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VAL_SAVE"


IDS_IEC61850_WERT

Interno ID: IDS_IEC61850_WERT

IEC61850-Value

Valore IEC61850

Questo valore stabilisce in CDCs INS, INC, SGCB e ACD quale segnalazione singola / comando singolo devono essere valutati.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "I61850_VAL"


IDS_IGROUP

Interno ID: IDS_IGROUP

iGroup

Gruppo indici dal PLC.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NGIGroup"


IDS_ILON_DATAPOINT

Interno ID: IDS_ILON_DATAPOINT

iLON Datapoint

Cliccando sulla superficie apre una connessione con il router ILON per la selezione delle variabili.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "iiLonDataPoint"


IDS_INOUT

Interno ID: IDS_INOUT

Prozessrichtung

Prozessrichtung

Empfangen: Datenpunkt wird nur empfangen (z.B. Meldungen, Messwerte)

Senden: Datenpunkt wird gesendet (z.B. Befehle, Sollwerte).

Damit ein Datenpunkt gesendet werden kann, muss auch SW setzen aktiv aktiviert sein (siehe "Sollwert setzen").

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Send"


IDS_INOUT_ENG

Interno ID: IDS_INOUT_ENG

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Send"


IDS_KURVE_NEU

Interno ID: IDS_KURVE_NEU

Curve

Proprietà per le curve nell’elemento Trend.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Curves"


IDS_LINIENFARBE_VARIABLE

Interno ID: IDS_LINIENFARBE_VARIABLE

Colore Testo / linea

Variabile, il cui colore dl valore limite progettato deve influenzare il colore di linea/testo dell’elemento.
Apre il dialogo di scelta delle Variabili.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LineColorVariable"


IDS_LOGID

Interno ID: IDS_LOGID

Log ID

Indicate l'indirizzo del Log (Log ID) nel PLC.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Log ID"


IDS_LON_DATABASE

Interno ID: IDS_LON_DATABASE

LON Database

Un clic sul comando apre la banca dati Lon per la selezone delle varibiali.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LonDatabase"


IDS_MERKER

Interno ID: IDS_MERKER

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

siehe auch Interntreiber

Inaktiv: Variable wird vom Prozess aktualisiert

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MERKER"


IDS_MERKER_ENG

Interno ID: IDS_MERKER_ENG

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MERKER"


IDS_MITTELGRUPPE

Interno ID: IDS_MITTELGRUPPE

Middle group

Indicate il numero del gruppo medio desiderato.

Minimo: 0

Massimo: 7

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "MiddleGroup"


IDS_NG_ADRESSE

Interno ID: IDS_NG_ADRESSE

Beckhoff specific

Impostazioni per Bitsize e Igroup.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NGAddress"


IDS_NODE

Interno ID: IDS_NODE

Node

Indicate l'indirizzo del nodo del PLC.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Node"


IDS_NWMAGENT

Interno ID: IDS_NWMAGENT

NWM-Agent kopieren

Mediante questa funzione, un agente già impostato può essere copiato su un nuovo agente.

Il nuovo agente deve essere prima impostato.

Vengono generate tutte le variabili corrispondenti.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NWM-Agent"


IDS_NWMPARA

Interno ID: IDS_NWMPARA

NWM-Parameter

Apre il dialogo dei parametri.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NWM-Parameter"


IDS_OKT1

Interno ID: IDS_OKT1

O1/Region

Regionsnummer bzw. Octet 1 (CASDU1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "R_NR"


IDS_OKT1_ENG

Interno ID: IDS_OKT1_ENG

O1/Region number

Region number or Octet 1 (CASDU1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "R_NR"


IDS_OKT2

Interno ID: IDS_OKT2

O2/Komponente

Komponentennummer bzw. Octet 2 (CASDU2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "K_NR"


IDS_OKT2_ENG

Interno ID: IDS_OKT2_ENG

O2/Component

Component number or Octet 2 (CASDU2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "K_NR"


IDS_OKT3

Interno ID: IDS_OKT3

O3/Baugruppe

Baugruppennummer bzw. Octet 3 (IOA1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "B_NR"


IDS_OKT3_ENG

Interno ID: IDS_OKT3_ENG

O3/Board

Board number or Octet 3 (IOA1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "B_NR"


IDS_OKT4

Interno ID: IDS_OKT4

O4/Wertnummer

Wertnummer bzw. Octet 4 (IOA2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "W_NR"


IDS_OKT4_ENG

Interno ID: IDS_OKT4_ENG

O4/Value number

Value number or Octet 4 (IOA2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "W_NR"


IDS_OKT5

Interno ID: IDS_OKT5

O5/Datenart

Datenart bzw. Octet 5 (IOA3)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DA"


IDS_OKT5_ENG

Interno ID: IDS_OKT5_ENG

O5/Subaddress

Data type or Octet 5 (IOA3)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DA"


IDS_OKT6

Interno ID: IDS_OKT6

Point

Pointnummer bzw. Octet 6

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PT"


IDS_OKT6_ENG

Interno ID: IDS_OKT6_ENG

Point

Point number or Octet 6

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "PT"


IDS_POS1

Interno ID: IDS_POS1

Position 1

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Position1"


IDS_POS2

Interno ID: IDS_POS2

Position 2

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Position2"


IDS_PROJEKT_ACTIVE_DIR

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Accesso ad Active Directory

Selezionate se volete usare Active Directory, ADAM o nessuna delle due. Sono disponibili le seguenti opzioni:

- ADAM - Active Directory Application Mode: Usate ADAM o AD LDS. Assicuratevi di adottare l´impostazione corrispondente per le proprietà Connessione ADAM/AD-LDS, Nome utente ADAM/AD-LDS e Password ADAM/AD-LDS.

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Password ADAM/AD-LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseActiveDirectory"

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Nome utente ADAM/AD-LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseActiveDirectory"

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Connessione ADAM/AD-LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=700,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseActiveDirectory"

- Sì: Usate Active Directory.

- No: Non ricorrete agli utenti di ADAM o AD LDS oppure AD Gli utenti di zenon sono completamente indipendenti dagli utenti Windows.

Default: No

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "UseActiveDirectory"


IDS_PROJEKT_DIRS

Interno ID: IDS_PROJEKT_DIRS

Percorsi

Si aprirà il dialogo di configurazione per i percorsi di progetto.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProjectPaths"


IDS_PROJEKT_INFO

Interno ID: IDS_PROJEKT_INFO

Descrizione progetto

Apre il dialogo di configurazione per le informazioni di progetto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProjectInfo"


IDS_PROJEKT_MODIFILES

Interno ID: IDS_PROJEKT_MODIFILES

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production and Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProjectModidata"


IDS_PROJEKT_REMTRANS

Interno ID: IDS_PROJEKT_REMTRANS

Trasporto remoto

Apre la finestra di dialogo per la configurazione del Trasporto remoto.
Il trasporto remoto consente di trasportare, aggiornare, lanciare, terminare un progetto in un computer remoto e di riceverne lo stato attuale.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ProjectTransport"


IDS_RED

Interno ID: IDS_RED

redundante Peripherieadresse

Redundante Adresse

Aktiv: Redundante Adresse verwenden

Inaktiv: Keine redundante Adresse

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RED"


IDS_RED_ENG

Interno ID: IDS_RED_ENG

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "RED"


IDS_REG

Interno ID: IDS_REG

Regulierbefehl

Regulierbefehle, Retriggerbefehle

Aktiv: Befehl ist Regulierbefehl

Inaktiv: Standardbefehl

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "REG"


IDS_REG_ENG

Interno ID: IDS_REG_ENG

Enable regulating commands

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "REG"


IDS_RLINE

Interno ID: IDS_RLINE

REYDISP-Linie

REYDISP Liniennummer

Nur bei Störschrieb-Datenpunkt

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LINIE"


IDS_RLINE_ENG

Interno ID: IDS_RLINE_ENG

REYDISP-Line

REYDISP line number

Only for disturbance data datapoints

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LINIE"


IDS_ROKT1

Interno ID: IDS_ROKT1

Red. O1/Region

Redundante Peripherieadresse

Regionsnummer bzw. Octet 1 (CASDU1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "R_2"


IDS_ROKT1_ENG

Interno ID: IDS_ROKT1_ENG

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "R_2"


IDS_ROKT2

Interno ID: IDS_ROKT2

Red. O2/Komponente

Redundante Peripherieadresse

Komponentennummer bzw. Octet 2 (CASDU2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "K_2"


IDS_ROKT2_ENG

Interno ID: IDS_ROKT2_ENG

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "K_2"


IDS_ROKT3

Interno ID: IDS_ROKT3

Red. O3/Baugruppe

Redundante Peripherieadresse

Baugruppennummer bzw. Octet 3 (IOA1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "B_2"


IDS_ROKT3_ENG

Interno ID: IDS_ROKT3_ENG

Red. O3/Board

Redundant datapoint address

Region number or Octet 3 (IOA1)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "B_2"


IDS_ROKT4

Interno ID: IDS_ROKT4

Red. O4/Wertnummer

Redundante Peripherieadresse

Wertnummer bzw. Octet 4 (IOA2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "W_2"


IDS_ROKT4_ENG

Interno ID: IDS_ROKT4_ENG

Red. O4/Value number

Redundant datapoint address

Region number or Octet 4 (IOA2)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "W_2"


IDS_ROKT5

Interno ID: IDS_ROKT5

Red. O5/Datenart

Redundante Peripherieadresse

Datenart bzw. Octet 5 (IOA3)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "D_2"


IDS_ROKT5_ENG

Interno ID: IDS_ROKT5_ENG

Red. O5/Subaddress

Redundant datapoint address

Region number or Octet 5 (IOA3)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "D_2"


IDS_SE_ADRESSE

Interno ID: IDS_SE_ADRESSE

Address

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SeAddress"


IDS_SE_STANDARD

Interno ID: IDS_SE_STANDARD

Standard

- attivo: Tutti gli apparecchi C su un apparecchio B vengono considerati come cosiddetti "binari C". Gli apparecchi C non vengono più selezionati direttamente, ma i punti di dato vengono trattati sugli apparecchi C come se si trovassero
sull'apparecchio B.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Standard"


IDS_SICHTBARKEIT

Interno ID: IDS_SICHTBARKEIT

Visibilità/lampeggio

Proprietà per la visibilità e il lampeggio dell’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Visibility"


IDS_SICHTBARKEIT_AUSGRENZWERT

Interno ID: IDS_SICHTBARKEIT_AUSGRENZWERT

Riprendi da valore limite

Disponibile solamente dopo aver selezionato una variabile: AbilitataLa visibilità dell´elemento è collegata con le proprietà del valore limite della variabile.
ATTENZIONE: Almeno per un valore limite della variabile deve essere attivata la proprietà “Valore Limite: Attributi aggiuntivi: Invisibile".
Disabilitata: La visibilità viene settata direttamente tramite le proprietà dell’elemento.
Default: Abilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityFromLimit"


IDS_SICHTBARKEIT_BIS

Interno ID: IDS_SICHTBARKEIT_BIS

A

Disponibile solo dopo aver selezionato una variabile e quando la visibilità non è ripresa dal valore limite:
Valore più alto della variabile con il quale l´elemento è visibile.
Minimo: minor possibile valore della variabile collegata.
Maximum: maggior possibile valore della variabile collegata.
Default: maggior valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityTo"


IDS_SICHTBARKEIT_VARIABLE

Interno ID: IDS_SICHTBARKEIT_VARIABLE

Variabile

Nome delle variabili il cui valore influenza la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Cliccando sulla superficie si apre il dialogo che serve alla selezione delle variabili. Il nomer può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Interno ID: IDS_SICHTBARKEIT_VARIABLE

A

Disponibile solo dopo aver selezionato una variabile e quando la visibilità non è ripresa dal valore limite:
Valore più alto della variabile con il quale l´elemento è visibile.
Minimo: minor possibile valore della variabile collegata.
Maximum: maggior possibile valore della variabile collegata.
Default: maggior valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityVariable"

Interno ID: IDS_SICHTBARKEIT_VARIABLE

Da

Disponibile solo dopo aver selezionato una variabile e se la visibilità non è collegata con il valore limite:
Valore minimo della variabile con il quale l´elemento è visibile.
Minimo: minor valore possibile della variabile collegata.
Massimo: maggior valore possibile della variabile collegata.
Default: minor valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityVariable"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityVariable"


IDS_SICHTBARKEIT_VON

Interno ID: IDS_SICHTBARKEIT_VON

Da

Disponibile solo dopo aver selezionato una variabile e se la visibilità non è collegata con il valore limite:
Valore minimo della variabile con il quale l´elemento è visibile.
Minimo: minor valore possibile della variabile collegata.
Massimo: maggior valore possibile della variabile collegata.
Default: minor valore possibile della variabile collegata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VisibilityFrom"


IDS_ST_SAVE

Interno ID: IDS_ST_SAVE

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ST_SAVE"


IDS_ST_SAVE_ENG

Interno ID: IDS_ST_SAVE_ENG

Save state

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ST_SAVE"


IDS_STRING78

Interno ID: IDS_STRING78

Visualizza range dinamico

Proprietà per l'intervallo di visualizzazione dinamico.
Questo permette di di cambiare dinamicamente l’intervallo di visualizzazione nel Runtime tramite un valore di variabile.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Displayrange_Dynamic"


IDS_STRING79

Interno ID: IDS_STRING79

Minimo

Variabile che definisce il valore minimo dell’intervallo di viasualizzazione nel Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynMinVar"


IDS_STRING80

Interno ID: IDS_STRING80

Massimo

Variabile che definisce il valore massimo dell’intervallo di viasualizzazione nel Runtime.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "DynMaxVar"


IDS_STRING81

Interno ID: IDS_STRING81

Limiti dinamici SV

Impostazioni per i limiti di valori impostabili dinamici.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueLimits_Dynamic"


IDS_STRING82

Interno ID: IDS_STRING82

Minimo

Disponibile solo se “Riprendere valore impostabile da Variabile” non è abilitato:
Variabile che definisce il valore minimo impostabile per la variabile collegata all’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueDynMin"


IDS_STRING83

Interno ID: IDS_STRING83

Massimo

Disponibile solo se “Riprendere valore impostabile da Variabile” non è abilitato:
Variabile che definisce il valore massimo impostabile per la variabile collegata all’elemento.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValueDynMax"


IDS_SYMADRESSE

Interno ID: IDS_SYMADRESSE

3S Arti specific

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver 3S_Arti_NG.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NGAddress"


IDS_SYMNAME

Interno ID: IDS_SYMNAME

Symbol name

Nome simboo delle variabili nel PLC

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "NGSymName"


IDS_TRANS

Interno ID: IDS_TRANS

Transparente Daten

Transparente Daten

Nur bei Störschrieb-Datenpunkt.

DISTO: Störschriebauswertung mit DISTO

REYDISP: Störschriebauswertung für REYROLL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TRANS"


IDS_TRANS_ENG

Interno ID: IDS_TRANS_ENG

Transparent Data

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TRANS"


IDS_UNTERGRUPPE

Interno ID: IDS_UNTERGRUPPE

Sub group

Indicate il numero del gruppo inferiore desiderato.

Minimo: 0

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SubGroup"


IDS_VAL_SAVE

Interno ID: IDS_VAL_SAVE

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VAL_SAVE"


IDS_VAL_SAVE_ENG

Interno ID: IDS_VAL_SAVE_ENG

Save value

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VAL_SAVE"


IDS_VAR_ERSATZWERT_STRING

Interno ID: IDS_VAR_ERSATZWERT_STRING

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.
ATTENZIONE: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "AlternateValueString"


IDS_VTA

Interno ID: IDS_VTA

Adressierungsart

Adresstyp

Muss mit Parametrierung in GW1703.ini und der Gegenstelle übereinstimmen.

STA: Systemtechnisch

VTA: Verfahrenstechnisch

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VTA"


IDS_VTA_ENG

Interno ID: IDS_VTA_ENG

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VTA"


IDS_WDH

Interno ID: IDS_WDH

WDH (Anz. Wdh.)

Max. Anzahl an Wiederholungen

Regulierbefehle, Retriggerbefehle

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WDH"


IDS_WDH_ENG

Interno ID: IDS_WDH_ENG

Repeats

Max. count of repeats

Regulating-, triggered commands

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "WDH"


IDS_Z_NR

Interno ID: IDS_Z_NR

Zielnummer

LAN-Stations- oder LAN-Gruppennummer

Bei serieller Ankopplung Linkadresse

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Z_NR"


IDS_Z_NR_ENG

Interno ID: IDS_Z_NR_ENG

Destination number

LAN station or LAN group number

Link address if serial connection

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Z_NR"


IDS_Z_TYP

Interno ID: IDS_Z_TYP

Zieltyp

Auswahl LAN-Station oder LAN-Gruppe

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Z_TYP"


IDS_Z_TYP_ENG

Interno ID: IDS_Z_TYP_ENG

Destination typ

Selection of LAN station or LAN group

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Z_TYP"


IDS_ZEIT

Interno ID: IDS_ZEIT

Zeitbeigabe durch AKS

Zeitbeigabe

Aktiv: Rechnerzeit wird beim Empfang beigegeben.

Inaktiv: Zeit aus Telegramm wird verwendet.

Invalide oder unplausible Zeit wird automatisch durch die Rechnerzeit ersetzt.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZEIT"


IDS_ZEIT_ENG

Interno ID: IDS_ZEIT_ENG

Time stamp by AKS

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ZEIT"


IDS_ZENMENU_PROP01

Interno ID: IDS_ZENMENU_PROP01

ID menù

Nome dell´inserimento menu.

In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

Interno ID: IDS_ZENMENU_PROP01

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDS_ZENMENU_PROP02

Interno ID: IDS_ZENMENU_PROP02

Testo

Didascalia dell´inserimento nel menu. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente il primo di questi inserimenti menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Caption"


IDS_ZENMENU_PROP04

Interno ID: IDS_ZENMENU_PROP04

File

Disponibile solo per azione tipo "Guida":
File help dal quale deve essere visualizzato il capitolo.
Nel caso di menu contestuale può essere lasciato vuoto. La pagina di help relativa viene caricata dall’elemento collegato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HelpFile"


IDS_ZENMENU_PROP05

Interno ID: IDS_ZENMENU_PROP05

Capitolo

Disponibile solo per azione tipo "Guida":
Capitolo della guida che deve essere visualizzato.
ATTENZIONE: Questo inserimento è Case Sensitive.
Nel caso di menu contestuale, può essere lasciato vuoto. La pagina di help relativa viene caricata dall’elemento collegato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "HelpCapture"


IDS_ZENMENU_PROP06

Interno ID: IDS_ZENMENU_PROP06

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Picture"


IDS_ZENMENU_PROP07

Interno ID: IDS_ZENMENU_PROP07

Checkmark

Davanti all´inserimento di menu viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Checked"


IDS_ZENMENU_PROP08

Interno ID: IDS_ZENMENU_PROP08

Attivo

Attivo: L’inserimento è visualizzato in modo normale e la funzione collegata è eseguita alla sua selezione.
Inattivo: L’inserimento viene visualizzato su sfondo grigio e la funzione collegata non è eseguita.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Enabled"


IDS_ZENMENU_PROP09

Interno ID: IDS_ZENMENU_PROP09

Visibile

Stabilisce se l´inserimento di menu viene visualizzato nel runtime.

Default: Attiva

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Visible"


IDS_ZENMENU_PROP10

Interno ID: IDS_ZENMENU_PROP10

Separatore attivo

attivo: Al posto di un inserimento menu, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Seperator"


IDS_ZENMENU_PROP11

Interno ID: IDS_ZENMENU_PROP11

Sottomenù

L´inserimento di menu non esegue nessuna azione, ma apre un sottomenu.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Popup-Menu"


IDS_ZENMENU_PROP12

Interno ID: IDS_ZENMENU_PROP12

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimentio della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menu contestuale. Ma l'allarme non viene ripristinato.
Comandi: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Type"


IDS_ZENMENU_PROP13

Interno ID: IDS_ZENMENU_PROP13

Livello di autorizzazione:

Livello password per l’esecuzione di questo inserimento menù.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Password"


IDS_ZENMENU_PROP14

Interno ID: IDS_ZENMENU_PROP14

Colore testo

Colore di testo per i menù

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "TextColor"


IDS_ZENMENU_PROP15

Interno ID: IDS_ZENMENU_PROP15

Colore di sfondo

Colore di sfondo per i menù

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackColor"


IDS_ZENMENU_PROP16

Interno ID: IDS_ZENMENU_PROP16

Carattere

Tipo carattere del menu. Vale per tutti gli inserimenti di menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Font"


IDS_ZENMENU_PROP17

Interno ID: IDS_ZENMENU_PROP17

Funzione

Solo per tipo di azione "Funzione": Funzione da eseguire con l’inserimento menù selezionato. .
Se devono essere eseguite piu funzioni in successione, creare uno script, e collegare qui la funzione di esecuzione dello script.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


IDS_ZENMENU_PROP18

Interno ID: IDS_ZENMENU_PROP18

Macro VBA

Solo per tipo di azione "Macro VBA": Macro VBA eseguita dall’inserimento menù selezionato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "VBA-Macro"


IDS_ZENMENU_PROP19

Interno ID: IDS_ZENMENU_PROP19

Variabile

Solo per tipo di azione "Setta valore": Variabile alla quale dev’essere trasmesso un valore con l’inserimento menù selezionato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Variable"


IDS_ZENMENU_PROP20

Interno ID: IDS_ZENMENU_PROP20

Valore impostabile/modifica di

Disponibile solamente per tipo di azione "setta valore impostabile":
Valore numerico che deve essere depositato come valore impostabile sulla variabile selezionata. Sono attesi e accettati solamente valori numerici. I valori vengono ripresi se contengono fino a 6 cifre decimali.
Se la proprietà Proponi valore attuale è attiva, il valore attuale della variabile viene aumenato (valore positivo) o diminuito (valore negativo) in corrispondenza di questo valore.

Interno ID: IDS_ZENMENU_PROP20

Proponi valore attuale

Solo per il tipo di azione "setta valore"
Abilitata: Il valore attuale della variabile viene proposto come valore impostabile.
Disabilitata:Il valore impostabile viene settato nella relativa proprietà.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sollwert"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Sollwert"


IDS_ZENMENU_PROP21

Interno ID: IDS_ZENMENU_PROP21

Variabile da elemento

Solo per il tipo di azione "Setta valore" e menù contestuali
Abilitata: La variabile per il settaggio del valore impostabile è ripresa dall’elemento dinamico.
Disabilitata: La variabile per il settaggio dati deve essere impostata nell’apposita proprietà.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "FromElem"


IDS_ZENMENU_PROP22

Interno ID: IDS_ZENMENU_PROP22

Dialogo

Solo per tipo di azione "settaggio valore "
Abilitata: All’esecuzione di questa azione si apre un box di dialogo prima della trasmissione del valore verso l’hardware concedendo all’utente una modifica del valore prima della trasmissione.
Disabilitata: Il valore viene definito nell’apposità proprietà e inviato direttamente all’hardware. Default: Disabilitata.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SWDialog"


IDS_ZENMENU_PROP23

Interno ID: IDS_ZENMENU_PROP23

Proponi valore attuale

Solo per il tipo di azione "setta valore"
Abilitata: Il valore attuale della variabile viene proposto come valore impostabile.
Disabilitata:Il valore impostabile viene settato nella relativa proprietà.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "ActValue"


IDS_ZENMENU_PROP24

Interno ID: IDS_ZENMENU_PROP24

Nome

Nome univoco del menù.
Default: Nuovo menù principale x o Nuovo menù contestuale x (dove x è un numero consecutivo) ATTENZIONE: Questa proprietà non è disponibile per il cambio lingua.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Name"


IDS_ZENMENU_PROP34

Interno ID: IDS_ZENMENU_PROP34

Interblocco

Selezione di un interblocco dalla voce di menu.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Locking"


IDS_ZENMENU_PROP36

Interno ID: IDS_ZENMENU_PROP36

File grafico

Grafica di sfondo per l´inserimento di menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicture"


IDS_ZENMENU_PROP37

Interno ID: IDS_ZENMENU_PROP37

Orientamento

Grandezza della grafica di sfondo per l´inserimento di menu.
Grandezza originale: L´immagine viene rappresentata nella sua grandezza originale. L´inserimento di menu viene adattato alla grandezza dell´immagine.
Allungato: L´immagine viene allungata in corrispondenza della grandezza dell´inserimento di menu.
Default: Grandezza originaria.

Esempio: i menu dovrebbero essere usati in un progetto touchscreen. Come impostazioni standard per la grandezza dei singoli inserimenti menu, vengono usate le impostazioni del sistema operativo. Con una grafica di sfondo nella grandezza originale si può gestire in modo individuale la grandezza degli inserimenti menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "BackgroundPicRepres"


IDS_ZENMENU_PROP_GRP2

Interno ID: IDS_ZENMENU_PROP_GRP2

Autorizzazione

Proprietà per il livello di autorizzazione per la voce di menù.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Rights"


IDS_ZENMENU_PROP_GRP3

Interno ID: IDS_ZENMENU_PROP_GRP3

Rappresentazione / Tipo

Proprietà della visualizzazione del inserimento menù

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Represantation"


IDS_ZENMENU_PROP_GRP4

Interno ID: IDS_ZENMENU_PROP_GRP4

Funzione/macro

Funzioni o Macro VBA, che devono essere eseguite con questa voce di menù

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Function"


IDS_ZENMENU_PROP_GRP5

Interno ID: IDS_ZENMENU_PROP_GRP5

Setta valore impostabile

Proprietà per il valore impostato.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "SetValue"


IDS_ZENMENU_PROP_GRP6

Interno ID: IDS_ZENMENU_PROP_GRP6

Guida

Proprietà per la pagina di Help nella voce di Menù.
Questa funzionalità permette di visualizzare un Help HTML da un file CHM a Runtime. Nei menù contestuali l’Help può essere sensibile al contesto.

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Help"


IDS_ZENMENU_PROP_GRP7

Interno ID: IDS_ZENMENU_PROP_GRP7

Immagine di sfondo

Proprietà per la grafica di sfondo dell´inserimento di menu.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Backgroundpicture"


IDS_ZENMENU_PROP_GRP8

Interno ID: IDS_ZENMENU_PROP_GRP8

Azione

Proprietà dell’azione dovendo essere eseguita con l’inserimento menù

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "Action"


IDS_ZENMENU_PROP_GRP9

Interno ID: IDS_ZENMENU_PROP_GRP9

Generale

Proprietà generali del menù selezionato

Più informazioni nell'Help Online

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "General"


IDS_ZYKLISCH_LESEN

Interno ID: IDS_ZYKLISCH_LESEN

Read cyclical

Stabilisce in quale modo il valore viene trasmesso dal PLC.

attivo: Il valore viene richiesto in modo ciclico dal PLC.

Default: inattivo.

Avvertenza: Questa opzione dovrebbe essere usata con grande prudenza visto che il carico dei bus cresce enormemente.

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "CyclicReading"


LOCK_BITMAP_LOCKING

Interno ID: LOCK_BITMAP_LOCKING

File grafico-Interblocco

Disponibile solo se Descrizione grafica attiva è attivo.

Interno ID: LOCK_BITMAP_LOCKING

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockLockBitmap"

Selezione del file grafico che indica un elemento bloccato. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockLockBitmap"


LOCK_BITMAP_USER

Interno ID: LOCK_BITMAP_USER

File elemento bloccato

Disponibile solo se Descrizione grafica attiva è attivo.

Interno ID: LOCK_BITMAP_USER

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockUserBitmap"

Selezione del file grafico che indica un elemento bloccato.e non accessibile all´utente. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockUserBitmap"


LOCK_FILL_COLOR

Interno ID: LOCK_FILL_COLOR

Colore di riempimento

Disponibile solo se Descrizione grafica attiva è attivo.
Definisce il colore di riempimento del simbolo del lucchetto. Definisce il colore di linea del simbolo del lucchetto. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....

Interno ID: LOCK_FILL_COLOR

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockFillColor"

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockFillColor"


LOCK_LINE_COLOR

Interno ID: LOCK_LINE_COLOR

Colore di linea

Disponibile solo se Descrizione grafica attiva è attivo.

Interno ID: LOCK_LINE_COLOR

Descrizione grafica attiva

Attivo: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Disattivato

Ulteriori informazioni nella guida in linea.

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockLineColor"

Definisce il colore di linea del simbolo del lucchetto. Il colore può essere indicato direttamente nel campo di inserimento come codice esadecimale, oppure essere selezionato dopo aver cliccato sul pulsante ....

Ulteriori informazioni nella guida in linea

Questa proprietà si apre in VBA (con nome di classe) e nell´ esportazione XML (senza nome di classe) come segue: "LockLineColor"


Capitolo iniziale Embedded Help

Benvenuti nella guida concernente le proprietà di zenon.

Questa guida intende mostrarvi delle brevi informazioni relative ad ogni singola proprietà: a che cosa serve la proprietà in questione, qual´è il suo valore standard, da quale altre proprietà essa dipende ecc.. Vi viene messo a disposizione anche un link che rimanda alla pagina corrispondente della guida in linea; inoltre, viene visualizzato il nome della proprietà per VBA/VSTA.